#ifndef MCU_REGOFFS_H
#define MCU_REGOFFS_H 1
/*

  This file is provided under a dual BSD/GPLv2 license.  When using or 
  redistributing this file, you may do so under either license.

  GPL LICENSE SUMMARY

  Copyright(c) 2007-2009 Intel Corporation. All rights reserved.

  This program is free software; you can redistribute it and/or modify 
  it under the terms of version 2 of the GNU General Public License as
  published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful, but 
  WITHOUT ANY WARRANTY; without even the implied warranty of 
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
  General Public License for more details.

  You should have received a copy of the GNU General Public License 
  along with this program; if not, write to the Free Software 
  Foundation, Inc., 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
  The full GNU General Public License is included in this distribution 
  in the file called LICENSE.GPL.

  Contact Information:
    Intel Corporation
    2200 Mission College Blvd.
    Santa Clara, CA  97052

  BSD LICENSE 

  Copyright(c) 2007-2009 Intel Corporation. All rights reserved.
  All rights reserved.

  Redistribution and use in source and binary forms, with or without 
  modification, are permitted provided that the following conditions 
  are met:

    * Redistributions of source code must retain the above copyright 
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright 
      notice, this list of conditions and the following disclaimer in 
      the documentation and/or other materials provided with the 
      distribution.
    * Neither the name of Intel Corporation nor the names of its 
      contributors may be used to endorse or promote products derived 
      from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

*/


/* Module MCU CSR Definitions */
/* WARNING: This file is Machine Generated using sven_csr.c */


#define ROFF_MCU_DEBUG_CNTRL	0x0 /* DEBUG CONTROL */ 
	#define BITFIELD_MCU_DEBUG_CNTRL	 0x0000, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for MCU_DEBUG_CNTRL */
	#define BLSB_MCU_DEBUG_CNTRL_RESERVED_0	20
	#define BLSB_MCU_DEBUG_CNTRL_CH_ENABLE	16
	#define BLSB_MCU_DEBUG_CNTRL_RESERVED_1	14
	#define BLSB_MCU_DEBUG_CNTRL_PORT_ENABLE	8
	#define BLSB_MCU_DEBUG_CNTRL_RESERVED_2	1
	#define BLSB_MCU_DEBUG_CNTRL_MCU_DEBUG_MODE_EN	0
	/* Register Bit Widths for MCU_DEBUG_CNTRL */
	#define BWID_MCU_DEBUG_CNTRL_RESERVED_0	12
	#define BWID_MCU_DEBUG_CNTRL_CH_ENABLE	4
	#define BWID_MCU_DEBUG_CNTRL_RESERVED_1	2
	#define BWID_MCU_DEBUG_CNTRL_PORT_ENABLE	6
	#define BWID_MCU_DEBUG_CNTRL_RESERVED_2	7
	#define BWID_MCU_DEBUG_CNTRL_MCU_DEBUG_MODE_EN	1
	/* Register Bit MASKS for MCU_DEBUG_CNTRL */
	#define BMSK_MCU_DEBUG_CNTRL_RESERVED_0	0xfff00000 /* Reserved */
	#define BMSK_MCU_DEBUG_CNTRL_CH_ENABLE	0x000f0000 /* MCU Channel Enable */
	#define BMSK_MCU_DEBUG_CNTRL_RESERVED_1	0x0000c000 /* Reserved */
	#define BMSK_MCU_DEBUG_CNTRL_PORT_ENABLE	0x00003f00 /* MCU Port Enable */
	#define BMSK_MCU_DEBUG_CNTRL_RESERVED_2	0x000000fe /* Reserved */
	#define BMSK_MCU_DEBUG_CNTRL_MCU_DEBUG_MODE_EN	(1<<0) /* == 0x00000001: MCU Debug Mode Enable */
	/* Register BITFIELD for MCU_DEBUG_CNTRL - roff, lsb, width, mask */
	#define BITFIELD_MCU_DEBUG_CNTRL_RESERVED_0	 0x0000, 20, 12, 0xfff00000
	#define BITFIELD_MCU_DEBUG_CNTRL_CH_ENABLE	 0x0000, 16, 4, 0x000f0000
	#define BITFIELD_MCU_DEBUG_CNTRL_RESERVED_1	 0x0000, 14, 2, 0x0000c000
	#define BITFIELD_MCU_DEBUG_CNTRL_PORT_ENABLE	 0x0000, 8, 6, 0x00003f00
	#define BITFIELD_MCU_DEBUG_CNTRL_RESERVED_2	 0x0000, 1, 7, 0x000000fe
	#define BITFIELD_MCU_DEBUG_CNTRL_MCU_DEBUG_MODE_EN	 0x0000, 0, 1, 0x00000001
#define ROFF_MCU_PORT0_CNTRL	0x4 /* MCU PORT0 DEBUG CONTROL */ 
	#define BITFIELD_MCU_PORT0_CNTRL	 0x0004, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for MCU_PORT0_CNTRL */
	#define BLSB_MCU_PORT0_CNTRL_RESERVED_3	30
	#define BLSB_MCU_PORT0_CNTRL_PORT_ISSUE_CNTR_THRESH	24
	#define BLSB_MCU_PORT0_CNTRL_PORT_ISSUE_CNTR	18
	#define BLSB_MCU_PORT0_CNTRL_PORT_ISSUE_CNTR_RST	17
	#define BLSB_MCU_PORT0_CNTRL_PORT_ISSUE_CNTR_EN	16
	#define BLSB_MCU_PORT0_CNTRL_RESERVED_4	0
	/* Register Bit Widths for MCU_PORT0_CNTRL */
	#define BWID_MCU_PORT0_CNTRL_RESERVED_3	2
	#define BWID_MCU_PORT0_CNTRL_PORT_ISSUE_CNTR_THRESH	6
	#define BWID_MCU_PORT0_CNTRL_PORT_ISSUE_CNTR	6
	#define BWID_MCU_PORT0_CNTRL_PORT_ISSUE_CNTR_RST	1
	#define BWID_MCU_PORT0_CNTRL_PORT_ISSUE_CNTR_EN	1
	#define BWID_MCU_PORT0_CNTRL_RESERVED_4	16
	/* Register Bit MASKS for MCU_PORT0_CNTRL */
	#define BMSK_MCU_PORT0_CNTRL_RESERVED_3	0xc0000000 /* Reserved */
	#define BMSK_MCU_PORT0_CNTRL_PORT_ISSUE_CNTR_THRESH	0x3f000000 /* Port Issye Counter Threshold */
	#define BMSK_MCU_PORT0_CNTRL_PORT_ISSUE_CNTR	0x00fc0000 /* Port Issue Counter */
	#define BMSK_MCU_PORT0_CNTRL_PORT_ISSUE_CNTR_RST	(1<<17) /* == 0x00020000: Port Issue Counter Reset */
	#define BMSK_MCU_PORT0_CNTRL_PORT_ISSUE_CNTR_EN	(1<<16) /* == 0x00010000: Port Iissue Counter Enable */
	#define BMSK_MCU_PORT0_CNTRL_RESERVED_4	0x0000ffff /* Reserved */
	/* Register BITFIELD for MCU_PORT0_CNTRL - roff, lsb, width, mask */
	#define BITFIELD_MCU_PORT0_CNTRL_RESERVED_3	 0x0004, 30, 2, 0xc0000000
	#define BITFIELD_MCU_PORT0_CNTRL_PORT_ISSUE_CNTR_THRESH	 0x0004, 24, 6, 0x3f000000
	#define BITFIELD_MCU_PORT0_CNTRL_PORT_ISSUE_CNTR	 0x0004, 18, 6, 0x00fc0000
	#define BITFIELD_MCU_PORT0_CNTRL_PORT_ISSUE_CNTR_RST	 0x0004, 17, 1, 0x00020000
	#define BITFIELD_MCU_PORT0_CNTRL_PORT_ISSUE_CNTR_EN	 0x0004, 16, 1, 0x00010000
	#define BITFIELD_MCU_PORT0_CNTRL_RESERVED_4	 0x0004, 0, 16, 0x0000ffff
#define ROFF_MCU_PORT0_MATCH_ADDR	0x8 /* MCU PORT0 MATCH ADDR */ 
	#define BITFIELD_MCU_PORT0_MATCH_ADDR	 0x0008, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_MCU_PORT0_MATCH_ADDR_MASK	0xc /* MCU PORT0 MATCH ADDR MASK */ 
	#define BITFIELD_MCU_PORT0_MATCH_ADDR_MASK	 0x000c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_MCU_PORT0_WATCH_ADDR	0x10 /* MCU PORT0 WATCH ADDR */ 
	#define BITFIELD_MCU_PORT0_WATCH_ADDR	 0x0010, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_MCU_PORT0_WATCH_ADDR_ATTR	0x14 /* MCU PORT0 WATCH ADDR ATTR */ 
	#define BITFIELD_MCU_PORT0_WATCH_ADDR_ATTR	 0x0014, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for MCU_PORT0_WATCH_ADDR_ATTR */
	#define BLSB_MCU_PORT0_WATCH_ADDR_ATTR_Tag	27
	#define BLSB_MCU_PORT0_WATCH_ADDR_ATTR_RESERVED_5	26
	#define BLSB_MCU_PORT0_WATCH_ADDR_ATTR_TYPE	17
	#define BLSB_MCU_PORT0_WATCH_ADDR_ATTR_BYTE_COUNT	8
	#define BLSB_MCU_PORT0_WATCH_ADDR_ATTR_READ_WRITE_CMD	0
	/* Register Bit Widths for MCU_PORT0_WATCH_ADDR_ATTR */
	#define BWID_MCU_PORT0_WATCH_ADDR_ATTR_Tag	5
	#define BWID_MCU_PORT0_WATCH_ADDR_ATTR_RESERVED_5	1
	#define BWID_MCU_PORT0_WATCH_ADDR_ATTR_TYPE	9
	#define BWID_MCU_PORT0_WATCH_ADDR_ATTR_BYTE_COUNT	9
	#define BWID_MCU_PORT0_WATCH_ADDR_ATTR_READ_WRITE_CMD	8
	/* Register Bit MASKS for MCU_PORT0_WATCH_ADDR_ATTR */
	#define BMSK_MCU_PORT0_WATCH_ADDR_ATTR_Tag	0xf8000000 /* Watch Address Tag */
	#define BMSK_MCU_PORT0_WATCH_ADDR_ATTR_RESERVED_5	(1<<26) /* == 0x04000000: Reserved */
	#define BMSK_MCU_PORT0_WATCH_ADDR_ATTR_TYPE	0x03fe0000 /* Watch Address type */
	#define BMSK_MCU_PORT0_WATCH_ADDR_ATTR_BYTE_COUNT	0x0001ff00 /* Watch address Byte Count */
	#define BMSK_MCU_PORT0_WATCH_ADDR_ATTR_READ_WRITE_CMD	0x000000ff /* Read/Write Command */
	/* Register BITFIELD for MCU_PORT0_WATCH_ADDR_ATTR - roff, lsb, width, mask */
	#define BITFIELD_MCU_PORT0_WATCH_ADDR_ATTR_Tag	 0x0014, 27, 5, 0xf8000000
	#define BITFIELD_MCU_PORT0_WATCH_ADDR_ATTR_RESERVED_5	 0x0014, 26, 1, 0x04000000
	#define BITFIELD_MCU_PORT0_WATCH_ADDR_ATTR_TYPE	 0x0014, 17, 9, 0x03fe0000
	#define BITFIELD_MCU_PORT0_WATCH_ADDR_ATTR_BYTE_COUNT	 0x0014, 8, 9, 0x0001ff00
	#define BITFIELD_MCU_PORT0_WATCH_ADDR_ATTR_READ_WRITE_CMD	 0x0014, 0, 8, 0x000000ff
#define ROFF_MCU_PORT1_CNTRL	0x18 /* MCU PORT1 DEBUG CONTROL */ 
	#define BITFIELD_MCU_PORT1_CNTRL	 0x0018, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for MCU_PORT1_CNTRL */
	#define BLSB_MCU_PORT1_CNTRL_RESERVED_3	30
	#define BLSB_MCU_PORT1_CNTRL_PORT_ISSUE_CNTR_THRESH	24
	#define BLSB_MCU_PORT1_CNTRL_PORT_ISSUE_CNTR	18
	#define BLSB_MCU_PORT1_CNTRL_PORT_ISSUE_CNTR_RST	17
	#define BLSB_MCU_PORT1_CNTRL_PORT_ISSUE_CNTR_EN	16
	#define BLSB_MCU_PORT1_CNTRL_RESERVED_4	0
	/* Register Bit Widths for MCU_PORT1_CNTRL */
	#define BWID_MCU_PORT1_CNTRL_RESERVED_3	2
	#define BWID_MCU_PORT1_CNTRL_PORT_ISSUE_CNTR_THRESH	6
	#define BWID_MCU_PORT1_CNTRL_PORT_ISSUE_CNTR	6
	#define BWID_MCU_PORT1_CNTRL_PORT_ISSUE_CNTR_RST	1
	#define BWID_MCU_PORT1_CNTRL_PORT_ISSUE_CNTR_EN	1
	#define BWID_MCU_PORT1_CNTRL_RESERVED_4	16
	/* Register Bit MASKS for MCU_PORT1_CNTRL */
	#define BMSK_MCU_PORT1_CNTRL_RESERVED_3	0xc0000000 /* Reserved */
	#define BMSK_MCU_PORT1_CNTRL_PORT_ISSUE_CNTR_THRESH	0x3f000000 /* Port Issye Counter Threshold */
	#define BMSK_MCU_PORT1_CNTRL_PORT_ISSUE_CNTR	0x00fc0000 /* Port Issue Counter */
	#define BMSK_MCU_PORT1_CNTRL_PORT_ISSUE_CNTR_RST	(1<<17) /* == 0x00020000: Port Issue Counter Reset */
	#define BMSK_MCU_PORT1_CNTRL_PORT_ISSUE_CNTR_EN	(1<<16) /* == 0x00010000: Port Iissue Counter Enable */
	#define BMSK_MCU_PORT1_CNTRL_RESERVED_4	0x0000ffff /* Reserved */
	/* Register BITFIELD for MCU_PORT1_CNTRL - roff, lsb, width, mask */
	#define BITFIELD_MCU_PORT1_CNTRL_RESERVED_3	 0x0018, 30, 2, 0xc0000000
	#define BITFIELD_MCU_PORT1_CNTRL_PORT_ISSUE_CNTR_THRESH	 0x0018, 24, 6, 0x3f000000
	#define BITFIELD_MCU_PORT1_CNTRL_PORT_ISSUE_CNTR	 0x0018, 18, 6, 0x00fc0000
	#define BITFIELD_MCU_PORT1_CNTRL_PORT_ISSUE_CNTR_RST	 0x0018, 17, 1, 0x00020000
	#define BITFIELD_MCU_PORT1_CNTRL_PORT_ISSUE_CNTR_EN	 0x0018, 16, 1, 0x00010000
	#define BITFIELD_MCU_PORT1_CNTRL_RESERVED_4	 0x0018, 0, 16, 0x0000ffff
#define ROFF_MCU_PORT1_MATCH_ADDR	0x1c /* MCU PORT1 MATCH ADDR */ 
	#define BITFIELD_MCU_PORT1_MATCH_ADDR	 0x001c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_MCU_PORT1_MATCH_ADDR_MASK	0x20 /* MCU PORT1 MATCH ADDR MASK */ 
	#define BITFIELD_MCU_PORT1_MATCH_ADDR_MASK	 0x0020, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_MCU_PORT1_WATCH_ADDR	0x24 /* MCU PORT1 WATCH ADDR */ 
	#define BITFIELD_MCU_PORT1_WATCH_ADDR	 0x0024, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_MCU_PORT1_WATCH_ADDR_ATTR	0x28 /* MCU PORT1 WATCH ADDR ATTR */ 
	#define BITFIELD_MCU_PORT1_WATCH_ADDR_ATTR	 0x0028, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for MCU_PORT1_WATCH_ADDR_ATTR */
	#define BLSB_MCU_PORT1_WATCH_ADDR_ATTR_Tag	27
	#define BLSB_MCU_PORT1_WATCH_ADDR_ATTR_RESERVED_5	26
	#define BLSB_MCU_PORT1_WATCH_ADDR_ATTR_TYPE	17
	#define BLSB_MCU_PORT1_WATCH_ADDR_ATTR_BYTE_COUNT	8
	#define BLSB_MCU_PORT1_WATCH_ADDR_ATTR_READ_WRITE_CMD	0
	/* Register Bit Widths for MCU_PORT1_WATCH_ADDR_ATTR */
	#define BWID_MCU_PORT1_WATCH_ADDR_ATTR_Tag	5
	#define BWID_MCU_PORT1_WATCH_ADDR_ATTR_RESERVED_5	1
	#define BWID_MCU_PORT1_WATCH_ADDR_ATTR_TYPE	9
	#define BWID_MCU_PORT1_WATCH_ADDR_ATTR_BYTE_COUNT	9
	#define BWID_MCU_PORT1_WATCH_ADDR_ATTR_READ_WRITE_CMD	8
	/* Register Bit MASKS for MCU_PORT1_WATCH_ADDR_ATTR */
	#define BMSK_MCU_PORT1_WATCH_ADDR_ATTR_Tag	0xf8000000 /* Watch Address Tag */
	#define BMSK_MCU_PORT1_WATCH_ADDR_ATTR_RESERVED_5	(1<<26) /* == 0x04000000: Reserved */
	#define BMSK_MCU_PORT1_WATCH_ADDR_ATTR_TYPE	0x03fe0000 /* Watch Address type */
	#define BMSK_MCU_PORT1_WATCH_ADDR_ATTR_BYTE_COUNT	0x0001ff00 /* Watch address Byte Count */
	#define BMSK_MCU_PORT1_WATCH_ADDR_ATTR_READ_WRITE_CMD	0x000000ff /* Read/Write Command */
	/* Register BITFIELD for MCU_PORT1_WATCH_ADDR_ATTR - roff, lsb, width, mask */
	#define BITFIELD_MCU_PORT1_WATCH_ADDR_ATTR_Tag	 0x0028, 27, 5, 0xf8000000
	#define BITFIELD_MCU_PORT1_WATCH_ADDR_ATTR_RESERVED_5	 0x0028, 26, 1, 0x04000000
	#define BITFIELD_MCU_PORT1_WATCH_ADDR_ATTR_TYPE	 0x0028, 17, 9, 0x03fe0000
	#define BITFIELD_MCU_PORT1_WATCH_ADDR_ATTR_BYTE_COUNT	 0x0028, 8, 9, 0x0001ff00
	#define BITFIELD_MCU_PORT1_WATCH_ADDR_ATTR_READ_WRITE_CMD	 0x0028, 0, 8, 0x000000ff
#define ROFF_MCU_PORT2_CNTRL	0x2c /* MCU PORT2 DEBUG CONTROL */ 
	#define BITFIELD_MCU_PORT2_CNTRL	 0x002c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for MCU_PORT2_CNTRL */
	#define BLSB_MCU_PORT2_CNTRL_RESERVED_3	30
	#define BLSB_MCU_PORT2_CNTRL_PORT_ISSUE_CNTR_THRESH	24
	#define BLSB_MCU_PORT2_CNTRL_PORT_ISSUE_CNTR	18
	#define BLSB_MCU_PORT2_CNTRL_PORT_ISSUE_CNTR_RST	17
	#define BLSB_MCU_PORT2_CNTRL_PORT_ISSUE_CNTR_EN	16
	#define BLSB_MCU_PORT2_CNTRL_RESERVED_4	0
	/* Register Bit Widths for MCU_PORT2_CNTRL */
	#define BWID_MCU_PORT2_CNTRL_RESERVED_3	2
	#define BWID_MCU_PORT2_CNTRL_PORT_ISSUE_CNTR_THRESH	6
	#define BWID_MCU_PORT2_CNTRL_PORT_ISSUE_CNTR	6
	#define BWID_MCU_PORT2_CNTRL_PORT_ISSUE_CNTR_RST	1
	#define BWID_MCU_PORT2_CNTRL_PORT_ISSUE_CNTR_EN	1
	#define BWID_MCU_PORT2_CNTRL_RESERVED_4	16
	/* Register Bit MASKS for MCU_PORT2_CNTRL */
	#define BMSK_MCU_PORT2_CNTRL_RESERVED_3	0xc0000000 /* Reserved */
	#define BMSK_MCU_PORT2_CNTRL_PORT_ISSUE_CNTR_THRESH	0x3f000000 /* Port Issye Counter Threshold */
	#define BMSK_MCU_PORT2_CNTRL_PORT_ISSUE_CNTR	0x00fc0000 /* Port Issue Counter */
	#define BMSK_MCU_PORT2_CNTRL_PORT_ISSUE_CNTR_RST	(1<<17) /* == 0x00020000: Port Issue Counter Reset */
	#define BMSK_MCU_PORT2_CNTRL_PORT_ISSUE_CNTR_EN	(1<<16) /* == 0x00010000: Port Iissue Counter Enable */
	#define BMSK_MCU_PORT2_CNTRL_RESERVED_4	0x0000ffff /* Reserved */
	/* Register BITFIELD for MCU_PORT2_CNTRL - roff, lsb, width, mask */
	#define BITFIELD_MCU_PORT2_CNTRL_RESERVED_3	 0x002c, 30, 2, 0xc0000000
	#define BITFIELD_MCU_PORT2_CNTRL_PORT_ISSUE_CNTR_THRESH	 0x002c, 24, 6, 0x3f000000
	#define BITFIELD_MCU_PORT2_CNTRL_PORT_ISSUE_CNTR	 0x002c, 18, 6, 0x00fc0000
	#define BITFIELD_MCU_PORT2_CNTRL_PORT_ISSUE_CNTR_RST	 0x002c, 17, 1, 0x00020000
	#define BITFIELD_MCU_PORT2_CNTRL_PORT_ISSUE_CNTR_EN	 0x002c, 16, 1, 0x00010000
	#define BITFIELD_MCU_PORT2_CNTRL_RESERVED_4	 0x002c, 0, 16, 0x0000ffff
#define ROFF_MCU_PORT2_MATCH_ADDR	0x30 /* MCU PORT2 MATCH ADDR */ 
	#define BITFIELD_MCU_PORT2_MATCH_ADDR	 0x0030, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_MCU_PORT2_MATCH_ADDR_MASK	0x34 /* MCU PORT2 MATCH ADDR MASK */ 
	#define BITFIELD_MCU_PORT2_MATCH_ADDR_MASK	 0x0034, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_MCU_PORT2_WATCH_ADDR	0x38 /* MCU PORT2 WATCH ADDR */ 
	#define BITFIELD_MCU_PORT2_WATCH_ADDR	 0x0038, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_MCU_PORT2_WATCH_ADDR_ATTR	0x3c /* MCU PORT2 WATCH ADDR ATTR */ 
	#define BITFIELD_MCU_PORT2_WATCH_ADDR_ATTR	 0x003c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for MCU_PORT2_WATCH_ADDR_ATTR */
	#define BLSB_MCU_PORT2_WATCH_ADDR_ATTR_Tag	27
	#define BLSB_MCU_PORT2_WATCH_ADDR_ATTR_RESERVED_5	26
	#define BLSB_MCU_PORT2_WATCH_ADDR_ATTR_TYPE	17
	#define BLSB_MCU_PORT2_WATCH_ADDR_ATTR_BYTE_COUNT	8
	#define BLSB_MCU_PORT2_WATCH_ADDR_ATTR_READ_WRITE_CMD	0
	/* Register Bit Widths for MCU_PORT2_WATCH_ADDR_ATTR */
	#define BWID_MCU_PORT2_WATCH_ADDR_ATTR_Tag	5
	#define BWID_MCU_PORT2_WATCH_ADDR_ATTR_RESERVED_5	1
	#define BWID_MCU_PORT2_WATCH_ADDR_ATTR_TYPE	9
	#define BWID_MCU_PORT2_WATCH_ADDR_ATTR_BYTE_COUNT	9
	#define BWID_MCU_PORT2_WATCH_ADDR_ATTR_READ_WRITE_CMD	8
	/* Register Bit MASKS for MCU_PORT2_WATCH_ADDR_ATTR */
	#define BMSK_MCU_PORT2_WATCH_ADDR_ATTR_Tag	0xf8000000 /* Watch Address Tag */
	#define BMSK_MCU_PORT2_WATCH_ADDR_ATTR_RESERVED_5	(1<<26) /* == 0x04000000: Reserved */
	#define BMSK_MCU_PORT2_WATCH_ADDR_ATTR_TYPE	0x03fe0000 /* Watch Address type */
	#define BMSK_MCU_PORT2_WATCH_ADDR_ATTR_BYTE_COUNT	0x0001ff00 /* Watch address Byte Count */
	#define BMSK_MCU_PORT2_WATCH_ADDR_ATTR_READ_WRITE_CMD	0x000000ff /* Read/Write Command */
	/* Register BITFIELD for MCU_PORT2_WATCH_ADDR_ATTR - roff, lsb, width, mask */
	#define BITFIELD_MCU_PORT2_WATCH_ADDR_ATTR_Tag	 0x003c, 27, 5, 0xf8000000
	#define BITFIELD_MCU_PORT2_WATCH_ADDR_ATTR_RESERVED_5	 0x003c, 26, 1, 0x04000000
	#define BITFIELD_MCU_PORT2_WATCH_ADDR_ATTR_TYPE	 0x003c, 17, 9, 0x03fe0000
	#define BITFIELD_MCU_PORT2_WATCH_ADDR_ATTR_BYTE_COUNT	 0x003c, 8, 9, 0x0001ff00
	#define BITFIELD_MCU_PORT2_WATCH_ADDR_ATTR_READ_WRITE_CMD	 0x003c, 0, 8, 0x000000ff
#define ROFF_MCU_PORT3_CNTRL	0x40 /* MCU PORT3 DEBUG CONTROL */ 
	#define BITFIELD_MCU_PORT3_CNTRL	 0x0040, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for MCU_PORT3_CNTRL */
	#define BLSB_MCU_PORT3_CNTRL_RESERVED_3	30
	#define BLSB_MCU_PORT3_CNTRL_PORT_ISSUE_CNTR_THRESH	24
	#define BLSB_MCU_PORT3_CNTRL_PORT_ISSUE_CNTR	18
	#define BLSB_MCU_PORT3_CNTRL_PORT_ISSUE_CNTR_RST	17
	#define BLSB_MCU_PORT3_CNTRL_PORT_ISSUE_CNTR_EN	16
	#define BLSB_MCU_PORT3_CNTRL_RESERVED_4	0
	/* Register Bit Widths for MCU_PORT3_CNTRL */
	#define BWID_MCU_PORT3_CNTRL_RESERVED_3	2
	#define BWID_MCU_PORT3_CNTRL_PORT_ISSUE_CNTR_THRESH	6
	#define BWID_MCU_PORT3_CNTRL_PORT_ISSUE_CNTR	6
	#define BWID_MCU_PORT3_CNTRL_PORT_ISSUE_CNTR_RST	1
	#define BWID_MCU_PORT3_CNTRL_PORT_ISSUE_CNTR_EN	1
	#define BWID_MCU_PORT3_CNTRL_RESERVED_4	16
	/* Register Bit MASKS for MCU_PORT3_CNTRL */
	#define BMSK_MCU_PORT3_CNTRL_RESERVED_3	0xc0000000 /* Reserved */
	#define BMSK_MCU_PORT3_CNTRL_PORT_ISSUE_CNTR_THRESH	0x3f000000 /* Port Issye Counter Threshold */
	#define BMSK_MCU_PORT3_CNTRL_PORT_ISSUE_CNTR	0x00fc0000 /* Port Issue Counter */
	#define BMSK_MCU_PORT3_CNTRL_PORT_ISSUE_CNTR_RST	(1<<17) /* == 0x00020000: Port Issue Counter Reset */
	#define BMSK_MCU_PORT3_CNTRL_PORT_ISSUE_CNTR_EN	(1<<16) /* == 0x00010000: Port Iissue Counter Enable */
	#define BMSK_MCU_PORT3_CNTRL_RESERVED_4	0x0000ffff /* Reserved */
	/* Register BITFIELD for MCU_PORT3_CNTRL - roff, lsb, width, mask */
	#define BITFIELD_MCU_PORT3_CNTRL_RESERVED_3	 0x0040, 30, 2, 0xc0000000
	#define BITFIELD_MCU_PORT3_CNTRL_PORT_ISSUE_CNTR_THRESH	 0x0040, 24, 6, 0x3f000000
	#define BITFIELD_MCU_PORT3_CNTRL_PORT_ISSUE_CNTR	 0x0040, 18, 6, 0x00fc0000
	#define BITFIELD_MCU_PORT3_CNTRL_PORT_ISSUE_CNTR_RST	 0x0040, 17, 1, 0x00020000
	#define BITFIELD_MCU_PORT3_CNTRL_PORT_ISSUE_CNTR_EN	 0x0040, 16, 1, 0x00010000
	#define BITFIELD_MCU_PORT3_CNTRL_RESERVED_4	 0x0040, 0, 16, 0x0000ffff
#define ROFF_MCU_PORT3_MATCH_ADDR	0x44 /* MCU PORT3 MATCH ADDR */ 
	#define BITFIELD_MCU_PORT3_MATCH_ADDR	 0x0044, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_MCU_PORT3_MATCH_ADDR_MASK	0x48 /* MCU PORT3 MATCH ADDR MASK */ 
	#define BITFIELD_MCU_PORT3_MATCH_ADDR_MASK	 0x0048, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_MCU_PORT3_WATCH_ADDR	0x4c /* MCU PORT3 WATCH ADDR */ 
	#define BITFIELD_MCU_PORT3_WATCH_ADDR	 0x004c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_MCU_PORT3_WATCH_ADDR_ATTR	0x50 /* MCU PORT3 WATCH ADDR ATTR */ 
	#define BITFIELD_MCU_PORT3_WATCH_ADDR_ATTR	 0x0050, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for MCU_PORT3_WATCH_ADDR_ATTR */
	#define BLSB_MCU_PORT3_WATCH_ADDR_ATTR_Tag	27
	#define BLSB_MCU_PORT3_WATCH_ADDR_ATTR_RESERVED_5	26
	#define BLSB_MCU_PORT3_WATCH_ADDR_ATTR_TYPE	17
	#define BLSB_MCU_PORT3_WATCH_ADDR_ATTR_BYTE_COUNT	8
	#define BLSB_MCU_PORT3_WATCH_ADDR_ATTR_READ_WRITE_CMD	0
	/* Register Bit Widths for MCU_PORT3_WATCH_ADDR_ATTR */
	#define BWID_MCU_PORT3_WATCH_ADDR_ATTR_Tag	5
	#define BWID_MCU_PORT3_WATCH_ADDR_ATTR_RESERVED_5	1
	#define BWID_MCU_PORT3_WATCH_ADDR_ATTR_TYPE	9
	#define BWID_MCU_PORT3_WATCH_ADDR_ATTR_BYTE_COUNT	9
	#define BWID_MCU_PORT3_WATCH_ADDR_ATTR_READ_WRITE_CMD	8
	/* Register Bit MASKS for MCU_PORT3_WATCH_ADDR_ATTR */
	#define BMSK_MCU_PORT3_WATCH_ADDR_ATTR_Tag	0xf8000000 /* Watch Address Tag */
	#define BMSK_MCU_PORT3_WATCH_ADDR_ATTR_RESERVED_5	(1<<26) /* == 0x04000000: Reserved */
	#define BMSK_MCU_PORT3_WATCH_ADDR_ATTR_TYPE	0x03fe0000 /* Watch Address type */
	#define BMSK_MCU_PORT3_WATCH_ADDR_ATTR_BYTE_COUNT	0x0001ff00 /* Watch address Byte Count */
	#define BMSK_MCU_PORT3_WATCH_ADDR_ATTR_READ_WRITE_CMD	0x000000ff /* Read/Write Command */
	/* Register BITFIELD for MCU_PORT3_WATCH_ADDR_ATTR - roff, lsb, width, mask */
	#define BITFIELD_MCU_PORT3_WATCH_ADDR_ATTR_Tag	 0x0050, 27, 5, 0xf8000000
	#define BITFIELD_MCU_PORT3_WATCH_ADDR_ATTR_RESERVED_5	 0x0050, 26, 1, 0x04000000
	#define BITFIELD_MCU_PORT3_WATCH_ADDR_ATTR_TYPE	 0x0050, 17, 9, 0x03fe0000
	#define BITFIELD_MCU_PORT3_WATCH_ADDR_ATTR_BYTE_COUNT	 0x0050, 8, 9, 0x0001ff00
	#define BITFIELD_MCU_PORT3_WATCH_ADDR_ATTR_READ_WRITE_CMD	 0x0050, 0, 8, 0x000000ff
#define ROFF_MCU_PORT4_CNTRL	0x54 /* MCU PORT4 DEBUG CONTROL */ 
	#define BITFIELD_MCU_PORT4_CNTRL	 0x0054, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for MCU_PORT4_CNTRL */
	#define BLSB_MCU_PORT4_CNTRL_RESERVED_3	30
	#define BLSB_MCU_PORT4_CNTRL_PORT_ISSUE_CNTR_THRESH	24
	#define BLSB_MCU_PORT4_CNTRL_PORT_ISSUE_CNTR	18
	#define BLSB_MCU_PORT4_CNTRL_PORT_ISSUE_CNTR_RST	17
	#define BLSB_MCU_PORT4_CNTRL_PORT_ISSUE_CNTR_EN	16
	#define BLSB_MCU_PORT4_CNTRL_RESERVED_4	0
	/* Register Bit Widths for MCU_PORT4_CNTRL */
	#define BWID_MCU_PORT4_CNTRL_RESERVED_3	2
	#define BWID_MCU_PORT4_CNTRL_PORT_ISSUE_CNTR_THRESH	6
	#define BWID_MCU_PORT4_CNTRL_PORT_ISSUE_CNTR	6
	#define BWID_MCU_PORT4_CNTRL_PORT_ISSUE_CNTR_RST	1
	#define BWID_MCU_PORT4_CNTRL_PORT_ISSUE_CNTR_EN	1
	#define BWID_MCU_PORT4_CNTRL_RESERVED_4	16
	/* Register Bit MASKS for MCU_PORT4_CNTRL */
	#define BMSK_MCU_PORT4_CNTRL_RESERVED_3	0xc0000000 /* Reserved */
	#define BMSK_MCU_PORT4_CNTRL_PORT_ISSUE_CNTR_THRESH	0x3f000000 /* Port Issye Counter Threshold */
	#define BMSK_MCU_PORT4_CNTRL_PORT_ISSUE_CNTR	0x00fc0000 /* Port Issue Counter */
	#define BMSK_MCU_PORT4_CNTRL_PORT_ISSUE_CNTR_RST	(1<<17) /* == 0x00020000: Port Issue Counter Reset */
	#define BMSK_MCU_PORT4_CNTRL_PORT_ISSUE_CNTR_EN	(1<<16) /* == 0x00010000: Port Iissue Counter Enable */
	#define BMSK_MCU_PORT4_CNTRL_RESERVED_4	0x0000ffff /* Reserved */
	/* Register BITFIELD for MCU_PORT4_CNTRL - roff, lsb, width, mask */
	#define BITFIELD_MCU_PORT4_CNTRL_RESERVED_3	 0x0054, 30, 2, 0xc0000000
	#define BITFIELD_MCU_PORT4_CNTRL_PORT_ISSUE_CNTR_THRESH	 0x0054, 24, 6, 0x3f000000
	#define BITFIELD_MCU_PORT4_CNTRL_PORT_ISSUE_CNTR	 0x0054, 18, 6, 0x00fc0000
	#define BITFIELD_MCU_PORT4_CNTRL_PORT_ISSUE_CNTR_RST	 0x0054, 17, 1, 0x00020000
	#define BITFIELD_MCU_PORT4_CNTRL_PORT_ISSUE_CNTR_EN	 0x0054, 16, 1, 0x00010000
	#define BITFIELD_MCU_PORT4_CNTRL_RESERVED_4	 0x0054, 0, 16, 0x0000ffff
#define ROFF_MCU_PORT4_MATCH_ADDR	0x58 /* MCU PORT4 MATCH ADDR */ 
	#define BITFIELD_MCU_PORT4_MATCH_ADDR	 0x0058, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_MCU_PORT4_MATCH_ADDR_MASK	0x5c /* MCU PORT4 MATCH ADDR MASK */ 
	#define BITFIELD_MCU_PORT4_MATCH_ADDR_MASK	 0x005c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_MCU_PORT4_WATCH_ADDR	0x60 /* MCU PORT4 WATCH ADDR */ 
	#define BITFIELD_MCU_PORT4_WATCH_ADDR	 0x0060, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_MCU_PORT4_WATCH_ADDR_ATTR	0x64 /* MCU PORT4 WATCH ADDR ATTR */ 
	#define BITFIELD_MCU_PORT4_WATCH_ADDR_ATTR	 0x0064, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for MCU_PORT4_WATCH_ADDR_ATTR */
	#define BLSB_MCU_PORT4_WATCH_ADDR_ATTR_Tag	27
	#define BLSB_MCU_PORT4_WATCH_ADDR_ATTR_RESERVED_5	26
	#define BLSB_MCU_PORT4_WATCH_ADDR_ATTR_TYPE	17
	#define BLSB_MCU_PORT4_WATCH_ADDR_ATTR_BYTE_COUNT	8
	#define BLSB_MCU_PORT4_WATCH_ADDR_ATTR_READ_WRITE_CMD	0
	/* Register Bit Widths for MCU_PORT4_WATCH_ADDR_ATTR */
	#define BWID_MCU_PORT4_WATCH_ADDR_ATTR_Tag	5
	#define BWID_MCU_PORT4_WATCH_ADDR_ATTR_RESERVED_5	1
	#define BWID_MCU_PORT4_WATCH_ADDR_ATTR_TYPE	9
	#define BWID_MCU_PORT4_WATCH_ADDR_ATTR_BYTE_COUNT	9
	#define BWID_MCU_PORT4_WATCH_ADDR_ATTR_READ_WRITE_CMD	8
	/* Register Bit MASKS for MCU_PORT4_WATCH_ADDR_ATTR */
	#define BMSK_MCU_PORT4_WATCH_ADDR_ATTR_Tag	0xf8000000 /* Watch Address Tag */
	#define BMSK_MCU_PORT4_WATCH_ADDR_ATTR_RESERVED_5	(1<<26) /* == 0x04000000: Reserved */
	#define BMSK_MCU_PORT4_WATCH_ADDR_ATTR_TYPE	0x03fe0000 /* Watch Address type */
	#define BMSK_MCU_PORT4_WATCH_ADDR_ATTR_BYTE_COUNT	0x0001ff00 /* Watch address Byte Count */
	#define BMSK_MCU_PORT4_WATCH_ADDR_ATTR_READ_WRITE_CMD	0x000000ff /* Read/Write Command */
	/* Register BITFIELD for MCU_PORT4_WATCH_ADDR_ATTR - roff, lsb, width, mask */
	#define BITFIELD_MCU_PORT4_WATCH_ADDR_ATTR_Tag	 0x0064, 27, 5, 0xf8000000
	#define BITFIELD_MCU_PORT4_WATCH_ADDR_ATTR_RESERVED_5	 0x0064, 26, 1, 0x04000000
	#define BITFIELD_MCU_PORT4_WATCH_ADDR_ATTR_TYPE	 0x0064, 17, 9, 0x03fe0000
	#define BITFIELD_MCU_PORT4_WATCH_ADDR_ATTR_BYTE_COUNT	 0x0064, 8, 9, 0x0001ff00
	#define BITFIELD_MCU_PORT4_WATCH_ADDR_ATTR_READ_WRITE_CMD	 0x0064, 0, 8, 0x000000ff
#define ROFF_MCU_PORT5_CNTRL	0x68 /* MCU PORT5 DEBUG CONTROL */ 
	#define BITFIELD_MCU_PORT5_CNTRL	 0x0068, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for MCU_PORT5_CNTRL */
	#define BLSB_MCU_PORT5_CNTRL_RESERVED_3	30
	#define BLSB_MCU_PORT5_CNTRL_PORT_ISSUE_CNTR_THRESH	24
	#define BLSB_MCU_PORT5_CNTRL_PORT_ISSUE_CNTR	18
	#define BLSB_MCU_PORT5_CNTRL_PORT_ISSUE_CNTR_RST	17
	#define BLSB_MCU_PORT5_CNTRL_PORT_ISSUE_CNTR_EN	16
	#define BLSB_MCU_PORT5_CNTRL_RESERVED_4	0
	/* Register Bit Widths for MCU_PORT5_CNTRL */
	#define BWID_MCU_PORT5_CNTRL_RESERVED_3	2
	#define BWID_MCU_PORT5_CNTRL_PORT_ISSUE_CNTR_THRESH	6
	#define BWID_MCU_PORT5_CNTRL_PORT_ISSUE_CNTR	6
	#define BWID_MCU_PORT5_CNTRL_PORT_ISSUE_CNTR_RST	1
	#define BWID_MCU_PORT5_CNTRL_PORT_ISSUE_CNTR_EN	1
	#define BWID_MCU_PORT5_CNTRL_RESERVED_4	16
	/* Register Bit MASKS for MCU_PORT5_CNTRL */
	#define BMSK_MCU_PORT5_CNTRL_RESERVED_3	0xc0000000 /* Reserved */
	#define BMSK_MCU_PORT5_CNTRL_PORT_ISSUE_CNTR_THRESH	0x3f000000 /* Port Issye Counter Threshold */
	#define BMSK_MCU_PORT5_CNTRL_PORT_ISSUE_CNTR	0x00fc0000 /* Port Issue Counter */
	#define BMSK_MCU_PORT5_CNTRL_PORT_ISSUE_CNTR_RST	(1<<17) /* == 0x00020000: Port Issue Counter Reset */
	#define BMSK_MCU_PORT5_CNTRL_PORT_ISSUE_CNTR_EN	(1<<16) /* == 0x00010000: Port Iissue Counter Enable */
	#define BMSK_MCU_PORT5_CNTRL_RESERVED_4	0x0000ffff /* Reserved */
	/* Register BITFIELD for MCU_PORT5_CNTRL - roff, lsb, width, mask */
	#define BITFIELD_MCU_PORT5_CNTRL_RESERVED_3	 0x0068, 30, 2, 0xc0000000
	#define BITFIELD_MCU_PORT5_CNTRL_PORT_ISSUE_CNTR_THRESH	 0x0068, 24, 6, 0x3f000000
	#define BITFIELD_MCU_PORT5_CNTRL_PORT_ISSUE_CNTR	 0x0068, 18, 6, 0x00fc0000
	#define BITFIELD_MCU_PORT5_CNTRL_PORT_ISSUE_CNTR_RST	 0x0068, 17, 1, 0x00020000
	#define BITFIELD_MCU_PORT5_CNTRL_PORT_ISSUE_CNTR_EN	 0x0068, 16, 1, 0x00010000
	#define BITFIELD_MCU_PORT5_CNTRL_RESERVED_4	 0x0068, 0, 16, 0x0000ffff
#define ROFF_MCU_PORT5_MATCH_ADDR	0x6c /* MCU PORT5 MATCH ADDR */ 
	#define BITFIELD_MCU_PORT5_MATCH_ADDR	 0x006c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_MCU_PORT5_MATCH_ADDR_MASK	0x70 /* MCU PORT5 MATCH ADDR MASK */ 
	#define BITFIELD_MCU_PORT5_MATCH_ADDR_MASK	 0x0070, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_MCU_PORT5_WATCH_ADDR	0x74 /* MCU PORT5 WATCH ADDR */ 
	#define BITFIELD_MCU_PORT5_WATCH_ADDR	 0x0074, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_MCU_PORT5_WATCH_ADDR_ATTR	0x78 /* MCU PORT5 WATCH ADDR ATTR */ 
	#define BITFIELD_MCU_PORT5_WATCH_ADDR_ATTR	 0x0078, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for MCU_PORT5_WATCH_ADDR_ATTR */
	#define BLSB_MCU_PORT5_WATCH_ADDR_ATTR_Tag	27
	#define BLSB_MCU_PORT5_WATCH_ADDR_ATTR_RESERVED_5	26
	#define BLSB_MCU_PORT5_WATCH_ADDR_ATTR_TYPE	17
	#define BLSB_MCU_PORT5_WATCH_ADDR_ATTR_BYTE_COUNT	8
	#define BLSB_MCU_PORT5_WATCH_ADDR_ATTR_READ_WRITE_CMD	0
	/* Register Bit Widths for MCU_PORT5_WATCH_ADDR_ATTR */
	#define BWID_MCU_PORT5_WATCH_ADDR_ATTR_Tag	5
	#define BWID_MCU_PORT5_WATCH_ADDR_ATTR_RESERVED_5	1
	#define BWID_MCU_PORT5_WATCH_ADDR_ATTR_TYPE	9
	#define BWID_MCU_PORT5_WATCH_ADDR_ATTR_BYTE_COUNT	9
	#define BWID_MCU_PORT5_WATCH_ADDR_ATTR_READ_WRITE_CMD	8
	/* Register Bit MASKS for MCU_PORT5_WATCH_ADDR_ATTR */
	#define BMSK_MCU_PORT5_WATCH_ADDR_ATTR_Tag	0xf8000000 /* Watch Address Tag */
	#define BMSK_MCU_PORT5_WATCH_ADDR_ATTR_RESERVED_5	(1<<26) /* == 0x04000000: Reserved */
	#define BMSK_MCU_PORT5_WATCH_ADDR_ATTR_TYPE	0x03fe0000 /* Watch Address type */
	#define BMSK_MCU_PORT5_WATCH_ADDR_ATTR_BYTE_COUNT	0x0001ff00 /* Watch address Byte Count */
	#define BMSK_MCU_PORT5_WATCH_ADDR_ATTR_READ_WRITE_CMD	0x000000ff /* Read/Write Command */
	/* Register BITFIELD for MCU_PORT5_WATCH_ADDR_ATTR - roff, lsb, width, mask */
	#define BITFIELD_MCU_PORT5_WATCH_ADDR_ATTR_Tag	 0x0078, 27, 5, 0xf8000000
	#define BITFIELD_MCU_PORT5_WATCH_ADDR_ATTR_RESERVED_5	 0x0078, 26, 1, 0x04000000
	#define BITFIELD_MCU_PORT5_WATCH_ADDR_ATTR_TYPE	 0x0078, 17, 9, 0x03fe0000
	#define BITFIELD_MCU_PORT5_WATCH_ADDR_ATTR_BYTE_COUNT	 0x0078, 8, 9, 0x0001ff00
	#define BITFIELD_MCU_PORT5_WATCH_ADDR_ATTR_READ_WRITE_CMD	 0x0078, 0, 8, 0x000000ff
#define ROFF_MCU_INT_CNTRL_STAT	0x7c /* MCU INTERRUPT CONTROL STATUS */ 
	#define BITFIELD_MCU_INT_CNTRL_STAT	 0x007c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for MCU_INT_CNTRL_STAT */
	#define BLSB_MCU_INT_CNTRL_STAT_RESERVED_6	22
	#define BLSB_MCU_INT_CNTRL_STAT_PORT5_INT_ST	21
	#define BLSB_MCU_INT_CNTRL_STAT_PORT4_INT_ST	20
	#define BLSB_MCU_INT_CNTRL_STAT_PORT3_INT_ST	19
	#define BLSB_MCU_INT_CNTRL_STAT_PORT2_INT_ST	18
	#define BLSB_MCU_INT_CNTRL_STAT_PORT1_INT_ST	17
	#define BLSB_MCU_INT_CNTRL_STAT_PORT0_INT_ST	16
	#define BLSB_MCU_INT_CNTRL_STAT_RESERVED_7	6
	#define BLSB_MCU_INT_CNTRL_STAT_PORT5_INT_EN	5
	#define BLSB_MCU_INT_CNTRL_STAT_PORT4_INT_EN	4
	#define BLSB_MCU_INT_CNTRL_STAT_PORT3_INT_EN	3
	#define BLSB_MCU_INT_CNTRL_STAT_PORT2_INT_EN	2
	#define BLSB_MCU_INT_CNTRL_STAT_PORT1_INT_EN	1
	#define BLSB_MCU_INT_CNTRL_STAT_PORT0_INT_EN	0
	/* Register Bit Widths for MCU_INT_CNTRL_STAT */
	#define BWID_MCU_INT_CNTRL_STAT_RESERVED_6	10
	#define BWID_MCU_INT_CNTRL_STAT_PORT5_INT_ST	1
	#define BWID_MCU_INT_CNTRL_STAT_PORT4_INT_ST	1
	#define BWID_MCU_INT_CNTRL_STAT_PORT3_INT_ST	1
	#define BWID_MCU_INT_CNTRL_STAT_PORT2_INT_ST	1
	#define BWID_MCU_INT_CNTRL_STAT_PORT1_INT_ST	1
	#define BWID_MCU_INT_CNTRL_STAT_PORT0_INT_ST	1
	#define BWID_MCU_INT_CNTRL_STAT_RESERVED_7	10
	#define BWID_MCU_INT_CNTRL_STAT_PORT5_INT_EN	1
	#define BWID_MCU_INT_CNTRL_STAT_PORT4_INT_EN	1
	#define BWID_MCU_INT_CNTRL_STAT_PORT3_INT_EN	1
	#define BWID_MCU_INT_CNTRL_STAT_PORT2_INT_EN	1
	#define BWID_MCU_INT_CNTRL_STAT_PORT1_INT_EN	1
	#define BWID_MCU_INT_CNTRL_STAT_PORT0_INT_EN	1
	/* Register Bit MASKS for MCU_INT_CNTRL_STAT */
	#define BMSK_MCU_INT_CNTRL_STAT_RESERVED_6	0xffc00000 /* Reserved */
	#define BMSK_MCU_INT_CNTRL_STAT_PORT5_INT_ST	(1<<21) /* == 0x00200000: Port 5 Counter Match Intr Stat */
	#define BMSK_MCU_INT_CNTRL_STAT_PORT4_INT_ST	(1<<20) /* == 0x00100000: Port 4 Counter Match Intr Stat */
	#define BMSK_MCU_INT_CNTRL_STAT_PORT3_INT_ST	(1<<19) /* == 0x00080000: Port 3 Counter Match Intr Stat */
	#define BMSK_MCU_INT_CNTRL_STAT_PORT2_INT_ST	(1<<18) /* == 0x00040000: Port 2 Counter Match Intr Stat */
	#define BMSK_MCU_INT_CNTRL_STAT_PORT1_INT_ST	(1<<17) /* == 0x00020000: Port 1 Counter Match Intr Stat */
	#define BMSK_MCU_INT_CNTRL_STAT_PORT0_INT_ST	(1<<16) /* == 0x00010000: Port 0 Counter Match Intr Stat */
	#define BMSK_MCU_INT_CNTRL_STAT_RESERVED_7	0x0000ffc0 /* Reserved */
	#define BMSK_MCU_INT_CNTRL_STAT_PORT5_INT_EN	(1<<5) /* == 0x00000020: Port 5 Counter Match Intr En */
	#define BMSK_MCU_INT_CNTRL_STAT_PORT4_INT_EN	(1<<4) /* == 0x00000010: Port 4 Counter Match Intr En */
	#define BMSK_MCU_INT_CNTRL_STAT_PORT3_INT_EN	(1<<3) /* == 0x00000008: Port 3 Counter Match Intr En */
	#define BMSK_MCU_INT_CNTRL_STAT_PORT2_INT_EN	(1<<2) /* == 0x00000004: Port 2 Counter Match Intr En */
	#define BMSK_MCU_INT_CNTRL_STAT_PORT1_INT_EN	(1<<1) /* == 0x00000002: Port 1 Counter Match Intr En */
	#define BMSK_MCU_INT_CNTRL_STAT_PORT0_INT_EN	(1<<0) /* == 0x00000001: Port 0 Counter Match Intr En */
	/* Register BITFIELD for MCU_INT_CNTRL_STAT - roff, lsb, width, mask */
	#define BITFIELD_MCU_INT_CNTRL_STAT_RESERVED_6	 0x007c, 22, 10, 0xffc00000
	#define BITFIELD_MCU_INT_CNTRL_STAT_PORT5_INT_ST	 0x007c, 21, 1, 0x00200000
	#define BITFIELD_MCU_INT_CNTRL_STAT_PORT4_INT_ST	 0x007c, 20, 1, 0x00100000
	#define BITFIELD_MCU_INT_CNTRL_STAT_PORT3_INT_ST	 0x007c, 19, 1, 0x00080000
	#define BITFIELD_MCU_INT_CNTRL_STAT_PORT2_INT_ST	 0x007c, 18, 1, 0x00040000
	#define BITFIELD_MCU_INT_CNTRL_STAT_PORT1_INT_ST	 0x007c, 17, 1, 0x00020000
	#define BITFIELD_MCU_INT_CNTRL_STAT_PORT0_INT_ST	 0x007c, 16, 1, 0x00010000
	#define BITFIELD_MCU_INT_CNTRL_STAT_RESERVED_7	 0x007c, 6, 10, 0x0000ffc0
	#define BITFIELD_MCU_INT_CNTRL_STAT_PORT5_INT_EN	 0x007c, 5, 1, 0x00000020
	#define BITFIELD_MCU_INT_CNTRL_STAT_PORT4_INT_EN	 0x007c, 4, 1, 0x00000010
	#define BITFIELD_MCU_INT_CNTRL_STAT_PORT3_INT_EN	 0x007c, 3, 1, 0x00000008
	#define BITFIELD_MCU_INT_CNTRL_STAT_PORT2_INT_EN	 0x007c, 2, 1, 0x00000004
	#define BITFIELD_MCU_INT_CNTRL_STAT_PORT1_INT_EN	 0x007c, 1, 1, 0x00000002
	#define BITFIELD_MCU_INT_CNTRL_STAT_PORT0_INT_EN	 0x007c, 0, 1, 0x00000001


/* Module MCU SPECIFIC SVEN Events */




#endif /* MCU_REGOFFS_H */
