#ifndef HDVCAP_REGOFFS_H
#define HDVCAP_REGOFFS_H 1
/*

  This file is provided under a dual BSD/GPLv2 license.  When using or 
  redistributing this file, you may do so under either license.

  GPL LICENSE SUMMARY

  Copyright(c) 2007-2009 Intel Corporation. All rights reserved.

  This program is free software; you can redistribute it and/or modify 
  it under the terms of version 2 of the GNU General Public License as
  published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful, but 
  WITHOUT ANY WARRANTY; without even the implied warranty of 
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
  General Public License for more details.

  You should have received a copy of the GNU General Public License 
  along with this program; if not, write to the Free Software 
  Foundation, Inc., 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
  The full GNU General Public License is included in this distribution 
  in the file called LICENSE.GPL.

  Contact Information:
    Intel Corporation
    2200 Mission College Blvd.
    Santa Clara, CA  97052

  BSD LICENSE 

  Copyright(c) 2007-2009 Intel Corporation. All rights reserved.
  All rights reserved.

  Redistribution and use in source and binary forms, with or without 
  modification, are permitted provided that the following conditions 
  are met:

    * Redistributions of source code must retain the above copyright 
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright 
      notice, this list of conditions and the following disclaimer in 
      the documentation and/or other materials provided with the 
      distribution.
    * Neither the name of Intel Corporation nor the names of its 
      contributors may be used to endorse or promote products derived 
      from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

*/


/* Module HDVCAP CSR Definitions */
/* WARNING: This file is Machine Generated using sven_csr.c */


#define ROFF_HDVCAP_GLOBAL_CTL	0x0 /*  */ 
	#define BITFIELD_HDVCAP_GLOBAL_CTL	 0x0000, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_GLOBAL_CTL */
	#define BLSB_HDVCAP_GLOBAL_CTL_RESERVED	4
	#define BLSB_HDVCAP_GLOBAL_CTL_HDMI_INPUT_SELECT	3
	#define BLSB_HDVCAP_GLOBAL_CTL_CAP_INPUT_DISABLE	2
	#define BLSB_HDVCAP_GLOBAL_CTL_CAP_CLK_INV_CTRL	1
	#define BLSB_HDVCAP_GLOBAL_CTL_HDVCAP_ENABLE	0
	/* Register Bit Widths for HDVCAP_GLOBAL_CTL */
	#define BWID_HDVCAP_GLOBAL_CTL_RESERVED	28
	#define BWID_HDVCAP_GLOBAL_CTL_HDMI_INPUT_SELECT	1
	#define BWID_HDVCAP_GLOBAL_CTL_CAP_INPUT_DISABLE	1
	#define BWID_HDVCAP_GLOBAL_CTL_CAP_CLK_INV_CTRL	1
	#define BWID_HDVCAP_GLOBAL_CTL_HDVCAP_ENABLE	1
	/* Register Bit MASKS for HDVCAP_GLOBAL_CTL */
	#define BMSK_HDVCAP_GLOBAL_CTL_RESERVED	0xfffffff0 /*  */
	#define BMSK_HDVCAP_GLOBAL_CTL_HDMI_INPUT_SELECT	(1<<3) /* == 0x00000008:  */
	#define BMSK_HDVCAP_GLOBAL_CTL_CAP_INPUT_DISABLE	(1<<2) /* == 0x00000004:  */
	#define BMSK_HDVCAP_GLOBAL_CTL_CAP_CLK_INV_CTRL	(1<<1) /* == 0x00000002:  */
	#define BMSK_HDVCAP_GLOBAL_CTL_HDVCAP_ENABLE	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for HDVCAP_GLOBAL_CTL - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_GLOBAL_CTL_RESERVED	 0x0000, 4, 28, 0xfffffff0
	#define BITFIELD_HDVCAP_GLOBAL_CTL_HDMI_INPUT_SELECT	 0x0000, 3, 1, 0x00000008
	#define BITFIELD_HDVCAP_GLOBAL_CTL_CAP_INPUT_DISABLE	 0x0000, 2, 1, 0x00000004
	#define BITFIELD_HDVCAP_GLOBAL_CTL_CAP_CLK_INV_CTRL	 0x0000, 1, 1, 0x00000002
	#define BITFIELD_HDVCAP_GLOBAL_CTL_HDVCAP_ENABLE	 0x0000, 0, 1, 0x00000001
#define ROFF_HDVCAP_VIDEO_CTL	0x4 /*  */ 
	#define BITFIELD_HDVCAP_VIDEO_CTL	 0x0004, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_VIDEO_CTL */
	#define BLSB_HDVCAP_VIDEO_CTL_RESERVED	25
	#define BLSB_HDVCAP_VIDEO_CTL_422_TO_444_FILTER_CLAMPING_DISABLE	24
	#define BLSB_HDVCAP_VIDEO_CTL_HORIZONTAL_DOWNSCALER_CLAMPING_DISABLE	23
	#define BLSB_HDVCAP_VIDEO_CTL_444_TO_422_FILTER_CLAMPING_DISABLE	22
	#define BLSB_HDVCAP_VIDEO_CTL_422_TO_444_CONV_FILTER	21
	#define BLSB_HDVCAP_VIDEO_CTL_HORIZONTAL_DOWNSCALER	20
	#define BLSB_HDVCAP_VIDEO_CTL_12BIT_TO_10_8Bit_DITHERING	17
	#define BLSB_HDVCAP_VIDEO_CTL_444_TO_422_CONV_FILTER	15
	#define BLSB_HDVCAP_VIDEO_CTL_CSC_EN	14
	#define BLSB_HDVCAP_VIDEO_CTL_EXT_DE_POLARITY	13
	#define BLSB_HDVCAP_VIDEO_CTL_EXT_VSYNC_POLARITY	12
	#define BLSB_HDVCAP_VIDEO_CTL_EXT_HSYNC_POLARITY	11
	#define BLSB_HDVCAP_VIDEO_CTL_PROGRESSIVE_SCAN_MODE	10
	#define BLSB_HDVCAP_VIDEO_CTL_BT656_SWAP_MODE	8
	#define BLSB_HDVCAP_VIDEO_CTL_VIDEO_INPUT_MODE	5
	#define BLSB_HDVCAP_VIDEO_CTL_VIDEO_FMT_MODE	0
	/* Register Bit Widths for HDVCAP_VIDEO_CTL */
	#define BWID_HDVCAP_VIDEO_CTL_RESERVED	7
	#define BWID_HDVCAP_VIDEO_CTL_422_TO_444_FILTER_CLAMPING_DISABLE	1
	#define BWID_HDVCAP_VIDEO_CTL_HORIZONTAL_DOWNSCALER_CLAMPING_DISABLE	1
	#define BWID_HDVCAP_VIDEO_CTL_444_TO_422_FILTER_CLAMPING_DISABLE	1
	#define BWID_HDVCAP_VIDEO_CTL_422_TO_444_CONV_FILTER	1
	#define BWID_HDVCAP_VIDEO_CTL_HORIZONTAL_DOWNSCALER	1
	#define BWID_HDVCAP_VIDEO_CTL_12BIT_TO_10_8Bit_DITHERING	3
	#define BWID_HDVCAP_VIDEO_CTL_444_TO_422_CONV_FILTER	2
	#define BWID_HDVCAP_VIDEO_CTL_CSC_EN	1
	#define BWID_HDVCAP_VIDEO_CTL_EXT_DE_POLARITY	1
	#define BWID_HDVCAP_VIDEO_CTL_EXT_VSYNC_POLARITY	1
	#define BWID_HDVCAP_VIDEO_CTL_EXT_HSYNC_POLARITY	1
	#define BWID_HDVCAP_VIDEO_CTL_PROGRESSIVE_SCAN_MODE	1
	#define BWID_HDVCAP_VIDEO_CTL_BT656_SWAP_MODE	2
	#define BWID_HDVCAP_VIDEO_CTL_VIDEO_INPUT_MODE	3
	#define BWID_HDVCAP_VIDEO_CTL_VIDEO_FMT_MODE	5
	/* Register Bit MASKS for HDVCAP_VIDEO_CTL */
	#define BMSK_HDVCAP_VIDEO_CTL_RESERVED	0xfe000000 /*  */
	#define BMSK_HDVCAP_VIDEO_CTL_422_TO_444_FILTER_CLAMPING_DISABLE	(1<<24) /* == 0x01000000:  */
	#define BMSK_HDVCAP_VIDEO_CTL_HORIZONTAL_DOWNSCALER_CLAMPING_DISABLE	(1<<23) /* == 0x00800000:  */
	#define BMSK_HDVCAP_VIDEO_CTL_444_TO_422_FILTER_CLAMPING_DISABLE	(1<<22) /* == 0x00400000:  */
	#define BMSK_HDVCAP_VIDEO_CTL_422_TO_444_CONV_FILTER	(1<<21) /* == 0x00200000:  */
	#define BMSK_HDVCAP_VIDEO_CTL_HORIZONTAL_DOWNSCALER	(1<<20) /* == 0x00100000:  */
	#define BMSK_HDVCAP_VIDEO_CTL_12BIT_TO_10_8Bit_DITHERING	0x000e0000 /*  */
	#define BMSK_HDVCAP_VIDEO_CTL_444_TO_422_CONV_FILTER	0x00018000 /*  */
	#define BMSK_HDVCAP_VIDEO_CTL_CSC_EN	(1<<14) /* == 0x00004000:  */
	#define BMSK_HDVCAP_VIDEO_CTL_EXT_DE_POLARITY	(1<<13) /* == 0x00002000:  */
	#define BMSK_HDVCAP_VIDEO_CTL_EXT_VSYNC_POLARITY	(1<<12) /* == 0x00001000:  */
	#define BMSK_HDVCAP_VIDEO_CTL_EXT_HSYNC_POLARITY	(1<<11) /* == 0x00000800:  */
	#define BMSK_HDVCAP_VIDEO_CTL_PROGRESSIVE_SCAN_MODE	(1<<10) /* == 0x00000400:  */
	#define BMSK_HDVCAP_VIDEO_CTL_BT656_SWAP_MODE	0x00000300 /*  */
	#define BMSK_HDVCAP_VIDEO_CTL_VIDEO_INPUT_MODE	0x000000e0 /*  */
	#define BMSK_HDVCAP_VIDEO_CTL_VIDEO_FMT_MODE	0x0000001f /*  */
	/* Register BITFIELD for HDVCAP_VIDEO_CTL - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_VIDEO_CTL_RESERVED	 0x0004, 25, 7, 0xfe000000
	#define BITFIELD_HDVCAP_VIDEO_CTL_422_TO_444_FILTER_CLAMPING_DISABLE	 0x0004, 24, 1, 0x01000000
	#define BITFIELD_HDVCAP_VIDEO_CTL_HORIZONTAL_DOWNSCALER_CLAMPING_DISABLE	 0x0004, 23, 1, 0x00800000
	#define BITFIELD_HDVCAP_VIDEO_CTL_444_TO_422_FILTER_CLAMPING_DISABLE	 0x0004, 22, 1, 0x00400000
	#define BITFIELD_HDVCAP_VIDEO_CTL_422_TO_444_CONV_FILTER	 0x0004, 21, 1, 0x00200000
	#define BITFIELD_HDVCAP_VIDEO_CTL_HORIZONTAL_DOWNSCALER	 0x0004, 20, 1, 0x00100000
	#define BITFIELD_HDVCAP_VIDEO_CTL_12BIT_TO_10_8Bit_DITHERING	 0x0004, 17, 3, 0x000e0000
	#define BITFIELD_HDVCAP_VIDEO_CTL_444_TO_422_CONV_FILTER	 0x0004, 15, 2, 0x00018000
	#define BITFIELD_HDVCAP_VIDEO_CTL_CSC_EN	 0x0004, 14, 1, 0x00004000
	#define BITFIELD_HDVCAP_VIDEO_CTL_EXT_DE_POLARITY	 0x0004, 13, 1, 0x00002000
	#define BITFIELD_HDVCAP_VIDEO_CTL_EXT_VSYNC_POLARITY	 0x0004, 12, 1, 0x00001000
	#define BITFIELD_HDVCAP_VIDEO_CTL_EXT_HSYNC_POLARITY	 0x0004, 11, 1, 0x00000800
	#define BITFIELD_HDVCAP_VIDEO_CTL_PROGRESSIVE_SCAN_MODE	 0x0004, 10, 1, 0x00000400
	#define BITFIELD_HDVCAP_VIDEO_CTL_BT656_SWAP_MODE	 0x0004, 8, 2, 0x00000300
	#define BITFIELD_HDVCAP_VIDEO_CTL_VIDEO_INPUT_MODE	 0x0004, 5, 3, 0x000000e0
	#define BITFIELD_HDVCAP_VIDEO_CTL_VIDEO_FMT_MODE	 0x0004, 0, 5, 0x0000001f
#define ROFF_HDVCAP_PDMA_CTL	0x8 /*  */ 
	#define BITFIELD_HDVCAP_PDMA_CTL	 0x0008, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_PDMA_CTL */
	#define BLSB_HDVCAP_PDMA_CTL_RESERVED1	24
	#define BLSB_HDVCAP_PDMA_CTL_ALPHA_VALUE	16
	#define BLSB_HDVCAP_PDMA_CTL_RESERVED	7
	#define BLSB_HDVCAP_PDMA_CTL_ADDRESS_OUT_OF_RANGE_ENABLE	6
	#define BLSB_HDVCAP_PDMA_CTL_FIELD_0_FIRST	5
	#define BLSB_HDVCAP_PDMA_CTL_STALL_PIXEL_DMA	4
	#define BLSB_HDVCAP_PDMA_CTL_PACK_MODE	3
	#define BLSB_HDVCAP_PDMA_CTL_PDMA_FIFO_AUTO_CLEAR_DISABLE	2
	#define BLSB_HDVCAP_PDMA_CTL_PDMA_TRANSFER_SIZE	0
	/* Register Bit Widths for HDVCAP_PDMA_CTL */
	#define BWID_HDVCAP_PDMA_CTL_RESERVED1	8
	#define BWID_HDVCAP_PDMA_CTL_ALPHA_VALUE	8
	#define BWID_HDVCAP_PDMA_CTL_RESERVED	9
	#define BWID_HDVCAP_PDMA_CTL_ADDRESS_OUT_OF_RANGE_ENABLE	1
	#define BWID_HDVCAP_PDMA_CTL_FIELD_0_FIRST	1
	#define BWID_HDVCAP_PDMA_CTL_STALL_PIXEL_DMA	1
	#define BWID_HDVCAP_PDMA_CTL_PACK_MODE	1
	#define BWID_HDVCAP_PDMA_CTL_PDMA_FIFO_AUTO_CLEAR_DISABLE	1
	#define BWID_HDVCAP_PDMA_CTL_PDMA_TRANSFER_SIZE	2
	/* Register Bit MASKS for HDVCAP_PDMA_CTL */
	#define BMSK_HDVCAP_PDMA_CTL_RESERVED1	0xff000000 /*  */
	#define BMSK_HDVCAP_PDMA_CTL_ALPHA_VALUE	0x00ff0000 /*  */
	#define BMSK_HDVCAP_PDMA_CTL_RESERVED	0x0000ff80 /*  */
	#define BMSK_HDVCAP_PDMA_CTL_ADDRESS_OUT_OF_RANGE_ENABLE	(1<<6) /* == 0x00000040:  */
	#define BMSK_HDVCAP_PDMA_CTL_FIELD_0_FIRST	(1<<5) /* == 0x00000020:  */
	#define BMSK_HDVCAP_PDMA_CTL_STALL_PIXEL_DMA	(1<<4) /* == 0x00000010:  */
	#define BMSK_HDVCAP_PDMA_CTL_PACK_MODE	(1<<3) /* == 0x00000008:  */
	#define BMSK_HDVCAP_PDMA_CTL_PDMA_FIFO_AUTO_CLEAR_DISABLE	(1<<2) /* == 0x00000004:  */
	#define BMSK_HDVCAP_PDMA_CTL_PDMA_TRANSFER_SIZE	0x00000003 /*  */
	/* Register BITFIELD for HDVCAP_PDMA_CTL - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_PDMA_CTL_RESERVED1	 0x0008, 24, 8, 0xff000000
	#define BITFIELD_HDVCAP_PDMA_CTL_ALPHA_VALUE	 0x0008, 16, 8, 0x00ff0000
	#define BITFIELD_HDVCAP_PDMA_CTL_RESERVED	 0x0008, 7, 9, 0x0000ff80
	#define BITFIELD_HDVCAP_PDMA_CTL_ADDRESS_OUT_OF_RANGE_ENABLE	 0x0008, 6, 1, 0x00000040
	#define BITFIELD_HDVCAP_PDMA_CTL_FIELD_0_FIRST	 0x0008, 5, 1, 0x00000020
	#define BITFIELD_HDVCAP_PDMA_CTL_STALL_PIXEL_DMA	 0x0008, 4, 1, 0x00000010
	#define BITFIELD_HDVCAP_PDMA_CTL_PACK_MODE	 0x0008, 3, 1, 0x00000008
	#define BITFIELD_HDVCAP_PDMA_CTL_PDMA_FIFO_AUTO_CLEAR_DISABLE	 0x0008, 2, 1, 0x00000004
	#define BITFIELD_HDVCAP_PDMA_CTL_PDMA_TRANSFER_SIZE	 0x0008, 0, 2, 0x00000003
#define ROFF_HDVCAP_INT_STATUS	0xc /*  */ 
	#define BITFIELD_HDVCAP_INT_STATUS	 0x000c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_INT_STATUS */
	#define BLSB_HDVCAP_INT_STATUS_RESERVED	10
	#define BLSB_HDVCAP_INT_STATUS_PDMA_FIFO_OVERRUN_INT	9
	#define BLSB_HDVCAP_INT_STATUS_PDMA_FIFO_UNDERRUN_INT	8
	#define BLSB_HDVCAP_INT_STATUS_BUF1_FIELD1_DNE_INT	7
	#define BLSB_HDVCAP_INT_STATUS_BUF1_FIELD0_DNE_INT	6
	#define BLSB_HDVCAP_INT_STATUS_BUF0_FIELD1_DNE_INT	5
	#define BLSB_HDVCAP_INT_STATUS_BUF0_FIELD0_DNE_INT	4
	#define BLSB_HDVCAP_INT_STATUS_BUF_B_OUT_OF_RANGE_INT	3
	#define BLSB_HDVCAP_INT_STATUS_BUF_A_OUT_OF_RANGE_INT	2
	#define BLSB_HDVCAP_INT_STATUS_PDMA_STALL_INT	1
	#define BLSB_HDVCAP_INT_STATUS_VIDEO_SYNC_LOSS_INT	0
	/* Register Bit Widths for HDVCAP_INT_STATUS */
	#define BWID_HDVCAP_INT_STATUS_RESERVED	22
	#define BWID_HDVCAP_INT_STATUS_PDMA_FIFO_OVERRUN_INT	1
	#define BWID_HDVCAP_INT_STATUS_PDMA_FIFO_UNDERRUN_INT	1
	#define BWID_HDVCAP_INT_STATUS_BUF1_FIELD1_DNE_INT	1
	#define BWID_HDVCAP_INT_STATUS_BUF1_FIELD0_DNE_INT	1
	#define BWID_HDVCAP_INT_STATUS_BUF0_FIELD1_DNE_INT	1
	#define BWID_HDVCAP_INT_STATUS_BUF0_FIELD0_DNE_INT	1
	#define BWID_HDVCAP_INT_STATUS_BUF_B_OUT_OF_RANGE_INT	1
	#define BWID_HDVCAP_INT_STATUS_BUF_A_OUT_OF_RANGE_INT	1
	#define BWID_HDVCAP_INT_STATUS_PDMA_STALL_INT	1
	#define BWID_HDVCAP_INT_STATUS_VIDEO_SYNC_LOSS_INT	1
	/* Register Bit MASKS for HDVCAP_INT_STATUS */
	#define BMSK_HDVCAP_INT_STATUS_RESERVED	0xfffffc00 /*  */
	#define BMSK_HDVCAP_INT_STATUS_PDMA_FIFO_OVERRUN_INT	(1<<9) /* == 0x00000200:  */
	#define BMSK_HDVCAP_INT_STATUS_PDMA_FIFO_UNDERRUN_INT	(1<<8) /* == 0x00000100:  */
	#define BMSK_HDVCAP_INT_STATUS_BUF1_FIELD1_DNE_INT	(1<<7) /* == 0x00000080:  */
	#define BMSK_HDVCAP_INT_STATUS_BUF1_FIELD0_DNE_INT	(1<<6) /* == 0x00000040:  */
	#define BMSK_HDVCAP_INT_STATUS_BUF0_FIELD1_DNE_INT	(1<<5) /* == 0x00000020:  */
	#define BMSK_HDVCAP_INT_STATUS_BUF0_FIELD0_DNE_INT	(1<<4) /* == 0x00000010:  */
	#define BMSK_HDVCAP_INT_STATUS_BUF_B_OUT_OF_RANGE_INT	(1<<3) /* == 0x00000008:  */
	#define BMSK_HDVCAP_INT_STATUS_BUF_A_OUT_OF_RANGE_INT	(1<<2) /* == 0x00000004:  */
	#define BMSK_HDVCAP_INT_STATUS_PDMA_STALL_INT	(1<<1) /* == 0x00000002:  */
	#define BMSK_HDVCAP_INT_STATUS_VIDEO_SYNC_LOSS_INT	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for HDVCAP_INT_STATUS - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_INT_STATUS_RESERVED	 0x000c, 10, 22, 0xfffffc00
	#define BITFIELD_HDVCAP_INT_STATUS_PDMA_FIFO_OVERRUN_INT	 0x000c, 9, 1, 0x00000200
	#define BITFIELD_HDVCAP_INT_STATUS_PDMA_FIFO_UNDERRUN_INT	 0x000c, 8, 1, 0x00000100
	#define BITFIELD_HDVCAP_INT_STATUS_BUF1_FIELD1_DNE_INT	 0x000c, 7, 1, 0x00000080
	#define BITFIELD_HDVCAP_INT_STATUS_BUF1_FIELD0_DNE_INT	 0x000c, 6, 1, 0x00000040
	#define BITFIELD_HDVCAP_INT_STATUS_BUF0_FIELD1_DNE_INT	 0x000c, 5, 1, 0x00000020
	#define BITFIELD_HDVCAP_INT_STATUS_BUF0_FIELD0_DNE_INT	 0x000c, 4, 1, 0x00000010
	#define BITFIELD_HDVCAP_INT_STATUS_BUF_B_OUT_OF_RANGE_INT	 0x000c, 3, 1, 0x00000008
	#define BITFIELD_HDVCAP_INT_STATUS_BUF_A_OUT_OF_RANGE_INT	 0x000c, 2, 1, 0x00000004
	#define BITFIELD_HDVCAP_INT_STATUS_PDMA_STALL_INT	 0x000c, 1, 1, 0x00000002
	#define BITFIELD_HDVCAP_INT_STATUS_VIDEO_SYNC_LOSS_INT	 0x000c, 0, 1, 0x00000001
#define ROFF_HDVCAP_INT_MASK	0x10 /*  */ 
	#define BITFIELD_HDVCAP_INT_MASK	 0x0010, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_INT_MASK */
	#define BLSB_HDVCAP_INT_MASK_RESERVED	10
	#define BLSB_HDVCAP_INT_MASK_PDMA_FIFO_OVERRUN_INT	9
	#define BLSB_HDVCAP_INT_MASK_PDMA_FIFO_UNDERRUN_INT	8
	#define BLSB_HDVCAP_INT_MASK_BUF1_FIELD1_DNE_INT	7
	#define BLSB_HDVCAP_INT_MASK_BUF1_FIELD0_DNE_INT	6
	#define BLSB_HDVCAP_INT_MASK_BUF0_FIELD1_DNE_INT	5
	#define BLSB_HDVCAP_INT_MASK_BUF0_FIELD0_DNE_INT	4
	#define BLSB_HDVCAP_INT_MASK_BUF_B_OUT_OF_RANGE_INT	3
	#define BLSB_HDVCAP_INT_MASK_BUF_A_OUT_OF_RANGE_INT	2
	#define BLSB_HDVCAP_INT_MASK_PDMA_STALL_INT	1
	#define BLSB_HDVCAP_INT_MASK_VIDEO_SYNC_LOSS_INT	0
	/* Register Bit Widths for HDVCAP_INT_MASK */
	#define BWID_HDVCAP_INT_MASK_RESERVED	22
	#define BWID_HDVCAP_INT_MASK_PDMA_FIFO_OVERRUN_INT	1
	#define BWID_HDVCAP_INT_MASK_PDMA_FIFO_UNDERRUN_INT	1
	#define BWID_HDVCAP_INT_MASK_BUF1_FIELD1_DNE_INT	1
	#define BWID_HDVCAP_INT_MASK_BUF1_FIELD0_DNE_INT	1
	#define BWID_HDVCAP_INT_MASK_BUF0_FIELD1_DNE_INT	1
	#define BWID_HDVCAP_INT_MASK_BUF0_FIELD0_DNE_INT	1
	#define BWID_HDVCAP_INT_MASK_BUF_B_OUT_OF_RANGE_INT	1
	#define BWID_HDVCAP_INT_MASK_BUF_A_OUT_OF_RANGE_INT	1
	#define BWID_HDVCAP_INT_MASK_PDMA_STALL_INT	1
	#define BWID_HDVCAP_INT_MASK_VIDEO_SYNC_LOSS_INT	1
	/* Register Bit MASKS for HDVCAP_INT_MASK */
	#define BMSK_HDVCAP_INT_MASK_RESERVED	0xfffffc00 /*  */
	#define BMSK_HDVCAP_INT_MASK_PDMA_FIFO_OVERRUN_INT	(1<<9) /* == 0x00000200:  */
	#define BMSK_HDVCAP_INT_MASK_PDMA_FIFO_UNDERRUN_INT	(1<<8) /* == 0x00000100:  */
	#define BMSK_HDVCAP_INT_MASK_BUF1_FIELD1_DNE_INT	(1<<7) /* == 0x00000080:  */
	#define BMSK_HDVCAP_INT_MASK_BUF1_FIELD0_DNE_INT	(1<<6) /* == 0x00000040:  */
	#define BMSK_HDVCAP_INT_MASK_BUF0_FIELD1_DNE_INT	(1<<5) /* == 0x00000020:  */
	#define BMSK_HDVCAP_INT_MASK_BUF0_FIELD0_DNE_INT	(1<<4) /* == 0x00000010:  */
	#define BMSK_HDVCAP_INT_MASK_BUF_B_OUT_OF_RANGE_INT	(1<<3) /* == 0x00000008:  */
	#define BMSK_HDVCAP_INT_MASK_BUF_A_OUT_OF_RANGE_INT	(1<<2) /* == 0x00000004:  */
	#define BMSK_HDVCAP_INT_MASK_PDMA_STALL_INT	(1<<1) /* == 0x00000002:  */
	#define BMSK_HDVCAP_INT_MASK_VIDEO_SYNC_LOSS_INT	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for HDVCAP_INT_MASK - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_INT_MASK_RESERVED	 0x0010, 10, 22, 0xfffffc00
	#define BITFIELD_HDVCAP_INT_MASK_PDMA_FIFO_OVERRUN_INT	 0x0010, 9, 1, 0x00000200
	#define BITFIELD_HDVCAP_INT_MASK_PDMA_FIFO_UNDERRUN_INT	 0x0010, 8, 1, 0x00000100
	#define BITFIELD_HDVCAP_INT_MASK_BUF1_FIELD1_DNE_INT	 0x0010, 7, 1, 0x00000080
	#define BITFIELD_HDVCAP_INT_MASK_BUF1_FIELD0_DNE_INT	 0x0010, 6, 1, 0x00000040
	#define BITFIELD_HDVCAP_INT_MASK_BUF0_FIELD1_DNE_INT	 0x0010, 5, 1, 0x00000020
	#define BITFIELD_HDVCAP_INT_MASK_BUF0_FIELD0_DNE_INT	 0x0010, 4, 1, 0x00000010
	#define BITFIELD_HDVCAP_INT_MASK_BUF_B_OUT_OF_RANGE_INT	 0x0010, 3, 1, 0x00000008
	#define BITFIELD_HDVCAP_INT_MASK_BUF_A_OUT_OF_RANGE_INT	 0x0010, 2, 1, 0x00000004
	#define BITFIELD_HDVCAP_INT_MASK_PDMA_STALL_INT	 0x0010, 1, 1, 0x00000002
	#define BITFIELD_HDVCAP_INT_MASK_VIDEO_SYNC_LOSS_INT	 0x0010, 0, 1, 0x00000001
#define ROFF_HDVCAP_LINE_START_0	0x14 /*  */ 
	#define BITFIELD_HDVCAP_LINE_START_0	 0x0014, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_LINE_START_0 */
	#define BLSB_HDVCAP_LINE_START_0_RESERVED	13
	#define BLSB_HDVCAP_LINE_START_0_LINE_START_NUM_FOR_FIELD0_CAP	0
	/* Register Bit Widths for HDVCAP_LINE_START_0 */
	#define BWID_HDVCAP_LINE_START_0_RESERVED	19
	#define BWID_HDVCAP_LINE_START_0_LINE_START_NUM_FOR_FIELD0_CAP	13
	/* Register Bit MASKS for HDVCAP_LINE_START_0 */
	#define BMSK_HDVCAP_LINE_START_0_RESERVED	0xffffe000 /*  */
	#define BMSK_HDVCAP_LINE_START_0_LINE_START_NUM_FOR_FIELD0_CAP	0x00001fff /*  */
	/* Register BITFIELD for HDVCAP_LINE_START_0 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_LINE_START_0_RESERVED	 0x0014, 13, 19, 0xffffe000
	#define BITFIELD_HDVCAP_LINE_START_0_LINE_START_NUM_FOR_FIELD0_CAP	 0x0014, 0, 13, 0x00001fff
#define ROFF_HDVCAP_LINE_END_0	0x18 /*  */ 
	#define BITFIELD_HDVCAP_LINE_END_0	 0x0018, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_LINE_END_0 */
	#define BLSB_HDVCAP_LINE_END_0_RESERVED	13
	#define BLSB_HDVCAP_LINE_END_0_LINE_END_NUM_FOR_FIELD0_CAP	0
	/* Register Bit Widths for HDVCAP_LINE_END_0 */
	#define BWID_HDVCAP_LINE_END_0_RESERVED	19
	#define BWID_HDVCAP_LINE_END_0_LINE_END_NUM_FOR_FIELD0_CAP	13
	/* Register Bit MASKS for HDVCAP_LINE_END_0 */
	#define BMSK_HDVCAP_LINE_END_0_RESERVED	0xffffe000 /*  */
	#define BMSK_HDVCAP_LINE_END_0_LINE_END_NUM_FOR_FIELD0_CAP	0x00001fff /*  */
	/* Register BITFIELD for HDVCAP_LINE_END_0 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_LINE_END_0_RESERVED	 0x0018, 13, 19, 0xffffe000
	#define BITFIELD_HDVCAP_LINE_END_0_LINE_END_NUM_FOR_FIELD0_CAP	 0x0018, 0, 13, 0x00001fff
#define ROFF_HDVCAP_LINE_START_1	0x1c /*  */ 
	#define BITFIELD_HDVCAP_LINE_START_1	 0x001c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_LINE_START_1 */
	#define BLSB_HDVCAP_LINE_START_1_RESERVED	13
	#define BLSB_HDVCAP_LINE_START_1_LINE_START_NUM_FOR_FIELD1_CAP	0
	/* Register Bit Widths for HDVCAP_LINE_START_1 */
	#define BWID_HDVCAP_LINE_START_1_RESERVED	19
	#define BWID_HDVCAP_LINE_START_1_LINE_START_NUM_FOR_FIELD1_CAP	13
	/* Register Bit MASKS for HDVCAP_LINE_START_1 */
	#define BMSK_HDVCAP_LINE_START_1_RESERVED	0xffffe000 /*  */
	#define BMSK_HDVCAP_LINE_START_1_LINE_START_NUM_FOR_FIELD1_CAP	0x00001fff /*  */
	/* Register BITFIELD for HDVCAP_LINE_START_1 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_LINE_START_1_RESERVED	 0x001c, 13, 19, 0xffffe000
	#define BITFIELD_HDVCAP_LINE_START_1_LINE_START_NUM_FOR_FIELD1_CAP	 0x001c, 0, 13, 0x00001fff
#define ROFF_HDVCAP_LINE_END_1	0x20 /*  */ 
	#define BITFIELD_HDVCAP_LINE_END_1	 0x0020, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_LINE_END_1 */
	#define BLSB_HDVCAP_LINE_END_1_RESERVED	13
	#define BLSB_HDVCAP_LINE_END_1_LINE_END_NUM_FOR_FIELD1_CAP	0
	/* Register Bit Widths for HDVCAP_LINE_END_1 */
	#define BWID_HDVCAP_LINE_END_1_RESERVED	19
	#define BWID_HDVCAP_LINE_END_1_LINE_END_NUM_FOR_FIELD1_CAP	13
	/* Register Bit MASKS for HDVCAP_LINE_END_1 */
	#define BMSK_HDVCAP_LINE_END_1_RESERVED	0xffffe000 /*  */
	#define BMSK_HDVCAP_LINE_END_1_LINE_END_NUM_FOR_FIELD1_CAP	0x00001fff /*  */
	/* Register BITFIELD for HDVCAP_LINE_END_1 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_LINE_END_1_RESERVED	 0x0020, 13, 19, 0xffffe000
	#define BITFIELD_HDVCAP_LINE_END_1_LINE_END_NUM_FOR_FIELD1_CAP	 0x0020, 0, 13, 0x00001fff
#define ROFF_HDVCAP_BUF_A_FRAME_0	0x24 /*  */ 
	#define BITFIELD_HDVCAP_BUF_A_FRAME_0	 0x0024, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_BUF_A_FRAME_0 */
	#define BLSB_HDVCAP_BUF_A_FRAME_0_BUF_A_FRAME_0_BASE_ADDR_PTR	3
	#define BLSB_HDVCAP_BUF_A_FRAME_0_RESERVED	0
	/* Register Bit Widths for HDVCAP_BUF_A_FRAME_0 */
	#define BWID_HDVCAP_BUF_A_FRAME_0_BUF_A_FRAME_0_BASE_ADDR_PTR	29
	#define BWID_HDVCAP_BUF_A_FRAME_0_RESERVED	3
	/* Register Bit MASKS for HDVCAP_BUF_A_FRAME_0 */
	#define BMSK_HDVCAP_BUF_A_FRAME_0_BUF_A_FRAME_0_BASE_ADDR_PTR	0xfffffff8 /*  */
	#define BMSK_HDVCAP_BUF_A_FRAME_0_RESERVED	0x00000007 /*  */
	/* Register BITFIELD for HDVCAP_BUF_A_FRAME_0 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_BUF_A_FRAME_0_BUF_A_FRAME_0_BASE_ADDR_PTR	 0x0024, 3, 29, 0xfffffff8
	#define BITFIELD_HDVCAP_BUF_A_FRAME_0_RESERVED	 0x0024, 0, 3, 0x00000007
#define ROFF_HDVCAP_BUF_B_FRAME_0	0x28 /*  */ 
	#define BITFIELD_HDVCAP_BUF_B_FRAME_0	 0x0028, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_BUF_B_FRAME_0 */
	#define BLSB_HDVCAP_BUF_B_FRAME_0_BUF_B_FRAME_0_BASE_ADDR_PTR	3
	#define BLSB_HDVCAP_BUF_B_FRAME_0_RESERVED	0
	/* Register Bit Widths for HDVCAP_BUF_B_FRAME_0 */
	#define BWID_HDVCAP_BUF_B_FRAME_0_BUF_B_FRAME_0_BASE_ADDR_PTR	29
	#define BWID_HDVCAP_BUF_B_FRAME_0_RESERVED	3
	/* Register Bit MASKS for HDVCAP_BUF_B_FRAME_0 */
	#define BMSK_HDVCAP_BUF_B_FRAME_0_BUF_B_FRAME_0_BASE_ADDR_PTR	0xfffffff8 /*  */
	#define BMSK_HDVCAP_BUF_B_FRAME_0_RESERVED	0x00000007 /*  */
	/* Register BITFIELD for HDVCAP_BUF_B_FRAME_0 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_BUF_B_FRAME_0_BUF_B_FRAME_0_BASE_ADDR_PTR	 0x0028, 3, 29, 0xfffffff8
	#define BITFIELD_HDVCAP_BUF_B_FRAME_0_RESERVED	 0x0028, 0, 3, 0x00000007
#define ROFF_HDVCAP_BUF_A_FRAME_1	0x2c /*  */ 
	#define BITFIELD_HDVCAP_BUF_A_FRAME_1	 0x002c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_BUF_A_FRAME_1 */
	#define BLSB_HDVCAP_BUF_A_FRAME_1_BUF_A_FRAME_1_BASE_ADDR_PTR	3
	#define BLSB_HDVCAP_BUF_A_FRAME_1_RESERVED	0
	/* Register Bit Widths for HDVCAP_BUF_A_FRAME_1 */
	#define BWID_HDVCAP_BUF_A_FRAME_1_BUF_A_FRAME_1_BASE_ADDR_PTR	29
	#define BWID_HDVCAP_BUF_A_FRAME_1_RESERVED	3
	/* Register Bit MASKS for HDVCAP_BUF_A_FRAME_1 */
	#define BMSK_HDVCAP_BUF_A_FRAME_1_BUF_A_FRAME_1_BASE_ADDR_PTR	0xfffffff8 /*  */
	#define BMSK_HDVCAP_BUF_A_FRAME_1_RESERVED	0x00000007 /*  */
	/* Register BITFIELD for HDVCAP_BUF_A_FRAME_1 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_BUF_A_FRAME_1_BUF_A_FRAME_1_BASE_ADDR_PTR	 0x002c, 3, 29, 0xfffffff8
	#define BITFIELD_HDVCAP_BUF_A_FRAME_1_RESERVED	 0x002c, 0, 3, 0x00000007
#define ROFF_HDVCAP_BUF_B_FRAME_1	0x30 /*  */ 
	#define BITFIELD_HDVCAP_BUF_B_FRAME_1	 0x0030, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_BUF_B_FRAME_1 */
	#define BLSB_HDVCAP_BUF_B_FRAME_1_BUF_B_FRAME_1_BASE_ADDR_PTR	3
	#define BLSB_HDVCAP_BUF_B_FRAME_1_RESERVED	0
	/* Register Bit Widths for HDVCAP_BUF_B_FRAME_1 */
	#define BWID_HDVCAP_BUF_B_FRAME_1_BUF_B_FRAME_1_BASE_ADDR_PTR	29
	#define BWID_HDVCAP_BUF_B_FRAME_1_RESERVED	3
	/* Register Bit MASKS for HDVCAP_BUF_B_FRAME_1 */
	#define BMSK_HDVCAP_BUF_B_FRAME_1_BUF_B_FRAME_1_BASE_ADDR_PTR	0xfffffff8 /*  */
	#define BMSK_HDVCAP_BUF_B_FRAME_1_RESERVED	0x00000007 /*  */
	/* Register BITFIELD for HDVCAP_BUF_B_FRAME_1 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_BUF_B_FRAME_1_BUF_B_FRAME_1_BASE_ADDR_PTR	 0x0030, 3, 29, 0xfffffff8
	#define BITFIELD_HDVCAP_BUF_B_FRAME_1_RESERVED	 0x0030, 0, 3, 0x00000007
#define ROFF_HDVCAP_PITCH	0x34 /*  */ 
	#define BITFIELD_HDVCAP_PITCH	 0x0034, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_PITCH */
	#define BLSB_HDVCAP_PITCH_RESERVED	16
	#define BLSB_HDVCAP_PITCH_HORIZONTAL_PITCH_IN_BYTES	0
	/* Register Bit Widths for HDVCAP_PITCH */
	#define BWID_HDVCAP_PITCH_RESERVED	16
	#define BWID_HDVCAP_PITCH_HORIZONTAL_PITCH_IN_BYTES	16
	/* Register Bit MASKS for HDVCAP_PITCH */
	#define BMSK_HDVCAP_PITCH_RESERVED	0xffff0000 /*  */
	#define BMSK_HDVCAP_PITCH_HORIZONTAL_PITCH_IN_BYTES	0x0000ffff /*  */
	/* Register BITFIELD for HDVCAP_PITCH - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_PITCH_RESERVED	 0x0034, 16, 16, 0xffff0000
	#define BITFIELD_HDVCAP_PITCH_HORIZONTAL_PITCH_IN_BYTES	 0x0034, 0, 16, 0x0000ffff
#define ROFF_HDVCAP_BUF_A_SIZE	0x38 /*  */ 
	#define BITFIELD_HDVCAP_BUF_A_SIZE	 0x0038, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_BUF_A_SIZE */
	#define BLSB_HDVCAP_BUF_A_SIZE_BUF_A_SIZE_IN_BYTES	0
	/* Register Bit Widths for HDVCAP_BUF_A_SIZE */
	#define BWID_HDVCAP_BUF_A_SIZE_BUF_A_SIZE_IN_BYTES	32
	/* Register Bit MASKS for HDVCAP_BUF_A_SIZE */
	#define BMSK_HDVCAP_BUF_A_SIZE_BUF_A_SIZE_IN_BYTES	0x00000000 /*  */
	/* Register BITFIELD for HDVCAP_BUF_A_SIZE - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_BUF_A_SIZE_BUF_A_SIZE_IN_BYTES	 0x0038, 0, 32, 0x00000000
#define ROFF_HDVCAP_BUF_B_SIZE	0x3c /*  */ 
	#define BITFIELD_HDVCAP_BUF_B_SIZE	 0x003c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_BUF_B_SIZE */
	#define BLSB_HDVCAP_BUF_B_SIZE_BUF_B_SIZE_IN_BYTES	0
	/* Register Bit Widths for HDVCAP_BUF_B_SIZE */
	#define BWID_HDVCAP_BUF_B_SIZE_BUF_B_SIZE_IN_BYTES	32
	/* Register Bit MASKS for HDVCAP_BUF_B_SIZE */
	#define BMSK_HDVCAP_BUF_B_SIZE_BUF_B_SIZE_IN_BYTES	0x00000000 /*  */
	/* Register BITFIELD for HDVCAP_BUF_B_SIZE - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_BUF_B_SIZE_BUF_B_SIZE_IN_BYTES	 0x003c, 0, 32, 0x00000000
#define ROFF_HDVCAP_TS_CTL	0x40 /*  */ 
	#define BITFIELD_HDVCAP_TS_CTL	 0x0040, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_TS_CTL */
	#define BLSB_HDVCAP_TS_CTL_RESERVED1	20
	#define BLSB_HDVCAP_TS_CTL_AUDIO_TS_COUNTER_RESET	19
	#define BLSB_HDVCAP_TS_CTL_VIDEO_TS_COUNTER_RESET	18
	#define BLSB_HDVCAP_TS_CTL_SEL_VIDEO_TS_COUNTER_SRC	17
	#define BLSB_HDVCAP_TS_CTL_SEL_TS_COUNTER_OUTPUT	16
	#define BLSB_HDVCAP_TS_CTL_RESERVED	1
	#define BLSB_HDVCAP_TS_CTL_LOAD_TS_COUNTER	0
	/* Register Bit Widths for HDVCAP_TS_CTL */
	#define BWID_HDVCAP_TS_CTL_RESERVED1	13
	#define BWID_HDVCAP_TS_CTL_AUDIO_TS_COUNTER_RESET	1
	#define BWID_HDVCAP_TS_CTL_VIDEO_TS_COUNTER_RESET	1
	#define BWID_HDVCAP_TS_CTL_SEL_VIDEO_TS_COUNTER_SRC	1
	#define BWID_HDVCAP_TS_CTL_SEL_TS_COUNTER_OUTPUT	1
	#define BWID_HDVCAP_TS_CTL_RESERVED	15
	#define BWID_HDVCAP_TS_CTL_LOAD_TS_COUNTER	1
	/* Register Bit MASKS for HDVCAP_TS_CTL */
	#define BMSK_HDVCAP_TS_CTL_RESERVED1	0xfff00000 /*  */
	#define BMSK_HDVCAP_TS_CTL_AUDIO_TS_COUNTER_RESET	(1<<19) /* == 0x00080000:  */
	#define BMSK_HDVCAP_TS_CTL_VIDEO_TS_COUNTER_RESET	(1<<18) /* == 0x00040000:  */
	#define BMSK_HDVCAP_TS_CTL_SEL_VIDEO_TS_COUNTER_SRC	(1<<17) /* == 0x00020000:  */
	#define BMSK_HDVCAP_TS_CTL_SEL_TS_COUNTER_OUTPUT	(1<<16) /* == 0x00010000:  */
	#define BMSK_HDVCAP_TS_CTL_RESERVED	0x0000fffe /*  */
	#define BMSK_HDVCAP_TS_CTL_LOAD_TS_COUNTER	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for HDVCAP_TS_CTL - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_TS_CTL_RESERVED1	 0x0040, 20, 13, 0xfff00000
	#define BITFIELD_HDVCAP_TS_CTL_AUDIO_TS_COUNTER_RESET	 0x0040, 19, 1, 0x00080000
	#define BITFIELD_HDVCAP_TS_CTL_VIDEO_TS_COUNTER_RESET	 0x0040, 18, 1, 0x00040000
	#define BITFIELD_HDVCAP_TS_CTL_SEL_VIDEO_TS_COUNTER_SRC	 0x0040, 17, 1, 0x00020000
	#define BITFIELD_HDVCAP_TS_CTL_SEL_TS_COUNTER_OUTPUT	 0x0040, 16, 1, 0x00010000
	#define BITFIELD_HDVCAP_TS_CTL_RESERVED	 0x0040, 1, 15, 0x0000fffe
	#define BITFIELD_HDVCAP_TS_CTL_LOAD_TS_COUNTER	 0x0040, 0, 1, 0x00000001
#define ROFF_HDVCAP_TS_PRELOAD_LSB	0x44 /*  */ 
	#define BITFIELD_HDVCAP_TS_PRELOAD_LSB	 0x0044, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_TS_PRELOAD_LSB */
	#define BLSB_HDVCAP_TS_PRELOAD_LSB_TS_PRELOAD_COUNTER_LSB	0
	/* Register Bit Widths for HDVCAP_TS_PRELOAD_LSB */
	#define BWID_HDVCAP_TS_PRELOAD_LSB_TS_PRELOAD_COUNTER_LSB	32
	/* Register Bit MASKS for HDVCAP_TS_PRELOAD_LSB */
	#define BMSK_HDVCAP_TS_PRELOAD_LSB_TS_PRELOAD_COUNTER_LSB	0x00000000 /*  */
	/* Register BITFIELD for HDVCAP_TS_PRELOAD_LSB - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_TS_PRELOAD_LSB_TS_PRELOAD_COUNTER_LSB	 0x0044, 0, 32, 0x00000000
#define ROFF_HDVCAP_TS_PRELOAD_MSB	0x48 /*  */ 
	#define BITFIELD_HDVCAP_TS_PRELOAD_MSB	 0x0048, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_TS_PRELOAD_MSB */
	#define BLSB_HDVCAP_TS_PRELOAD_MSB_RESERVED	1
	#define BLSB_HDVCAP_TS_PRELOAD_MSB_TS_PRELOAD_COUNTER_MSB	0
	/* Register Bit Widths for HDVCAP_TS_PRELOAD_MSB */
	#define BWID_HDVCAP_TS_PRELOAD_MSB_RESERVED	31
	#define BWID_HDVCAP_TS_PRELOAD_MSB_TS_PRELOAD_COUNTER_MSB	1
	/* Register Bit MASKS for HDVCAP_TS_PRELOAD_MSB */
	#define BMSK_HDVCAP_TS_PRELOAD_MSB_RESERVED	0xfffffffe /*  */
	#define BMSK_HDVCAP_TS_PRELOAD_MSB_TS_PRELOAD_COUNTER_MSB	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for HDVCAP_TS_PRELOAD_MSB - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_TS_PRELOAD_MSB_RESERVED	 0x0048, 1, 31, 0xfffffffe
	#define BITFIELD_HDVCAP_TS_PRELOAD_MSB_TS_PRELOAD_COUNTER_MSB	 0x0048, 0, 1, 0x00000001
#define ROFF_HDVCAP_TS_LSB_0	0x4c /*  */ 
	#define BITFIELD_HDVCAP_TS_LSB_0	 0x004c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_TS_LSB_0 */
	#define BLSB_HDVCAP_TS_LSB_0_CAP_TS_LSB_0	0
	/* Register Bit Widths for HDVCAP_TS_LSB_0 */
	#define BWID_HDVCAP_TS_LSB_0_CAP_TS_LSB_0	32
	/* Register Bit MASKS for HDVCAP_TS_LSB_0 */
	#define BMSK_HDVCAP_TS_LSB_0_CAP_TS_LSB_0	0x00000000 /*  */
	/* Register BITFIELD for HDVCAP_TS_LSB_0 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_TS_LSB_0_CAP_TS_LSB_0	 0x004c, 0, 32, 0x00000000
#define ROFF_HDVCAP_TS_MSB_0	0x50 /*  */ 
	#define BITFIELD_HDVCAP_TS_MSB_0	 0x0050, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_TS_MSB_0 */
	#define BLSB_HDVCAP_TS_MSB_0_RESERVED	1
	#define BLSB_HDVCAP_TS_MSB_0_CAP_TS_MSB_0	0
	/* Register Bit Widths for HDVCAP_TS_MSB_0 */
	#define BWID_HDVCAP_TS_MSB_0_RESERVED	31
	#define BWID_HDVCAP_TS_MSB_0_CAP_TS_MSB_0	1
	/* Register Bit MASKS for HDVCAP_TS_MSB_0 */
	#define BMSK_HDVCAP_TS_MSB_0_RESERVED	0xfffffffe /*  */
	#define BMSK_HDVCAP_TS_MSB_0_CAP_TS_MSB_0	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for HDVCAP_TS_MSB_0 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_TS_MSB_0_RESERVED	 0x0050, 1, 31, 0xfffffffe
	#define BITFIELD_HDVCAP_TS_MSB_0_CAP_TS_MSB_0	 0x0050, 0, 1, 0x00000001
#define ROFF_HDVCAP_TS_LSB_1	0x54 /*  */ 
	#define BITFIELD_HDVCAP_TS_LSB_1	 0x0054, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_TS_LSB_1 */
	#define BLSB_HDVCAP_TS_LSB_1_CAP_TS_LSB_1	0
	/* Register Bit Widths for HDVCAP_TS_LSB_1 */
	#define BWID_HDVCAP_TS_LSB_1_CAP_TS_LSB_1	32
	/* Register Bit MASKS for HDVCAP_TS_LSB_1 */
	#define BMSK_HDVCAP_TS_LSB_1_CAP_TS_LSB_1	0x00000000 /*  */
	/* Register BITFIELD for HDVCAP_TS_LSB_1 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_TS_LSB_1_CAP_TS_LSB_1	 0x0054, 0, 32, 0x00000000
#define ROFF_HDVCAP_TS_MSB_1	0x58 /*  */ 
	#define BITFIELD_HDVCAP_TS_MSB_1	 0x0058, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_TS_MSB_1 */
	#define BLSB_HDVCAP_TS_MSB_1_RESERVED	1
	#define BLSB_HDVCAP_TS_MSB_1_CAP_TS_MSB_1	0
	/* Register Bit Widths for HDVCAP_TS_MSB_1 */
	#define BWID_HDVCAP_TS_MSB_1_RESERVED	31
	#define BWID_HDVCAP_TS_MSB_1_CAP_TS_MSB_1	1
	/* Register Bit MASKS for HDVCAP_TS_MSB_1 */
	#define BMSK_HDVCAP_TS_MSB_1_RESERVED	0xfffffffe /*  */
	#define BMSK_HDVCAP_TS_MSB_1_CAP_TS_MSB_1	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for HDVCAP_TS_MSB_1 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_TS_MSB_1_RESERVED	 0x0058, 1, 31, 0xfffffffe
	#define BITFIELD_HDVCAP_TS_MSB_1_CAP_TS_MSB_1	 0x0058, 0, 1, 0x00000001
#define ROFF_HDVCAP_TS_COUNTER_LSB	0x5c /*  */ 
	#define BITFIELD_HDVCAP_TS_COUNTER_LSB	 0x005c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_TS_COUNTER_LSB */
	#define BLSB_HDVCAP_TS_COUNTER_LSB_CAP_TS_LSB_1	0
	/* Register Bit Widths for HDVCAP_TS_COUNTER_LSB */
	#define BWID_HDVCAP_TS_COUNTER_LSB_CAP_TS_LSB_1	32
	/* Register Bit MASKS for HDVCAP_TS_COUNTER_LSB */
	#define BMSK_HDVCAP_TS_COUNTER_LSB_CAP_TS_LSB_1	0x00000000 /*  */
	/* Register BITFIELD for HDVCAP_TS_COUNTER_LSB - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_TS_COUNTER_LSB_CAP_TS_LSB_1	 0x005c, 0, 32, 0x00000000
#define ROFF_HDVCAP_TS_COUNTER_MSB	0x60 /*  */ 
	#define BITFIELD_HDVCAP_TS_COUNTER_MSB	 0x0060, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_TS_COUNTER_MSB */
	#define BLSB_HDVCAP_TS_COUNTER_MSB_RESERVED	1
	#define BLSB_HDVCAP_TS_COUNTER_MSB_REALTIME_TS_COUNTER_VAL_MSB	0
	/* Register Bit Widths for HDVCAP_TS_COUNTER_MSB */
	#define BWID_HDVCAP_TS_COUNTER_MSB_RESERVED	31
	#define BWID_HDVCAP_TS_COUNTER_MSB_REALTIME_TS_COUNTER_VAL_MSB	1
	/* Register Bit MASKS for HDVCAP_TS_COUNTER_MSB */
	#define BMSK_HDVCAP_TS_COUNTER_MSB_RESERVED	0xfffffffe /*  */
	#define BMSK_HDVCAP_TS_COUNTER_MSB_REALTIME_TS_COUNTER_VAL_MSB	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for HDVCAP_TS_COUNTER_MSB - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_TS_COUNTER_MSB_RESERVED	 0x0060, 1, 31, 0xfffffffe
	#define BITFIELD_HDVCAP_TS_COUNTER_MSB_REALTIME_TS_COUNTER_VAL_MSB	 0x0060, 0, 1, 0x00000001
#define ROFF_HDVCAP_CSC_C	0x64 /*  */ 
	#define BITFIELD_HDVCAP_CSC_C	 0x0064, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_CSC_C */
	#define BLSB_HDVCAP_CSC_C_RESERVED	6
	#define BLSB_HDVCAP_CSC_C_VAL_SHIFT_FACTOR	5
	#define BLSB_HDVCAP_CSC_C_VAL_SHIFT_EN	4
	#define BLSB_HDVCAP_CSC_C_C_OCLAMP_SEL	3
	#define BLSB_HDVCAP_CSC_C_EN_OCLAMP	2
	#define BLSB_HDVCAP_CSC_C_C_ICLAMP_SEL	1
	#define BLSB_HDVCAP_CSC_C_EN_ICLAMP	0
	/* Register Bit Widths for HDVCAP_CSC_C */
	#define BWID_HDVCAP_CSC_C_RESERVED	26
	#define BWID_HDVCAP_CSC_C_VAL_SHIFT_FACTOR	1
	#define BWID_HDVCAP_CSC_C_VAL_SHIFT_EN	1
	#define BWID_HDVCAP_CSC_C_C_OCLAMP_SEL	1
	#define BWID_HDVCAP_CSC_C_EN_OCLAMP	1
	#define BWID_HDVCAP_CSC_C_C_ICLAMP_SEL	1
	#define BWID_HDVCAP_CSC_C_EN_ICLAMP	1
	/* Register Bit MASKS for HDVCAP_CSC_C */
	#define BMSK_HDVCAP_CSC_C_RESERVED	0xffffffc0 /*  */
	#define BMSK_HDVCAP_CSC_C_VAL_SHIFT_FACTOR	(1<<5) /* == 0x00000020:  */
	#define BMSK_HDVCAP_CSC_C_VAL_SHIFT_EN	(1<<4) /* == 0x00000010:  */
	#define BMSK_HDVCAP_CSC_C_C_OCLAMP_SEL	(1<<3) /* == 0x00000008:  */
	#define BMSK_HDVCAP_CSC_C_EN_OCLAMP	(1<<2) /* == 0x00000004:  */
	#define BMSK_HDVCAP_CSC_C_C_ICLAMP_SEL	(1<<1) /* == 0x00000002:  */
	#define BMSK_HDVCAP_CSC_C_EN_ICLAMP	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for HDVCAP_CSC_C - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_CSC_C_RESERVED	 0x0064, 6, 26, 0xffffffc0
	#define BITFIELD_HDVCAP_CSC_C_VAL_SHIFT_FACTOR	 0x0064, 5, 1, 0x00000020
	#define BITFIELD_HDVCAP_CSC_C_VAL_SHIFT_EN	 0x0064, 4, 1, 0x00000010
	#define BITFIELD_HDVCAP_CSC_C_C_OCLAMP_SEL	 0x0064, 3, 1, 0x00000008
	#define BITFIELD_HDVCAP_CSC_C_EN_OCLAMP	 0x0064, 2, 1, 0x00000004
	#define BITFIELD_HDVCAP_CSC_C_C_ICLAMP_SEL	 0x0064, 1, 1, 0x00000002
	#define BITFIELD_HDVCAP_CSC_C_EN_ICLAMP	 0x0064, 0, 1, 0x00000001
#define ROFF_HDVCAP_CSC_YG_OFF	0x68 /*  */ 
	#define BITFIELD_HDVCAP_CSC_YG_OFF	 0x0068, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_CSC_YG_OFF */
	#define BLSB_HDVCAP_CSC_YG_OFF_RESERVED1	29
	#define BLSB_HDVCAP_CSC_YG_OFF_YG_OOFF	16
	#define BLSB_HDVCAP_CSC_YG_OFF_RESERVED	13
	#define BLSB_HDVCAP_CSC_YG_OFF_YG_IOFF	0
	/* Register Bit Widths for HDVCAP_CSC_YG_OFF */
	#define BWID_HDVCAP_CSC_YG_OFF_RESERVED1	3
	#define BWID_HDVCAP_CSC_YG_OFF_YG_OOFF	13
	#define BWID_HDVCAP_CSC_YG_OFF_RESERVED	3
	#define BWID_HDVCAP_CSC_YG_OFF_YG_IOFF	13
	/* Register Bit MASKS for HDVCAP_CSC_YG_OFF */
	#define BMSK_HDVCAP_CSC_YG_OFF_RESERVED1	0xe0000000 /*  */
	#define BMSK_HDVCAP_CSC_YG_OFF_YG_OOFF	0x1fff0000 /*  */
	#define BMSK_HDVCAP_CSC_YG_OFF_RESERVED	0x0000e000 /*  */
	#define BMSK_HDVCAP_CSC_YG_OFF_YG_IOFF	0x00001fff /*  */
	/* Register BITFIELD for HDVCAP_CSC_YG_OFF - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_CSC_YG_OFF_RESERVED1	 0x0068, 29, 3, 0xe0000000
	#define BITFIELD_HDVCAP_CSC_YG_OFF_YG_OOFF	 0x0068, 16, 13, 0x1fff0000
	#define BITFIELD_HDVCAP_CSC_YG_OFF_RESERVED	 0x0068, 13, 3, 0x0000e000
	#define BITFIELD_HDVCAP_CSC_YG_OFF_YG_IOFF	 0x0068, 0, 13, 0x00001fff
#define ROFF_HDVCAP_CSC_CB_OFF	0x6c /*  */ 
	#define BITFIELD_HDVCAP_CSC_CB_OFF	 0x006c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_CSC_CB_OFF */
	#define BLSB_HDVCAP_CSC_CB_OFF_RESERVED1	29
	#define BLSB_HDVCAP_CSC_CB_OFF_CB_OOFF	16
	#define BLSB_HDVCAP_CSC_CB_OFF_RESERVED	13
	#define BLSB_HDVCAP_CSC_CB_OFF_CB_IOFF	0
	/* Register Bit Widths for HDVCAP_CSC_CB_OFF */
	#define BWID_HDVCAP_CSC_CB_OFF_RESERVED1	3
	#define BWID_HDVCAP_CSC_CB_OFF_CB_OOFF	13
	#define BWID_HDVCAP_CSC_CB_OFF_RESERVED	3
	#define BWID_HDVCAP_CSC_CB_OFF_CB_IOFF	13
	/* Register Bit MASKS for HDVCAP_CSC_CB_OFF */
	#define BMSK_HDVCAP_CSC_CB_OFF_RESERVED1	0xe0000000 /*  */
	#define BMSK_HDVCAP_CSC_CB_OFF_CB_OOFF	0x1fff0000 /*  */
	#define BMSK_HDVCAP_CSC_CB_OFF_RESERVED	0x0000e000 /*  */
	#define BMSK_HDVCAP_CSC_CB_OFF_CB_IOFF	0x00001fff /*  */
	/* Register BITFIELD for HDVCAP_CSC_CB_OFF - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_CSC_CB_OFF_RESERVED1	 0x006c, 29, 3, 0xe0000000
	#define BITFIELD_HDVCAP_CSC_CB_OFF_CB_OOFF	 0x006c, 16, 13, 0x1fff0000
	#define BITFIELD_HDVCAP_CSC_CB_OFF_RESERVED	 0x006c, 13, 3, 0x0000e000
	#define BITFIELD_HDVCAP_CSC_CB_OFF_CB_IOFF	 0x006c, 0, 13, 0x00001fff
#define ROFF_HDVCAP_CSC_CR_OFF	0x70 /*  */ 
	#define BITFIELD_HDVCAP_CSC_CR_OFF	 0x0070, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_CSC_CR_OFF */
	#define BLSB_HDVCAP_CSC_CR_OFF_RESERVED1	29
	#define BLSB_HDVCAP_CSC_CR_OFF_CR_OOFF	16
	#define BLSB_HDVCAP_CSC_CR_OFF_RESERVED	13
	#define BLSB_HDVCAP_CSC_CR_OFF_CR_IOFF	0
	/* Register Bit Widths for HDVCAP_CSC_CR_OFF */
	#define BWID_HDVCAP_CSC_CR_OFF_RESERVED1	3
	#define BWID_HDVCAP_CSC_CR_OFF_CR_OOFF	13
	#define BWID_HDVCAP_CSC_CR_OFF_RESERVED	3
	#define BWID_HDVCAP_CSC_CR_OFF_CR_IOFF	13
	/* Register Bit MASKS for HDVCAP_CSC_CR_OFF */
	#define BMSK_HDVCAP_CSC_CR_OFF_RESERVED1	0xe0000000 /*  */
	#define BMSK_HDVCAP_CSC_CR_OFF_CR_OOFF	0x1fff0000 /*  */
	#define BMSK_HDVCAP_CSC_CR_OFF_RESERVED	0x0000e000 /*  */
	#define BMSK_HDVCAP_CSC_CR_OFF_CR_IOFF	0x00001fff /*  */
	/* Register BITFIELD for HDVCAP_CSC_CR_OFF - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_CSC_CR_OFF_RESERVED1	 0x0070, 29, 3, 0xe0000000
	#define BITFIELD_HDVCAP_CSC_CR_OFF_CR_OOFF	 0x0070, 16, 13, 0x1fff0000
	#define BITFIELD_HDVCAP_CSC_CR_OFF_RESERVED	 0x0070, 13, 3, 0x0000e000
	#define BITFIELD_HDVCAP_CSC_CR_OFF_CR_IOFF	 0x0070, 0, 13, 0x00001fff
#define ROFF_HDVCAP_CSC_C01	0x74 /*  */ 
	#define BITFIELD_HDVCAP_CSC_C01	 0x0074, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_CSC_C01 */
	#define BLSB_HDVCAP_CSC_C01_RESERVED1	29
	#define BLSB_HDVCAP_CSC_C01_C1	16
	#define BLSB_HDVCAP_CSC_C01_RESERVED	13
	#define BLSB_HDVCAP_CSC_C01_C0	0
	/* Register Bit Widths for HDVCAP_CSC_C01 */
	#define BWID_HDVCAP_CSC_C01_RESERVED1	3
	#define BWID_HDVCAP_CSC_C01_C1	13
	#define BWID_HDVCAP_CSC_C01_RESERVED	3
	#define BWID_HDVCAP_CSC_C01_C0	13
	/* Register Bit MASKS for HDVCAP_CSC_C01 */
	#define BMSK_HDVCAP_CSC_C01_RESERVED1	0xe0000000 /*  */
	#define BMSK_HDVCAP_CSC_C01_C1	0x1fff0000 /*  */
	#define BMSK_HDVCAP_CSC_C01_RESERVED	0x0000e000 /*  */
	#define BMSK_HDVCAP_CSC_C01_C0	0x00001fff /*  */
	/* Register BITFIELD for HDVCAP_CSC_C01 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_CSC_C01_RESERVED1	 0x0074, 29, 3, 0xe0000000
	#define BITFIELD_HDVCAP_CSC_C01_C1	 0x0074, 16, 13, 0x1fff0000
	#define BITFIELD_HDVCAP_CSC_C01_RESERVED	 0x0074, 13, 3, 0x0000e000
	#define BITFIELD_HDVCAP_CSC_C01_C0	 0x0074, 0, 13, 0x00001fff
#define ROFF_HDVCAP_CSC_C23	0x78 /*  */ 
	#define BITFIELD_HDVCAP_CSC_C23	 0x0078, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_CSC_C23 */
	#define BLSB_HDVCAP_CSC_C23_RESERVED1	29
	#define BLSB_HDVCAP_CSC_C23_C3	16
	#define BLSB_HDVCAP_CSC_C23_RESERVED	13
	#define BLSB_HDVCAP_CSC_C23_C2	0
	/* Register Bit Widths for HDVCAP_CSC_C23 */
	#define BWID_HDVCAP_CSC_C23_RESERVED1	3
	#define BWID_HDVCAP_CSC_C23_C3	13
	#define BWID_HDVCAP_CSC_C23_RESERVED	3
	#define BWID_HDVCAP_CSC_C23_C2	13
	/* Register Bit MASKS for HDVCAP_CSC_C23 */
	#define BMSK_HDVCAP_CSC_C23_RESERVED1	0xe0000000 /*  */
	#define BMSK_HDVCAP_CSC_C23_C3	0x1fff0000 /*  */
	#define BMSK_HDVCAP_CSC_C23_RESERVED	0x0000e000 /*  */
	#define BMSK_HDVCAP_CSC_C23_C2	0x00001fff /*  */
	/* Register BITFIELD for HDVCAP_CSC_C23 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_CSC_C23_RESERVED1	 0x0078, 29, 3, 0xe0000000
	#define BITFIELD_HDVCAP_CSC_C23_C3	 0x0078, 16, 13, 0x1fff0000
	#define BITFIELD_HDVCAP_CSC_C23_RESERVED	 0x0078, 13, 3, 0x0000e000
	#define BITFIELD_HDVCAP_CSC_C23_C2	 0x0078, 0, 13, 0x00001fff
#define ROFF_HDVCAP_CSC_C45	0x7c /*  */ 
	#define BITFIELD_HDVCAP_CSC_C45	 0x007c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_CSC_C45 */
	#define BLSB_HDVCAP_CSC_C45_RESERVED1	29
	#define BLSB_HDVCAP_CSC_C45_C5	16
	#define BLSB_HDVCAP_CSC_C45_RESERVED	13
	#define BLSB_HDVCAP_CSC_C45_C4	0
	/* Register Bit Widths for HDVCAP_CSC_C45 */
	#define BWID_HDVCAP_CSC_C45_RESERVED1	3
	#define BWID_HDVCAP_CSC_C45_C5	13
	#define BWID_HDVCAP_CSC_C45_RESERVED	3
	#define BWID_HDVCAP_CSC_C45_C4	13
	/* Register Bit MASKS for HDVCAP_CSC_C45 */
	#define BMSK_HDVCAP_CSC_C45_RESERVED1	0xe0000000 /*  */
	#define BMSK_HDVCAP_CSC_C45_C5	0x1fff0000 /*  */
	#define BMSK_HDVCAP_CSC_C45_RESERVED	0x0000e000 /*  */
	#define BMSK_HDVCAP_CSC_C45_C4	0x00001fff /*  */
	/* Register BITFIELD for HDVCAP_CSC_C45 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_CSC_C45_RESERVED1	 0x007c, 29, 3, 0xe0000000
	#define BITFIELD_HDVCAP_CSC_C45_C5	 0x007c, 16, 13, 0x1fff0000
	#define BITFIELD_HDVCAP_CSC_C45_RESERVED	 0x007c, 13, 3, 0x0000e000
	#define BITFIELD_HDVCAP_CSC_C45_C4	 0x007c, 0, 13, 0x00001fff
#define ROFF_HDVCAP_CSC_C67	0x80 /*  */ 
	#define BITFIELD_HDVCAP_CSC_C67	 0x0080, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_CSC_C67 */
	#define BLSB_HDVCAP_CSC_C67_RESERVED1	29
	#define BLSB_HDVCAP_CSC_C67_C7	16
	#define BLSB_HDVCAP_CSC_C67_RESERVED	13
	#define BLSB_HDVCAP_CSC_C67_C6	0
	/* Register Bit Widths for HDVCAP_CSC_C67 */
	#define BWID_HDVCAP_CSC_C67_RESERVED1	3
	#define BWID_HDVCAP_CSC_C67_C7	13
	#define BWID_HDVCAP_CSC_C67_RESERVED	3
	#define BWID_HDVCAP_CSC_C67_C6	13
	/* Register Bit MASKS for HDVCAP_CSC_C67 */
	#define BMSK_HDVCAP_CSC_C67_RESERVED1	0xe0000000 /*  */
	#define BMSK_HDVCAP_CSC_C67_C7	0x1fff0000 /*  */
	#define BMSK_HDVCAP_CSC_C67_RESERVED	0x0000e000 /*  */
	#define BMSK_HDVCAP_CSC_C67_C6	0x00001fff /*  */
	/* Register BITFIELD for HDVCAP_CSC_C67 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_CSC_C67_RESERVED1	 0x0080, 29, 3, 0xe0000000
	#define BITFIELD_HDVCAP_CSC_C67_C7	 0x0080, 16, 13, 0x1fff0000
	#define BITFIELD_HDVCAP_CSC_C67_RESERVED	 0x0080, 13, 3, 0x0000e000
	#define BITFIELD_HDVCAP_CSC_C67_C6	 0x0080, 0, 13, 0x00001fff
#define ROFF_HDVCAP_CSC_C8	0x84 /*  */ 
	#define BITFIELD_HDVCAP_CSC_C8	 0x0084, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_CSC_C8 */
	#define BLSB_HDVCAP_CSC_C8_RESERVED	13
	#define BLSB_HDVCAP_CSC_C8_C8	0
	/* Register Bit Widths for HDVCAP_CSC_C8 */
	#define BWID_HDVCAP_CSC_C8_RESERVED	19
	#define BWID_HDVCAP_CSC_C8_C8	13
	/* Register Bit MASKS for HDVCAP_CSC_C8 */
	#define BMSK_HDVCAP_CSC_C8_RESERVED	0xffffe000 /*  */
	#define BMSK_HDVCAP_CSC_C8_C8	0x00001fff /*  */
	/* Register BITFIELD for HDVCAP_CSC_C8 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_CSC_C8_RESERVED	 0x0084, 13, 19, 0xffffe000
	#define BITFIELD_HDVCAP_CSC_C8_C8	 0x0084, 0, 13, 0x00001fff
#define ROFF_HDVCAP_444to422_FILTER_C01	0x88 /*  */ 
	#define BITFIELD_HDVCAP_444to422_FILTER_C01	 0x0088, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_444to422_FILTER_C01 */
	#define BLSB_HDVCAP_444to422_FILTER_C01_RESERVED1	26
	#define BLSB_HDVCAP_444to422_FILTER_C01_C1	16
	#define BLSB_HDVCAP_444to422_FILTER_C01_RESERVED	10
	#define BLSB_HDVCAP_444to422_FILTER_C01_C0	0
	/* Register Bit Widths for HDVCAP_444to422_FILTER_C01 */
	#define BWID_HDVCAP_444to422_FILTER_C01_RESERVED1	6
	#define BWID_HDVCAP_444to422_FILTER_C01_C1	10
	#define BWID_HDVCAP_444to422_FILTER_C01_RESERVED	6
	#define BWID_HDVCAP_444to422_FILTER_C01_C0	10
	/* Register Bit MASKS for HDVCAP_444to422_FILTER_C01 */
	#define BMSK_HDVCAP_444to422_FILTER_C01_RESERVED1	0xfc000000 /*  */
	#define BMSK_HDVCAP_444to422_FILTER_C01_C1	0x03ff0000 /*  */
	#define BMSK_HDVCAP_444to422_FILTER_C01_RESERVED	0x0000fc00 /*  */
	#define BMSK_HDVCAP_444to422_FILTER_C01_C0	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_444to422_FILTER_C01 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_444to422_FILTER_C01_RESERVED1	 0x0088, 26, 6, 0xfc000000
	#define BITFIELD_HDVCAP_444to422_FILTER_C01_C1	 0x0088, 16, 10, 0x03ff0000
	#define BITFIELD_HDVCAP_444to422_FILTER_C01_RESERVED	 0x0088, 10, 6, 0x0000fc00
	#define BITFIELD_HDVCAP_444to422_FILTER_C01_C0	 0x0088, 0, 10, 0x000003ff
#define ROFF_HDVCAP_444to422_FILTER_C23	0x8c /*  */ 
	#define BITFIELD_HDVCAP_444to422_FILTER_C23	 0x008c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_444to422_FILTER_C23 */
	#define BLSB_HDVCAP_444to422_FILTER_C23_RESERVED1	26
	#define BLSB_HDVCAP_444to422_FILTER_C23_C3	16
	#define BLSB_HDVCAP_444to422_FILTER_C23_RESERVED	10
	#define BLSB_HDVCAP_444to422_FILTER_C23_C2	0
	/* Register Bit Widths for HDVCAP_444to422_FILTER_C23 */
	#define BWID_HDVCAP_444to422_FILTER_C23_RESERVED1	6
	#define BWID_HDVCAP_444to422_FILTER_C23_C3	10
	#define BWID_HDVCAP_444to422_FILTER_C23_RESERVED	6
	#define BWID_HDVCAP_444to422_FILTER_C23_C2	10
	/* Register Bit MASKS for HDVCAP_444to422_FILTER_C23 */
	#define BMSK_HDVCAP_444to422_FILTER_C23_RESERVED1	0xfc000000 /*  */
	#define BMSK_HDVCAP_444to422_FILTER_C23_C3	0x03ff0000 /*  */
	#define BMSK_HDVCAP_444to422_FILTER_C23_RESERVED	0x0000fc00 /*  */
	#define BMSK_HDVCAP_444to422_FILTER_C23_C2	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_444to422_FILTER_C23 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_444to422_FILTER_C23_RESERVED1	 0x008c, 26, 6, 0xfc000000
	#define BITFIELD_HDVCAP_444to422_FILTER_C23_C3	 0x008c, 16, 10, 0x03ff0000
	#define BITFIELD_HDVCAP_444to422_FILTER_C23_RESERVED	 0x008c, 10, 6, 0x0000fc00
	#define BITFIELD_HDVCAP_444to422_FILTER_C23_C2	 0x008c, 0, 10, 0x000003ff
#define ROFF_HDVCAP_PRNGSR	0x90 /*  */ 
	#define BITFIELD_HDVCAP_PRNGSR	 0x0090, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_PRNGSR */
	#define BLSB_HDVCAP_PRNGSR_RESERVED1	30
	#define BLSB_HDVCAP_PRNGSR_PRNG_SEED2	16
	#define BLSB_HDVCAP_PRNGSR_RESERVED	13
	#define BLSB_HDVCAP_PRNGSR_PRNG_SEED1	0
	/* Register Bit Widths for HDVCAP_PRNGSR */
	#define BWID_HDVCAP_PRNGSR_RESERVED1	2
	#define BWID_HDVCAP_PRNGSR_PRNG_SEED2	14
	#define BWID_HDVCAP_PRNGSR_RESERVED	3
	#define BWID_HDVCAP_PRNGSR_PRNG_SEED1	13
	/* Register Bit MASKS for HDVCAP_PRNGSR */
	#define BMSK_HDVCAP_PRNGSR_RESERVED1	0xc0000000 /*  */
	#define BMSK_HDVCAP_PRNGSR_PRNG_SEED2	0x3fff0000 /*  */
	#define BMSK_HDVCAP_PRNGSR_RESERVED	0x0000e000 /*  */
	#define BMSK_HDVCAP_PRNGSR_PRNG_SEED1	0x00001fff /*  */
	/* Register BITFIELD for HDVCAP_PRNGSR - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_PRNGSR_RESERVED1	 0x0090, 30, 2, 0xc0000000
	#define BITFIELD_HDVCAP_PRNGSR_PRNG_SEED2	 0x0090, 16, 14, 0x3fff0000
	#define BITFIELD_HDVCAP_PRNGSR_RESERVED	 0x0090, 13, 3, 0x0000e000
	#define BITFIELD_HDVCAP_PRNGSR_PRNG_SEED1	 0x0090, 0, 13, 0x00001fff
#define ROFF_HDVCAP_STAT_TOTAL	0x94 /*  */ 
	#define BITFIELD_HDVCAP_STAT_TOTAL	 0x0094, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_STAT_TOTAL */
	#define BLSB_HDVCAP_STAT_TOTAL_PIXEL_PER_FRAME	16
	#define BLSB_HDVCAP_STAT_TOTAL_PIXEL_PER_LINE	0
	/* Register Bit Widths for HDVCAP_STAT_TOTAL */
	#define BWID_HDVCAP_STAT_TOTAL_PIXEL_PER_FRAME	16
	#define BWID_HDVCAP_STAT_TOTAL_PIXEL_PER_LINE	16
	/* Register Bit MASKS for HDVCAP_STAT_TOTAL */
	#define BMSK_HDVCAP_STAT_TOTAL_PIXEL_PER_FRAME	0xffff0000 /*  */
	#define BMSK_HDVCAP_STAT_TOTAL_PIXEL_PER_LINE	0x0000ffff /*  */
	/* Register BITFIELD for HDVCAP_STAT_TOTAL - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_STAT_TOTAL_PIXEL_PER_FRAME	 0x0094, 16, 16, 0xffff0000
	#define BITFIELD_HDVCAP_STAT_TOTAL_PIXEL_PER_LINE	 0x0094, 0, 16, 0x0000ffff
#define ROFF_HDVCAP_STAT_ACTIVE	0x98 /*  */ 
	#define BITFIELD_HDVCAP_STAT_ACTIVE	 0x0098, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_STAT_ACTIVE */
	#define BLSB_HDVCAP_STAT_ACTIVE_PIXEL_PER_FRAME	16
	#define BLSB_HDVCAP_STAT_ACTIVE_PIXEL_PER_LINE	0
	/* Register Bit Widths for HDVCAP_STAT_ACTIVE */
	#define BWID_HDVCAP_STAT_ACTIVE_PIXEL_PER_FRAME	16
	#define BWID_HDVCAP_STAT_ACTIVE_PIXEL_PER_LINE	16
	/* Register Bit MASKS for HDVCAP_STAT_ACTIVE */
	#define BMSK_HDVCAP_STAT_ACTIVE_PIXEL_PER_FRAME	0xffff0000 /*  */
	#define BMSK_HDVCAP_STAT_ACTIVE_PIXEL_PER_LINE	0x0000ffff /*  */
	/* Register BITFIELD for HDVCAP_STAT_ACTIVE - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_STAT_ACTIVE_PIXEL_PER_FRAME	 0x0098, 16, 16, 0xffff0000
	#define BITFIELD_HDVCAP_STAT_ACTIVE_PIXEL_PER_LINE	 0x0098, 0, 16, 0x0000ffff
#define ROFF_HDVCAP_STAT_GEN	0x9c /*  */ 
	#define BITFIELD_HDVCAP_STAT_GEN	 0x009c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_STAT_GEN */
	#define BLSB_HDVCAP_STAT_GEN_RESERVED	1
	#define BLSB_HDVCAP_STAT_GEN_VID_SCAN	0
	/* Register Bit Widths for HDVCAP_STAT_GEN */
	#define BWID_HDVCAP_STAT_GEN_RESERVED	31
	#define BWID_HDVCAP_STAT_GEN_VID_SCAN	1
	/* Register Bit MASKS for HDVCAP_STAT_GEN */
	#define BMSK_HDVCAP_STAT_GEN_RESERVED	0xfffffffe /*  */
	#define BMSK_HDVCAP_STAT_GEN_VID_SCAN	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for HDVCAP_STAT_GEN - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_STAT_GEN_RESERVED	 0x009c, 1, 31, 0xfffffffe
	#define BITFIELD_HDVCAP_STAT_GEN_VID_SCAN	 0x009c, 0, 1, 0x00000001
#define ROFF_HDVCAP_SEC_STAT	0xa0 /*  */ 
	#define BITFIELD_HDVCAP_SEC_STAT	 0x00a0, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_SEC_STAT */
	#define BLSB_HDVCAP_SEC_STAT_RESERVED1	18
	#define BLSB_HDVCAP_SEC_STAT_FRAME_CRYPT_STAT	17
	#define BLSB_HDVCAP_SEC_STAT_RX_AUTH_STAT	16
	#define BLSB_HDVCAP_SEC_STAT_RESERVED	1
	#define BLSB_HDVCAP_SEC_STAT_TRUSTED_EN	0
	/* Register Bit Widths for HDVCAP_SEC_STAT */
	#define BWID_HDVCAP_SEC_STAT_RESERVED1	14
	#define BWID_HDVCAP_SEC_STAT_FRAME_CRYPT_STAT	1
	#define BWID_HDVCAP_SEC_STAT_RX_AUTH_STAT	1
	#define BWID_HDVCAP_SEC_STAT_RESERVED	15
	#define BWID_HDVCAP_SEC_STAT_TRUSTED_EN	1
	/* Register Bit MASKS for HDVCAP_SEC_STAT */
	#define BMSK_HDVCAP_SEC_STAT_RESERVED1	0xfffc0000 /*  */
	#define BMSK_HDVCAP_SEC_STAT_FRAME_CRYPT_STAT	(1<<17) /* == 0x00020000:  */
	#define BMSK_HDVCAP_SEC_STAT_RX_AUTH_STAT	(1<<16) /* == 0x00010000:  */
	#define BMSK_HDVCAP_SEC_STAT_RESERVED	0x0000fffe /*  */
	#define BMSK_HDVCAP_SEC_STAT_TRUSTED_EN	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for HDVCAP_SEC_STAT - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_SEC_STAT_RESERVED1	 0x00a0, 18, 14, 0xfffc0000
	#define BITFIELD_HDVCAP_SEC_STAT_FRAME_CRYPT_STAT	 0x00a0, 17, 1, 0x00020000
	#define BITFIELD_HDVCAP_SEC_STAT_RX_AUTH_STAT	 0x00a0, 16, 1, 0x00010000
	#define BITFIELD_HDVCAP_SEC_STAT_RESERVED	 0x00a0, 1, 15, 0x0000fffe
	#define BITFIELD_HDVCAP_SEC_STAT_TRUSTED_EN	 0x00a0, 0, 1, 0x00000001
#define ROFF_HDVCAP_SEC_TTBA	0xa4 /*  */ 
	#define BITFIELD_HDVCAP_SEC_TTBA	 0x00a4, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_SEC_TTBA */
	#define BLSB_HDVCAP_SEC_TTBA_BASE_ADDR	12
	#define BLSB_HDVCAP_SEC_TTBA_RESERVED	1
	#define BLSB_HDVCAP_SEC_TTBA_LOCK	0
	/* Register Bit Widths for HDVCAP_SEC_TTBA */
	#define BWID_HDVCAP_SEC_TTBA_BASE_ADDR	20
	#define BWID_HDVCAP_SEC_TTBA_RESERVED	11
	#define BWID_HDVCAP_SEC_TTBA_LOCK	1
	/* Register Bit MASKS for HDVCAP_SEC_TTBA */
	#define BMSK_HDVCAP_SEC_TTBA_BASE_ADDR	0xfffff000 /*  */
	#define BMSK_HDVCAP_SEC_TTBA_RESERVED	0x00000ffe /*  */
	#define BMSK_HDVCAP_SEC_TTBA_LOCK	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for HDVCAP_SEC_TTBA - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_SEC_TTBA_BASE_ADDR	 0x00a4, 12, 20, 0xfffff000
	#define BITFIELD_HDVCAP_SEC_TTBA_RESERVED	 0x00a4, 1, 11, 0x00000ffe
	#define BITFIELD_HDVCAP_SEC_TTBA_LOCK	 0x00a4, 0, 1, 0x00000001
#define ROFF_HDVCAP_SEC_TTSR	0xa8 /*  */ 
	#define BITFIELD_HDVCAP_SEC_TTSR	 0x00a8, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_SEC_TTSR */
	#define BLSB_HDVCAP_SEC_TTSR_SIZE_MASK	12
	#define BLSB_HDVCAP_SEC_TTSR_RESERVED	0
	/* Register Bit Widths for HDVCAP_SEC_TTSR */
	#define BWID_HDVCAP_SEC_TTSR_SIZE_MASK	20
	#define BWID_HDVCAP_SEC_TTSR_RESERVED	12
	/* Register Bit MASKS for HDVCAP_SEC_TTSR */
	#define BMSK_HDVCAP_SEC_TTSR_SIZE_MASK	0xfffff000 /*  */
	#define BMSK_HDVCAP_SEC_TTSR_RESERVED	0x00000fff /*  */
	/* Register BITFIELD for HDVCAP_SEC_TTSR - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_SEC_TTSR_SIZE_MASK	 0x00a8, 12, 20, 0xfffff000
	#define BITFIELD_HDVCAP_SEC_TTSR_RESERVED	 0x00a8, 0, 12, 0x00000fff
#define ROFF_HDVCAP_SEC_CTRL	0xac /*  */ 
	#define BITFIELD_HDVCAP_SEC_CTRL	 0x00ac, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_SEC_CTRL */
	#define BLSB_HDVCAP_SEC_CTRL_RESERVED1	7
	#define BLSB_HDVCAP_SEC_CTRL_SEC_ATTR	4
	#define BLSB_HDVCAP_SEC_CTRL_RESERVED	0
	/* Register Bit Widths for HDVCAP_SEC_CTRL */
	#define BWID_HDVCAP_SEC_CTRL_RESERVED1	25
	#define BWID_HDVCAP_SEC_CTRL_SEC_ATTR	3
	#define BWID_HDVCAP_SEC_CTRL_RESERVED	4
	/* Register Bit MASKS for HDVCAP_SEC_CTRL */
	#define BMSK_HDVCAP_SEC_CTRL_RESERVED1	0xffffff80 /*  */
	#define BMSK_HDVCAP_SEC_CTRL_SEC_ATTR	0x00000070 /*  */
	#define BMSK_HDVCAP_SEC_CTRL_RESERVED	0x0000000f /*  */
	/* Register BITFIELD for HDVCAP_SEC_CTRL - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_SEC_CTRL_RESERVED1	 0x00ac, 7, 25, 0xffffff80
	#define BITFIELD_HDVCAP_SEC_CTRL_SEC_ATTR	 0x00ac, 4, 3, 0x00000070
	#define BITFIELD_HDVCAP_SEC_CTRL_RESERVED	 0x00ac, 0, 4, 0x0000000f
#define ROFF_HDVCAP_Y_G_SCALER_C01	0xb0 /*  */ 
	#define BITFIELD_HDVCAP_Y_G_SCALER_C01	 0x00b0, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_Y_G_SCALER_C01 */
	#define BLSB_HDVCAP_Y_G_SCALER_C01_RESERVED1	26
	#define BLSB_HDVCAP_Y_G_SCALER_C01_C1	16
	#define BLSB_HDVCAP_Y_G_SCALER_C01_RESERVED	10
	#define BLSB_HDVCAP_Y_G_SCALER_C01_C0	0
	/* Register Bit Widths for HDVCAP_Y_G_SCALER_C01 */
	#define BWID_HDVCAP_Y_G_SCALER_C01_RESERVED1	6
	#define BWID_HDVCAP_Y_G_SCALER_C01_C1	10
	#define BWID_HDVCAP_Y_G_SCALER_C01_RESERVED	6
	#define BWID_HDVCAP_Y_G_SCALER_C01_C0	10
	/* Register Bit MASKS for HDVCAP_Y_G_SCALER_C01 */
	#define BMSK_HDVCAP_Y_G_SCALER_C01_RESERVED1	0xfc000000 /*  */
	#define BMSK_HDVCAP_Y_G_SCALER_C01_C1	0x03ff0000 /*  */
	#define BMSK_HDVCAP_Y_G_SCALER_C01_RESERVED	0x0000fc00 /*  */
	#define BMSK_HDVCAP_Y_G_SCALER_C01_C0	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_Y_G_SCALER_C01 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_Y_G_SCALER_C01_RESERVED1	 0x00b0, 26, 6, 0xfc000000
	#define BITFIELD_HDVCAP_Y_G_SCALER_C01_C1	 0x00b0, 16, 10, 0x03ff0000
	#define BITFIELD_HDVCAP_Y_G_SCALER_C01_RESERVED	 0x00b0, 10, 6, 0x0000fc00
	#define BITFIELD_HDVCAP_Y_G_SCALER_C01_C0	 0x00b0, 0, 10, 0x000003ff
#define ROFF_HDVCAP_Y_G_SCALER_C2	0xb4 /*  */ 
	#define BITFIELD_HDVCAP_Y_G_SCALER_C2	 0x00b4, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_Y_G_SCALER_C2 */
	#define BLSB_HDVCAP_Y_G_SCALER_C2_RESERVED	10
	#define BLSB_HDVCAP_Y_G_SCALER_C2_C2	0
	/* Register Bit Widths for HDVCAP_Y_G_SCALER_C2 */
	#define BWID_HDVCAP_Y_G_SCALER_C2_RESERVED	22
	#define BWID_HDVCAP_Y_G_SCALER_C2_C2	10
	/* Register Bit MASKS for HDVCAP_Y_G_SCALER_C2 */
	#define BMSK_HDVCAP_Y_G_SCALER_C2_RESERVED	0xfffffc00 /*  */
	#define BMSK_HDVCAP_Y_G_SCALER_C2_C2	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_Y_G_SCALER_C2 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_Y_G_SCALER_C2_RESERVED	 0x00b4, 10, 22, 0xfffffc00
	#define BITFIELD_HDVCAP_Y_G_SCALER_C2_C2	 0x00b4, 0, 10, 0x000003ff
#define ROFF_HDVCAP_CB_B_CBCR_SCALER_C01	0xb8 /*  */ 
	#define BITFIELD_HDVCAP_CB_B_CBCR_SCALER_C01	 0x00b8, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_CB_B_CBCR_SCALER_C01 */
	#define BLSB_HDVCAP_CB_B_CBCR_SCALER_C01_RESERVED1	26
	#define BLSB_HDVCAP_CB_B_CBCR_SCALER_C01_C1	16
	#define BLSB_HDVCAP_CB_B_CBCR_SCALER_C01_RESERVED	10
	#define BLSB_HDVCAP_CB_B_CBCR_SCALER_C01_C0	0
	/* Register Bit Widths for HDVCAP_CB_B_CBCR_SCALER_C01 */
	#define BWID_HDVCAP_CB_B_CBCR_SCALER_C01_RESERVED1	6
	#define BWID_HDVCAP_CB_B_CBCR_SCALER_C01_C1	10
	#define BWID_HDVCAP_CB_B_CBCR_SCALER_C01_RESERVED	6
	#define BWID_HDVCAP_CB_B_CBCR_SCALER_C01_C0	10
	/* Register Bit MASKS for HDVCAP_CB_B_CBCR_SCALER_C01 */
	#define BMSK_HDVCAP_CB_B_CBCR_SCALER_C01_RESERVED1	0xfc000000 /*  */
	#define BMSK_HDVCAP_CB_B_CBCR_SCALER_C01_C1	0x03ff0000 /*  */
	#define BMSK_HDVCAP_CB_B_CBCR_SCALER_C01_RESERVED	0x0000fc00 /*  */
	#define BMSK_HDVCAP_CB_B_CBCR_SCALER_C01_C0	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_CB_B_CBCR_SCALER_C01 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_CB_B_CBCR_SCALER_C01_RESERVED1	 0x00b8, 26, 6, 0xfc000000
	#define BITFIELD_HDVCAP_CB_B_CBCR_SCALER_C01_C1	 0x00b8, 16, 10, 0x03ff0000
	#define BITFIELD_HDVCAP_CB_B_CBCR_SCALER_C01_RESERVED	 0x00b8, 10, 6, 0x0000fc00
	#define BITFIELD_HDVCAP_CB_B_CBCR_SCALER_C01_C0	 0x00b8, 0, 10, 0x000003ff
#define ROFF_HDVCAP_CB_B_CBCR_SCALER_C2	0xbc /*  */ 
	#define BITFIELD_HDVCAP_CB_B_CBCR_SCALER_C2	 0x00bc, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_CB_B_CBCR_SCALER_C2 */
	#define BLSB_HDVCAP_CB_B_CBCR_SCALER_C2_RESERVED	10
	#define BLSB_HDVCAP_CB_B_CBCR_SCALER_C2_C2	0
	/* Register Bit Widths for HDVCAP_CB_B_CBCR_SCALER_C2 */
	#define BWID_HDVCAP_CB_B_CBCR_SCALER_C2_RESERVED	22
	#define BWID_HDVCAP_CB_B_CBCR_SCALER_C2_C2	10
	/* Register Bit MASKS for HDVCAP_CB_B_CBCR_SCALER_C2 */
	#define BMSK_HDVCAP_CB_B_CBCR_SCALER_C2_RESERVED	0xfffffc00 /*  */
	#define BMSK_HDVCAP_CB_B_CBCR_SCALER_C2_C2	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_CB_B_CBCR_SCALER_C2 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_CB_B_CBCR_SCALER_C2_RESERVED	 0x00bc, 10, 22, 0xfffffc00
	#define BITFIELD_HDVCAP_CB_B_CBCR_SCALER_C2_C2	 0x00bc, 0, 10, 0x000003ff
#define ROFF_HDVCAP_CR_R_SCALER_C01	0xc0 /*  */ 
	#define BITFIELD_HDVCAP_CR_R_SCALER_C01	 0x00c0, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_CR_R_SCALER_C01 */
	#define BLSB_HDVCAP_CR_R_SCALER_C01_RESERVED1	26
	#define BLSB_HDVCAP_CR_R_SCALER_C01_C1	16
	#define BLSB_HDVCAP_CR_R_SCALER_C01_RESERVED	10
	#define BLSB_HDVCAP_CR_R_SCALER_C01_C0	0
	/* Register Bit Widths for HDVCAP_CR_R_SCALER_C01 */
	#define BWID_HDVCAP_CR_R_SCALER_C01_RESERVED1	6
	#define BWID_HDVCAP_CR_R_SCALER_C01_C1	10
	#define BWID_HDVCAP_CR_R_SCALER_C01_RESERVED	6
	#define BWID_HDVCAP_CR_R_SCALER_C01_C0	10
	/* Register Bit MASKS for HDVCAP_CR_R_SCALER_C01 */
	#define BMSK_HDVCAP_CR_R_SCALER_C01_RESERVED1	0xfc000000 /*  */
	#define BMSK_HDVCAP_CR_R_SCALER_C01_C1	0x03ff0000 /*  */
	#define BMSK_HDVCAP_CR_R_SCALER_C01_RESERVED	0x0000fc00 /*  */
	#define BMSK_HDVCAP_CR_R_SCALER_C01_C0	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_CR_R_SCALER_C01 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_CR_R_SCALER_C01_RESERVED1	 0x00c0, 26, 6, 0xfc000000
	#define BITFIELD_HDVCAP_CR_R_SCALER_C01_C1	 0x00c0, 16, 10, 0x03ff0000
	#define BITFIELD_HDVCAP_CR_R_SCALER_C01_RESERVED	 0x00c0, 10, 6, 0x0000fc00
	#define BITFIELD_HDVCAP_CR_R_SCALER_C01_C0	 0x00c0, 0, 10, 0x000003ff
#define ROFF_HDVCAP_CR_R_SCALER_C2	0xc4 /*  */ 
	#define BITFIELD_HDVCAP_CR_R_SCALER_C2	 0x00c4, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_CR_R_SCALER_C2 */
	#define BLSB_HDVCAP_CR_R_SCALER_C2_RESERVED	10
	#define BLSB_HDVCAP_CR_R_SCALER_C2_C2	0
	/* Register Bit Widths for HDVCAP_CR_R_SCALER_C2 */
	#define BWID_HDVCAP_CR_R_SCALER_C2_RESERVED	22
	#define BWID_HDVCAP_CR_R_SCALER_C2_C2	10
	/* Register Bit MASKS for HDVCAP_CR_R_SCALER_C2 */
	#define BMSK_HDVCAP_CR_R_SCALER_C2_RESERVED	0xfffffc00 /*  */
	#define BMSK_HDVCAP_CR_R_SCALER_C2_C2	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_CR_R_SCALER_C2 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_CR_R_SCALER_C2_RESERVED	 0x00c4, 10, 22, 0xfffffc00
	#define BITFIELD_HDVCAP_CR_R_SCALER_C2_C2	 0x00c4, 0, 10, 0x000003ff
#define ROFF_HDVCAP_422to444_FILTER_C01	0xc8 /*  */ 
	#define BITFIELD_HDVCAP_422to444_FILTER_C01	 0x00c8, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_422to444_FILTER_C01 */
	#define BLSB_HDVCAP_422to444_FILTER_C01_RESERVED1	26
	#define BLSB_HDVCAP_422to444_FILTER_C01_C1	16
	#define BLSB_HDVCAP_422to444_FILTER_C01_RESERVED	10
	#define BLSB_HDVCAP_422to444_FILTER_C01_C0	0
	/* Register Bit Widths for HDVCAP_422to444_FILTER_C01 */
	#define BWID_HDVCAP_422to444_FILTER_C01_RESERVED1	6
	#define BWID_HDVCAP_422to444_FILTER_C01_C1	10
	#define BWID_HDVCAP_422to444_FILTER_C01_RESERVED	6
	#define BWID_HDVCAP_422to444_FILTER_C01_C0	10
	/* Register Bit MASKS for HDVCAP_422to444_FILTER_C01 */
	#define BMSK_HDVCAP_422to444_FILTER_C01_RESERVED1	0xfc000000 /*  */
	#define BMSK_HDVCAP_422to444_FILTER_C01_C1	0x03ff0000 /*  */
	#define BMSK_HDVCAP_422to444_FILTER_C01_RESERVED	0x0000fc00 /*  */
	#define BMSK_HDVCAP_422to444_FILTER_C01_C0	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_422to444_FILTER_C01 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_422to444_FILTER_C01_RESERVED1	 0x00c8, 26, 6, 0xfc000000
	#define BITFIELD_HDVCAP_422to444_FILTER_C01_C1	 0x00c8, 16, 10, 0x03ff0000
	#define BITFIELD_HDVCAP_422to444_FILTER_C01_RESERVED	 0x00c8, 10, 6, 0x0000fc00
	#define BITFIELD_HDVCAP_422to444_FILTER_C01_C0	 0x00c8, 0, 10, 0x000003ff
#define ROFF_HDVCAP_422to444_FILTER_C2	0xcc /*  */ 
	#define BITFIELD_HDVCAP_422to444_FILTER_C2	 0x00cc, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_422to444_FILTER_C2 */
	#define BLSB_HDVCAP_422to444_FILTER_C2_RESERVED	10
	#define BLSB_HDVCAP_422to444_FILTER_C2_C2	0
	/* Register Bit Widths for HDVCAP_422to444_FILTER_C2 */
	#define BWID_HDVCAP_422to444_FILTER_C2_RESERVED	22
	#define BWID_HDVCAP_422to444_FILTER_C2_C2	10
	/* Register Bit MASKS for HDVCAP_422to444_FILTER_C2 */
	#define BMSK_HDVCAP_422to444_FILTER_C2_RESERVED	0xfffffc00 /*  */
	#define BMSK_HDVCAP_422to444_FILTER_C2_C2	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_422to444_FILTER_C2 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_422to444_FILTER_C2_RESERVED	 0x00cc, 10, 22, 0xfffffc00
	#define BITFIELD_HDVCAP_422to444_FILTER_C2_C2	 0x00cc, 0, 10, 0x000003ff
#define ROFF_HDVCAP_YC_DELAY	0xd0 /*  */ 
	#define BITFIELD_HDVCAP_YC_DELAY	 0x00d0, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_YC_DELAY */
	#define BLSB_HDVCAP_YC_DELAY_RESERVED2	21
	#define BLSB_HDVCAP_YC_DELAY_CR_DELAY	16
	#define BLSB_HDVCAP_YC_DELAY_RESERVED1	13
	#define BLSB_HDVCAP_YC_DELAY_CB_DELAY	8
	#define BLSB_HDVCAP_YC_DELAY_RESERVED	5
	#define BLSB_HDVCAP_YC_DELAY_YG_DELAY	0
	/* Register Bit Widths for HDVCAP_YC_DELAY */
	#define BWID_HDVCAP_YC_DELAY_RESERVED2	11
	#define BWID_HDVCAP_YC_DELAY_CR_DELAY	5
	#define BWID_HDVCAP_YC_DELAY_RESERVED1	3
	#define BWID_HDVCAP_YC_DELAY_CB_DELAY	5
	#define BWID_HDVCAP_YC_DELAY_RESERVED	3
	#define BWID_HDVCAP_YC_DELAY_YG_DELAY	5
	/* Register Bit MASKS for HDVCAP_YC_DELAY */
	#define BMSK_HDVCAP_YC_DELAY_RESERVED2	0xffe00000 /*  */
	#define BMSK_HDVCAP_YC_DELAY_CR_DELAY	0x001f0000 /*  */
	#define BMSK_HDVCAP_YC_DELAY_RESERVED1	0x0000e000 /*  */
	#define BMSK_HDVCAP_YC_DELAY_CB_DELAY	0x00001f00 /*  */
	#define BMSK_HDVCAP_YC_DELAY_RESERVED	0x000000e0 /*  */
	#define BMSK_HDVCAP_YC_DELAY_YG_DELAY	0x0000001f /*  */
	/* Register BITFIELD for HDVCAP_YC_DELAY - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_YC_DELAY_RESERVED2	 0x00d0, 21, 11, 0xffe00000
	#define BITFIELD_HDVCAP_YC_DELAY_CR_DELAY	 0x00d0, 16, 5, 0x001f0000
	#define BITFIELD_HDVCAP_YC_DELAY_RESERVED1	 0x00d0, 13, 3, 0x0000e000
	#define BITFIELD_HDVCAP_YC_DELAY_CB_DELAY	 0x00d0, 8, 5, 0x00001f00
	#define BITFIELD_HDVCAP_YC_DELAY_RESERVED	 0x00d0, 5, 3, 0x000000e0
	#define BITFIELD_HDVCAP_YC_DELAY_YG_DELAY	 0x00d0, 0, 5, 0x0000001f
#define ROFF_HDVCAP_SYNC_THRESHOLD	0xd4 /*  */ 
	#define BITFIELD_HDVCAP_SYNC_THRESHOLD	 0x00d4, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_SYNC_THRESHOLD */
	#define BLSB_HDVCAP_SYNC_THRESHOLD_RESERVED1	29
	#define BLSB_HDVCAP_SYNC_THRESHOLD_H_TO_V_SYNC	16
	#define BLSB_HDVCAP_SYNC_THRESHOLD_RESERVED	13
	#define BLSB_HDVCAP_SYNC_THRESHOLD_V_TO_H_SYNC	0
	/* Register Bit Widths for HDVCAP_SYNC_THRESHOLD */
	#define BWID_HDVCAP_SYNC_THRESHOLD_RESERVED1	3
	#define BWID_HDVCAP_SYNC_THRESHOLD_H_TO_V_SYNC	13
	#define BWID_HDVCAP_SYNC_THRESHOLD_RESERVED	3
	#define BWID_HDVCAP_SYNC_THRESHOLD_V_TO_H_SYNC	13
	/* Register Bit MASKS for HDVCAP_SYNC_THRESHOLD */
	#define BMSK_HDVCAP_SYNC_THRESHOLD_RESERVED1	0xe0000000 /*  */
	#define BMSK_HDVCAP_SYNC_THRESHOLD_H_TO_V_SYNC	0x1fff0000 /*  */
	#define BMSK_HDVCAP_SYNC_THRESHOLD_RESERVED	0x0000e000 /*  */
	#define BMSK_HDVCAP_SYNC_THRESHOLD_V_TO_H_SYNC	0x00001fff /*  */
	/* Register BITFIELD for HDVCAP_SYNC_THRESHOLD - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_SYNC_THRESHOLD_RESERVED1	 0x00d4, 29, 3, 0xe0000000
	#define BITFIELD_HDVCAP_SYNC_THRESHOLD_H_TO_V_SYNC	 0x00d4, 16, 13, 0x1fff0000
	#define BITFIELD_HDVCAP_SYNC_THRESHOLD_RESERVED	 0x00d4, 13, 3, 0x0000e000
	#define BITFIELD_HDVCAP_SYNC_THRESHOLD_V_TO_H_SYNC	 0x00d4, 0, 13, 0x00001fff
#define ROFF_HDVCAP_EAV_DET_TH	0xd8 /*  */ 
	#define BITFIELD_HDVCAP_EAV_DET_TH	 0x00d8, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_EAV_DET_TH */
	#define BLSB_HDVCAP_EAV_DET_TH_RESERVED	12
	#define BLSB_HDVCAP_EAV_DET_TH_EAV	0
	/* Register Bit Widths for HDVCAP_EAV_DET_TH */
	#define BWID_HDVCAP_EAV_DET_TH_RESERVED	20
	#define BWID_HDVCAP_EAV_DET_TH_EAV	12
	/* Register Bit MASKS for HDVCAP_EAV_DET_TH */
	#define BMSK_HDVCAP_EAV_DET_TH_RESERVED	0xfffff000 /*  */
	#define BMSK_HDVCAP_EAV_DET_TH_EAV	0x00000fff /*  */
	/* Register BITFIELD for HDVCAP_EAV_DET_TH - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_EAV_DET_TH_RESERVED	 0x00d8, 12, 20, 0xfffff000
	#define BITFIELD_HDVCAP_EAV_DET_TH_EAV	 0x00d8, 0, 12, 0x00000fff
#define ROFF_HDVCAP_AUDTS_CNTR32	0xdc /*  */ 
	#define BITFIELD_HDVCAP_AUDTS_CNTR32	 0x00dc, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_AUDTS_CNTR32 */
	#define BLSB_HDVCAP_AUDTS_CNTR32_AUDTS	0
	/* Register Bit Widths for HDVCAP_AUDTS_CNTR32 */
	#define BWID_HDVCAP_AUDTS_CNTR32_AUDTS	32
	/* Register Bit MASKS for HDVCAP_AUDTS_CNTR32 */
	#define BMSK_HDVCAP_AUDTS_CNTR32_AUDTS	0x00000000 /*  */
	/* Register BITFIELD for HDVCAP_AUDTS_CNTR32 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_AUDTS_CNTR32_AUDTS	 0x00dc, 0, 32, 0x00000000
#define ROFF_HDVCAP_VISA_CTL	0x2f0 /*  */ 
	#define BITFIELD_HDVCAP_VISA_CTL	 0x02f0, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_VISA_CTL */
	#define BLSB_HDVCAP_VISA_CTL_RESERVED	1
	#define BLSB_HDVCAP_VISA_CTL_ENABLE	0
	/* Register Bit Widths for HDVCAP_VISA_CTL */
	#define BWID_HDVCAP_VISA_CTL_RESERVED	31
	#define BWID_HDVCAP_VISA_CTL_ENABLE	1
	/* Register Bit MASKS for HDVCAP_VISA_CTL */
	#define BMSK_HDVCAP_VISA_CTL_RESERVED	0xfffffffe /*  */
	#define BMSK_HDVCAP_VISA_CTL_ENABLE	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for HDVCAP_VISA_CTL - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_VISA_CTL_RESERVED	 0x02f0, 1, 31, 0xfffffffe
	#define BITFIELD_HDVCAP_VISA_CTL_ENABLE	 0x02f0, 0, 1, 0x00000001
#define ROFF_HDVCAP_VISA_LN0_CTL	0x2f4 /*  */ 
	#define BITFIELD_HDVCAP_VISA_LN0_CTL	 0x02f4, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_VISA_LN0_CTL */
	#define BLSB_HDVCAP_VISA_LN0_CTL_RESERVED	17
	#define BLSB_HDVCAP_VISA_LN0_CTL_BYPASS_SEL	16
	#define BLSB_HDVCAP_VISA_LN0_CTL_CLK_LANE_SEL	8
	#define BLSB_HDVCAP_VISA_LN0_CTL_DATA_LANE_SEL	0
	/* Register Bit Widths for HDVCAP_VISA_LN0_CTL */
	#define BWID_HDVCAP_VISA_LN0_CTL_RESERVED	15
	#define BWID_HDVCAP_VISA_LN0_CTL_BYPASS_SEL	1
	#define BWID_HDVCAP_VISA_LN0_CTL_CLK_LANE_SEL	8
	#define BWID_HDVCAP_VISA_LN0_CTL_DATA_LANE_SEL	8
	/* Register Bit MASKS for HDVCAP_VISA_LN0_CTL */
	#define BMSK_HDVCAP_VISA_LN0_CTL_RESERVED	0xfffe0000 /*  */
	#define BMSK_HDVCAP_VISA_LN0_CTL_BYPASS_SEL	(1<<16) /* == 0x00010000:  */
	#define BMSK_HDVCAP_VISA_LN0_CTL_CLK_LANE_SEL	0x0000ff00 /*  */
	#define BMSK_HDVCAP_VISA_LN0_CTL_DATA_LANE_SEL	0x000000ff /*  */
	/* Register BITFIELD for HDVCAP_VISA_LN0_CTL - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_VISA_LN0_CTL_RESERVED	 0x02f4, 17, 15, 0xfffe0000
	#define BITFIELD_HDVCAP_VISA_LN0_CTL_BYPASS_SEL	 0x02f4, 16, 1, 0x00010000
	#define BITFIELD_HDVCAP_VISA_LN0_CTL_CLK_LANE_SEL	 0x02f4, 8, 8, 0x0000ff00
	#define BITFIELD_HDVCAP_VISA_LN0_CTL_DATA_LANE_SEL	 0x02f4, 0, 8, 0x000000ff
#define ROFF_HDVCAP_VISA_LN1_CTL	0x2f8 /*  */ 
	#define BITFIELD_HDVCAP_VISA_LN1_CTL	 0x02f8, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_VISA_LN1_CTL */
	#define BLSB_HDVCAP_VISA_LN1_CTL_RESERVED	17
	#define BLSB_HDVCAP_VISA_LN1_CTL_BYPASS_SEL	16
	#define BLSB_HDVCAP_VISA_LN1_CTL_CLK_LANE_SEL	8
	#define BLSB_HDVCAP_VISA_LN1_CTL_DATA_LANE_SEL	0
	/* Register Bit Widths for HDVCAP_VISA_LN1_CTL */
	#define BWID_HDVCAP_VISA_LN1_CTL_RESERVED	15
	#define BWID_HDVCAP_VISA_LN1_CTL_BYPASS_SEL	1
	#define BWID_HDVCAP_VISA_LN1_CTL_CLK_LANE_SEL	8
	#define BWID_HDVCAP_VISA_LN1_CTL_DATA_LANE_SEL	8
	/* Register Bit MASKS for HDVCAP_VISA_LN1_CTL */
	#define BMSK_HDVCAP_VISA_LN1_CTL_RESERVED	0xfffe0000 /*  */
	#define BMSK_HDVCAP_VISA_LN1_CTL_BYPASS_SEL	(1<<16) /* == 0x00010000:  */
	#define BMSK_HDVCAP_VISA_LN1_CTL_CLK_LANE_SEL	0x0000ff00 /*  */
	#define BMSK_HDVCAP_VISA_LN1_CTL_DATA_LANE_SEL	0x000000ff /*  */
	/* Register BITFIELD for HDVCAP_VISA_LN1_CTL - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_VISA_LN1_CTL_RESERVED	 0x02f8, 17, 15, 0xfffe0000
	#define BITFIELD_HDVCAP_VISA_LN1_CTL_BYPASS_SEL	 0x02f8, 16, 1, 0x00010000
	#define BITFIELD_HDVCAP_VISA_LN1_CTL_CLK_LANE_SEL	 0x02f8, 8, 8, 0x0000ff00
	#define BITFIELD_HDVCAP_VISA_LN1_CTL_DATA_LANE_SEL	 0x02f8, 0, 8, 0x000000ff
#define ROFF_HDVCAP_TEST_CTL	0x2fc /*  */ 
	#define BITFIELD_HDVCAP_TEST_CTL	 0x02fc, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_TEST_CTL */
	#define BLSB_HDVCAP_TEST_CTL_RESERVED	5
	#define BLSB_HDVCAP_TEST_CTL_MODE	1
	#define BLSB_HDVCAP_TEST_CTL_ENABLE	0
	/* Register Bit Widths for HDVCAP_TEST_CTL */
	#define BWID_HDVCAP_TEST_CTL_RESERVED	27
	#define BWID_HDVCAP_TEST_CTL_MODE	4
	#define BWID_HDVCAP_TEST_CTL_ENABLE	1
	/* Register Bit MASKS for HDVCAP_TEST_CTL */
	#define BMSK_HDVCAP_TEST_CTL_RESERVED	0xffffffe0 /*  */
	#define BMSK_HDVCAP_TEST_CTL_MODE	0x0000001e /*  */
	#define BMSK_HDVCAP_TEST_CTL_ENABLE	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for HDVCAP_TEST_CTL - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_TEST_CTL_RESERVED	 0x02fc, 5, 27, 0xffffffe0
	#define BITFIELD_HDVCAP_TEST_CTL_MODE	 0x02fc, 1, 4, 0x0000001e
	#define BITFIELD_HDVCAP_TEST_CTL_ENABLE	 0x02fc, 0, 1, 0x00000001
#define ROFF_HDVCAP_3D_VIDEO_CTL	0x300 /*  */ 
	#define BITFIELD_HDVCAP_3D_VIDEO_CTL	 0x0300, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_VIDEO_CTL */
	#define BLSB_HDVCAP_3D_VIDEO_CTL_RESERVED	6
	#define BLSB_HDVCAP_3D_VIDEO_CTL_OUTPUT_CLAMPING_DISABLE	5
	#define BLSB_HDVCAP_3D_VIDEO_CTL_SUBSAMPLE_METHOD	2
	#define BLSB_HDVCAP_3D_VIDEO_CTL_FILTER_EN	1
	#define BLSB_HDVCAP_3D_VIDEO_CTL_SIDE_BY_SIDE_EN	0
	/* Register Bit Widths for HDVCAP_3D_VIDEO_CTL */
	#define BWID_HDVCAP_3D_VIDEO_CTL_RESERVED	26
	#define BWID_HDVCAP_3D_VIDEO_CTL_OUTPUT_CLAMPING_DISABLE	1
	#define BWID_HDVCAP_3D_VIDEO_CTL_SUBSAMPLE_METHOD	3
	#define BWID_HDVCAP_3D_VIDEO_CTL_FILTER_EN	1
	#define BWID_HDVCAP_3D_VIDEO_CTL_SIDE_BY_SIDE_EN	1
	/* Register Bit MASKS for HDVCAP_3D_VIDEO_CTL */
	#define BMSK_HDVCAP_3D_VIDEO_CTL_RESERVED	0xffffffc0 /*  */
	#define BMSK_HDVCAP_3D_VIDEO_CTL_OUTPUT_CLAMPING_DISABLE	(1<<5) /* == 0x00000020:  */
	#define BMSK_HDVCAP_3D_VIDEO_CTL_SUBSAMPLE_METHOD	0x0000001c /*  */
	#define BMSK_HDVCAP_3D_VIDEO_CTL_FILTER_EN	(1<<1) /* == 0x00000002:  */
	#define BMSK_HDVCAP_3D_VIDEO_CTL_SIDE_BY_SIDE_EN	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for HDVCAP_3D_VIDEO_CTL - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_VIDEO_CTL_RESERVED	 0x0300, 6, 26, 0xffffffc0
	#define BITFIELD_HDVCAP_3D_VIDEO_CTL_OUTPUT_CLAMPING_DISABLE	 0x0300, 5, 1, 0x00000020
	#define BITFIELD_HDVCAP_3D_VIDEO_CTL_SUBSAMPLE_METHOD	 0x0300, 2, 3, 0x0000001c
	#define BITFIELD_HDVCAP_3D_VIDEO_CTL_FILTER_EN	 0x0300, 1, 1, 0x00000002
	#define BITFIELD_HDVCAP_3D_VIDEO_CTL_SIDE_BY_SIDE_EN	 0x0300, 0, 1, 0x00000001
#define ROFF_HDVCAP_3D_Y_G_ODD_FILTER_C01	0x304 /*  */ 
	#define BITFIELD_HDVCAP_3D_Y_G_ODD_FILTER_C01	 0x0304, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_Y_G_ODD_FILTER_C01 */
	#define BLSB_HDVCAP_3D_Y_G_ODD_FILTER_C01_RESERVED1	26
	#define BLSB_HDVCAP_3D_Y_G_ODD_FILTER_C01_C1	16
	#define BLSB_HDVCAP_3D_Y_G_ODD_FILTER_C01_RESERVED	10
	#define BLSB_HDVCAP_3D_Y_G_ODD_FILTER_C01_C0	0
	/* Register Bit Widths for HDVCAP_3D_Y_G_ODD_FILTER_C01 */
	#define BWID_HDVCAP_3D_Y_G_ODD_FILTER_C01_RESERVED1	6
	#define BWID_HDVCAP_3D_Y_G_ODD_FILTER_C01_C1	10
	#define BWID_HDVCAP_3D_Y_G_ODD_FILTER_C01_RESERVED	6
	#define BWID_HDVCAP_3D_Y_G_ODD_FILTER_C01_C0	10
	/* Register Bit MASKS for HDVCAP_3D_Y_G_ODD_FILTER_C01 */
	#define BMSK_HDVCAP_3D_Y_G_ODD_FILTER_C01_RESERVED1	0xfc000000 /*  */
	#define BMSK_HDVCAP_3D_Y_G_ODD_FILTER_C01_C1	0x03ff0000 /*  */
	#define BMSK_HDVCAP_3D_Y_G_ODD_FILTER_C01_RESERVED	0x0000fc00 /*  */
	#define BMSK_HDVCAP_3D_Y_G_ODD_FILTER_C01_C0	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_3D_Y_G_ODD_FILTER_C01 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_Y_G_ODD_FILTER_C01_RESERVED1	 0x0304, 26, 6, 0xfc000000
	#define BITFIELD_HDVCAP_3D_Y_G_ODD_FILTER_C01_C1	 0x0304, 16, 10, 0x03ff0000
	#define BITFIELD_HDVCAP_3D_Y_G_ODD_FILTER_C01_RESERVED	 0x0304, 10, 6, 0x0000fc00
	#define BITFIELD_HDVCAP_3D_Y_G_ODD_FILTER_C01_C0	 0x0304, 0, 10, 0x000003ff
#define ROFF_HDVCAP_3D_Y_G_ODD_FILTER_C23	0x308 /*  */ 
	#define BITFIELD_HDVCAP_3D_Y_G_ODD_FILTER_C23	 0x0308, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_Y_G_ODD_FILTER_C23 */
	#define BLSB_HDVCAP_3D_Y_G_ODD_FILTER_C23_RESERVED1	26
	#define BLSB_HDVCAP_3D_Y_G_ODD_FILTER_C23_C3	16
	#define BLSB_HDVCAP_3D_Y_G_ODD_FILTER_C23_RESERVED	10
	#define BLSB_HDVCAP_3D_Y_G_ODD_FILTER_C23_C2	0
	/* Register Bit Widths for HDVCAP_3D_Y_G_ODD_FILTER_C23 */
	#define BWID_HDVCAP_3D_Y_G_ODD_FILTER_C23_RESERVED1	6
	#define BWID_HDVCAP_3D_Y_G_ODD_FILTER_C23_C3	10
	#define BWID_HDVCAP_3D_Y_G_ODD_FILTER_C23_RESERVED	6
	#define BWID_HDVCAP_3D_Y_G_ODD_FILTER_C23_C2	10
	/* Register Bit MASKS for HDVCAP_3D_Y_G_ODD_FILTER_C23 */
	#define BMSK_HDVCAP_3D_Y_G_ODD_FILTER_C23_RESERVED1	0xfc000000 /*  */
	#define BMSK_HDVCAP_3D_Y_G_ODD_FILTER_C23_C3	0x03ff0000 /*  */
	#define BMSK_HDVCAP_3D_Y_G_ODD_FILTER_C23_RESERVED	0x0000fc00 /*  */
	#define BMSK_HDVCAP_3D_Y_G_ODD_FILTER_C23_C2	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_3D_Y_G_ODD_FILTER_C23 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_Y_G_ODD_FILTER_C23_RESERVED1	 0x0308, 26, 6, 0xfc000000
	#define BITFIELD_HDVCAP_3D_Y_G_ODD_FILTER_C23_C3	 0x0308, 16, 10, 0x03ff0000
	#define BITFIELD_HDVCAP_3D_Y_G_ODD_FILTER_C23_RESERVED	 0x0308, 10, 6, 0x0000fc00
	#define BITFIELD_HDVCAP_3D_Y_G_ODD_FILTER_C23_C2	 0x0308, 0, 10, 0x000003ff
#define ROFF_HDVCAP_3D_Y_G_ODD_FILTER_C4	0x30c /*  */ 
	#define BITFIELD_HDVCAP_3D_Y_G_ODD_FILTER_C4	 0x030c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_Y_G_ODD_FILTER_C4 */
	#define BLSB_HDVCAP_3D_Y_G_ODD_FILTER_C4_RESERVED	10
	#define BLSB_HDVCAP_3D_Y_G_ODD_FILTER_C4_C4	0
	/* Register Bit Widths for HDVCAP_3D_Y_G_ODD_FILTER_C4 */
	#define BWID_HDVCAP_3D_Y_G_ODD_FILTER_C4_RESERVED	22
	#define BWID_HDVCAP_3D_Y_G_ODD_FILTER_C4_C4	10
	/* Register Bit MASKS for HDVCAP_3D_Y_G_ODD_FILTER_C4 */
	#define BMSK_HDVCAP_3D_Y_G_ODD_FILTER_C4_RESERVED	0xfffffc00 /*  */
	#define BMSK_HDVCAP_3D_Y_G_ODD_FILTER_C4_C4	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_3D_Y_G_ODD_FILTER_C4 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_Y_G_ODD_FILTER_C4_RESERVED	 0x030c, 10, 22, 0xfffffc00
	#define BITFIELD_HDVCAP_3D_Y_G_ODD_FILTER_C4_C4	 0x030c, 0, 10, 0x000003ff
#define ROFF_HDVCAP_3D_Y_G_EVEN_FILTER_C01	0x310 /*  */ 
	#define BITFIELD_HDVCAP_3D_Y_G_EVEN_FILTER_C01	 0x0310, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_Y_G_EVEN_FILTER_C01 */
	#define BLSB_HDVCAP_3D_Y_G_EVEN_FILTER_C01_RESERVED1	26
	#define BLSB_HDVCAP_3D_Y_G_EVEN_FILTER_C01_C1	16
	#define BLSB_HDVCAP_3D_Y_G_EVEN_FILTER_C01_RESERVED	10
	#define BLSB_HDVCAP_3D_Y_G_EVEN_FILTER_C01_C0	0
	/* Register Bit Widths for HDVCAP_3D_Y_G_EVEN_FILTER_C01 */
	#define BWID_HDVCAP_3D_Y_G_EVEN_FILTER_C01_RESERVED1	6
	#define BWID_HDVCAP_3D_Y_G_EVEN_FILTER_C01_C1	10
	#define BWID_HDVCAP_3D_Y_G_EVEN_FILTER_C01_RESERVED	6
	#define BWID_HDVCAP_3D_Y_G_EVEN_FILTER_C01_C0	10
	/* Register Bit MASKS for HDVCAP_3D_Y_G_EVEN_FILTER_C01 */
	#define BMSK_HDVCAP_3D_Y_G_EVEN_FILTER_C01_RESERVED1	0xfc000000 /*  */
	#define BMSK_HDVCAP_3D_Y_G_EVEN_FILTER_C01_C1	0x03ff0000 /*  */
	#define BMSK_HDVCAP_3D_Y_G_EVEN_FILTER_C01_RESERVED	0x0000fc00 /*  */
	#define BMSK_HDVCAP_3D_Y_G_EVEN_FILTER_C01_C0	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_3D_Y_G_EVEN_FILTER_C01 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_Y_G_EVEN_FILTER_C01_RESERVED1	 0x0310, 26, 6, 0xfc000000
	#define BITFIELD_HDVCAP_3D_Y_G_EVEN_FILTER_C01_C1	 0x0310, 16, 10, 0x03ff0000
	#define BITFIELD_HDVCAP_3D_Y_G_EVEN_FILTER_C01_RESERVED	 0x0310, 10, 6, 0x0000fc00
	#define BITFIELD_HDVCAP_3D_Y_G_EVEN_FILTER_C01_C0	 0x0310, 0, 10, 0x000003ff
#define ROFF_HDVCAP_3D_Y_G_EVEN_FILTER_C23	0x314 /*  */ 
	#define BITFIELD_HDVCAP_3D_Y_G_EVEN_FILTER_C23	 0x0314, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_Y_G_EVEN_FILTER_C23 */
	#define BLSB_HDVCAP_3D_Y_G_EVEN_FILTER_C23_RESERVED1	26
	#define BLSB_HDVCAP_3D_Y_G_EVEN_FILTER_C23_C3	16
	#define BLSB_HDVCAP_3D_Y_G_EVEN_FILTER_C23_RESERVED	10
	#define BLSB_HDVCAP_3D_Y_G_EVEN_FILTER_C23_C2	0
	/* Register Bit Widths for HDVCAP_3D_Y_G_EVEN_FILTER_C23 */
	#define BWID_HDVCAP_3D_Y_G_EVEN_FILTER_C23_RESERVED1	6
	#define BWID_HDVCAP_3D_Y_G_EVEN_FILTER_C23_C3	10
	#define BWID_HDVCAP_3D_Y_G_EVEN_FILTER_C23_RESERVED	6
	#define BWID_HDVCAP_3D_Y_G_EVEN_FILTER_C23_C2	10
	/* Register Bit MASKS for HDVCAP_3D_Y_G_EVEN_FILTER_C23 */
	#define BMSK_HDVCAP_3D_Y_G_EVEN_FILTER_C23_RESERVED1	0xfc000000 /*  */
	#define BMSK_HDVCAP_3D_Y_G_EVEN_FILTER_C23_C3	0x03ff0000 /*  */
	#define BMSK_HDVCAP_3D_Y_G_EVEN_FILTER_C23_RESERVED	0x0000fc00 /*  */
	#define BMSK_HDVCAP_3D_Y_G_EVEN_FILTER_C23_C2	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_3D_Y_G_EVEN_FILTER_C23 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_Y_G_EVEN_FILTER_C23_RESERVED1	 0x0314, 26, 6, 0xfc000000
	#define BITFIELD_HDVCAP_3D_Y_G_EVEN_FILTER_C23_C3	 0x0314, 16, 10, 0x03ff0000
	#define BITFIELD_HDVCAP_3D_Y_G_EVEN_FILTER_C23_RESERVED	 0x0314, 10, 6, 0x0000fc00
	#define BITFIELD_HDVCAP_3D_Y_G_EVEN_FILTER_C23_C2	 0x0314, 0, 10, 0x000003ff
#define ROFF_HDVCAP_3D_Y_G_EVEN_FILTER_C4	0x318 /*  */ 
	#define BITFIELD_HDVCAP_3D_Y_G_EVEN_FILTER_C4	 0x0318, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_Y_G_EVEN_FILTER_C4 */
	#define BLSB_HDVCAP_3D_Y_G_EVEN_FILTER_C4_RESERVED	10
	#define BLSB_HDVCAP_3D_Y_G_EVEN_FILTER_C4_C4	0
	/* Register Bit Widths for HDVCAP_3D_Y_G_EVEN_FILTER_C4 */
	#define BWID_HDVCAP_3D_Y_G_EVEN_FILTER_C4_RESERVED	22
	#define BWID_HDVCAP_3D_Y_G_EVEN_FILTER_C4_C4	10
	/* Register Bit MASKS for HDVCAP_3D_Y_G_EVEN_FILTER_C4 */
	#define BMSK_HDVCAP_3D_Y_G_EVEN_FILTER_C4_RESERVED	0xfffffc00 /*  */
	#define BMSK_HDVCAP_3D_Y_G_EVEN_FILTER_C4_C4	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_3D_Y_G_EVEN_FILTER_C4 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_Y_G_EVEN_FILTER_C4_RESERVED	 0x0318, 10, 22, 0xfffffc00
	#define BITFIELD_HDVCAP_3D_Y_G_EVEN_FILTER_C4_C4	 0x0318, 0, 10, 0x000003ff
#define ROFF_HDVCAP_3D_CB_B_ODD_FILTER_C01	0x31c /*  */ 
	#define BITFIELD_HDVCAP_3D_CB_B_ODD_FILTER_C01	 0x031c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_CB_B_ODD_FILTER_C01 */
	#define BLSB_HDVCAP_3D_CB_B_ODD_FILTER_C01_RESERVED1	26
	#define BLSB_HDVCAP_3D_CB_B_ODD_FILTER_C01_C1	16
	#define BLSB_HDVCAP_3D_CB_B_ODD_FILTER_C01_RESERVED	10
	#define BLSB_HDVCAP_3D_CB_B_ODD_FILTER_C01_C0	0
	/* Register Bit Widths for HDVCAP_3D_CB_B_ODD_FILTER_C01 */
	#define BWID_HDVCAP_3D_CB_B_ODD_FILTER_C01_RESERVED1	6
	#define BWID_HDVCAP_3D_CB_B_ODD_FILTER_C01_C1	10
	#define BWID_HDVCAP_3D_CB_B_ODD_FILTER_C01_RESERVED	6
	#define BWID_HDVCAP_3D_CB_B_ODD_FILTER_C01_C0	10
	/* Register Bit MASKS for HDVCAP_3D_CB_B_ODD_FILTER_C01 */
	#define BMSK_HDVCAP_3D_CB_B_ODD_FILTER_C01_RESERVED1	0xfc000000 /*  */
	#define BMSK_HDVCAP_3D_CB_B_ODD_FILTER_C01_C1	0x03ff0000 /*  */
	#define BMSK_HDVCAP_3D_CB_B_ODD_FILTER_C01_RESERVED	0x0000fc00 /*  */
	#define BMSK_HDVCAP_3D_CB_B_ODD_FILTER_C01_C0	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_3D_CB_B_ODD_FILTER_C01 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_CB_B_ODD_FILTER_C01_RESERVED1	 0x031c, 26, 6, 0xfc000000
	#define BITFIELD_HDVCAP_3D_CB_B_ODD_FILTER_C01_C1	 0x031c, 16, 10, 0x03ff0000
	#define BITFIELD_HDVCAP_3D_CB_B_ODD_FILTER_C01_RESERVED	 0x031c, 10, 6, 0x0000fc00
	#define BITFIELD_HDVCAP_3D_CB_B_ODD_FILTER_C01_C0	 0x031c, 0, 10, 0x000003ff
#define ROFF_HDVCAP_3D_CB_B_ODD_FILTER_C23	0x320 /*  */ 
	#define BITFIELD_HDVCAP_3D_CB_B_ODD_FILTER_C23	 0x0320, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_CB_B_ODD_FILTER_C23 */
	#define BLSB_HDVCAP_3D_CB_B_ODD_FILTER_C23_RESERVED1	26
	#define BLSB_HDVCAP_3D_CB_B_ODD_FILTER_C23_C3	16
	#define BLSB_HDVCAP_3D_CB_B_ODD_FILTER_C23_RESERVED	10
	#define BLSB_HDVCAP_3D_CB_B_ODD_FILTER_C23_C2	0
	/* Register Bit Widths for HDVCAP_3D_CB_B_ODD_FILTER_C23 */
	#define BWID_HDVCAP_3D_CB_B_ODD_FILTER_C23_RESERVED1	6
	#define BWID_HDVCAP_3D_CB_B_ODD_FILTER_C23_C3	10
	#define BWID_HDVCAP_3D_CB_B_ODD_FILTER_C23_RESERVED	6
	#define BWID_HDVCAP_3D_CB_B_ODD_FILTER_C23_C2	10
	/* Register Bit MASKS for HDVCAP_3D_CB_B_ODD_FILTER_C23 */
	#define BMSK_HDVCAP_3D_CB_B_ODD_FILTER_C23_RESERVED1	0xfc000000 /*  */
	#define BMSK_HDVCAP_3D_CB_B_ODD_FILTER_C23_C3	0x03ff0000 /*  */
	#define BMSK_HDVCAP_3D_CB_B_ODD_FILTER_C23_RESERVED	0x0000fc00 /*  */
	#define BMSK_HDVCAP_3D_CB_B_ODD_FILTER_C23_C2	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_3D_CB_B_ODD_FILTER_C23 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_CB_B_ODD_FILTER_C23_RESERVED1	 0x0320, 26, 6, 0xfc000000
	#define BITFIELD_HDVCAP_3D_CB_B_ODD_FILTER_C23_C3	 0x0320, 16, 10, 0x03ff0000
	#define BITFIELD_HDVCAP_3D_CB_B_ODD_FILTER_C23_RESERVED	 0x0320, 10, 6, 0x0000fc00
	#define BITFIELD_HDVCAP_3D_CB_B_ODD_FILTER_C23_C2	 0x0320, 0, 10, 0x000003ff
#define ROFF_HDVCAP_3D_CB_B_ODD_FILTER_C4	0x324 /*  */ 
	#define BITFIELD_HDVCAP_3D_CB_B_ODD_FILTER_C4	 0x0324, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_CB_B_ODD_FILTER_C4 */
	#define BLSB_HDVCAP_3D_CB_B_ODD_FILTER_C4_RESERVED	10
	#define BLSB_HDVCAP_3D_CB_B_ODD_FILTER_C4_C4	0
	/* Register Bit Widths for HDVCAP_3D_CB_B_ODD_FILTER_C4 */
	#define BWID_HDVCAP_3D_CB_B_ODD_FILTER_C4_RESERVED	22
	#define BWID_HDVCAP_3D_CB_B_ODD_FILTER_C4_C4	10
	/* Register Bit MASKS for HDVCAP_3D_CB_B_ODD_FILTER_C4 */
	#define BMSK_HDVCAP_3D_CB_B_ODD_FILTER_C4_RESERVED	0xfffffc00 /*  */
	#define BMSK_HDVCAP_3D_CB_B_ODD_FILTER_C4_C4	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_3D_CB_B_ODD_FILTER_C4 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_CB_B_ODD_FILTER_C4_RESERVED	 0x0324, 10, 22, 0xfffffc00
	#define BITFIELD_HDVCAP_3D_CB_B_ODD_FILTER_C4_C4	 0x0324, 0, 10, 0x000003ff
#define ROFF_HDVCAP_3D_CB_B_EVEN_FILTER_C01	0x328 /*  */ 
	#define BITFIELD_HDVCAP_3D_CB_B_EVEN_FILTER_C01	 0x0328, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_CB_B_EVEN_FILTER_C01 */
	#define BLSB_HDVCAP_3D_CB_B_EVEN_FILTER_C01_RESERVED1	26
	#define BLSB_HDVCAP_3D_CB_B_EVEN_FILTER_C01_C1	16
	#define BLSB_HDVCAP_3D_CB_B_EVEN_FILTER_C01_RESERVED	10
	#define BLSB_HDVCAP_3D_CB_B_EVEN_FILTER_C01_C0	0
	/* Register Bit Widths for HDVCAP_3D_CB_B_EVEN_FILTER_C01 */
	#define BWID_HDVCAP_3D_CB_B_EVEN_FILTER_C01_RESERVED1	6
	#define BWID_HDVCAP_3D_CB_B_EVEN_FILTER_C01_C1	10
	#define BWID_HDVCAP_3D_CB_B_EVEN_FILTER_C01_RESERVED	6
	#define BWID_HDVCAP_3D_CB_B_EVEN_FILTER_C01_C0	10
	/* Register Bit MASKS for HDVCAP_3D_CB_B_EVEN_FILTER_C01 */
	#define BMSK_HDVCAP_3D_CB_B_EVEN_FILTER_C01_RESERVED1	0xfc000000 /*  */
	#define BMSK_HDVCAP_3D_CB_B_EVEN_FILTER_C01_C1	0x03ff0000 /*  */
	#define BMSK_HDVCAP_3D_CB_B_EVEN_FILTER_C01_RESERVED	0x0000fc00 /*  */
	#define BMSK_HDVCAP_3D_CB_B_EVEN_FILTER_C01_C0	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_3D_CB_B_EVEN_FILTER_C01 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_CB_B_EVEN_FILTER_C01_RESERVED1	 0x0328, 26, 6, 0xfc000000
	#define BITFIELD_HDVCAP_3D_CB_B_EVEN_FILTER_C01_C1	 0x0328, 16, 10, 0x03ff0000
	#define BITFIELD_HDVCAP_3D_CB_B_EVEN_FILTER_C01_RESERVED	 0x0328, 10, 6, 0x0000fc00
	#define BITFIELD_HDVCAP_3D_CB_B_EVEN_FILTER_C01_C0	 0x0328, 0, 10, 0x000003ff
#define ROFF_HDVCAP_3D_CB_B_EVEN_FILTER_C23	0x32c /*  */ 
	#define BITFIELD_HDVCAP_3D_CB_B_EVEN_FILTER_C23	 0x032c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_CB_B_EVEN_FILTER_C23 */
	#define BLSB_HDVCAP_3D_CB_B_EVEN_FILTER_C23_RESERVED1	26
	#define BLSB_HDVCAP_3D_CB_B_EVEN_FILTER_C23_C3	16
	#define BLSB_HDVCAP_3D_CB_B_EVEN_FILTER_C23_RESERVED	10
	#define BLSB_HDVCAP_3D_CB_B_EVEN_FILTER_C23_C2	0
	/* Register Bit Widths for HDVCAP_3D_CB_B_EVEN_FILTER_C23 */
	#define BWID_HDVCAP_3D_CB_B_EVEN_FILTER_C23_RESERVED1	6
	#define BWID_HDVCAP_3D_CB_B_EVEN_FILTER_C23_C3	10
	#define BWID_HDVCAP_3D_CB_B_EVEN_FILTER_C23_RESERVED	6
	#define BWID_HDVCAP_3D_CB_B_EVEN_FILTER_C23_C2	10
	/* Register Bit MASKS for HDVCAP_3D_CB_B_EVEN_FILTER_C23 */
	#define BMSK_HDVCAP_3D_CB_B_EVEN_FILTER_C23_RESERVED1	0xfc000000 /*  */
	#define BMSK_HDVCAP_3D_CB_B_EVEN_FILTER_C23_C3	0x03ff0000 /*  */
	#define BMSK_HDVCAP_3D_CB_B_EVEN_FILTER_C23_RESERVED	0x0000fc00 /*  */
	#define BMSK_HDVCAP_3D_CB_B_EVEN_FILTER_C23_C2	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_3D_CB_B_EVEN_FILTER_C23 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_CB_B_EVEN_FILTER_C23_RESERVED1	 0x032c, 26, 6, 0xfc000000
	#define BITFIELD_HDVCAP_3D_CB_B_EVEN_FILTER_C23_C3	 0x032c, 16, 10, 0x03ff0000
	#define BITFIELD_HDVCAP_3D_CB_B_EVEN_FILTER_C23_RESERVED	 0x032c, 10, 6, 0x0000fc00
	#define BITFIELD_HDVCAP_3D_CB_B_EVEN_FILTER_C23_C2	 0x032c, 0, 10, 0x000003ff
#define ROFF_HDVCAP_3D_CB_B_EVEN_FILTER_C4	0x330 /*  */ 
	#define BITFIELD_HDVCAP_3D_CB_B_EVEN_FILTER_C4	 0x0330, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_CB_B_EVEN_FILTER_C4 */
	#define BLSB_HDVCAP_3D_CB_B_EVEN_FILTER_C4_RESERVED	10
	#define BLSB_HDVCAP_3D_CB_B_EVEN_FILTER_C4_C4	0
	/* Register Bit Widths for HDVCAP_3D_CB_B_EVEN_FILTER_C4 */
	#define BWID_HDVCAP_3D_CB_B_EVEN_FILTER_C4_RESERVED	22
	#define BWID_HDVCAP_3D_CB_B_EVEN_FILTER_C4_C4	10
	/* Register Bit MASKS for HDVCAP_3D_CB_B_EVEN_FILTER_C4 */
	#define BMSK_HDVCAP_3D_CB_B_EVEN_FILTER_C4_RESERVED	0xfffffc00 /*  */
	#define BMSK_HDVCAP_3D_CB_B_EVEN_FILTER_C4_C4	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_3D_CB_B_EVEN_FILTER_C4 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_CB_B_EVEN_FILTER_C4_RESERVED	 0x0330, 10, 22, 0xfffffc00
	#define BITFIELD_HDVCAP_3D_CB_B_EVEN_FILTER_C4_C4	 0x0330, 0, 10, 0x000003ff
#define ROFF_HDVCAP_3D_CR_R_ODD_FILTER_C01	0x334 /*  */ 
	#define BITFIELD_HDVCAP_3D_CR_R_ODD_FILTER_C01	 0x0334, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_CR_R_ODD_FILTER_C01 */
	#define BLSB_HDVCAP_3D_CR_R_ODD_FILTER_C01_RESERVED1	26
	#define BLSB_HDVCAP_3D_CR_R_ODD_FILTER_C01_C1	16
	#define BLSB_HDVCAP_3D_CR_R_ODD_FILTER_C01_RESERVED	10
	#define BLSB_HDVCAP_3D_CR_R_ODD_FILTER_C01_C0	0
	/* Register Bit Widths for HDVCAP_3D_CR_R_ODD_FILTER_C01 */
	#define BWID_HDVCAP_3D_CR_R_ODD_FILTER_C01_RESERVED1	6
	#define BWID_HDVCAP_3D_CR_R_ODD_FILTER_C01_C1	10
	#define BWID_HDVCAP_3D_CR_R_ODD_FILTER_C01_RESERVED	6
	#define BWID_HDVCAP_3D_CR_R_ODD_FILTER_C01_C0	10
	/* Register Bit MASKS for HDVCAP_3D_CR_R_ODD_FILTER_C01 */
	#define BMSK_HDVCAP_3D_CR_R_ODD_FILTER_C01_RESERVED1	0xfc000000 /*  */
	#define BMSK_HDVCAP_3D_CR_R_ODD_FILTER_C01_C1	0x03ff0000 /*  */
	#define BMSK_HDVCAP_3D_CR_R_ODD_FILTER_C01_RESERVED	0x0000fc00 /*  */
	#define BMSK_HDVCAP_3D_CR_R_ODD_FILTER_C01_C0	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_3D_CR_R_ODD_FILTER_C01 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_CR_R_ODD_FILTER_C01_RESERVED1	 0x0334, 26, 6, 0xfc000000
	#define BITFIELD_HDVCAP_3D_CR_R_ODD_FILTER_C01_C1	 0x0334, 16, 10, 0x03ff0000
	#define BITFIELD_HDVCAP_3D_CR_R_ODD_FILTER_C01_RESERVED	 0x0334, 10, 6, 0x0000fc00
	#define BITFIELD_HDVCAP_3D_CR_R_ODD_FILTER_C01_C0	 0x0334, 0, 10, 0x000003ff
#define ROFF_HDVCAP_3D_CR_R_ODD_FILTER_C23	0x338 /*  */ 
	#define BITFIELD_HDVCAP_3D_CR_R_ODD_FILTER_C23	 0x0338, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_CR_R_ODD_FILTER_C23 */
	#define BLSB_HDVCAP_3D_CR_R_ODD_FILTER_C23_RESERVED1	26
	#define BLSB_HDVCAP_3D_CR_R_ODD_FILTER_C23_C3	16
	#define BLSB_HDVCAP_3D_CR_R_ODD_FILTER_C23_RESERVED	10
	#define BLSB_HDVCAP_3D_CR_R_ODD_FILTER_C23_C2	0
	/* Register Bit Widths for HDVCAP_3D_CR_R_ODD_FILTER_C23 */
	#define BWID_HDVCAP_3D_CR_R_ODD_FILTER_C23_RESERVED1	6
	#define BWID_HDVCAP_3D_CR_R_ODD_FILTER_C23_C3	10
	#define BWID_HDVCAP_3D_CR_R_ODD_FILTER_C23_RESERVED	6
	#define BWID_HDVCAP_3D_CR_R_ODD_FILTER_C23_C2	10
	/* Register Bit MASKS for HDVCAP_3D_CR_R_ODD_FILTER_C23 */
	#define BMSK_HDVCAP_3D_CR_R_ODD_FILTER_C23_RESERVED1	0xfc000000 /*  */
	#define BMSK_HDVCAP_3D_CR_R_ODD_FILTER_C23_C3	0x03ff0000 /*  */
	#define BMSK_HDVCAP_3D_CR_R_ODD_FILTER_C23_RESERVED	0x0000fc00 /*  */
	#define BMSK_HDVCAP_3D_CR_R_ODD_FILTER_C23_C2	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_3D_CR_R_ODD_FILTER_C23 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_CR_R_ODD_FILTER_C23_RESERVED1	 0x0338, 26, 6, 0xfc000000
	#define BITFIELD_HDVCAP_3D_CR_R_ODD_FILTER_C23_C3	 0x0338, 16, 10, 0x03ff0000
	#define BITFIELD_HDVCAP_3D_CR_R_ODD_FILTER_C23_RESERVED	 0x0338, 10, 6, 0x0000fc00
	#define BITFIELD_HDVCAP_3D_CR_R_ODD_FILTER_C23_C2	 0x0338, 0, 10, 0x000003ff
#define ROFF_HDVCAP_3D_CR_R_ODD_FILTER_C4	0x33c /*  */ 
	#define BITFIELD_HDVCAP_3D_CR_R_ODD_FILTER_C4	 0x033c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_CR_R_ODD_FILTER_C4 */
	#define BLSB_HDVCAP_3D_CR_R_ODD_FILTER_C4_RESERVED	10
	#define BLSB_HDVCAP_3D_CR_R_ODD_FILTER_C4_C4	0
	/* Register Bit Widths for HDVCAP_3D_CR_R_ODD_FILTER_C4 */
	#define BWID_HDVCAP_3D_CR_R_ODD_FILTER_C4_RESERVED	22
	#define BWID_HDVCAP_3D_CR_R_ODD_FILTER_C4_C4	10
	/* Register Bit MASKS for HDVCAP_3D_CR_R_ODD_FILTER_C4 */
	#define BMSK_HDVCAP_3D_CR_R_ODD_FILTER_C4_RESERVED	0xfffffc00 /*  */
	#define BMSK_HDVCAP_3D_CR_R_ODD_FILTER_C4_C4	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_3D_CR_R_ODD_FILTER_C4 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_CR_R_ODD_FILTER_C4_RESERVED	 0x033c, 10, 22, 0xfffffc00
	#define BITFIELD_HDVCAP_3D_CR_R_ODD_FILTER_C4_C4	 0x033c, 0, 10, 0x000003ff
#define ROFF_HDVCAP_3D_CR_R_EVEN_FILTER_C01	0x340 /*  */ 
	#define BITFIELD_HDVCAP_3D_CR_R_EVEN_FILTER_C01	 0x0340, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_CR_R_EVEN_FILTER_C01 */
	#define BLSB_HDVCAP_3D_CR_R_EVEN_FILTER_C01_RESERVED1	26
	#define BLSB_HDVCAP_3D_CR_R_EVEN_FILTER_C01_C1	16
	#define BLSB_HDVCAP_3D_CR_R_EVEN_FILTER_C01_RESERVED	10
	#define BLSB_HDVCAP_3D_CR_R_EVEN_FILTER_C01_C0	0
	/* Register Bit Widths for HDVCAP_3D_CR_R_EVEN_FILTER_C01 */
	#define BWID_HDVCAP_3D_CR_R_EVEN_FILTER_C01_RESERVED1	6
	#define BWID_HDVCAP_3D_CR_R_EVEN_FILTER_C01_C1	10
	#define BWID_HDVCAP_3D_CR_R_EVEN_FILTER_C01_RESERVED	6
	#define BWID_HDVCAP_3D_CR_R_EVEN_FILTER_C01_C0	10
	/* Register Bit MASKS for HDVCAP_3D_CR_R_EVEN_FILTER_C01 */
	#define BMSK_HDVCAP_3D_CR_R_EVEN_FILTER_C01_RESERVED1	0xfc000000 /*  */
	#define BMSK_HDVCAP_3D_CR_R_EVEN_FILTER_C01_C1	0x03ff0000 /*  */
	#define BMSK_HDVCAP_3D_CR_R_EVEN_FILTER_C01_RESERVED	0x0000fc00 /*  */
	#define BMSK_HDVCAP_3D_CR_R_EVEN_FILTER_C01_C0	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_3D_CR_R_EVEN_FILTER_C01 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_CR_R_EVEN_FILTER_C01_RESERVED1	 0x0340, 26, 6, 0xfc000000
	#define BITFIELD_HDVCAP_3D_CR_R_EVEN_FILTER_C01_C1	 0x0340, 16, 10, 0x03ff0000
	#define BITFIELD_HDVCAP_3D_CR_R_EVEN_FILTER_C01_RESERVED	 0x0340, 10, 6, 0x0000fc00
	#define BITFIELD_HDVCAP_3D_CR_R_EVEN_FILTER_C01_C0	 0x0340, 0, 10, 0x000003ff
#define ROFF_HDVCAP_3D_CR_R_EVEN_FILTER_C23	0x344 /*  */ 
	#define BITFIELD_HDVCAP_3D_CR_R_EVEN_FILTER_C23	 0x0344, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_CR_R_EVEN_FILTER_C23 */
	#define BLSB_HDVCAP_3D_CR_R_EVEN_FILTER_C23_RESERVED1	26
	#define BLSB_HDVCAP_3D_CR_R_EVEN_FILTER_C23_C3	16
	#define BLSB_HDVCAP_3D_CR_R_EVEN_FILTER_C23_RESERVED	10
	#define BLSB_HDVCAP_3D_CR_R_EVEN_FILTER_C23_C2	0
	/* Register Bit Widths for HDVCAP_3D_CR_R_EVEN_FILTER_C23 */
	#define BWID_HDVCAP_3D_CR_R_EVEN_FILTER_C23_RESERVED1	6
	#define BWID_HDVCAP_3D_CR_R_EVEN_FILTER_C23_C3	10
	#define BWID_HDVCAP_3D_CR_R_EVEN_FILTER_C23_RESERVED	6
	#define BWID_HDVCAP_3D_CR_R_EVEN_FILTER_C23_C2	10
	/* Register Bit MASKS for HDVCAP_3D_CR_R_EVEN_FILTER_C23 */
	#define BMSK_HDVCAP_3D_CR_R_EVEN_FILTER_C23_RESERVED1	0xfc000000 /*  */
	#define BMSK_HDVCAP_3D_CR_R_EVEN_FILTER_C23_C3	0x03ff0000 /*  */
	#define BMSK_HDVCAP_3D_CR_R_EVEN_FILTER_C23_RESERVED	0x0000fc00 /*  */
	#define BMSK_HDVCAP_3D_CR_R_EVEN_FILTER_C23_C2	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_3D_CR_R_EVEN_FILTER_C23 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_CR_R_EVEN_FILTER_C23_RESERVED1	 0x0344, 26, 6, 0xfc000000
	#define BITFIELD_HDVCAP_3D_CR_R_EVEN_FILTER_C23_C3	 0x0344, 16, 10, 0x03ff0000
	#define BITFIELD_HDVCAP_3D_CR_R_EVEN_FILTER_C23_RESERVED	 0x0344, 10, 6, 0x0000fc00
	#define BITFIELD_HDVCAP_3D_CR_R_EVEN_FILTER_C23_C2	 0x0344, 0, 10, 0x000003ff
#define ROFF_HDVCAP_3D_CR_R_EVEN_FILTER_C4	0x348 /*  */ 
	#define BITFIELD_HDVCAP_3D_CR_R_EVEN_FILTER_C4	 0x0348, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_CR_R_EVEN_FILTER_C4 */
	#define BLSB_HDVCAP_3D_CR_R_EVEN_FILTER_C4_RESERVED	10
	#define BLSB_HDVCAP_3D_CR_R_EVEN_FILTER_C4_C4	0
	/* Register Bit Widths for HDVCAP_3D_CR_R_EVEN_FILTER_C4 */
	#define BWID_HDVCAP_3D_CR_R_EVEN_FILTER_C4_RESERVED	22
	#define BWID_HDVCAP_3D_CR_R_EVEN_FILTER_C4_C4	10
	/* Register Bit MASKS for HDVCAP_3D_CR_R_EVEN_FILTER_C4 */
	#define BMSK_HDVCAP_3D_CR_R_EVEN_FILTER_C4_RESERVED	0xfffffc00 /*  */
	#define BMSK_HDVCAP_3D_CR_R_EVEN_FILTER_C4_C4	0x000003ff /*  */
	/* Register BITFIELD for HDVCAP_3D_CR_R_EVEN_FILTER_C4 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_CR_R_EVEN_FILTER_C4_RESERVED	 0x0348, 10, 22, 0xfffffc00
	#define BITFIELD_HDVCAP_3D_CR_R_EVEN_FILTER_C4_C4	 0x0348, 0, 10, 0x000003ff
#define ROFF_HDVCAP_3D_BUF_A_LEFT_FRAME_0	0x34c /*  */ 
	#define BITFIELD_HDVCAP_3D_BUF_A_LEFT_FRAME_0	 0x034c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_BUF_A_LEFT_FRAME_0 */
	#define BLSB_HDVCAP_3D_BUF_A_LEFT_FRAME_0_BASE_ADDR	3
	#define BLSB_HDVCAP_3D_BUF_A_LEFT_FRAME_0_RESERVED	0
	/* Register Bit Widths for HDVCAP_3D_BUF_A_LEFT_FRAME_0 */
	#define BWID_HDVCAP_3D_BUF_A_LEFT_FRAME_0_BASE_ADDR	29
	#define BWID_HDVCAP_3D_BUF_A_LEFT_FRAME_0_RESERVED	3
	/* Register Bit MASKS for HDVCAP_3D_BUF_A_LEFT_FRAME_0 */
	#define BMSK_HDVCAP_3D_BUF_A_LEFT_FRAME_0_BASE_ADDR	0xfffffff8 /*  */
	#define BMSK_HDVCAP_3D_BUF_A_LEFT_FRAME_0_RESERVED	0x00000007 /*  */
	/* Register BITFIELD for HDVCAP_3D_BUF_A_LEFT_FRAME_0 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_BUF_A_LEFT_FRAME_0_BASE_ADDR	 0x034c, 3, 29, 0xfffffff8
	#define BITFIELD_HDVCAP_3D_BUF_A_LEFT_FRAME_0_RESERVED	 0x034c, 0, 3, 0x00000007
#define ROFF_HDVCAP_3D_BUF_A_RIGHT_FRAME_0	0x350 /*  */ 
	#define BITFIELD_HDVCAP_3D_BUF_A_RIGHT_FRAME_0	 0x0350, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_BUF_A_RIGHT_FRAME_0 */
	#define BLSB_HDVCAP_3D_BUF_A_RIGHT_FRAME_0_BASE_ADDR	3
	#define BLSB_HDVCAP_3D_BUF_A_RIGHT_FRAME_0_RESERVED	0
	/* Register Bit Widths for HDVCAP_3D_BUF_A_RIGHT_FRAME_0 */
	#define BWID_HDVCAP_3D_BUF_A_RIGHT_FRAME_0_BASE_ADDR	29
	#define BWID_HDVCAP_3D_BUF_A_RIGHT_FRAME_0_RESERVED	3
	/* Register Bit MASKS for HDVCAP_3D_BUF_A_RIGHT_FRAME_0 */
	#define BMSK_HDVCAP_3D_BUF_A_RIGHT_FRAME_0_BASE_ADDR	0xfffffff8 /*  */
	#define BMSK_HDVCAP_3D_BUF_A_RIGHT_FRAME_0_RESERVED	0x00000007 /*  */
	/* Register BITFIELD for HDVCAP_3D_BUF_A_RIGHT_FRAME_0 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_BUF_A_RIGHT_FRAME_0_BASE_ADDR	 0x0350, 3, 29, 0xfffffff8
	#define BITFIELD_HDVCAP_3D_BUF_A_RIGHT_FRAME_0_RESERVED	 0x0350, 0, 3, 0x00000007
#define ROFF_HDVCAP_3D_BUF_A_LEFT_FRAME_1	0x354 /*  */ 
	#define BITFIELD_HDVCAP_3D_BUF_A_LEFT_FRAME_1	 0x0354, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_BUF_A_LEFT_FRAME_1 */
	#define BLSB_HDVCAP_3D_BUF_A_LEFT_FRAME_1_BASE_ADDR	3
	#define BLSB_HDVCAP_3D_BUF_A_LEFT_FRAME_1_RESERVED	0
	/* Register Bit Widths for HDVCAP_3D_BUF_A_LEFT_FRAME_1 */
	#define BWID_HDVCAP_3D_BUF_A_LEFT_FRAME_1_BASE_ADDR	29
	#define BWID_HDVCAP_3D_BUF_A_LEFT_FRAME_1_RESERVED	3
	/* Register Bit MASKS for HDVCAP_3D_BUF_A_LEFT_FRAME_1 */
	#define BMSK_HDVCAP_3D_BUF_A_LEFT_FRAME_1_BASE_ADDR	0xfffffff8 /*  */
	#define BMSK_HDVCAP_3D_BUF_A_LEFT_FRAME_1_RESERVED	0x00000007 /*  */
	/* Register BITFIELD for HDVCAP_3D_BUF_A_LEFT_FRAME_1 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_BUF_A_LEFT_FRAME_1_BASE_ADDR	 0x0354, 3, 29, 0xfffffff8
	#define BITFIELD_HDVCAP_3D_BUF_A_LEFT_FRAME_1_RESERVED	 0x0354, 0, 3, 0x00000007
#define ROFF_HDVCAP_3D_BUF_A_RIGHT_FRAME_1	0x358 /*  */ 
	#define BITFIELD_HDVCAP_3D_BUF_A_RIGHT_FRAME_1	 0x0358, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_BUF_A_RIGHT_FRAME_1 */
	#define BLSB_HDVCAP_3D_BUF_A_RIGHT_FRAME_1_BASE_ADDR	3
	#define BLSB_HDVCAP_3D_BUF_A_RIGHT_FRAME_1_RESERVED	0
	/* Register Bit Widths for HDVCAP_3D_BUF_A_RIGHT_FRAME_1 */
	#define BWID_HDVCAP_3D_BUF_A_RIGHT_FRAME_1_BASE_ADDR	29
	#define BWID_HDVCAP_3D_BUF_A_RIGHT_FRAME_1_RESERVED	3
	/* Register Bit MASKS for HDVCAP_3D_BUF_A_RIGHT_FRAME_1 */
	#define BMSK_HDVCAP_3D_BUF_A_RIGHT_FRAME_1_BASE_ADDR	0xfffffff8 /*  */
	#define BMSK_HDVCAP_3D_BUF_A_RIGHT_FRAME_1_RESERVED	0x00000007 /*  */
	/* Register BITFIELD for HDVCAP_3D_BUF_A_RIGHT_FRAME_1 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_BUF_A_RIGHT_FRAME_1_BASE_ADDR	 0x0358, 3, 29, 0xfffffff8
	#define BITFIELD_HDVCAP_3D_BUF_A_RIGHT_FRAME_1_RESERVED	 0x0358, 0, 3, 0x00000007
#define ROFF_HDVCAP_3D_BUF_B_LEFT_FRAME_0	0x35c /*  */ 
	#define BITFIELD_HDVCAP_3D_BUF_B_LEFT_FRAME_0	 0x035c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_BUF_B_LEFT_FRAME_0 */
	#define BLSB_HDVCAP_3D_BUF_B_LEFT_FRAME_0_BASE_ADDR	3
	#define BLSB_HDVCAP_3D_BUF_B_LEFT_FRAME_0_RESERVED	0
	/* Register Bit Widths for HDVCAP_3D_BUF_B_LEFT_FRAME_0 */
	#define BWID_HDVCAP_3D_BUF_B_LEFT_FRAME_0_BASE_ADDR	29
	#define BWID_HDVCAP_3D_BUF_B_LEFT_FRAME_0_RESERVED	3
	/* Register Bit MASKS for HDVCAP_3D_BUF_B_LEFT_FRAME_0 */
	#define BMSK_HDVCAP_3D_BUF_B_LEFT_FRAME_0_BASE_ADDR	0xfffffff8 /*  */
	#define BMSK_HDVCAP_3D_BUF_B_LEFT_FRAME_0_RESERVED	0x00000007 /*  */
	/* Register BITFIELD for HDVCAP_3D_BUF_B_LEFT_FRAME_0 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_BUF_B_LEFT_FRAME_0_BASE_ADDR	 0x035c, 3, 29, 0xfffffff8
	#define BITFIELD_HDVCAP_3D_BUF_B_LEFT_FRAME_0_RESERVED	 0x035c, 0, 3, 0x00000007
#define ROFF_HDVCAP_3D_BUF_B_RIGHT_FRAME_0	0x360 /*  */ 
	#define BITFIELD_HDVCAP_3D_BUF_B_RIGHT_FRAME_0	 0x0360, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_BUF_B_RIGHT_FRAME_0 */
	#define BLSB_HDVCAP_3D_BUF_B_RIGHT_FRAME_0_BASE_ADDR	3
	#define BLSB_HDVCAP_3D_BUF_B_RIGHT_FRAME_0_RESERVED	0
	/* Register Bit Widths for HDVCAP_3D_BUF_B_RIGHT_FRAME_0 */
	#define BWID_HDVCAP_3D_BUF_B_RIGHT_FRAME_0_BASE_ADDR	29
	#define BWID_HDVCAP_3D_BUF_B_RIGHT_FRAME_0_RESERVED	3
	/* Register Bit MASKS for HDVCAP_3D_BUF_B_RIGHT_FRAME_0 */
	#define BMSK_HDVCAP_3D_BUF_B_RIGHT_FRAME_0_BASE_ADDR	0xfffffff8 /*  */
	#define BMSK_HDVCAP_3D_BUF_B_RIGHT_FRAME_0_RESERVED	0x00000007 /*  */
	/* Register BITFIELD for HDVCAP_3D_BUF_B_RIGHT_FRAME_0 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_BUF_B_RIGHT_FRAME_0_BASE_ADDR	 0x0360, 3, 29, 0xfffffff8
	#define BITFIELD_HDVCAP_3D_BUF_B_RIGHT_FRAME_0_RESERVED	 0x0360, 0, 3, 0x00000007
#define ROFF_HDVCAP_3D_BUF_B_LEFT_FRAME_1	0x364 /*  */ 
	#define BITFIELD_HDVCAP_3D_BUF_B_LEFT_FRAME_1	 0x0364, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_BUF_B_LEFT_FRAME_1 */
	#define BLSB_HDVCAP_3D_BUF_B_LEFT_FRAME_1_BASE_ADDR	3
	#define BLSB_HDVCAP_3D_BUF_B_LEFT_FRAME_1_RESERVED	0
	/* Register Bit Widths for HDVCAP_3D_BUF_B_LEFT_FRAME_1 */
	#define BWID_HDVCAP_3D_BUF_B_LEFT_FRAME_1_BASE_ADDR	29
	#define BWID_HDVCAP_3D_BUF_B_LEFT_FRAME_1_RESERVED	3
	/* Register Bit MASKS for HDVCAP_3D_BUF_B_LEFT_FRAME_1 */
	#define BMSK_HDVCAP_3D_BUF_B_LEFT_FRAME_1_BASE_ADDR	0xfffffff8 /*  */
	#define BMSK_HDVCAP_3D_BUF_B_LEFT_FRAME_1_RESERVED	0x00000007 /*  */
	/* Register BITFIELD for HDVCAP_3D_BUF_B_LEFT_FRAME_1 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_BUF_B_LEFT_FRAME_1_BASE_ADDR	 0x0364, 3, 29, 0xfffffff8
	#define BITFIELD_HDVCAP_3D_BUF_B_LEFT_FRAME_1_RESERVED	 0x0364, 0, 3, 0x00000007
#define ROFF_HDVCAP_3D_BUF_B_RIGHT_FRAME_1	0x368 /*  */ 
	#define BITFIELD_HDVCAP_3D_BUF_B_RIGHT_FRAME_1	 0x0368, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_BUF_B_RIGHT_FRAME_1 */
	#define BLSB_HDVCAP_3D_BUF_B_RIGHT_FRAME_1_BASE_ADDR	3
	#define BLSB_HDVCAP_3D_BUF_B_RIGHT_FRAME_1_RESERVED	0
	/* Register Bit Widths for HDVCAP_3D_BUF_B_RIGHT_FRAME_1 */
	#define BWID_HDVCAP_3D_BUF_B_RIGHT_FRAME_1_BASE_ADDR	29
	#define BWID_HDVCAP_3D_BUF_B_RIGHT_FRAME_1_RESERVED	3
	/* Register Bit MASKS for HDVCAP_3D_BUF_B_RIGHT_FRAME_1 */
	#define BMSK_HDVCAP_3D_BUF_B_RIGHT_FRAME_1_BASE_ADDR	0xfffffff8 /*  */
	#define BMSK_HDVCAP_3D_BUF_B_RIGHT_FRAME_1_RESERVED	0x00000007 /*  */
	/* Register BITFIELD for HDVCAP_3D_BUF_B_RIGHT_FRAME_1 - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_BUF_B_RIGHT_FRAME_1_BASE_ADDR	 0x0368, 3, 29, 0xfffffff8
	#define BITFIELD_HDVCAP_3D_BUF_B_RIGHT_FRAME_1_RESERVED	 0x0368, 0, 3, 0x00000007
#define ROFF_HDVCAP_3D_FRAME_WIDTH	0x36c /*  */ 
	#define BITFIELD_HDVCAP_3D_FRAME_WIDTH	 0x036c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for HDVCAP_3D_FRAME_WIDTH */
	#define BLSB_HDVCAP_3D_FRAME_WIDTH_RESERVED	13
	#define BLSB_HDVCAP_3D_FRAME_WIDTH_PIXEL_PER_FRAME	0
	/* Register Bit Widths for HDVCAP_3D_FRAME_WIDTH */
	#define BWID_HDVCAP_3D_FRAME_WIDTH_RESERVED	19
	#define BWID_HDVCAP_3D_FRAME_WIDTH_PIXEL_PER_FRAME	13
	/* Register Bit MASKS for HDVCAP_3D_FRAME_WIDTH */
	#define BMSK_HDVCAP_3D_FRAME_WIDTH_RESERVED	0xffffe000 /*  */
	#define BMSK_HDVCAP_3D_FRAME_WIDTH_PIXEL_PER_FRAME	0x00001fff /*  */
	/* Register BITFIELD for HDVCAP_3D_FRAME_WIDTH - roff, lsb, width, mask */
	#define BITFIELD_HDVCAP_3D_FRAME_WIDTH_RESERVED	 0x036c, 13, 19, 0xffffe000
	#define BITFIELD_HDVCAP_3D_FRAME_WIDTH_PIXEL_PER_FRAME	 0x036c, 0, 13, 0x00001fff


/* Module HDVCAP SPECIFIC SVEN Events */


#define SVEN_MODULE_EVENT_HDVCAP_IN_DEQUEUE	0x64
#define SVEN_MODULE_EVENT_HDVCAP_OUT_ENQUEUE	0x65
#define SVEN_MODULE_EVENT_HDVCAP_CONTENT_TIME_GAP	0x66
#define SVEN_MODULE_EVENT_HDVCAP_CLOSE	0x68
#define SVEN_MODULE_EVENT_HDVCAP_STATE_CHANGE	0x6b
#define SVEN_MODULE_EVENT_HDVCAP_FLUSH_START	0x6c
#define SVEN_MODULE_EVENT_HDVCAP_FLUSH_COMPLETE	0x6d
#define SVEN_MODULE_EVENT_HDVCAP_NEW_SEG_IN	0x6e
#define SVEN_MODULE_EVENT_HDVCAP_NEW_SEG_OUT	0x6f
#define SVEN_MODULE_EVENT_HDVCAP_OPEN	0x67
#define SVEN_MODULE_EVENT_HDVCAP_PORT_WRITE_FAILED	0x1
#define SVEN_MODULE_EVENT_HDVCAP_VIDEO_MODE_CHANGE	0x2
#define SVEN_MODULE_EVENT_HDVCAP_AUDIO_MODE_CHANGE	0x3
#define SVEN_MODULE_EVENT_HDVCAP_FRAME_RX	0x4
#define SVEN_MODULE_EVENT_HDVCAP_PLAY	0x5
#define SVEN_MODULE_EVENT_HDVCAP_STOP	0x6
#define SVEN_MODULE_EVENT_HDVCAP_SUBMIT_VIDEO_BUFFER	0x7
#define SVEN_MODULE_EVENT_HDVCAP_SUBMIT_AUDIO_BUFFER	0x8
#define SVEN_MODULE_EVENT_HDVCAP_NEW_SEGMENT_OUT	0x9
#define SVEN_MODULE_EVENT_HDVCAP_SUBMIT_VBI_BUFFER	0xa


#endif /* HDVCAP_REGOFFS_H */
