#ifndef TSI_REGOFFS_H
#define TSI_REGOFFS_H 1
/*

  This file is provided under a dual BSD/GPLv2 license.  When using or 
  redistributing this file, you may do so under either license.

  GPL LICENSE SUMMARY

  Copyright(c) 2007-2009 Intel Corporation. All rights reserved.

  This program is free software; you can redistribute it and/or modify 
  it under the terms of version 2 of the GNU General Public License as
  published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful, but 
  WITHOUT ANY WARRANTY; without even the implied warranty of 
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
  General Public License for more details.

  You should have received a copy of the GNU General Public License 
  along with this program; if not, write to the Free Software 
  Foundation, Inc., 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
  The full GNU General Public License is included in this distribution 
  in the file called LICENSE.GPL.

  Contact Information:
    Intel Corporation
    2200 Mission College Blvd.
    Santa Clara, CA  97052

  BSD LICENSE 

  Copyright(c) 2007-2009 Intel Corporation. All rights reserved.
  All rights reserved.

  Redistribution and use in source and binary forms, with or without 
  modification, are permitted provided that the following conditions 
  are met:

    * Redistributions of source code must retain the above copyright 
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright 
      notice, this list of conditions and the following disclaimer in 
      the documentation and/or other materials provided with the 
      distribution.
    * Neither the name of Intel Corporation nor the names of its 
      contributors may be used to endorse or promote products derived 
      from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

*/


/* Module TSI CSR Definitions */
/* WARNING: This file is Machine Generated using sven_csr.c */


#define ROFF_TSI_GEN5_OC_MODE	0x0 /* OpenCABLE Mode Config Register */ 
	#define BITFIELD_TSI_GEN5_OC_MODE	 0x0000, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for TSI_GEN5_OC_MODE */
	#define BLSB_TSI_GEN5_OC_MODE_RESERVED_31_3	3
	#define BLSB_TSI_GEN5_OC_MODE_OCCRCI	2
	#define BLSB_TSI_GEN5_OC_MODE_OCCE	1
	#define BLSB_TSI_GEN5_OC_MODE_OCSSE	0
	/* Register Bit Widths for TSI_GEN5_OC_MODE */
	#define BWID_TSI_GEN5_OC_MODE_RESERVED_31_3	29
	#define BWID_TSI_GEN5_OC_MODE_OCCRCI	1
	#define BWID_TSI_GEN5_OC_MODE_OCCE	1
	#define BWID_TSI_GEN5_OC_MODE_OCSSE	1
	/* Register Bit MASKS for TSI_GEN5_OC_MODE */
	#define BMSK_TSI_GEN5_OC_MODE_RESERVED_31_3	0xfffffff8 /*  */
	#define BMSK_TSI_GEN5_OC_MODE_OCCRCI	(1<<2) /* == 0x00000004:  */
	#define BMSK_TSI_GEN5_OC_MODE_OCCE	(1<<1) /* == 0x00000002:  */
	#define BMSK_TSI_GEN5_OC_MODE_OCSSE	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for TSI_GEN5_OC_MODE - roff, lsb, width, mask */
	#define BITFIELD_TSI_GEN5_OC_MODE_RESERVED_31_3	 0x0000, 3, 29, 0xfffffff8
	#define BITFIELD_TSI_GEN5_OC_MODE_OCCRCI	 0x0000, 2, 1, 0x00000004
	#define BITFIELD_TSI_GEN5_OC_MODE_OCCE	 0x0000, 1, 1, 0x00000002
	#define BITFIELD_TSI_GEN5_OC_MODE_OCSSE	 0x0000, 0, 1, 0x00000001
#define ROFF_TSI_GEN5_MAGIC_PACKET	0x4 /* MAGIC PACKET Register */ 
	#define BITFIELD_TSI_GEN5_MAGIC_PACKET	 0x0004, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for TSI_GEN5_MAGIC_PACKET */
	#define BLSB_TSI_GEN5_MAGIC_PACKET_EN	31
	#define BLSB_TSI_GEN5_MAGIC_PACKET_MAGIC_COUNT	16
	#define BLSB_TSI_GEN5_MAGIC_PACKET_RESERVED_15	15
	#define BLSB_TSI_GEN5_MAGIC_PACKET_MAGIC_PID	0
	/* Register Bit Widths for TSI_GEN5_MAGIC_PACKET */
	#define BWID_TSI_GEN5_MAGIC_PACKET_EN	1
	#define BWID_TSI_GEN5_MAGIC_PACKET_MAGIC_COUNT	15
	#define BWID_TSI_GEN5_MAGIC_PACKET_RESERVED_15	1
	#define BWID_TSI_GEN5_MAGIC_PACKET_MAGIC_PID	15
	/* Register Bit MASKS for TSI_GEN5_MAGIC_PACKET */
	#define BMSK_TSI_GEN5_MAGIC_PACKET_EN	(1<<31) /* == 0x80000000:  */
	#define BMSK_TSI_GEN5_MAGIC_PACKET_MAGIC_COUNT	0x7fff0000 /*  */
	#define BMSK_TSI_GEN5_MAGIC_PACKET_RESERVED_15	(1<<15) /* == 0x00008000:  */
	#define BMSK_TSI_GEN5_MAGIC_PACKET_MAGIC_PID	0x00007fff /*  */
	/* Register BITFIELD for TSI_GEN5_MAGIC_PACKET - roff, lsb, width, mask */
	#define BITFIELD_TSI_GEN5_MAGIC_PACKET_EN	 0x0004, 31, 1, 0x80000000
	#define BITFIELD_TSI_GEN5_MAGIC_PACKET_MAGIC_COUNT	 0x0004, 16, 15, 0x7fff0000
	#define BITFIELD_TSI_GEN5_MAGIC_PACKET_RESERVED_15	 0x0004, 15, 1, 0x00008000
	#define BITFIELD_TSI_GEN5_MAGIC_PACKET_MAGIC_PID	 0x0004, 0, 15, 0x00007fff
#define ROFF_TSI_GEN5_CW_SELECT	0x8 /* Chipwatch Select Register */ 
	#define BITFIELD_TSI_GEN5_CW_SELECT	 0x0008, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for TSI_GEN5_CW_SELECT */
	#define BLSB_TSI_GEN5_CW_SELECT_RESERVED_31_4	4
	#define BLSB_TSI_GEN5_CW_SELECT_CWSELECT3	3
	#define BLSB_TSI_GEN5_CW_SELECT_CWSELECT2	2
	#define BLSB_TSI_GEN5_CW_SELECT_CWSELECT1	1
	#define BLSB_TSI_GEN5_CW_SELECT_CWSELECT0	0
	/* Register Bit Widths for TSI_GEN5_CW_SELECT */
	#define BWID_TSI_GEN5_CW_SELECT_RESERVED_31_4	28
	#define BWID_TSI_GEN5_CW_SELECT_CWSELECT3	1
	#define BWID_TSI_GEN5_CW_SELECT_CWSELECT2	1
	#define BWID_TSI_GEN5_CW_SELECT_CWSELECT1	1
	#define BWID_TSI_GEN5_CW_SELECT_CWSELECT0	1
	/* Register Bit MASKS for TSI_GEN5_CW_SELECT */
	#define BMSK_TSI_GEN5_CW_SELECT_RESERVED_31_4	0xfffffff0 /*  */
	#define BMSK_TSI_GEN5_CW_SELECT_CWSELECT3	(1<<3) /* == 0x00000008:  */
	#define BMSK_TSI_GEN5_CW_SELECT_CWSELECT2	(1<<2) /* == 0x00000004:  */
	#define BMSK_TSI_GEN5_CW_SELECT_CWSELECT1	(1<<1) /* == 0x00000002:  */
	#define BMSK_TSI_GEN5_CW_SELECT_CWSELECT0	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for TSI_GEN5_CW_SELECT - roff, lsb, width, mask */
	#define BITFIELD_TSI_GEN5_CW_SELECT_RESERVED_31_4	 0x0008, 4, 28, 0xfffffff0
	#define BITFIELD_TSI_GEN5_CW_SELECT_CWSELECT3	 0x0008, 3, 1, 0x00000008
	#define BITFIELD_TSI_GEN5_CW_SELECT_CWSELECT2	 0x0008, 2, 1, 0x00000004
	#define BITFIELD_TSI_GEN5_CW_SELECT_CWSELECT1	 0x0008, 1, 1, 0x00000002
	#define BITFIELD_TSI_GEN5_CW_SELECT_CWSELECT0	 0x0008, 0, 1, 0x00000001
#define ROFF_TSI_GEN5_CE_CONFIG_TX	0x44 /* CE Transmit Configuration Register */ 
	#define BITFIELD_TSI_GEN5_CE_CONFIG_TX	 0x0044, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for TSI_GEN5_CE_CONFIG_TX */
	#define BLSB_TSI_GEN5_CE_CONFIG_TX_RESERVED_31_11	11
	#define BLSB_TSI_GEN5_CE_CONFIG_TX_DV_PTS	10
	#define BLSB_TSI_GEN5_CE_CONFIG_TX_TSHDR_FMT	9
	#define BLSB_TSI_GEN5_CE_CONFIG_TX_TX_MODE	6
	#define BLSB_TSI_GEN5_CE_CONFIG_TX_SYNC_LEN	4
	#define BLSB_TSI_GEN5_CE_CONFIG_TX_ODAV_POL	3
	#define BLSB_TSI_GEN5_CE_CONFIG_TX_OENABL_POL	2
	#define BLSB_TSI_GEN5_CE_CONFIG_TX_OSYNC_POL	1
	#define BLSB_TSI_GEN5_CE_CONFIG_TX_OCLK_EDGE	0
	/* Register Bit Widths for TSI_GEN5_CE_CONFIG_TX */
	#define BWID_TSI_GEN5_CE_CONFIG_TX_RESERVED_31_11	21
	#define BWID_TSI_GEN5_CE_CONFIG_TX_DV_PTS	1
	#define BWID_TSI_GEN5_CE_CONFIG_TX_TSHDR_FMT	1
	#define BWID_TSI_GEN5_CE_CONFIG_TX_TX_MODE	3
	#define BWID_TSI_GEN5_CE_CONFIG_TX_SYNC_LEN	2
	#define BWID_TSI_GEN5_CE_CONFIG_TX_ODAV_POL	1
	#define BWID_TSI_GEN5_CE_CONFIG_TX_OENABL_POL	1
	#define BWID_TSI_GEN5_CE_CONFIG_TX_OSYNC_POL	1
	#define BWID_TSI_GEN5_CE_CONFIG_TX_OCLK_EDGE	1
	/* Register Bit MASKS for TSI_GEN5_CE_CONFIG_TX */
	#define BMSK_TSI_GEN5_CE_CONFIG_TX_RESERVED_31_11	0xfffff800 /*  */
	#define BMSK_TSI_GEN5_CE_CONFIG_TX_DV_PTS	(1<<10) /* == 0x00000400:  */
	#define BMSK_TSI_GEN5_CE_CONFIG_TX_TSHDR_FMT	(1<<9) /* == 0x00000200:  */
	#define BMSK_TSI_GEN5_CE_CONFIG_TX_TX_MODE	0x000001c0 /*  */
	#define BMSK_TSI_GEN5_CE_CONFIG_TX_SYNC_LEN	0x00000030 /*  */
	#define BMSK_TSI_GEN5_CE_CONFIG_TX_ODAV_POL	(1<<3) /* == 0x00000008:  */
	#define BMSK_TSI_GEN5_CE_CONFIG_TX_OENABL_POL	(1<<2) /* == 0x00000004:  */
	#define BMSK_TSI_GEN5_CE_CONFIG_TX_OSYNC_POL	(1<<1) /* == 0x00000002:  */
	#define BMSK_TSI_GEN5_CE_CONFIG_TX_OCLK_EDGE	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for TSI_GEN5_CE_CONFIG_TX - roff, lsb, width, mask */
	#define BITFIELD_TSI_GEN5_CE_CONFIG_TX_RESERVED_31_11	 0x0044, 11, 21, 0xfffff800
	#define BITFIELD_TSI_GEN5_CE_CONFIG_TX_DV_PTS	 0x0044, 10, 1, 0x00000400
	#define BITFIELD_TSI_GEN5_CE_CONFIG_TX_TSHDR_FMT	 0x0044, 9, 1, 0x00000200
	#define BITFIELD_TSI_GEN5_CE_CONFIG_TX_TX_MODE	 0x0044, 6, 3, 0x000001c0
	#define BITFIELD_TSI_GEN5_CE_CONFIG_TX_SYNC_LEN	 0x0044, 4, 2, 0x00000030
	#define BITFIELD_TSI_GEN5_CE_CONFIG_TX_ODAV_POL	 0x0044, 3, 1, 0x00000008
	#define BITFIELD_TSI_GEN5_CE_CONFIG_TX_OENABL_POL	 0x0044, 2, 1, 0x00000004
	#define BITFIELD_TSI_GEN5_CE_CONFIG_TX_OSYNC_POL	 0x0044, 1, 1, 0x00000002
	#define BITFIELD_TSI_GEN5_CE_CONFIG_TX_OCLK_EDGE	 0x0044, 0, 1, 0x00000001
#define ROFF_TSI_GEN5_CE_TX_TS_CNT	0xc0 /* CE Transmit Timestamp Counter */ 
	#define BITFIELD_TSI_GEN5_CE_TX_TS_CNT	 0x00c0, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_TSI_GEN5_PFX_0_PMM0	0x2000 /* Mask/Match register */ 
	#define BITFIELD_TSI_GEN5_PFX_0_PMM0	 0x2000, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for TSI_GEN5_PFX_0_PMM0 */
	#define BLSB_TSI_GEN5_PFX_0_PMM0_ENABLE	31
	#define BLSB_TSI_GEN5_PFX_0_PMM0_MASK	16
	#define BLSB_TSI_GEN5_PFX_0_PMM0_RESERVED_15	15
	#define BLSB_TSI_GEN5_PFX_0_PMM0_EXACTVALUE	0
	/* Register Bit Widths for TSI_GEN5_PFX_0_PMM0 */
	#define BWID_TSI_GEN5_PFX_0_PMM0_ENABLE	1
	#define BWID_TSI_GEN5_PFX_0_PMM0_MASK	15
	#define BWID_TSI_GEN5_PFX_0_PMM0_RESERVED_15	1
	#define BWID_TSI_GEN5_PFX_0_PMM0_EXACTVALUE	15
	/* Register Bit MASKS for TSI_GEN5_PFX_0_PMM0 */
	#define BMSK_TSI_GEN5_PFX_0_PMM0_ENABLE	(1<<31) /* == 0x80000000:  */
	#define BMSK_TSI_GEN5_PFX_0_PMM0_MASK	0x7fff0000 /*  */
	#define BMSK_TSI_GEN5_PFX_0_PMM0_RESERVED_15	(1<<15) /* == 0x00008000:  */
	#define BMSK_TSI_GEN5_PFX_0_PMM0_EXACTVALUE	0x00007fff /*  */
	/* Register BITFIELD for TSI_GEN5_PFX_0_PMM0 - roff, lsb, width, mask */
	#define BITFIELD_TSI_GEN5_PFX_0_PMM0_ENABLE	 0x2000, 31, 1, 0x80000000
	#define BITFIELD_TSI_GEN5_PFX_0_PMM0_MASK	 0x2000, 16, 15, 0x7fff0000
	#define BITFIELD_TSI_GEN5_PFX_0_PMM0_RESERVED_15	 0x2000, 15, 1, 0x00008000
	#define BITFIELD_TSI_GEN5_PFX_0_PMM0_EXACTVALUE	 0x2000, 0, 15, 0x00007fff
#define ROFF_TSI_GEN5_PFX_0_CFG	0x2100 /* Prefilter Config register */ 
	#define BITFIELD_TSI_GEN5_PFX_0_CFG	 0x2100, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for TSI_GEN5_PFX_0_CFG */
	#define BLSB_TSI_GEN5_PFX_0_CFG_RESERVED_31_29	29
	#define BLSB_TSI_GEN5_PFX_0_CFG_OC_PKT_SIZE_SEL	28
	#define BLSB_TSI_GEN5_PFX_0_CFG_CP	27
	#define BLSB_TSI_GEN5_PFX_0_CFG_DP	26
	#define BLSB_TSI_GEN5_PFX_0_CFG_EP	25
	#define BLSB_TSI_GEN5_PFX_0_CFG_SP	24
	#define BLSB_TSI_GEN5_PFX_0_CFG_STREAM_ID	16
	#define BLSB_TSI_GEN5_PFX_0_CFG_OCHDR_EN	15
	#define BLSB_TSI_GEN5_PFX_0_CFG_OCHDR_RM	14
	#define BLSB_TSI_GEN5_PFX_0_CFG_OC_CRC_MSK	13
	#define BLSB_TSI_GEN5_PFX_0_CFG_OCEN	12
	#define BLSB_TSI_GEN5_PFX_0_CFG_CC	10
	#define BLSB_TSI_GEN5_PFX_0_CFG_TSHDR_FMT	9
	#define BLSB_TSI_GEN5_PFX_0_CFG_TSHDR_EN	8
	#define BLSB_TSI_GEN5_PFX_0_CFG_PGT	7
	#define BLSB_TSI_GEN5_PFX_0_CFG_PLT	6
	#define BLSB_TSI_GEN5_PFX_0_CFG_DAV_MSK	5
	#define BLSB_TSI_GEN5_PFX_0_CFG_ERR_MSK	4
	#define BLSB_TSI_GEN5_PFX_0_CFG_ENDIAN	3
	#define BLSB_TSI_GEN5_PFX_0_CFG_MODE	1
	#define BLSB_TSI_GEN5_PFX_0_CFG_EN	0
	/* Register Bit Widths for TSI_GEN5_PFX_0_CFG */
	#define BWID_TSI_GEN5_PFX_0_CFG_RESERVED_31_29	3
	#define BWID_TSI_GEN5_PFX_0_CFG_OC_PKT_SIZE_SEL	1
	#define BWID_TSI_GEN5_PFX_0_CFG_CP	1
	#define BWID_TSI_GEN5_PFX_0_CFG_DP	1
	#define BWID_TSI_GEN5_PFX_0_CFG_EP	1
	#define BWID_TSI_GEN5_PFX_0_CFG_SP	1
	#define BWID_TSI_GEN5_PFX_0_CFG_STREAM_ID	8
	#define BWID_TSI_GEN5_PFX_0_CFG_OCHDR_EN	1
	#define BWID_TSI_GEN5_PFX_0_CFG_OCHDR_RM	1
	#define BWID_TSI_GEN5_PFX_0_CFG_OC_CRC_MSK	1
	#define BWID_TSI_GEN5_PFX_0_CFG_OCEN	1
	#define BWID_TSI_GEN5_PFX_0_CFG_CC	2
	#define BWID_TSI_GEN5_PFX_0_CFG_TSHDR_FMT	1
	#define BWID_TSI_GEN5_PFX_0_CFG_TSHDR_EN	1
	#define BWID_TSI_GEN5_PFX_0_CFG_PGT	1
	#define BWID_TSI_GEN5_PFX_0_CFG_PLT	1
	#define BWID_TSI_GEN5_PFX_0_CFG_DAV_MSK	1
	#define BWID_TSI_GEN5_PFX_0_CFG_ERR_MSK	1
	#define BWID_TSI_GEN5_PFX_0_CFG_ENDIAN	1
	#define BWID_TSI_GEN5_PFX_0_CFG_MODE	2
	#define BWID_TSI_GEN5_PFX_0_CFG_EN	1
	/* Register Bit MASKS for TSI_GEN5_PFX_0_CFG */
	#define BMSK_TSI_GEN5_PFX_0_CFG_RESERVED_31_29	0xe0000000 /*  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_OC_PKT_SIZE_SEL	(1<<28) /* == 0x10000000:  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_CP	(1<<27) /* == 0x08000000:  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_DP	(1<<26) /* == 0x04000000:  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_EP	(1<<25) /* == 0x02000000:  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_SP	(1<<24) /* == 0x01000000:  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_STREAM_ID	0x00ff0000 /*  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_OCHDR_EN	(1<<15) /* == 0x00008000:  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_OCHDR_RM	(1<<14) /* == 0x00004000:  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_OC_CRC_MSK	(1<<13) /* == 0x00002000:  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_OCEN	(1<<12) /* == 0x00001000:  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_CC	0x00000c00 /*  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_TSHDR_FMT	(1<<9) /* == 0x00000200:  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_TSHDR_EN	(1<<8) /* == 0x00000100:  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_PGT	(1<<7) /* == 0x00000080:  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_PLT	(1<<6) /* == 0x00000040:  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_DAV_MSK	(1<<5) /* == 0x00000020:  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_ERR_MSK	(1<<4) /* == 0x00000010:  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_ENDIAN	(1<<3) /* == 0x00000008:  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_MODE	0x00000006 /*  */
	#define BMSK_TSI_GEN5_PFX_0_CFG_EN	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for TSI_GEN5_PFX_0_CFG - roff, lsb, width, mask */
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_RESERVED_31_29	 0x2100, 29, 3, 0xe0000000
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_OC_PKT_SIZE_SEL	 0x2100, 28, 1, 0x10000000
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_CP	 0x2100, 27, 1, 0x08000000
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_DP	 0x2100, 26, 1, 0x04000000
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_EP	 0x2100, 25, 1, 0x02000000
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_SP	 0x2100, 24, 1, 0x01000000
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_STREAM_ID	 0x2100, 16, 8, 0x00ff0000
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_OCHDR_EN	 0x2100, 15, 1, 0x00008000
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_OCHDR_RM	 0x2100, 14, 1, 0x00004000
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_OC_CRC_MSK	 0x2100, 13, 1, 0x00002000
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_OCEN	 0x2100, 12, 1, 0x00001000
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_CC	 0x2100, 10, 2, 0x00000c00
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_TSHDR_FMT	 0x2100, 9, 1, 0x00000200
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_TSHDR_EN	 0x2100, 8, 1, 0x00000100
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_PGT	 0x2100, 7, 1, 0x00000080
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_PLT	 0x2100, 6, 1, 0x00000040
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_DAV_MSK	 0x2100, 5, 1, 0x00000020
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_ERR_MSK	 0x2100, 4, 1, 0x00000010
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_ENDIAN	 0x2100, 3, 1, 0x00000008
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_MODE	 0x2100, 1, 2, 0x00000006
	#define BITFIELD_TSI_GEN5_PFX_0_CFG_EN	 0x2100, 0, 1, 0x00000001
#define ROFF_TSI_GEN5_PFX_0_STATUS	0x2104 /* Prefilter status register */ 
	#define BITFIELD_TSI_GEN5_PFX_0_STATUS	 0x2104, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for TSI_GEN5_PFX_0_STATUS */
	#define BLSB_TSI_GEN5_PFX_0_STATUS_RESERVED_31_12	12
	#define BLSB_TSI_GEN5_PFX_0_STATUS_NIM_ERR	11
	#define BLSB_TSI_GEN5_PFX_0_STATUS_DAV_LOW	10
	#define BLSB_TSI_GEN5_PFX_0_STATUS_OCF	9
	#define BLSB_TSI_GEN5_PFX_0_STATUS_CRC	8
	#define BLSB_TSI_GEN5_PFX_0_STATUS_DIS	7
	#define BLSB_TSI_GEN5_PFX_0_STATUS_DET	6
	#define BLSB_TSI_GEN5_PFX_0_STATUS_PPF	5
	#define BLSB_TSI_GEN5_PFX_0_STATUS_WDT	4
	#define BLSB_TSI_GEN5_PFX_0_STATUS_FE	3
	#define BLSB_TSI_GEN5_PFX_0_STATUS_FF	2
	#define BLSB_TSI_GEN5_PFX_0_STATUS_PLT	1
	#define BLSB_TSI_GEN5_PFX_0_STATUS_PGT	0
	/* Register Bit Widths for TSI_GEN5_PFX_0_STATUS */
	#define BWID_TSI_GEN5_PFX_0_STATUS_RESERVED_31_12	20
	#define BWID_TSI_GEN5_PFX_0_STATUS_NIM_ERR	1
	#define BWID_TSI_GEN5_PFX_0_STATUS_DAV_LOW	1
	#define BWID_TSI_GEN5_PFX_0_STATUS_OCF	1
	#define BWID_TSI_GEN5_PFX_0_STATUS_CRC	1
	#define BWID_TSI_GEN5_PFX_0_STATUS_DIS	1
	#define BWID_TSI_GEN5_PFX_0_STATUS_DET	1
	#define BWID_TSI_GEN5_PFX_0_STATUS_PPF	1
	#define BWID_TSI_GEN5_PFX_0_STATUS_WDT	1
	#define BWID_TSI_GEN5_PFX_0_STATUS_FE	1
	#define BWID_TSI_GEN5_PFX_0_STATUS_FF	1
	#define BWID_TSI_GEN5_PFX_0_STATUS_PLT	1
	#define BWID_TSI_GEN5_PFX_0_STATUS_PGT	1
	/* Register Bit MASKS for TSI_GEN5_PFX_0_STATUS */
	#define BMSK_TSI_GEN5_PFX_0_STATUS_RESERVED_31_12	0xfffff000 /*  */
	#define BMSK_TSI_GEN5_PFX_0_STATUS_NIM_ERR	(1<<11) /* == 0x00000800:  */
	#define BMSK_TSI_GEN5_PFX_0_STATUS_DAV_LOW	(1<<10) /* == 0x00000400:  */
	#define BMSK_TSI_GEN5_PFX_0_STATUS_OCF	(1<<9) /* == 0x00000200:  */
	#define BMSK_TSI_GEN5_PFX_0_STATUS_CRC	(1<<8) /* == 0x00000100:  */
	#define BMSK_TSI_GEN5_PFX_0_STATUS_DIS	(1<<7) /* == 0x00000080:  */
	#define BMSK_TSI_GEN5_PFX_0_STATUS_DET	(1<<6) /* == 0x00000040:  */
	#define BMSK_TSI_GEN5_PFX_0_STATUS_PPF	(1<<5) /* == 0x00000020:  */
	#define BMSK_TSI_GEN5_PFX_0_STATUS_WDT	(1<<4) /* == 0x00000010:  */
	#define BMSK_TSI_GEN5_PFX_0_STATUS_FE	(1<<3) /* == 0x00000008:  */
	#define BMSK_TSI_GEN5_PFX_0_STATUS_FF	(1<<2) /* == 0x00000004:  */
	#define BMSK_TSI_GEN5_PFX_0_STATUS_PLT	(1<<1) /* == 0x00000002:  */
	#define BMSK_TSI_GEN5_PFX_0_STATUS_PGT	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for TSI_GEN5_PFX_0_STATUS - roff, lsb, width, mask */
	#define BITFIELD_TSI_GEN5_PFX_0_STATUS_RESERVED_31_12	 0x2104, 12, 20, 0xfffff000
	#define BITFIELD_TSI_GEN5_PFX_0_STATUS_NIM_ERR	 0x2104, 11, 1, 0x00000800
	#define BITFIELD_TSI_GEN5_PFX_0_STATUS_DAV_LOW	 0x2104, 10, 1, 0x00000400
	#define BITFIELD_TSI_GEN5_PFX_0_STATUS_OCF	 0x2104, 9, 1, 0x00000200
	#define BITFIELD_TSI_GEN5_PFX_0_STATUS_CRC	 0x2104, 8, 1, 0x00000100
	#define BITFIELD_TSI_GEN5_PFX_0_STATUS_DIS	 0x2104, 7, 1, 0x00000080
	#define BITFIELD_TSI_GEN5_PFX_0_STATUS_DET	 0x2104, 6, 1, 0x00000040
	#define BITFIELD_TSI_GEN5_PFX_0_STATUS_PPF	 0x2104, 5, 1, 0x00000020
	#define BITFIELD_TSI_GEN5_PFX_0_STATUS_WDT	 0x2104, 4, 1, 0x00000010
	#define BITFIELD_TSI_GEN5_PFX_0_STATUS_FE	 0x2104, 3, 1, 0x00000008
	#define BITFIELD_TSI_GEN5_PFX_0_STATUS_FF	 0x2104, 2, 1, 0x00000004
	#define BITFIELD_TSI_GEN5_PFX_0_STATUS_PLT	 0x2104, 1, 1, 0x00000002
	#define BITFIELD_TSI_GEN5_PFX_0_STATUS_PGT	 0x2104, 0, 1, 0x00000001
#define ROFF_TSI_GEN5_PFX_0_ENABLE	0x2108 /* Prefilter enable register */ 
	#define BITFIELD_TSI_GEN5_PFX_0_ENABLE	 0x2108, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for TSI_GEN5_PFX_0_ENABLE */
	#define BLSB_TSI_GEN5_PFX_0_ENABLE_RESERVED_31_12	12
	#define BLSB_TSI_GEN5_PFX_0_ENABLE_NIM_ERR	11
	#define BLSB_TSI_GEN5_PFX_0_ENABLE_DAV_LOW	10
	#define BLSB_TSI_GEN5_PFX_0_ENABLE_OCF	9
	#define BLSB_TSI_GEN5_PFX_0_ENABLE_CRC	8
	#define BLSB_TSI_GEN5_PFX_0_ENABLE_DIS	7
	#define BLSB_TSI_GEN5_PFX_0_ENABLE_DET	6
	#define BLSB_TSI_GEN5_PFX_0_ENABLE_PPF	5
	#define BLSB_TSI_GEN5_PFX_0_ENABLE_WDT	4
	#define BLSB_TSI_GEN5_PFX_0_ENABLE_FE	3
	#define BLSB_TSI_GEN5_PFX_0_ENABLE_FF	2
	#define BLSB_TSI_GEN5_PFX_0_ENABLE_PLT	1
	#define BLSB_TSI_GEN5_PFX_0_ENABLE_PGT	0
	/* Register Bit Widths for TSI_GEN5_PFX_0_ENABLE */
	#define BWID_TSI_GEN5_PFX_0_ENABLE_RESERVED_31_12	20
	#define BWID_TSI_GEN5_PFX_0_ENABLE_NIM_ERR	1
	#define BWID_TSI_GEN5_PFX_0_ENABLE_DAV_LOW	1
	#define BWID_TSI_GEN5_PFX_0_ENABLE_OCF	1
	#define BWID_TSI_GEN5_PFX_0_ENABLE_CRC	1
	#define BWID_TSI_GEN5_PFX_0_ENABLE_DIS	1
	#define BWID_TSI_GEN5_PFX_0_ENABLE_DET	1
	#define BWID_TSI_GEN5_PFX_0_ENABLE_PPF	1
	#define BWID_TSI_GEN5_PFX_0_ENABLE_WDT	1
	#define BWID_TSI_GEN5_PFX_0_ENABLE_FE	1
	#define BWID_TSI_GEN5_PFX_0_ENABLE_FF	1
	#define BWID_TSI_GEN5_PFX_0_ENABLE_PLT	1
	#define BWID_TSI_GEN5_PFX_0_ENABLE_PGT	1
	/* Register Bit MASKS for TSI_GEN5_PFX_0_ENABLE */
	#define BMSK_TSI_GEN5_PFX_0_ENABLE_RESERVED_31_12	0xfffff000 /*  */
	#define BMSK_TSI_GEN5_PFX_0_ENABLE_NIM_ERR	(1<<11) /* == 0x00000800:  */
	#define BMSK_TSI_GEN5_PFX_0_ENABLE_DAV_LOW	(1<<10) /* == 0x00000400:  */
	#define BMSK_TSI_GEN5_PFX_0_ENABLE_OCF	(1<<9) /* == 0x00000200:  */
	#define BMSK_TSI_GEN5_PFX_0_ENABLE_CRC	(1<<8) /* == 0x00000100:  */
	#define BMSK_TSI_GEN5_PFX_0_ENABLE_DIS	(1<<7) /* == 0x00000080:  */
	#define BMSK_TSI_GEN5_PFX_0_ENABLE_DET	(1<<6) /* == 0x00000040:  */
	#define BMSK_TSI_GEN5_PFX_0_ENABLE_PPF	(1<<5) /* == 0x00000020:  */
	#define BMSK_TSI_GEN5_PFX_0_ENABLE_WDT	(1<<4) /* == 0x00000010:  */
	#define BMSK_TSI_GEN5_PFX_0_ENABLE_FE	(1<<3) /* == 0x00000008:  */
	#define BMSK_TSI_GEN5_PFX_0_ENABLE_FF	(1<<2) /* == 0x00000004:  */
	#define BMSK_TSI_GEN5_PFX_0_ENABLE_PLT	(1<<1) /* == 0x00000002:  */
	#define BMSK_TSI_GEN5_PFX_0_ENABLE_PGT	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for TSI_GEN5_PFX_0_ENABLE - roff, lsb, width, mask */
	#define BITFIELD_TSI_GEN5_PFX_0_ENABLE_RESERVED_31_12	 0x2108, 12, 20, 0xfffff000
	#define BITFIELD_TSI_GEN5_PFX_0_ENABLE_NIM_ERR	 0x2108, 11, 1, 0x00000800
	#define BITFIELD_TSI_GEN5_PFX_0_ENABLE_DAV_LOW	 0x2108, 10, 1, 0x00000400
	#define BITFIELD_TSI_GEN5_PFX_0_ENABLE_OCF	 0x2108, 9, 1, 0x00000200
	#define BITFIELD_TSI_GEN5_PFX_0_ENABLE_CRC	 0x2108, 8, 1, 0x00000100
	#define BITFIELD_TSI_GEN5_PFX_0_ENABLE_DIS	 0x2108, 7, 1, 0x00000080
	#define BITFIELD_TSI_GEN5_PFX_0_ENABLE_DET	 0x2108, 6, 1, 0x00000040
	#define BITFIELD_TSI_GEN5_PFX_0_ENABLE_PPF	 0x2108, 5, 1, 0x00000020
	#define BITFIELD_TSI_GEN5_PFX_0_ENABLE_WDT	 0x2108, 4, 1, 0x00000010
	#define BITFIELD_TSI_GEN5_PFX_0_ENABLE_FE	 0x2108, 3, 1, 0x00000008
	#define BITFIELD_TSI_GEN5_PFX_0_ENABLE_FF	 0x2108, 2, 1, 0x00000004
	#define BITFIELD_TSI_GEN5_PFX_0_ENABLE_PLT	 0x2108, 1, 1, 0x00000002
	#define BITFIELD_TSI_GEN5_PFX_0_ENABLE_PGT	 0x2108, 0, 1, 0x00000001
#define ROFF_TSI_GEN5_PFX_0_FERR_STATUS	0x210c /* Prefilter FERR status register */ 
	#define BITFIELD_TSI_GEN5_PFX_0_FERR_STATUS	 0x210c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for TSI_GEN5_PFX_0_FERR_STATUS */
	#define BLSB_TSI_GEN5_PFX_0_FERR_STATUS_RESERVED_31_29	29
	#define BLSB_TSI_GEN5_PFX_0_FERR_STATUS_FERR_VAL	24
	#define BLSB_TSI_GEN5_PFX_0_FERR_STATUS_RESERVED_23_22	22
	#define BLSB_TSI_GEN5_PFX_0_FERR_STATUS_PID	8
	#define BLSB_TSI_GEN5_PFX_0_FERR_STATUS_RESERVED_7_0	0
	/* Register Bit Widths for TSI_GEN5_PFX_0_FERR_STATUS */
	#define BWID_TSI_GEN5_PFX_0_FERR_STATUS_RESERVED_31_29	3
	#define BWID_TSI_GEN5_PFX_0_FERR_STATUS_FERR_VAL	5
	#define BWID_TSI_GEN5_PFX_0_FERR_STATUS_RESERVED_23_22	2
	#define BWID_TSI_GEN5_PFX_0_FERR_STATUS_PID	14
	#define BWID_TSI_GEN5_PFX_0_FERR_STATUS_RESERVED_7_0	8
	/* Register Bit MASKS for TSI_GEN5_PFX_0_FERR_STATUS */
	#define BMSK_TSI_GEN5_PFX_0_FERR_STATUS_RESERVED_31_29	0xe0000000 /*  */
	#define BMSK_TSI_GEN5_PFX_0_FERR_STATUS_FERR_VAL	0x1f000000 /*  */
	#define BMSK_TSI_GEN5_PFX_0_FERR_STATUS_RESERVED_23_22	0x00c00000 /*  */
	#define BMSK_TSI_GEN5_PFX_0_FERR_STATUS_PID	0x003fff00 /*  */
	#define BMSK_TSI_GEN5_PFX_0_FERR_STATUS_RESERVED_7_0	0x000000ff /*  */
	/* Register BITFIELD for TSI_GEN5_PFX_0_FERR_STATUS - roff, lsb, width, mask */
	#define BITFIELD_TSI_GEN5_PFX_0_FERR_STATUS_RESERVED_31_29	 0x210c, 29, 3, 0xe0000000
	#define BITFIELD_TSI_GEN5_PFX_0_FERR_STATUS_FERR_VAL	 0x210c, 24, 5, 0x1f000000
	#define BITFIELD_TSI_GEN5_PFX_0_FERR_STATUS_RESERVED_23_22	 0x210c, 22, 2, 0x00c00000
	#define BITFIELD_TSI_GEN5_PFX_0_FERR_STATUS_PID	 0x210c, 8, 14, 0x003fff00
	#define BITFIELD_TSI_GEN5_PFX_0_FERR_STATUS_RESERVED_7_0	 0x210c, 0, 8, 0x000000ff
#define ROFF_TSI_GEN5_PFX_0_PKT_SIZE	0x2110 /* Prefilter Variable Packet Size */ 
	#define BITFIELD_TSI_GEN5_PFX_0_PKT_SIZE	 0x2110, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for TSI_GEN5_PFX_0_PKT_SIZE */
	#define BLSB_TSI_GEN5_PFX_0_PKT_SIZE_RESERVED_31_8	8
	#define BLSB_TSI_GEN5_PFX_0_PKT_SIZE_SIZE	0
	/* Register Bit Widths for TSI_GEN5_PFX_0_PKT_SIZE */
	#define BWID_TSI_GEN5_PFX_0_PKT_SIZE_RESERVED_31_8	24
	#define BWID_TSI_GEN5_PFX_0_PKT_SIZE_SIZE	8
	/* Register Bit MASKS for TSI_GEN5_PFX_0_PKT_SIZE */
	#define BMSK_TSI_GEN5_PFX_0_PKT_SIZE_RESERVED_31_8	0xffffff00 /*  */
	#define BMSK_TSI_GEN5_PFX_0_PKT_SIZE_SIZE	0x000000ff /*  */
	/* Register BITFIELD for TSI_GEN5_PFX_0_PKT_SIZE - roff, lsb, width, mask */
	#define BITFIELD_TSI_GEN5_PFX_0_PKT_SIZE_RESERVED_31_8	 0x2110, 8, 24, 0xffffff00
	#define BITFIELD_TSI_GEN5_PFX_0_PKT_SIZE_SIZE	 0x2110, 0, 8, 0x000000ff
#define ROFF_TSI_GEN5_PFX_0_PID_REPLACE	0x2114 /* Prefilter X pid replace */ 
	#define BITFIELD_TSI_GEN5_PFX_0_PID_REPLACE	 0x2114, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for TSI_GEN5_PFX_0_PID_REPLACE */
	#define BLSB_TSI_GEN5_PFX_0_PID_REPLACE_EN	31
	#define BLSB_TSI_GEN5_PFX_0_PID_REPLACE_NEW_PID	16
	#define BLSB_TSI_GEN5_PFX_0_PID_REPLACE_RESERVED_15	15
	#define BLSB_TSI_GEN5_PFX_0_PID_REPLACE_OLD_PID	0
	/* Register Bit Widths for TSI_GEN5_PFX_0_PID_REPLACE */
	#define BWID_TSI_GEN5_PFX_0_PID_REPLACE_EN	1
	#define BWID_TSI_GEN5_PFX_0_PID_REPLACE_NEW_PID	15
	#define BWID_TSI_GEN5_PFX_0_PID_REPLACE_RESERVED_15	1
	#define BWID_TSI_GEN5_PFX_0_PID_REPLACE_OLD_PID	15
	/* Register Bit MASKS for TSI_GEN5_PFX_0_PID_REPLACE */
	#define BMSK_TSI_GEN5_PFX_0_PID_REPLACE_EN	(1<<31) /* == 0x80000000:  */
	#define BMSK_TSI_GEN5_PFX_0_PID_REPLACE_NEW_PID	0x7fff0000 /*  */
	#define BMSK_TSI_GEN5_PFX_0_PID_REPLACE_RESERVED_15	(1<<15) /* == 0x00008000:  */
	#define BMSK_TSI_GEN5_PFX_0_PID_REPLACE_OLD_PID	0x00007fff /*  */
	/* Register BITFIELD for TSI_GEN5_PFX_0_PID_REPLACE - roff, lsb, width, mask */
	#define BITFIELD_TSI_GEN5_PFX_0_PID_REPLACE_EN	 0x2114, 31, 1, 0x80000000
	#define BITFIELD_TSI_GEN5_PFX_0_PID_REPLACE_NEW_PID	 0x2114, 16, 15, 0x7fff0000
	#define BITFIELD_TSI_GEN5_PFX_0_PID_REPLACE_RESERVED_15	 0x2114, 15, 1, 0x00008000
	#define BITFIELD_TSI_GEN5_PFX_0_PID_REPLACE_OLD_PID	 0x2114, 0, 15, 0x00007fff
#define ROFF_TSI_GEN5_PFX_0_DMA_BASE	0x2200 /* Prefilter DMA Base */ 
	#define BITFIELD_TSI_GEN5_PFX_0_DMA_BASE	 0x2200, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_TSI_GEN5_PFX_0_DMA_SIZE	0x2204 /* Prefilter DMA Size */ 
	#define BITFIELD_TSI_GEN5_PFX_0_DMA_SIZE	 0x2204, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_TSI_GEN5_PFX_0_DMA_WR_PTR	0x2208 /* Prefilter DMA Write Pointer */ 
	#define BITFIELD_TSI_GEN5_PFX_0_DMA_WR_PTR	 0x2208, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_TSI_GEN5_PFX_0_DMA_SHDW_WR_PTR_ADDR	0x220c /* Prefilter DMA Shadow Write Pointer Address */ 
	#define BITFIELD_TSI_GEN5_PFX_0_DMA_SHDW_WR_PTR_ADDR	 0x220c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_TSI_GEN5_PFX_0_DMA_RD_PTR	0x2210 /* Prefilter DMA Read Pointer */ 
	#define BITFIELD_TSI_GEN5_PFX_0_DMA_RD_PTR	 0x2210, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_TSI_GEN5_PFX_0_DMA_SHDW_WR_CTR	0x2214 /* Prefilter DMA Shadow Write Counter */ 
	#define BITFIELD_TSI_GEN5_PFX_0_DMA_SHDW_WR_CTR	 0x2214, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_TSI_GEN5_PFX_0_NIM_WDT	0x2218 /* Prefilter NIM Watch Dog Timer */ 
	#define BITFIELD_TSI_GEN5_PFX_0_NIM_WDT	 0x2218, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for TSI_GEN5_PFX_0_NIM_WDT */
	#define BLSB_TSI_GEN5_PFX_0_NIM_WDT_ENABLE	31
	#define BLSB_TSI_GEN5_PFX_0_NIM_WDT_WDT	0
	/* Register Bit Widths for TSI_GEN5_PFX_0_NIM_WDT */
	#define BWID_TSI_GEN5_PFX_0_NIM_WDT_ENABLE	1
	#define BWID_TSI_GEN5_PFX_0_NIM_WDT_WDT	31
	/* Register Bit MASKS for TSI_GEN5_PFX_0_NIM_WDT */
	#define BMSK_TSI_GEN5_PFX_0_NIM_WDT_ENABLE	(1<<31) /* == 0x80000000:  */
	#define BMSK_TSI_GEN5_PFX_0_NIM_WDT_WDT	0x7fffffff /*  */
	/* Register BITFIELD for TSI_GEN5_PFX_0_NIM_WDT - roff, lsb, width, mask */
	#define BITFIELD_TSI_GEN5_PFX_0_NIM_WDT_ENABLE	 0x2218, 31, 1, 0x80000000
	#define BITFIELD_TSI_GEN5_PFX_0_NIM_WDT_WDT	 0x2218, 0, 31, 0x7fffffff
#define ROFF_TSI_GEN5_PFX_0_PCR_CFG	0x2300 /* Prefilter PCR Config */ 
	#define BITFIELD_TSI_GEN5_PFX_0_PCR_CFG	 0x2300, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for TSI_GEN5_PFX_0_PCR_CFG */
	#define BLSB_TSI_GEN5_PFX_0_PCR_CFG_RESERVED_31_2	1
	#define BLSB_TSI_GEN5_PFX_0_PCR_CFG_ENABLE	0
	/* Register Bit Widths for TSI_GEN5_PFX_0_PCR_CFG */
	#define BWID_TSI_GEN5_PFX_0_PCR_CFG_RESERVED_31_2	31
	#define BWID_TSI_GEN5_PFX_0_PCR_CFG_ENABLE	1
	/* Register Bit MASKS for TSI_GEN5_PFX_0_PCR_CFG */
	#define BMSK_TSI_GEN5_PFX_0_PCR_CFG_RESERVED_31_2	0xfffffffe /*  */
	#define BMSK_TSI_GEN5_PFX_0_PCR_CFG_ENABLE	(1<<0) /* == 0x00000001:  */
	/* Register BITFIELD for TSI_GEN5_PFX_0_PCR_CFG - roff, lsb, width, mask */
	#define BITFIELD_TSI_GEN5_PFX_0_PCR_CFG_RESERVED_31_2	 0x2300, 1, 31, 0xfffffffe
	#define BITFIELD_TSI_GEN5_PFX_0_PCR_CFG_ENABLE	 0x2300, 0, 1, 0x00000001
#define ROFF_TSI_GEN5_PFX_0_PCR_REMOTE_A0	0x231c /* Prefilter PCR Remote A0 */ 
	#define BITFIELD_TSI_GEN5_PFX_0_PCR_REMOTE_A0	 0x231c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_TSI_GEN5_PFX_0_PCR_REMOTE_A1	0x2320 /* Prefilter PCR Remote A1 */ 
	#define BITFIELD_TSI_GEN5_PFX_0_PCR_REMOTE_A1	 0x2320, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for TSI_GEN5_PFX_0_PCR_REMOTE_A1 */
	#define BLSB_TSI_GEN5_PFX_0_PCR_REMOTE_A1_PCRR_MSBA1	31
	#define BLSB_TSI_GEN5_PFX_0_PCR_REMOTE_A1_RESERVED_30_17	17
	#define BLSB_TSI_GEN5_PFX_0_PCR_REMOTE_A1_PCRR_LOCK	16
	#define BLSB_TSI_GEN5_PFX_0_PCR_REMOTE_A1_RESERVED_15_9	9
	#define BLSB_TSI_GEN5_PFX_0_PCR_REMOTE_A1_PCRR_LSBSA1	0
	/* Register Bit Widths for TSI_GEN5_PFX_0_PCR_REMOTE_A1 */
	#define BWID_TSI_GEN5_PFX_0_PCR_REMOTE_A1_PCRR_MSBA1	1
	#define BWID_TSI_GEN5_PFX_0_PCR_REMOTE_A1_RESERVED_30_17	14
	#define BWID_TSI_GEN5_PFX_0_PCR_REMOTE_A1_PCRR_LOCK	1
	#define BWID_TSI_GEN5_PFX_0_PCR_REMOTE_A1_RESERVED_15_9	7
	#define BWID_TSI_GEN5_PFX_0_PCR_REMOTE_A1_PCRR_LSBSA1	9
	/* Register Bit MASKS for TSI_GEN5_PFX_0_PCR_REMOTE_A1 */
	#define BMSK_TSI_GEN5_PFX_0_PCR_REMOTE_A1_PCRR_MSBA1	(1<<31) /* == 0x80000000:  */
	#define BMSK_TSI_GEN5_PFX_0_PCR_REMOTE_A1_RESERVED_30_17	0x7ffe0000 /*  */
	#define BMSK_TSI_GEN5_PFX_0_PCR_REMOTE_A1_PCRR_LOCK	(1<<16) /* == 0x00010000:  */
	#define BMSK_TSI_GEN5_PFX_0_PCR_REMOTE_A1_RESERVED_15_9	0x0000fe00 /*  */
	#define BMSK_TSI_GEN5_PFX_0_PCR_REMOTE_A1_PCRR_LSBSA1	0x000001ff /*  */
	/* Register BITFIELD for TSI_GEN5_PFX_0_PCR_REMOTE_A1 - roff, lsb, width, mask */
	#define BITFIELD_TSI_GEN5_PFX_0_PCR_REMOTE_A1_PCRR_MSBA1	 0x2320, 31, 1, 0x80000000
	#define BITFIELD_TSI_GEN5_PFX_0_PCR_REMOTE_A1_RESERVED_30_17	 0x2320, 17, 14, 0x7ffe0000
	#define BITFIELD_TSI_GEN5_PFX_0_PCR_REMOTE_A1_PCRR_LOCK	 0x2320, 16, 1, 0x00010000
	#define BITFIELD_TSI_GEN5_PFX_0_PCR_REMOTE_A1_RESERVED_15_9	 0x2320, 9, 7, 0x0000fe00
	#define BITFIELD_TSI_GEN5_PFX_0_PCR_REMOTE_A1_PCRR_LSBSA1	 0x2320, 0, 9, 0x000001ff
#define ROFF_TSI_GEN5_PFX_0_OC_HEADER_CFG	0x2340 /* Prefilter OC Header Config */ 
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_CFG	 0x2340, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for TSI_GEN5_PFX_0_OC_HEADER_CFG */
	#define BLSB_TSI_GEN5_PFX_0_OC_HEADER_CFG_RESERVED_31_30	30
	#define BLSB_TSI_GEN5_PFX_0_OC_HEADER_CFG_OCHS	28
	#define BLSB_TSI_GEN5_PFX_0_OC_HEADER_CFG_RESERVED_27_10	10
	#define BLSB_TSI_GEN5_PFX_0_OC_HEADER_CFG_OCLTS	9
	#define BLSB_TSI_GEN5_PFX_0_OC_HEADER_CFG_RESERVED_8	8
	#define BLSB_TSI_GEN5_PFX_0_OC_HEADER_CFG_OCLTSID	0
	/* Register Bit Widths for TSI_GEN5_PFX_0_OC_HEADER_CFG */
	#define BWID_TSI_GEN5_PFX_0_OC_HEADER_CFG_RESERVED_31_30	2
	#define BWID_TSI_GEN5_PFX_0_OC_HEADER_CFG_OCHS	2
	#define BWID_TSI_GEN5_PFX_0_OC_HEADER_CFG_RESERVED_27_10	18
	#define BWID_TSI_GEN5_PFX_0_OC_HEADER_CFG_OCLTS	1
	#define BWID_TSI_GEN5_PFX_0_OC_HEADER_CFG_RESERVED_8	1
	#define BWID_TSI_GEN5_PFX_0_OC_HEADER_CFG_OCLTSID	8
	/* Register Bit MASKS for TSI_GEN5_PFX_0_OC_HEADER_CFG */
	#define BMSK_TSI_GEN5_PFX_0_OC_HEADER_CFG_RESERVED_31_30	0xc0000000 /*  */
	#define BMSK_TSI_GEN5_PFX_0_OC_HEADER_CFG_OCHS	0x30000000 /*  */
	#define BMSK_TSI_GEN5_PFX_0_OC_HEADER_CFG_RESERVED_27_10	0x0ffffc00 /*  */
	#define BMSK_TSI_GEN5_PFX_0_OC_HEADER_CFG_OCLTS	(1<<9) /* == 0x00000200:  */
	#define BMSK_TSI_GEN5_PFX_0_OC_HEADER_CFG_RESERVED_8	(1<<8) /* == 0x00000100:  */
	#define BMSK_TSI_GEN5_PFX_0_OC_HEADER_CFG_OCLTSID	0x000000ff /*  */
	/* Register BITFIELD for TSI_GEN5_PFX_0_OC_HEADER_CFG - roff, lsb, width, mask */
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_CFG_RESERVED_31_30	 0x2340, 30, 2, 0xc0000000
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_CFG_OCHS	 0x2340, 28, 2, 0x30000000
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_CFG_RESERVED_27_10	 0x2340, 10, 18, 0x0ffffc00
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_CFG_OCLTS	 0x2340, 9, 1, 0x00000200
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_CFG_RESERVED_8	 0x2340, 8, 1, 0x00000100
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_CFG_OCLTSID	 0x2340, 0, 8, 0x000000ff
#define ROFF_TSI_GEN5_PFX_0_OC_HEADER_0A	0x2344 /* Prefilter OC Header-A0 */ 
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_0A	 0x2344, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for TSI_GEN5_PFX_0_OC_HEADER_0A */
	#define BLSB_TSI_GEN5_PFX_0_OC_HEADER_0A_OCLTSID	24
	#define BLSB_TSI_GEN5_PFX_0_OC_HEADER_0A_OCHOSTRES	8
	#define BLSB_TSI_GEN5_PFX_0_OC_HEADER_0A_RESERVED_7_0	0
	/* Register Bit Widths for TSI_GEN5_PFX_0_OC_HEADER_0A */
	#define BWID_TSI_GEN5_PFX_0_OC_HEADER_0A_OCLTSID	8
	#define BWID_TSI_GEN5_PFX_0_OC_HEADER_0A_OCHOSTRES	15
	#define BWID_TSI_GEN5_PFX_0_OC_HEADER_0A_RESERVED_7_0	8
	/* Register Bit MASKS for TSI_GEN5_PFX_0_OC_HEADER_0A */
	#define BMSK_TSI_GEN5_PFX_0_OC_HEADER_0A_OCLTSID	0xff000000 /*  */
	#define BMSK_TSI_GEN5_PFX_0_OC_HEADER_0A_OCHOSTRES	0x007fff00 /*  */
	#define BMSK_TSI_GEN5_PFX_0_OC_HEADER_0A_RESERVED_7_0	0x000000ff /*  */
	/* Register BITFIELD for TSI_GEN5_PFX_0_OC_HEADER_0A - roff, lsb, width, mask */
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_0A_OCLTSID	 0x2344, 24, 8, 0xff000000
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_0A_OCHOSTRES	 0x2344, 8, 15, 0x007fff00
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_0A_RESERVED_7_0	 0x2344, 0, 8, 0x000000ff
#define ROFF_TSI_GEN5_PFX_0_OC_HEADER_0B	0x2348 /* Prefilter OC Header-B0 */ 
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_0B	 0x2348, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_TSI_GEN5_PFX_0_OC_HEADER_1A	0x234c /* Prefilter OC Header-A1 */ 
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_1A	 0x234c, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for TSI_GEN5_PFX_0_OC_HEADER_1A */
	#define BLSB_TSI_GEN5_PFX_0_OC_HEADER_1A_OCLTSID	24
	#define BLSB_TSI_GEN5_PFX_0_OC_HEADER_1A_OCHOSTRES	8
	#define BLSB_TSI_GEN5_PFX_0_OC_HEADER_1A_RESERVED_7_0	0
	/* Register Bit Widths for TSI_GEN5_PFX_0_OC_HEADER_1A */
	#define BWID_TSI_GEN5_PFX_0_OC_HEADER_1A_OCLTSID	8
	#define BWID_TSI_GEN5_PFX_0_OC_HEADER_1A_OCHOSTRES	15
	#define BWID_TSI_GEN5_PFX_0_OC_HEADER_1A_RESERVED_7_0	8
	/* Register Bit MASKS for TSI_GEN5_PFX_0_OC_HEADER_1A */
	#define BMSK_TSI_GEN5_PFX_0_OC_HEADER_1A_OCLTSID	0xff000000 /*  */
	#define BMSK_TSI_GEN5_PFX_0_OC_HEADER_1A_OCHOSTRES	0x007fff00 /*  */
	#define BMSK_TSI_GEN5_PFX_0_OC_HEADER_1A_RESERVED_7_0	0x000000ff /*  */
	/* Register BITFIELD for TSI_GEN5_PFX_0_OC_HEADER_1A - roff, lsb, width, mask */
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_1A_OCLTSID	 0x234c, 24, 8, 0xff000000
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_1A_OCHOSTRES	 0x234c, 8, 15, 0x007fff00
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_1A_RESERVED_7_0	 0x234c, 0, 8, 0x000000ff
#define ROFF_TSI_GEN5_PFX_0_OC_HEADER_1B	0x2350 /* Prefilter OC Header-B1 */ 
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_1B	 0x2350, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_TSI_GEN5_PFX_0_OC_HEADER_2A	0x2354 /* Prefilter OC Header-A2 */ 
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_2A	 0x2354, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
	/* Register Bit LSB Positions for TSI_GEN5_PFX_0_OC_HEADER_2A */
	#define BLSB_TSI_GEN5_PFX_0_OC_HEADER_2A_OCLTSID	24
	#define BLSB_TSI_GEN5_PFX_0_OC_HEADER_2A_OCHOSTRES	8
	#define BLSB_TSI_GEN5_PFX_0_OC_HEADER_2A_RESERVED_7_0	0
	/* Register Bit Widths for TSI_GEN5_PFX_0_OC_HEADER_2A */
	#define BWID_TSI_GEN5_PFX_0_OC_HEADER_2A_OCLTSID	8
	#define BWID_TSI_GEN5_PFX_0_OC_HEADER_2A_OCHOSTRES	15
	#define BWID_TSI_GEN5_PFX_0_OC_HEADER_2A_RESERVED_7_0	8
	/* Register Bit MASKS for TSI_GEN5_PFX_0_OC_HEADER_2A */
	#define BMSK_TSI_GEN5_PFX_0_OC_HEADER_2A_OCLTSID	0xff000000 /*  */
	#define BMSK_TSI_GEN5_PFX_0_OC_HEADER_2A_OCHOSTRES	0x007fff00 /*  */
	#define BMSK_TSI_GEN5_PFX_0_OC_HEADER_2A_RESERVED_7_0	0x000000ff /*  */
	/* Register BITFIELD for TSI_GEN5_PFX_0_OC_HEADER_2A - roff, lsb, width, mask */
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_2A_OCLTSID	 0x2354, 24, 8, 0xff000000
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_2A_OCHOSTRES	 0x2354, 8, 15, 0x007fff00
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_2A_RESERVED_7_0	 0x2354, 0, 8, 0x000000ff
#define ROFF_TSI_GEN5_PFX_0_OC_HEADER_2B	0x2358 /* Prefilter OC Header-B2 */ 
	#define BITFIELD_TSI_GEN5_PFX_0_OC_HEADER_2B	 0x2358, 0, 32, 0xffffffff  /* roff, lsb, width, mask */
#define ROFF_TSI_GEN5_PFX_0_TIMESTAMP_CTR	0x2400 /* Prefilter time stamp counter */ 
	#define BITFIELD_TSI_GEN5_PFX_0_TIMESTAMP_CTR	 0x2400, 0, 32, 0xffffffff  /* roff, lsb, width, mask */


/* Module TSI SPECIFIC SVEN Events */


#define SVEN_MODULE_EVENT_TSI_BUFFER_FULL	0x1
#define SVEN_MODULE_EVENT_TSI_PACKET_LOSS	0x2
#define SVEN_MODULE_EVENT_TSI_OC_FIFO_FULL	0x3
#define SVEN_MODULE_EVENT_TSI_OC_CRC	0x4


#endif /* TSI_REGOFFS_H */
