/*
  This file is provided under a dual BSD/GPLv2 license.  When using or
  redistributing this file, you may do so under either license.

  GPL LICENSE SUMMARY

  Copyright(c) 2007-2011 Intel Corporation. All rights reserved.

  This program is free software; you can redistribute it and/or modify
  it under the terms of version 2 of the GNU General Public License as
  published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
  The full GNU General Public License is included in this distribution
  in the file called LICENSE.GPL.

  Contact Information:
   Intel Corporation

   2200 Mission College Blvd.
   Santa Clara, CA  97052

  BSD LICENSE

  Copyright(c) 2007-2011 Intel Corporation. All rights reserved.
  All rights reserved.

  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions
  are met:

    * Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright
      notice, this list of conditions and the following disclaimer in
      the documentation and/or other materials provided with the
      distribution.
    * Neither the name of Intel Corporation nor the names of its
      contributors may be used to endorse or promote products derived
      from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 */
#ifndef __ISMD_MSG_PVT_H__
#define __ISMD_MSG_PVT_H__
/**
@addtogroup AUTO_API
@{

@name Private Internals
@{
*/

/* Internal defines which control the auto api script for API access control.
 *   SMDTRUSTED_DEFINE_GLOBALOBJECT define is to define a function to check whether a object is global 
 *   or not (parameter should be object handle, and return type should be bool).
 *   SMDTRUSTED_DEFINE_RESOURCE define is to define a SMD resource.
 */
#define SMDTRUSTED_DEFINE_GLOBALOBJECT(object_name, object_handle, check_global_func)
#define SMDTRUSTED_DEFINE_RESOURCE(resource_type, resource_data_type)
#define SMDTRUSTED_DEFINE_RESOURCE_EX(resource_type, resource_structure_data_type, resource_structure_member)

typedef void (*ismd_msg_unmarshal_func)(unsigned long, void *);


typedef struct {
   unsigned max_func_id;
   ismd_msg_unmarshal_func *unmarshal;
}ismd_api_group;

void smd_autoapi_called(
   unsigned int              api_group_id,
   unsigned int              msg_type,
   int                       param0,
   int                       param1,
   int                       param2,
   int                       param3,
   int                       param4 );

void smd_autoapi_returned(
   unsigned int              api_group_id,
   unsigned int              msg_type,
   int                       retval );

int ismd_msg_send_direct(unsigned api_group_id, unsigned msg_type, void *params, unsigned int param_size);

int ismd_msg_send_ioctl(unsigned api_group_id, unsigned msg_type, void *params, unsigned int param_size);

int ismd_msg_send_fake(unsigned api_group_id, unsigned msg_type, void *params, unsigned int param_size);

/** @} @} */

#endif
