/*------------------------------------------------------------------------------
 * File Name: vpp_jlcce_default.h
 *------------------------------------------------------------------------------
 */

/* 
  
  This file is provided under a dual BSD/GPLv2 license.  When using or 
  redistributing this file, you may do so under either license.

  GPL LICENSE SUMMARY

  Copyright(c) 2007-2011 Intel Corporation. All rights reserved.

  This program is free software; you can redistribute it and/or modify 
  it under the terms of version 2 of the GNU General Public License as
  published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful, but 
  WITHOUT ANY WARRANTY; without even the implied warranty of 
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
  General Public License for more details.

  You should have received a copy of the GNU General Public License 
  along with this program; if not, write to the Free Software 
  Foundation, Inc., 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
  The full GNU General Public License is included in this distribution 
  in the file called LICENSE.GPL.

  Contact Information:

  BSD LICENSE 

  Copyright(c) 2007-2011 Intel Corporation. All rights reserved.
  All rights reserved.

  Redistribution and use in source and binary forms, with or without 
  modification, are permitted provided that the following conditions 
  are met:

    * Redistributions of source code must retain the above copyright 
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright 
      notice, this list of conditions and the following disclaimer in 
      the documentation and/or other materials provided with the 
      distribution.
    * Neither the name of Intel Corporation nor the names of its 
      contributors may be used to endorse or promote products derived 
      from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

  */

#ifndef _VPP_JLCCE_DEFAULT_H_
#define _VPP_JLCCE_DEFAULT_H_

#include <stdint.h>

#define NUM_OF_TABLES 2

#define RGB_LUT_SIZE 256
#define LMS_LUT_SIZE 256

#define DC_LUT_SIZE 32

#define CHROMA_LUT_SIZE 32
#define LC_LUT_SIZE 32
#define SIN_LUT_SIZE 32
#define SQRT_LUT_SIZE 32
#define DCE_GAIN_MAP_SIZE 32

static const uint32_t _dpe_incsc_default_rgb_lut[NUM_OF_TABLES][RGB_LUT_SIZE] = 
{
   //xvYcc = 0
   {
      0x000000, 0x0038e4, 0x0071c7, 0x00aaab,
      0x00e38e, 0x011c72, 0x015555, 0x018e39,
      0x01c71c, 0x020000, 0x0238e4, 0x0271c7,
      0x02aaab, 0x02e38e, 0x031c72, 0x035555,
      0x038e39, 0x03c71c, 0x040000, 0x0438e4,
      0x0471c7, 0x04a712, 0x04e0f0, 0x051c51,
      0x055938, 0x0597a5, 0x05d79c, 0x06191c,
      0x065c29, 0x06a0c4, 0x06e6ee, 0x072eaa,
      0x0777f8, 0x07c2da, 0x080f52, 0x085d62,
      0x08ad0a, 0x08fe4d, 0x09512c, 0x09a5a8,
      0x09fbc3, 0x0a537d, 0x0aacda, 0x0b07da,
      0x0b647d, 0x0bc2c7, 0x0c22b8, 0x0c8451,
      0x0ce793, 0x0d4c81, 0x0db31b, 0x0e1b63,
      0x0e8559, 0x0ef100, 0x0f5e57, 0x0fcd62,
      0x103e20, 0x10b093, 0x1124bc, 0x119a9c,
      0x121235, 0x128b88, 0x130695, 0x13835e,
      0x1401e4, 0x148229, 0x15042c, 0x1587f0,
      0x160d76, 0x1694be, 0x171dc9, 0x17a899,
      0x18352f, 0x18c38c, 0x1953b0, 0x19e59d,
      0x1a7954, 0x1b0ed6, 0x1ba623, 0x1c3f3e,
      0x1cda26, 0x1d76dd, 0x1e1564, 0x1eb5bb,
      0x1f57e4, 0x1ffbe0, 0x20a1af, 0x214953,
      0x21f2cc, 0x229e1c, 0x234b43, 0x23fa42,
      0x24ab1a, 0x255dcc, 0x26125a, 0x26c8c3,
      0x278108, 0x283b2b, 0x28f72d, 0x29b50e,
      0x2a74cf, 0x2b3671, 0x2bf9f5, 0x2cbf5b,
      0x2d86a6, 0x2e4fd4, 0x2f1ae8, 0x2fe7e2,
      0x30b6c2, 0x31878a, 0x325a3b, 0x332ed5,
      0x340559, 0x34ddc8, 0x35b823, 0x36946a,
      0x37729f, 0x3852c1, 0x3934d2, 0x3a18d3,
      0x3afec4, 0x3be6a6, 0x3cd07a, 0x3dbc41,
      0x3ea9fb, 0x3f99a9, 0x408b4c, 0x417ee5,
      0x427473, 0x436bf9, 0x446577, 0x4560ed,
      0x465e5d, 0x475dc6, 0x485f2a, 0x496289,
      0x4a67e5, 0x4b6f3d, 0x4c7893, 0x4d83e6,
      0x4e9139, 0x4fa08b, 0x50b1de, 0x51c531,
      0x52da86, 0x53f1dd, 0x550b37, 0x562695,
      0x5743f7, 0x58635e, 0x5984cb, 0x5aa83e,
      0x5bcdb7, 0x5cf539, 0x5e1ec2, 0x5f4a55,
      0x6077f1, 0x61a797, 0x62d948, 0x640d04,
      0x6542cc, 0x667aa1, 0x67b484, 0x68f074,
      0x6a2e73, 0x6b6e81, 0x6cb09f, 0x6df4cd,
      0x6f3b0c, 0x70835d, 0x71cdc0, 0x731a37,
      0x7468c0, 0x75b95e, 0x770c10, 0x7860d7,
      0x79b7b5, 0x7b10a8, 0x7c6bb3, 0x7dc8d5,
      0x7f2810, 0x808963, 0x81ecd0, 0x835257,
      0x84b9f8, 0x8623b4, 0x878f8c, 0x88fd80,
      0x8a6d91, 0x8bdfbf, 0x8d540b, 0x8eca76,
      0x9042ff, 0x91bda9, 0x933a72, 0x94b95c,
      0x963a67, 0x97bd95, 0x9942e4, 0x9aca56,
      0x9c53ec, 0x9ddfa6, 0x9f6d84, 0xa0fd88,
      0xa28fb1, 0xa42400, 0xa5ba75, 0xa75312,
      0xa8edd7, 0xaa8ac4, 0xac29d9, 0xadcb18,
      0xaf6e81, 0xb11414, 0xb2bbd2, 0xb465bb,
      0xb611d0, 0xb7c012, 0xb97080, 0xbb231c,
      0xbcd7e6, 0xbe8ede, 0xc04805, 0xc2035c,
      0xc3c0e3, 0xc5809a, 0xc74281, 0xc9069b,
      0xcacce6, 0xcc9564, 0xce6014, 0xd02cf8,
      0xd1fc10, 0xd3cd5d, 0xd5a0de, 0xd77694,
      0xd94e81, 0xdb28a4, 0xdd04fd, 0xdee38e,
      0xe0c456, 0xe2a757, 0xe48c91, 0xe67403,
      0xe85db0, 0xea4996, 0xec37b7, 0xee2814,
      0xf01aab, 0xf20f7f, 0xf4068f, 0xf5ffdc,
      0xf7fb67, 0xf9f92f, 0xfbf936, 0xfdfb7b
   },

   //xvYcc = 1
   {
      0x00000000, 0x000038e4, 0x000071c7, 0x0000aaab,
      0x0000e38e, 0x00011c72, 0x00015555, 0x00018e39,
      0x0001c71c, 0x00020000, 0x000238e4, 0x000271c7,
      0x0002aaab, 0x0002e38e, 0x00031c72, 0x00035555,
      0x00038e39, 0x0003c71c, 0x00040000, 0x000438e4,
      0x000471c7, 0x0004a712, 0x0004e0f0, 0x00051c51,
      0x00055938, 0x000597a5, 0x0005d79c, 0x0006191c,
      0x00065c29, 0x0006a0c4, 0x0006e6ee, 0x00072eaa,
      0x000777f8, 0x0007c2da, 0x00080f52, 0x00085d62,
      0x0008ad0a, 0x0008fe4d, 0x0009512c, 0x0009a5a8,
      0x0009fbc3, 0x000a537d, 0x000aacda, 0x000b07da,
      0x000b647d, 0x000bc2c7, 0x000c22b8, 0x000c8451,
      0x000ce793, 0x000d4c81, 0x000db31b, 0x000e1b63,
      0x000e8559, 0x000ef100, 0x000f5e57, 0x000fcd62,
      0x00103e20, 0x0010b093, 0x001124bc, 0x00119a9c,
      0x00121235, 0x00128b88, 0x00130695, 0x0013835e,
      0x001401e4, 0x0015042c, 0x00160d76, 0x00171dc9,
      0x0018352f, 0x001953b0, 0x001a7954, 0x001ba623,
      0x001cda26, 0x001e1564, 0x001f57e4, 0x0020a1af,
      0x0021f2cc, 0x00234b43, 0x0024ab1a, 0x0026125a,
      0x00278108, 0x0028f72d, 0x002a74cf, 0x002bf9f5,
      0x002d86a6, 0x002f1ae8, 0x0030b6c2, 0x00325a3b,
      0x00340559, 0x0035b823, 0x0037729f, 0x003934d2,
      0x003afec4, 0x003cd07a, 0x003ea9fb, 0x00408b4c,
      0x00427473, 0x00446577, 0x00465e5d, 0x00485f2a,
      0x004a67e5, 0x004c7893, 0x004e9139, 0x0050b1de,
      0x0052da86, 0x00550b37, 0x005743f7, 0x005984cb,
      0x005bcdb7, 0x005e1ec2, 0x006077f1, 0x0062d948,
      0x006542cc, 0x0067b484, 0x006a2e73, 0x006cb09f,
      0x006f3b0c, 0x0071cdc0, 0x007468c0, 0x00770c10,
      0x0079b7b5, 0x007c6bb3, 0x007f2810, 0x0081ecd0,
      0x0084b9f8, 0x00878f8c, 0x008a6d91, 0x008d540b,
      0x009042ff, 0x00933a72, 0x00963a67, 0x009942e4,
      0x009c53ec, 0x009f6d84, 0x00a28fb1, 0x00a5ba75,
      0x00a8edd7, 0x00ac29d9, 0x00af6e81, 0x00b2bbd2,
      0x00b611d0, 0x00b97080, 0x00bcd7e6, 0x00c04805,
      0x00c3c0e3, 0x00c74281, 0x00cacce6, 0x00ce6014,
      0x00d1fc10, 0x00d5a0de, 0x00d94e81, 0x00dd04fd,
      0x00e0c456, 0x00e48c91, 0x00e85db0, 0x00ec37b7,
      0x00f01aab, 0x00f4068f, 0x00f7fb67, 0x00fbf936,
      0x01000000, 0x01082894, 0x01107540, 0x0118e620,
      0x01217b51, 0x012a34ef, 0x01331315, 0x013c15e0,
      0x01453d69, 0x014e89cd, 0x0157fb25, 0x0161918c,
      0x016b4d1c, 0x01752df0, 0x017f3420, 0x01895fc6,
      0x0193b0fb, 0x019e27d9, 0x01a8c477, 0x01b386ee,
      0x01be6f57, 0x01c97dca, 0x01d4b25e, 0x01e00d2c,
      0x01eb8e4a, 0x01f735cf, 0x020303d4, 0x020ef86e,
      0x021b13b5, 0x022755bf, 0x0233bea3, 0x02404e75,
      0x024d054e, 0x0259e341, 0x0266e866, 0x027414d1,
      0x02816897, 0x028ee3cf, 0x029c868d, 0x02aa50e5,
      0x02b842ed, 0x02c65cba, 0x02d49e5f, 0x02e307f1,
      0x02f19983, 0x0300532b, 0x030f34fc, 0x031e3f0a,
      0x032d7167, 0x033ccc29, 0x034c4f62, 0x035bfb25,
      0x036bcf85, 0x037bcc96, 0x038bf26a, 0x039c4114,
      0x03acb8a7, 0x03bd5935, 0x03ce22d1, 0x03df158c,
      0x03f0317a, 0x040176ab, 0x0412e533, 0x04247d23,
      0x04363e8c, 0x04ca2721, 0x05000000, 0x05000000,
      0x05000000, 0x05000000, 0x05000000, 0x05000000,
      0x05000000, 0x05000000, 0x05000000, 0x05000000,
      0x05000000, 0x05000000, 0x05000000, 0x05000000,
      0x05000000, 0x05000000, 0x05000000, 0x05000000,
      0x05000000, 0x05000000, 0x05000000, 0x05000000,
      0x05000000, 0x05000000, 0x05000000, 0x05000000,
      0x05000000, 0x05000000, 0x05000000, 0x05000000
   }
};

static const uint32_t _dpe_incsc_default_lms_lut[NUM_OF_TABLES][LMS_LUT_SIZE] = 
{
   // XvYcc = 0
   {
      0x000000, 0x17969b, 0x1fc76a, 0x25d4fc,
      0x2ad04d, 0x2f2012, 0x32f7ef, 0x36761f,
      0x39ae16, 0x3cad34, 0x3f7d1f, 0x422511,
      0x44aa9e, 0x47122d, 0x495f4c, 0x4b94e3,
      0x4db55e, 0x4fc2c8, 0x51beda, 0x53ab14,
      0x5588c0, 0x5758fe, 0x591ccc, 0x5ad50a,
      0x5c8280, 0x5e25e2, 0x5fbfce, 0x6150d6,
      0x62d97d, 0x645a39, 0x65d378, 0x67459d,
      0x68b104, 0x6a15ff, 0x6b74de, 0x6ccde6,
      0x6e215c, 0x6f6f7c, 0x70b881, 0x71fc9f,
      0x733c09, 0x7476ee, 0x75ad7a, 0x76dfd6,
      0x780e2a, 0x793899, 0x7a5f46, 0x7b8253,
      0x7ca1dd, 0x7dbe02, 0x7ed6dd, 0x7fec8a,
      0x80ff20, 0x820eb8, 0x831b69, 0x842547,
      0x852c67, 0x8630dd, 0x8732bb, 0x883214,
      0x892ef9, 0x8a2979, 0x8b21a5, 0x8c178b,
      0x8d0b3a, 0x8dfcc0, 0x8eec2a, 0x8fd986,
      0x90c4de, 0x91ae3f, 0x9295b5, 0x937b4b,
      0x945f0a, 0x9540fe, 0x962130, 0x96ffa9,
      0x97dc73, 0x98b797, 0x99911d, 0x9a690d,
      0x9b3f70, 0x9c144e, 0x9ce7ad, 0x9db995,
      0x9e8a0e, 0x9f591e, 0xa026cb, 0xa0f31d,
      0xa1be19, 0xa287c5, 0xa35028, 0xa41747,
      0xa4dd28, 0xa5a1d0, 0xa66544, 0xa7278a,
      0xa7e8a6, 0xa8a89d, 0xa96775, 0xaa2531,
      0xaae1d7, 0xab9d6a, 0xac57ee, 0xad1169,
      0xadc9dd, 0xae8150, 0xaf37c4, 0xafed3d,
      0xb0a1c0, 0xb15550, 0xb207f0, 0xb2b9a3,
      0xb36a6e, 0xb41a52, 0xb4c954, 0xb57777,
      0xb624bd, 0xb6d12a, 0xb77cc1, 0xb82783,
      0xb8d175, 0xb97a99, 0xba22f1, 0xbaca80,
      0xbb7149, 0xbc174e, 0xbcbc91, 0xbd6116,
      0xbe04de, 0xbea7ec, 0xbf4a42, 0xbfebe2,
      0xc08cce, 0xc12d09, 0xc1cc94, 0xc26b72,
      0xc309a5, 0xc3a72e, 0xc44410, 0xc4e04c,
      0xc57be5, 0xc616dc, 0xc6b133, 0xc74aeb,
      0xc7e407, 0xc87c88, 0xc91470, 0xc9abc0,
      0xca427a, 0xcad8a1, 0xcb6e34, 0xcc0336,
      0xcc97a8, 0xcd2b8c, 0xcdbee4, 0xce51b0,
      0xcee3f2, 0xcf75ab, 0xd006de, 0xd0978a,
      0xd127b2, 0xd1b757, 0xd24679, 0xd2d51b,
      0xd3633e, 0xd3f0e2, 0xd47e09, 0xd50ab5,
      0xd596e5, 0xd6229c, 0xd6addb, 0xd738a2,
      0xd7c2f4, 0xd84cd0, 0xd8d637, 0xd95f2c,
      0xd9e7af, 0xda6fc1, 0xdaf763, 0xdb7e96,
      0xdc055a, 0xdc8bb2, 0xdd119e, 0xdd971e,
      0xde1c34, 0xdea0e1, 0xdf2525, 0xdfa902,
      0xe02c77, 0xe0af87, 0xe13232, 0xe1b479,
      0xe2365c, 0xe2b7dd, 0xe338fc, 0xe3b9ba,
      0xe43a18, 0xe4ba17, 0xe539b6, 0xe5b8f8,
      0xe637dd, 0xe6b665, 0xe73491, 0xe7b263,
      0xe82fda, 0xe8acf8, 0xe929bc, 0xe9a628,
      0xea223d, 0xea9dfb, 0xeb1963, 0xeb9474,
      0xec0f31, 0xec899a, 0xed03af, 0xed7d70,
      0xedf6df, 0xee6ffd, 0xeee8c8, 0xef6144,
      0xefd96f, 0xf0514a, 0xf0c8d6, 0xf14014,
      0xf1b704, 0xf22da6, 0xf2a3fc, 0xf31a05,
      0xf38fc3, 0xf40535, 0xf47a5d, 0xf4ef3a,
      0xf563ce, 0xf5d818, 0xf64c1a, 0xf6bfd3,
      0xf73345, 0xf7a66f, 0xf81953, 0xf88bf0,
      0xf8fe47, 0xf97059, 0xf9e226, 0xfa53ae,
      0xfac4f2, 0xfb35f3, 0xfba6b0, 0xfc172b,
      0xfc8763, 0xfcf759, 0xfd670e, 0xfdd681,
      0xfe45b4, 0xfeb4a6, 0xff2359, 0xff91cc
   },

   // XvYcc = 1
   {
     0x0000000, 0x017969b, 0x01fc76a, 0x025d4fc, 
     0x02ad04d, 0x02f2012, 0x032f7ef, 0x036761f, 
     0x039ae16, 0x03cad34, 0x03f7d1f, 0x0422511, 
     0x044aa9e, 0x047122d, 0x0495f4c, 0x04b94e3, 
     0x04db55e, 0x04fc2c8, 0x051beda, 0x053ab14, 
     0x05588c0, 0x05758fe, 0x0591ccc, 0x05ad50a, 
     0x05c8280, 0x05e25e2, 0x05fbfce, 0x06150d6, 
     0x062d97d, 0x0645a39, 0x065d378, 0x067459d, 
     0x068b104, 0x06a15ff, 0x06b74de, 0x06ccde6, 
     0x06e215c, 0x06f6f7c, 0x070b881, 0x071fc9f, 
     0x0733c09, 0x07476ee, 0x075ad7a, 0x076dfd6, 
     0x0780e2a, 0x0793899, 0x07a5f46, 0x07b8253, 
     0x07ca1dd, 0x07dbe02, 0x07ed6dd, 0x07fec8a, 
     0x080ff20, 0x0820eb8, 0x0831b69, 0x0842547, 
     0x0852c67, 0x08630dd, 0x08732bb, 0x0883214, 
     0x0892ef9, 0x08a2979, 0x08b21a5, 0x08c178b, 
     0x08d0b3a, 0x08eec2a, 0x090c4de, 0x09295b5, 
     0x0945f0a, 0x0962130, 0x097dc73, 0x099911d, 
     0x09b3f70, 0x09ce7ad, 0x09e8a0e, 0x0a026cb, 
     0x0a1be19, 0x0a35028, 0x0a4dd28, 0x0a66544, 
     0x0a7e8a6, 0x0a96775, 0x0aae1d7, 0x0ac57ee, 
     0x0adc9dd, 0x0af37c4, 0x0b0a1c0, 0x0b207f0, 
     0x0b36a6e, 0x0b4c954, 0x0b624bd, 0x0b77cc1, 
     0x0b8d175, 0x0ba22f1, 0x0bb7149, 0x0bcbc91, 
     0x0be04de, 0x0bf4a42, 0x0c08cce, 0x0c1cc94, 
     0x0c309a5, 0x0c44410, 0x0c57be5, 0x0c6b133, 
     0x0c7e407, 0x0c91470, 0x0ca427a, 0x0cb6e34, 
     0x0cc97a8, 0x0cdbee4, 0x0cee3f2, 0x0d006de, 
     0x0d127b2, 0x0d24679, 0x0d3633e, 0x0d47e09, 
     0x0d596e5, 0x0d6addb, 0x0d7c2f4, 0x0d8d637, 
     0x0d9e7af, 0x0daf763, 0x0dc055a, 0x0dd119e, 
     0x0de1c34, 0x0df2525, 0x0e02c77, 0x0e13232, 
     0x0e2365c, 0x0e338fc, 0x0e43a18, 0x0e539b6, 
     0x0e637dd, 0x0e73491, 0x0e82fda, 0x0e929bc, 
     0x0ea223d, 0x0eb1963, 0x0ec0f31, 0x0ed03af, 
     0x0edf6df, 0x0eee8c8, 0x0efd96f, 0x0f0c8d6, 
     0x0f1b704, 0x0f2a3fc, 0x0f38fc3, 0x0f47a5d, 
     0x0f563ce, 0x0f64c1a, 0x0f73345, 0x0f81953, 
     0x0f8fe47, 0x0f9e226, 0x0fac4f2, 0x0fba6b0, 
     0x0fc8763, 0x0fd670e, 0x0fe45b4, 0x0ff2359, 
     0x1000000, 0x101b660, 0x10368ec, 0x10517bc, 
     0x106c2e5, 0x1086a7d, 0x10a0e99, 0x10baf4d, 
     0x10d4cac, 0x10ee6c9, 0x1107db4, 0x1121181, 
     0x113a23f, 0x1152ffe, 0x116bace, 0x11842be, 
     0x119c7dd, 0x11b4a39, 0x11cc9df, 0x11e46dc, 
     0x11fc13f, 0x1213912, 0x122ae62, 0x124213a, 
     0x12591a7, 0x126ffb3, 0x1286b68, 0x129d4d2, 
     0x12b3bfa, 0x12ca0ea, 0x12e03ab, 0x12f6448, 
     0x130c2c8, 0x1321f36, 0x1337999, 0x134d1f9, 
     0x136285f, 0x1377cd4, 0x138cf5d, 0x13a2004, 
     0x13b6ecf, 0x13cbbc5, 0x13e06ef, 0x13f5051, 
     0x14097f3, 0x141dddc, 0x1432212, 0x144649b, 
     0x145a57d, 0x146e4be, 0x1482263, 0x1495e73, 
     0x14a98f3, 0x14bd1e8, 0x14d0958, 0x14e3f48, 
     0x14f73bd, 0x150a6bb, 0x151d848, 0x1530869, 
     0x1543721, 0x1556476, 0x156906c, 0x157bb08, 
     0x158e44d, 0x1620038, 0x16acf30, 0x17357d3, 
     0x17b9fdc, 0x183ac4a, 0x18b8186, 0x1932373, 
     0x19a9586, 0x1a1dad9, 0x1a8f633, 0x1afea16, 
     0x1b6b8c9, 0x1bd645a, 0x1c3eead, 0x1ca597b, 
     0x1d0a65a, 0x1d6d6bd, 0x1dcebfd, 0x1e2e759, 
     0x1e8c9f6, 0x1ee94e8, 0x1f4492d, 0x1f9e7b4, 
     0x1ff715b, 0x1ff715b, 0x1ff715b, 0x1ff715b, 
     0x1ff715b, 0x1ff715b, 0x1ff715b, 0x1ff715b
   }
};

static const uint32_t _dpe_jlcce_default_dc_lut[DC_LUT_SIZE] = 
{
   0x000, 0x020, 0x040, 0x060,
   0x080, 0x0A0, 0x0C0, 0x0E0,
   0x100, 0x120, 0x140, 0x160,
   0x180, 0x1A0, 0x1C0, 0x1E0,
   0x200, 0x220, 0x240, 0x260,
   0x280, 0x2A0, 0x2C0, 0x2E0,
   0x300, 0x320, 0x340, 0x360,
   0x380, 0x3A0, 0x3C0, 0x3E0
};

static const uint32_t _dpe_jlcce_default_out_rgb_lut[NUM_OF_TABLES][RGB_LUT_SIZE] = 
{
   //non-xvYcc
   {
      0x000000, 0x048000, 0x090000, 0x0d8000, 
      0x120000, 0x1686bc, 0x1a9e92, 0x1e5a1b, 
      0x21cd21, 0x25054c, 0x280c7c, 0x2aea19, 
      0x2da3df, 0x303e57, 0x32bd2b, 0x35235c, 
      0x37736b, 0x39af74, 0x3bd943, 0x3df266, 
      0x3ffc32, 0x41f7d6, 0x43e658, 0x45c8a3, 
      0x479f88, 0x496bc1, 0x4b2df5, 0x4ce6bc, 
      0x4e969f, 0x503e1b, 0x51dda1, 0x53759b, 
      0x550667, 0x56905f, 0x5813d4, 0x599110, 
      0x5b085b, 0x5c79f5, 0x5de61a, 0x5f4d04, 
      0x60aee7, 0x620bf4, 0x63645b, 0x64b846, 
      0x6607e0, 0x67534e, 0x689ab5, 0x69de38, 
      0x6b1df8, 0x6c5a12, 0x6d92a6, 0x6ec7ce, 
      0x6ff9a5, 0x712844, 0x7253c3, 0x737c3a, 
      0x74a1bd, 0x75c461, 0x76e43c, 0x78015e, 
      0x791bdc, 0x7a33c5, 0x7b492b, 0x7c5c1e, 
      0x7d6cad, 0x7e7ae7, 0x7f86da, 0x809094, 
      0x819822, 0x829d90, 0x83a0ea, 0x84a23e, 
      0x85a194, 0x869efa, 0x879a78, 0x88941a, 
      0x898be8, 0x8a81ed, 0x8b7632, 0x8c68c0, 
      0x8d599f, 0x8e48d7, 0x8f3671, 0x902274, 
      0x910ce8, 0x91f5d4, 0x92dd40, 0x93c332, 
      0x94a7b1, 0x958ac4, 0x966c71, 0x974cbd, 
      0x982bb0, 0x99094e, 0x99e59e, 0x9ac0a4, 
      0x9b9a68, 0x9c72ec, 0x9d4a37, 0x9e204e, 
      0x9ef535, 0x9fc8f1, 0xa09b87, 0xa16cfb, 
      0xa23d51, 0xa30c8e, 0xa3dab6, 0xa4a7cc, 
      0xa573d6, 0xa63ed6, 0xa708d1, 0xa7d1c9, 
      0xa899c4, 0xa960c3, 0xaa26cb, 0xaaebe0, 
      0xabb003, 0xac7339, 0xad3585, 0xadf6e9, 
      0xaeb769, 0xaf7708, 0xb035c8, 0xb0f3ac, 
      0xb1b0b8, 0xb26cee, 0xb3284f, 0xb3e2e0, 
      0xb49ca3, 0xb5559a, 0xb60dc7, 0xb6c52d, 
      0xb77bcf, 0xb831ae, 0xb8e6cd, 0xb99b2e, 
      0xba4ed3, 0xbb01bf, 0xbbb3f3, 0xbc6571, 
      0xbd163d, 0xbdc656, 0xbe75c1, 0xbf247d, 
      0xbfd28e, 0xc07ff5, 0xc12cb4, 0xc1d8cd, 
      0xc28441, 0xc32f12, 0xc3d943, 0xc482d4, 
      0xc52bc6, 0xc5d41d, 0xc67bd9, 0xc722fc, 
      0xc7c988, 0xc86f7d, 0xc914de, 0xc9b9ac, 
      0xca5de8, 0xcb0194, 0xcba4b0, 0xcc4740, 
      0xcce943, 0xcd8abb, 0xce2baa, 0xcecc10, 
      0xcf6bf0, 0xd00b4a, 0xd0aa1f, 0xd14870, 
      0xd1e640, 0xd2838f, 0xd3205e, 0xd3bcae, 
      0xd45880, 0xd4f3d6, 0xd58eb1, 0xd62911, 
      0xd6c2f9, 0xd75c68, 0xd7f55f, 0xd88de1, 
      0xd925ee, 0xd9bd86, 0xda54ab, 0xdaeb5e, 
      0xdb819f, 0xdc1770, 0xdcacd2, 0xdd41c5, 
      0xddd64b, 0xde6a64, 0xdefe11, 0xdf9152, 
      0xe0242a, 0xe0b698, 0xe1489e, 0xe1da3c, 
      0xe26b74, 0xe2fc45, 0xe38cb1, 0xe41cb8, 
      0xe4ac5c, 0xe53b9c, 0xe5ca7a, 0xe658f7, 
      0xe6e713, 0xe774cf, 0xe8022c, 0xe88f2a, 
      0xe91bca, 0xe9a80c, 0xea33f2, 0xeabf7c, 
      0xeb4aab, 0xebd580, 0xec5ffa, 0xecea1b, 
      0xed73e3, 0xedfd53, 0xee866c, 0xef0f2e, 
      0xef979a, 0xf01fb0, 0xf0a771, 0xf12edd, 
      0xf1b5f6, 0xf23cbb, 0xf2c32d, 0xf3494e, 
      0xf3cf1c, 0xf4549a, 0xf4d9c7, 0xf55ea4, 
      0xf5e331, 0xf66770, 0xf6eb5f, 0xf76f01, 
      0xf7f256, 0xf8755d, 0xf8f819, 0xf97a88, 
      0xf9fcab, 0xfa7e84, 0xfb0012, 0xfb8156, 
      0xfc0250, 0xfc8302, 0xfd036a, 0xfd838b, 
      0xfe0363, 0xfe82f4, 0xff023f, 0xff8142 
   },

   //xvYcc
   {
      0x0000000, 0x0048000, 0x0090000, 0x00d8000, 
      0x0120000, 0x01686bc, 0x01a9e92, 0x01e5a1b, 
      0x021cd21, 0x025054c, 0x0280c7c, 0x02aea19, 
      0x02da3df, 0x0303e57, 0x032bd2b, 0x035235c, 
      0x037736b, 0x039af74, 0x03bd943, 0x03df266, 
      0x03ffc32, 0x041f7d6, 0x043e658, 0x045c8a3, 
      0x0479f88, 0x0496bc1, 0x04b2df5, 0x04ce6bc, 
      0x04e969f, 0x0503e1b, 0x051dda1, 0x053759b, 
      0x0550667, 0x056905f, 0x05813d4, 0x0599110, 
      0x05b085b, 0x05c79f5, 0x05de61a, 0x05f4d04, 
      0x060aee7, 0x0620bf4, 0x063645b, 0x064b846, 
      0x06607e0, 0x067534e, 0x0689ab5, 0x069de38, 
      0x06b1df8, 0x06c5a12, 0x06d92a6, 0x06ec7ce, 
      0x06ff9a5, 0x0712844, 0x07253c3, 0x0737c3a, 
      0x074a1bd, 0x075c461, 0x076e43c, 0x078015e, 
      0x0791bdc, 0x07a33c5, 0x07b492b, 0x07c5c1e, 
      0x07d6cad, 0x07f86da, 0x0819822, 0x083a0ea, 
      0x085a194, 0x0879a78, 0x0898be8, 0x08b7632, 
      0x08d599f, 0x08f3671, 0x0910ce8, 0x092dd40, 
      0x094a7b1, 0x0966c71, 0x0982bb0, 0x099e59e, 
      0x09b9a68, 0x09d4a37, 0x09ef535, 0x0a09b87, 
      0x0a23d51, 0x0a3dab6, 0x0a573d6, 0x0a708d1, 
      0x0a899c4, 0x0aa26cb, 0x0abb003, 0x0ad3585, 
      0x0aeb769, 0x0b035c8, 0x0b1b0b8, 0x0b3284f, 
      0x0b49ca3, 0x0b60dc7, 0x0b77bcf, 0x0b8e6cd, 
      0x0ba4ed3, 0x0bbb3f3, 0x0bd163d, 0x0be75c1, 
      0x0bfd28e, 0x0c12cb4, 0x0c28441, 0x0c3d943, 
      0x0c52bc6, 0x0c67bd9, 0x0c7c988, 0x0c914de, 
      0x0ca5de8, 0x0cba4b0, 0x0cce943, 0x0ce2baa, 
      0x0cf6bf0, 0x0d0aa1f, 0x0d1e640, 0x0d3205e, 
      0x0d45880, 0x0d58eb1, 0x0d6c2f9, 0x0d7f55f, 
      0x0d925ee, 0x0da54ab, 0x0db819f, 0x0dcacd2, 
      0x0ddd64b, 0x0defe11, 0x0e0242a, 0x0e1489e, 
      0x0e26b74, 0x0e38cb1, 0x0e4ac5c, 0x0e5ca7a, 
      0x0e6e713, 0x0e8022c, 0x0e91bca, 0x0ea33f2, 
      0x0eb4aab, 0x0ec5ffa, 0x0ed73e3, 0x0ee866c, 
      0x0ef979a, 0x0f0a771, 0x0f1b5f6, 0x0f2c32d, 
      0x0f3cf1c, 0x0f4d9c7, 0x0f5e331, 0x0f6eb5f, 
      0x0f7f256, 0x0f8f819, 0x0f9fcab, 0x0fb0012, 
      0x0fc0250, 0x0fd036a, 0x0fe0363, 0x0ff023f, 
      0x1000000, 0x101f843, 0x103ec46, 0x105dc22, 
      0x107c7f1, 0x109afca, 0x10b93c3, 0x10d73f2, 
      0x10f506d, 0x1112947, 0x112fe95, 0x114d069, 
      0x1169ed5, 0x11869ed, 0x11a31bf, 0x11bf65e, 
      0x11db7d8, 0x11f763f, 0x12131a0, 0x122ea0a, 
      0x1249f8b, 0x1265232, 0x128020b, 0x129af23, 
      0x12b5986, 0x12d0142, 0x12ea661, 0x13048f0, 
      0x131e8f9, 0x1338687, 0x13521a5, 0x136ba5c, 
      0x13850b8, 0x139e4c1, 0x13b7682, 0x13d0603, 
      0x13e934d, 0x1401e6a, 0x141a761, 0x1432e3b, 
      0x144b300, 0x14635b8, 0x147b66c, 0x1493521, 
      0x14ab1e0, 0x14c2cb0, 0x14da598, 0x14f1c9e, 
      0x15091cb, 0x1520523, 0x15376ad, 0x154e670, 
      0x1565472, 0x157c0b9, 0x1592b4a, 0x15a942c, 
      0x15bfb64, 0x15d60f7, 0x15ec4eb, 0x1602745, 
      0x161880b, 0x162e741, 0x16444ec, 0x165a111, 
      0x166fbb5, 0x1719cc8, 0x17be72a, 0x185e238, 
      0x18f9454, 0x1990314, 0x1a2335f, 0x1ab2991, 
      0x1b3e986, 0x1bc76b8, 0x1c4d442, 0x1cd04f5, 
      0x1d50b5e, 0x1dce9ce, 0x1e4a264, 0x1ec370f, 
      0x1f3a997, 0x1fafba1, 0x2022eb0, 0x209442a, 
      0x2103d5d, 0x2171b7d, 0x21ddfab, 0x2248af5, 
      0x22b1e55, 0x22b1e55, 0x22b1e55, 0x22b1e55, 
      0x22b1e55, 0x22b1e55, 0x22b1e55, 0x22b1e55 
   }
};

static const uint32_t _dpe_jlcce_default_out_lms_lut[NUM_OF_TABLES][LMS_LUT_SIZE] = 
{
   //non-xvYcc
   {
      0x000000, 0x000ada, 0x0015b5, 0x00208f, 
      0x002b69, 0x003644, 0x00411e, 0x004bf8, 
      0x0056d3, 0x0061ad, 0x006c87, 0x007762, 
      0x00823c, 0x008d16, 0x0097f1, 0x00a2cb, 
      0x00ada5, 0x00b880, 0x00c35a, 0x00ce34, 
      0x00d90f, 0x00e3e9, 0x00eec3, 0x00f99e, 
      0x010a83, 0x01250d, 0x01410a, 0x015e7d, 
      0x017d6c, 0x019ddb, 0x01bfce, 0x01e349, 
      0x020852, 0x022eec, 0x02571a, 0x0280e2, 
      0x02ac46, 0x02d94b, 0x0307f5, 0x033846, 
      0x036a44, 0x039df0, 0x03d34f, 0x040a65, 
      0x044334, 0x047dbf, 0x04ba0b, 0x04f81a, 
      0x0537ef, 0x05798e, 0x05bcfa, 0x060235, 
      0x064944, 0x069227, 0x06dce4, 0x07297c, 
      0x0777f2, 0x07c849, 0x081a85, 0x086ea7, 
      0x08c4b2, 0x091ca9, 0x09768f, 0x09d267, 
      0x0a3032, 0x0a8ff4, 0x0af1b0, 0x0b5566, 
      0x0bbb1b, 0x0c22d0, 0x0c8c88, 0x0cf846, 
      0x0d660b, 0x0dd5db, 0x0e47b7, 0x0ebba2, 
      0x0f319e, 0x0fa9ae, 0x1023d3, 0x10a010, 
      0x111e68, 0x119edc, 0x12216e, 0x12a621, 
      0x132cf7, 0x13b5f2, 0x144115, 0x14ce60, 
      0x155dd7, 0x15ef7b, 0x16834f, 0x171954, 
      0x17b18d, 0x184bfc, 0x18e8a2, 0x198781, 
      0x1a289c, 0x1acbf4, 0x1b718c, 0x1c1965, 
      0x1cc382, 0x1d6fe3, 0x1e1e8b, 0x1ecf7d, 
      0x1f82b9, 0x203841, 0x20f018, 0x21aa40, 
      0x2266b9, 0x232586, 0x23e6a9, 0x24aa23, 
      0x256ff7, 0x263825, 0x2702b0, 0x27cf9a, 
      0x289ee4, 0x29708f, 0x2a449f, 0x2b1b13, 
      0x2bf3ef, 0x2ccf33, 0x2dace1, 0x2e8cfc, 
      0x2f6f84, 0x30547b, 0x313be3, 0x3225be, 
      0x33120d, 0x3400d2, 0x34f20e, 0x35e5c3, 
      0x36dbf2, 0x37d49e, 0x38cfc7, 0x39cd6f, 
      0x3acd99, 0x3bd044, 0x3cd573, 0x3ddd28, 
      0x3ee764, 0x3ff428, 0x410376, 0x42154f, 
      0x4329b5, 0x4440aa, 0x455a2e, 0x467644, 
      0x4794ec, 0x48b629, 0x49d9fb, 0x4b0065, 
      0x4c2967, 0x4d5503, 0x4e833a, 0x4fb40e, 
      0x50e781, 0x521d93, 0x535646, 0x54919c, 
      0x55cf96, 0x571034, 0x585379, 0x599967, 
      0x5ae1fd, 0x5c2d3e, 0x5d7b2c, 0x5ecbc6, 
      0x601f0f, 0x617509, 0x62cdb4, 0x642911, 
      0x658722, 0x66e7e9, 0x684b67, 0x69b19c, 
      0x6b1a8b, 0x6c8634, 0x6df499, 0x6f65bb, 
      0x70d99c, 0x72503c, 0x73c99d, 0x7545c1, 
      0x76c4a7, 0x784653, 0x79cac5, 0x7b51fd, 
      0x7cdbff, 0x7e68ca, 0x7ff860, 0x818ac2, 
      0x831ff1, 0x84b7f0, 0x8652be, 0x87f05d, 
      0x8990ce, 0x8b3413, 0x8cda2c, 0x8e831b, 
      0x902ee2, 0x91dd80, 0x938ef8, 0x95434b, 
      0x96fa79, 0x98b485, 0x9a716e, 0x9c3137, 
      0x9df3e0, 0x9fb96b, 0xa181d8, 0xa34d29, 
      0xa51b60, 0xa6ec7c, 0xa8c080, 0xaa976d, 
      0xac7143, 0xae4e03, 0xb02db0, 0xb21049, 
      0xb3f5d1, 0xb5de48, 0xb7c9af, 0xb9b807, 
      0xbba952, 0xbd9d91, 0xbf94c4, 0xc18eed, 
      0xc38c0d, 0xc58c25, 0xc78f36, 0xc99541, 
      0xcb9e47, 0xcdaa4a, 0xcfb94a, 0xd1cb48, 
      0xd3e046, 0xd5f845, 0xd81345, 0xda3148, 
      0xdc524e, 0xde7659, 0xe09d6a, 0xe2c782, 
      0xe4f4a2, 0xe724cb, 0xe957fe, 0xeb8e3c, 
      0xedc785, 0xf003dc, 0xf24341, 0xf485b5, 
      0xf6cb3a, 0xf913cf, 0xfb5f76, 0xfdae31
   },

   //xvYcc
   {
      0x00000000, 0x00000ada, 0x000015b5, 0x0000208f, 
      0x00002b69, 0x00003644, 0x0000411e, 0x00004bf8, 
      0x000056d3, 0x000061ad, 0x00006c87, 0x00007762, 
      0x0000823c, 0x00008d16, 0x000097f1, 0x0000a2cb, 
      0x0000ada5, 0x0000b880, 0x0000c35a, 0x0000ce34, 
      0x0000d90f, 0x0000e3e9, 0x0000eec3, 0x0000f99e, 
      0x00010a83, 0x0001250d, 0x0001410a, 0x00015e7d, 
      0x00017d6c, 0x00019ddb, 0x0001bfce, 0x0001e349, 
      0x00020852, 0x00022eec, 0x0002571a, 0x000280e2, 
      0x0002ac46, 0x0002d94b, 0x000307f5, 0x00033846, 
      0x00036a44, 0x00039df0, 0x0003d34f, 0x00040a65, 
      0x00044334, 0x00047dbf, 0x0004ba0b, 0x0004f81a, 
      0x000537ef, 0x0005798e, 0x0005bcfa, 0x00060235, 
      0x00064944, 0x00069227, 0x0006dce4, 0x0007297c, 
      0x000777f2, 0x0007c849, 0x00081a85, 0x00086ea7, 
      0x0008c4b2, 0x00091ca9, 0x0009768f, 0x0009d267, 
      0x000a3032, 0x000af1b0, 0x000bbb1b, 0x000c8c88, 
      0x000d660b, 0x000e47b7, 0x000f319e, 0x001023d3, 
      0x00111e68, 0x0012216e, 0x00132cf7, 0x00144115, 
      0x00155dd7, 0x0016834f, 0x0017b18d, 0x0018e8a2, 
      0x001a289c, 0x001b718c, 0x001cc382, 0x001e1e8b, 
      0x001f82b9, 0x0020f018, 0x002266b9, 0x0023e6a9, 
      0x00256ff7, 0x002702b0, 0x00289ee4, 0x002a449f, 
      0x002bf3ef, 0x002dace1, 0x002f6f84, 0x00313be3, 
      0x0033120d, 0x0034f20e, 0x0036dbf2, 0x0038cfc7, 
      0x003acd99, 0x003cd573, 0x003ee764, 0x00410376, 
      0x004329b5, 0x00455a2e, 0x004794ec, 0x0049d9fb, 
      0x004c2967, 0x004e833a, 0x0050e781, 0x00535646, 
      0x0055cf96, 0x00585379, 0x005ae1fd, 0x005d7b2c, 
      0x00601f0f, 0x0062cdb4, 0x00658722, 0x00684b67, 
      0x006b1a8b, 0x006df499, 0x0070d99c, 0x0073c99d, 
      0x0076c4a7, 0x0079cac5, 0x007cdbff, 0x007ff860, 
      0x00831ff1, 0x008652be, 0x008990ce, 0x008cda2c, 
      0x00902ee2, 0x00938ef8, 0x0096fa79, 0x009a716e, 
      0x009df3e0, 0x00a181d8, 0x00a51b60, 0x00a8c080, 
      0x00ac7143, 0x00b02db0, 0x00b3f5d1, 0x00b7c9af, 
      0x00bba952, 0x00bf94c4, 0x00c38c0d, 0x00c78f36, 
      0x00cb9e47, 0x00cfb94a, 0x00d3e046, 0x00d81345, 
      0x00dc524e, 0x00e09d6a, 0x00e4f4a2, 0x00e957fe, 
      0x00edc785, 0x00f24341, 0x00f6cb3a, 0x00fb5f76, 
      0x01000000, 0x01096619, 0x0112fdc5, 0x011cc744, 
      0x0126c2d2, 0x0130f0b0, 0x013b5119, 0x0145e44b, 
      0x0150aa82, 0x015ba3fa, 0x0166d0ed, 0x01723196, 
      0x017dc62f, 0x01898ef1, 0x01958c17, 0x01a1bdd7, 
      0x01ae246a, 0x01bac007, 0x01c790e6, 0x01d4973d, 
      0x01e1d342, 0x01ef452a, 0x01fced2c, 0x020acb7c, 
      0x0218e04e, 0x02272bd7, 0x0235ae49, 0x024467d9, 
      0x025358b9, 0x0262811b, 0x0271e132, 0x02817930, 
      0x02914945, 0x02a151a3, 0x02b1927b, 0x02c20bfc, 
      0x02d2be58, 0x02e3a9bd, 0x02f4ce5b, 0x03062c61, 
      0x0317c3fe, 0x03299561, 0x033ba0b6, 0x034de62d, 
      0x036065f3, 0x03732035, 0x03861520, 0x039944e1, 
      0x03acafa5, 0x03c05596, 0x03d436e2, 0x03e853b5, 
      0x03fcac38, 0x04114098, 0x04261100, 0x043b1d99, 
      0x0450668f, 0x0465ec0c, 0x047bae3a, 0x0491ad41, 
      0x04a7e94c, 0x04be6285, 0x04d51913, 0x04ec0d20, 
      0x05033ed4, 0x05c58abc, 0x0697992a, 0x0779b5ee, 
      0x086c2a0e, 0x096f3c02, 0x0a832feb, 0x0ba847c3, 
      0x0cdec385, 0x0e26e153, 0x0f80dd94, 0x10ecf316, 
      0x126b5b23, 0x13fc4d9c, 0x15a0010c, 0x1756aabe, 
      0x19207ece, 0x1afdb038, 0x1cee70e8, 0x1ef2f1c7, 
      0x210b62c7, 0x2337f2f2, 0x2578d071, 0x27ce2898, 
      0x2a3827ee, 0x2a3827ee, 0x2a3827ee, 0x2a3827ee, 
      0x2a3827ee, 0x2a3827ee, 0x2a3827ee, 0x2a3827ee
   }
};

static const uint32_t _dpe_jlcce_default_chroma_lut[CHROMA_LUT_SIZE] = 
{
   0x1f000, 0x06717, 0x01ab6, 0x00198,
   0x3f56c, 0x3ee84, 0x3ea53, 0x3e7be,
   0x3e639, 0x3e574, 0x3e53d, 0x3e574,
   0x3e604, 0x3e6db, 0x3e7ee, 0x3e932,
   0x3ea9f, 0x3ec2e, 0x3edd7, 0x3ef97,
   0x3f166, 0x3f342, 0x3f524, 0x3f709,
   0x3f8ed, 0x3facd, 0x3fca4, 0x3fe6f,
   0x0002b, 0x001d7, 0x0036f, 0x004f1
};

static const uint32_t _dpe_jlcce_default_lc_lut[LC_LUT_SIZE] = 
{
   0x000, 0x04c, 0x0a9, 0x10d,
   0x177, 0x1e4, 0x255, 0x2c9,
   0x340, 0x3b8, 0x433, 0x4b0,
   0x52e, 0x5ae, 0x62f, 0x6b2,
   0x736, 0x7bb, 0x841, 0x8c9,
   0x952, 0x9db, 0xa66, 0xaf2,
   0xb7e, 0xc0c, 0xc9a, 0xd29,
   0xdb9, 0xe4a, 0xedb, 0xf6d
};

static const uint32_t _dpe_jlcce_default_sin_lut[SIN_LUT_SIZE] = 
{
   0x000, 0x19e, 0x338, 0x4ca,
   0x64f, 0x7c3, 0x923, 0xa6c,
   0xb98, 0xca7, 0xd94, 0xe5d,
   0xf01, 0xf7d, 0xfd0, 0xffa,
   0xffa, 0xfd0, 0xf7d, 0xf01,
   0xe5d, 0xd94, 0xca7, 0xb98,
   0xa6c, 0x923, 0x7c3, 0x64f,
   0x4ca, 0x338, 0x19e, 0x000
};

static const uint32_t _dpe_jlcce_default_sqrt_lut[SQRT_LUT_SIZE] = 
{
   0x000, 0x2df, 0x410, 0x4fa,
   0x5bf, 0x66c, 0x709, 0x79a,
   0x820, 0x89e, 0x916, 0x987,
   0x9f4, 0xa5c, 0xac0, 0xb21,
   0xb7e, 0xbd9, 0xc31, 0xc86,
   0xcd9, 0xd2b, 0xd7a, 0xdc8,
   0xe13, 0xe5e, 0xea7, 0xeee,
   0xf34, 0xf79, 0xfbd, 0x1000
};

static const uint32_t _dpe_jlcce_default_dce_gain_map[DCE_GAIN_MAP_SIZE] = 
{
   0x000, 0x4C2, 0x49C, 0x485,
   0x476, 0x46B, 0x460, 0x459,
   0x452, 0x44B, 0x447, 0x442,
   0x43D, 0x439, 0x435, 0x432,
   0x42F, 0x42C, 0x428, 0x426,
   0x424, 0x421, 0x41F, 0x41D,
   0x41A, 0x419, 0x417, 0x414,
   0x413, 0x411, 0x410, 0x40F
};

#endif

