/*------------------------------------------------------------------------------
 * File Name: vpp_scaler_default.h
 *------------------------------------------------------------------------------
 */

/* 
  
  This file is provided under a dual BSD/GPLv2 license.  When using or 
  redistributing this file, you may do so under either license.

  GPL LICENSE SUMMARY

  Copyright(c) 2007-2011 Intel Corporation. All rights reserved.

  This program is free software; you can redistribute it and/or modify 
  it under the terms of version 2 of the GNU General Public License as
  published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful, but 
  WITHOUT ANY WARRANTY; without even the implied warranty of 
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
  General Public License for more details.

  You should have received a copy of the GNU General Public License 
  along with this program; if not, write to the Free Software 
  Foundation, Inc., 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
  The full GNU General Public License is included in this distribution 
  in the file called LICENSE.GPL.

  Contact Information:

  BSD LICENSE 

  Copyright(c) 2007-2011 Intel Corporation. All rights reserved.
  All rights reserved.

  Redistribution and use in source and binary forms, with or without 
  modification, are permitted provided that the following conditions 
  are met:

    * Redistributions of source code must retain the above copyright 
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright 
      notice, this list of conditions and the following disclaimer in 
      the documentation and/or other materials provided with the 
      distribution.
    * Neither the name of Intel Corporation nor the names of its 
      contributors may be used to endorse or promote products derived 
      from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

  */

#ifndef _VPP_SCALER_DEFAULT_H_
#define _VPP_SCALER_DEFAULT_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "dpe_common.h"

/** @weakgroup vpp_scaler_default_defs VPP Scaler Default Definitions */
/** @ingroup vpp_scaler_default_defs */
/*@{*/



/** Default scaler coefficient tables for Y components. */
static const uint32_t _vpp_scaler_default_coeff_table_y
   [VPP_SCALER_DEFAULT_TABLES_Y][VPP_SCALER_DEFAULT_TABLE_SIZE_Y] = {
   { /* Y scale factor = 0.01, phases = 127, taps = 9. */
      0xa2060027, 0x30cd0cd0, 0x0280610a, 0x00000011, 
      0xa2060026, 0x30cd0cd0, 0x0280620a, 0x00000011, 
      0xa1060026, 0x30ce0cd0, 0x0280620a, 0x00000011, 
      0xa105e026, 0x40ce0cc0, 0x0290630a, 0x00000011, 
      0xa005f026, 0x40ce0cc0, 0x0290630a, 0x00000011, 
      0xa005e025, 0x50ce0cc0, 0x0290640a, 0x00000011, 
      0x9f05d026, 0x50ce0cc0, 0x02a0640a, 0x00000011, 
      0x9f05d024, 0x60ce0cc0, 0x02a0650a, 0x00000011, 
      0x9e05d025, 0x60cf0cb0, 0x02a0650a, 0x00000011, 
      0x9e05b024, 0x70cf0cb0, 0x02b0660a, 0x00000011, 
      0x9d05c024, 0x70cf0cb0, 0x02b0660a, 0x00000011, 
      0x9d05b023, 0x80cf0cb0, 0x02b0670a, 0x00000011, 
      0x9c05a024, 0x80cf0cb0, 0x02c0670a, 0x00000011, 
      0x9c05a023, 0x80cf0cb0, 0x02c0680a, 0x00000011, 
      0x9b05a023, 0x90cf0ca0, 0x02d0680a, 0x00000011, 
      0x9b059022, 0x90d00ca0, 0x02d0690a, 0x00000011, 
      0x9a058022, 0xa0d00ca0, 0x02d06a0a, 0x00000011, 
      0x9a058022, 0xa0d00c90, 0x02e06a0a, 0x00000011, 
      0x9a057021, 0xb0d00c90, 0x02e06b0a, 0x00000011, 
      0x99057022, 0xb0d00c90, 0x02e06b0a, 0x00000011, 
      0x99056021, 0xb0d00c90, 0x02f06c0a, 0x00000011, 
      0x98056021, 0xc0d00c90, 0x02f06c0a, 0x00000011, 
      0x97055020, 0xc0d10c80, 0x03006d0a, 0x00000012, 
      0x9705501f, 0xd0d10c80, 0x03006d0a, 0x00000012, 
      0x9705401f, 0xd0d10c80, 0x03006e0a, 0x00000012, 
      0x9605301f, 0xe0d10c80, 0x03106e0a, 0x00000012, 
      0x9605301f, 0xe0d10c70, 0x03106f0a, 0x00000012, 
      0x9505301f, 0xe0d10c70, 0x03206f0a, 0x00000012, 
      0x9505201e, 0xf0d10c70, 0x0320700a, 0x00000012, 
      0x9405201f, 0xf0d10c70, 0x0320700a, 0x00000012, 
      0x9405101e, 0x00d10c60, 0x0330710b, 0x00000012, 
      0x9305101e, 0x00d10c60, 0x0330720b, 0x00000012, 
      0x9205001d, 0x10d20c60, 0x0340720b, 0x00000012, 
      0x9205001d, 0x10d20c50, 0x0340730b, 0x00000012, 
      0x9204f01d, 0x10d20c50, 0x0340730b, 0x00000013, 
      0x9104e01c, 0x20d20c50, 0x0350740b, 0x00000013, 
      0x9104e01c, 0x20d20c50, 0x0350740b, 0x00000013, 
      0x9004d01c, 0x30d20c40, 0x0360750b, 0x00000013, 
      0x9004d01c, 0x30d20c40, 0x0360750b, 0x00000013, 
      0x8f04d01b, 0x30d20c40, 0x0370760b, 0x00000013, 
      0x8f04c01c, 0x40d20c30, 0x0370760b, 0x00000013, 
      0x8e04c01c, 0x40d20c30, 0x0370770b, 0x00000013, 
      0x8e04c01b, 0x40d20c30, 0x0380770b, 0x00000013, 
      0x8d04b01a, 0x50d20c30, 0x0380780b, 0x00000014, 
      0x8c04a01b, 0x50d20c20, 0x0390790b, 0x00000014, 
      0x8c04a01a, 0x60d20c20, 0x0390790b, 0x00000014, 
      0x8b04901a, 0x60d30c10, 0x03a07a0b, 0x00000014, 
      0x8b04901a, 0x60d30c10, 0x03a07a0b, 0x00000014, 
      0x8a04801a, 0x70d30c10, 0x03a07b0b, 0x00000014, 
      0x8a048019, 0x70d30c10, 0x03b07b0b, 0x00000014, 
      0x8904701a, 0x80d30c00, 0x03b07c0b, 0x00000014, 
      0x89047018, 0x80d30c00, 0x03c07c0b, 0x00000015, 
      0x88046019, 0x80d30c00, 0x03c07d0b, 0x00000015, 
      0x88045018, 0x90d30c00, 0x03d07d0b, 0x00000015, 
      0x87045019, 0x90d30bf0, 0x03d07e0b, 0x00000015, 
      0x87045018, 0x90d30bf0, 0x03e07e0b, 0x00000015, 
      0x86044018, 0xa0d30bf0, 0x03e07f0b, 0x00000015, 
      0x86044018, 0xa0d30be0, 0x03e07f0b, 0x00000016, 
      0x85043018, 0xa0d30be0, 0x03f0800b, 0x00000016, 
      0x85043017, 0xb0d30be0, 0x03f0800b, 0x00000016, 
      0x84043017, 0xb0d30bd0, 0x0400810b, 0x00000016, 
      0x84042016, 0xc0d30bd0, 0x0400820b, 0x00000016, 
      0x83042016, 0xc0d30bd0, 0x0410820b, 0x00000016, 
      0x83041016, 0xc0d30bc0, 0x0410830b, 0x00000017, 
      0x82040016, 0xd0d30bc0, 0x0420830b, 0x00000017, 
      0x81040016, 0xd0d30bc0, 0x0420840b, 0x00000017, 
      0x81040016, 0xd0d30bb0, 0x0430840b, 0x00000017, 
      0x8003f016, 0xe0d30bb0, 0x0430850b, 0x00000017, 
      0x8003f016, 0xe0d30ba0, 0x0430850b, 0x00000018, 
      0x7f03e016, 0xe0d30ba0, 0x0440860b, 0x00000018, 
      0x7f03e015, 0xf0d30ba0, 0x0440860b, 0x00000018, 
      0x7e03e015, 0xf0d30b90, 0x0450870b, 0x00000018, 
      0x7e03d016, 0xf0d30b90, 0x0450870b, 0x00000018, 
      0x7d03c014, 0x00d30b90, 0x0460880c, 0x00000019, 
      0x7d03c015, 0x00d30b80, 0x0460880c, 0x00000019, 
      0x7c03c014, 0x00d30b80, 0x0470890c, 0x00000019, 
      0x7c03b015, 0x00d30b80, 0x0470890c, 0x00000019, 
      0x7b03b014, 0x10d30b70, 0x04808a0c, 0x00000019, 
      0x7b03a014, 0x10d30b70, 0x04808a0c, 0x0000001a, 
      0x7a03a014, 0x10d30b60, 0x04908b0c, 0x0000001a, 
      0x7a03a013, 0x20d30b60, 0x04908b0c, 0x0000001a, 
      0x79039014, 0x20d20b60, 0x04a08c0c, 0x0000001a, 
      0x79039014, 0x20d20b50, 0x04a08c0c, 0x0000001b, 
      0x78038013, 0x30d20b50, 0x04b08d0c, 0x0000001b, 
      0x78038014, 0x30d20b40, 0x04b08d0c, 0x0000001b, 
      0x77037014, 0x30d20b40, 0x04c08e0c, 0x0000001b, 
      0x76037014, 0x30d20b40, 0x04c08f0c, 0x0000001b, 
      0x76036013, 0x40d20b30, 0x04d08f0c, 0x0000001c, 
      0x75036013, 0x40d20b30, 0x04d0900c, 0x0000001c, 
      0x75036012, 0x40d20b30, 0x04e0900c, 0x0000001c, 
      0x74035013, 0x50d20b20, 0x04e0910c, 0x0000001c, 
      0x74034012, 0x50d20b20, 0x04f0910c, 0x0000001d, 
      0x73034013, 0x50d20b10, 0x04f0920c, 0x0000001d, 
      0x73034012, 0x50d20b10, 0x0500920c, 0x0000001d, 
      0x72033012, 0x60d20b00, 0x0500930c, 0x0000001e, 
      0x72033012, 0x60d10b00, 0x0510930c, 0x0000001e, 
      0x71033012, 0x60d10b00, 0x0510940c, 0x0000001e, 
      0x70032013, 0x70d10af0, 0x0520940c, 0x0000001e, 
      0x70032011, 0x70d10af0, 0x0520950c, 0x0000001f, 
      0x6f032012, 0x70d10ae0, 0x0530950c, 0x0000001f, 
      0x6f031012, 0x70d10ae0, 0x0530960c, 0x0000001f, 
      0x6e031011, 0x80d10ae0, 0x0540960c, 0x0000001f, 
      0x6e030011, 0x80d10ad0, 0x0540970c, 0x00000020, 
      0x6d030011, 0x80d10ad0, 0x0550970c, 0x00000020, 
      0x6d030011, 0x80d10ac0, 0x0550980c, 0x00000020, 
      0x6c02f011, 0x90d00ac0, 0x0560980c, 0x00000021, 
      0x6c02f011, 0x90d00ab0, 0x0560990c, 0x00000021, 
      0x6b02e012, 0x90d00ab0, 0x0570990c, 0x00000021, 
      0x6b02e011, 0x90d00ab0, 0x05709a0c, 0x00000021, 
      0x6a02e011, 0x90d00aa0, 0x05809a0c, 0x00000022, 
      0x6a02d011, 0xa0d00aa0, 0x05809a0c, 0x00000022, 
      0x6902d011, 0xa0d00a90, 0x05909b0c, 0x00000022, 
      0x6802d012, 0xa0cf0a90, 0x05909b0c, 0x00000023, 
      0x6802c012, 0xa0cf0a80, 0x05a09c0c, 0x00000023, 
      0x6702c012, 0xb0cf0a80, 0x05a09c0c, 0x00000023, 
      0x6602b011, 0xb0cf0a80, 0x05b09d0c, 0x00000024, 
      0x6602c011, 0xb0cf0a70, 0x05b09d0c, 0x00000024, 
      0x6602b010, 0xb0cf0a70, 0x05c09e0c, 0x00000024, 
      0x6502b011, 0xb0cf0a60, 0x05c09e0c, 0x00000025, 
      0x6502a010, 0xc0ce0a60, 0x05d09f0c, 0x00000025, 
      0x6502a011, 0xc0ce0a50, 0x05d09f0c, 0x00000025, 
      0x64029010, 0xc0ce0a50, 0x05e0a00c, 0x00000026, 
      0x64029011, 0xc0ce0a40, 0x05e0a00c, 0x00000026, 
      0x63029010, 0xc0ce0a40, 0x05f0a10c, 0x00000026, 
      0x62028010, 0xd0ce0a30, 0x0600a10c, 0x00000027, 
      0x62028010, 0xd0cd0a30, 0x0600a20c, 0x00000027, 
      0x61028010, 0xd0cd0a30, 0x0610a20c, 0x00000027,
   },
   { /* Y scale factor = 0.02, phases = 127, taps = 9. */
      0xa2060028, 0x30cd0cd0, 0x0270610a, 0x00000011, 
      0xa2060026, 0x30ce0cd0, 0x0280610a, 0x00000011, 
      0xa105f026, 0x40ce0cd0, 0x0280620a, 0x00000011, 
      0xa105e026, 0x40ce0cd0, 0x0280630a, 0x00000011, 
      0xa005e026, 0x40ce0cd0, 0x0290630a, 0x00000011, 
      0xa005e025, 0x50ce0cc0, 0x0290640a, 0x00000011, 
      0x9f05d026, 0x50cf0cc0, 0x0290640a, 0x00000011, 
      0x9f05c024, 0x60cf0cc0, 0x02a0650a, 0x00000011, 
      0x9e05c025, 0x60cf0cc0, 0x02a0650a, 0x00000011, 
      0x9d05b024, 0x70cf0cc0, 0x02b0660a, 0x00000011, 
      0x9d05c024, 0x70cf0cb0, 0x02b0660a, 0x00000011, 
      0x9d05b023, 0x80cf0cb0, 0x02b0670a, 0x00000011, 
      0x9c05a024, 0x80cf0cb0, 0x02c0670a, 0x00000011, 
      0x9c059022, 0x90d00cb0, 0x02c0680a, 0x00000011, 
      0x9b05a023, 0x90d00ca0, 0x02c0680a, 0x00000011, 
      0x9b059022, 0x90d00ca0, 0x02d0690a, 0x00000011, 
      0x9b058022, 0xa0d00ca0, 0x02d0690a, 0x00000011, 
      0x9a058021, 0xa0d00ca0, 0x02e06a0a, 0x00000011, 
      0x99057021, 0xb0d00ca0, 0x02e06b0a, 0x00000011, 
      0x9a057021, 0xb0d00c90, 0x02e06b0a, 0x00000011, 
      0x98056020, 0xc0d10c90, 0x02f06c0a, 0x00000011, 
      0x98056020, 0xc0d10c90, 0x02f06c0a, 0x00000011, 
      0x98055020, 0xc0d10c90, 0x02f06d0a, 0x00000011, 
      0x97055020, 0xd0d10c80, 0x03006d0a, 0x00000011, 
      0x9705401f, 0xd0d10c80, 0x03006e0a, 0x00000012, 
      0x9605301f, 0xe0d10c80, 0x03106e0a, 0x00000012, 
      0x9605301e, 0xe0d10c80, 0x03106f0a, 0x00000012, 
      0x9505301f, 0xf0d10c70, 0x03106f0a, 0x00000012, 
      0x9505101e, 0xf0d20c70, 0x0320700a, 0x00000012, 
      0x9405101f, 0xf0d20c70, 0x0320700a, 0x00000012, 
      0x9405001d, 0x00d20c70, 0x0330710b, 0x00000012, 
      0x9305101e, 0x00d20c60, 0x0330710b, 0x00000012, 
      0x9305001d, 0x10d20c60, 0x0330720b, 0x00000012, 
      0x9204f01d, 0x10d20c60, 0x0340730b, 0x00000012, 
      0x9204f01d, 0x10d20c60, 0x0340730b, 0x00000012, 
      0x9104e01d, 0x20d20c50, 0x0350740b, 0x00000012, 
      0x9104e01c, 0x20d20c50, 0x0350740b, 0x00000013, 
      0x9004d01c, 0x30d20c50, 0x0350750b, 0x00000013, 
      0x9004d01c, 0x30d20c40, 0x0360750b, 0x00000013, 
      0x8f04d01c, 0x30d20c40, 0x0360760b, 0x00000013, 
      0x8f04b01b, 0x40d30c40, 0x0370760b, 0x00000013, 
      0x8e04b01c, 0x40d30c30, 0x0370770b, 0x00000013, 
      0x8d04b01b, 0x50d30c30, 0x0380770b, 0x00000013, 
      0x8d04a01b, 0x50d30c30, 0x0380780b, 0x00000013, 
      0x8c04a01b, 0x50d30c30, 0x0380780b, 0x00000014, 
      0x8c04901a, 0x60d30c20, 0x0390790b, 0x00000014, 
      0x8b04a01a, 0x60d30c20, 0x0390790b, 0x00000014, 
      0x8b048019, 0x70d30c20, 0x03a07a0b, 0x00000014, 
      0x8a04801a, 0x70d30c10, 0x03a07b0b, 0x00000014, 
      0x8a048019, 0x70d30c10, 0x03b07b0b, 0x00000014, 
      0x89047019, 0x80d30c10, 0x03b07c0b, 0x00000014, 
      0x89047019, 0x80d30c00, 0x03c07c0b, 0x00000014, 
      0x88046019, 0x80d30c00, 0x03c07d0b, 0x00000015, 
      0x88046018, 0x90d30c00, 0x03c07d0b, 0x00000015, 
      0x87045019, 0x90d30bf0, 0x03d07e0b, 0x00000015, 
      0x87045018, 0xa0d30bf0, 0x03d07e0b, 0x00000015, 
      0x86044018, 0xa0d30bf0, 0x03e07f0b, 0x00000015, 
      0x86044018, 0xa0d30bf0, 0x03e07f0b, 0x00000015, 
      0x85043017, 0xb0d30be0, 0x03f0800b, 0x00000016, 
      0x85043017, 0xb0d30be0, 0x03f0800b, 0x00000016, 
      0x84042018, 0xb0d30bd0, 0x0400810b, 0x00000016, 
      0x84042017, 0xc0d30bd0, 0x0400810b, 0x00000016, 
      0x83041017, 0xc0d30bd0, 0x0410820b, 0x00000016, 
      0x83041017, 0xc0d30bc0, 0x0410830b, 0x00000016, 
      0x82041016, 0xd0d30bc0, 0x0410830b, 0x00000017, 
      0x81040016, 0xd0d30bc0, 0x0420840b, 0x00000017, 
      0x81040016, 0xd0d30bc0, 0x0420840b, 0x00000017, 
      0x8003f016, 0xe0d30bb0, 0x0430850b, 0x00000017, 
      0x8003f016, 0xe0d30bb0, 0x0430850b, 0x00000017, 
      0x7f03e016, 0xe0d30ba0, 0x0440860b, 0x00000018, 
      0x7f03e015, 0xf0d30ba0, 0x0440860b, 0x00000018, 
      0x7e03d015, 0xf0d30ba0, 0x0450870b, 0x00000018, 
      0x7e03d015, 0xf0d30ba0, 0x0450870b, 0x00000018, 
      0x7d03c015, 0x00d30b90, 0x0460880c, 0x00000018, 
      0x7d03c015, 0x00d30b80, 0x0460880c, 0x00000019, 
      0x7c03c014, 0x00d30b80, 0x0470890c, 0x00000019, 
      0x7c03b014, 0x10d30b80, 0x0470890c, 0x00000019, 
      0x7b03b014, 0x10d30b70, 0x04808a0c, 0x00000019, 
      0x7b03a015, 0x10d30b70, 0x04808a0c, 0x00000019, 
      0x7a039013, 0x20d30b70, 0x04908b0c, 0x0000001a, 
      0x7903a014, 0x20d30b60, 0x04908b0c, 0x0000001a, 
      0x79039013, 0x20d30b60, 0x04a08c0c, 0x0000001a, 
      0x78039014, 0x30d30b50, 0x04a08c0c, 0x0000001a, 
      0x78038013, 0x30d30b50, 0x04a08d0c, 0x0000001b, 
      0x77038013, 0x30d30b50, 0x04b08d0c, 0x0000001b, 
      0x77037014, 0x30d30b40, 0x04b08e0c, 0x0000001b, 
      0x76036013, 0x40d30b40, 0x04c08f0c, 0x0000001b, 
      0x76037013, 0x40d20b30, 0x04c08f0c, 0x0000001c, 
      0x75036013, 0x40d20b30, 0x04d0900c, 0x0000001c, 
      0x75035013, 0x50d20b30, 0x04d0900c, 0x0000001c, 
      0x74035013, 0x50d20b20, 0x04e0910c, 0x0000001c, 
      0x74035012, 0x50d20b20, 0x04e0910c, 0x0000001d, 
      0x73034013, 0x50d20b10, 0x04f0920c, 0x0000001d, 
      0x73034012, 0x60d20b10, 0x04f0920c, 0x0000001d, 
      0x72033012, 0x60d20b10, 0x0500930c, 0x0000001d, 
      0x71033013, 0x60d20b00, 0x0500930c, 0x0000001e, 
      0x70032012, 0x70d20b00, 0x0510940c, 0x0000001e, 
      0x70033012, 0x70d20af0, 0x0510940c, 0x0000001e, 
      0x70032011, 0x70d20af0, 0x0520950c, 0x0000001e, 
      0x6f032012, 0x70d10af0, 0x0520950c, 0x0000001f, 
      0x6f031011, 0x80d10ae0, 0x0530960c, 0x0000001f, 
      0x6e031012, 0x80d10ae0, 0x0530960c, 0x0000001f, 
      0x6e030011, 0x80d10ad0, 0x0540970c, 0x00000020, 
      0x6d030012, 0x80d10ad0, 0x0540970c, 0x00000020, 
      0x6d02f011, 0x90d10ac0, 0x0550980c, 0x00000020, 
      0x6c02f011, 0x90d10ac0, 0x0560980c, 0x00000020, 
      0x6b02e011, 0x90d10ac0, 0x0560990c, 0x00000021, 
      0x6b02e012, 0x90d00ab0, 0x0570990c, 0x00000021, 
      0x6b02d011, 0xa0d00ab0, 0x05709a0c, 0x00000021, 
      0x6a02d011, 0xa0d00aa0, 0x05809a0c, 0x00000022, 
      0x6902d011, 0xa0d00aa0, 0x05809b0c, 0x00000022, 
      0x6902d011, 0xa0d00a90, 0x05909b0c, 0x00000022, 
      0x6902d011, 0xa0d00a90, 0x05909b0c, 0x00000022, 
      0x6702c010, 0xb0d00a90, 0x05a09c0c, 0x00000023, 
      0x6802c011, 0xb0cf0a80, 0x05a09c0c, 0x00000023, 
      0x6702b011, 0xb0cf0a80, 0x05b09d0c, 0x00000023, 
      0x6702b011, 0xb0cf0a70, 0x05b09d0c, 0x00000024, 
      0x6602a010, 0xc0cf0a70, 0x05c09e0c, 0x00000024, 
      0x6502b011, 0xc0cf0a60, 0x05c09e0c, 0x00000024, 
      0x65029010, 0xc0cf0a60, 0x05d09f0c, 0x00000025, 
      0x6402a011, 0xc0cf0a50, 0x05d09f0c, 0x00000025, 
      0x64029011, 0xc0ce0a50, 0x05e0a00c, 0x00000025, 
      0x63029011, 0xd0ce0a40, 0x05e0a00c, 0x00000026, 
      0x63028010, 0xd0ce0a40, 0x05f0a10c, 0x00000026, 
      0x62028011, 0xd0ce0a40, 0x05f0a10c, 0x00000026, 
      0x61028010, 0xd0ce0a30, 0x0600a20c, 0x00000027, 
      0x61028011, 0xd0cd0a30, 0x0600a20c, 0x00000027,
   },
   { /* Y scale factor = 0.03, phases = 127, taps = 9. */
      0xa2060027, 0x30ce0ce0, 0x0270610a, 0x00000010, 
      0xa2060027, 0x30ce0ce0, 0x0270610a, 0x00000010, 
      0xa105f027, 0x40ce0cd0, 0x0280620a, 0x00000010, 
      0xa105f026, 0x40cf0cd0, 0x0280620a, 0x00000010, 
      0xa005e026, 0x50cf0cd0, 0x0280630a, 0x00000010, 
      0xa005e025, 0x50cf0cd0, 0x0290630a, 0x00000010, 
      0x9f05d024, 0x60cf0cd0, 0x0290640a, 0x00000011, 
      0x9f05c025, 0x60cf0cc0, 0x02a0640a, 0x00000011, 
      0x9e05c025, 0x60cf0cc0, 0x02a0650a, 0x00000011, 
      0x9e05b024, 0x70d00cc0, 0x02a0650a, 0x00000011, 
      0x9e05a023, 0x70d00cc0, 0x02b0660a, 0x00000011, 
      0x9d05a023, 0x80d00cb0, 0x02b0670a, 0x00000011, 
      0x9d05a023, 0x80d00cb0, 0x02b0670a, 0x00000011, 
      0x9c059022, 0x90d00cb0, 0x02c0680a, 0x00000011, 
      0x9c059022, 0x90d00cb0, 0x02c0680a, 0x00000011, 
      0x9b058022, 0xa0d00cb0, 0x02c0690a, 0x00000011, 
      0x9b058021, 0xa0d10ca0, 0x02d0690a, 0x00000011, 
      0x9a057022, 0xa0d10ca0, 0x02d06a0a, 0x00000011, 
      0x9a057020, 0xb0d10ca0, 0x02e06a0a, 0x00000011, 
      0x99056021, 0xb0d10ca0, 0x02e06b0a, 0x00000011, 
      0x99056020, 0xc0d10ca0, 0x02e06b0a, 0x00000011, 
      0x98055021, 0xc0d10c90, 0x02f06c0a, 0x00000011, 
      0x98055020, 0xd0d10c90, 0x02f06c0a, 0x00000011, 
      0x97054020, 0xd0d10c90, 0x03006d0a, 0x00000011, 
      0x9605301f, 0xe0d20c90, 0x03006e0a, 0x00000011, 
      0x9605401f, 0xe0d20c80, 0x03006e0a, 0x00000011, 
      0x9605301e, 0xe0d20c80, 0x03106f0a, 0x00000011, 
      0x9505201e, 0xf0d20c80, 0x03106f0a, 0x00000012, 
      0x9505201e, 0xf0d20c70, 0x0310700a, 0x00000012, 
      0x9405101e, 0x00d20c70, 0x0320700b, 0x00000012, 
      0x9405101d, 0x00d20c70, 0x0320710b, 0x00000012, 
      0x9305001e, 0x00d20c70, 0x0330710b, 0x00000012, 
      0x9305001d, 0x10d20c60, 0x0330720b, 0x00000012, 
      0x9204f01d, 0x10d30c60, 0x0340720b, 0x00000012, 
      0x9204e01c, 0x20d30c60, 0x0340730b, 0x00000012, 
      0x9104e01d, 0x20d30c60, 0x0340730b, 0x00000012, 
      0x9104d01c, 0x30d30c50, 0x0350740b, 0x00000012, 
      0x9004d01c, 0x30d30c50, 0x0350750b, 0x00000012, 
      0x9004c01b, 0x30d30c50, 0x0360750b, 0x00000013, 
      0x8f04c01b, 0x40d30c40, 0x0360760b, 0x00000013, 
      0x8e04c01c, 0x40d30c40, 0x0360760b, 0x00000013, 
      0x8e04b01a, 0x50d30c40, 0x0370770b, 0x00000013, 
      0x8d04b01b, 0x50d30c40, 0x0370770b, 0x00000013, 
      0x8d04a01b, 0x50d30c30, 0x0380780b, 0x00000013, 
      0x8c04a01b, 0x60d30c30, 0x0380780b, 0x00000013, 
      0x8c04901a, 0x60d30c30, 0x0390790b, 0x00000013, 
      0x8b04901a, 0x70d30c20, 0x0390790b, 0x00000014, 
      0x8b04801a, 0x70d30c20, 0x03907a0b, 0x00000014, 
      0x8a048019, 0x70d40c20, 0x03a07a0b, 0x00000014, 
      0x8a047019, 0x80d40c10, 0x03a07b0b, 0x00000014, 
      0x89047018, 0x80d40c10, 0x03b07c0b, 0x00000014, 
      0x89046019, 0x80d40c10, 0x03b07c0b, 0x00000014, 
      0x88046018, 0x90d40c00, 0x03c07d0b, 0x00000014, 
      0x88045018, 0x90d40c00, 0x03c07d0b, 0x00000015, 
      0x87044017, 0xa0d40c00, 0x03d07e0b, 0x00000015, 
      0x87044018, 0xa0d40bf0, 0x03d07e0b, 0x00000015, 
      0x86044018, 0xa0d40bf0, 0x03d07f0b, 0x00000015, 
      0x86043017, 0xb0d40bf0, 0x03e07f0b, 0x00000015, 
      0x85043018, 0xb0d40be0, 0x03e0800b, 0x00000015, 
      0x85043016, 0xb0d40be0, 0x03f0800b, 0x00000016, 
      0x84042016, 0xc0d40be0, 0x03f0810b, 0x00000016, 
      0x84042016, 0xc0d40bd0, 0x0400810b, 0x00000016, 
      0x83041017, 0xc0d40bd0, 0x0400820b, 0x00000016, 
      0x82041016, 0xd0d40bd0, 0x0410820b, 0x00000016, 
      0x82040017, 0xd0d40bc0, 0x0410830b, 0x00000016, 
      0x81040015, 0xd0d40bc0, 0x0420840b, 0x00000017, 
      0x8103f015, 0xe0d40bc0, 0x0420840b, 0x00000017, 
      0x8003f015, 0xe0d40bb0, 0x0430850b, 0x00000017, 
      0x8003e016, 0xe0d40bb0, 0x0430850b, 0x00000017, 
      0x7f03e015, 0xf0d40bb0, 0x0430860b, 0x00000017, 
      0x7f03d015, 0xf0d40ba0, 0x0440860b, 0x00000018, 
      0x7e03d015, 0xf0d40ba0, 0x0440870b, 0x00000018, 
      0x7e03c014, 0x00d40ba0, 0x0450870c, 0x00000018, 
      0x7d03c015, 0x00d40b90, 0x0450880c, 0x00000018, 
      0x7d03c014, 0x00d40b90, 0x0460880c, 0x00000018, 
      0x7c03b014, 0x10d40b80, 0x0460890c, 0x00000019, 
      0x7c03a014, 0x10d40b80, 0x0470890c, 0x00000019, 
      0x7b03a014, 0x10d40b80, 0x04708a0c, 0x00000019, 
      0x7a03a014, 0x20d40b70, 0x04808a0c, 0x00000019, 
      0x7a03a014, 0x20d30b70, 0x04808b0c, 0x00000019, 
      0x79039014, 0x20d30b70, 0x04908b0c, 0x0000001a, 
      0x79039013, 0x30d30b60, 0x04908c0c, 0x0000001a, 
      0x78038014, 0x30d30b60, 0x04a08c0c, 0x0000001a, 
      0x78038014, 0x30d30b50, 0x04a08d0c, 0x0000001a, 
      0x77037013, 0x40d30b50, 0x04b08d0c, 0x0000001b, 
      0x77037012, 0x40d30b50, 0x04b08e0c, 0x0000001b, 
      0x76037013, 0x40d30b40, 0x04c08e0c, 0x0000001b, 
      0x76036013, 0x40d30b40, 0x04c08f0c, 0x0000001b, 
      0x75035012, 0x50d30b30, 0x04d0900c, 0x0000001c, 
      0x75035012, 0x50d30b30, 0x04d0900c, 0x0000001c, 
      0x74034012, 0x50d30b30, 0x04e0910c, 0x0000001c, 
      0x73034013, 0x60d30b20, 0x04e0910c, 0x0000001c, 
      0x72033012, 0x60d30b20, 0x04f0920c, 0x0000001d, 
      0x72034012, 0x60d30b10, 0x04f0920c, 0x0000001d, 
      0x72033012, 0x60d20b10, 0x0500930c, 0x0000001d, 
      0x72033012, 0x70d20b00, 0x0500930c, 0x0000001d, 
      0x71032011, 0x70d20b00, 0x0510940c, 0x0000001e, 
      0x70032012, 0x70d20b00, 0x0510940c, 0x0000001e, 
      0x70031012, 0x70d20af0, 0x0520950c, 0x0000001e, 
      0x6f031012, 0x80d20af0, 0x0520950c, 0x0000001e, 
      0x6f030011, 0x80d20ae0, 0x0530960c, 0x0000001f, 
      0x6e030012, 0x80d20ae0, 0x0530960c, 0x0000001f, 
      0x6d02f011, 0x90d20ae0, 0x0540970c, 0x0000001f, 
      0x6d030011, 0x90d10ad0, 0x0540970c, 0x00000020, 
      0x6c02f011, 0x90d10ad0, 0x0550980c, 0x00000020, 
      0x6c02f012, 0x90d10ac0, 0x0550980c, 0x00000020, 
      0x6b02e011, 0xa0d10ac0, 0x0560990c, 0x00000020, 
      0x6b02e011, 0xa0d10ab0, 0x0560990c, 0x00000021, 
      0x6a02e010, 0xa0d10ab0, 0x05709a0c, 0x00000021, 
      0x6a02e011, 0xa0d10aa0, 0x05709a0c, 0x00000021, 
      0x6902d010, 0xa0d10aa0, 0x05809b0c, 0x00000022, 
      0x6902c011, 0xb0d00aa0, 0x05809b0c, 0x00000022, 
      0x6802c011, 0xb0d00a90, 0x05909c0c, 0x00000022, 
      0x6802c010, 0xb0d00a90, 0x05909c0c, 0x00000023, 
      0x6702b011, 0xb0d00a80, 0x05a09d0c, 0x00000023, 
      0x6702b010, 0xc0d00a80, 0x05a09d0c, 0x00000023, 
      0x6602b010, 0xc0d00a70, 0x05b09e0c, 0x00000023, 
      0x6502a011, 0xc0d00a70, 0x05b09e0c, 0x00000024, 
      0x6502a011, 0xc0cf0a70, 0x05c09e0c, 0x00000024, 
      0x6502a011, 0xc0cf0a60, 0x05c09f0c, 0x00000024, 
      0x64029010, 0xd0cf0a60, 0x05d09f0c, 0x00000025, 
      0x63029010, 0xd0cf0a50, 0x05e0a00c, 0x00000025, 
      0x63028011, 0xd0cf0a50, 0x05e0a00c, 0x00000025, 
      0x62028010, 0xd0cf0a40, 0x05f0a10c, 0x00000026, 
      0x62028011, 0xd0ce0a40, 0x05f0a10c, 0x00000026, 
      0x61027011, 0xe0ce0a30, 0x0600a20c, 0x00000026, 
      0x61027010, 0xe0ce0a30, 0x0600a20c, 0x00000027,
   },
   { /* Y scale factor = 0.04, phases = 127, taps = 9. */
      0xa2060026, 0x30cf0cf0, 0x0270600a, 0x00000010, 
      0xa2060026, 0x30cf0ce0, 0x0270610a, 0x00000010, 
      0xa205f026, 0x40cf0ce0, 0x0270610a, 0x00000010, 
      0xa105e026, 0x40cf0ce0, 0x0280620a, 0x00000010, 
      0xa105e024, 0x50cf0ce0, 0x0280630a, 0x00000010, 
      0xa005d025, 0x50d00ce0, 0x0280630a, 0x00000010, 
      0xa005c024, 0x60d00cd0, 0x0290640a, 0x00000010, 
      0x9f05c025, 0x60d00cd0, 0x0290640a, 0x00000010, 
      0x9f05c023, 0x70d00cd0, 0x0290650a, 0x00000010, 
      0x9e05b024, 0x70d00cd0, 0x02a0650a, 0x00000010, 
      0x9e05b023, 0x80d00cc0, 0x02a0660a, 0x00000010, 
      0x9d05a023, 0x80d10cc0, 0x02b0660a, 0x00000010, 
      0x9d059022, 0x90d10cc0, 0x02b0670a, 0x00000010, 
      0x9c059023, 0x90d10cc0, 0x02b0670a, 0x00000010, 
      0x9c058022, 0x90d10cc0, 0x02c0680a, 0x00000010, 
      0x9c058022, 0xa0d10cb0, 0x02c0680a, 0x00000010, 
      0x9b057022, 0xa0d10cb0, 0x02c0690a, 0x00000011, 
      0x9a057021, 0xb0d10cb0, 0x02d0690a, 0x00000011, 
      0x9a056020, 0xb0d20cb0, 0x02d06a0a, 0x00000011, 
      0x99055020, 0xc0d20ca0, 0x02e06b0a, 0x00000011, 
      0x99055020, 0xc0d20ca0, 0x02e06b0a, 0x00000011, 
      0x9805501f, 0xd0d20ca0, 0x02e06c0a, 0x00000011, 
      0x9805401f, 0xd0d20ca0, 0x02f06c0a, 0x00000011, 
      0x97054020, 0xd0d20c90, 0x02f06d0a, 0x00000011, 
      0x9705401f, 0xe0d20c90, 0x02f06d0a, 0x00000011, 
      0x9605301f, 0xe0d20c90, 0x03006e0a, 0x00000011, 
      0x9605201e, 0xf0d30c90, 0x03006e0a, 0x00000011, 
      0x9505201e, 0xf0d30c80, 0x03106f0a, 0x00000011, 
      0x9505101e, 0x00d30c80, 0x03106f0b, 0x00000011, 
      0x9405101e, 0x00d30c80, 0x0310700b, 0x00000011, 
      0x9405001d, 0x00d30c80, 0x0320710b, 0x00000011, 
      0x9305001d, 0x10d30c70, 0x0320710b, 0x00000012, 
      0x9304f01c, 0x10d30c70, 0x0330720b, 0x00000012, 
      0x9204f01c, 0x20d30c70, 0x0330720b, 0x00000012, 
      0x9204e01c, 0x20d30c60, 0x0340730b, 0x00000012, 
      0x9204e01c, 0x20d30c60, 0x0340730b, 0x00000012, 
      0x9104d01b, 0x30d40c60, 0x0340740b, 0x00000012, 
      0x9004d01b, 0x30d40c60, 0x0350740b, 0x00000012, 
      0x9004c01b, 0x40d40c50, 0x0350750b, 0x00000012, 
      0x8f04c01b, 0x40d40c50, 0x0360750b, 0x00000012, 
      0x8e04b01b, 0x50d40c50, 0x0360760b, 0x00000012, 
      0x8e04b01b, 0x50d40c40, 0x0360760b, 0x00000013, 
      0x8d04a01b, 0x50d40c40, 0x0370770b, 0x00000013, 
      0x8d04a019, 0x60d40c40, 0x0370780b, 0x00000013, 
      0x8c04901a, 0x60d40c40, 0x0380780b, 0x00000013, 
      0x8c049019, 0x70d40c30, 0x0380790b, 0x00000013, 
      0x8b04801a, 0x70d40c30, 0x0390790b, 0x00000013, 
      0x8b048019, 0x70d40c30, 0x03907a0b, 0x00000013, 
      0x8a048019, 0x80d40c20, 0x03907a0b, 0x00000014, 
      0x8a047018, 0x80d40c20, 0x03a07b0b, 0x00000014, 
      0x89047019, 0x80d40c20, 0x03a07b0b, 0x00000014, 
      0x89046018, 0x90d40c10, 0x03b07c0b, 0x00000014, 
      0x88046019, 0x90d40c10, 0x03b07c0b, 0x00000014, 
      0x88044017, 0xa0d50c10, 0x03c07d0b, 0x00000014, 
      0x87045018, 0xa0d50c00, 0x03c07d0b, 0x00000014, 
      0x87043017, 0xa0d50c00, 0x03d07e0b, 0x00000015, 
      0x86043017, 0xb0d50bf0, 0x03d07f0b, 0x00000015, 
      0x86043017, 0xb0d50bf0, 0x03d07f0b, 0x00000015, 
      0x85043016, 0xb0d50bf0, 0x03e0800b, 0x00000015, 
      0x84042017, 0xc0d50bf0, 0x03e0800b, 0x00000015, 
      0x84042016, 0xc0d50be0, 0x03f0810b, 0x00000015, 
      0x83041016, 0xd0d50be0, 0x03f0810b, 0x00000016, 
      0x82040016, 0xd0d50be0, 0x0400820b, 0x00000016, 
      0x82041016, 0xd0d50bd0, 0x0400820b, 0x00000016, 
      0x8203f015, 0xe0d50bd0, 0x0410830b, 0x00000016, 
      0x8103f016, 0xe0d50bd0, 0x0410830b, 0x00000016, 
      0x8103f015, 0xe0d50bc0, 0x0420840b, 0x00000016, 
      0x8003e015, 0xf0d50bc0, 0x0420840b, 0x00000017, 
      0x8003d015, 0xf0d50bb0, 0x0430850b, 0x00000017, 
      0x7f03d015, 0xf0d50bb0, 0x0430860b, 0x00000017, 
      0x7f03d014, 0x00d50bb0, 0x0430860c, 0x00000017, 
      0x7e03d014, 0x00d50ba0, 0x0440870c, 0x00000017, 
      0x7d03c015, 0x00d50ba0, 0x0440870c, 0x00000018, 
      0x7c03b014, 0x10d50ba0, 0x0450880c, 0x00000018, 
      0x7c03c015, 0x10d40b90, 0x0450880c, 0x00000018, 
      0x7c03b014, 0x10d40b90, 0x0460890c, 0x00000018, 
      0x7c03b014, 0x20d40b80, 0x0460890c, 0x00000018, 
      0x7b03a013, 0x20d40b80, 0x04708a0c, 0x00000019, 
      0x7a03a014, 0x20d40b80, 0x04708a0c, 0x00000019, 
      0x7a039013, 0x30d40b70, 0x04808b0c, 0x00000019, 
      0x79039014, 0x30d40b70, 0x04808b0c, 0x00000019, 
      0x78038013, 0x30d40b70, 0x04908c0c, 0x0000001a, 
      0x78038013, 0x40d40b60, 0x04908c0c, 0x0000001a, 
      0x78037012, 0x40d40b60, 0x04a08d0c, 0x0000001a, 
      0x78037013, 0x40d40b50, 0x04a08d0c, 0x0000001a, 
      0x76037013, 0x40d40b50, 0x04b08e0c, 0x0000001a, 
      0x76036012, 0x50d40b50, 0x04b08e0c, 0x0000001b, 
      0x75036012, 0x50d40b40, 0x04c08f0c, 0x0000001b, 
      0x75035012, 0x50d40b40, 0x04c0900c, 0x0000001b, 
      0x74035012, 0x60d40b30, 0x04d0900c, 0x0000001b, 
      0x73034012, 0x60d40b30, 0x04d0910c, 0x0000001c, 
      0x74034012, 0x60d30b20, 0x04e0910c, 0x0000001c, 
      0x73034012, 0x60d30b20, 0x04e0920c, 0x0000001c, 
      0x72033012, 0x70d30b20, 0x04f0920c, 0x0000001c, 
      0x72033011, 0x70d30b10, 0x04f0930c, 0x0000001d, 
      0x71032012, 0x70d30b10, 0x0500930c, 0x0000001d, 
      0x71032011, 0x80d30b00, 0x0500940c, 0x0000001d, 
      0x70031011, 0x80d30b00, 0x0510940c, 0x0000001e, 
      0x6f031011, 0x80d30b00, 0x0510950c, 0x0000001e, 
      0x6f031011, 0x80d30af0, 0x0520950c, 0x0000001e, 
      0x6e030011, 0x90d30af0, 0x0520960c, 0x0000001e, 
      0x6e030011, 0x90d20ae0, 0x0530960c, 0x0000001f, 
      0x6d02f012, 0x90d20ae0, 0x0530970c, 0x0000001f, 
      0x6d030011, 0x90d20ad0, 0x0540970c, 0x0000001f, 
      0x6c02f011, 0xa0d20ad0, 0x0540980c, 0x0000001f, 
      0x6c02e010, 0xa0d20ad0, 0x0550980c, 0x00000020, 
      0x6b02e011, 0xa0d20ac0, 0x0550990c, 0x00000020, 
      0x6b02e010, 0xa0d20ac0, 0x0560990c, 0x00000020, 
      0x6a02d010, 0xb0d20ab0, 0x05609a0c, 0x00000021, 
      0x6902d011, 0xb0d10ab0, 0x05709a0c, 0x00000021, 
      0x6902d011, 0xb0d10aa0, 0x05709b0c, 0x00000021, 
      0x6802c011, 0xb0d10aa0, 0x05809b0c, 0x00000022, 
      0x6802c010, 0xc0d10a90, 0x05809c0c, 0x00000022, 
      0x6702b011, 0xc0d10a90, 0x05909c0c, 0x00000022, 
      0x6702a010, 0xc0d10a90, 0x05a09d0c, 0x00000022, 
      0x6602b010, 0xc0d10a80, 0x05a09d0c, 0x00000023, 
      0x6602a010, 0xc0d00a80, 0x05b09e0c, 0x00000023, 
      0x6502a011, 0xd0d00a70, 0x05b09e0c, 0x00000023, 
      0x64029010, 0xd0d00a70, 0x05c09f0c, 0x00000024, 
      0x64029011, 0xd0d00a60, 0x05c09f0c, 0x00000024, 
      0x64028010, 0xd0d00a60, 0x05d0a00c, 0x00000024, 
      0x63028010, 0xe0d00a50, 0x05d0a00c, 0x00000025, 
      0x62028010, 0xe0cf0a50, 0x05e0a10c, 0x00000025, 
      0x62028011, 0xe0cf0a40, 0x05e0a10c, 0x00000025, 
      0x61027010, 0xe0cf0a40, 0x05f0a20c, 0x00000026, 
      0x61027011, 0xe0cf0a30, 0x05f0a20c, 0x00000026, 
      0x60027010, 0xf0cf0a30, 0x0600a20c, 0x00000026,
   },
   { /* Y scale factor = 0.05, phases = 127, taps = 9. */
      0xa305f026, 0x30d00cf0, 0x0260600a, 0x00000010, 
      0xa205f026, 0x40d00cf0, 0x0260600a, 0x00000010, 
      0xa205e025, 0x40d00cf0, 0x0270610a, 0x00000010, 
      0xa105e024, 0x50d00cf0, 0x0270620a, 0x00000010, 
      0xa105d024, 0x50d00cf0, 0x0280620a, 0x00000010, 
      0xa005c024, 0x60d10ce0, 0x0280630a, 0x00000010, 
      0xa005c024, 0x60d10ce0, 0x0280630a, 0x00000010, 
      0x9f05b023, 0x70d10ce0, 0x0290640a, 0x00000010, 
      0x9f05b023, 0x70d10ce0, 0x0290640a, 0x00000010, 
      0x9e05b023, 0x70d10ce0, 0x0290650a, 0x00000010, 
      0x9e05a023, 0x80d10cd0, 0x02a0650a, 0x00000010, 
      0x9d05a022, 0x80d20cd0, 0x02a0660a, 0x00000010, 
      0x9d059022, 0x90d20cd0, 0x02a0660a, 0x00000010, 
      0x9c059021, 0x90d20cd0, 0x02b0670a, 0x00000010, 
      0x9c058022, 0xa0d20cc0, 0x02b0670a, 0x00000010, 
      0x9b058022, 0xa0d20cc0, 0x02b0680a, 0x00000010, 
      0x9b057020, 0xb0d20cc0, 0x02c0690a, 0x00000010, 
      0x9a057021, 0xb0d20cc0, 0x02c0690a, 0x00000010, 
      0x99055020, 0xc0d30cc0, 0x02d06a0a, 0x00000010, 
      0x99056020, 0xc0d30cb0, 0x02d06a0a, 0x00000010, 
      0x99055020, 0xc0d30cb0, 0x02d06b0a, 0x00000010, 
      0x98054020, 0xd0d30cb0, 0x02e06b0a, 0x00000010, 
      0x9805401f, 0xd0d30cb0, 0x02e06c0a, 0x00000010, 
      0x9705301f, 0xe0d30ca0, 0x02f06c0a, 0x00000011, 
      0x9705301e, 0xe0d30ca0, 0x02f06d0a, 0x00000011, 
      0x9605201f, 0xf0d30ca0, 0x02f06d0a, 0x00000011, 
      0x9605201d, 0xf0d40c90, 0x03006e0a, 0x00000011, 
      0x9505101d, 0x00d40c90, 0x03006f0b, 0x00000011, 
      0x9505001d, 0x00d40c90, 0x03106f0b, 0x00000011, 
      0x9405001d, 0x00d40c90, 0x0310700b, 0x00000011, 
      0x9405001d, 0x10d40c80, 0x0310700b, 0x00000011, 
      0x9304f01d, 0x10d40c80, 0x0320710b, 0x00000011, 
      0x9304f01c, 0x20d40c80, 0x0320710b, 0x00000011, 
      0x9204e01c, 0x20d40c80, 0x0330720b, 0x00000011, 
      0x9204e01c, 0x30d40c70, 0x0330720b, 0x00000011, 
      0x9104d01c, 0x30d40c70, 0x0330730b, 0x00000012, 
      0x9104c01b, 0x30d50c70, 0x0340730b, 0x00000012, 
      0x9004c01b, 0x40d50c60, 0x0340740b, 0x00000012, 
      0x9004b01a, 0x40d50c60, 0x0350750b, 0x00000012, 
      0x8f04b01a, 0x50d50c60, 0x0350750b, 0x00000012, 
      0x8e04b01b, 0x50d50c50, 0x0350760b, 0x00000012, 
      0x8e04a01b, 0x50d50c50, 0x0360760b, 0x00000012, 
      0x8d04a01a, 0x60d50c50, 0x0360770b, 0x00000012, 
      0x8d04901a, 0x60d50c50, 0x0370770b, 0x00000012, 
      0x8c049019, 0x70d50c40, 0x0370780b, 0x00000013, 
      0x8c048019, 0x70d50c40, 0x0380780b, 0x00000013, 
      0x8b048019, 0x70d50c40, 0x0380790b, 0x00000013, 
      0x8b048019, 0x80d50c30, 0x0380790b, 0x00000013, 
      0x8a047019, 0x80d50c30, 0x03907a0b, 0x00000013, 
      0x8a046018, 0x90d50c30, 0x03907b0b, 0x00000013, 
      0x8a046018, 0x90d50c20, 0x03a07b0b, 0x00000013, 
      0x89045018, 0x90d50c20, 0x03a07c0b, 0x00000014, 
      0x88045017, 0xa0d50c20, 0x03b07c0b, 0x00000014, 
      0x88044017, 0xa0d60c10, 0x03b07d0b, 0x00000014, 
      0x87043017, 0xb0d60c10, 0x03c07d0b, 0x00000014, 
      0x86043017, 0xb0d60c10, 0x03c07e0b, 0x00000014, 
      0x86043017, 0xb0d60c10, 0x03c07e0b, 0x00000014, 
      0x85042017, 0xc0d60c00, 0x03d07f0b, 0x00000014, 
      0x85042016, 0xc0d60c00, 0x03d07f0b, 0x00000015, 
      0x84042016, 0xc0d60bf0, 0x03e0800b, 0x00000015, 
      0x83041016, 0xd0d60bf0, 0x03e0810b, 0x00000015, 
      0x83041015, 0xd0d60bf0, 0x03f0810b, 0x00000015, 
      0x83040015, 0xe0d60be0, 0x03f0820b, 0x00000015, 
      0x82040015, 0xe0d60be0, 0x0400820b, 0x00000015, 
      0x8103f015, 0xe0d60be0, 0x0400830b, 0x00000016, 
      0x8103e015, 0xf0d60bd0, 0x0410830b, 0x00000016, 
      0x8103e014, 0xf0d60bd0, 0x0410840b, 0x00000016, 
      0x8003e015, 0xf0d60bc0, 0x0420840b, 0x00000016, 
      0x7f03d015, 0x00d60bc0, 0x0420850c, 0x00000016, 
      0x7f03d014, 0x00d60bc0, 0x0420850c, 0x00000017, 
      0x7e03c015, 0x00d60bb0, 0x0430860c, 0x00000017, 
      0x7e03c014, 0x10d60bb0, 0x0430860c, 0x00000017, 
      0x7d03c013, 0x10d60bb0, 0x0440870c, 0x00000017, 
      0x7d03b014, 0x10d60ba0, 0x0440880c, 0x00000017, 
      0x7c03b013, 0x20d50ba0, 0x0450880c, 0x00000018, 
      0x7c03a014, 0x20d50b90, 0x0450890c, 0x00000018, 
      0x7b03a014, 0x20d50b90, 0x0460890c, 0x00000018, 
      0x7b039013, 0x30d50b90, 0x04608a0c, 0x00000018, 
      0x7a039014, 0x30d50b80, 0x04708a0c, 0x00000018, 
      0x79039013, 0x30d50b80, 0x04708b0c, 0x00000019, 
      0x79038013, 0x40d50b70, 0x04808b0c, 0x00000019, 
      0x78038013, 0x40d50b70, 0x04808c0c, 0x00000019, 
      0x78037013, 0x40d50b70, 0x04908c0c, 0x00000019, 
      0x77037012, 0x50d50b60, 0x04908d0c, 0x0000001a, 
      0x77036012, 0x50d50b60, 0x04a08d0c, 0x0000001a, 
      0x76036013, 0x50d50b50, 0x04a08e0c, 0x0000001a, 
      0x76035013, 0x50d50b50, 0x04b08e0c, 0x0000001a, 
      0x75035012, 0x60d50b50, 0x04b08f0c, 0x0000001a, 
      0x75034011, 0x60d50b40, 0x04c0900c, 0x0000001b, 
      0x74034012, 0x60d50b40, 0x04c0900c, 0x0000001b, 
      0x73034011, 0x70d50b30, 0x04d0910c, 0x0000001b, 
      0x73034012, 0x70d40b30, 0x04d0910c, 0x0000001b, 
      0x72033011, 0x70d40b30, 0x04e0920c, 0x0000001c, 
      0x72033011, 0x80d40b20, 0x04e0920c, 0x0000001c, 
      0x71032011, 0x80d40b20, 0x04f0930c, 0x0000001c, 
      0x71032011, 0x80d40b10, 0x04f0930c, 0x0000001d, 
      0x70031011, 0x80d40b10, 0x0500940c, 0x0000001d, 
      0x70031011, 0x90d40b00, 0x0500940c, 0x0000001d, 
      0x6f031010, 0x90d40b00, 0x0510950c, 0x0000001d, 
      0x6f030010, 0x90d40b00, 0x0510950c, 0x0000001e, 
      0x6e030010, 0x90d40af0, 0x0520960c, 0x0000001e, 
      0x6d030011, 0xa0d30af0, 0x0520960c, 0x0000001e, 
      0x6d02f011, 0xa0d30ae0, 0x0530970c, 0x0000001e, 
      0x6c02f011, 0xa0d30ae0, 0x0530970c, 0x0000001f, 
      0x6c02e010, 0xb0d30ad0, 0x0540980c, 0x0000001f, 
      0x6b02e011, 0xb0d30ad0, 0x0540980c, 0x0000001f, 
      0x6b02d010, 0xb0d30ac0, 0x0550990c, 0x00000020, 
      0x6a02d011, 0xb0d30ac0, 0x0550990c, 0x00000020, 
      0x6902c010, 0xc0d30ac0, 0x05609a0c, 0x00000020, 
      0x6902d011, 0xc0d20ab0, 0x05609a0c, 0x00000020, 
      0x6902b010, 0xc0d20ab0, 0x05709b0c, 0x00000021, 
      0x6802c011, 0xc0d20aa0, 0x05709b0c, 0x00000021, 
      0x6702b011, 0xc0d20aa0, 0x05809c0c, 0x00000021, 
      0x6702a010, 0xd0d20a90, 0x05909c0c, 0x00000022, 
      0x6602a010, 0xd0d20a90, 0x05909d0c, 0x00000022, 
      0x6602a010, 0xd0d20a80, 0x05a09d0c, 0x00000022, 
      0x6502a010, 0xd0d10a80, 0x05a09e0c, 0x00000023, 
      0x65029010, 0xe0d10a70, 0x05b09e0c, 0x00000023, 
      0x64029010, 0xe0d10a70, 0x05b09f0c, 0x00000023, 
      0x6402800f, 0xe0d10a70, 0x05c09f0c, 0x00000024, 
      0x63028010, 0xe0d10a60, 0x05c0a00c, 0x00000024, 
      0x6302800f, 0xe0d10a60, 0x05d0a00c, 0x00000024, 
      0x62028010, 0xf0d00a50, 0x05d0a10c, 0x00000024, 
      0x6202700f, 0xf0d00a50, 0x05e0a10c, 0x00000025, 
      0x61027010, 0xf0d00a40, 0x05e0a20c, 0x00000025, 
      0x60027010, 0xf0d00a40, 0x05f0a20c, 0x00000025, 
      0x60026010, 0xf0d00a30, 0x05f0a30c, 0x00000026,
   },
   { /* Y scale factor = 0.06, phases = 127, taps = 9. */
      0xa305f025, 0x30d10d10, 0x02605f0a, 0x0000000f, 
      0xa305e025, 0x40d10d00, 0x0260600a, 0x0000000f, 
      0xa305e025, 0x40d10d00, 0x0260600a, 0x0000000f, 
      0xa205d024, 0x50d10d00, 0x0270610a, 0x0000000f, 
      0xa105d023, 0x50d20d00, 0x0270620a, 0x0000000f, 
      0xa105c023, 0x60d20d00, 0x0270620a, 0x0000000f, 
      0xa005c023, 0x60d20cf0, 0x0280630a, 0x0000000f, 
      0xa005b023, 0x70d20cf0, 0x0280630a, 0x0000000f, 
      0x9f05b023, 0x70d20cf0, 0x0280640a, 0x0000000f, 
      0x9f05a022, 0x80d20cf0, 0x0290640a, 0x0000000f, 
      0x9e05a022, 0x80d30ce0, 0x0290650a, 0x0000000f, 
      0x9e059022, 0x90d30ce0, 0x0290650a, 0x0000000f, 
      0x9d058022, 0x90d30ce0, 0x02a0660a, 0x0000000f, 
      0x9d057021, 0xa0d30ce0, 0x02a0660a, 0x00000010, 
      0x9c057021, 0xa0d30ce0, 0x02a0670a, 0x00000010, 
      0x9b057020, 0xb0d30cd0, 0x02b0680a, 0x00000010, 
      0x9b056021, 0xb0d30cd0, 0x02b0680a, 0x00000010, 
      0x9a05501f, 0xc0d40cd0, 0x02c0690a, 0x00000010, 
      0x9a05501f, 0xc0d40cd0, 0x02c0690a, 0x00000010, 
      0x99055020, 0xc0d40cc0, 0x02c06a0a, 0x00000010, 
      0x9905401f, 0xd0d40cc0, 0x02d06a0a, 0x00000010, 
      0x9805401f, 0xd0d40cc0, 0x02d06b0a, 0x00000010, 
      0x9805301f, 0xe0d40cc0, 0x02d06b0a, 0x00000010, 
      0x9705301f, 0xe0d40cb0, 0x02e06c0a, 0x00000010, 
      0x9705201e, 0xf0d50cb0, 0x02e06c0a, 0x00000010, 
      0x9605201d, 0xf0d50cb0, 0x02f06d0a, 0x00000010, 
      0x9605101d, 0x00d50ca0, 0x02f06e0b, 0x00000010, 
      0x9605101d, 0x00d50ca0, 0x02f06e0b, 0x00000010, 
      0x9505001d, 0x00d50ca0, 0x03006f0b, 0x00000010, 
      0x9405001c, 0x10d50ca0, 0x03006f0b, 0x00000011, 
      0x9404f01c, 0x10d50c90, 0x0310700b, 0x00000011, 
      0x9304f01c, 0x20d50c90, 0x0310700b, 0x00000011, 
      0x9304e01c, 0x20d50c90, 0x0310710b, 0x00000011, 
      0x9204e01b, 0x30d60c80, 0x0320710b, 0x00000011, 
      0x9204d01b, 0x30d60c80, 0x0320720b, 0x00000011, 
      0x9104c01a, 0x40d60c80, 0x0330730b, 0x00000011, 
      0x9104c01a, 0x40d60c80, 0x0330730b, 0x00000011, 
      0x9004c01a, 0x40d60c70, 0x0340740b, 0x00000011, 
      0x9004b01a, 0x50d60c70, 0x0340740b, 0x00000011, 
      0x8f04b019, 0x50d60c70, 0x0340750b, 0x00000012, 
      0x8e04a01a, 0x60d60c60, 0x0350750b, 0x00000012, 
      0x8e04a019, 0x60d60c60, 0x0350760b, 0x00000012, 
      0x8d04901a, 0x60d60c60, 0x0360760b, 0x00000012, 
      0x8d049019, 0x70d60c50, 0x0360770b, 0x00000012, 
      0x8c049019, 0x70d60c50, 0x0360780b, 0x00000012, 
      0x8c048018, 0x80d60c50, 0x0370780b, 0x00000012, 
      0x8b048019, 0x80d60c40, 0x0370790b, 0x00000012, 
      0x8b047018, 0x80d70c40, 0x0380790b, 0x00000012, 
      0x8a046017, 0x90d70c40, 0x03807a0b, 0x00000013, 
      0x8a045017, 0x90d70c40, 0x03907a0b, 0x00000013, 
      0x89045017, 0xa0d70c30, 0x03907b0b, 0x00000013, 
      0x89044017, 0xa0d70c30, 0x03a07b0b, 0x00000013, 
      0x88044017, 0xa0d70c30, 0x03a07c0b, 0x00000013, 
      0x88044017, 0xb0d70c20, 0x03a07c0b, 0x00000013, 
      0x87043017, 0xb0d70c20, 0x03b07d0b, 0x00000013, 
      0x86043016, 0xc0d70c10, 0x03b07e0b, 0x00000014, 
      0x86042016, 0xc0d70c10, 0x03c07e0b, 0x00000014, 
      0x85042016, 0xc0d70c10, 0x03c07f0b, 0x00000014, 
      0x85041016, 0xd0d70c00, 0x03d07f0b, 0x00000014, 
      0x84041016, 0xd0d70c00, 0x03d0800b, 0x00000014, 
      0x84040015, 0xe0d70c00, 0x03e0800b, 0x00000014, 
      0x83040015, 0xe0d70bf0, 0x03e0810b, 0x00000015, 
      0x8303f015, 0xe0d70bf0, 0x03f0810b, 0x00000015, 
      0x8203f014, 0xf0d70bf0, 0x03f0820b, 0x00000015, 
      0x8103f015, 0xf0d70be0, 0x03f0830b, 0x00000015, 
      0x8103e015, 0xf0d70be0, 0x0400830b, 0x00000015, 
      0x8003e014, 0x00d70be0, 0x0400840c, 0x00000015, 
      0x8003d014, 0x00d70bd0, 0x0410840c, 0x00000016, 
      0x7f03d014, 0x00d70bd0, 0x0410850c, 0x00000016, 
      0x7f03c014, 0x10d70bc0, 0x0420850c, 0x00000016, 
      0x7e03c014, 0x10d70bc0, 0x0420860c, 0x00000016, 
      0x7e03b014, 0x10d70bc0, 0x0430860c, 0x00000016, 
      0x7d03b013, 0x20d70bb0, 0x0430870c, 0x00000017, 
      0x7c03a014, 0x20d70bb0, 0x0440870c, 0x00000017, 
      0x7c03a013, 0x30d70ba0, 0x0440880c, 0x00000017, 
      0x7b039013, 0x30d70ba0, 0x0450890c, 0x00000017, 
      0x7b039013, 0x30d70ba0, 0x0450890c, 0x00000017, 
      0x7a038012, 0x40d70b90, 0x04608a0c, 0x00000018, 
      0x7a038012, 0x40d70b90, 0x04608a0c, 0x00000018, 
      0x79038012, 0x40d70b80, 0x04708b0c, 0x00000018, 
      0x79038013, 0x40d60b80, 0x04708b0c, 0x00000018, 
      0x78036012, 0x50d60b80, 0x04808c0c, 0x00000019, 
      0x78036013, 0x50d60b70, 0x04808c0c, 0x00000019, 
      0x77036012, 0x50d60b70, 0x04908d0c, 0x00000019, 
      0x77036012, 0x60d60b60, 0x04908d0c, 0x00000019, 
      0x76035012, 0x60d60b60, 0x04a08e0c, 0x00000019, 
      0x75035012, 0x60d60b60, 0x04a08e0c, 0x0000001a, 
      0x75034011, 0x70d60b50, 0x04b08f0c, 0x0000001a, 
      0x74034011, 0x70d60b50, 0x04b0900c, 0x0000001a, 
      0x74034011, 0x70d60b40, 0x04c0900c, 0x0000001a, 
      0x73033011, 0x80d60b30, 0x04c0910c, 0x0000001b, 
      0x72032011, 0x80d60b40, 0x04d0910c, 0x0000001b, 
      0x72032011, 0x80d60b30, 0x04d0920c, 0x0000001b, 
      0x71032011, 0x80d60b30, 0x04e0920c, 0x0000001b, 
      0x71031011, 0x90d50b20, 0x04e0930c, 0x0000001c, 
      0x70031011, 0x90d50b20, 0x04f0930c, 0x0000001c, 
      0x70031011, 0x90d50b10, 0x04f0940c, 0x0000001c, 
      0x6f030011, 0xa0d50b10, 0x0500940c, 0x0000001c, 
      0x6f030010, 0xa0d50b00, 0x0500950c, 0x0000001d, 
      0x6e02f011, 0xa0d50b00, 0x0510950c, 0x0000001d, 
      0x6e02f010, 0xa0d50b00, 0x0510960c, 0x0000001d, 
      0x6d02e010, 0xb0d50af0, 0x0520960c, 0x0000001e, 
      0x6c02e010, 0xb0d50af0, 0x0520970c, 0x0000001e, 
      0x6c02e011, 0xb0d40ae0, 0x0530970c, 0x0000001e, 
      0x6b02d011, 0xc0d40ae0, 0x0530980c, 0x0000001e, 
      0x6b02d010, 0xc0d40ad0, 0x0540980c, 0x0000001f, 
      0x6a02d010, 0xc0d40ad0, 0x0540990c, 0x0000001f, 
      0x6a02d010, 0xc0d40ac0, 0x0550990c, 0x0000001f, 
      0x6902c00f, 0xd0d40ac0, 0x05509a0c, 0x00000020, 
      0x6902b00f, 0xd0d40ac0, 0x05609a0c, 0x00000020, 
      0x6802c010, 0xd0d30ab0, 0x05609b0c, 0x00000020, 
      0x6802b010, 0xd0d30ab0, 0x05709b0c, 0x00000020, 
      0x6702a010, 0xe0d30aa0, 0x05709c0c, 0x00000021, 
      0x6602a00f, 0xe0d30aa0, 0x05809d0c, 0x00000021, 
      0x6602a010, 0xe0d30a90, 0x05809d0c, 0x00000021, 
      0x6502900f, 0xe0d30a90, 0x05909e0c, 0x00000022, 
      0x6502900f, 0xe0d30a80, 0x05a09e0c, 0x00000022, 
      0x6402900f, 0xf0d20a80, 0x05a09f0c, 0x00000022, 
      0x6402800f, 0xf0d20a70, 0x05b09f0c, 0x00000023, 
      0x6302800f, 0xf0d20a70, 0x05b0a00c, 0x00000023, 
      0x6302800f, 0xf0d20a60, 0x05c0a00c, 0x00000023, 
      0x6202700f, 0x00d20a50, 0x05c0a10d, 0x00000024, 
      0x6202600f, 0x00d20a50, 0x05d0a10d, 0x00000024, 
      0x6102700f, 0x00d10a50, 0x05d0a20d, 0x00000024, 
      0x60026010, 0x00d10a40, 0x05e0a20d, 0x00000025, 
      0x6002600f, 0x00d10a40, 0x05e0a30d, 0x00000025, 
      0x5f02600f, 0x10d10a30, 0x05f0a30d, 0x00000025,
   },
   { /* Y scale factor = 0.07, phases = 127, taps = 9. */
      0xa305e024, 0x40d20d20, 0x02505f0a, 0x0000000f, 
      0xa305e024, 0x40d20d20, 0x02505f0a, 0x0000000f, 
      0xa205e024, 0x50d20d10, 0x0250600a, 0x0000000f, 
      0xa205d023, 0x50d30d10, 0x0260600a, 0x0000000f, 
      0xa105c023, 0x60d30d10, 0x0260610a, 0x0000000f, 
      0xa105c022, 0x60d30d10, 0x0260620a, 0x0000000f, 
      0xa005b022, 0x70d30d10, 0x0270620a, 0x0000000f, 
      0xa005a023, 0x70d30d00, 0x0270630a, 0x0000000f, 
      0x9f05a021, 0x80d40d00, 0x0280630a, 0x0000000f, 
      0x9f059021, 0x80d40d00, 0x0280640a, 0x0000000f, 
      0x9e059021, 0x90d40d00, 0x0280640a, 0x0000000f, 
      0x9e058021, 0x90d40cf0, 0x0290650a, 0x0000000f, 
      0x9d058021, 0xa0d40cf0, 0x0290650a, 0x0000000f, 
      0x9d057021, 0xa0d40cf0, 0x0290660a, 0x0000000f, 
      0x9c05701f, 0xb0d50cf0, 0x02a0660a, 0x0000000f, 
      0x9c05601f, 0xb0d50cf0, 0x02a0670a, 0x0000000f, 
      0x9b05601f, 0xc0d50ce0, 0x02a0680a, 0x0000000f, 
      0x9b05501f, 0xc0d50ce0, 0x02b0680a, 0x0000000f, 
      0x9a05501f, 0xc0d50ce0, 0x02b0690a, 0x0000000f, 
      0x9a05401e, 0xd0d50ce0, 0x02c0690a, 0x0000000f, 
      0x9905401f, 0xd0d50cd0, 0x02c06a0a, 0x0000000f, 
      0x9905301e, 0xe0d60cd0, 0x02c06a0a, 0x0000000f, 
      0x9805201e, 0xe0d60cd0, 0x02d06b0a, 0x0000000f, 
      0x9805201d, 0xf0d60cc0, 0x02d06b0a, 0x00000010, 
      0x9705101e, 0xf0d60cc0, 0x02d06c0a, 0x00000010, 
      0x9605101c, 0x00d60cc0, 0x02e06d0b, 0x00000010, 
      0x9605001d, 0x00d60cc0, 0x02e06d0b, 0x00000010, 
      0x9505001c, 0x10d60cb0, 0x02f06e0b, 0x00000010, 
      0x9504f01d, 0x10d60cb0, 0x02f06e0b, 0x00000010, 
      0x9404f01b, 0x20d70cb0, 0x02f06f0b, 0x00000010, 
      0x9404e01c, 0x20d70ca0, 0x03006f0b, 0x00000010, 
      0x9304e01c, 0x20d70ca0, 0x0300700b, 0x00000010, 
      0x9304d01b, 0x30d70ca0, 0x0310700b, 0x00000010, 
      0x9204d01b, 0x30d70ca0, 0x0310710b, 0x00000010, 
      0x9204c01b, 0x40d70c90, 0x0310720b, 0x00000010, 
      0x9104c01a, 0x40d70c90, 0x0320720b, 0x00000011, 
      0x9004b01a, 0x50d70c90, 0x0320730b, 0x00000011, 
      0x9004b01a, 0x50d70c80, 0x0330730b, 0x00000011, 
      0x8f04b01a, 0x50d70c80, 0x0330740b, 0x00000011, 
      0x8f04a019, 0x60d70c80, 0x0340740b, 0x00000011, 
      0x8e04901a, 0x60d80c70, 0x0340750b, 0x00000011, 
      0x8e049019, 0x70d80c70, 0x0340750b, 0x00000011, 
      0x8d048019, 0x70d80c70, 0x0350760b, 0x00000011, 
      0x8d047018, 0x80d80c70, 0x0350770b, 0x00000011, 
      0x8c047018, 0x80d80c60, 0x0360770b, 0x00000012, 
      0x8c047017, 0x80d80c60, 0x0360780b, 0x00000012, 
      0x8b046017, 0x90d80c60, 0x0370780b, 0x00000012, 
      0x8b046017, 0x90d80c50, 0x0370790b, 0x00000012, 
      0x8a045018, 0xa0d80c50, 0x0370790b, 0x00000012, 
      0x89045017, 0xa0d80c50, 0x03807a0b, 0x00000012, 
      0x89045017, 0xa0d80c50, 0x03807a0b, 0x00000012, 
      0x88044017, 0xb0d80c40, 0x03907b0b, 0x00000012, 
      0x88043017, 0xb0d80c30, 0x03907c0b, 0x00000013, 
      0x87043016, 0xc0d80c30, 0x03a07c0b, 0x00000013, 
      0x87042016, 0xc0d80c30, 0x03a07d0b, 0x00000013, 
      0x87042016, 0xc0d80c20, 0x03b07d0b, 0x00000013, 
      0x86041016, 0xd0d80c20, 0x03b07e0b, 0x00000013, 
      0x86041016, 0xd0d80c20, 0x03b07e0b, 0x00000013, 
      0x85040015, 0xe0d80c10, 0x03c07f0b, 0x00000014, 
      0x84040015, 0xe0d80c10, 0x03c0800b, 0x00000014, 
      0x83040015, 0xe0d80c10, 0x03d0800b, 0x00000014, 
      0x8303f015, 0xf0d80c00, 0x03d0810b, 0x00000014, 
      0x8203f015, 0xf0d80c00, 0x03e0810b, 0x00000014, 
      0x8203e014, 0x00d80c00, 0x03e0820c, 0x00000014, 
      0x8103e014, 0x00d80bf0, 0x03f0820c, 0x00000015, 
      0x8103d014, 0x00d80bf0, 0x03f0830c, 0x00000015, 
      0x8003d014, 0x10d80be0, 0x0400830c, 0x00000015, 
      0x8003c014, 0x10d80be0, 0x0400840c, 0x00000015, 
      0x7f03c013, 0x10d80be0, 0x0410850c, 0x00000015, 
      0x7e03c014, 0x20d80bd0, 0x0410850c, 0x00000015, 
      0x7e03b013, 0x20d80bd0, 0x0410860c, 0x00000016, 
      0x7d03b014, 0x20d80bc0, 0x0420860c, 0x00000016, 
      0x7d03a013, 0x30d80bc0, 0x0420870c, 0x00000016, 
      0x7c03a013, 0x30d80bc0, 0x0430870c, 0x00000016, 
      0x7c03a013, 0x30d80bb0, 0x0430880c, 0x00000016, 
      0x7b039012, 0x40d80bb0, 0x0440880c, 0x00000017, 
      0x7a039013, 0x40d80ba0, 0x0440890c, 0x00000017, 
      0x7a038012, 0x50d80ba0, 0x0450890c, 0x00000017, 
      0x79037013, 0x50d80ba0, 0x04508a0c, 0x00000017, 
      0x79037012, 0x50d80b90, 0x04608b0c, 0x00000017, 
      0x78037011, 0x60d80b90, 0x04608b0c, 0x00000018, 
      0x78036011, 0x60d80b80, 0x04708c0c, 0x00000018, 
      0x77036012, 0x60d80b80, 0x04708c0c, 0x00000018, 
      0x76035011, 0x70d80b80, 0x04808d0c, 0x00000018, 
      0x76035011, 0x70d80b70, 0x04808d0c, 0x00000019, 
      0x75034011, 0x70d80b70, 0x04908e0c, 0x00000019, 
      0x75034012, 0x70d80b60, 0x04908e0c, 0x00000019, 
      0x74034011, 0x80d70b60, 0x04a08f0c, 0x00000019, 
      0x74034011, 0x80d70b50, 0x04a08f0c, 0x0000001a, 
      0x73033011, 0x80d70b50, 0x04b0900c, 0x0000001a, 
      0x73032010, 0x90d70b50, 0x04b0910c, 0x0000001a, 
      0x72032011, 0x90d70b40, 0x04c0910c, 0x0000001a, 
      0x72031011, 0x90d70b40, 0x04c0920c, 0x0000001a, 
      0x71031010, 0xa0d70b30, 0x04d0920c, 0x0000001b, 
      0x70031010, 0xa0d70b30, 0x04d0930c, 0x0000001b, 
      0x70030011, 0xa0d70b20, 0x04e0930c, 0x0000001b, 
      0x6f030010, 0xa0d70b20, 0x04e0940c, 0x0000001c, 
      0x6f02f00f, 0xb0d70b20, 0x04f0940c, 0x0000001c, 
      0x6e030010, 0xb0d60b10, 0x04f0950c, 0x0000001c, 
      0x6e02f010, 0xb0d60b10, 0x0500950c, 0x0000001c, 
      0x6d02e010, 0xc0d60b00, 0x0500960c, 0x0000001d, 
      0x6d02e00f, 0xc0d60b00, 0x0510960c, 0x0000001d, 
      0x6c02e010, 0xc0d60af0, 0x0510970c, 0x0000001d, 
      0x6b02d010, 0xc0d60af0, 0x0520980c, 0x0000001d, 
      0x6b02d00f, 0xd0d60ae0, 0x0520980c, 0x0000001e, 
      0x6a02c00f, 0xd0d60ae0, 0x0530990c, 0x0000001e, 
      0x6a02c010, 0xd0d50ad0, 0x0540990c, 0x0000001e, 
      0x6902b00f, 0xe0d50ad0, 0x05409a0c, 0x0000001f, 
      0x6902b00f, 0xe0d50ac0, 0x05509a0c, 0x0000001f, 
      0x6802b00f, 0xe0d50ac0, 0x05509b0c, 0x0000001f, 
      0x6802a00f, 0xe0d50ac0, 0x05609b0c, 0x0000001f, 
      0x6602a00f, 0xf0d50ab0, 0x05609c0c, 0x00000020, 
      0x6602900f, 0xf0d50ab0, 0x05709c0c, 0x00000020, 
      0x6602a00f, 0xf0d40aa0, 0x05709d0c, 0x00000020, 
      0x6502900f, 0xf0d40aa0, 0x05809d0c, 0x00000021, 
      0x6502900f, 0xf0d40a90, 0x05809e0c, 0x00000021, 
      0x6402800f, 0x00d40a90, 0x05909e0d, 0x00000021, 
      0x6402800e, 0x00d40a80, 0x05909f0d, 0x00000022, 
      0x6302800e, 0x00d40a80, 0x05a09f0d, 0x00000022, 
      0x6302800f, 0x00d30a70, 0x05a0a00d, 0x00000022, 
      0x6202700f, 0x10d30a70, 0x05b0a00d, 0x00000022, 
      0x6202600e, 0x10d30a60, 0x05c0a10d, 0x00000023, 
      0x6102600f, 0x10d30a60, 0x05c0a10d, 0x00000023, 
      0x6002600f, 0x10d30a50, 0x05d0a20d, 0x00000023, 
      0x6002600f, 0x10d20a50, 0x05d0a20d, 0x00000024, 
      0x5f02500f, 0x20d20a40, 0x05e0a30d, 0x00000024, 
      0x5f02500f, 0x20d20a40, 0x05e0a30d, 0x00000024,
   },
   { /* Y scale factor = 0.08, phases = 127, taps = 9. */
      0xa405d024, 0x40d40d30, 0x02405e0a, 0x0000000e, 
      0xa305d023, 0x50d40d30, 0x02405f0a, 0x0000000e, 
      0xa305c023, 0x50d40d30, 0x02505f0a, 0x0000000e, 
      0xa205c022, 0x60d40d30, 0x0250600a, 0x0000000e, 
      0xa205b023, 0x60d40d30, 0x0250600a, 0x0000000e, 
      0xa105b021, 0x70d50d20, 0x0260610a, 0x0000000e, 
      0xa105a022, 0x70d50d20, 0x0260610a, 0x0000000e, 
      0xa005a021, 0x80d50d20, 0x0260620a, 0x0000000e, 
      0xa0059021, 0x80d50d20, 0x0270620a, 0x0000000e, 
      0x9f059021, 0x90d50d10, 0x0270630a, 0x0000000e, 
      0x9f058020, 0x90d60d10, 0x0270640a, 0x0000000e, 
      0x9e057020, 0xa0d60d10, 0x0280640a, 0x0000000e, 
      0x9d057020, 0xa0d60d10, 0x0280650a, 0x0000000e, 
      0x9d057020, 0xb0d60d00, 0x0280650a, 0x0000000e, 
      0x9c056020, 0xb0d60d00, 0x0290660a, 0x0000000e, 
      0x9c05601f, 0xc0d60d00, 0x0290660a, 0x0000000e, 
      0x9b05501f, 0xc0d60d00, 0x02a0670a, 0x0000000e, 
      0x9b05401e, 0xd0d70cf0, 0x02a0670a, 0x0000000f, 
      0x9a05401e, 0xd0d70cf0, 0x02a0680a, 0x0000000f, 
      0x9905301d, 0xe0d70cf0, 0x02b0690a, 0x0000000f, 
      0x9905301d, 0xe0d70cf0, 0x02b0690a, 0x0000000f, 
      0x9905201d, 0xf0d70ce0, 0x02b06a0a, 0x0000000f, 
      0x9805201d, 0xf0d70ce0, 0x02c06a0a, 0x0000000f, 
      0x9805101d, 0xf0d70ce0, 0x02c06b0a, 0x0000000f, 
      0x9705001c, 0x00d80ce0, 0x02d06b0b, 0x0000000f, 
      0x9705001c, 0x00d80cd0, 0x02d06c0b, 0x0000000f, 
      0x9605001b, 0x10d80cd0, 0x02d06d0b, 0x0000000f, 
      0x9504f01c, 0x10d80cd0, 0x02e06d0b, 0x0000000f, 
      0x9504f01b, 0x20d80cc0, 0x02e06e0b, 0x0000000f, 
      0x9504e01b, 0x20d80cc0, 0x02f06e0b, 0x0000000f, 
      0x9404d01b, 0x30d80cc0, 0x02f06f0b, 0x0000000f, 
      0x9304d01b, 0x30d80cc0, 0x02f06f0b, 0x00000010, 
      0x9204c01a, 0x40d90cb0, 0x0300700b, 0x00000010, 
      0x9204c01a, 0x40d90cb0, 0x0300700b, 0x00000010, 
      0x9204b019, 0x40d90cb0, 0x0310710b, 0x00000010, 
      0x9104b019, 0x50d90ca0, 0x0310720b, 0x00000010, 
      0x9104a01a, 0x50d90ca0, 0x0310720b, 0x00000010, 
      0x90049019, 0x60d90ca0, 0x0320730b, 0x00000010, 
      0x9004a019, 0x60d90c90, 0x0320730b, 0x00000010, 
      0x8f049018, 0x70d90c90, 0x0330740b, 0x00000010, 
      0x8e049019, 0x70d90c90, 0x0330740b, 0x00000010, 
      0x8e048018, 0x80d90c80, 0x0330750b, 0x00000011, 
      0x8d047018, 0x80d90c80, 0x0340760b, 0x00000011, 
      0x8d047018, 0x80d90c80, 0x0340760b, 0x00000011, 
      0x8c046017, 0x90da0c70, 0x0350770b, 0x00000011, 
      0x8c046017, 0x90da0c70, 0x0350770b, 0x00000011, 
      0x8b045016, 0xa0da0c70, 0x0360780b, 0x00000011, 
      0x8b045017, 0xa0da0c60, 0x0360780b, 0x00000011, 
      0x8a044017, 0xb0da0c60, 0x0360790b, 0x00000011, 
      0x89043016, 0xb0da0c60, 0x03707a0b, 0x00000012, 
      0x89043017, 0xb0da0c50, 0x03707a0b, 0x00000012, 
      0x88043015, 0xc0da0c50, 0x03807b0b, 0x00000012, 
      0x88042016, 0xc0da0c50, 0x03807b0b, 0x00000012, 
      0x87042015, 0xd0da0c40, 0x03907c0b, 0x00000012, 
      0x87042015, 0xd0da0c40, 0x03907c0b, 0x00000012, 
      0x86041015, 0xd0da0c40, 0x03a07d0b, 0x00000012, 
      0x85041014, 0xe0da0c30, 0x03a07e0b, 0x00000013, 
      0x85040015, 0xe0da0c30, 0x03a07e0b, 0x00000013, 
      0x84040014, 0xf0da0c20, 0x03b07f0b, 0x00000013, 
      0x8403f015, 0xf0da0c20, 0x03b07f0b, 0x00000013, 
      0x8303f014, 0xf0da0c20, 0x03c0800b, 0x00000013, 
      0x8303e015, 0x00da0c10, 0x03c0800c, 0x00000013, 
      0x8203e014, 0x00da0c10, 0x03d0810c, 0x00000013, 
      0x8103d014, 0x10da0c10, 0x03d0810c, 0x00000014, 
      0x8103d013, 0x10da0c00, 0x03e0820c, 0x00000014, 
      0x8003c014, 0x10da0c00, 0x03e0830c, 0x00000014, 
      0x8003c013, 0x20da0bf0, 0x03f0830c, 0x00000014, 
      0x7f03b014, 0x20da0bf0, 0x03f0840c, 0x00000014, 
      0x7f03b012, 0x20da0bf0, 0x0400840c, 0x00000015, 
      0x7e03a013, 0x30da0be0, 0x0400850c, 0x00000015, 
      0x7e03a012, 0x30da0be0, 0x0410850c, 0x00000015, 
      0x7d03a012, 0x40da0bd0, 0x0410860c, 0x00000015, 
      0x7c039012, 0x40da0bd0, 0x0420870c, 0x00000015, 
      0x7c038012, 0x40da0bd0, 0x0420870c, 0x00000016, 
      0x7b038012, 0x50da0bc0, 0x0420880c, 0x00000016, 
      0x7b038011, 0x50da0bc0, 0x0430880c, 0x00000016, 
      0x7a038012, 0x50da0bb0, 0x0430890c, 0x00000016, 
      0x7a037011, 0x60da0bb0, 0x0440890c, 0x00000016, 
      0x79036011, 0x60da0bb0, 0x04408a0c, 0x00000017, 
      0x78036012, 0x60da0ba0, 0x04508a0c, 0x00000017, 
      0x78035011, 0x70da0ba0, 0x04508b0c, 0x00000017, 
      0x77035011, 0x70da0b90, 0x04608c0c, 0x00000017, 
      0x77035011, 0x70da0b90, 0x04608c0c, 0x00000017, 
      0x76034011, 0x80d90b80, 0x04708d0c, 0x00000018, 
      0x76034011, 0x80d90b80, 0x04708d0c, 0x00000018, 
      0x75033011, 0x80d90b80, 0x04808e0c, 0x00000018, 
      0x74034011, 0x90d90b70, 0x04808e0c, 0x00000018, 
      0x74032010, 0x90d90b70, 0x04908f0c, 0x00000019, 
      0x73033011, 0x90d90b60, 0x04908f0c, 0x00000019, 
      0x73031010, 0xa0d90b60, 0x04a0900c, 0x00000019, 
      0x72032010, 0xa0d90b50, 0x04a0910c, 0x00000019, 
      0x72031010, 0xa0d90b50, 0x04b0910c, 0x00000019, 
      0x7103100f, 0xb0d90b40, 0x04b0920c, 0x0000001a, 
      0x70030010, 0xb0d90b40, 0x04c0920c, 0x0000001a, 
      0x7003000f, 0xb0d90b40, 0x04c0930c, 0x0000001a, 
      0x6f030010, 0xc0d80b30, 0x04d0930c, 0x0000001a, 
      0x6f02f00f, 0xc0d80b30, 0x04d0940c, 0x0000001b, 
      0x6e02f010, 0xc0d80b20, 0x04e0940c, 0x0000001b, 
      0x6e02e00f, 0xc0d80b20, 0x04f0950c, 0x0000001b, 
      0x6d02e00f, 0xd0d80b10, 0x04f0950c, 0x0000001c, 
      0x6c02d00f, 0xd0d80b10, 0x0500960c, 0x0000001c, 
      0x6c02d00f, 0xd0d80b00, 0x0500970c, 0x0000001c, 
      0x6b02d00e, 0xe0d80b00, 0x0510970c, 0x0000001c, 
      0x6b02c00f, 0xe0d70af0, 0x0510980c, 0x0000001d, 
      0x6a02c00f, 0xe0d70af0, 0x0520980c, 0x0000001d, 
      0x6a02b00f, 0xe0d70af0, 0x0520990c, 0x0000001d, 
      0x6902b00f, 0xf0d70ae0, 0x0530990c, 0x0000001d, 
      0x6902a00e, 0xf0d70ae0, 0x05309a0c, 0x0000001e, 
      0x6802a00f, 0xf0d70ad0, 0x05409a0c, 0x0000001e, 
      0x6702a00f, 0xf0d70ad0, 0x05409b0c, 0x0000001e, 
      0x6702a00e, 0x00d60ac0, 0x05509b0d, 0x0000001f, 
      0x6602900f, 0x00d60ac0, 0x05509c0d, 0x0000001f, 
      0x6602900f, 0x00d60ab0, 0x05609c0d, 0x0000001f, 
      0x6502900f, 0x00d60ab0, 0x05609d0d, 0x0000001f, 
      0x6502800e, 0x10d60aa0, 0x05709d0d, 0x00000020, 
      0x6402700e, 0x10d60aa0, 0x05809e0d, 0x00000020, 
      0x6402700e, 0x10d60a90, 0x05809f0d, 0x00000020, 
      0x6302700e, 0x10d50a90, 0x05909f0d, 0x00000021, 
      0x6202700e, 0x20d50a80, 0x0590a00d, 0x00000021, 
      0x6202600e, 0x20d50a80, 0x05a0a00d, 0x00000021, 
      0x6102600e, 0x20d50a70, 0x05a0a10d, 0x00000022, 
      0x6102500e, 0x20d50a70, 0x05b0a10d, 0x00000022, 
      0x6002500f, 0x30d40a60, 0x05b0a20d, 0x00000022, 
      0x6002400e, 0x30d40a60, 0x05c0a20d, 0x00000023, 
      0x5f02500e, 0x30d40a50, 0x05c0a30d, 0x00000023, 
      0x5f02400e, 0x30d40a50, 0x05d0a30d, 0x00000023, 
      0x5e02400e, 0x30d40a40, 0x05d0a40d, 0x00000024,
   },
   { /* Y scale factor = 0.09, phases = 127, taps = 9. */
      0xa405d023, 0x50d50d50, 0x02305d0a, 0x0000000d, 
      0xa405c022, 0x50d60d50, 0x02305e0a, 0x0000000d, 
      0xa305c021, 0x60d60d50, 0x02405e0a, 0x0000000d, 
      0xa305b021, 0x60d60d50, 0x02405f0a, 0x0000000d, 
      0xa205b022, 0x70d60d40, 0x02405f0a, 0x0000000d, 
      0xa205a021, 0x70d60d40, 0x0250600a, 0x0000000d, 
      0xa1059020, 0x80d70d40, 0x0250610a, 0x0000000d, 
      0xa0059021, 0x80d70d40, 0x0250610a, 0x0000000d, 
      0xa0058020, 0x90d70d30, 0x0260620a, 0x0000000d, 
      0xa0058020, 0x90d70d30, 0x0260620a, 0x0000000d, 
      0x9f057020, 0xa0d70d30, 0x0260630a, 0x0000000d, 
      0x9e05601f, 0xa0d80d30, 0x0270630a, 0x0000000e, 
      0x9e05601e, 0xb0d80d20, 0x0270640a, 0x0000000e, 
      0x9d05601f, 0xb0d80d20, 0x0270640a, 0x0000000e, 
      0x9d05401e, 0xc0d80d20, 0x0280650a, 0x0000000e, 
      0x9c05401e, 0xc0d80d20, 0x0280660a, 0x0000000e, 
      0x9c05401d, 0xd0d80d10, 0x0290660a, 0x0000000e, 
      0x9b05301e, 0xd0d80d10, 0x0290670a, 0x0000000e, 
      0x9a05301d, 0xe0d90d10, 0x0290670a, 0x0000000e, 
      0x9a05201c, 0xe0d90d10, 0x02a0680a, 0x0000000e, 
      0x9905201d, 0xf0d90d00, 0x02a0680a, 0x0000000e, 
      0x9905101d, 0xf0d90d00, 0x02a0690a, 0x0000000e, 
      0x9805101b, 0x00d90d00, 0x02b06a0b, 0x0000000e, 
      0x9805101c, 0x00d90cf0, 0x02b06a0b, 0x0000000e, 
      0x9705001b, 0x10d90cf0, 0x02c06b0b, 0x0000000e, 
      0x9704f01b, 0x10da0cf0, 0x02c06b0b, 0x0000000e, 
      0x9604f01a, 0x20da0cf0, 0x02c06c0b, 0x0000000e, 
      0x9604e01b, 0x20da0ce0, 0x02d06c0b, 0x0000000e, 
      0x9504d01a, 0x30da0ce0, 0x02d06d0b, 0x0000000f, 
      0x9404d01a, 0x30da0ce0, 0x02d06e0b, 0x0000000f, 
      0x9404d01a, 0x30da0cd0, 0x02e06e0b, 0x0000000f, 
      0x9304c01a, 0x40da0cd0, 0x02e06f0b, 0x0000000f, 
      0x9304b01a, 0x40da0cd0, 0x02f06f0b, 0x0000000f, 
      0x9204b019, 0x50db0cc0, 0x02f0700b, 0x0000000f, 
      0x9204b019, 0x50db0cc0, 0x02f0700b, 0x0000000f, 
      0x9104a018, 0x60db0cc0, 0x0300710b, 0x0000000f, 
      0x91049019, 0x60db0cb0, 0x0300720b, 0x0000000f, 
      0x90049018, 0x70db0cb0, 0x0310720b, 0x0000000f, 
      0x8f049018, 0x70db0cb0, 0x0310730b, 0x0000000f, 
      0x8f048017, 0x80db0ca0, 0x0320730b, 0x00000010, 
      0x8e047018, 0x80db0ca0, 0x0320740b, 0x00000010, 
      0x8e047018, 0x80db0ca0, 0x0320740b, 0x00000010, 
      0x8d046018, 0x90db0c90, 0x0330750b, 0x00000010, 
      0x8d046017, 0x90db0c90, 0x0330760b, 0x00000010, 
      0x8c045017, 0xa0db0c90, 0x0340760b, 0x00000010, 
      0x8b045017, 0xa0dc0c80, 0x0340770b, 0x00000010, 
      0x8b044016, 0xb0dc0c80, 0x0350770b, 0x00000010, 
      0x8a044015, 0xb0dc0c80, 0x0350780b, 0x00000011, 
      0x8a043016, 0xc0dc0c70, 0x0350780b, 0x00000011, 
      0x89043015, 0xc0dc0c70, 0x0360790b, 0x00000011, 
      0x89042015, 0xc0dc0c70, 0x03607a0b, 0x00000011, 
      0x88042015, 0xd0dc0c60, 0x03707a0b, 0x00000011, 
      0x87042015, 0xd0dc0c60, 0x03707b0b, 0x00000011, 
      0x87041014, 0xe0dc0c60, 0x03807b0b, 0x00000011, 
      0x86041015, 0xe0dc0c50, 0x03807c0b, 0x00000011, 
      0x8503f014, 0xf0dc0c50, 0x03907d0b, 0x00000012, 
      0x8503f015, 0xf0dc0c40, 0x03907d0b, 0x00000012, 
      0x8503f014, 0xf0dc0c40, 0x03907e0b, 0x00000012, 
      0x8403f013, 0x00dc0c40, 0x03a07e0c, 0x00000012, 
      0x8303f014, 0x00dc0c30, 0x03a07f0c, 0x00000012, 
      0x8303e013, 0x10dc0c30, 0x03b07f0c, 0x00000012, 
      0x8203d013, 0x10dc0c30, 0x03b0800c, 0x00000013, 
      0x8203c013, 0x10dc0c20, 0x03c0810c, 0x00000013, 
      0x8103c013, 0x20dc0c20, 0x03c0810c, 0x00000013, 
      0x8103c012, 0x20dc0c10, 0x03d0820c, 0x00000013, 
      0x8003b013, 0x30dc0c10, 0x03d0820c, 0x00000013, 
      0x7f03b012, 0x30dc0c10, 0x03e0830c, 0x00000013, 
      0x7f03a013, 0x30dc0c00, 0x03e0830c, 0x00000014, 
      0x7e039012, 0x40dc0c00, 0x03f0840c, 0x00000014, 
      0x7e039012, 0x40dc0bf0, 0x03f0850c, 0x00000014, 
      0x7e039012, 0x40dc0bf0, 0x03f0850c, 0x00000014, 
      0x7d038011, 0x50dc0bf0, 0x0400860c, 0x00000014, 
      0x7c038012, 0x50dc0be0, 0x0400860c, 0x00000015, 
      0x7b037011, 0x60dc0be0, 0x0410870c, 0x00000015, 
      0x7b037012, 0x60dc0bd0, 0x0410870c, 0x00000015, 
      0x7a037011, 0x60dc0bd0, 0x0420880c, 0x00000015, 
      0x7a036011, 0x70dc0bc0, 0x0420890c, 0x00000015, 
      0x79036010, 0x70dc0bc0, 0x0430890c, 0x00000016, 
      0x78035011, 0x70dc0bc0, 0x04308a0c, 0x00000016, 
      0x78035010, 0x80dc0bb0, 0x04408a0c, 0x00000016, 
      0x77035010, 0x80dc0bb0, 0x04408b0c, 0x00000016, 
      0x77034011, 0x80dc0ba0, 0x04508b0c, 0x00000016, 
      0x76034010, 0x90db0ba0, 0x04508c0c, 0x00000017, 
      0x76033010, 0x90db0b90, 0x04608d0c, 0x00000017, 
      0x76033010, 0x90db0b90, 0x04608d0c, 0x00000017, 
      0x74033010, 0xa0db0b80, 0x04708e0c, 0x00000017, 
      0x74032010, 0xa0db0b90, 0x04708e0c, 0x00000017, 
      0x7303200f, 0xa0db0b80, 0x04808f0c, 0x00000018, 
      0x73031010, 0xb0db0b70, 0x04808f0c, 0x00000018, 
      0x7203100f, 0xb0db0b70, 0x0490900c, 0x00000018, 
      0x72030010, 0xb0db0b60, 0x0490910c, 0x00000018, 
      0x7102f00f, 0xc0db0b60, 0x04a0910c, 0x00000019, 
      0x7002f010, 0xc0db0b50, 0x04a0920c, 0x00000019, 
      0x7002f00f, 0xc0db0b50, 0x04b0920c, 0x00000019, 
      0x7002f00f, 0xd0da0b40, 0x04b0930c, 0x00000019, 
      0x6f02e00f, 0xd0da0b40, 0x04c0930c, 0x0000001a, 
      0x6f02e00f, 0xd0da0b30, 0x04c0940c, 0x0000001a, 
      0x6e02d00f, 0xe0da0b30, 0x04d0940c, 0x0000001a, 
      0x6d02d00e, 0xe0da0b30, 0x04e0950c, 0x0000001a, 
      0x6c02d00e, 0xe0da0b20, 0x04e0960c, 0x0000001b, 
      0x6b02c00e, 0xf0da0b20, 0x04f0960c, 0x0000001b, 
      0x6b02c00e, 0xf0da0b10, 0x04f0970c, 0x0000001b, 
      0x6b02c00e, 0xf0d90b10, 0x0500970c, 0x0000001b, 
      0x6a02b00f, 0xf0d90b00, 0x0500980c, 0x0000001c, 
      0x6a02a00e, 0x00d90b00, 0x0510980d, 0x0000001c, 
      0x6902a00f, 0x00d90af0, 0x0510990d, 0x0000001c, 
      0x6802a00e, 0x00d90af0, 0x0520990d, 0x0000001d, 
      0x6802a00d, 0x10d90ae0, 0x05209a0d, 0x0000001d, 
      0x6702900e, 0x10d90ae0, 0x05309a0d, 0x0000001d, 
      0x6702900e, 0x10d80ae0, 0x05309b0d, 0x0000001d, 
      0x6602900d, 0x10d80ad0, 0x05409c0d, 0x0000001e, 
      0x6602800e, 0x20d80ac0, 0x05409c0d, 0x0000001e, 
      0x6502800d, 0x20d80ac0, 0x05509d0d, 0x0000001e, 
      0x6402700e, 0x20d80ab0, 0x05609d0d, 0x0000001f, 
      0x6402700d, 0x20d80ab0, 0x05609e0d, 0x0000001f, 
      0x6302700d, 0x30d80aa0, 0x05709e0d, 0x0000001f, 
      0x6302600e, 0x30d70aa0, 0x05709f0d, 0x0000001f, 
      0x6202600e, 0x30d70a90, 0x05809f0d, 0x00000020, 
      0x6202600d, 0x30d70a90, 0x0580a00d, 0x00000020, 
      0x6102500e, 0x40d70a80, 0x0590a00d, 0x00000020, 
      0x6102400d, 0x40d70a80, 0x0590a10d, 0x00000021, 
      0x6002500e, 0x40d60a70, 0x05a0a10d, 0x00000021, 
      0x5f02500e, 0x40d60a70, 0x05a0a20d, 0x00000021, 
      0x5f02300d, 0x50d60a60, 0x05b0a30d, 0x00000022, 
      0x5e02300d, 0x50d60a60, 0x05c0a30d, 0x00000022, 
      0x5e02300d, 0x50d60a50, 0x05c0a40d, 0x00000022, 
      0x5d02300d, 0x50d50a50, 0x05d0a40d, 0x00000023,
   },
   { /* Y scale factor = 0.10, phases = 127, taps = 9. */
      0xa505c022, 0x50d70d70, 0x02205c0a, 0x0000000c, 
      0xa405b021, 0x60d80d70, 0x02205d0a, 0x0000000c, 
      0xa405b020, 0x60d80d70, 0x02305d0a, 0x0000000c, 
      0xa305a021, 0x70d80d60, 0x02305e0a, 0x0000000c, 
      0xa205a021, 0x70d80d60, 0x02305e0a, 0x0000000d, 
      0xa205901f, 0x80d80d60, 0x02405f0a, 0x0000000d, 
      0xa105801f, 0x80d90d60, 0x0240600a, 0x0000000d, 
      0xa105701f, 0x90d90d60, 0x0240600a, 0x0000000d, 
      0xa005701f, 0x90d90d50, 0x0250610a, 0x0000000d, 
      0xa005701e, 0xa0d90d50, 0x0250610a, 0x0000000d, 
      0x9f05601f, 0xa0d90d50, 0x0250620a, 0x0000000d, 
      0x9f05501e, 0xb0da0d40, 0x0260620a, 0x0000000d, 
      0x9e05501e, 0xb0da0d40, 0x0260630a, 0x0000000d, 
      0x9d05401e, 0xc0da0d40, 0x0260640a, 0x0000000d, 
      0x9d05401d, 0xc0da0d40, 0x0270640a, 0x0000000d, 
      0x9c05401d, 0xd0da0d30, 0x0270650a, 0x0000000d, 
      0x9c05301d, 0xd0da0d40, 0x0270650a, 0x0000000d, 
      0x9b05201c, 0xe0db0d30, 0x0280660a, 0x0000000d, 
      0x9b05201c, 0xe0db0d30, 0x0280660a, 0x0000000d, 
      0x9a05201c, 0xf0db0d20, 0x0280670a, 0x0000000d, 
      0x9a05101b, 0xf0db0d20, 0x0290680a, 0x0000000d, 
      0x9905001c, 0x00db0d20, 0x0290680b, 0x0000000d, 
      0x9905001b, 0x00db0d10, 0x02a0690b, 0x0000000d, 
      0x9805001b, 0x10db0d10, 0x02a0690b, 0x0000000d, 
      0x9704f01b, 0x10dc0d10, 0x02a06a0b, 0x0000000d, 
      0x9604e01a, 0x20dc0d00, 0x02b06b0b, 0x0000000e, 
      0x9604e01a, 0x20dc0d00, 0x02b06b0b, 0x0000000e, 
      0x9604c019, 0x30dc0d00, 0x02c06c0b, 0x0000000e, 
      0x9504c01a, 0x30dc0d00, 0x02c06c0b, 0x0000000e, 
      0x9404c01a, 0x40dc0cf0, 0x02c06d0b, 0x0000000e, 
      0x9404c019, 0x40dc0cf0, 0x02d06d0b, 0x0000000e, 
      0x9304b019, 0x50dc0cf0, 0x02d06e0b, 0x0000000e, 
      0x9304a018, 0x50dd0ce0, 0x02e06f0b, 0x0000000e, 
      0x9204a018, 0x60dd0ce0, 0x02e06f0b, 0x0000000e, 
      0x92049018, 0x60dd0ce0, 0x02e0700b, 0x0000000e, 
      0x91049018, 0x70dd0cd0, 0x02f0700b, 0x0000000e, 
      0x90049018, 0x70dd0cd0, 0x02f0710b, 0x0000000e, 
      0x8f047017, 0x80dd0cd0, 0x0300720b, 0x0000000f, 
      0x8f048017, 0x80dd0cc0, 0x0300720b, 0x0000000f, 
      0x8f047016, 0x90dd0cc0, 0x0300730b, 0x0000000f, 
      0x8e046017, 0x90dd0cc0, 0x0310730b, 0x0000000f, 
      0x8e046016, 0xa0dd0cb0, 0x0310740b, 0x0000000f, 
      0x8d045017, 0xa0dd0cb0, 0x0320740b, 0x0000000f, 
      0x8c045016, 0xa0de0cb0, 0x0320750b, 0x0000000f, 
      0x8c044016, 0xb0de0ca0, 0x0320760b, 0x0000000f, 
      0x8b044016, 0xb0de0ca0, 0x0330760b, 0x0000000f, 
      0x8a043015, 0xc0de0ca0, 0x0330770b, 0x00000010, 
      0x8a043015, 0xc0de0c90, 0x0340770b, 0x00000010, 
      0x8a042014, 0xd0de0c90, 0x0340780b, 0x00000010, 
      0x89042014, 0xd0de0c80, 0x0350790b, 0x00000010, 
      0x88041015, 0xe0de0c80, 0x0350790b, 0x00000010, 
      0x88040014, 0xe0de0c80, 0x03607a0b, 0x00000010, 
      0x87041015, 0xe0de0c70, 0x03607a0b, 0x00000010, 
      0x87040013, 0xf0de0c70, 0x03607b0b, 0x00000011, 
      0x8603f014, 0xf0de0c70, 0x03707b0b, 0x00000011, 
      0x8503f014, 0x00de0c60, 0x03707c0c, 0x00000011, 
      0x8503e013, 0x00de0c60, 0x03807d0c, 0x00000011, 
      0x8403e014, 0x10de0c50, 0x03807d0c, 0x00000011, 
      0x8403d013, 0x10de0c50, 0x03907e0c, 0x00000011, 
      0x8403d013, 0x10de0c50, 0x03907e0c, 0x00000011, 
      0x8303c012, 0x20de0c40, 0x03a07f0c, 0x00000012, 
      0x8203c012, 0x20de0c40, 0x03a0800c, 0x00000012, 
      0x8103b013, 0x30de0c30, 0x03b0800c, 0x00000012, 
      0x8103b012, 0x30de0c30, 0x03b0810c, 0x00000012, 
      0x8103b012, 0x30de0c30, 0x03b0810c, 0x00000012, 
      0x8003a012, 0x40de0c20, 0x03c0820c, 0x00000012, 
      0x7f03a011, 0x40de0c20, 0x03c0830c, 0x00000013, 
      0x7e039012, 0x50de0c10, 0x03d0830c, 0x00000013, 
      0x7e039011, 0x50de0c10, 0x03d0840c, 0x00000013, 
      0x7d038012, 0x50de0c10, 0x03e0840c, 0x00000013, 
      0x7d038011, 0x60de0c00, 0x03e0850c, 0x00000013, 
      0x7c038011, 0x60de0c00, 0x03f0850c, 0x00000013, 
      0x7b037011, 0x70de0bf0, 0x03f0860c, 0x00000014, 
      0x7b036010, 0x70de0bf0, 0x0400870c, 0x00000014, 
      0x7b036011, 0x70de0be0, 0x0400870c, 0x00000014, 
      0x7a035010, 0x80de0be0, 0x0410880c, 0x00000014, 
      0x79035011, 0x80de0be0, 0x0410880c, 0x00000014, 
      0x7903500f, 0x80de0bd0, 0x0420890c, 0x00000015, 
      0x7803400f, 0x90de0bd0, 0x04208a0c, 0x00000015, 
      0x77034010, 0x90de0bc0, 0x04308a0c, 0x00000015, 
      0x7703300f, 0xa0de0bc0, 0x04308b0c, 0x00000015, 
      0x76033010, 0xa0de0bb0, 0x04408b0c, 0x00000015, 
      0x7603200f, 0xa0de0bb0, 0x04408c0c, 0x00000016, 
      0x7503200f, 0xb0de0ba0, 0x04508c0c, 0x00000016, 
      0x74032010, 0xb0dd0ba0, 0x04508d0c, 0x00000016, 
      0x7403100f, 0xb0dd0ba0, 0x04608e0c, 0x00000016, 
      0x7303100f, 0xc0dd0b90, 0x04608e0c, 0x00000017, 
      0x7303000e, 0xc0dd0b90, 0x04708f0c, 0x00000017, 
      0x7303000f, 0xc0dd0b80, 0x04708f0c, 0x00000017, 
      0x7202f00e, 0xd0dd0b80, 0x0480900c, 0x00000017, 
      0x7103000f, 0xd0dd0b70, 0x0480900c, 0x00000017, 
      0x7002f00e, 0xd0dd0b70, 0x0490910c, 0x00000018, 
      0x7002e00e, 0xe0dd0b60, 0x0490920c, 0x00000018, 
      0x6f02e00e, 0xe0dd0b60, 0x04a0920c, 0x00000018, 
      0x6f02e00e, 0xe0dd0b50, 0x04a0930c, 0x00000018, 
      0x6e02d00e, 0xf0dc0b50, 0x04b0930c, 0x00000019, 
      0x6e02d00e, 0xf0dc0b40, 0x04b0940c, 0x00000019, 
      0x6d02d00e, 0xf0dc0b40, 0x04c0940c, 0x00000019, 
      0x6d02c00e, 0x00dc0b30, 0x04c0950d, 0x00000019, 
      0x6c02b00d, 0x00dc0b30, 0x04d0960d, 0x0000001a, 
      0x6b02c00e, 0x00dc0b20, 0x04d0960d, 0x0000001a, 
      0x6b02a00d, 0x10dc0b20, 0x04e0970d, 0x0000001a, 
      0x6a02a00e, 0x10dc0b10, 0x04f0970d, 0x0000001a, 
      0x6902a00e, 0x10db0b10, 0x04f0980d, 0x0000001b, 
      0x6902a00e, 0x10db0b00, 0x0500980d, 0x0000001b, 
      0x6802900e, 0x20db0b00, 0x0500990d, 0x0000001b, 
      0x6802800d, 0x20db0af0, 0x05109a0d, 0x0000001c, 
      0x6702800e, 0x20db0af0, 0x05109a0d, 0x0000001c, 
      0x6602800d, 0x30db0ae0, 0x05209b0d, 0x0000001c, 
      0x6602800d, 0x30db0ae0, 0x05209b0d, 0x0000001c, 
      0x6502800d, 0x30da0ad0, 0x05309c0d, 0x0000001d, 
      0x6502800d, 0x30da0ad0, 0x05309c0d, 0x0000001d, 
      0x6402700d, 0x40da0ac0, 0x05409d0d, 0x0000001d, 
      0x6402600d, 0x40da0ac0, 0x05409d0d, 0x0000001e, 
      0x6302600d, 0x40da0ab0, 0x05509e0d, 0x0000001e, 
      0x6202600c, 0x40da0ab0, 0x05609f0d, 0x0000001e, 
      0x6202600d, 0x50d90aa0, 0x05609f0d, 0x0000001e, 
      0x6102500c, 0x50d90aa0, 0x0570a00d, 0x0000001f, 
      0x6102500d, 0x50d90a90, 0x0570a00d, 0x0000001f, 
      0x6002400c, 0x60d90a90, 0x0580a10d, 0x0000001f, 
      0x6002400c, 0x60d90a80, 0x0580a10d, 0x00000020, 
      0x5f02400c, 0x60d80a80, 0x0590a20d, 0x00000020, 
      0x5f02400d, 0x60d80a70, 0x0590a20d, 0x00000020, 
      0x5e02300c, 0x60d80a70, 0x05a0a30d, 0x00000021, 
      0x5d02200c, 0x70d80a60, 0x05b0a40d, 0x00000021, 
      0x5d02200c, 0x70d80a60, 0x05b0a40d, 0x00000021, 
      0x5c02200c, 0x70d70a50, 0x05c0a50d, 0x00000022,
   },
   { /* Y scale factor = 0.11, phases = 127, taps = 9. */
      0xa505a020, 0x60da0d90, 0x02105b0a, 0x0000000c, 
      0xa405a020, 0x60da0d90, 0x02105c0a, 0x0000000c, 
      0xa4059020, 0x70da0d90, 0x02105c0a, 0x0000000c, 
      0xa305901f, 0x70da0d90, 0x02205d0a, 0x0000000c, 
      0xa3058020, 0x80da0d80, 0x02205d0a, 0x0000000c, 
      0xa205801f, 0x80db0d80, 0x02205e0a, 0x0000000c, 
      0xa105701e, 0x90db0d80, 0x02305f0a, 0x0000000c, 
      0xa105701e, 0x90db0d80, 0x02305f0a, 0x0000000c, 
      0xa105601e, 0xa0db0d70, 0x0230600a, 0x0000000c, 
      0xa005601e, 0xa0db0d70, 0x0240600a, 0x0000000c, 
      0x9f05501d, 0xb0dc0d70, 0x0240610a, 0x0000000c, 
      0x9f05401d, 0xc0dc0d70, 0x0240610a, 0x0000000c, 
      0x9e05401d, 0xc0dc0d60, 0x0250620a, 0x0000000c, 
      0x9e05301c, 0xd0dc0d60, 0x0250630a, 0x0000000c, 
      0x9d05301d, 0xd0dc0d60, 0x0250630a, 0x0000000c, 
      0x9d05201b, 0xe0dd0d50, 0x0260640a, 0x0000000c, 
      0x9c05201c, 0xe0dd0d50, 0x0260640a, 0x0000000c, 
      0x9b05101b, 0xf0dd0d50, 0x0270650a, 0x0000000c, 
      0x9b05101a, 0xf0dd0d50, 0x0270660a, 0x0000000c, 
      0x9a05101b, 0x00dd0d40, 0x0270660b, 0x0000000c, 
      0x9a04f01b, 0x00dd0d40, 0x0280670b, 0x0000000c, 
      0x9904f01b, 0x10dd0d40, 0x0280670b, 0x0000000c, 
      0x9904e01a, 0x10de0d30, 0x0280680b, 0x0000000d, 
      0x9804e019, 0x20de0d30, 0x0290680b, 0x0000000d, 
      0x9704d01a, 0x20de0d30, 0x0290690b, 0x0000000d, 
      0x9704d019, 0x30de0d20, 0x02906a0b, 0x0000000d, 
      0x9604d019, 0x30de0d20, 0x02a06a0b, 0x0000000d, 
      0x9604c018, 0x40de0d20, 0x02a06b0b, 0x0000000d, 
      0x9504b019, 0x40de0d20, 0x02b06b0b, 0x0000000d, 
      0x9504a018, 0x50df0d10, 0x02b06c0b, 0x0000000d, 
      0x9404a018, 0x50df0d10, 0x02b06d0b, 0x0000000d, 
      0x9304a017, 0x60df0d10, 0x02c06d0b, 0x0000000d, 
      0x93049018, 0x60df0d00, 0x02c06e0b, 0x0000000d, 
      0x92049017, 0x70df0d00, 0x02d06e0b, 0x0000000d, 
      0x92048017, 0x70df0d00, 0x02d06f0b, 0x0000000d, 
      0x91048016, 0x80df0cf0, 0x02d0700b, 0x0000000e, 
      0x90047017, 0x80df0cf0, 0x02e0700b, 0x0000000e, 
      0x90046016, 0x90df0cf0, 0x02e0710b, 0x0000000e, 
      0x8f046016, 0x90e00ce0, 0x02f0710b, 0x0000000e, 
      0x8f045015, 0xa0e00ce0, 0x02f0720b, 0x0000000e, 
      0x8e045015, 0xa0e00cd0, 0x0300730b, 0x0000000e, 
      0x8d044016, 0xb0e00cd0, 0x0300730b, 0x0000000e, 
      0x8d044015, 0xb0e00cd0, 0x0300740b, 0x0000000e, 
      0x8c044015, 0xc0e00cc0, 0x0310740b, 0x0000000e, 
      0x8c043015, 0xc0e00cc0, 0x0310750b, 0x0000000e, 
      0x8b042014, 0xd0e00cb0, 0x0320760b, 0x0000000f, 
      0x8a042015, 0xd0e00cb0, 0x0320760b, 0x0000000f, 
      0x8a041015, 0xd0e00cb0, 0x0320770b, 0x0000000f, 
      0x89041014, 0xe0e00cb0, 0x0330770b, 0x0000000f, 
      0x89041014, 0xe0e00ca0, 0x0330780b, 0x0000000f, 
      0x88040013, 0xf0e00ca0, 0x0340790b, 0x0000000f, 
      0x88040014, 0xf0e00c90, 0x0340790b, 0x0000000f, 
      0x8703e013, 0x00e00c90, 0x03507a0c, 0x00000010, 
      0x8603f013, 0x00e00c90, 0x03507a0c, 0x00000010, 
      0x8603d012, 0x10e10c80, 0x03607b0c, 0x00000010, 
      0x8503d012, 0x10e10c80, 0x03607c0c, 0x00000010, 
      0x8503d013, 0x10e10c70, 0x03607c0c, 0x00000010, 
      0x8403c012, 0x20e10c70, 0x03707d0c, 0x00000010, 
      0x8303d012, 0x20e10c70, 0x03707d0c, 0x00000010, 
      0x8303b011, 0x30e10c60, 0x03807e0c, 0x00000011, 
      0x8203b011, 0x30e10c60, 0x03807f0c, 0x00000011, 
      0x8203a011, 0x40e10c50, 0x03907f0c, 0x00000011, 
      0x8103a011, 0x40e10c50, 0x0390800c, 0x00000011, 
      0x8003a012, 0x40e10c40, 0x03a0800c, 0x00000011, 
      0x80039011, 0x50e10c40, 0x03a0810c, 0x00000011, 
      0x7f039010, 0x50e10c40, 0x03b0820c, 0x00000011, 
      0x7f038010, 0x60e10c30, 0x03b0820c, 0x00000012, 
      0x7e037010, 0x60e10c30, 0x03c0830c, 0x00000012, 
      0x7d037011, 0x70e10c20, 0x03c0830c, 0x00000012, 
      0x7d036010, 0x70e10c20, 0x03d0840c, 0x00000012, 
      0x7c036011, 0x70e10c10, 0x03d0850c, 0x00000012, 
      0x7c03600f, 0x80e10c10, 0x03d0850c, 0x00000013, 
      0x7b03500f, 0x80e10c10, 0x03e0860c, 0x00000013, 
      0x7a036010, 0x90e00c00, 0x03e0860c, 0x00000013, 
      0x7a03500f, 0x90e00c00, 0x03f0870c, 0x00000013, 
      0x79035010, 0x90e00bf0, 0x03f0880c, 0x00000013, 
      0x7903400f, 0xa0e00bf0, 0x0400880c, 0x00000013, 
      0x78033010, 0xa0e00be0, 0x0400890c, 0x00000014, 
      0x7703300f, 0xb0e00be0, 0x0410890c, 0x00000014, 
      0x7703300f, 0xb0e00bd0, 0x04108a0c, 0x00000014, 
      0x7603300f, 0xb0e00bd0, 0x04208a0c, 0x00000014, 
      0x7603200e, 0xc0e00bd0, 0x04208b0c, 0x00000014, 
      0x7503100e, 0xc0e00bc0, 0x04308c0c, 0x00000015, 
      0x7403100f, 0xc0e00bc0, 0x04308c0c, 0x00000015, 
      0x7403000e, 0xd0e00bb0, 0x04408d0c, 0x00000015, 
      0x7303000f, 0xd0e00bb0, 0x04408d0c, 0x00000015, 
      0x7302f00e, 0xd0e00ba0, 0x04508e0c, 0x00000016, 
      0x7202f00d, 0xe0e00ba0, 0x04508f0c, 0x00000016, 
      0x7102f00e, 0xe0e00b90, 0x04608f0c, 0x00000016, 
      0x7102e00e, 0xf0df0b90, 0x0460900c, 0x00000016, 
      0x7102e00e, 0xf0df0b80, 0x0470900c, 0x00000016, 
      0x7002d00d, 0xf0df0b80, 0x0480910c, 0x00000017, 
      0x6f02d00d, 0x00df0b70, 0x0480920d, 0x00000017, 
      0x6e02d00d, 0x00df0b70, 0x0490920d, 0x00000017, 
      0x6e02c00e, 0x00df0b60, 0x0490930d, 0x00000017, 
      0x6d02b00d, 0x10df0b60, 0x04a0930d, 0x00000018, 
      0x6d02b00d, 0x10df0b50, 0x04a0940d, 0x00000018, 
      0x6c02b00d, 0x10df0b40, 0x04b0950d, 0x00000018, 
      0x6c02b00d, 0x20de0b40, 0x04b0950d, 0x00000018, 
      0x6b02a00c, 0x20de0b40, 0x04c0960d, 0x00000019, 
      0x6b02a00d, 0x20de0b30, 0x04c0960d, 0x00000019, 
      0x6a02900d, 0x20de0b30, 0x04d0970d, 0x00000019, 
      0x6902a00d, 0x30de0b20, 0x04d0970d, 0x00000019, 
      0x6802900c, 0x30de0b20, 0x04e0980d, 0x0000001a, 
      0x6802800d, 0x30de0b10, 0x04e0990d, 0x0000001a, 
      0x6702800d, 0x40dd0b10, 0x04f0990d, 0x0000001a, 
      0x6702800d, 0x40dd0b00, 0x04f09a0d, 0x0000001a, 
      0x6602700d, 0x40dd0b00, 0x05009a0d, 0x0000001b, 
      0x6602600c, 0x50dd0af0, 0x05109b0d, 0x0000001b, 
      0x6502700c, 0x50dd0af0, 0x05109b0d, 0x0000001b, 
      0x6402600c, 0x50dd0ae0, 0x05209c0d, 0x0000001c, 
      0x6402500c, 0x50dd0ae0, 0x05209d0d, 0x0000001c, 
      0x6302500d, 0x60dc0ad0, 0x05309d0d, 0x0000001c, 
      0x6302500c, 0x60dc0ad0, 0x05309e0d, 0x0000001c, 
      0x6202500c, 0x60dc0ac0, 0x05409e0d, 0x0000001d, 
      0x6102400c, 0x70dc0ac0, 0x05409f0d, 0x0000001d, 
      0x6102400c, 0x70dc0ab0, 0x05509f0d, 0x0000001d, 
      0x6002400c, 0x70db0aa0, 0x0560a00d, 0x0000001e, 
      0x6002300c, 0x70db0aa0, 0x0560a10d, 0x0000001e, 
      0x5f02300c, 0x80db0a90, 0x0570a10d, 0x0000001e, 
      0x5f02300b, 0x80db0a90, 0x0570a20d, 0x0000001e, 
      0x5e02200c, 0x80db0a80, 0x0580a20d, 0x0000001f, 
      0x5e02200c, 0x80da0a80, 0x0580a30d, 0x0000001f, 
      0x5d02200c, 0x90da0a70, 0x0590a30d, 0x0000001f, 
      0x5c02100c, 0x90da0a70, 0x0590a40d, 0x00000020, 
      0x5c02100b, 0x90da0a60, 0x05a0a50d, 0x00000020, 
      0x5b02100b, 0x90da0a60, 0x05b0a50d, 0x00000020,
   },
   { /* Y scale factor = 0.12, phases = 127, taps = 9. */
      0xa605901f, 0x60dc0dc0, 0x01f05a0a, 0x0000000b, 
      0xa505901e, 0x70dc0db0, 0x02005b0a, 0x0000000b, 
      0xa405901f, 0x70dc0db0, 0x02005b0a, 0x0000000b, 
      0xa405701e, 0x80dd0db0, 0x02005c0a, 0x0000000b, 
      0xa305701e, 0x80dd0db0, 0x02105c0a, 0x0000000b, 
      0xa305701d, 0x90dd0da0, 0x02105d0a, 0x0000000b, 
      0xa205601e, 0xa0dd0da0, 0x02105d0a, 0x0000000b, 
      0xa205501d, 0xa0dd0da0, 0x02205e0a, 0x0000000b, 
      0xa105401c, 0xb0de0da0, 0x02205f0a, 0x0000000b, 
      0xa005501d, 0xb0de0d90, 0x02205f0a, 0x0000000b, 
      0xa005301c, 0xc0de0d90, 0x0230600a, 0x0000000b, 
      0x9f05401c, 0xc0de0d90, 0x0230600a, 0x0000000b, 
      0x9f05301b, 0xd0de0d90, 0x0230610a, 0x0000000b, 
      0x9e05201b, 0xd0df0d80, 0x0240620a, 0x0000000b, 
      0x9d05201b, 0xe0df0d80, 0x0240620a, 0x0000000b, 
      0x9d05101b, 0xe0df0d80, 0x0240630a, 0x0000000b, 
      0x9c05101b, 0xf0df0d70, 0x0250630a, 0x0000000b, 
      0x9c05001a, 0x00df0d70, 0x0250640b, 0x0000000b, 
      0x9b04f019, 0x00e00d70, 0x0260650b, 0x0000000b, 
      0x9b04e019, 0x10e00d70, 0x0260650b, 0x0000000b, 
      0x9a04e01a, 0x10e00d60, 0x0260660b, 0x0000000b, 
      0x9904e018, 0x20e00d60, 0x0270660b, 0x0000000c, 
      0x9904d018, 0x20e00d60, 0x0270670b, 0x0000000c, 
      0x9804d019, 0x30e00d50, 0x0270670b, 0x0000000c, 
      0x9804c018, 0x30e00d50, 0x0280680b, 0x0000000c, 
      0x9704b017, 0x40e10d50, 0x0280690b, 0x0000000c, 
      0x9704b018, 0x40e10d40, 0x0280690b, 0x0000000c, 
      0x9604a017, 0x50e10d40, 0x02906a0b, 0x0000000c, 
      0x9504a018, 0x50e10d40, 0x02906a0b, 0x0000000c, 
      0x95049017, 0x60e10d30, 0x02a06b0b, 0x0000000c, 
      0x94049017, 0x60e10d30, 0x02a06c0b, 0x0000000c, 
      0x93049017, 0x70e10d30, 0x02a06c0b, 0x0000000c, 
      0x93048016, 0x70e20d20, 0x02b06d0b, 0x0000000c, 
      0x92047016, 0x80e20d20, 0x02b06e0b, 0x0000000c, 
      0x92046015, 0x80e20d20, 0x02c06e0b, 0x0000000d, 
      0x91046015, 0x90e20d10, 0x02c06f0b, 0x0000000d, 
      0x90046016, 0x90e20d10, 0x02c06f0b, 0x0000000d, 
      0x90045015, 0xa0e20d00, 0x02d0700b, 0x0000000d, 
      0x8f045015, 0xa0e20d00, 0x02d0710b, 0x0000000d, 
      0x8f044014, 0xb0e20d00, 0x02e0710b, 0x0000000d, 
      0x8e044015, 0xb0e20cf0, 0x02e0720b, 0x0000000d, 
      0x8d043015, 0xc0e20cf0, 0x02f0720b, 0x0000000d, 
      0x8d042014, 0xc0e30cf0, 0x02f0730b, 0x0000000d, 
      0x8c042014, 0xd0e30ce0, 0x02f0740b, 0x0000000d, 
      0x8b042013, 0xd0e30ce0, 0x0300740b, 0x0000000e, 
      0x8b041013, 0xe0e30cd0, 0x0300750b, 0x0000000e, 
      0x8a040014, 0xe0e30cd0, 0x0310750b, 0x0000000e, 
      0x8a040012, 0xf0e30cd0, 0x0310760b, 0x0000000e, 
      0x89040013, 0xf0e30cc0, 0x0310770b, 0x0000000e, 
      0x8803f013, 0x00e30cc0, 0x0320770c, 0x0000000e, 
      0x8803f012, 0x00e30cc0, 0x0320780c, 0x0000000e, 
      0x8703e013, 0x10e30cb0, 0x0330780c, 0x0000000e, 
      0x8703d012, 0x10e30cb0, 0x0330790c, 0x0000000f, 
      0x8603d011, 0x20e30ca0, 0x03407a0c, 0x0000000f, 
      0x8503d012, 0x20e30ca0, 0x03407a0c, 0x0000000f, 
      0x8503c011, 0x30e30c90, 0x03507b0c, 0x0000000f, 
      0x8403c011, 0x30e30c90, 0x03507c0c, 0x0000000f, 
      0x8403b012, 0x30e30c90, 0x03507c0c, 0x0000000f, 
      0x8303b011, 0x40e30c80, 0x03607d0c, 0x0000000f, 
      0x8203b011, 0x40e30c80, 0x03607d0c, 0x00000010, 
      0x8203a010, 0x50e30c70, 0x03707e0c, 0x00000010, 
      0x81039011, 0x50e30c70, 0x03707f0c, 0x00000010, 
      0x80039010, 0x60e30c70, 0x03807f0c, 0x00000010, 
      0x80038011, 0x60e30c60, 0x0380800c, 0x00000010, 
      0x7f038010, 0x70e30c60, 0x0390800c, 0x00000010, 
      0x7f038010, 0x70e30c50, 0x0390810c, 0x00000010, 
      0x7e03700f, 0x70e30c50, 0x03a0820c, 0x00000011, 
      0x7d037010, 0x80e30c40, 0x03a0820c, 0x00000011, 
      0x7d03600f, 0x80e30c40, 0x03b0830c, 0x00000011, 
      0x7c035010, 0x90e30c30, 0x03b0840c, 0x00000011, 
      0x7c03500f, 0x90e30c30, 0x03c0840c, 0x00000011, 
      0x7b03500f, 0x90e30c30, 0x03c0850c, 0x00000011, 
      0x7a03400f, 0xa0e30c20, 0x03d0850c, 0x00000012, 
      0x7a03400e, 0xa0e30c20, 0x03d0860c, 0x00000012, 
      0x7903300e, 0xb0e30c10, 0x03e0870c, 0x00000012, 
      0x7803300f, 0xb0e30c10, 0x03e0870c, 0x00000012, 
      0x7803200e, 0xc0e30c00, 0x03f0880c, 0x00000012, 
      0x7703200e, 0xc0e30c00, 0x03f0880c, 0x00000013, 
      0x7703100f, 0xc0e30bf0, 0x03f0890c, 0x00000013, 
      0x7603100d, 0xd0e30bf0, 0x04008a0c, 0x00000013, 
      0x7603100e, 0xd0e30be0, 0x04008a0c, 0x00000013, 
      0x7503000e, 0xd0e30be0, 0x04108b0c, 0x00000013, 
      0x7403000d, 0xe0e30bd0, 0x04208b0c, 0x00000014, 
      0x7402f00d, 0xe0e30bd0, 0x04208c0c, 0x00000014, 
      0x7302e00d, 0xf0e30bc0, 0x04308d0c, 0x00000014, 
      0x7202f00e, 0xf0e20bc0, 0x04308d0c, 0x00000014, 
      0x7202e00e, 0xf0e20bb0, 0x04408e0c, 0x00000014, 
      0x7102d00d, 0x00e20bb0, 0x04408f0d, 0x00000015, 
      0x7102d00d, 0x00e20ba0, 0x04508f0d, 0x00000015, 
      0x7002d00d, 0x00e20ba0, 0x0450900d, 0x00000015, 
      0x6f02d00d, 0x10e20b90, 0x0460900d, 0x00000015, 
      0x6f02c00c, 0x10e20b90, 0x0460910d, 0x00000016, 
      0x6e02b00c, 0x20e20b80, 0x0470920d, 0x00000016, 
      0x6e02b00c, 0x20e20b80, 0x0470920d, 0x00000016, 
      0x6d02b00c, 0x20e20b70, 0x0480930d, 0x00000016, 
      0x6c02b00d, 0x30e10b70, 0x0480930d, 0x00000016, 
      0x6c02a00c, 0x30e10b60, 0x0490940d, 0x00000017, 
      0x6b02a00c, 0x30e10b60, 0x0490950d, 0x00000017, 
      0x6a02900d, 0x40e10b50, 0x04a0950d, 0x00000017, 
      0x6a02900c, 0x40e10b50, 0x04a0960d, 0x00000017, 
      0x6902900c, 0x40e10b40, 0x04b0960d, 0x00000018, 
      0x6902800b, 0x50e10b40, 0x04b0970d, 0x00000018, 
      0x6802800c, 0x50e00b30, 0x04c0980d, 0x00000018, 
      0x6702800c, 0x50e00b30, 0x04d0980d, 0x00000018, 
      0x6702700b, 0x60e00b20, 0x04d0990d, 0x00000019, 
      0x6602700b, 0x60e00b20, 0x04e0990d, 0x00000019, 
      0x6602600c, 0x60e00b10, 0x04e09a0d, 0x00000019, 
      0x6502500b, 0x70e00b00, 0x04f09b0d, 0x0000001a, 
      0x6502500b, 0x70e00b00, 0x04f09b0d, 0x0000001a, 
      0x6402500b, 0x70df0b00, 0x05009c0d, 0x0000001a, 
      0x6402500c, 0x70df0af0, 0x05009c0d, 0x0000001a, 
      0x6302400b, 0x80df0ae0, 0x05109d0d, 0x0000001b, 
      0x6202400c, 0x80df0ae0, 0x05109d0d, 0x0000001b, 
      0x6202400b, 0x80df0ad0, 0x05209e0d, 0x0000001b, 
      0x6102300b, 0x90de0ad0, 0x05309f0d, 0x0000001b, 
      0x6002300c, 0x90de0ac0, 0x05309f0d, 0x0000001c, 
      0x6002300a, 0x90de0ac0, 0x0540a00d, 0x0000001c, 
      0x6002300b, 0x90de0ab0, 0x0540a00d, 0x0000001c, 
      0x5e02200a, 0xa0de0ab0, 0x0550a10d, 0x0000001d, 
      0x5e02200b, 0xa0dd0aa0, 0x0550a20d, 0x0000001d, 
      0x5d02200b, 0xa0dd0aa0, 0x0560a20d, 0x0000001d, 
      0x5d02100a, 0xa0dd0a90, 0x0570a30d, 0x0000001e, 
      0x5c02100b, 0xb0dd0a80, 0x0570a30d, 0x0000001e, 
      0x5c02000a, 0xb0dd0a80, 0x0580a40d, 0x0000001e, 
      0x5c02100b, 0xb0dc0a70, 0x0580a40d, 0x0000001e, 
      0x5b02000a, 0xb0dc0a70, 0x0590a50d, 0x0000001f, 
      0x5a01f00b, 0xc0dc0a60, 0x0590a60d, 0x0000001f,
   },
   { /* Y scale factor = 0.13, phases = 127, taps = 9. */
      0xa605801d, 0x70df0de0, 0x01e0590a, 0x0000000a, 
      0xa605801d, 0x70df0de0, 0x01e0590a, 0x0000000a, 
      0xa505601d, 0x80df0de0, 0x01f05a0a, 0x0000000a, 
      0xa405701d, 0x80df0de0, 0x01f05a0a, 0x0000000a, 
      0xa405601c, 0x90e00dd0, 0x01f05b0a, 0x0000000a, 
      0xa305501c, 0xa0df0dd0, 0x02005c0a, 0x0000000a, 
      0xa305501b, 0xa0e00dd0, 0x02005c0a, 0x0000000a, 
      0xa205401c, 0xb0e00dc0, 0x02005d0a, 0x0000000a, 
      0xa105401c, 0xb0e00dc0, 0x02105d0a, 0x0000000a, 
      0xa105301a, 0xc0e10dc0, 0x02105e0a, 0x0000000a, 
      0xa005201b, 0xc0e10dc0, 0x02105f0a, 0x0000000a, 
      0xa005201a, 0xd0e10db0, 0x02205f0a, 0x0000000a, 
      0x9f05101a, 0xe0e10db0, 0x0220600a, 0x0000000a, 
      0x9f05101a, 0xe0e10db0, 0x0220600a, 0x0000000a, 
      0x9e050019, 0xf0e20da0, 0x0230610a, 0x0000000a, 
      0x9d050019, 0xf0e20da0, 0x0230620a, 0x0000000a, 
      0x9d04f019, 0x00e20da0, 0x0230620b, 0x0000000a, 
      0x9c04e019, 0x00e20da0, 0x0240630b, 0x0000000a, 
      0x9c04e019, 0x10e20d90, 0x0240630b, 0x0000000a, 
      0x9b04d019, 0x20e20d90, 0x0240640b, 0x0000000a, 
      0x9a04c017, 0x20e30d90, 0x0250650b, 0x0000000b, 
      0x9904c018, 0x30e30d80, 0x0250650b, 0x0000000b, 
      0x9904b017, 0x30e30d80, 0x0260660b, 0x0000000b, 
      0x9804b017, 0x40e30d80, 0x0260660b, 0x0000000b, 
      0x9804b017, 0x40e30d70, 0x0260670b, 0x0000000b, 
      0x9704a016, 0x50e30d70, 0x0270680b, 0x0000000b, 
      0x96049017, 0x50e40d70, 0x0270680b, 0x0000000b, 
      0x96049016, 0x60e40d60, 0x0270690b, 0x0000000b, 
      0x95049016, 0x60e40d60, 0x0280690b, 0x0000000b, 
      0x95048015, 0x70e40d60, 0x02806a0b, 0x0000000b, 
      0x94047016, 0x70e40d50, 0x02906b0b, 0x0000000b, 
      0x93047016, 0x80e40d50, 0x02906b0b, 0x0000000b, 
      0x93046016, 0x90e40d40, 0x02906c0b, 0x0000000b, 
      0x92045014, 0x90e50d40, 0x02a06d0b, 0x0000000c, 
      0x91045014, 0xa0e50d40, 0x02a06d0b, 0x0000000c, 
      0x91044014, 0xa0e50d30, 0x02b06e0b, 0x0000000c, 
      0x90044014, 0xb0e50d30, 0x02b06e0b, 0x0000000c, 
      0x90044013, 0xb0e50d30, 0x02b06f0b, 0x0000000c, 
      0x8f043013, 0xc0e50d20, 0x02c0700b, 0x0000000c, 
      0x8e043014, 0xc0e50d20, 0x02c0700b, 0x0000000c, 
      0x8e042013, 0xd0e50d10, 0x02d0710b, 0x0000000c, 
      0x8d042014, 0xd0e50d10, 0x02d0710b, 0x0000000c, 
      0x8d041013, 0xe0e50d10, 0x02d0720b, 0x0000000c, 
      0x8c041013, 0xe0e50d00, 0x02e0730b, 0x0000000c, 
      0x8b040012, 0xf0e60d00, 0x02e0730b, 0x0000000d, 
      0x8b03f012, 0xf0e60cf0, 0x02f0740b, 0x0000000d, 
      0x8a03e012, 0x00e60cf0, 0x02f0750c, 0x0000000d, 
      0x8903e012, 0x00e60cf0, 0x0300750c, 0x0000000d, 
      0x8903e011, 0x10e60ce0, 0x0300760c, 0x0000000d, 
      0x8803e012, 0x10e60ce0, 0x0300760c, 0x0000000d, 
      0x8703d012, 0x20e60cd0, 0x0310770c, 0x0000000d, 
      0x8703c012, 0x20e60cd0, 0x0310780c, 0x0000000d, 
      0x8603c010, 0x30e60cd0, 0x0320780c, 0x0000000e, 
      0x8603b011, 0x30e60cc0, 0x0320790c, 0x0000000e, 
      0x8503a010, 0x40e60cc0, 0x03307a0c, 0x0000000e, 
      0x8403b011, 0x40e60cb0, 0x03307a0c, 0x0000000e, 
      0x8403a010, 0x50e60cb0, 0x03307b0c, 0x0000000e, 
      0x8303a010, 0x50e60ca0, 0x03407c0c, 0x0000000e, 
      0x8303a010, 0x50e60ca0, 0x03407c0c, 0x0000000e, 
      0x8203800f, 0x60e60ca0, 0x03507d0c, 0x0000000f, 
      0x81039010, 0x60e60c90, 0x03507d0c, 0x0000000f, 
      0x8103700f, 0x70e60c90, 0x03607e0c, 0x0000000f, 
      0x80037010, 0x70e60c80, 0x03607f0c, 0x0000000f, 
      0x7f03700f, 0x80e60c80, 0x03707f0c, 0x0000000f, 
      0x7f03700f, 0x80e60c70, 0x0370800c, 0x0000000f, 
      0x7e03600e, 0x90e60c70, 0x0380810c, 0x0000000f, 
      0x7d03600f, 0x90e60c60, 0x0380810c, 0x00000010, 
      0x7d03400e, 0xa0e60c60, 0x0390820c, 0x00000010, 
      0x7c03500f, 0xa0e60c50, 0x0390820c, 0x00000010, 
      0x7c03400e, 0xa0e60c50, 0x03a0830c, 0x00000010, 
      0x7b03300e, 0xb0e60c50, 0x03a0840c, 0x00000010, 
      0x7a03400e, 0xb0e60c40, 0x03b0840c, 0x00000010, 
      0x7a03200d, 0xc0e60c40, 0x03b0850c, 0x00000011, 
      0x7903200e, 0xc0e60c30, 0x03b0860c, 0x00000011, 
      0x7803200d, 0xd0e60c30, 0x03c0860c, 0x00000011, 
      0x7803100e, 0xd0e60c20, 0x03c0870c, 0x00000011, 
      0x7703100e, 0xd0e60c20, 0x03d0870c, 0x00000011, 
      0x7603100e, 0xe0e60c10, 0x03d0880c, 0x00000011, 
      0x7602f00d, 0xe0e60c10, 0x03e0890c, 0x00000012, 
      0x7503000d, 0xf0e60c00, 0x03e0890c, 0x00000012, 
      0x7502f00c, 0xf0e60c00, 0x03f08a0c, 0x00000012, 
      0x7402f00d, 0xf0e60bf0, 0x03f08b0c, 0x00000012, 
      0x7302e00d, 0x00e60bf0, 0x04008b0d, 0x00000012, 
      0x7302e00d, 0x00e50be0, 0x04008c0d, 0x00000013, 
      0x7202d00d, 0x10e50be0, 0x04108c0d, 0x00000013, 
      0x7202d00d, 0x10e50bd0, 0x04108d0d, 0x00000013, 
      0x7102d00c, 0x10e50bd0, 0x04208e0d, 0x00000013, 
      0x7002c00d, 0x20e50bc0, 0x04308e0d, 0x00000013, 
      0x7002c00b, 0x20e50bc0, 0x04308f0d, 0x00000014, 
      0x6f02b00b, 0x30e50bb0, 0x0440900d, 0x00000014, 
      0x6e02b00c, 0x30e50bb0, 0x0440900d, 0x00000014, 
      0x6e02b00b, 0x30e50ba0, 0x0450910d, 0x00000014, 
      0x6d02a00b, 0x40e50ba0, 0x0450910d, 0x00000015, 
      0x6d02900b, 0x40e50b90, 0x0460920d, 0x00000015, 
      0x6c02900c, 0x40e40b90, 0x0460930d, 0x00000015, 
      0x6b02900c, 0x50e40b80, 0x0470930d, 0x00000015, 
      0x6b02900c, 0x50e40b70, 0x0470940d, 0x00000015, 
      0x6a02800b, 0x60e40b60, 0x0480950d, 0x00000016, 
      0x6902800c, 0x60e40b60, 0x0480950d, 0x00000016, 
      0x6902700b, 0x60e40b60, 0x0490960d, 0x00000016, 
      0x6902700b, 0x70e40b50, 0x0490960d, 0x00000016, 
      0x6802700a, 0x70e30b50, 0x04a0970d, 0x00000017, 
      0x6702600b, 0x70e30b40, 0x04b0980d, 0x00000017, 
      0x6602600b, 0x80e30b40, 0x04b0980d, 0x00000017, 
      0x6602600a, 0x80e30b30, 0x04c0990d, 0x00000017, 
      0x6502500b, 0x80e30b30, 0x04c0990d, 0x00000018, 
      0x6502400a, 0x90e30b20, 0x04d09a0d, 0x00000018, 
      0x6402400b, 0x90e20b20, 0x04d09b0d, 0x00000018, 
      0x6302500b, 0x90e20b10, 0x04e09b0d, 0x00000018, 
      0x6302400a, 0xa0e20b00, 0x04e09c0d, 0x00000019, 
      0x6202300a, 0xa0e20b00, 0x04f09d0d, 0x00000019, 
      0x6202300a, 0xa0e20af0, 0x05009d0d, 0x00000019, 
      0x6102200a, 0xa0e20af0, 0x05009e0d, 0x0000001a, 
      0x6002200b, 0xb0e10ae0, 0x05109e0d, 0x0000001a, 
      0x6002200a, 0xb0e10ae0, 0x05109f0d, 0x0000001a, 
      0x5f02200a, 0xb0e10ad0, 0x0520a00d, 0x0000001a, 
      0x5f02100a, 0xc0e10ac0, 0x0520a00d, 0x0000001b, 
      0x5e021009, 0xc0e10ac0, 0x0530a10d, 0x0000001b, 
      0x5e02100a, 0xc0e00ac0, 0x0530a10d, 0x0000001b, 
      0x5d02000a, 0xc0e00ab0, 0x0540a20d, 0x0000001c, 
      0x5c020009, 0xd0e00aa0, 0x0550a30d, 0x0000001c, 
      0x5c020009, 0xd0e00aa0, 0x0550a30d, 0x0000001c, 
      0x5b01f00a, 0xd0e00a90, 0x0560a40d, 0x0000001c, 
      0x5b01f00a, 0xe0df0a80, 0x0560a40d, 0x0000001d, 
      0x5a01f009, 0xe0df0a80, 0x0570a50d, 0x0000001d, 
      0x5901e00a, 0xe0df0a70, 0x0580a60d, 0x0000001d, 
      0x5901e009, 0xe0df0a70, 0x0580a60d, 0x0000001e,
   },
   { /* Y scale factor = 0.14, phases = 127, taps = 9. */
      0xa705701c, 0x70e10e10, 0x01d0570a, 0x00000009, 
      0xa605601b, 0x80e20e10, 0x01d0580a, 0x00000009, 
      0xa605501b, 0x90e20e10, 0x01d0580a, 0x00000009, 
      0xa505501c, 0x90e20e00, 0x01d0590a, 0x00000009, 
      0xa405401b, 0xa0e20e00, 0x01e05a0a, 0x00000009, 
      0xa405401a, 0xa0e30e00, 0x01e05a0a, 0x00000009, 
      0xa305301a, 0xb0e30e00, 0x01e05b0a, 0x00000009, 
      0xa205301a, 0xc0e30df0, 0x01f05b0a, 0x00000009, 
      0xa205201a, 0xc0e30df0, 0x01f05c0a, 0x00000009, 
      0xa1051019, 0xd0e40df0, 0x01f05d0a, 0x00000009, 
      0xa1051019, 0xd0e40de0, 0x02005d0a, 0x00000009, 
      0xa0050019, 0xe0e40de0, 0x02005e0a, 0x00000009, 
      0xa0050019, 0xe0e40de0, 0x02005e0a, 0x00000009, 
      0x9f04f019, 0xf0e40dd0, 0x02105f0a, 0x00000009, 
      0x9e04e018, 0x00e50dd0, 0x0210600b, 0x00000009, 
      0x9e04e018, 0x00e50dd0, 0x0210600b, 0x00000009, 
      0x9d04d018, 0x10e50dc0, 0x0220610b, 0x00000009, 
      0x9c04d018, 0x10e50dc0, 0x0220620b, 0x00000009, 
      0x9c04c018, 0x20e50dc0, 0x0220620b, 0x00000009, 
      0x9b04c017, 0x30e50db0, 0x0230630b, 0x00000009, 
      0x9a04b017, 0x30e60db0, 0x0230630b, 0x0000000a, 
      0x9904a016, 0x40e60db0, 0x0240640b, 0x0000000a, 
      0x9904a016, 0x40e60da0, 0x0240650b, 0x0000000a, 
      0x9804a016, 0x50e60da0, 0x0240650b, 0x0000000a, 
      0x98049015, 0x50e60da0, 0x0250660b, 0x0000000a, 
      0x97049016, 0x60e60d90, 0x0250660b, 0x0000000a, 
      0x96048016, 0x60e70d90, 0x0250670b, 0x0000000a, 
      0x96047014, 0x70e70d90, 0x0260680b, 0x0000000a, 
      0x95047015, 0x80e70d80, 0x0260680b, 0x0000000a, 
      0x95046014, 0x80e70d80, 0x0270690b, 0x0000000a, 
      0x94045014, 0x90e70d80, 0x02706a0b, 0x0000000a, 
      0x94046014, 0x90e70d70, 0x02706a0b, 0x0000000a, 
      0x93045013, 0xa0e70d70, 0x02806b0b, 0x0000000a, 
      0x92044014, 0xa0e80d60, 0x02806b0b, 0x0000000b, 
      0x91044013, 0xb0e80d60, 0x02806c0b, 0x0000000b, 
      0x91042013, 0xb0e80d60, 0x02906d0b, 0x0000000b, 
      0x90043013, 0xc0e80d50, 0x02906d0b, 0x0000000b, 
      0x8f042013, 0xc0e80d50, 0x02a06e0b, 0x0000000b, 
      0x8f041012, 0xd0e80d50, 0x02a06f0b, 0x0000000b, 
      0x8e041013, 0xe0e80d40, 0x02a06f0b, 0x0000000b, 
      0x8d040013, 0xe0e80d40, 0x02b0700b, 0x0000000b, 
      0x8d040012, 0xf0e80d30, 0x02b0710b, 0x0000000b, 
      0x8c03f012, 0xf0e90d30, 0x02c0710b, 0x0000000b, 
      0x8c03f011, 0x00e90d20, 0x02c0720c, 0x0000000b, 
      0x8b03e011, 0x00e90d20, 0x02d0720c, 0x0000000c, 
      0x8a03d011, 0x10e90d20, 0x02d0730c, 0x0000000c, 
      0x8a03d011, 0x10e90d10, 0x02d0740c, 0x0000000c, 
      0x8903d010, 0x20e90d10, 0x02e0740c, 0x0000000c, 
      0x8803d011, 0x20e90d00, 0x02e0750c, 0x0000000c, 
      0x8803b010, 0x30e90d00, 0x02f0760c, 0x0000000c, 
      0x8703b011, 0x30e90d00, 0x02f0760c, 0x0000000c, 
      0x8603b010, 0x40e90cf0, 0x0300770c, 0x0000000c, 
      0x8603a010, 0x40e90cf0, 0x0300780c, 0x0000000c, 
      0x8503a010, 0x50e90ce0, 0x0300780c, 0x0000000d, 
      0x84039010, 0x50e90ce0, 0x0310790c, 0x0000000d, 
      0x84039010, 0x60e90cd0, 0x0310790c, 0x0000000d, 
      0x83038010, 0x60e90cd0, 0x03207a0c, 0x0000000d, 
      0x8303800f, 0x70e90cc0, 0x03207b0c, 0x0000000d, 
      0x8203800f, 0x70e90cc0, 0x03307b0c, 0x0000000d, 
      0x8203700f, 0x80e90cb0, 0x03307c0c, 0x0000000d, 
      0x8103600e, 0x80e90cb0, 0x03407d0c, 0x0000000e, 
      0x8003600e, 0x90e90cb0, 0x03407d0c, 0x0000000e, 
      0x7f03500f, 0x90e90ca0, 0x03507e0c, 0x0000000e, 
      0x7f03500d, 0xa0e90ca0, 0x03507f0c, 0x0000000e, 
      0x7e03500e, 0xa0e90ca0, 0x03507f0c, 0x0000000e, 
      0x7d03400e, 0xb0e90c90, 0x0360800c, 0x0000000e, 
      0x7d03400e, 0xb0e90c80, 0x0360810c, 0x0000000e, 
      0x7c03300e, 0xb0e90c80, 0x0370810c, 0x0000000f, 
      0x7b03300e, 0xc0e90c70, 0x0370820c, 0x0000000f, 
      0x7b03200d, 0xc0e90c70, 0x0380830c, 0x0000000f, 
      0x7a03200e, 0xd0e90c60, 0x0380830c, 0x0000000f, 
      0x7903200d, 0xd0e90c60, 0x0390840c, 0x0000000f, 
      0x7903100d, 0xe0e90c60, 0x0390840c, 0x0000000f, 
      0x7803000d, 0xe0e90c50, 0x03a0850c, 0x00000010, 
      0x7803000c, 0xf0e90c40, 0x03a0860c, 0x00000010, 
      0x7703000c, 0xf0e90c40, 0x03b0860c, 0x00000010, 
      0x7602f00d, 0x00e90c30, 0x03b0870d, 0x00000010, 
      0x7602e00c, 0x00e90c30, 0x03c0880d, 0x00000010, 
      0x7502f00d, 0x00e90c20, 0x03c0880d, 0x00000010, 
      0x7402e00b, 0x10e90c20, 0x03d0890d, 0x00000011, 
      0x7402d00c, 0x10e90c10, 0x03d08a0d, 0x00000011, 
      0x7302d00b, 0x20e90c10, 0x03e08a0d, 0x00000011, 
      0x7202d00c, 0x20e90c00, 0x03e08b0d, 0x00000011, 
      0x7202c00b, 0x20e90c00, 0x03f08c0d, 0x00000011, 
      0x7102c00b, 0x30e90bf0, 0x03f08c0d, 0x00000012, 
      0x7102b00b, 0x30e80bf0, 0x04008d0d, 0x00000012, 
      0x7002b00c, 0x40e80be0, 0x04008d0d, 0x00000012, 
      0x6f02a00c, 0x40e80be0, 0x04108e0d, 0x00000012, 
      0x6f02a00b, 0x50e80bd0, 0x04108f0d, 0x00000012, 
      0x6e02a00b, 0x50e80bc0, 0x04208f0d, 0x00000013, 
      0x6d02a00b, 0x50e80bc0, 0x0420900d, 0x00000013, 
      0x6d02900a, 0x60e80bb0, 0x0430910d, 0x00000013, 
      0x6c02800b, 0x60e80bb0, 0x0440910d, 0x00000013, 
      0x6b02800b, 0x60e80ba0, 0x0440920d, 0x00000014, 
      0x6b02700a, 0x70e70ba0, 0x0450930d, 0x00000014, 
      0x6a02800b, 0x70e70b90, 0x0450930d, 0x00000014, 
      0x6a02600a, 0x80e70b90, 0x0460940d, 0x00000014, 
      0x6902700a, 0x80e70b80, 0x0460950d, 0x00000014, 
      0x6802600a, 0x80e70b80, 0x0470950d, 0x00000015, 
      0x6802500a, 0x90e70b70, 0x0470960d, 0x00000015, 
      0x6702600a, 0x90e70b60, 0x0480960d, 0x00000015, 
      0x6702600a, 0x90e60b60, 0x0480970d, 0x00000015, 
      0x66025009, 0xa0e60b50, 0x0490980d, 0x00000016, 
      0x6502500a, 0xa0e60b50, 0x0490980d, 0x00000016, 
      0x6502400a, 0xa0e60b40, 0x04a0990d, 0x00000016, 
      0x64023009, 0xb0e60b40, 0x04b09a0d, 0x00000016, 
      0x6302300a, 0xb0e60b30, 0x04b09a0d, 0x00000017, 
      0x63023009, 0xb0e50b30, 0x04c09b0d, 0x00000017, 
      0x6202200a, 0xc0e50b20, 0x04c09c0d, 0x00000017, 
      0x6202200a, 0xc0e50b10, 0x04d09c0d, 0x00000017, 
      0x61022009, 0xc0e50b10, 0x04d09d0d, 0x00000018, 
      0x6002100a, 0xd0e50b00, 0x04e09d0d, 0x00000018, 
      0x5f021009, 0xd0e50b00, 0x04f09e0d, 0x00000018, 
      0x5f02100a, 0xd0e40af0, 0x04f09f0d, 0x00000018, 
      0x5e02000a, 0xe0e40ae0, 0x05009f0d, 0x00000019, 
      0x5e020009, 0xe0e40ae0, 0x0500a00d, 0x00000019, 
      0x5d020009, 0xe0e40ad0, 0x0510a10d, 0x00000019, 
      0x5d01f008, 0xf0e40ad0, 0x0510a10d, 0x0000001a, 
      0x5c01f009, 0xf0e30ac0, 0x0520a20d, 0x0000001a, 
      0x5b01f009, 0xf0e30ac0, 0x0530a20d, 0x0000001a, 
      0x5b01e009, 0x00e30ab0, 0x0530a30e, 0x0000001a, 
      0x5a01e008, 0x00e30aa0, 0x0540a40e, 0x0000001b, 
      0x5a01e009, 0x00e20aa0, 0x0540a40e, 0x0000001b, 
      0x5901e009, 0x00e20a90, 0x0550a50e, 0x0000001b, 
      0x5801d008, 0x10e20a90, 0x0550a60e, 0x0000001c, 
      0x5801d008, 0x10e20a80, 0x0560a60e, 0x0000001c, 
      0x5701d009, 0x10e10a70, 0x0570a70e, 0x0000001c,
   },
   { /* Y scale factor = 0.15, phases = 127, taps = 9. */
      0xa705501b, 0x80e40e40, 0x01b0560a, 0x00000008, 
      0xa705401a, 0x90e50e40, 0x01b0560a, 0x00000008, 
      0xa605301a, 0x90e50e40, 0x01c0570a, 0x00000008, 
      0xa505301a, 0xa0e50e30, 0x01c0580a, 0x00000008, 
      0xa505301a, 0xa0e50e30, 0x01c0580a, 0x00000008, 
      0xa4052019, 0xb0e60e30, 0x01c0590a, 0x00000008, 
      0xa3052019, 0xc0e60e20, 0x01d0590a, 0x00000008, 
      0xa3051019, 0xc0e60e20, 0x01d05a0a, 0x00000008, 
      0xa2050019, 0xd0e60e20, 0x01d05b0a, 0x00000008, 
      0xa104f018, 0xe0e70e20, 0x01e05b0a, 0x00000008, 
      0xa104f018, 0xe0e70e10, 0x01e05c0a, 0x00000008, 
      0xa004f018, 0xf0e70e10, 0x01e05c0a, 0x00000008, 
      0xa004e017, 0xf0e70e10, 0x01f05d0a, 0x00000008, 
      0x9f04d017, 0x00e80e00, 0x01f05e0b, 0x00000008, 
      0x9e04d017, 0x10e80e00, 0x01f05e0b, 0x00000008, 
      0x9e04c016, 0x10e80e00, 0x02005f0b, 0x00000008, 
      0x9d04c016, 0x20e80df0, 0x0200600b, 0x00000008, 
      0x9d04c016, 0x20e80df0, 0x0200600b, 0x00000008, 
      0x9c04a015, 0x30e90df0, 0x0210610b, 0x00000008, 
      0x9b04a016, 0x40e90de0, 0x0210610b, 0x00000008, 
      0x9a049015, 0x40e90de0, 0x0220620b, 0x00000009, 
      0x9a048014, 0x50e90de0, 0x0220630b, 0x00000009, 
      0x99049015, 0x50e90dd0, 0x0220630b, 0x00000009, 
      0x98048014, 0x60e90dd0, 0x0230640b, 0x00000009, 
      0x98047014, 0x60ea0dc0, 0x0230650b, 0x00000009, 
      0x97047014, 0x70ea0dc0, 0x0230650b, 0x00000009, 
      0x96046013, 0x80ea0dc0, 0x0240660b, 0x00000009, 
      0x96046014, 0x80ea0db0, 0x0240660b, 0x00000009, 
      0x95045014, 0x90ea0db0, 0x0240670b, 0x00000009, 
      0x94044014, 0x90ea0db0, 0x0250680b, 0x00000009, 
      0x94044013, 0xa0eb0da0, 0x0250680b, 0x00000009, 
      0x93043012, 0xb0eb0da0, 0x0260690b, 0x00000009, 
      0x93043012, 0xb0eb0d90, 0x02606a0b, 0x00000009, 
      0x92042013, 0xc0eb0d90, 0x02606a0b, 0x00000009, 
      0x91042011, 0xc0eb0d90, 0x02706b0b, 0x0000000a, 
      0x91041011, 0xd0eb0d80, 0x02706c0b, 0x0000000a, 
      0x90041011, 0xd0eb0d80, 0x02806c0b, 0x0000000a, 
      0x8f040012, 0xe0eb0d70, 0x02806d0b, 0x0000000a, 
      0x8f03f011, 0xe0ec0d70, 0x02806e0b, 0x0000000a, 
      0x8e03f010, 0xf0ec0d70, 0x02906e0b, 0x0000000a, 
      0x8d03f010, 0x00ec0d60, 0x02906f0c, 0x0000000a, 
      0x8d03e010, 0x00ec0d60, 0x02a06f0c, 0x0000000a, 
      0x8c03e010, 0x10ec0d50, 0x02a0700c, 0x0000000a, 
      0x8b03d011, 0x10ec0d50, 0x02a0710c, 0x0000000a, 
      0x8b03d010, 0x20ec0d40, 0x02b0710c, 0x0000000a, 
      0x8a03c010, 0x20ec0d40, 0x02b0720c, 0x0000000b, 
      0x8903b00f, 0x30ec0d40, 0x02c0730c, 0x0000000b, 
      0x8903b010, 0x30ec0d30, 0x02c0730c, 0x0000000b, 
      0x8803a010, 0x40ec0d30, 0x02c0740c, 0x0000000b, 
      0x8703a010, 0x40ec0d20, 0x02d0750c, 0x0000000b, 
      0x8703900f, 0x50ed0d20, 0x02d0750c, 0x0000000b, 
      0x8603900e, 0x60ed0d10, 0x02e0760c, 0x0000000b, 
      0x8503800f, 0x60ed0d10, 0x02e0770c, 0x0000000b, 
      0x8503700e, 0x70ed0d00, 0x02f0770c, 0x0000000c, 
      0x8403700e, 0x70ed0d00, 0x02f0780c, 0x0000000c, 
      0x8303600e, 0x80ed0cf0, 0x0300790c, 0x0000000c, 
      0x8303700d, 0x80ed0cf0, 0x0300790c, 0x0000000c, 
      0x8203600d, 0x90ed0cf0, 0x03007a0c, 0x0000000c, 
      0x8103600d, 0x90ed0ce0, 0x03107b0c, 0x0000000c, 
      0x8103500d, 0xa0ed0ce0, 0x03107b0c, 0x0000000c, 
      0x8003500d, 0xa0ed0cd0, 0x03207c0c, 0x0000000c, 
      0x7f03400d, 0xb0ed0cc0, 0x03207d0c, 0x0000000d, 
      0x7f03400c, 0xb0ed0cc0, 0x03307d0c, 0x0000000d, 
      0x7e03300c, 0xc0ed0cc0, 0x03307e0c, 0x0000000d, 
      0x7d03300c, 0xc0ed0cb0, 0x03407f0c, 0x0000000d, 
      0x7d03200c, 0xd0ed0cb0, 0x03407f0c, 0x0000000d, 
      0x7c03200c, 0xd0ed0ca0, 0x0350800c, 0x0000000d, 
      0x7b03100c, 0xe0ed0ca0, 0x0350810c, 0x0000000d, 
      0x7b03000c, 0xe0ed0c90, 0x0360810c, 0x0000000e, 
      0x7903000c, 0xf0ed0c90, 0x0360820c, 0x0000000e, 
      0x7903000b, 0xf0ed0c80, 0x0370830c, 0x0000000e, 
      0x7903000b, 0xf0ed0c80, 0x0370830c, 0x0000000e, 
      0x7802f00c, 0x00ed0c70, 0x0370840d, 0x0000000e, 
      0x7702f00b, 0x00ed0c70, 0x0380850d, 0x0000000e, 
      0x7702e00b, 0x10ed0c60, 0x0380850d, 0x0000000f, 
      0x7602d00b, 0x10ed0c60, 0x0390860d, 0x0000000f, 
      0x7502d00b, 0x20ed0c50, 0x0390870d, 0x0000000f, 
      0x7502d00c, 0x20ec0c40, 0x03a0870d, 0x0000000f, 
      0x7402d00b, 0x30ec0c40, 0x03a0880d, 0x0000000f, 
      0x7302d00b, 0x30ec0c30, 0x03b0890d, 0x0000000f, 
      0x7302c00a, 0x40ec0c30, 0x03b0890d, 0x00000010, 
      0x7202b00b, 0x40ec0c20, 0x03c08a0d, 0x00000010, 
      0x7102b00b, 0x40ec0c20, 0x03c08b0d, 0x00000010, 
      0x7102a00b, 0x50ec0c10, 0x03d08b0d, 0x00000010, 
      0x7002a00a, 0x50ec0c10, 0x03e08c0d, 0x00000010, 
      0x6f02900a, 0x60ec0c00, 0x03e08d0d, 0x00000011, 
      0x6e02900a, 0x60ec0c00, 0x03f08d0d, 0x00000011, 
      0x6e029009, 0x70ec0bf0, 0x03f08e0d, 0x00000011, 
      0x6e028009, 0x70ec0be0, 0x04008f0d, 0x00000011, 
      0x6d02800a, 0x70ec0be0, 0x04008f0d, 0x00000011, 
      0x6c028009, 0x80eb0bd0, 0x0410900d, 0x00000012, 
      0x6c027009, 0x80eb0bd0, 0x0410910d, 0x00000012, 
      0x6b027009, 0x90eb0bc0, 0x0420910d, 0x00000012, 
      0x6a02600a, 0x90eb0bc0, 0x0420920d, 0x00000012, 
      0x6a026009, 0x90eb0bb0, 0x0430930d, 0x00000012, 
      0x69025009, 0xa0eb0bb0, 0x0430930d, 0x00000013, 
      0x68025009, 0xa0eb0ba0, 0x0440940d, 0x00000013, 
      0x6802500a, 0xb0ea0b90, 0x0440940d, 0x00000013, 
      0x6702400a, 0xb0ea0b90, 0x0450950d, 0x00000013, 
      0x66024009, 0xb0ea0b80, 0x0460960d, 0x00000014, 
      0x66024008, 0xc0ea0b80, 0x0460960d, 0x00000014, 
      0x65023009, 0xc0ea0b70, 0x0470970d, 0x00000014, 
      0x65023009, 0xc0ea0b60, 0x0470980d, 0x00000014, 
      0x64023009, 0xd0e90b60, 0x0480980d, 0x00000014, 
      0x63023009, 0xd0e90b50, 0x0480990d, 0x00000015, 
      0x63021008, 0xe0e90b50, 0x04909a0d, 0x00000015, 
      0x62022009, 0xe0e90b40, 0x04909a0d, 0x00000015, 
      0x61021009, 0xe0e90b40, 0x04a09b0d, 0x00000015, 
      0x60020008, 0xf0e90b30, 0x04b09c0d, 0x00000016, 
      0x60021009, 0xf0e80b20, 0x04b09c0d, 0x00000016, 
      0x60020008, 0xf0e80b20, 0x04c09d0d, 0x00000016, 
      0x5f020008, 0x00e80b10, 0x04c09e0e, 0x00000016, 
      0x5e01f008, 0x00e80b10, 0x04d09e0e, 0x00000017, 
      0x5e01f008, 0x00e80b00, 0x04d09f0e, 0x00000017, 
      0x5d01f008, 0x10e70af0, 0x04e0a00e, 0x00000017, 
      0x5c01e008, 0x10e70af0, 0x04f0a00e, 0x00000018, 
      0x5c01e008, 0x10e70ae0, 0x04f0a10e, 0x00000018, 
      0x5b01d007, 0x20e70ae0, 0x0500a20e, 0x00000018, 
      0x5b01e008, 0x20e60ad0, 0x0500a20e, 0x00000018, 
      0x5a01d008, 0x20e60ac0, 0x0510a30e, 0x00000019, 
      0x5901d008, 0x20e60ac0, 0x0520a30e, 0x00000019, 
      0x5901c008, 0x30e60ab0, 0x0520a40e, 0x00000019, 
      0x5801d008, 0x30e50aa0, 0x0530a50e, 0x00000019, 
      0x5801c008, 0x30e50aa0, 0x0530a50e, 0x0000001a, 
      0x5701c007, 0x40e50a90, 0x0540a60e, 0x0000001a, 
      0x5601b007, 0x40e50a90, 0x0550a70e, 0x0000001a, 
      0x5601b008, 0x40e40a80, 0x0550a70e, 0x0000001b,
   },
   { /* Y scale factor = 0.16, phases = 127, taps = 9. */
      0xa8053019, 0x90e80e70, 0x0190540a, 0x00000007, 
      0xa7053018, 0x90e80e70, 0x01a0550a, 0x00000007, 
      0xa7052018, 0xa0e80e70, 0x01a0550a, 0x00000007, 
      0xa5051018, 0xb0e90e70, 0x01a0560a, 0x00000007, 
      0xa6051018, 0xb0e90e60, 0x01a0560a, 0x00000007, 
      0xa5050017, 0xc0e90e60, 0x01b0570a, 0x00000007, 
      0xa4050017, 0xc0e90e60, 0x01b0580a, 0x00000007, 
      0xa304f018, 0xd0ea0e50, 0x01b0580a, 0x00000007, 
      0xa304e016, 0xe0ea0e50, 0x01c0590a, 0x00000007, 
      0xa204e016, 0xe0ea0e50, 0x01c05a0a, 0x00000007, 
      0xa104e017, 0xf0ea0e40, 0x01c05a0a, 0x00000007, 
      0xa104c015, 0x00eb0e40, 0x01d05b0b, 0x00000007, 
      0xa004c016, 0x00eb0e40, 0x01d05b0b, 0x00000007, 
      0x9f04c016, 0x10eb0e30, 0x01d05c0b, 0x00000007, 
      0x9f04b015, 0x10eb0e30, 0x01e05d0b, 0x00000007, 
      0x9e04b015, 0x20eb0e30, 0x01e05d0b, 0x00000007, 
      0x9d04a015, 0x30ec0e20, 0x01e05e0b, 0x00000007, 
      0x9d049014, 0x30ec0e20, 0x01f05f0b, 0x00000007, 
      0x9c049014, 0x40ec0e20, 0x01f05f0b, 0x00000007, 
      0x9b049014, 0x50ec0e10, 0x01f0600b, 0x00000007, 
      0x9b048013, 0x50ec0e10, 0x0200610b, 0x00000007, 
      0x9a047013, 0x60ed0e00, 0x0200610b, 0x00000008, 
      0x99046014, 0x60ed0e00, 0x0200620b, 0x00000008, 
      0x98046013, 0x70ed0e00, 0x0210620b, 0x00000008, 
      0x98045013, 0x80ed0df0, 0x0210630b, 0x00000008, 
      0x97045013, 0x80ed0df0, 0x0210640b, 0x00000008, 
      0x96044013, 0x90ed0df0, 0x0220640b, 0x00000008, 
      0x96044012, 0x90ee0de0, 0x0220650b, 0x00000008, 
      0x95043011, 0xa0ee0de0, 0x0230660b, 0x00000008, 
      0x94043012, 0xb0ee0dd0, 0x0230660b, 0x00000008, 
      0x94042012, 0xb0ee0dd0, 0x0230670b, 0x00000008, 
      0x93041011, 0xc0ee0dd0, 0x0240680b, 0x00000008, 
      0x93041011, 0xc0ee0dd0, 0x0240680b, 0x00000008, 
      0x92040011, 0xd0ef0dc0, 0x0240690b, 0x00000008, 
      0x91040010, 0xe0ef0db0, 0x02506a0b, 0x00000008, 
      0x9003f011, 0xe0ef0db0, 0x02506a0b, 0x00000009, 
      0x9003e010, 0xf0ef0da0, 0x02606b0b, 0x00000009, 
      0x8f03e010, 0xf0ef0da0, 0x02606c0b, 0x00000009, 
      0x8e03e010, 0x00ef0da0, 0x02606c0c, 0x00000009, 
      0x8e03d00f, 0x10ef0d90, 0x02706d0c, 0x00000009, 
      0x8d03d00f, 0x10ef0d90, 0x02706e0c, 0x00000009, 
      0x8c03c010, 0x20ef0d80, 0x02806e0c, 0x00000009, 
      0x8c03b00f, 0x20f00d80, 0x02806f0c, 0x00000009, 
      0x8b03b00f, 0x30f00d70, 0x0280700c, 0x00000009, 
      0x8a03b00f, 0x30f00d70, 0x0290700c, 0x00000009, 
      0x8903b00f, 0x40f00d60, 0x0290710c, 0x00000009, 
      0x8803900e, 0x50f00d60, 0x02a0720c, 0x0000000a, 
      0x8803900e, 0x50f00d60, 0x02a0720c, 0x0000000a, 
      0x8703900d, 0x60f00d50, 0x02b0730c, 0x0000000a, 
      0x8703800d, 0x60f00d50, 0x02b0740c, 0x0000000a, 
      0x8603800e, 0x70f00d40, 0x02b0740c, 0x0000000a, 
      0x8503700e, 0x70f00d40, 0x02c0750c, 0x0000000a, 
      0x8503700d, 0x80f00d30, 0x02c0760c, 0x0000000a, 
      0x8403600e, 0x80f00d30, 0x02d0760c, 0x0000000a, 
      0x8403600d, 0x90f00d20, 0x02d0770c, 0x0000000a, 
      0x8203500c, 0xa0f00d20, 0x02e0780c, 0x0000000b, 
      0x8203500d, 0xa0f00d10, 0x02e0780c, 0x0000000b, 
      0x8103400d, 0xb0f00d10, 0x02e0790c, 0x0000000b, 
      0x8103300c, 0xb0f10d00, 0x02f07a0c, 0x0000000b, 
      0x8003300c, 0xc0f10d00, 0x02f07a0c, 0x0000000b, 
      0x7f03300c, 0xc0f10cf0, 0x03007b0c, 0x0000000b, 
      0x7e03200c, 0xd0f10cf0, 0x03007c0c, 0x0000000b, 
      0x7e03200c, 0xd0f10ce0, 0x03107c0c, 0x0000000b, 
      0x7d03100b, 0xe0f10ce0, 0x03107d0c, 0x0000000c, 
      0x7c03100b, 0xe0f10cd0, 0x03207e0c, 0x0000000c, 
      0x7c03000b, 0xf0f10cd0, 0x03207e0c, 0x0000000c, 
      0x7b03000b, 0xf0f10cc0, 0x03307f0c, 0x0000000c, 
      0x7a02f00b, 0x00f10cc0, 0x0330800d, 0x0000000c, 
      0x7a02f00a, 0x00f10cb0, 0x0340810d, 0x0000000c, 
      0x7902f00b, 0x10f00cb0, 0x0340810d, 0x0000000c, 
      0x7802e00b, 0x10f00ca0, 0x0350820d, 0x0000000d, 
      0x7802d00a, 0x20f00ca0, 0x0350830d, 0x0000000d, 
      0x7702d00b, 0x20f00c90, 0x0360830d, 0x0000000d, 
      0x7602d00b, 0x30f00c80, 0x0360840d, 0x0000000d, 
      0x7602c00a, 0x30f00c80, 0x0370850d, 0x0000000d, 
      0x7502c00b, 0x40f00c70, 0x0370850d, 0x0000000d, 
      0x7402b00a, 0x40f00c70, 0x0380860d, 0x0000000e, 
      0x7402b009, 0x50f00c60, 0x0380870d, 0x0000000e, 
      0x7302b009, 0x50f00c60, 0x0390870d, 0x0000000e, 
      0x7202a00a, 0x60f00c50, 0x0390880d, 0x0000000e, 
      0x72029009, 0x60f00c50, 0x03a0890d, 0x0000000e, 
      0x7102a00a, 0x60f00c40, 0x03a0890d, 0x0000000e, 
      0x70029009, 0x70f00c30, 0x03b08a0d, 0x0000000f, 
      0x70028009, 0x70f00c30, 0x03b08b0d, 0x0000000f, 
      0x6e028009, 0x80f00c20, 0x03c08c0d, 0x0000000f, 
      0x6e02800a, 0x80ef0c20, 0x03c08c0d, 0x0000000f, 
      0x6e027009, 0x90ef0c10, 0x03d08d0d, 0x0000000f, 
      0x6d027008, 0x90ef0c10, 0x03d08e0d, 0x00000010, 
      0x6c026009, 0xa0ef0c00, 0x03e08e0d, 0x00000010, 
      0x6c026009, 0xa0ef0bf0, 0x03e08f0d, 0x00000010, 
      0x6b026008, 0xa0ef0bf0, 0x03f0900d, 0x00000010, 
      0x6a026009, 0xb0ef0be0, 0x03f0900d, 0x00000010, 
      0x6a024008, 0xb0ef0be0, 0x0400910d, 0x00000011, 
      0x69024008, 0xc0ef0bd0, 0x0400920d, 0x00000011, 
      0x68025009, 0xc0ee0bc0, 0x0410920d, 0x00000011, 
      0x68024008, 0xd0ee0bc0, 0x0410930d, 0x00000011, 
      0x67023009, 0xd0ee0bb0, 0x0420940d, 0x00000011, 
      0x66023008, 0xd0ee0bb0, 0x0430940d, 0x00000012, 
      0x66022008, 0xe0ee0ba0, 0x0430950d, 0x00000012, 
      0x65022008, 0xe0ee0b90, 0x0440960d, 0x00000012, 
      0x65022008, 0xf0ed0b90, 0x0440960d, 0x00000012, 
      0x64022008, 0xf0ed0b80, 0x0450970d, 0x00000012, 
      0x63021008, 0xf0ed0b80, 0x0450980d, 0x00000013, 
      0x62021008, 0x00ed0b70, 0x0460980e, 0x00000013, 
      0x62021008, 0x00ed0b60, 0x0460990e, 0x00000013, 
      0x61020008, 0x00ed0b60, 0x04709a0e, 0x00000013, 
      0x6101f007, 0x10ec0b50, 0x04809b0e, 0x00000014, 
      0x6001f008, 0x10ec0b50, 0x04809b0e, 0x00000014, 
      0x5f01f007, 0x20ec0b40, 0x04909c0e, 0x00000014, 
      0x5f01f007, 0x20ec0b30, 0x04909d0e, 0x00000014, 
      0x5e01e007, 0x20ec0b30, 0x04a09d0e, 0x00000015, 
      0x5d01e008, 0x30eb0b20, 0x04a09e0e, 0x00000015, 
      0x5d01e007, 0x30eb0b10, 0x04b09f0e, 0x00000015, 
      0x5c01d008, 0x30eb0b10, 0x04c09f0e, 0x00000015, 
      0x5b01d007, 0x40eb0b00, 0x04c0a00e, 0x00000016, 
      0x5a01c007, 0x40eb0b00, 0x04d0a10e, 0x00000016, 
      0x5b01d007, 0x40ea0af0, 0x04d0a10e, 0x00000016, 
      0x5a01c007, 0x50ea0ae0, 0x04e0a20e, 0x00000016, 
      0x5901b006, 0x50ea0ae0, 0x04f0a30e, 0x00000017, 
      0x5801c007, 0x50ea0ad0, 0x04f0a30e, 0x00000017, 
      0x5801b007, 0x60e90ac0, 0x0500a40e, 0x00000017, 
      0x5701b006, 0x60e90ac0, 0x0500a50e, 0x00000018, 
      0x5601b007, 0x60e90ab0, 0x0510a50e, 0x00000018, 
      0x5501a006, 0x70e90ab0, 0x0520a60e, 0x00000018, 
      0x5501a007, 0x70e80aa0, 0x0520a70e, 0x00000018, 
      0x5501a006, 0x70e80a90, 0x0530a70e, 0x00000019, 
      0x54019007, 0x70e80a90, 0x0530a80e, 0x00000019,
   },
   { /* Y scale factor = 0.17, phases = 127, taps = 9. */
      0xa9051017, 0x90eb0eb0, 0x0180520a, 0x00000006, 
      0xa8050016, 0xa0ec0eb0, 0x0180530a, 0x00000006, 
      0xa7050017, 0xb0ec0ea0, 0x0180530a, 0x00000006, 
      0xa6050017, 0xb0ec0ea0, 0x0180540a, 0x00000006, 
      0xa504f016, 0xc0ec0ea0, 0x0190550a, 0x00000006, 
      0xa504e016, 0xd0ed0e90, 0x0190550a, 0x00000006, 
      0xa404e016, 0xd0ed0e90, 0x0190560a, 0x00000006, 
      0xa304d015, 0xe0ed0e90, 0x01a0570a, 0x00000006, 
      0xa304d015, 0xf0ed0e80, 0x01a0570a, 0x00000006, 
      0xa204c015, 0xf0ee0e80, 0x01a0580a, 0x00000006, 
      0xa204b014, 0x00ee0e80, 0x01b0580b, 0x00000006, 
      0xa104b014, 0x10ee0e70, 0x01b0590b, 0x00000006, 
      0xa004a015, 0x10ee0e70, 0x01b05a0b, 0x00000006, 
      0xa0049013, 0x20ef0e70, 0x01c05a0b, 0x00000006, 
      0x9f049014, 0x20ef0e60, 0x01c05b0b, 0x00000006, 
      0x9e049013, 0x30ef0e60, 0x01c05c0b, 0x00000006, 
      0x9d048014, 0x40ef0e60, 0x01c05c0b, 0x00000006, 
      0x9d047013, 0x40f00e50, 0x01d05d0b, 0x00000006, 
      0x9c047012, 0x50f00e50, 0x01d05e0b, 0x00000006, 
      0x9b047013, 0x60f00e40, 0x01d05e0b, 0x00000006, 
      0x9b046012, 0x60f00e40, 0x01e05f0b, 0x00000006, 
      0x9a045012, 0x70f00e40, 0x01e0600b, 0x00000006, 
      0x99044011, 0x80f10e30, 0x01f0600b, 0x00000007, 
      0x99043011, 0x80f10e30, 0x01f0610b, 0x00000007, 
      0x98043011, 0x90f10e20, 0x01f0620b, 0x00000007, 
      0x97043010, 0xa0f10e20, 0x0200620b, 0x00000007, 
      0x96042011, 0xa0f10e20, 0x0200630b, 0x00000007, 
      0x96042010, 0xb0f10e10, 0x0200640b, 0x00000007, 
      0x95041010, 0xb0f20e10, 0x0210640b, 0x00000007, 
      0x94041010, 0xc0f20e00, 0x0210650b, 0x00000007, 
      0x9404000f, 0xd0f20e00, 0x0210660b, 0x00000007, 
      0x93040010, 0xd0f20df0, 0x0220660b, 0x00000007, 
      0x9203f010, 0xe0f20df0, 0x0220670b, 0x00000007, 
      0x9103e00f, 0xf0f20df0, 0x0230680b, 0x00000007, 
      0x9103e00f, 0xf0f30de0, 0x0230680b, 0x00000007, 
      0x9003d00f, 0x00f30de0, 0x0230690c, 0x00000007, 
      0x8f03d00e, 0x00f30dd0, 0x02406a0c, 0x00000008, 
      0x8f03c00e, 0x10f30dd0, 0x02406a0c, 0x00000008, 
      0x8e03c00e, 0x20f30dc0, 0x02406b0c, 0x00000008, 
      0x8d03b00e, 0x20f30dc0, 0x02506c0c, 0x00000008, 
      0x8d03b00e, 0x30f30db0, 0x02506c0c, 0x00000008, 
      0x8c03a00e, 0x30f30db0, 0x02606d0c, 0x00000008, 
      0x8b03a00d, 0x40f30db0, 0x02606e0c, 0x00000008, 
      0x8a03900e, 0x50f40da0, 0x02606e0c, 0x00000008, 
      0x8a03800d, 0x50f40da0, 0x02706f0c, 0x00000008, 
      0x8903800d, 0x60f40d90, 0x0270700c, 0x00000008, 
      0x8803800d, 0x60f40d90, 0x0280700c, 0x00000008, 
      0x8803700c, 0x70f40d80, 0x0280710c, 0x00000009, 
      0x8603600c, 0x80f40d80, 0x0290720c, 0x00000009, 
      0x8603600d, 0x80f40d70, 0x0290720c, 0x00000009, 
      0x8503500d, 0x90f40d70, 0x0290730c, 0x00000009, 
      0x8503500c, 0x90f40d60, 0x02a0740c, 0x00000009, 
      0x8403400c, 0xa0f40d60, 0x02a0750c, 0x00000009, 
      0x8403400c, 0xa0f40d50, 0x02b0750c, 0x00000009, 
      0x8303300c, 0xb0f40d50, 0x02b0760c, 0x00000009, 
      0x8203300b, 0xc0f40d40, 0x02c0770c, 0x00000009, 
      0x8103200c, 0xc0f40d40, 0x02c0770c, 0x0000000a, 
      0x8003200c, 0xd0f40d30, 0x02c0780c, 0x0000000a, 
      0x8003100b, 0xd0f40d30, 0x02d0790c, 0x0000000a, 
      0x7f03200b, 0xe0f40d20, 0x02d0790c, 0x0000000a, 
      0x7e03100a, 0xe0f50d20, 0x02e07a0c, 0x0000000a, 
      0x7e03000a, 0xf0f50d10, 0x02e07b0c, 0x0000000a, 
      0x7d03000a, 0xf0f50d00, 0x02f07c0c, 0x0000000a, 
      0x7c02f00b, 0x00f50d00, 0x02f07c0d, 0x0000000a, 
      0x7c02e00a, 0x00f50cf0, 0x03007d0d, 0x0000000b, 
      0x7a02e00a, 0x10f50cf0, 0x03007e0d, 0x0000000b, 
      0x7a02e009, 0x20f50ce0, 0x03107e0d, 0x0000000b, 
      0x7902e00a, 0x20f40ce0, 0x03107f0d, 0x0000000b, 
      0x7902d009, 0x30f40cd0, 0x0320800d, 0x0000000b, 
      0x7802d00a, 0x30f40cd0, 0x0320800d, 0x0000000b, 
      0x7802c00a, 0x40f40cc0, 0x0320810d, 0x0000000b, 
      0x7702c009, 0x40f40cc0, 0x0330820d, 0x0000000b, 
      0x7602b009, 0x50f40cb0, 0x0330830d, 0x0000000c, 
      0x7502b00a, 0x50f40ca0, 0x0340830d, 0x0000000c, 
      0x7502a009, 0x60f40ca0, 0x0340840d, 0x0000000c, 
      0x7402a009, 0x60f40c90, 0x0350850d, 0x0000000c, 
      0x7302a009, 0x70f40c90, 0x0350850d, 0x0000000c, 
      0x73029009, 0x70f40c80, 0x0360860d, 0x0000000c, 
      0x72028008, 0x80f40c80, 0x0360870d, 0x0000000d, 
      0x71028008, 0x80f40c70, 0x0370880d, 0x0000000d, 
      0x70028009, 0x90f40c60, 0x0370880d, 0x0000000d, 
      0x70027008, 0x90f40c60, 0x0380890d, 0x0000000d, 
      0x6f027008, 0xa0f40c50, 0x03808a0d, 0x0000000d, 
      0x6e026009, 0xa0f40c50, 0x03908a0d, 0x0000000d, 
      0x6d026008, 0xb0f30c40, 0x03a08b0d, 0x0000000e, 
      0x6d026008, 0xb0f30c30, 0x03a08c0d, 0x0000000e, 
      0x6c026008, 0xb0f30c30, 0x03b08c0d, 0x0000000e, 
      0x6c025008, 0xc0f30c20, 0x03b08d0d, 0x0000000e, 
      0x6b024008, 0xc0f30c20, 0x03c08e0d, 0x0000000e, 
      0x6a024007, 0xd0f30c10, 0x03c08f0d, 0x0000000f, 
      0x6a024007, 0xd0f30c00, 0x03d08f0d, 0x0000000f, 
      0x69023007, 0xe0f30c00, 0x03d0900d, 0x0000000f, 
      0x68023007, 0xe0f30bf0, 0x03e0910d, 0x0000000f, 
      0x68023007, 0xf0f20bf0, 0x03e0910d, 0x0000000f, 
      0x67022008, 0xf0f20be0, 0x03f0920d, 0x0000000f, 
      0x66022008, 0xf0f20bd0, 0x03f0930d, 0x00000010, 
      0x65021007, 0x00f20bd0, 0x0400940e, 0x00000010, 
      0x65021007, 0x00f20bc0, 0x0410940e, 0x00000010, 
      0x64021007, 0x10f20bb0, 0x0410950e, 0x00000010, 
      0x64020006, 0x10f10bb0, 0x0420960e, 0x00000011, 
      0x63020007, 0x20f10ba0, 0x0420960e, 0x00000011, 
      0x62020006, 0x20f10ba0, 0x0430970e, 0x00000011, 
      0x6201f007, 0x20f10b90, 0x0430980e, 0x00000011, 
      0x6101f006, 0x30f10b80, 0x0440990e, 0x00000011, 
      0x6001f006, 0x30f10b80, 0x0440990e, 0x00000012, 
      0x6001e006, 0x40f00b70, 0x04509a0e, 0x00000012, 
      0x5f01e006, 0x40f00b60, 0x04609b0e, 0x00000012, 
      0x5e01e007, 0x40f00b60, 0x04609b0e, 0x00000012, 
      0x5d01d006, 0x50f00b50, 0x04709c0e, 0x00000013, 
      0x5d01d006, 0x50f00b40, 0x04709d0e, 0x00000013, 
      0x5c01c007, 0x60ef0b40, 0x04809d0e, 0x00000013, 
      0x5c01c006, 0x60ef0b30, 0x04909e0e, 0x00000013, 
      0x5b01c006, 0x60ef0b20, 0x04909f0e, 0x00000014, 
      0x5a01b006, 0x70ef0b10, 0x04a0a00e, 0x00000014, 
      0x5a01c006, 0x70ee0b10, 0x04a0a00e, 0x00000014, 
      0x5901b006, 0x70ee0b10, 0x04b0a10e, 0x00000014, 
      0x5801b005, 0x80ee0b00, 0x04b0a20e, 0x00000015, 
      0x5801a006, 0x80ee0af0, 0x04c0a20e, 0x00000015, 
      0x5701a006, 0x80ed0af0, 0x04d0a30e, 0x00000015, 
      0x5701a005, 0x90ed0ae0, 0x04d0a40e, 0x00000015, 
      0x56019006, 0x90ed0ad0, 0x04e0a40e, 0x00000016, 
      0x55019006, 0x90ed0ad0, 0x04e0a50e, 0x00000016, 
      0x55019005, 0xa0ec0ac0, 0x04f0a60e, 0x00000016, 
      0x54019006, 0xa0ec0ab0, 0x0500a60e, 0x00000016, 
      0x53018006, 0xa0ec0ab0, 0x0500a70e, 0x00000017, 
      0x53017005, 0xb0ec0aa0, 0x0510a80e, 0x00000017, 
      0x52018005, 0xb0eb0a90, 0x0520a90e, 0x00000017,
   },
   { /* Y scale factor = 0.18, phases = 127, taps = 9. */
      0xa9050015, 0xa0ef0ef0, 0x0160500a, 0x00000004, 
      0xa804f016, 0xb0ef0ee0, 0x0160510a, 0x00000004, 
      0xa804f015, 0xb0f00ee0, 0x0160510a, 0x00000004, 
      0xa704d014, 0xc0f00ee0, 0x0170520a, 0x00000005, 
      0xa604d014, 0xd0f00ed0, 0x0170530a, 0x00000005, 
      0xa604c015, 0xd0f00ed0, 0x0170530a, 0x00000005, 
      0xa504c013, 0xe0f10ed0, 0x0170540a, 0x00000005, 
      0xa404b013, 0xf0f10ec0, 0x0180550a, 0x00000005, 
      0xa304b014, 0xf0f10ec0, 0x0180550a, 0x00000005, 
      0xa204a013, 0x00f20ec0, 0x0180560b, 0x00000005, 
      0xa2049012, 0x10f20eb0, 0x0190570b, 0x00000005, 
      0xa1049013, 0x10f20eb0, 0x0190570b, 0x00000005, 
      0xa0049013, 0x20f20ea0, 0x0190580b, 0x00000005, 
      0x9f047012, 0x30f30ea0, 0x01a0590b, 0x00000005, 
      0x9f047012, 0x30f30ea0, 0x01a0590b, 0x00000005, 
      0x9e047012, 0x40f30e90, 0x01a05a0b, 0x00000005, 
      0x9e045011, 0x50f30e90, 0x01b05b0b, 0x00000005, 
      0x9d045011, 0x60f30e90, 0x01b05b0b, 0x00000005, 
      0x9c045011, 0x60f40e80, 0x01b05c0b, 0x00000005, 
      0x9b044010, 0x70f40e80, 0x01c05d0b, 0x00000005, 
      0x9b043011, 0x80f40e70, 0x01c05d0b, 0x00000005, 
      0x9a043011, 0x80f40e70, 0x01c05e0b, 0x00000005, 
      0x99042010, 0x90f50e60, 0x01d05f0b, 0x00000005, 
      0x9804200f, 0xa0f50e60, 0x01d05f0b, 0x00000006, 
      0x9804100f, 0xa0f50e60, 0x01d0600b, 0x00000006, 
      0x9704000f, 0xb0f50e50, 0x01e0610b, 0x00000006, 
      0x9604000f, 0xc0f50e50, 0x01e0610b, 0x00000006, 
      0x9603f00f, 0xc0f60e40, 0x01e0620b, 0x00000006, 
      0x9503e00e, 0xd0f60e40, 0x01f0630b, 0x00000006, 
      0x9403e00e, 0xe0f60e40, 0x01f0630b, 0x00000006, 
      0x9303e00f, 0xe0f60e30, 0x01f0640b, 0x00000006, 
      0x9203d00e, 0xf0f60e30, 0x0200650b, 0x00000006, 
      0x9203d00e, 0xf0f60e30, 0x0200650b, 0x00000006, 
      0x9103d00e, 0x00f60e20, 0x0200660c, 0x00000006, 
      0x9003c00d, 0x10f70e10, 0x0210670c, 0x00000006, 
      0x9003b00e, 0x10f70e10, 0x0210670c, 0x00000006, 
      0x8f03b00d, 0x20f70e00, 0x0220680c, 0x00000006, 
      0x8e03a00d, 0x30f70e00, 0x0220690c, 0x00000006, 
      0x8e03a00d, 0x30f70df0, 0x0220690c, 0x00000007, 
      0x8d03900c, 0x40f70df0, 0x02306a0c, 0x00000007, 
      0x8c03800d, 0x50f70de0, 0x02306b0c, 0x00000007, 
      0x8b03700c, 0x50f80de0, 0x02406c0c, 0x00000007, 
      0x8b03700c, 0x60f80dd0, 0x02406c0c, 0x00000007, 
      0x8a03700c, 0x60f80dd0, 0x02406d0c, 0x00000007, 
      0x8903600c, 0x70f80dc0, 0x02506e0c, 0x00000007, 
      0x8803600c, 0x80f80dc0, 0x02506e0c, 0x00000007, 
      0x8803500c, 0x80f80db0, 0x02606f0c, 0x00000007, 
      0x8703500b, 0x90f80db0, 0x0260700c, 0x00000007, 
      0x8603500c, 0x90f80da0, 0x0260710c, 0x00000007, 
      0x8503400b, 0xa0f80da0, 0x0270710c, 0x00000008, 
      0x8503300b, 0xb0f80d90, 0x0270720c, 0x00000008, 
      0x8403300a, 0xb0f80d90, 0x0280730c, 0x00000008, 
      0x8303300b, 0xc0f80d80, 0x0280730c, 0x00000008, 
      0x8303200a, 0xc0f80d80, 0x0290740c, 0x00000008, 
      0x8203100a, 0xd0f90d70, 0x0290750c, 0x00000008, 
      0x8103100a, 0xe0f90d70, 0x0290750c, 0x00000008, 
      0x8003000b, 0xe0f90d60, 0x02a0760c, 0x00000008, 
      0x80030009, 0xf0f90d60, 0x02a0770c, 0x00000008, 
      0x7f02f00a, 0xf0f90d50, 0x02b0780c, 0x00000008, 
      0x7e02f009, 0x00f90d50, 0x02b0780d, 0x00000009, 
      0x7d02e009, 0x10f90d40, 0x02c0790d, 0x00000009, 
      0x7d02e009, 0x10f90d30, 0x02c07a0d, 0x00000009, 
      0x7b02d009, 0x20f90d30, 0x02d07b0d, 0x00000009, 
      0x7b02d00a, 0x20f90d20, 0x02d07b0d, 0x00000009, 
      0x7b02d008, 0x30f90d20, 0x02d07c0d, 0x00000009, 
      0x7a02c009, 0x30f90d10, 0x02e07d0d, 0x00000009, 
      0x7902c009, 0x40f90d10, 0x02e07d0d, 0x00000009, 
      0x7802b008, 0x50f90d00, 0x02f07e0d, 0x0000000a, 
      0x7802b008, 0x50f90cf0, 0x02f07f0d, 0x0000000a, 
      0x7602a008, 0x60f90cf0, 0x0300800d, 0x0000000a, 
      0x7602a009, 0x60f90ce0, 0x0300800d, 0x0000000a, 
      0x75029008, 0x70f90ce0, 0x0310810d, 0x0000000a, 
      0x75029008, 0x70f90cd0, 0x0310820d, 0x0000000a, 
      0x74029008, 0x80f80cc0, 0x0320830d, 0x0000000a, 
      0x73029008, 0x80f80cc0, 0x0320830d, 0x0000000b, 
      0x73028007, 0x90f80cb0, 0x0330840d, 0x0000000b, 
      0x72027008, 0x90f80cb0, 0x0330850d, 0x0000000b, 
      0x71027008, 0xa0f80ca0, 0x0340850d, 0x0000000b, 
      0x71027008, 0xa0f80c90, 0x0340860d, 0x0000000b, 
      0x70026007, 0xb0f80c90, 0x0350870d, 0x0000000b, 
      0x6f026007, 0xb0f80c80, 0x0350880d, 0x0000000c, 
      0x6e025007, 0xc0f80c80, 0x0360880d, 0x0000000c, 
      0x6e025007, 0xc0f80c70, 0x0360890d, 0x0000000c, 
      0x6d024007, 0xd0f80c60, 0x03708a0d, 0x0000000c, 
      0x6c024007, 0xd0f80c60, 0x03708b0d, 0x0000000c, 
      0x6c024006, 0xe0f80c50, 0x03808b0d, 0x0000000c, 
      0x6b023007, 0xe0f70c50, 0x03808c0d, 0x0000000d, 
      0x6a023006, 0xf0f70c40, 0x03908d0d, 0x0000000d, 
      0x6a023007, 0xf0f70c30, 0x03908d0d, 0x0000000d, 
      0x69022006, 0x00f70c30, 0x03a08e0e, 0x0000000d, 
      0x68022006, 0x00f70c20, 0x03b08f0e, 0x0000000d, 
      0x67021007, 0x10f70c10, 0x03b0900e, 0x0000000d, 
      0x67020006, 0x10f70c10, 0x03c0900e, 0x0000000e, 
      0x66020007, 0x20f60c00, 0x03c0910e, 0x0000000e, 
      0x65020007, 0x20f60bf0, 0x03d0920e, 0x0000000e, 
      0x6501f006, 0x30f60bf0, 0x03d0930e, 0x0000000e, 
      0x64020006, 0x30f60be0, 0x03e0930e, 0x0000000e, 
      0x6301f005, 0x40f60be0, 0x03e0940e, 0x0000000f, 
      0x6301e005, 0x40f60bd0, 0x03f0950e, 0x0000000f, 
      0x6201e006, 0x40f60bc0, 0x03f0960e, 0x0000000f, 
      0x6101e006, 0x50f50bc0, 0x0400960e, 0x0000000f, 
      0x6101e005, 0x50f50bb0, 0x0410970e, 0x0000000f, 
      0x6001d005, 0x60f50ba0, 0x0410980e, 0x00000010, 
      0x5f01d005, 0x60f50ba0, 0x0420980e, 0x00000010, 
      0x5f01c005, 0x70f50b90, 0x0420990e, 0x00000010, 
      0x5e01c006, 0x70f40b80, 0x04309a0e, 0x00000010, 
      0x5d01c006, 0x70f40b80, 0x04309b0e, 0x00000010, 
      0x5d01b005, 0x80f40b70, 0x04409b0e, 0x00000011, 
      0x5c01b005, 0x80f40b60, 0x04509c0e, 0x00000011, 
      0x5b01b005, 0x90f30b60, 0x04509d0e, 0x00000011, 
      0x5b01a005, 0x90f30b50, 0x04609e0e, 0x00000011, 
      0x5a01a006, 0x90f30b40, 0x04609e0e, 0x00000012, 
      0x5901a005, 0xa0f30b30, 0x04709f0e, 0x00000012, 
      0x59019004, 0xa0f30b30, 0x0480a00e, 0x00000012, 
      0x5801a005, 0xa0f20b30, 0x0480a00e, 0x00000012, 
      0x57019005, 0xb0f20b10, 0x0490a10e, 0x00000013, 
      0x57019004, 0xb0f20b10, 0x0490a20e, 0x00000013, 
      0x56018004, 0xc0f20b00, 0x04a0a30e, 0x00000013, 
      0x55019005, 0xc0f10af0, 0x04b0a30e, 0x00000013, 
      0x55018004, 0xc0f10af0, 0x04b0a40e, 0x00000014, 
      0x54017004, 0xd0f10ae0, 0x04c0a50e, 0x00000014, 
      0x53018005, 0xd0f00ad0, 0x04c0a60e, 0x00000014, 
      0x53017005, 0xd0f00ad0, 0x04d0a60e, 0x00000014, 
      0x52016004, 0xe0f00ac0, 0x04e0a70e, 0x00000015, 
      0x51016005, 0xe0f00ab0, 0x04e0a80e, 0x00000015, 
      0x51016005, 0xe0ef0ab0, 0x04f0a80e, 0x00000015, 
      0x50016004, 0xf0ef0aa0, 0x0500a90e, 0x00000015,
   },
   { /* Y scale factor = 0.19, phases = 127, taps = 9. */
      0xaa04d014, 0xa0f30f30, 0x01404e0a, 0x00000003, 
      0xa904d014, 0xb0f30f20, 0x01404f0a, 0x00000003, 
      0xa804c014, 0xc0f40f20, 0x01404f0a, 0x00000003, 
      0xa704c012, 0xd0f40f20, 0x0150500a, 0x00000003, 
      0xa704b013, 0xd0f40f10, 0x0150510a, 0x00000003, 
      0xa604a013, 0xe0f40f10, 0x0150510a, 0x00000004, 
      0xa5049012, 0xf0f50f00, 0x0160520a, 0x00000004, 
      0xa4049012, 0xf0f50f00, 0x0160530a, 0x00000004, 
      0xa4048012, 0x00f50f00, 0x0160530b, 0x00000004, 
      0xa3048011, 0x10f60ef0, 0x0160540b, 0x00000004, 
      0xa2047011, 0x20f60ee0, 0x0170550b, 0x00000004, 
      0xa1047011, 0x20f60ef0, 0x0170550b, 0x00000004, 
      0xa1046011, 0x30f60ee0, 0x0170560b, 0x00000004, 
      0x9f045010, 0x40f70ee0, 0x0180570b, 0x00000004, 
      0x9f045010, 0x50f70ed0, 0x0180570b, 0x00000004, 
      0x9e045010, 0x50f70ed0, 0x0180580b, 0x00000004, 
      0x9e04300f, 0x60f70ed0, 0x0190590b, 0x00000004, 
      0x9d04300f, 0x70f80ec0, 0x0190590b, 0x00000004, 
      0x9c042010, 0x70f80ec0, 0x01905a0b, 0x00000004, 
      0x9c04200f, 0x80f80eb0, 0x01905b0b, 0x00000004, 
      0x9b04100f, 0x90f80eb0, 0x01a05b0b, 0x00000004, 
      0x9a04100f, 0x90f90ea0, 0x01a05c0b, 0x00000004, 
      0x9904000f, 0xa0f90ea0, 0x01a05d0b, 0x00000004, 
      0x9803f00f, 0xb0f90ea0, 0x01b05d0b, 0x00000004, 
      0x9803f00e, 0xc0f90e90, 0x01b05e0b, 0x00000004, 
      0x9703e00e, 0xc0f90e90, 0x01b05f0b, 0x00000005, 
      0x9603e00d, 0xd0fa0e80, 0x01c05f0b, 0x00000005, 
      0x9503d00d, 0xe0fa0e80, 0x01c0600b, 0x00000005, 
      0x9503c00d, 0xe0fa0e70, 0x01d0610b, 0x00000005, 
      0x9403c00c, 0xf0fa0e70, 0x01d0620b, 0x00000005, 
      0x9303c00d, 0x00fa0e60, 0x01d0620c, 0x00000005, 
      0x9203b00c, 0x00fb0e60, 0x01e0630c, 0x00000005, 
      0x9203a00c, 0x10fb0e50, 0x01e0640c, 0x00000005, 
      0x9103a00c, 0x20fb0e50, 0x01e0640c, 0x00000005, 
      0x9003900d, 0x20fb0e40, 0x01f0650c, 0x00000005, 
      0x8f03900c, 0x30fb0e40, 0x01f0660c, 0x00000005, 
      0x8f03900c, 0x40fb0e30, 0x01f0660c, 0x00000005, 
      0x8e03800c, 0x40fb0e30, 0x0200670c, 0x00000005, 
      0x8d03700c, 0x50fc0e20, 0x0200680c, 0x00000005, 
      0x8c03600b, 0x60fc0e20, 0x0210690c, 0x00000005, 
      0x8b03600c, 0x60fc0e10, 0x0210690c, 0x00000006, 
      0x8b03600a, 0x70fc0e10, 0x02106a0c, 0x00000006, 
      0x8a03500a, 0x80fc0e00, 0x02206b0c, 0x00000006, 
      0x8903500b, 0x80fc0e00, 0x02206b0c, 0x00000006, 
      0x8803400b, 0x90fc0df0, 0x02306c0c, 0x00000006, 
      0x8803300a, 0xa0fc0df0, 0x02306d0c, 0x00000006, 
      0x8703300b, 0xa0fc0de0, 0x02306e0c, 0x00000006, 
      0x8603200a, 0xb0fd0de0, 0x02406e0c, 0x00000006, 
      0x8503200a, 0xc0fd0dd0, 0x02406f0c, 0x00000006, 
      0x85031009, 0xc0fd0dd0, 0x0250700c, 0x00000006, 
      0x84031009, 0xd0fd0dc0, 0x0250710c, 0x00000006, 
      0x8303000a, 0xd0fd0dc0, 0x0250710c, 0x00000007, 
      0x82030009, 0xe0fd0db0, 0x0260720c, 0x00000007, 
      0x8102f009, 0xf0fd0db0, 0x0260730c, 0x00000007, 
      0x8102f009, 0xf0fd0da0, 0x0270730c, 0x00000007, 
      0x8002f009, 0x00fd0d90, 0x0270740d, 0x00000007, 
      0x7f02e008, 0x10fd0d90, 0x0280750d, 0x00000007, 
      0x7f02d009, 0x10fd0d80, 0x0280760d, 0x00000007, 
      0x7e02d009, 0x20fd0d80, 0x0280760d, 0x00000007, 
      0x7d02d009, 0x20fd0d70, 0x0290770d, 0x00000007, 
      0x7c02c009, 0x30fd0d70, 0x0290780d, 0x00000007, 
      0x7b02b008, 0x40fd0d60, 0x02a0790d, 0x00000008, 
      0x7b02c008, 0x40fd0d50, 0x02a0790d, 0x00000008, 
      0x7a02b007, 0x50fd0d50, 0x02b07a0d, 0x00000008, 
      0x7902b008, 0x50fd0d40, 0x02b07b0d, 0x00000008, 
      0x79029007, 0x60fd0d40, 0x02c07c0d, 0x00000008, 
      0x78029008, 0x70fd0d30, 0x02c07c0d, 0x00000008, 
      0x77029008, 0x70fd0d20, 0x02d07d0d, 0x00000008, 
      0x76028008, 0x80fd0d20, 0x02d07e0d, 0x00000008, 
      0x76028007, 0x80fd0d10, 0x02d07f0d, 0x00000009, 
      0x75027007, 0x90fd0d10, 0x02e07f0d, 0x00000009, 
      0x74028007, 0x90fd0d00, 0x02e0800d, 0x00000009, 
      0x73027007, 0xa0fd0cf0, 0x02f0810d, 0x00000009, 
      0x73026006, 0xb0fd0cf0, 0x02f0820d, 0x00000009, 
      0x72026007, 0xb0fd0ce0, 0x0300820d, 0x00000009, 
      0x71026007, 0xc0fd0cd0, 0x0300830d, 0x00000009, 
      0x71025006, 0xc0fd0cd0, 0x0310840d, 0x00000009, 
      0x70024006, 0xd0fd0cc0, 0x0310850d, 0x0000000a, 
      0x6f024006, 0xd0fd0cc0, 0x0320850d, 0x0000000a, 
      0x6e024006, 0xe0fd0cb0, 0x0320860d, 0x0000000a, 
      0x6e023007, 0xe0fc0ca0, 0x0330870d, 0x0000000a, 
      0x6d023006, 0xf0fc0ca0, 0x0330880d, 0x0000000a, 
      0x6d023006, 0xf0fc0c90, 0x0340880d, 0x0000000a, 
      0x6b023006, 0x00fc0c80, 0x0340890e, 0x0000000b, 
      0x6b022005, 0x00fc0c80, 0x03508a0e, 0x0000000b, 
      0x6a021005, 0x10fc0c70, 0x03608b0e, 0x0000000b, 
      0x6a021006, 0x10fc0c60, 0x03608b0e, 0x0000000b, 
      0x69020005, 0x20fc0c60, 0x03708c0e, 0x0000000b, 
      0x68020006, 0x20fc0c50, 0x03708d0e, 0x0000000b, 
      0x67020005, 0x30fb0c40, 0x03808e0e, 0x0000000c, 
      0x6601f006, 0x30fb0c40, 0x03808f0e, 0x0000000c, 
      0x6601f005, 0x40fb0c30, 0x03908f0e, 0x0000000c, 
      0x6501f006, 0x40fb0c20, 0x0390900e, 0x0000000c, 
      0x6401e005, 0x50fb0c20, 0x03a0910e, 0x0000000c, 
      0x6401e005, 0x50fb0c10, 0x03a0920e, 0x0000000c, 
      0x6301e004, 0x60fb0c00, 0x03b0920e, 0x0000000d, 
      0x6201e005, 0x60fa0c00, 0x03b0930e, 0x0000000d, 
      0x6201d004, 0x70fa0bf0, 0x03c0940e, 0x0000000d, 
      0x6101d004, 0x70fa0be0, 0x03d0950e, 0x0000000d, 
      0x6001c005, 0x80fa0be0, 0x03d0950e, 0x0000000d, 
      0x5f01c004, 0x80fa0bd0, 0x03e0960e, 0x0000000e, 
      0x5f01b005, 0x90f90bc0, 0x03e0970e, 0x0000000e, 
      0x5e01b004, 0x90f90bc0, 0x03f0980e, 0x0000000e, 
      0x5d01b005, 0xa0f90bb0, 0x03f0980e, 0x0000000e, 
      0x5d01a005, 0xa0f90ba0, 0x0400990e, 0x0000000e, 
      0x5c01a004, 0xa0f90b90, 0x04109a0e, 0x0000000f, 
      0x5b01a004, 0xb0f80b90, 0x04109b0e, 0x0000000f, 
      0x5b019005, 0xb0f80b80, 0x04209b0e, 0x0000000f, 
      0x5a019005, 0xc0f80b70, 0x04209c0e, 0x0000000f, 
      0x59019004, 0xc0f80b70, 0x04309d0e, 0x0000000f, 
      0x58018004, 0xd0f70b60, 0x04409e0e, 0x00000010, 
      0x58019004, 0xd0f70b50, 0x04409e0e, 0x00000010, 
      0x57018004, 0xd0f70b50, 0x04509f0e, 0x00000010, 
      0x57018003, 0xe0f70b40, 0x0450a00e, 0x00000010, 
      0x56017004, 0xe0f60b30, 0x0460a10e, 0x00000011, 
      0x55017004, 0xf0f60b20, 0x0470a10e, 0x00000011, 
      0x55017003, 0xf0f60b20, 0x0470a20e, 0x00000011, 
      0x54016004, 0xf0f60b10, 0x0480a30e, 0x00000011, 
      0x53016004, 0x00f50b00, 0x0480a40f, 0x00000012, 
      0x53016004, 0x00f50af0, 0x0490a40f, 0x00000012, 
      0x52016003, 0x00f50af0, 0x04a0a50f, 0x00000012, 
      0x51016004, 0x10f40ae0, 0x04a0a60f, 0x00000012, 
      0x51015003, 0x10f40ad0, 0x04b0a70f, 0x00000013, 
      0x50014003, 0x20f40ad0, 0x04c0a70f, 0x00000013, 
      0x4f014004, 0x20f40ac0, 0x04c0a80f, 0x00000013, 
      0x4f014004, 0x20f30ab0, 0x04d0a90f, 0x00000013, 
      0x4e014003, 0x30f30aa0, 0x04d0aa0f, 0x00000014,
   },
   { /* Y scale factor = 0.20, phases = 127, taps = 9. */
      0xaa04b012, 0xb0f70f70, 0x01204c0a, 0x00000002, 
      0xa904b012, 0xc0f70f60, 0x01204d0a, 0x00000002, 
      0xa904a011, 0xd0f80f60, 0x01204d0a, 0x00000002, 
      0xa8049011, 0xd0f80f60, 0x01304e0a, 0x00000002, 
      0xa8049011, 0xe0f80f50, 0x01304e0a, 0x00000002, 
      0xa6048011, 0xf0f90f50, 0x01304f0a, 0x00000002, 
      0xa5047010, 0x00f90f50, 0x0130500b, 0x00000003, 
      0xa5047010, 0x00f90f40, 0x0140500b, 0x00000003, 
      0xa404600f, 0x10fa0f40, 0x0140510b, 0x00000003, 
      0xa3045010, 0x20fa0f30, 0x0140520b, 0x00000003, 
      0xa204500f, 0x30fa0f30, 0x0150520b, 0x00000003, 
      0xa204400e, 0x30fb0f30, 0x0150530b, 0x00000003, 
      0xa104400e, 0x40fb0f20, 0x0150540b, 0x00000003, 
      0xa004300e, 0x50fb0f20, 0x0160540b, 0x00000003, 
      0x9f04200f, 0x60fb0f10, 0x0160550b, 0x00000003, 
      0x9f04100e, 0x60fc0f10, 0x0160560b, 0x00000003, 
      0x9e04100e, 0x70fc0f00, 0x0160570b, 0x00000003, 
      0x9d04100d, 0x80fc0f00, 0x0170570b, 0x00000003, 
      0x9c04000e, 0x80fc0f00, 0x0170580b, 0x00000003, 
      0x9b03f00e, 0x90fd0ef0, 0x0170590b, 0x00000003, 
      0x9b03e00d, 0xa0fd0ef0, 0x0180590b, 0x00000003, 
      0x9a03e00d, 0xb0fd0ee0, 0x01805a0b, 0x00000003, 
      0x9903e00d, 0xb0fd0ee0, 0x01805b0b, 0x00000003, 
      0x9803d00d, 0xc0fe0ed0, 0x01905b0b, 0x00000003, 
      0x9703c00d, 0xd0fe0ed0, 0x01905c0b, 0x00000003, 
      0x9703c00c, 0xe0fe0ec0, 0x01905d0b, 0x00000003, 
      0x9603c00c, 0xe0fe0ec0, 0x01a05d0b, 0x00000003, 
      0x9503b00c, 0xf0fe0eb0, 0x01a05e0b, 0x00000004, 
      0x9403a00b, 0x00ff0eb0, 0x01a05f0c, 0x00000004, 
      0x9303a00b, 0x00ff0ea0, 0x01b0600c, 0x00000004, 
      0x9303900b, 0x10ff0ea0, 0x01b0600c, 0x00000004, 
      0x9203900b, 0x20ff0e90, 0x01b0610c, 0x00000004, 
      0x9103800a, 0x30ff0e90, 0x01c0620c, 0x00000004, 
      0x9003800b, 0x30ff0e80, 0x01c0630c, 0x00000004, 
      0x9003700a, 0x41000e80, 0x01c0630c, 0x00000004, 
      0x8f03600a, 0x51000e70, 0x01d0640c, 0x00000004, 
      0x8e03600a, 0x51000e70, 0x01d0650c, 0x00000004, 
      0x8d03600a, 0x61000e60, 0x01e0650c, 0x00000004, 
      0x8c03500a, 0x71000e60, 0x01e0660c, 0x00000004, 
      0x8c03400a, 0x81000e50, 0x01e0670c, 0x00000004, 
      0x8b033009, 0x81010e50, 0x01f0680c, 0x00000004, 
      0x8a03300a, 0x91010e40, 0x01f0680c, 0x00000004, 
      0x89032009, 0xa1010e40, 0x01f0690c, 0x00000005, 
      0x88032009, 0xa1010e30, 0x02006a0c, 0x00000005, 
      0x88031008, 0xb1010e30, 0x02006b0c, 0x00000005, 
      0x87031008, 0xc1010e20, 0x02106b0c, 0x00000005, 
      0x86031009, 0xc1010e10, 0x02106c0c, 0x00000005, 
      0x85030009, 0xd1010e10, 0x02106d0c, 0x00000005, 
      0x8502f008, 0xe1010e00, 0x02206e0c, 0x00000005, 
      0x8402f009, 0xe1010e00, 0x02206e0c, 0x00000005, 
      0x8302e008, 0xf1020df0, 0x02306f0c, 0x00000005, 
      0x8202e007, 0x01020df0, 0x0230700d, 0x00000005, 
      0x8102e008, 0x01020de0, 0x0230710d, 0x00000005, 
      0x8102d008, 0x11020dd0, 0x0240710d, 0x00000005, 
      0x8002c007, 0x21020dd0, 0x0240720d, 0x00000006, 
      0x7f02c007, 0x21020dc0, 0x0250730d, 0x00000006, 
      0x7e02b007, 0x31020dc0, 0x0250740d, 0x00000006, 
      0x7d02b007, 0x41020db0, 0x0260740d, 0x00000006, 
      0x7d02b007, 0x41020da0, 0x0260750d, 0x00000006, 
      0x7c02a007, 0x51020da0, 0x0260760d, 0x00000006, 
      0x7b02a007, 0x51020d90, 0x0270770d, 0x00000006, 
      0x7a02a007, 0x61020d90, 0x0270770d, 0x00000006, 
      0x7a029006, 0x71020d80, 0x0280780d, 0x00000006, 
      0x79029007, 0x71020d70, 0x0280790d, 0x00000006, 
      0x78027006, 0x81020d70, 0x02907a0d, 0x00000007, 
      0x77027007, 0x91020d60, 0x02907a0d, 0x00000007, 
      0x77027006, 0x91020d50, 0x02a07b0d, 0x00000007, 
      0x76026006, 0xa1020d50, 0x02a07c0d, 0x00000007, 
      0x75026006, 0xa1020d40, 0x02b07d0d, 0x00000007, 
      0x74026005, 0xb1020d40, 0x02b07e0d, 0x00000007, 
      0x74025005, 0xc1020d30, 0x02c07e0d, 0x00000007, 
      0x73025006, 0xc1020d20, 0x02c07f0d, 0x00000007, 
      0x72024005, 0xd1020d20, 0x02c0800d, 0x00000008, 
      0x71024005, 0xd1020d10, 0x02d0810d, 0x00000008, 
      0x71023006, 0xe1020d00, 0x02d0810d, 0x00000008, 
      0x6f023005, 0xf1020d00, 0x02e0820d, 0x00000008, 
      0x6f023005, 0xf1020cf0, 0x02e0830d, 0x00000008, 
      0x6e022006, 0x01010ce0, 0x02f0840e, 0x00000008, 
      0x6e022005, 0x01010ce0, 0x02f0850e, 0x00000008, 
      0x6d022005, 0x11010cd0, 0x0300850e, 0x00000008, 
      0x6d021005, 0x11010cc0, 0x0300860e, 0x00000009, 
      0x6b021004, 0x21010cc0, 0x0310870e, 0x00000009, 
      0x6b020004, 0x31010cb0, 0x0310880e, 0x00000009, 
      0x6a020005, 0x31010ca0, 0x0320880e, 0x00000009, 
      0x6901f004, 0x41010ca0, 0x0330890e, 0x00000009, 
      0x6801f005, 0x41010c90, 0x03308a0e, 0x00000009, 
      0x6801e004, 0x51010c80, 0x03408b0e, 0x00000009, 
      0x6701e004, 0x51000c80, 0x03408c0e, 0x0000000a, 
      0x6601e004, 0x61000c70, 0x03508c0e, 0x0000000a, 
      0x6501e005, 0x61000c60, 0x03508d0e, 0x0000000a, 
      0x6501d004, 0x71000c50, 0x03608e0e, 0x0000000a, 
      0x6401d004, 0x71000c50, 0x03608f0e, 0x0000000a, 
      0x6301c004, 0x81000c40, 0x0370900e, 0x0000000a, 
      0x6301d004, 0x80ff0c30, 0x0370900e, 0x0000000b, 
      0x6201c003, 0x90ff0c30, 0x0380910e, 0x0000000b, 
      0x6101c004, 0x90ff0c20, 0x0380920e, 0x0000000b, 
      0x6001b004, 0xa0ff0c10, 0x0390930e, 0x0000000b, 
      0x6001b004, 0xa0ff0c00, 0x03a0930e, 0x0000000b, 
      0x5f01a003, 0xb0ff0c00, 0x03a0940e, 0x0000000c, 
      0x5e01a004, 0xb0fe0bf0, 0x03b0950e, 0x0000000c, 
      0x5d01a004, 0xc0fe0be0, 0x03b0960e, 0x0000000c, 
      0x5d019003, 0xc0fe0be0, 0x03c0970e, 0x0000000c, 
      0x5c019004, 0xd0fe0bd0, 0x03c0970e, 0x0000000c, 
      0x5b019004, 0xd0fe0bc0, 0x03d0980e, 0x0000000c, 
      0x5b018003, 0xe0fd0bb0, 0x03e0990e, 0x0000000d, 
      0x5a018003, 0xe0fd0bb0, 0x03e09a0e, 0x0000000d, 
      0x59017003, 0xf0fd0ba0, 0x03f09b0e, 0x0000000d, 
      0x59017004, 0xf0fd0b90, 0x03f09b0e, 0x0000000d, 
      0x58017004, 0x00fc0b80, 0x04009c0f, 0x0000000d, 
      0x57016003, 0x00fc0b80, 0x04109d0f, 0x0000000e, 
      0x57016003, 0x00fc0b70, 0x04109e0f, 0x0000000e, 
      0x56016002, 0x10fc0b60, 0x04209f0f, 0x0000000e, 
      0x56016003, 0x10fb0b60, 0x04209f0f, 0x0000000e, 
      0x54016002, 0x20fb0b50, 0x0430a00f, 0x0000000f, 
      0x54015002, 0x20fb0b40, 0x0440a10f, 0x0000000f, 
      0x53015002, 0x30fb0b30, 0x0440a20f, 0x0000000f, 
      0x52015003, 0x30fa0b30, 0x0450a20f, 0x0000000f, 
      0x52015003, 0x30fa0b20, 0x0450a30f, 0x0000000f, 
      0x51014002, 0x40fa0b10, 0x0460a40f, 0x00000010, 
      0x50014003, 0x40f90b00, 0x0470a50f, 0x00000010, 
      0x50013002, 0x50f90b00, 0x0470a60f, 0x00000010, 
      0x4f013003, 0x50f90af0, 0x0480a60f, 0x00000010, 
      0x4e013003, 0x50f80ae0, 0x0490a70f, 0x00000011, 
      0x4e013002, 0x60f80ad0, 0x0490a80f, 0x00000011, 
      0x4d012002, 0x60f80ad0, 0x04a0a90f, 0x00000011, 
      0x4d012003, 0x60f70ac0, 0x04b0a90f, 0x00000011, 
      0x4c012002, 0x70f70ab0, 0x04b0aa0f, 0x00000012,
   },
   { /* Y scale factor = 0.21, phases = 127, taps = 9. */
      0xab04900f, 0xc0fc0fb0, 0x0100490a, 0x00000001, 
      0xaa048010, 0xc0fc0fb0, 0x01004a0a, 0x00000001, 
      0xa9048010, 0xd0fc0fa0, 0x01004b0a, 0x00000001, 
      0xa804700f, 0xe0fd0fa0, 0x01104b0a, 0x00000001, 
      0xa804600e, 0xf0fd0fa0, 0x01104c0a, 0x00000001, 
      0xa704600e, 0x00fd0f90, 0x01104d0b, 0x00000001, 
      0xa604500f, 0x00fe0f90, 0x01104d0b, 0x00000001, 
      0xa504400e, 0x10fe0f80, 0x01204e0b, 0x00000002, 
      0xa404400d, 0x20fe0f80, 0x01204f0b, 0x00000002, 
      0xa304300d, 0x30ff0f80, 0x01204f0b, 0x00000002, 
      0xa304200d, 0x30ff0f70, 0x0130500b, 0x00000002, 
      0xa204100d, 0x40ff0f70, 0x0130510b, 0x00000002, 
      0xa104100d, 0x50ff0f60, 0x0130520b, 0x00000002, 
      0xa004000d, 0x61000f60, 0x0130520b, 0x00000002, 
      0x9f04000c, 0x71000f50, 0x0140530b, 0x00000002, 
      0x9f03f00c, 0x71000f50, 0x0140540b, 0x00000002, 
      0x9e03f00c, 0x81010f40, 0x0140540b, 0x00000002, 
      0x9d03e00b, 0x91010f40, 0x0150550b, 0x00000002, 
      0x9c03d00b, 0xa1010f40, 0x0150560b, 0x00000002, 
      0x9c03d00c, 0xa1010f30, 0x0150560b, 0x00000002, 
      0x9a03c00c, 0xb1020f30, 0x0150570b, 0x00000002, 
      0x9a03b00b, 0xc1020f20, 0x0160580b, 0x00000002, 
      0x9903b00a, 0xd1020f20, 0x0160590b, 0x00000002, 
      0x9803b00b, 0xd1020f20, 0x0160590b, 0x00000002, 
      0x9703a00a, 0xe1030f10, 0x01705a0b, 0x00000002, 
      0x9603900b, 0xf1030f00, 0x01705b0b, 0x00000002, 
      0x9603900a, 0x01030f00, 0x01705b0c, 0x00000002, 
      0x9503800a, 0x11030ef0, 0x01805c0c, 0x00000002, 
      0x94038009, 0x11030ef0, 0x01805d0c, 0x00000003, 
      0x93037009, 0x21040ee0, 0x01805e0c, 0x00000003, 
      0x92036009, 0x31040ee0, 0x01905e0c, 0x00000003, 
      0x91036009, 0x41040ed0, 0x01905f0c, 0x00000003, 
      0x9103500a, 0x41040ec0, 0x0190600c, 0x00000003, 
      0x90034009, 0x51040ec0, 0x01a0610c, 0x00000003, 
      0x8f034009, 0x61050eb0, 0x01a0610c, 0x00000003, 
      0x8e034009, 0x61050eb0, 0x01a0620c, 0x00000003, 
      0x8d033009, 0x71050ea0, 0x01b0630c, 0x00000003, 
      0x8d032008, 0x81050ea0, 0x01b0640c, 0x00000003, 
      0x8c032008, 0x91050e90, 0x01c0640c, 0x00000003, 
      0x8b032008, 0x91050e90, 0x01c0650c, 0x00000003, 
      0x8b031008, 0xa1050e80, 0x01c0660c, 0x00000003, 
      0x89030007, 0xb1060e80, 0x01d0670c, 0x00000003, 
      0x88030008, 0xc1060e70, 0x01d0670c, 0x00000003, 
      0x88030008, 0xc1060e60, 0x01d0680c, 0x00000003, 
      0x8702e007, 0xd1060e60, 0x01e0690c, 0x00000004, 
      0x8602e007, 0xe1060e50, 0x01e06a0c, 0x00000004, 
      0x8502e007, 0xe1060e50, 0x01f06a0c, 0x00000004, 
      0x8402e007, 0xf1060e40, 0x01f06b0c, 0x00000004, 
      0x8402d007, 0x01060e30, 0x01f06c0d, 0x00000004, 
      0x8302c006, 0x11060e30, 0x02006d0d, 0x00000004, 
      0x8202c007, 0x11070e20, 0x02006d0d, 0x00000004, 
      0x8102b006, 0x21070e20, 0x02106e0d, 0x00000004, 
      0x8002b006, 0x31070e10, 0x02106f0d, 0x00000004, 
      0x8002a007, 0x31070e00, 0x0210700d, 0x00000004, 
      0x7f029006, 0x41070e00, 0x0220710d, 0x00000004, 
      0x7e029007, 0x51070df0, 0x0220710d, 0x00000004, 
      0x7d029006, 0x51070df0, 0x0230720d, 0x00000004, 
      0x7c028006, 0x61070de0, 0x0230730d, 0x00000005, 
      0x7b028005, 0x71070dd0, 0x0240740d, 0x00000005, 
      0x7b028005, 0x71070dd0, 0x0240740d, 0x00000005, 
      0x7a027006, 0x81070dc0, 0x0240750d, 0x00000005, 
      0x79027005, 0x91070db0, 0x0250760d, 0x00000005, 
      0x78026006, 0x91070db0, 0x0250770d, 0x00000005, 
      0x78025005, 0xa1070da0, 0x0260780d, 0x00000005, 
      0x77025006, 0xb1070d90, 0x0260780d, 0x00000005, 
      0x76025005, 0xb1070d90, 0x0270790d, 0x00000005, 
      0x75025005, 0xc1070d80, 0x02707a0d, 0x00000005, 
      0x74024004, 0xd1070d70, 0x02807b0d, 0x00000006, 
      0x74023004, 0xd1070d70, 0x02807c0d, 0x00000006, 
      0x73023005, 0xe1070d60, 0x02807c0d, 0x00000006, 
      0x72023004, 0xf1070d50, 0x02907d0d, 0x00000006, 
      0x71022005, 0xf1070d50, 0x02907e0d, 0x00000006, 
      0x71021004, 0x01070d40, 0x02a07f0e, 0x00000006, 
      0x70021005, 0x01070d30, 0x02a0800e, 0x00000006, 
      0x6f021004, 0x11070d30, 0x02b0800e, 0x00000006, 
      0x6e021004, 0x21070d20, 0x02b0810e, 0x00000006, 
      0x6d020004, 0x21070d10, 0x02c0820e, 0x00000007, 
      0x6d020003, 0x31060d10, 0x02c0830e, 0x00000007, 
      0x6c01f004, 0x31060d00, 0x02d0840e, 0x00000007, 
      0x6c01f004, 0x41060cf0, 0x02d0840e, 0x00000007, 
      0x6a01f004, 0x51060ce0, 0x02e0850e, 0x00000007, 
      0x6a01e004, 0x51060ce0, 0x02e0860e, 0x00000007, 
      0x6901e003, 0x61060cd0, 0x02f0870e, 0x00000007, 
      0x6801d004, 0x61060cc0, 0x02f0880e, 0x00000008, 
      0x6701d003, 0x71060cc0, 0x0300880e, 0x00000008, 
      0x6701c003, 0x81060cb0, 0x0300890e, 0x00000008, 
      0x6601c004, 0x81050ca0, 0x03108a0e, 0x00000008, 
      0x6501c003, 0x91050c90, 0x03208b0e, 0x00000008, 
      0x6401c003, 0x91050c90, 0x03208c0e, 0x00000008, 
      0x6301b003, 0xa1050c80, 0x03308d0e, 0x00000008, 
      0x6301b003, 0xa1050c70, 0x03308d0e, 0x00000009, 
      0x6201a003, 0xb1050c60, 0x03408e0e, 0x00000009, 
      0x6101a003, 0xb1050c60, 0x03408f0e, 0x00000009, 
      0x6101a002, 0xc1040c50, 0x0350900e, 0x00000009, 
      0x6001a003, 0xc1040c40, 0x0350910e, 0x00000009, 
      0x5f019003, 0xd1040c40, 0x0360910e, 0x00000009, 
      0x5e019003, 0xe1040c30, 0x0360920e, 0x00000009, 
      0x5e018002, 0xe1040c20, 0x0370930e, 0x0000000a, 
      0x5d018002, 0xf1030c10, 0x0380940e, 0x0000000a, 
      0x5c018002, 0xf1030c10, 0x0380950e, 0x0000000a, 
      0x5b017002, 0x01030c00, 0x0390960f, 0x0000000a, 
      0x5b017003, 0x01030bf0, 0x0390960f, 0x0000000a, 
      0x5a016002, 0x11030be0, 0x03a0970f, 0x0000000b, 
      0x59017003, 0x11020bd0, 0x03a0980f, 0x0000000b, 
      0x58016002, 0x21020bd0, 0x03b0990f, 0x0000000b, 
      0x58015002, 0x21020bc0, 0x03c09a0f, 0x0000000b, 
      0x57015003, 0x31020bb0, 0x03c09a0f, 0x0000000b, 
      0x56016003, 0x31010ba0, 0x03d09b0f, 0x0000000b, 
      0x56014002, 0x41010ba0, 0x03d09c0f, 0x0000000c, 
      0x55015001, 0x41010b90, 0x03e09d0f, 0x0000000c, 
      0x54014002, 0x41010b80, 0x03f09e0f, 0x0000000c, 
      0x54014002, 0x51000b70, 0x03f09f0f, 0x0000000c, 
      0x53014002, 0x51000b70, 0x04009f0f, 0x0000000c, 
      0x52013002, 0x61000b60, 0x0400a00f, 0x0000000d, 
      0x52013002, 0x60ff0b50, 0x0410a10f, 0x0000000d, 
      0x51013001, 0x70ff0b40, 0x0420a20f, 0x0000000d, 
      0x50013002, 0x70ff0b30, 0x0420a30f, 0x0000000d, 
      0x4f012001, 0x80ff0b30, 0x0430a30f, 0x0000000e, 
      0x4f012001, 0x80fe0b20, 0x0440a40f, 0x0000000e, 
      0x4e012002, 0x80fe0b10, 0x0440a50f, 0x0000000e, 
      0x4d011002, 0x90fe0b00, 0x0450a60f, 0x0000000e, 
      0x4d011001, 0x90fd0b00, 0x0460a70f, 0x0000000e, 
      0x4c010001, 0xa0fd0af0, 0x0460a80f, 0x0000000f, 
      0x4b011001, 0xa0fd0ae0, 0x0470a80f, 0x0000000f, 
      0x4b011002, 0xa0fc0ad0, 0x0470a90f, 0x0000000f, 
      0x4a010002, 0xb0fc0ac0, 0x0480aa0f, 0x0000000f, 
      0x4900f001, 0xb0fc0ac0, 0x0490ab0f, 0x00000010,
   },
   { /* Y scale factor = 0.22, phases = 127, taps = 9. */
      0xab04600e, 0xc1001000, 0x00e0470a, 0x00000000, 
      0xaa04600d, 0xd1010ff0, 0x00e0480a, 0x00000000, 
      0xaa04500d, 0xe1010ff0, 0x00e0480a, 0x00000000, 
      0xa904400c, 0xf1010ff0, 0x00f0490a, 0x00000000, 
      0xa804400c, 0xf1020fe0, 0x00f04a0a, 0x00000000, 
      0xa704300d, 0x01020fe0, 0x00f04a0b, 0x00000000, 
      0xa604300d, 0x11020fd0, 0x00f04b0b, 0x00000000, 
      0xa504100c, 0x21030fc0, 0x01004c0b, 0x00000001, 
      0xa404100c, 0x31030fc0, 0x01004c0b, 0x00000001, 
      0xa404000c, 0x31030fc0, 0x01004d0b, 0x00000001, 
      0xa304000b, 0x41040fb0, 0x01004e0b, 0x00000001, 
      0xa203f00b, 0x51040fb0, 0x01104e0b, 0x00000001, 
      0xa103e00b, 0x61040fb0, 0x01104f0b, 0x00000001, 
      0xa003e00a, 0x71050fa0, 0x0110500b, 0x00000001, 
      0x9f03d00b, 0x81050fa0, 0x0110500b, 0x00000001, 
      0x9e03d00b, 0x81050f90, 0x0120510b, 0x00000001, 
      0x9e03c00a, 0x91050f90, 0x0120520b, 0x00000001, 
      0x9d03b00a, 0xa1060f80, 0x0120530b, 0x00000001, 
      0x9c03b009, 0xb1060f80, 0x0130530b, 0x00000001, 
      0x9b03a00a, 0xc1060f70, 0x0130540b, 0x00000001, 
      0x9a03a009, 0xc1070f70, 0x0130550b, 0x00000001, 
      0x9a03900a, 0xd1070f60, 0x0130550b, 0x00000001, 
      0x99038009, 0xe1070f60, 0x0140560b, 0x00000001, 
      0x98038009, 0xf1070f50, 0x0140570b, 0x00000001, 
      0x97037008, 0x01080f50, 0x0140580c, 0x00000001, 
      0x96037009, 0x01080f40, 0x0150580c, 0x00000001, 
      0x95036009, 0x11080f40, 0x0150590c, 0x00000001, 
      0x94036009, 0x21080f30, 0x01505a0c, 0x00000001, 
      0x93035008, 0x31090f20, 0x01605b0c, 0x00000001, 
      0x93034008, 0x41090f20, 0x01605b0c, 0x00000001, 
      0x92034008, 0x41090f10, 0x01605c0c, 0x00000002, 
      0x91033007, 0x51090f10, 0x01705d0c, 0x00000002, 
      0x90033007, 0x61090f00, 0x01705e0c, 0x00000002, 
      0x8f032007, 0x710a0f00, 0x01705e0c, 0x00000002, 
      0x8e032007, 0x710a0ef0, 0x01805f0c, 0x00000002, 
      0x8d031007, 0x810a0ef0, 0x0180600c, 0x00000002, 
      0x8d030007, 0x910a0ee0, 0x0180610c, 0x00000002, 
      0x8c030007, 0xa10a0ed0, 0x0190610c, 0x00000002, 
      0x8b02f007, 0xb10a0ed0, 0x0190620c, 0x00000002, 
      0x8a02f007, 0xb10b0ec0, 0x0190630c, 0x00000002, 
      0x8902e006, 0xc10b0ec0, 0x01a0640c, 0x00000002, 
      0x8802e006, 0xd10b0eb0, 0x01a0650c, 0x00000002, 
      0x8802d006, 0xe10b0ea0, 0x01b0650c, 0x00000002, 
      0x8702d006, 0xe10b0ea0, 0x01b0660c, 0x00000002, 
      0x8602d006, 0xf10b0e90, 0x01b0670c, 0x00000002, 
      0x8502c005, 0x010b0e90, 0x01c0680d, 0x00000002, 
      0x8402c006, 0x110b0e80, 0x01c0680d, 0x00000002, 
      0x8302b006, 0x110c0e70, 0x01c0690d, 0x00000003, 
      0x8202a005, 0x210c0e70, 0x01d06a0d, 0x00000003, 
      0x82029005, 0x310c0e60, 0x01d06b0d, 0x00000003, 
      0x80029005, 0x410c0e50, 0x01e06c0d, 0x00000003, 
      0x80029005, 0x410c0e50, 0x01e06c0d, 0x00000003, 
      0x7f029005, 0x510c0e40, 0x01e06d0d, 0x00000003, 
      0x7e028004, 0x610c0e40, 0x01f06e0d, 0x00000003, 
      0x7e027005, 0x610c0e30, 0x01f06f0d, 0x00000003, 
      0x7d027004, 0x710c0e20, 0x0200700d, 0x00000003, 
      0x7c026005, 0x810c0e20, 0x0200700d, 0x00000003, 
      0x7b026005, 0x910c0e10, 0x0200710d, 0x00000003, 
      0x7a026005, 0x910c0e00, 0x0210720d, 0x00000003, 
      0x79025005, 0xa10c0e00, 0x0210730d, 0x00000003, 
      0x78024004, 0xb10c0df0, 0x0220740d, 0x00000004, 
      0x78024005, 0xb10c0de0, 0x0220740d, 0x00000004, 
      0x77024004, 0xc10c0dd0, 0x0230750d, 0x00000004, 
      0x76023004, 0xd10c0dd0, 0x0230760d, 0x00000004, 
      0x75023004, 0xd10c0dc0, 0x0240770d, 0x00000004, 
      0x74023004, 0xe10c0db0, 0x0240780d, 0x00000004, 
      0x74022003, 0xf10c0db0, 0x0240790d, 0x00000004, 
      0x73021004, 0x010c0da0, 0x0250790e, 0x00000004, 
      0x73021004, 0x010c0d90, 0x02507a0e, 0x00000004, 
      0x71020004, 0x110c0d90, 0x02607b0e, 0x00000004, 
      0x70020003, 0x210c0d80, 0x02607c0e, 0x00000005, 
      0x7001f003, 0x210c0d70, 0x02707d0e, 0x00000005, 
      0x6f01f003, 0x310c0d60, 0x02707e0e, 0x00000005, 
      0x6e01e003, 0x410c0d60, 0x02807e0e, 0x00000005, 
      0x6d01f003, 0x410c0d50, 0x02807f0e, 0x00000005, 
      0x6c01e003, 0x510c0d40, 0x0290800e, 0x00000005, 
      0x6c01e002, 0x510c0d40, 0x0290810e, 0x00000005, 
      0x6b01d002, 0x610c0d30, 0x02a0820e, 0x00000005, 
      0x6a01d002, 0x710c0d20, 0x02a0830e, 0x00000005, 
      0x6901c003, 0x710c0d10, 0x02b0830e, 0x00000006, 
      0x6801c003, 0x810b0d10, 0x02b0840e, 0x00000006, 
      0x6801b002, 0x910b0d00, 0x02c0850e, 0x00000006, 
      0x6701b003, 0x910b0cf0, 0x02c0860e, 0x00000006, 
      0x6601b002, 0xa10b0ce0, 0x02d0870e, 0x00000006, 
      0x6501b002, 0xa10b0ce0, 0x02d0880e, 0x00000006, 
      0x6501a002, 0xb10b0cd0, 0x02e0880e, 0x00000006, 
      0x6401a002, 0xc10b0cc0, 0x02e0890e, 0x00000006, 
      0x63019002, 0xc10b0cb0, 0x02f08a0e, 0x00000007, 
      0x62019002, 0xd10a0cb0, 0x02f08b0e, 0x00000007, 
      0x61019002, 0xd10a0ca0, 0x03008c0e, 0x00000007, 
      0x61018002, 0xe10a0c90, 0x03008d0e, 0x00000007, 
      0x60018002, 0xf10a0c80, 0x03108d0e, 0x00000007, 
      0x5f018002, 0xf10a0c70, 0x03208e0e, 0x00000007, 
      0x5e017002, 0x010a0c70, 0x03208f0f, 0x00000007, 
      0x5e017001, 0x01090c60, 0x0330900f, 0x00000008, 
      0x5d017001, 0x11090c50, 0x0330910f, 0x00000008, 
      0x5c016002, 0x11090c40, 0x0340920f, 0x00000008, 
      0x5b016001, 0x21090c40, 0x0340930f, 0x00000008, 
      0x5b016001, 0x21090c30, 0x0350930f, 0x00000008, 
      0x5a016002, 0x31080c20, 0x0350940f, 0x00000008, 
      0x59015002, 0x41080c10, 0x0360950f, 0x00000008, 
      0x58015001, 0x41080c00, 0x0370960f, 0x00000009, 
      0x57014001, 0x51080c00, 0x0370970f, 0x00000009, 
      0x57014001, 0x51070bf0, 0x0380980f, 0x00000009, 
      0x56014001, 0x61070be0, 0x0380990f, 0x00000009, 
      0x55014002, 0x61070bd0, 0x0390990f, 0x00000009, 
      0x55013001, 0x71070bc0, 0x03a09a0f, 0x00000009, 
      0x54013001, 0x71060bc0, 0x03a09b0f, 0x0000000a, 
      0x53013000, 0x81060bb0, 0x03b09c0f, 0x0000000a, 
      0x53012001, 0x81060ba0, 0x03b09d0f, 0x0000000a, 
      0x52012001, 0x91050b90, 0x03c09e0f, 0x0000000a, 
      0x52012001, 0x91050b80, 0x03d09e0f, 0x0000000a, 
      0x50011001, 0xa1050b80, 0x03d09f0f, 0x0000000b, 
      0x50011000, 0xa1050b70, 0x03e0a00f, 0x0000000b, 
      0x4f011001, 0xb1040b60, 0x03e0a10f, 0x0000000b, 
      0x4e011001, 0xb1040b50, 0x03f0a20f, 0x0000000b, 
      0x4e010001, 0xb1040b40, 0x0400a30f, 0x0000000b, 
      0x4d010001, 0xc1030b30, 0x0400a40f, 0x0000000c, 
      0x4c010001, 0xc1030b30, 0x0410a40f, 0x0000000c, 
      0x4c00f000, 0xd1030b20, 0x0420a50f, 0x0000000c, 
      0x4b010001, 0xd1020b10, 0x0420a60f, 0x0000000c, 
      0x4a00f001, 0xe1020b00, 0x0430a70f, 0x0000000c, 
      0x4a00e000, 0xe1020af0, 0x0440a80f, 0x0000000d, 
      0x4900e000, 0xf1010af0, 0x0440a90f, 0x0000000d, 
      0x4800e000, 0xf1010ae0, 0x0450aa0f, 0x0000000d, 
      0x4800e000, 0xf1010ad0, 0x0460aa0f, 0x0000000d, 
      0x4700e000, 0x01000ac0, 0x0460ab10, 0x0000000e,
   },
   { /* Y scale factor = 0.23, phases = 127, taps = 9. */
      0xac04300b, 0xd1051050, 0x00c0440a, 0x00000fff, 
      0xab04300c, 0xd1051040, 0x00c0450a, 0x00000fff, 
      0xaa04200b, 0xe1061040, 0x00c0460a, 0x00000fff, 
      0xa904200b, 0xf1061040, 0x00c0460a, 0x00000fff, 
      0xa804100a, 0x01071030, 0x00d0470b, 0x00000fff, 
      0xa704000b, 0x11071020, 0x00d0480b, 0x00000fff, 
      0xa603f00b, 0x21071020, 0x00d0480b, 0x00000000, 
      0xa503f00a, 0x31081010, 0x00d0490b, 0x00000000, 
      0xa503e009, 0x31081010, 0x00e04a0b, 0x00000000, 
      0xa403e009, 0x41081010, 0x00e04a0b, 0x00000000, 
      0xa303d009, 0x51091000, 0x00e04b0b, 0x00000000, 
      0xa203c009, 0x61091000, 0x00e04c0b, 0x00000000, 
      0xa103c009, 0x71090ff0, 0x00f04c0b, 0x00000000, 
      0xa003b008, 0x810a0ff0, 0x00f04d0b, 0x00000000, 
      0x9f03a009, 0x910a0fe0, 0x00f04e0b, 0x00000000, 
      0x9e03a009, 0x910a0fe0, 0x00f04f0b, 0x00000000, 
      0x9d039009, 0xa10b0fd0, 0x01004f0b, 0x00000000, 
      0x9d038008, 0xb10b0fd0, 0x0100500b, 0x00000000, 
      0x9c038008, 0xc10b0fc0, 0x0100510b, 0x00000000, 
      0x9a037007, 0xd10c0fc0, 0x0110520b, 0x00000000, 
      0x9a037007, 0xe10c0fb0, 0x0110520b, 0x00000000, 
      0x99036008, 0xf10c0fa0, 0x0110530b, 0x00000000, 
      0x98036008, 0xf10c0fa0, 0x0110540b, 0x00000000, 
      0x97035007, 0x010d0f90, 0x0120550c, 0x00000000, 
      0x96034008, 0x110d0f90, 0x0120550c, 0x00000000, 
      0x96034007, 0x210d0f80, 0x0120560c, 0x00000000, 
      0x95033006, 0x310d0f80, 0x0130570c, 0x00000000, 
      0x94032006, 0x410e0f70, 0x0130580c, 0x00000000, 
      0x93032007, 0x410e0f70, 0x0130580c, 0x00000000, 
      0x92031007, 0x510e0f60, 0x0140590c, 0x00000000, 
      0x91031007, 0x610e0f50, 0x01405a0c, 0x00000000, 
      0x90030006, 0x710f0f40, 0x01405b0c, 0x00000001, 
      0x8f030005, 0x810f0f40, 0x01505b0c, 0x00000001, 
      0x8e02f006, 0x810f0f40, 0x01505c0c, 0x00000001, 
      0x8e02f005, 0x910f0f30, 0x01505d0c, 0x00000001, 
      0x8d02e006, 0xa10f0f20, 0x01505e0c, 0x00000001, 
      0x8c02d005, 0xb1100f20, 0x01605e0c, 0x00000001, 
      0x8b02d005, 0xc1100f10, 0x01605f0c, 0x00000001, 
      0x8a02c005, 0xd1100f00, 0x0170600c, 0x00000001, 
      0x8902c005, 0xd1100f00, 0x0170610c, 0x00000001, 
      0x8802c005, 0xe1100ef0, 0x0170620c, 0x00000001, 
      0x8702b005, 0xf1100ef0, 0x0180620c, 0x00000001, 
      0x8702a005, 0x01100ee0, 0x0180630d, 0x00000001, 
      0x8602a005, 0x01110ed0, 0x0180640d, 0x00000001, 
      0x85029004, 0x11110ed0, 0x0190650d, 0x00000001, 
      0x84029004, 0x21110ec0, 0x0190660d, 0x00000001, 
      0x83029005, 0x31110eb0, 0x0190660d, 0x00000001, 
      0x82028004, 0x41110eb0, 0x01a0670d, 0x00000001, 
      0x82028004, 0x41110ea0, 0x01a0680d, 0x00000001, 
      0x80027004, 0x51110e90, 0x01b0690d, 0x00000002, 
      0x80026003, 0x61110e90, 0x01b06a0d, 0x00000002, 
      0x7f026004, 0x71110e80, 0x01b06a0d, 0x00000002, 
      0x7e025004, 0x71120e70, 0x01c06b0d, 0x00000002, 
      0x7d025003, 0x81120e70, 0x01c06c0d, 0x00000002, 
      0x7c024003, 0x91120e60, 0x01d06d0d, 0x00000002, 
      0x7b024003, 0xa1120e50, 0x01d06e0d, 0x00000002, 
      0x7a023003, 0xb1120e50, 0x01d06f0d, 0x00000002, 
      0x7a023003, 0xb1120e40, 0x01e06f0d, 0x00000002, 
      0x79023003, 0xc1120e30, 0x01e0700d, 0x00000002, 
      0x78022002, 0xd1120e30, 0x01f0710d, 0x00000002, 
      0x77022002, 0xe1120e20, 0x01f0720d, 0x00000002, 
      0x76022003, 0xe1120e10, 0x01f0730d, 0x00000002, 
      0x75021003, 0xf1120e00, 0x0200740d, 0x00000002, 
      0x74020003, 0x01120e00, 0x0200740e, 0x00000003, 
      0x74020002, 0x01120df0, 0x0210750e, 0x00000003, 
      0x7301f003, 0x11120de0, 0x0210760e, 0x00000003, 
      0x7101f002, 0x21120de0, 0x0220770e, 0x00000003, 
      0x7101e002, 0x31120dd0, 0x0220780e, 0x00000003, 
      0x7001e002, 0x31120dc0, 0x0230790e, 0x00000003, 
      0x6f01e002, 0x41120db0, 0x02307a0e, 0x00000003, 
      0x6f01d002, 0x51120db0, 0x02307a0e, 0x00000003, 
      0x6e01d002, 0x51120da0, 0x02407b0e, 0x00000003, 
      0x6d01d002, 0x61120d90, 0x02407c0e, 0x00000003, 
      0x6c01c002, 0x71120d80, 0x02507d0e, 0x00000003, 
      0x6b01c002, 0x71120d70, 0x02507e0e, 0x00000004, 
      0x6a01b002, 0x81110d70, 0x02607f0e, 0x00000004, 
      0x6a01b001, 0x91110d60, 0x0260800e, 0x00000004, 
      0x6901b002, 0x91110d50, 0x0270800e, 0x00000004, 
      0x6801b002, 0xa1110d40, 0x0270810e, 0x00000004, 
      0x6701a001, 0xb1110d40, 0x0280820e, 0x00000004, 
      0x6601a002, 0xb1110d30, 0x0280830e, 0x00000004, 
      0x66019001, 0xc1110d20, 0x0290840e, 0x00000004, 
      0x65019001, 0xd1110d10, 0x0290850e, 0x00000004, 
      0x64018002, 0xd1110d00, 0x02a0860e, 0x00000004, 
      0x63018001, 0xe1100d00, 0x02a0870e, 0x00000005, 
      0x62018001, 0xf1100cf0, 0x02b0870e, 0x00000005, 
      0x62018001, 0xf1100ce0, 0x02b0880e, 0x00000005, 
      0x61017001, 0x01100cd0, 0x02c0890f, 0x00000005, 
      0x60017000, 0x11100cd0, 0x02c08a0f, 0x00000005, 
      0x5f016001, 0x11100cc0, 0x02d08b0f, 0x00000005, 
      0x5e016000, 0x21100cb0, 0x02e08c0f, 0x00000005, 
      0x5e016001, 0x210f0ca0, 0x02e08d0f, 0x00000005, 
      0x5d015000, 0x310f0c90, 0x02f08e0f, 0x00000006, 
      0x5c015001, 0x410f0c80, 0x02f08e0f, 0x00000006, 
      0x5b015000, 0x410f0c80, 0x03008f0f, 0x00000006, 
      0x5b014000, 0x510f0c70, 0x0300900f, 0x00000006, 
      0x5a014001, 0x510e0c60, 0x0310910f, 0x00000006, 
      0x59014001, 0x610e0c50, 0x0310920f, 0x00000006, 
      0x58013001, 0x710e0c40, 0x0320930f, 0x00000006, 
      0x57012000, 0x710e0c40, 0x0330940f, 0x00000007, 
      0x57012000, 0x810d0c30, 0x0330950f, 0x00000007, 
      0x56012001, 0x810d0c20, 0x0340950f, 0x00000007, 
      0x55012001, 0x910d0c10, 0x0340960f, 0x00000007, 
      0x55012000, 0x910d0c00, 0x0350970f, 0x00000007, 
      0x54011001, 0xa10c0bf0, 0x0360980f, 0x00000007, 
      0x53011000, 0xa10c0bf0, 0x0360990f, 0x00000008, 
      0x52010000, 0xb10c0be0, 0x03709a0f, 0x00000008, 
      0x51010000, 0xc10c0bd0, 0x03709b0f, 0x00000008, 
      0x51010000, 0xc10b0bc0, 0x03809c0f, 0x00000008, 
      0x50010fff, 0xd10b0bb0, 0x03909d0f, 0x00000008, 
      0x50010000, 0xd10b0ba0, 0x03909d0f, 0x00000008, 
      0x4f00f000, 0xe10a0b90, 0x03a09e0f, 0x00000009, 
      0x4e00f000, 0xe10a0b90, 0x03a09f0f, 0x00000009, 
      0x4d00ffff, 0xf10a0b80, 0x03b0a00f, 0x00000009, 
      0x4c00f000, 0xf1090b70, 0x03c0a10f, 0x00000009, 
      0x4c00e000, 0x01090b60, 0x03c0a210, 0x00000009, 
      0x4b00e000, 0x01090b50, 0x03d0a310, 0x00000009, 
      0x4a00efff, 0x11080b40, 0x03e0a410, 0x0000000a, 
      0x4a00efff, 0x11080b30, 0x03e0a510, 0x0000000a, 
      0x4900d000, 0x11080b30, 0x03f0a510, 0x0000000a, 
      0x4800e000, 0x21070b20, 0x03f0a610, 0x0000000a, 
      0x4800d000, 0x21070b10, 0x0400a710, 0x0000000a, 
      0x4700cfff, 0x31070b00, 0x0410a810, 0x0000000b, 
      0x4600d000, 0x31060af0, 0x0410a910, 0x0000000b, 
      0x4600cfff, 0x41060ae0, 0x0420aa10, 0x0000000b, 
      0x4500c000, 0x41050ad0, 0x0430ab10, 0x0000000b, 
      0x4400bfff, 0x51050ad0, 0x0430ac10, 0x0000000c,
   },
   { /* Y scale factor = 0.24, phases = 127, taps = 9. */
      0xac041009, 0xd10a10a0, 0x00a0410a, 0x00000ffe, 
      0xab040009, 0xe10b1090, 0x00a0420a, 0x00000ffe, 
      0xaa03f009, 0xf10b1090, 0x00a0430a, 0x00000ffe, 
      0xaa03f009, 0x010b1080, 0x00a0430b, 0x00000ffe, 
      0xa803d008, 0x110c1080, 0x00b0440b, 0x00000fff, 
      0xa703d009, 0x110c1070, 0x00b0450b, 0x00000fff, 
      0xa603d008, 0x210d1070, 0x00b0450b, 0x00000fff, 
      0xa603c008, 0x310d1060, 0x00b0460b, 0x00000fff, 
      0xa503b008, 0x410d1060, 0x00b0470b, 0x00000fff, 
      0xa403a007, 0x510e1050, 0x00c0480b, 0x00000fff, 
      0xa303a007, 0x610e1050, 0x00c0480b, 0x00000fff, 
      0xa2039008, 0x710e1040, 0x00c0490b, 0x00000fff, 
      0xa1038007, 0x810f1040, 0x00c04a0b, 0x00000fff, 
      0xa0038007, 0x910f1030, 0x00d04a0b, 0x00000fff, 
      0x9f037007, 0xa10f1030, 0x00d04b0b, 0x00000fff, 
      0x9e037007, 0xa1101020, 0x00d04c0b, 0x00000fff, 
      0x9d036007, 0xb1101020, 0x00d04d0b, 0x00000fff, 
      0x9c036007, 0xc1101010, 0x00e04d0b, 0x00000fff, 
      0x9b035006, 0xd1111010, 0x00e04e0b, 0x00000fff, 
      0x9a034007, 0xe1111000, 0x00e04f0b, 0x00000fff, 
      0x9a034005, 0xf1111000, 0x00e0500b, 0x00000fff, 
      0x99033005, 0x01120ff0, 0x00f0500c, 0x00000fff, 
      0x98033005, 0x11120fe0, 0x00f0510c, 0x00000fff, 
      0x97032005, 0x21120fe0, 0x00f0520c, 0x00000fff, 
      0x96031006, 0x21120fd0, 0x0100530c, 0x00000fff, 
      0x95031005, 0x31130fd0, 0x0100530c, 0x00000fff, 
      0x94030006, 0x41130fc0, 0x0100540c, 0x00000fff, 
      0x94030005, 0x51130fb0, 0x0100550c, 0x00000fff, 
      0x9202f004, 0x61140fb0, 0x0110560c, 0x00000fff, 
      0x9102e005, 0x71140fa0, 0x0110570c, 0x00000fff, 
      0x9002e005, 0x81140fa0, 0x0110570c, 0x00000fff, 
      0x8f02d005, 0x81140f90, 0x0120580c, 0x00000000, 
      0x8e02d005, 0x91140f80, 0x0120590c, 0x00000000, 
      0x8d02c004, 0xa1150f80, 0x01205a0c, 0x00000000, 
      0x8d02c003, 0xb1150f70, 0x01305a0c, 0x00000000, 
      0x8c02b004, 0xc1150f60, 0x01305b0c, 0x00000000, 
      0x8b02b003, 0xd1150f60, 0x01305c0c, 0x00000000, 
      0x8a02a003, 0xe1150f50, 0x01405d0c, 0x00000000, 
      0x89029004, 0xe1160f40, 0x01405e0c, 0x00000000, 
      0x88029004, 0xf1160f40, 0x01405e0c, 0x00000000, 
      0x87028004, 0x01160f30, 0x01505f0d, 0x00000000, 
      0x86028003, 0x11160f30, 0x0150600d, 0x00000000, 
      0x85027004, 0x21160f20, 0x0150610d, 0x00000000, 
      0x84027003, 0x31160f10, 0x0160620d, 0x00000000, 
      0x84026003, 0x31170f00, 0x0160630d, 0x00000000, 
      0x83026003, 0x41170f00, 0x0160630d, 0x00000000, 
      0x82025003, 0x51170ef0, 0x0170640d, 0x00000000, 
      0x81025003, 0x61170ee0, 0x0170650d, 0x00000000, 
      0x80024003, 0x71170ee0, 0x0170660d, 0x00000000, 
      0x7f024002, 0x81170ed0, 0x0180670d, 0x00000000, 
      0x7e024003, 0x81170ec0, 0x0180680d, 0x00000000, 
      0x7d023003, 0x91170ec0, 0x0190680d, 0x00000000, 
      0x7c022003, 0xa1170eb0, 0x0190690d, 0x00000001, 
      0x7b022003, 0xb1170ea0, 0x01906a0d, 0x00000001, 
      0x7b021001, 0xc1180e90, 0x01a06b0d, 0x00000001, 
      0x7a021001, 0xc1180e90, 0x01a06c0d, 0x00000001, 
      0x79020001, 0xd1180e80, 0x01b06d0d, 0x00000001, 
      0x78020001, 0xe1180e70, 0x01b06e0d, 0x00000001, 
      0x77020002, 0xf1180e60, 0x01b06e0d, 0x00000001, 
      0x7601f001, 0x01180e60, 0x01c06f0e, 0x00000001, 
      0x7501f002, 0x01180e50, 0x01c0700e, 0x00000001, 
      0x7401e002, 0x11180e40, 0x01d0710e, 0x00000001, 
      0x7401e001, 0x21180e30, 0x01d0720e, 0x00000001, 
      0x7301d001, 0x31180e30, 0x01d0730e, 0x00000001, 
      0x7201d001, 0x31180e20, 0x01e0740e, 0x00000001, 
      0x7101d002, 0x41180e10, 0x01e0740e, 0x00000001, 
      0x7001c002, 0x51180e00, 0x01f0750e, 0x00000001, 
      0x6f01c000, 0x61180e00, 0x01f0760e, 0x00000002, 
      0x6e01b001, 0x61180df0, 0x0200770e, 0x00000002, 
      0x6e01b000, 0x71180de0, 0x0200780e, 0x00000002, 
      0x6d01a000, 0x81180dd0, 0x0210790e, 0x00000002, 
      0x6c01a000, 0x91180dc0, 0x02107a0e, 0x00000002, 
      0x6b019000, 0x91180dc0, 0x02207b0e, 0x00000002, 
      0x6a01a001, 0xa1170db0, 0x02207b0e, 0x00000002, 
      0x6a019001, 0xb1170da0, 0x02207c0e, 0x00000002, 
      0x68019001, 0xc1170d90, 0x02307d0e, 0x00000002, 
      0x68019001, 0xc1170d80, 0x02307e0e, 0x00000002, 
      0x67018000, 0xd1170d80, 0x02407f0e, 0x00000002, 
      0x66017001, 0xe1170d70, 0x0240800e, 0x00000002, 
      0x65017000, 0xe1170d60, 0x0250810e, 0x00000003, 
      0x64017000, 0xf1170d50, 0x0250820e, 0x00000003, 
      0x63016000, 0x01170d40, 0x0260830f, 0x00000003, 
      0x63016000, 0x01170d30, 0x0260840f, 0x00000003, 
      0x62016000, 0x11160d30, 0x0270840f, 0x00000003, 
      0x61015001, 0x21160d20, 0x0270850f, 0x00000003, 
      0x60015000, 0x31160d10, 0x0280860f, 0x00000003, 
      0x60015000, 0x31160d00, 0x0280870f, 0x00000003, 
      0x5e015000, 0x41160cf0, 0x0290880f, 0x00000003, 
      0x5e014000, 0x41160ce0, 0x0290890f, 0x00000004, 
      0x5d014fff, 0x51150ce0, 0x02a08a0f, 0x00000004, 
      0x5c013fff, 0x61150cd0, 0x02b08b0f, 0x00000004, 
      0x5b013000, 0x61150cc0, 0x02b08c0f, 0x00000004, 
      0x5a013fff, 0x71150cb0, 0x02c08d0f, 0x00000004, 
      0x5a012fff, 0x81150ca0, 0x02c08e0f, 0x00000004, 
      0x59012000, 0x81140ca0, 0x02d08e0f, 0x00000004, 
      0x59012000, 0x91140c80, 0x02d08f0f, 0x00000004, 
      0x57011000, 0xa1140c80, 0x02e0900f, 0x00000004, 
      0x57011fff, 0xa1140c70, 0x02e0910f, 0x00000005, 
      0x56010fff, 0xb1140c60, 0x02f0920f, 0x00000005, 
      0x55010000, 0xb1130c50, 0x0300930f, 0x00000005, 
      0x54010000, 0xc1130c40, 0x0300940f, 0x00000005, 
      0x53010fff, 0xd1130c30, 0x0310950f, 0x00000005, 
      0x53010000, 0xd1120c20, 0x0310960f, 0x00000005, 
      0x5200ffff, 0xe1120c20, 0x0320970f, 0x00000005, 
      0x5100ffff, 0xe1120c00, 0x0330980f, 0x00000006, 
      0x5000efff, 0xf1120c00, 0x0330990f, 0x00000006, 
      0x4f00efff, 0x01110bf0, 0x03409a10, 0x00000006, 
      0x4f00e000, 0x01110be0, 0x03409a10, 0x00000006, 
      0x4e00efff, 0x11110bd0, 0x03509b10, 0x00000006, 
      0x4e00efff, 0x11100bc0, 0x03609c10, 0x00000006, 
      0x4d00dfff, 0x21100bb0, 0x03609d10, 0x00000007, 
      0x4c00dfff, 0x21100ba0, 0x03709e10, 0x00000007, 
      0x4b00dfff, 0x310f0ba0, 0x03709f10, 0x00000007, 
      0x4a00dfff, 0x310f0b90, 0x0380a010, 0x00000007, 
      0x4a00cffe, 0x410f0b80, 0x0390a110, 0x00000007, 
      0x4900dfff, 0x410e0b70, 0x0390a210, 0x00000007, 
      0x4800cffe, 0x510e0b60, 0x03a0a310, 0x00000008, 
      0x4800bffe, 0x510e0b50, 0x03b0a410, 0x00000008, 
      0x4700bfff, 0x610d0b40, 0x03b0a510, 0x00000008, 
      0x4600bfff, 0x610d0b30, 0x03c0a610, 0x00000008, 
      0x4500bfff, 0x710d0b20, 0x03d0a610, 0x00000008, 
      0x4500bfff, 0x710c0b20, 0x03d0a710, 0x00000008, 
      0x4400affe, 0x810c0b10, 0x03e0a810, 0x00000009, 
      0x4300afff, 0x810b0b00, 0x03f0a910, 0x00000009, 
      0x4300affe, 0x910b0af0, 0x03f0aa10, 0x00000009, 
      0x4200affe, 0x910b0ae0, 0x0400ab10, 0x00000009, 
      0x4100affe, 0xa10a0ad0, 0x0410ac10, 0x00000009,
   },
   { /* Y scale factor = 0.25, phases = 127, taps = 9. */
      0xac03e007, 0xd10f10f0, 0x00803e0a, 0x00000ffe, 
      0xab03d007, 0xe11010e0, 0x00803f0a, 0x00000ffe, 
      0xaa03c007, 0xf11010e0, 0x0080400a, 0x00000ffe, 
      0xa903c007, 0x011110d0, 0x0080400b, 0x00000ffe, 
      0xa803b007, 0x111110d0, 0x0080410b, 0x00000ffe, 
      0xa703a006, 0x211210c0, 0x0090420b, 0x00000ffe, 
      0xa6039007, 0x311210c0, 0x0090420b, 0x00000ffe, 
      0xa6039006, 0x411210b0, 0x0090430b, 0x00000ffe, 
      0xa5038005, 0x511310b0, 0x0090440b, 0x00000ffe, 
      0xa4037006, 0x611310a0, 0x0090450b, 0x00000ffe, 
      0xa3036005, 0x711410a0, 0x00a0450b, 0x00000ffe, 
      0xa2036005, 0x81141090, 0x00a0460b, 0x00000ffe, 
      0xa1035005, 0x91141090, 0x00a0470b, 0x00000ffe, 
      0xa0034005, 0xa1151080, 0x00a0480b, 0x00000ffe, 
      0x9f034005, 0xa1151080, 0x00b0480b, 0x00000ffe, 
      0x9e034005, 0xb1151070, 0x00b0490b, 0x00000ffe, 
      0x9d033004, 0xc1161070, 0x00b04a0b, 0x00000ffe, 
      0x9c033005, 0xd1161060, 0x00b04a0b, 0x00000ffe, 
      0x9b032005, 0xe1161050, 0x00c04b0b, 0x00000ffe, 
      0x9a031004, 0xf1171050, 0x00c04c0b, 0x00000ffe, 
      0x99031004, 0x01171040, 0x00c04d0c, 0x00000ffe, 
      0x98030004, 0x11171040, 0x00c04e0c, 0x00000ffe, 
      0x9702f004, 0x21181030, 0x00d04e0c, 0x00000ffe, 
      0x9602f004, 0x31181020, 0x00d04f0c, 0x00000ffe, 
      0x9502e004, 0x41181020, 0x00d0500c, 0x00000ffe, 
      0x9402e003, 0x51191010, 0x00d0510c, 0x00000ffe, 
      0x9302d003, 0x61191010, 0x00e0510c, 0x00000ffe, 
      0x9202c004, 0x71191000, 0x00e0520c, 0x00000ffe, 
      0x9202c004, 0x71190ff0, 0x00e0530c, 0x00000ffe, 
      0x9002b003, 0x811a0ff0, 0x00f0540c, 0x00000ffe, 
      0x8f02b002, 0x911a0fe0, 0x00f0550c, 0x00000fff, 
      0x8e02b003, 0xa11a0fd0, 0x00f0550c, 0x00000fff, 
      0x8e02a002, 0xb11a0fd0, 0x00f0560c, 0x00000fff, 
      0x8c029002, 0xc11b0fc0, 0x0100570c, 0x00000fff, 
      0x8c028002, 0xd11b0fb0, 0x0100580c, 0x00000fff, 
      0x8a028002, 0xe11b0fb0, 0x0100590c, 0x00000fff, 
      0x8a027002, 0xf11b0fa0, 0x0110590c, 0x00000fff, 
      0x89027002, 0x011b0f90, 0x01105a0d, 0x00000fff, 
      0x88026002, 0x011c0f90, 0x01105b0d, 0x00000fff, 
      0x87026001, 0x111c0f80, 0x01205c0d, 0x00000fff, 
      0x86025002, 0x211c0f70, 0x01205d0d, 0x00000fff, 
      0x85025002, 0x311c0f60, 0x01205e0d, 0x00000fff, 
      0x84024002, 0x411c0f60, 0x01305e0d, 0x00000fff, 
      0x83024002, 0x511c0f50, 0x01305f0d, 0x00000fff, 
      0x82023002, 0x611d0f40, 0x0130600d, 0x00000fff, 
      0x81022001, 0x711d0f40, 0x0140610d, 0x00000fff, 
      0x80022002, 0x711d0f30, 0x0140620d, 0x00000fff, 
      0x7f022002, 0x811d0f20, 0x0140630d, 0x00000fff, 
      0x7e021002, 0x911d0f10, 0x0150640d, 0x00000fff, 
      0x7e021001, 0xa11d0f10, 0x0150640d, 0x00000fff, 
      0x7d021001, 0xb11d0f00, 0x0150650d, 0x00000fff, 
      0x7c020001, 0xc11d0ef0, 0x0160660d, 0x00000fff, 
      0x7b01f001, 0xd11e0ee0, 0x0160670d, 0x00000fff, 
      0x7a01f000, 0xd11e0ee0, 0x0170680d, 0x00000fff, 
      0x7901e000, 0xe11e0ed0, 0x0170690d, 0x00000000, 
      0x7801e000, 0xf11e0ec0, 0x01706a0d, 0x00000000, 
      0x7701d000, 0x011e0eb0, 0x01806b0e, 0x00000000, 
      0x7601d001, 0x111e0ea0, 0x01806b0e, 0x00000000, 
      0x7501d000, 0x211e0ea0, 0x01806c0e, 0x00000000, 
      0x7401c001, 0x211e0e90, 0x01906d0e, 0x00000000, 
      0x7301c001, 0x311e0e80, 0x01906e0e, 0x00000000, 
      0x7301b000, 0x411e0e70, 0x01a06f0e, 0x00000000, 
      0x7201a000, 0x511e0e70, 0x01a0700e, 0x00000000, 
      0x7001a000, 0x611e0e60, 0x01b0710e, 0x00000000, 
      0x7001afff, 0x711e0e50, 0x01b0720e, 0x00000000, 
      0x6f01a000, 0x711e0e40, 0x01b0730e, 0x00000000, 
      0x6e01a000, 0x811e0e30, 0x01c0730e, 0x00000000, 
      0x6e019000, 0x911e0e20, 0x01c0740e, 0x00000000, 
      0x6c018000, 0xa11e0e20, 0x01d0750e, 0x00000000, 
      0x6b019000, 0xa11e0e10, 0x01d0760e, 0x00000000, 
      0x6b018fff, 0xb11e0e00, 0x01e0770e, 0x00000000, 
      0x6a017fff, 0xc11e0df0, 0x01e0780e, 0x00000001, 
      0x69016fff, 0xd11e0de0, 0x01f0790e, 0x00000001, 
      0x68016fff, 0xe11e0dd0, 0x01f07a0e, 0x00000001, 
      0x67016fff, 0xe11e0dd0, 0x01f07b0e, 0x00000001, 
      0x66016fff, 0xf11d0dc0, 0x02007c0e, 0x00000001, 
      0x65015000, 0x011d0db0, 0x02007d0f, 0x00000001, 
      0x64015fff, 0x111d0da0, 0x02107e0f, 0x00000001, 
      0x64015000, 0x111d0d90, 0x02107e0f, 0x00000001, 
      0x63014000, 0x211d0d80, 0x02207f0f, 0x00000001, 
      0x62014000, 0x311d0d70, 0x0220800f, 0x00000001, 
      0x61013fff, 0x411d0d70, 0x0230810f, 0x00000001, 
      0x60013000, 0x411d0d60, 0x0230820f, 0x00000001, 
      0x60013fff, 0x511c0d50, 0x0240830f, 0x00000001, 
      0x5e013fff, 0x611c0d40, 0x0240840f, 0x00000002, 
      0x5e012fff, 0x611c0d30, 0x0250850f, 0x00000002, 
      0x5d012fff, 0x711c0d20, 0x0250860f, 0x00000002, 
      0x5c012ffe, 0x811c0d10, 0x0260870f, 0x00000002, 
      0x5b011fff, 0x911c0d00, 0x0260880f, 0x00000002, 
      0x5a011fff, 0x911b0d00, 0x0270890f, 0x00000002, 
      0x59011fff, 0xa11b0cf0, 0x02708a0f, 0x00000002, 
      0x59010ffe, 0xb11b0ce0, 0x02808b0f, 0x00000002, 
      0x58010ffe, 0xb11b0cd0, 0x02908c0f, 0x00000002, 
      0x57010ffe, 0xc11b0cc0, 0x02908d0f, 0x00000002, 
      0x5600fffe, 0xd11a0cb0, 0x02a08e0f, 0x00000003, 
      0x55010fff, 0xd11a0ca0, 0x02a08e0f, 0x00000003, 
      0x5500fffe, 0xe11a0c90, 0x02b08f0f, 0x00000003, 
      0x5400fffe, 0xf11a0c80, 0x02b0900f, 0x00000003, 
      0x5300ffff, 0xf1190c70, 0x02c0910f, 0x00000003, 
      0x5200efff, 0x01190c70, 0x02c09210, 0x00000003, 
      0x5100effe, 0x11190c60, 0x02d09310, 0x00000003, 
      0x5100dffe, 0x11190c50, 0x02e09410, 0x00000003, 
      0x5000dffe, 0x21180c40, 0x02e09510, 0x00000004, 
      0x4f00dffe, 0x21180c30, 0x02f09610, 0x00000004, 
      0x4e00dffe, 0x31180c20, 0x02f09710, 0x00000004, 
      0x4e00cffe, 0x41170c10, 0x03009810, 0x00000004, 
      0x4d00cffe, 0x41170c00, 0x03109910, 0x00000004, 
      0x4c00cffe, 0x51170bf0, 0x03109a10, 0x00000004, 
      0x4b00cfff, 0x51160be0, 0x03209b10, 0x00000004, 
      0x4a00bfff, 0x61160bd0, 0x03209c10, 0x00000005, 
      0x4900bffe, 0x71160bc0, 0x03309d10, 0x00000005, 
      0x4900bffe, 0x71150bb0, 0x03409e10, 0x00000005, 
      0x4800bffe, 0x81150ba0, 0x03409f10, 0x00000005, 
      0x4800affd, 0x81150ba0, 0x0350a010, 0x00000005, 
      0x4700affd, 0x91140b90, 0x0360a110, 0x00000005, 
      0x4600affe, 0x91140b80, 0x0360a210, 0x00000005, 
      0x45009ffd, 0xa1140b70, 0x0370a310, 0x00000006, 
      0x45009ffe, 0xa1130b60, 0x0370a410, 0x00000006, 
      0x44009ffd, 0xb1130b50, 0x0380a510, 0x00000006, 
      0x43009ffe, 0xb1120b40, 0x0390a610, 0x00000006, 
      0x43009ffe, 0xc1120b30, 0x0390a610, 0x00000006, 
      0x42009ffe, 0xc1120b20, 0x03a0a710, 0x00000006, 
      0x41008ffe, 0xd1110b10, 0x03b0a810, 0x00000007, 
      0x40009ffe, 0xd1110b00, 0x03b0a910, 0x00000007, 
      0x40008ffe, 0xe1100af0, 0x03c0aa10, 0x00000007, 
      0x3f008ffe, 0xe1100ae0, 0x03d0ab10, 0x00000007, 
      0x3e008ffe, 0xf10f0ad0, 0x03e0ac10, 0x00000007,
   },
   { /* Y scale factor = 0.26, phases = 127, taps = 9. */
      0xac03b006, 0xd1151140, 0x00503b0a, 0x00000ffd, 
      0xab03a005, 0xe1151140, 0x00603c0a, 0x00000ffd, 
      0xab039005, 0xf1161130, 0x00603c0a, 0x00000ffd, 
      0xa9039005, 0x01161130, 0x00603d0b, 0x00000ffd, 
      0xa8038005, 0x11171120, 0x00603e0b, 0x00000ffd, 
      0xa7037005, 0x21171120, 0x00603f0b, 0x00000ffd, 
      0xa6036005, 0x31181110, 0x00703f0b, 0x00000ffd, 
      0xa5036004, 0x41181110, 0x0070400b, 0x00000ffd, 
      0xa4035004, 0x51191100, 0x0070410b, 0x00000ffd, 
      0xa3035004, 0x61191100, 0x0070410b, 0x00000ffd, 
      0xa3034004, 0x711910f0, 0x0070420b, 0x00000ffd, 
      0xa1033004, 0x811a10e0, 0x0080430b, 0x00000ffd, 
      0xa0032004, 0x911a10e0, 0x0080440b, 0x00000ffd, 
      0x9f032004, 0xa11b10d0, 0x0080440b, 0x00000ffd, 
      0x9e031004, 0xb11b10d0, 0x0080450b, 0x00000ffd, 
      0x9e031003, 0xc11b10c0, 0x0080460b, 0x00000ffd, 
      0x9c030002, 0xd11c10c0, 0x0090470b, 0x00000ffd, 
      0x9b030003, 0xe11c10b0, 0x0090470b, 0x00000ffd, 
      0x9b02f003, 0xf11c10a0, 0x0090480b, 0x00000ffd, 
      0x9902e003, 0x011d10a0, 0x0090490c, 0x00000ffd, 
      0x9802d003, 0x111d1090, 0x00a04a0c, 0x00000ffd, 
      0x9702d003, 0x211d1080, 0x00a04b0c, 0x00000ffd, 
      0x9602c003, 0x311e1080, 0x00a04b0c, 0x00000ffd, 
      0x9602c002, 0x411e1070, 0x00a04c0c, 0x00000ffd, 
      0x9502b002, 0x511e1060, 0x00b04d0c, 0x00000ffd, 
      0x9302a002, 0x611f1060, 0x00b04e0c, 0x00000ffd, 
      0x9202a002, 0x711f1050, 0x00b04f0c, 0x00000ffd, 
      0x9102a002, 0x811f1040, 0x00b04f0c, 0x00000ffe, 
      0x90028001, 0x91201040, 0x00c0500c, 0x00000ffe, 
      0x8f028001, 0xa1201030, 0x00c0510c, 0x00000ffe, 
      0x8e028001, 0xb1201020, 0x00c0520c, 0x00000ffe, 
      0x8d027001, 0xc1201020, 0x00c0530c, 0x00000ffe, 
      0x8c026001, 0xd1211010, 0x00d0530c, 0x00000ffe, 
      0x8b026001, 0xe1211000, 0x00d0540c, 0x00000ffe, 
      0x8a025001, 0xf1211000, 0x00d0550c, 0x00000ffe, 
      0x89025000, 0x01210ff0, 0x00e0560d, 0x00000ffe, 
      0x88024000, 0x11220fe0, 0x00e0570d, 0x00000ffe, 
      0x87024001, 0x11220fd0, 0x00e0580d, 0x00000ffe, 
      0x87023000, 0x21220fd0, 0x00f0580d, 0x00000ffe, 
      0x86023000, 0x31220fc0, 0x00f0590d, 0x00000ffe, 
      0x85022001, 0x41220fb0, 0x00f05a0d, 0x00000ffe, 
      0x84022000, 0x51220fb0, 0x00f05b0d, 0x00000ffe, 
      0x82021000, 0x61230fa0, 0x01005c0d, 0x00000ffe, 
      0x82020000, 0x71230f90, 0x01005d0d, 0x00000ffe, 
      0x81020000, 0x81230f80, 0x01005e0d, 0x00000ffe, 
      0x80020000, 0x91230f70, 0x01105e0d, 0x00000ffe, 
      0x7f01f000, 0xa1230f70, 0x01105f0d, 0x00000ffe, 
      0x7e01f000, 0xb1230f60, 0x0110600d, 0x00000ffe, 
      0x7d01efff, 0xc1240f50, 0x0120610d, 0x00000ffe, 
      0x7c01efff, 0xd1240f40, 0x0120620d, 0x00000ffe, 
      0x7b01dfff, 0xd1240f40, 0x0130630d, 0x00000ffe, 
      0x7a01dfff, 0xe1240f30, 0x0130640d, 0x00000ffe, 
      0x7901c000, 0xf1240f20, 0x0130650d, 0x00000ffe, 
      0x7801cfff, 0x01240f10, 0x0140660e, 0x00000ffe, 
      0x7701c000, 0x11240f00, 0x0140660e, 0x00000ffe, 
      0x7601b000, 0x21240f00, 0x0140670e, 0x00000ffe, 
      0x7501bfff, 0x31240ef0, 0x0150680e, 0x00000ffe, 
      0x7401afff, 0x41240ee0, 0x0150690e, 0x00000fff, 
      0x73019fff, 0x51240ed0, 0x01606a0e, 0x00000fff, 
      0x72019000, 0x51240ec0, 0x01606b0e, 0x00000fff, 
      0x72019fff, 0x61240eb0, 0x01606c0e, 0x00000fff, 
      0x70018fff, 0x71240eb0, 0x01706d0e, 0x00000fff, 
      0x70018ffe, 0x81240ea0, 0x01706e0e, 0x00000fff, 
      0x6f017ffe, 0x91240e90, 0x01806f0e, 0x00000fff, 
      0x6e017ffe, 0xa1240e80, 0x0180700e, 0x00000fff, 
      0x6d017fff, 0xb1240e70, 0x0180700e, 0x00000fff, 
      0x6c017fff, 0xb1240e60, 0x0190710e, 0x00000fff, 
      0x6b016fff, 0xc1240e60, 0x0190720e, 0x00000fff, 
      0x6a016ffe, 0xd1240e50, 0x01a0730e, 0x00000fff, 
      0x69015fff, 0xe1240e40, 0x01a0740e, 0x00000fff, 
      0x68015ffe, 0xf1240e30, 0x01b0750e, 0x00000fff, 
      0x67014fff, 0x01240e20, 0x01b0760f, 0x00000fff, 
      0x67014fff, 0x01240e10, 0x01b0770f, 0x00000fff, 
      0x66014ffe, 0x11240e00, 0x01c0780f, 0x00000fff, 
      0x65013fff, 0x21240df0, 0x01c0790f, 0x00000fff, 
      0x64013ffe, 0x31240de0, 0x01d07a0f, 0x00000fff, 
      0x63012ffe, 0x41240dd0, 0x01d07b0f, 0x00000000, 
      0x61012ffe, 0x41240dd0, 0x01e07c0f, 0x00000000, 
      0x61011ffe, 0x51240dc0, 0x01e07d0f, 0x00000000, 
      0x60011ffe, 0x61230db0, 0x01f07e0f, 0x00000000, 
      0x5f011ffe, 0x71230da0, 0x01f07f0f, 0x00000000, 
      0x5e011ffe, 0x71230d90, 0x0200800f, 0x00000000, 
      0x5e010ffe, 0x81230d80, 0x0200810f, 0x00000000, 
      0x5d010ffd, 0x91230d70, 0x0210820f, 0x00000000, 
      0x5c010ffd, 0xa1230d60, 0x0210830f, 0x00000000, 
      0x5b00fffe, 0xb1220d50, 0x0220840f, 0x00000000, 
      0x5a010ffe, 0xb1220d40, 0x0220850f, 0x00000000, 
      0x5900fffe, 0xc1220d30, 0x0230860f, 0x00000000, 
      0x5800fffe, 0xd1220d20, 0x0230870f, 0x00000000, 
      0x5800effe, 0xd1220d10, 0x0240870f, 0x00000001, 
      0x5700effd, 0xe1220d10, 0x0240880f, 0x00000001, 
      0x5600effd, 0xf1210d00, 0x0250890f, 0x00000001, 
      0x5500dffe, 0x01210cf0, 0x02508a10, 0x00000001, 
      0x5400dffe, 0x01210ce0, 0x02608b10, 0x00000001, 
      0x5300dffe, 0x11210cd0, 0x02608c10, 0x00000001, 
      0x5300cffe, 0x21200cc0, 0x02708d10, 0x00000001, 
      0x5200cffe, 0x21200cb0, 0x02808e10, 0x00000001, 
      0x5100cffe, 0x31200ca0, 0x02808f10, 0x00000001, 
      0x5000cffd, 0x41200c90, 0x02909010, 0x00000001, 
      0x5000cffe, 0x411f0c80, 0x02909110, 0x00000001, 
      0x4f00bffd, 0x511f0c70, 0x02a09210, 0x00000002, 
      0x4e00bffd, 0x611f0c60, 0x02a09310, 0x00000002, 
      0x4d00bffe, 0x611e0c50, 0x02b09410, 0x00000002, 
      0x4c00affe, 0x711e0c40, 0x02c09510, 0x00000002, 
      0x4b00affe, 0x811e0c30, 0x02c09610, 0x00000002, 
      0x4b00affe, 0x811d0c20, 0x02d09710, 0x00000002, 
      0x4a00affe, 0x911d0c10, 0x02d09810, 0x00000002, 
      0x49009ffe, 0xa11d0c00, 0x02e09910, 0x00000002, 
      0x48009ffe, 0xa11c0bf0, 0x02f09a10, 0x00000003, 
      0x47009ffe, 0xb11c0be0, 0x02f09b10, 0x00000003, 
      0x47008ffd, 0xc11c0bd0, 0x03009c10, 0x00000003, 
      0x46009ffe, 0xc11b0bc0, 0x03009d10, 0x00000003, 
      0x45008ffe, 0xd11b0bb0, 0x03109e10, 0x00000003, 
      0x44008ffe, 0xd11b0ba0, 0x03209f10, 0x00000003, 
      0x44008ffe, 0xe11a0b90, 0x0320a010, 0x00000003, 
      0x43008ffe, 0xe11a0b80, 0x0330a110, 0x00000003, 
      0x42007ffe, 0xf1190b70, 0x0340a210, 0x00000004, 
      0x41007ffe, 0x01190b60, 0x0340a311, 0x00000004, 
      0x41007ffd, 0x01190b50, 0x0350a411, 0x00000004, 
      0x40007ffd, 0x11180b40, 0x0360a511, 0x00000004, 
      0x40007ffd, 0x11180b30, 0x0360a611, 0x00000004, 
      0x3f007ffd, 0x21170b20, 0x0370a711, 0x00000004, 
      0x3e006ffd, 0x21170b10, 0x0380a811, 0x00000005, 
      0x3e006ffd, 0x31160b00, 0x0380a911, 0x00000005, 
      0x3d006ffd, 0x31160af0, 0x0390aa11, 0x00000005, 
      0x3c006ffd, 0x41150ae0, 0x03a0ab11, 0x00000005, 
      0x3c006ffd, 0x41150ad0, 0x03a0ac11, 0x00000005,
   },
   { /* Y scale factor = 0.27, phases = 127, taps = 9. */
      0xad036003, 0xe11b11a0, 0x0030380a, 0x00000ffc, 
      0xab036004, 0xf11b11a0, 0x0030380a, 0x00000ffc, 
      0xaa036002, 0x011c1190, 0x0040390b, 0x00000ffc, 
      0xa9035003, 0x111c1180, 0x00403a0b, 0x00000ffc, 
      0xa8034003, 0x211d1180, 0x00403a0b, 0x00000ffc, 
      0xa7034003, 0x311d1170, 0x00403b0b, 0x00000ffc, 
      0xa6033002, 0x411e1170, 0x00403c0b, 0x00000ffc, 
      0xa5032002, 0x511e1160, 0x00503d0b, 0x00000ffc, 
      0xa4032002, 0x611e1160, 0x00503d0b, 0x00000ffc, 
      0xa3031002, 0x711f1150, 0x00503e0b, 0x00000ffc, 
      0xa2031002, 0x811f1140, 0x00503f0b, 0x00000ffc, 
      0xa1030001, 0x91201140, 0x0050400b, 0x00000ffc, 
      0xa002f002, 0xa1201140, 0x0050400b, 0x00000ffc, 
      0x9f02e001, 0xb1211130, 0x0060410b, 0x00000ffc, 
      0x9e02e001, 0xc1211120, 0x0060420b, 0x00000ffc, 
      0x9d02d002, 0xd1211110, 0x0060430b, 0x00000ffc, 
      0x9c02d001, 0xe1221110, 0x0060430b, 0x00000ffc, 
      0x9b02c001, 0xf1221100, 0x0070440b, 0x00000ffc, 
      0x9a02b000, 0x012310f0, 0x0070450c, 0x00000ffd, 
      0x9902a000, 0x112310f0, 0x0070460c, 0x00000ffd, 
      0x9802a000, 0x212310e0, 0x0070470c, 0x00000ffd, 
      0x97029001, 0x312410d0, 0x0070470c, 0x00000ffd, 
      0x95029000, 0x412410d0, 0x0080480c, 0x00000ffd, 
      0x94028001, 0x512410c0, 0x0080490c, 0x00000ffd, 
      0x93028000, 0x612510b0, 0x00804a0c, 0x00000ffd, 
      0x92027000, 0x712510b0, 0x00804b0c, 0x00000ffd, 
      0x91027000, 0x812510a0, 0x00904b0c, 0x00000ffd, 
      0x90026000, 0x91261090, 0x00904c0c, 0x00000ffd, 
      0x8f025000, 0xa1261090, 0x00904d0c, 0x00000ffd, 
      0x8e025000, 0xb1261080, 0x00904e0c, 0x00000ffd, 
      0x8d024fff, 0xc1271070, 0x00a04f0c, 0x00000ffd, 
      0x8c024fff, 0xd1271060, 0x00a0500c, 0x00000ffd, 
      0x8b023000, 0xe1271060, 0x00a0500c, 0x00000ffd, 
      0x8a023000, 0xf1271050, 0x00a0510c, 0x00000ffd, 
      0x89022fff, 0x01281040, 0x00b0520d, 0x00000ffd, 
      0x88021000, 0x11281030, 0x00b0530d, 0x00000ffd, 
      0x87021fff, 0x21281030, 0x00b0540d, 0x00000ffd, 
      0x86020fff, 0x31281020, 0x00c0550d, 0x00000ffd, 
      0x85020fff, 0x41281010, 0x00c0560d, 0x00000ffd, 
      0x84020fff, 0x51291000, 0x00c0560d, 0x00000ffd, 
      0x8301ffff, 0x61291000, 0x00c0570d, 0x00000ffd, 
      0x8201efff, 0x71290ff0, 0x00d0580d, 0x00000ffd, 
      0x8101efff, 0x81290fe0, 0x00d0590d, 0x00000ffd, 
      0x8001efff, 0x91290fd0, 0x00d05a0d, 0x00000ffd, 
      0x7f01dffe, 0xa12a0fc0, 0x00e05b0d, 0x00000ffd, 
      0x7e01cfff, 0xb12a0fb0, 0x00e05c0d, 0x00000ffd, 
      0x7d01cffe, 0xc12a0fb0, 0x00e05d0d, 0x00000ffd, 
      0x7c01bfff, 0xd12a0fa0, 0x00f05d0d, 0x00000ffd, 
      0x7b01bfff, 0xe12a0f90, 0x00f05e0d, 0x00000ffd, 
      0x7a01bfff, 0xf12a0f80, 0x00f05f0d, 0x00000ffd, 
      0x7901afff, 0x012a0f70, 0x0100600e, 0x00000ffd, 
      0x7801affe, 0x112b0f60, 0x0100610e, 0x00000ffd, 
      0x77019ffe, 0x212b0f60, 0x0100620e, 0x00000ffd, 
      0x76018ffe, 0x312b0f50, 0x0110630e, 0x00000ffd, 
      0x75018ffe, 0x412b0f40, 0x0110640e, 0x00000ffd, 
      0x74018ffe, 0x512b0f30, 0x0110650e, 0x00000ffd, 
      0x73017ffe, 0x612b0f20, 0x0120660e, 0x00000ffd, 
      0x72017ffe, 0x712b0f10, 0x0120670e, 0x00000ffd, 
      0x72017ffe, 0x712b0f00, 0x0120680e, 0x00000ffd, 
      0x70016ffd, 0x812b0f00, 0x0130690e, 0x00000ffe, 
      0x6f016ffe, 0x912b0ef0, 0x0130690e, 0x00000ffe, 
      0x6e015ffe, 0xa12b0ee0, 0x01406a0e, 0x00000ffe, 
      0x6d015ffe, 0xb12b0ed0, 0x01406b0e, 0x00000ffe, 
      0x6c015ffe, 0xc12b0ec0, 0x01406c0e, 0x00000ffe, 
      0x6b014ffe, 0xd12b0eb0, 0x01506d0e, 0x00000ffe, 
      0x6a014ffe, 0xe12b0ea0, 0x01506e0e, 0x00000ffe, 
      0x69013ffe, 0xf12b0e90, 0x01606f0e, 0x00000ffe, 
      0x69013ffd, 0x012b0e80, 0x0160700f, 0x00000ffe, 
      0x68013ffe, 0x012b0e70, 0x0160710f, 0x00000ffe, 
      0x67012ffd, 0x112b0e70, 0x0170720f, 0x00000ffe, 
      0x66012ffd, 0x212b0e60, 0x0170730f, 0x00000ffe, 
      0x65011ffd, 0x312b0e50, 0x0180740f, 0x00000ffe, 
      0x64011ffd, 0x412b0e40, 0x0180750f, 0x00000ffe, 
      0x63010ffd, 0x512b0e30, 0x0190760f, 0x00000ffe, 
      0x62010ffd, 0x612b0e20, 0x0190770f, 0x00000ffe, 
      0x61010ffd, 0x612b0e10, 0x01a0780f, 0x00000ffe, 
      0x60010ffe, 0x712a0e00, 0x01a0790f, 0x00000ffe, 
      0x5f010ffe, 0x812a0df0, 0x01a07a0f, 0x00000ffe, 
      0x5e00fffe, 0x912a0de0, 0x01b07b0f, 0x00000ffe, 
      0x5d00fffe, 0xa12a0dd0, 0x01b07c0f, 0x00000ffe, 
      0x5d00effd, 0xb12a0dc0, 0x01c07d0f, 0x00000ffe, 
      0x5c00effd, 0xb12a0db0, 0x01c07e0f, 0x00000fff, 
      0x5b00dffd, 0xc12a0da0, 0x01d07f0f, 0x00000fff, 
      0x5a00dffe, 0xd1290d90, 0x01d0800f, 0x00000fff, 
      0x5900dffd, 0xe1290d80, 0x01e0810f, 0x00000fff, 
      0x5800dffd, 0xf1290d70, 0x01e0820f, 0x00000fff, 
      0x5700dffd, 0xf1290d60, 0x01f0830f, 0x00000fff, 
      0x5600dffd, 0x01290d50, 0x01f08410, 0x00000fff, 
      0x5600cffd, 0x11280d40, 0x02008510, 0x00000fff, 
      0x5500cffd, 0x21280d30, 0x02008610, 0x00000fff, 
      0x5400bffd, 0x31280d20, 0x02108710, 0x00000fff, 
      0x5300bffd, 0x31280d20, 0x02108810, 0x00000fff, 
      0x5200bffd, 0x41280d00, 0x02208910, 0x00000fff, 
      0x5200bffd, 0x51270cf0, 0x02208a10, 0x00000fff, 
      0x5000bffd, 0x61270ce0, 0x02308b10, 0x00000fff, 
      0x5000affd, 0x61270cd0, 0x02408c10, 0x00000fff, 
      0x4f00affc, 0x71270cc0, 0x02408d10, 0x00000000, 
      0x4e009ffd, 0x81260cb0, 0x02508e10, 0x00000000, 
      0x4d009ffd, 0x91260ca0, 0x02508f10, 0x00000000, 
      0x4c009ffd, 0x91260c90, 0x02609010, 0x00000000, 
      0x4c009ffd, 0xa1250c80, 0x02609110, 0x00000000, 
      0x4b008ffd, 0xb1250c70, 0x02709210, 0x00000000, 
      0x4a008ffd, 0xb1250c60, 0x02809310, 0x00000000, 
      0x49008ffd, 0xc1240c60, 0x02809410, 0x00000000, 
      0x48008ffd, 0xd1240c40, 0x02909510, 0x00000000, 
      0x47008ffd, 0xd1240c30, 0x02909710, 0x00000000, 
      0x47007ffc, 0xe1230c20, 0x02a09810, 0x00000001, 
      0x46006ffc, 0xf1230c10, 0x02b09910, 0x00000001, 
      0x45007ffc, 0xf1230c00, 0x02b09a10, 0x00000001, 
      0x44007ffc, 0x01220bf0, 0x02c09b11, 0x00000001, 
      0x43006ffd, 0x11220be0, 0x02c09c11, 0x00000001, 
      0x43006ffd, 0x11210bd0, 0x02d09d11, 0x00000001, 
      0x42006ffc, 0x21210bc0, 0x02e09e11, 0x00000001, 
      0x41006ffc, 0x31210bb0, 0x02e09f11, 0x00000001, 
      0x40006ffd, 0x31200ba0, 0x02f0a011, 0x00000001, 
      0x3f005ffc, 0x41200b90, 0x0300a111, 0x00000002, 
      0x3f005ffd, 0x411f0b80, 0x0300a211, 0x00000002, 
      0x3e005ffc, 0x511f0b70, 0x0310a311, 0x00000002, 
      0x3d005ffc, 0x611e0b60, 0x0320a411, 0x00000002, 
      0x3d005ffc, 0x611e0b50, 0x0320a511, 0x00000002, 
      0x3c004ffc, 0x711e0b40, 0x0330a611, 0x00000002, 
      0x3b004ffd, 0x711d0b30, 0x0340a711, 0x00000002, 
      0x3a004ffc, 0x811d0b20, 0x0340a811, 0x00000003, 
      0x3a004ffc, 0x811c0b10, 0x0350a911, 0x00000003, 
      0x39003ffc, 0x911c0b00, 0x0360aa11, 0x00000003, 
      0x38003ffd, 0xa11b0af0, 0x0360ab11, 0x00000003, 
      0x37003ffc, 0xa11b0ae0, 0x0370ad11, 0x00000003,
   },
   { /* Y scale factor = 0.28, phases = 127, taps = 9. */
      0xac033002, 0xe1211200, 0x0010340a, 0x00000ffb, 
      0xab033001, 0xf12111f0, 0x0010350a, 0x00000ffc, 
      0xaa032000, 0x012211e0, 0x0020360b, 0x00000ffc, 
      0xa9031001, 0x112211e0, 0x0020360b, 0x00000ffc, 
      0xa8030000, 0x212311e0, 0x0020370b, 0x00000ffc, 
      0xa7030000, 0x312311d0, 0x0020380b, 0x00000ffc, 
      0xa602f001, 0x412411c0, 0x0020380b, 0x00000ffc, 
      0xa502f000, 0x512411c0, 0x0020390b, 0x00000ffc, 
      0xa402e000, 0x612511b0, 0x00203a0b, 0x00000ffc, 
      0xa302dfff, 0x712511b0, 0x00303b0b, 0x00000ffc, 
      0xa202dfff, 0x812611a0, 0x00303b0b, 0x00000ffc, 
      0xa002c000, 0xa1261190, 0x00303c0b, 0x00000ffc, 
      0x9f02bfff, 0xb1271190, 0x00303d0b, 0x00000ffc, 
      0x9e02bfff, 0xc1271180, 0x00303e0b, 0x00000ffc, 
      0x9d02a000, 0xd1271170, 0x00403e0b, 0x00000ffc, 
      0x9c029fff, 0xe1281170, 0x00403f0b, 0x00000ffc, 
      0x9b029fff, 0xf1281160, 0x0040400b, 0x00000ffc, 
      0x9a028fff, 0x01291150, 0x0040410c, 0x00000ffc, 
      0x99027fff, 0x11291150, 0x0040420c, 0x00000ffc, 
      0x98027fff, 0x21291140, 0x0050420c, 0x00000ffc, 
      0x97026fff, 0x312a1130, 0x0050430c, 0x00000ffc, 
      0x96026ffe, 0x412a1130, 0x0050440c, 0x00000ffc, 
      0x94025fff, 0x512b1120, 0x0050450c, 0x00000ffc, 
      0x93025fff, 0x612b1110, 0x0050460c, 0x00000ffc, 
      0x92024fff, 0x812b1100, 0x0060460c, 0x00000ffc, 
      0x91023ffe, 0x912c1100, 0x0060470c, 0x00000ffc, 
      0x90023ffe, 0xa12c10f0, 0x0060480c, 0x00000ffc, 
      0x8f022fff, 0xb12c10e0, 0x0060490c, 0x00000ffc, 
      0x8e022ffe, 0xc12d10d0, 0x00604a0c, 0x00000ffc, 
      0x8c021ffe, 0xd12d10d0, 0x00704b0c, 0x00000ffc, 
      0x8c020ffe, 0xe12d10c0, 0x00704c0c, 0x00000ffc, 
      0x8b021ffe, 0xf12d10b0, 0x00704c0c, 0x00000ffc, 
      0x8a020ffe, 0x012e10a0, 0x00704d0d, 0x00000ffc, 
      0x8901fffe, 0x112e1090, 0x00804e0d, 0x00000ffc, 
      0x8801effe, 0x212e1090, 0x00804f0d, 0x00000ffc, 
      0x8701effd, 0x312f1080, 0x0080500d, 0x00000ffc, 
      0x8501dffe, 0x412f1070, 0x0090510d, 0x00000ffc, 
      0x8401dffe, 0x512f1060, 0x0090520d, 0x00000ffc, 
      0x8401dffe, 0x612f1050, 0x0090520d, 0x00000ffc, 
      0x8201cffe, 0x71301050, 0x0090530d, 0x00000ffc, 
      0x8101bffe, 0x81301040, 0x00a0540d, 0x00000ffc, 
      0x8001bffe, 0x91301030, 0x00a0550d, 0x00000ffc, 
      0x7f01bffe, 0xa1301020, 0x00a0560d, 0x00000ffc, 
      0x7f01affe, 0xb1301010, 0x00a0570d, 0x00000ffc, 
      0x7d01affe, 0xc1301000, 0x00b0580d, 0x00000ffc, 
      0x7c018ffd, 0xe1311000, 0x00b0590d, 0x00000ffc, 
      0x7b018ffd, 0xf1310ff0, 0x00b05a0d, 0x00000ffc, 
      0x79018ffd, 0x01310fe0, 0x00c05b0e, 0x00000ffc, 
      0x79017ffd, 0x11310fd0, 0x00c05c0e, 0x00000ffc, 
      0x78017ffe, 0x21310fc0, 0x00c05c0e, 0x00000ffc, 
      0x77017ffd, 0x31310fb0, 0x00d05d0e, 0x00000ffc, 
      0x76017ffd, 0x41310fa0, 0x00d05e0e, 0x00000ffc, 
      0x75016ffd, 0x51320f90, 0x00d05f0e, 0x00000ffc, 
      0x74015ffc, 0x61320f90, 0x00e0600e, 0x00000ffc, 
      0x73015ffc, 0x71320f80, 0x00e0610e, 0x00000ffc, 
      0x72015ffc, 0x81320f70, 0x00e0620e, 0x00000ffc, 
      0x71014ffd, 0x81320f60, 0x00f0630e, 0x00000ffc, 
      0x70014ffd, 0x91320f50, 0x00f0640e, 0x00000ffc, 
      0x6f014ffd, 0xa1320f40, 0x00f0650e, 0x00000ffc, 
      0x6e013ffd, 0xb1320f30, 0x0100660e, 0x00000ffc, 
      0x6d013ffd, 0xc1320f20, 0x0100670e, 0x00000ffc, 
      0x6c012ffc, 0xd1320f10, 0x0110680e, 0x00000ffd, 
      0x6b012ffc, 0xe1320f00, 0x0110690e, 0x00000ffd, 
      0x6a011ffd, 0xf1320ef0, 0x01106a0e, 0x00000ffd, 
      0x69011ffc, 0x01320ee0, 0x01206b0f, 0x00000ffd, 
      0x68011ffc, 0x11320ed0, 0x01206c0f, 0x00000ffd, 
      0x67010ffd, 0x21320ec0, 0x01206d0f, 0x00000ffd, 
      0x66010ffc, 0x31320eb0, 0x01306e0f, 0x00000ffd, 
      0x6500fffd, 0x41320ea0, 0x01306f0f, 0x00000ffd, 
      0x6400fffc, 0x51320e90, 0x0140700f, 0x00000ffd, 
      0x6300fffc, 0x61320e80, 0x0140710f, 0x00000ffd, 
      0x6200effc, 0x71320e70, 0x0150720f, 0x00000ffd, 
      0x6100effc, 0x81320e60, 0x0150730f, 0x00000ffd, 
      0x6000dffc, 0x91320e60, 0x0150740f, 0x00000ffd, 
      0x5f00dffc, 0x91320e50, 0x0160750f, 0x00000ffd, 
      0x5e00dffd, 0xa1310e40, 0x0160760f, 0x00000ffd, 
      0x5d00dffc, 0xb1310e30, 0x0170770f, 0x00000ffd, 
      0x5c00cffd, 0xc1310e20, 0x0170780f, 0x00000ffd, 
      0x5b00cffc, 0xd1310e10, 0x0180790f, 0x00000ffd, 
      0x5b00bffc, 0xe1310e00, 0x01807a0f, 0x00000ffd, 
      0x5900bffc, 0xf1310df0, 0x01907b0f, 0x00000ffd, 
      0x5800bffc, 0x01310de0, 0x01907c10, 0x00000ffd, 
      0x5800bffd, 0x01300dd0, 0x01907d10, 0x00000ffd, 
      0x5700bffd, 0x11300db0, 0x01a07e10, 0x00000ffd, 
      0x5600bffd, 0x21300da0, 0x01a07f10, 0x00000ffd, 
      0x5500affd, 0x31300d90, 0x01b08010, 0x00000ffd, 
      0x5400affd, 0x41300d80, 0x01b08110, 0x00000ffd, 
      0x53009ffd, 0x51300d70, 0x01c08210, 0x00000ffd, 
      0x5200affd, 0x512f0d60, 0x01c08310, 0x00000ffe, 
      0x52009ffc, 0x612f0d50, 0x01d08410, 0x00000ffe, 
      0x51009ffc, 0x712f0d40, 0x01d08510, 0x00000ffe, 
      0x4f008ffc, 0x812f0d30, 0x01e08710, 0x00000ffe, 
      0x4f008ffc, 0x912e0d20, 0x01e08810, 0x00000ffe, 
      0x4e008ffc, 0x912e0d10, 0x01f08910, 0x00000ffe, 
      0x4d007ffc, 0xa12e0d00, 0x02008a10, 0x00000ffe, 
      0x4c007ffd, 0xb12d0cf0, 0x02008b10, 0x00000ffe, 
      0x4c007ffb, 0xc12d0ce0, 0x02108c10, 0x00000ffe, 
      0x4b007ffb, 0xd12d0cd0, 0x02108d10, 0x00000ffe, 
      0x4a006ffc, 0xd12d0cc0, 0x02208e10, 0x00000ffe, 
      0x49007ffc, 0xe12c0cb0, 0x02208f10, 0x00000ffe, 
      0x48006ffc, 0xf12c0ca0, 0x02309010, 0x00000ffe, 
      0x47006ffc, 0x012c0c90, 0x02309111, 0x00000ffe, 
      0x47006ffc, 0x012b0c80, 0x02409211, 0x00000ffe, 
      0x46005ffc, 0x112b0c60, 0x02509311, 0x00000fff, 
      0x45005ffc, 0x212b0c50, 0x02509411, 0x00000fff, 
      0x44005ffb, 0x312a0c40, 0x02609611, 0x00000fff, 
      0x43005ffc, 0x312a0c30, 0x02609711, 0x00000fff, 
      0x42005ffc, 0x41290c20, 0x02709811, 0x00000fff, 
      0x42004ffb, 0x51290c10, 0x02809911, 0x00000fff, 
      0x41004ffc, 0x51290c00, 0x02809a11, 0x00000fff, 
      0x40004ffc, 0x61280bf0, 0x02909b11, 0x00000fff, 
      0x3f004ffc, 0x71280be0, 0x02909c11, 0x00000fff, 
      0x3f004ffc, 0x71270bd0, 0x02a09d11, 0x00000fff, 
      0x3e003ffb, 0x81270bc0, 0x02b09e11, 0x00000000, 
      0x3d003ffb, 0x91270bb0, 0x02b09f11, 0x00000000, 
      0x3c003ffc, 0x91260ba0, 0x02c0a011, 0x00000000, 
      0x3b003ffb, 0xa1260b80, 0x02d0a211, 0x00000000, 
      0x3b003ffb, 0xb1250b70, 0x02d0a311, 0x00000000, 
      0x3a002ffc, 0xb1250b60, 0x02e0a411, 0x00000000, 
      0x39002ffc, 0xc1240b50, 0x02f0a511, 0x00000000, 
      0x38003ffc, 0xc1240b40, 0x02f0a611, 0x00000000, 
      0x38002ffc, 0xd1230b30, 0x0300a711, 0x00000000, 
      0x37001ffb, 0xe1230b20, 0x0310a811, 0x00000001, 
      0x36002ffc, 0xe1220b10, 0x0310a911, 0x00000001, 
      0x36001ffb, 0xf1220b00, 0x0320aa11, 0x00000001, 
      0x35001ffc, 0xf1210af0, 0x0330ab11, 0x00000001, 
      0x34001ffc, 0x01210ae0, 0x0330ac12, 0x00000001,
   },
   { /* Y scale factor = 0.29, phases = 127, taps = 9. */
      0xac030000, 0xd1271260, 0xfff0300a, 0x00000ffb, 
      0xab030fff, 0xf1271250, 0xfff0310a, 0x00000ffb, 
      0xaa02efff, 0x01281250, 0xfff0320b, 0x00000ffb, 
      0xa902effe, 0x11281240, 0x0000330b, 0x00000ffb, 
      0xa802dffe, 0x21291240, 0x0000330b, 0x00000ffb, 
      0xa702cfff, 0x31291230, 0x0000340b, 0x00000ffb, 
      0xa502cfff, 0x412a1220, 0x0000350b, 0x00000ffb, 
      0xa402bffe, 0x512b1220, 0x0000360b, 0x00000ffb, 
      0xa302afff, 0x712b1210, 0x0000360b, 0x00000ffb, 
      0xa202affe, 0x812c1200, 0x0000370b, 0x00000ffb, 
      0xa1029ffd, 0x912c1200, 0x0010380b, 0x00000ffb, 
      0xa0028ffd, 0xa12d11f0, 0x0010390b, 0x00000ffb, 
      0x9f028ffe, 0xb12d11e0, 0x0010390b, 0x00000ffb, 
      0x9d028ffe, 0xc12d11e0, 0x00103a0b, 0x00000ffb, 
      0x9c027ffe, 0xd12e11d0, 0x00103b0b, 0x00000ffb, 
      0x9b026ffe, 0xf12e11c0, 0x00103c0b, 0x00000ffb, 
      0x9a025ffd, 0x012f11c0, 0x00203c0c, 0x00000ffb, 
      0x99025ffd, 0x112f11b0, 0x00203d0c, 0x00000ffb, 
      0x98024ffd, 0x213011a0, 0x00203e0c, 0x00000ffb, 
      0x97023ffe, 0x31301190, 0x00203f0c, 0x00000ffb, 
      0x96022ffd, 0x41311190, 0x0020400c, 0x00000ffb, 
      0x94022ffe, 0x51311180, 0x0020410c, 0x00000ffb, 
      0x93022ffe, 0x61311170, 0x0030410c, 0x00000ffb, 
      0x92021ffd, 0x81321160, 0x0030420c, 0x00000ffb, 
      0x91020ffd, 0x91321160, 0x0030430c, 0x00000ffb, 
      0x90020ffd, 0xa1321150, 0x0030440c, 0x00000ffb, 
      0x8f01fffd, 0xb1331140, 0x0030450c, 0x00000ffb, 
      0x8e01fffc, 0xc1331130, 0x0040460c, 0x00000ffb, 
      0x8d01effd, 0xd1341120, 0x0040460c, 0x00000ffb, 
      0x8b01effd, 0xe1341120, 0x0040470c, 0x00000ffb, 
      0x8a01effd, 0xf1341110, 0x0040480c, 0x00000ffb, 
      0x8901dffc, 0x11341100, 0x0050490d, 0x00000ffb, 
      0x8801cffc, 0x213510f0, 0x00504a0d, 0x00000ffb, 
      0x8701bffd, 0x313510e0, 0x00504b0d, 0x00000ffb, 
      0x8601bffd, 0x413510d0, 0x00504c0d, 0x00000ffb, 
      0x8501affc, 0x513610d0, 0x00604c0d, 0x00000ffb, 
      0x8401affc, 0x613610c0, 0x00604d0d, 0x00000ffb, 
      0x83019ffd, 0x713610b0, 0x00604e0d, 0x00000ffb, 
      0x82019ffd, 0x813610a0, 0x00604f0d, 0x00000ffb, 
      0x80018ffd, 0x91371090, 0x0070500d, 0x00000ffb, 
      0x7f018ffd, 0xa1371080, 0x0070510d, 0x00000ffb, 
      0x7e018ffd, 0xb1371070, 0x0070520d, 0x00000ffb, 
      0x7d017ffd, 0xd1371060, 0x0070530d, 0x00000ffb, 
      0x7c016ffc, 0xe1371060, 0x0080540d, 0x00000ffb, 
      0x7b016ffb, 0xf1381050, 0x0080550d, 0x00000ffb, 
      0x7a016ffb, 0x01381040, 0x0080560e, 0x00000ffb, 
      0x79015ffc, 0x11381030, 0x0080570e, 0x00000ffb, 
      0x78015ffb, 0x21381020, 0x0090580e, 0x00000ffb, 
      0x77015ffc, 0x31381010, 0x0090580e, 0x00000ffb, 
      0x76014ffc, 0x41381010, 0x0090590e, 0x00000ffb, 
      0x75013ffc, 0x51390ff0, 0x00a05a0e, 0x00000ffb, 
      0x74013ffc, 0x61390fe0, 0x00a05b0e, 0x00000ffb, 
      0x73013ffc, 0x71390fd0, 0x00a05c0e, 0x00000ffb, 
      0x71013ffc, 0x81390fc0, 0x00b05d0e, 0x00000ffb, 
      0x71012ffc, 0x91390fb0, 0x00b05e0e, 0x00000ffb, 
      0x70012ffc, 0xa1390fa0, 0x00b05f0e, 0x00000ffb, 
      0x6f011ffc, 0xb1390f90, 0x00c0600e, 0x00000ffb, 
      0x6e011ffc, 0xc1390f80, 0x00c0610e, 0x00000ffb, 
      0x6d010ffc, 0xd1390f80, 0x00c0620e, 0x00000ffb, 
      0x6b010ffc, 0xe1390f60, 0x00d0630e, 0x00000ffc, 
      0x6a010ffc, 0xf1390f50, 0x00d0640e, 0x00000ffc, 
      0x6a00fffc, 0x01390f40, 0x00d0650f, 0x00000ffc, 
      0x6800fffc, 0x11390f30, 0x00e0660f, 0x00000ffc, 
      0x6700fffc, 0x21390f20, 0x00e0670f, 0x00000ffc, 
      0x6700effc, 0x31390f10, 0x00e0680f, 0x00000ffc, 
      0x6500effc, 0x41390f00, 0x00f0690f, 0x00000ffc, 
      0x6500dffc, 0x51390ef0, 0x00f06a0f, 0x00000ffc, 
      0x6300dffc, 0x61390ee0, 0x01006b0f, 0x00000ffc, 
      0x6200dffc, 0x71390ed0, 0x01006c0f, 0x00000ffc, 
      0x6200cffc, 0x81390ec0, 0x01006d0f, 0x00000ffc, 
      0x6000cffc, 0x91390eb0, 0x01106e0f, 0x00000ffc, 
      0x5f00cffc, 0xa1390ea0, 0x01106f0f, 0x00000ffc, 
      0x5e00bffc, 0xb1390e90, 0x0120700f, 0x00000ffc, 
      0x5d00bffc, 0xc1390e80, 0x0120710f, 0x00000ffc, 
      0x5c00affc, 0xd1390e70, 0x0120730f, 0x00000ffc, 
      0x5b00affb, 0xe1390e60, 0x0130740f, 0x00000ffc, 
      0x5a00affb, 0xf1390e50, 0x0130750f, 0x00000ffc, 
      0x59009ffc, 0x01380e40, 0x01407610, 0x00000ffc, 
      0x58009ffc, 0x11380e30, 0x01407710, 0x00000ffc, 
      0x58008ffb, 0x21380e20, 0x01507810, 0x00000ffc, 
      0x57008ffb, 0x31380e10, 0x01507910, 0x00000ffc, 
      0x55008ffb, 0x41380e00, 0x01607a10, 0x00000ffc, 
      0x55007ffb, 0x51380df0, 0x01607b10, 0x00000ffc, 
      0x54008ffb, 0x61370de0, 0x01607c10, 0x00000ffc, 
      0x53007ffc, 0x61370dd0, 0x01707d10, 0x00000ffc, 
      0x52008ffc, 0x71370db0, 0x01707e10, 0x00000ffc, 
      0x51007ffc, 0x81370da0, 0x01807f10, 0x00000ffc, 
      0x50007ffc, 0x91370d90, 0x01808010, 0x00000ffc, 
      0x4f006ffc, 0xa1360d80, 0x01908210, 0x00000ffc, 
      0x4e006ffc, 0xb1360d70, 0x01908310, 0x00000ffc, 
      0x4d006ffb, 0xc1360d60, 0x01a08410, 0x00000ffc, 
      0x4c006ffb, 0xd1360d50, 0x01a08510, 0x00000ffc, 
      0x4c005ffc, 0xd1350d40, 0x01b08610, 0x00000ffc, 
      0x4b005ffc, 0xe1350d30, 0x01b08710, 0x00000ffc, 
      0x4a005ffb, 0xf1350d20, 0x01c08810, 0x00000ffc, 
      0x49005ffb, 0x01340d10, 0x01d08911, 0x00000ffc, 
      0x48004ffc, 0x11340cf0, 0x01d08a11, 0x00000ffd, 
      0x47004ffb, 0x21340ce0, 0x01e08b11, 0x00000ffd, 
      0x46004ffb, 0x21340cd0, 0x01e08d11, 0x00000ffd, 
      0x46003ffb, 0x31330cc0, 0x01f08e11, 0x00000ffd, 
      0x45003ffb, 0x41330cb0, 0x01f08f11, 0x00000ffd, 
      0x44003ffb, 0x51320ca0, 0x02009011, 0x00000ffd, 
      0x43003ffb, 0x61320c90, 0x02009111, 0x00000ffd, 
      0x42003ffb, 0x61320c80, 0x02109211, 0x00000ffd, 
      0x41003ffc, 0x71310c60, 0x02209311, 0x00000ffd, 
      0x41002ffc, 0x81310c50, 0x02209411, 0x00000ffd, 
      0x3f002ffb, 0x91310c40, 0x02309611, 0x00000ffd, 
      0x3f002ffc, 0x91300c30, 0x02309711, 0x00000ffd, 
      0x3e002ffb, 0xa1300c20, 0x02409811, 0x00000ffd, 
      0x3d002ffb, 0xb12f0c10, 0x02509911, 0x00000ffd, 
      0x3c002ffb, 0xc12f0c00, 0x02509a11, 0x00000ffd, 
      0x3c001ffb, 0xc12e0bf0, 0x02609b11, 0x00000ffe, 
      0x3b001ffc, 0xd12e0bd0, 0x02609c11, 0x00000ffe, 
      0x3a001ffc, 0xe12d0bc0, 0x02709d11, 0x00000ffe, 
      0x39001ffb, 0xe12d0bb0, 0x02809f11, 0x00000ffe, 
      0x39000ffb, 0xf12d0ba0, 0x0280a011, 0x00000ffe, 
      0x38000ffb, 0x012c0b90, 0x0290a112, 0x00000ffe, 
      0x37000ffb, 0x012c0b80, 0x02a0a212, 0x00000ffe, 
      0x36000ffc, 0x112b0b70, 0x02a0a312, 0x00000ffe, 
      0x36000ffb, 0x212b0b50, 0x02b0a412, 0x00000ffe, 
      0x35000ffc, 0x212a0b40, 0x02c0a512, 0x00000ffe, 
      0x34000ffb, 0x31290b30, 0x02c0a712, 0x00000fff, 
      0x33fffffb, 0x41290b20, 0x02d0a812, 0x00000fff, 
      0x33fffffb, 0x41280b10, 0x02e0a912, 0x00000fff, 
      0x32fffffb, 0x51280b00, 0x02e0aa12, 0x00000fff, 
      0x31fffffc, 0x51270af0, 0x02f0ab12, 0x00000fff, 
      0x30fffffc, 0x61270ad0, 0x0300ac12, 0x00000fff,
   },
   { /* Y scale factor = 0.30, phases = 127, taps = 9. */
      0xac02cffd, 0xd12d12c0, 0xffd02d0a, 0x00000ffb, 
      0xab02bffd, 0xe12e12c0, 0xffd02d0a, 0x00000ffb, 
      0xaa02bffc, 0x012e12b0, 0xffd02e0b, 0x00000ffb, 
      0xa802affc, 0x112f12a0, 0xffe02f0b, 0x00000ffb, 
      0xa7029ffc, 0x212f12a0, 0xffe0300b, 0x00000ffb, 
      0xa6028ffd, 0x31301290, 0xffe0300b, 0x00000ffb, 
      0xa5028ffc, 0x41311280, 0xffe0310b, 0x00000ffb, 
      0xa3027ffc, 0x61311280, 0xffe0320b, 0x00000ffb, 
      0xa2026ffd, 0x71321270, 0xffe0320b, 0x00000ffb, 
      0xa1026ffd, 0x81321260, 0xffe0330b, 0x00000ffb, 
      0xa0025ffc, 0x91331260, 0xffe0340b, 0x00000ffb, 
      0x9f024ffc, 0xa1331250, 0xfff0350b, 0x00000ffb, 
      0x9d023ffc, 0xc1341240, 0xfff0360b, 0x00000ffb, 
      0x9d023ffc, 0xd1341230, 0xfff0360b, 0x00000ffb, 
      0x9b023ffb, 0xe1351230, 0xfff0370b, 0x00000ffb, 
      0x9a022ffc, 0xf1351220, 0xfff0380b, 0x00000ffb, 
      0x99021ffc, 0x01361210, 0xfff0390c, 0x00000ffb, 
      0x98021ffc, 0x11361200, 0xfff03a0c, 0x00000ffb, 
      0x96020ffb, 0x31371200, 0x00003a0c, 0x00000ffb, 
      0x95020ffb, 0x413711f0, 0x00003b0c, 0x00000ffb, 
      0x9401fffc, 0x513711e0, 0x00003c0c, 0x00000ffb, 
      0x9301effc, 0x613811d0, 0x00003d0c, 0x00000ffb, 
      0x9201effc, 0x713811c0, 0x00003e0c, 0x00000ffb, 
      0x9101dffb, 0x913911c0, 0x00003e0c, 0x00000ffb, 
      0x9001cffb, 0xa13911b0, 0x00103f0c, 0x00000ffb, 
      0x8e01cffb, 0xb13a11a0, 0x0010400c, 0x00000ffb, 
      0x8d01cffb, 0xc13a1190, 0x0010410c, 0x00000ffb, 
      0x8c01bffc, 0xd13a1180, 0x0010420c, 0x00000ffb, 
      0x8b01affc, 0xe13b1170, 0x0010430c, 0x00000ffb, 
      0x89019ffb, 0x013b1170, 0x0020440d, 0x00000ffb, 
      0x89019ffb, 0x113b1160, 0x0020440d, 0x00000ffb, 
      0x87019ffb, 0x213c1150, 0x0020450d, 0x00000ffb, 
      0x86018ffc, 0x313c1140, 0x0020460d, 0x00000ffb, 
      0x85018ffc, 0x413c1130, 0x0020470d, 0x00000ffb, 
      0x84017ffb, 0x513d1120, 0x0030480d, 0x00000ffb, 
      0x83017ffa, 0x713d1110, 0x0030490d, 0x00000ffb, 
      0x82016ffb, 0x813d1100, 0x00304a0d, 0x00000ffb, 
      0x81016ffa, 0x913d1100, 0x00304b0d, 0x00000ffb, 
      0x7f015ffa, 0xa13e10f0, 0x00404c0d, 0x00000ffb, 
      0x7e015ffa, 0xb13e10e0, 0x00404d0d, 0x00000ffb, 
      0x7d014ffb, 0xc13e10d0, 0x00404e0d, 0x00000ffb, 
      0x7c014ffb, 0xe13e10c0, 0x00404e0d, 0x00000ffb, 
      0x7b013ffb, 0xf13f10b0, 0x00404f0d, 0x00000ffb, 
      0x7a013ffa, 0x013f10a0, 0x0050500e, 0x00000ffb, 
      0x79012ffb, 0x113f1090, 0x0050510e, 0x00000ffb, 
      0x78012ffb, 0x213f1080, 0x0050520e, 0x00000ffb, 
      0x77012ffa, 0x313f1070, 0x0060530e, 0x00000ffb, 
      0x75011ffb, 0x41401060, 0x0060540e, 0x00000ffb, 
      0x74011ffb, 0x51401050, 0x0060550e, 0x00000ffb, 
      0x73010ffb, 0x71401040, 0x0060560e, 0x00000ffb, 
      0x72010ffa, 0x81401030, 0x0070570e, 0x00000ffb, 
      0x7100fffb, 0x91401020, 0x0070580e, 0x00000ffb, 
      0x7000fffb, 0xa1401010, 0x0070590e, 0x00000ffb, 
      0x6f00fffa, 0xb1401000, 0x00805a0e, 0x00000ffb, 
      0x6e00effa, 0xc1410ff0, 0x00805b0e, 0x00000ffb, 
      0x6d00effa, 0xd1410fe0, 0x00805c0e, 0x00000ffb, 
      0x6c00dffb, 0xe1410fd0, 0x00805d0e, 0x00000ffb, 
      0x6b00dffa, 0xf1410fc0, 0x00905e0e, 0x00000ffb, 
      0x6a00dffa, 0x01410fb0, 0x00905f0f, 0x00000ffb, 
      0x6800cffb, 0x21410fa0, 0x0090600f, 0x00000ffb, 
      0x6700cffa, 0x31410f90, 0x00a0610f, 0x00000ffb, 
      0x6600cffa, 0x41410f80, 0x00a0620f, 0x00000ffb, 
      0x6500bffb, 0x51410f70, 0x00a0630f, 0x00000ffb, 
      0x6400bffa, 0x61410f60, 0x00b0640f, 0x00000ffb, 
      0x6300affb, 0x71410f50, 0x00b0650f, 0x00000ffb, 
      0x6200affa, 0x81410f40, 0x00c0660f, 0x00000ffb, 
      0x6100affa, 0x91410f30, 0x00c0670f, 0x00000ffb, 
      0x60009ffb, 0xa1410f20, 0x00c0680f, 0x00000ffb, 
      0x5f009ffa, 0xb1410f00, 0x00d06a0f, 0x00000ffb, 
      0x5e009ffa, 0xc1410ef0, 0x00d06b0f, 0x00000ffb, 
      0x5d008ffb, 0xd1410ee0, 0x00d06c0f, 0x00000ffb, 
      0x5c008ffa, 0xe1410ed0, 0x00e06d0f, 0x00000ffb, 
      0x5b008ffa, 0xf1410ec0, 0x00e06e0f, 0x00000ffb, 
      0x5a008ffa, 0x01400eb0, 0x00f06f10, 0x00000ffb, 
      0x59007ffb, 0x11400ea0, 0x00f07010, 0x00000ffb, 
      0x58007ffb, 0x21400e90, 0x00f07110, 0x00000ffb, 
      0x57007ffa, 0x31400e80, 0x01007210, 0x00000ffb, 
      0x56006ffb, 0x41400e70, 0x01007310, 0x00000ffb, 
      0x55006ffb, 0x51400e50, 0x01107410, 0x00000ffb, 
      0x54006ffb, 0x61400e40, 0x01107510, 0x00000ffb, 
      0x53006ffa, 0x713f0e30, 0x01207710, 0x00000ffb, 
      0x52005ffb, 0x813f0e20, 0x01207810, 0x00000ffb, 
      0x51005ffb, 0x913f0e10, 0x01207910, 0x00000ffb, 
      0x50005ffa, 0xa13f0e00, 0x01307a10, 0x00000ffb, 
      0x4f004ffb, 0xb13f0df0, 0x01307b10, 0x00000ffb, 
      0x4e004ffb, 0xc13e0de0, 0x01407c10, 0x00000ffb, 
      0x4e004ffb, 0xd13e0dc0, 0x01407d10, 0x00000ffb, 
      0x4d004ffa, 0xe13e0db0, 0x01507e10, 0x00000ffb, 
      0x4c004ffa, 0xf13e0da0, 0x01507f10, 0x00000ffb, 
      0x4b003ffa, 0x013d0d90, 0x01608111, 0x00000ffb, 
      0x4a003ffb, 0x013d0d80, 0x01608211, 0x00000ffb, 
      0x49003ffa, 0x113d0d70, 0x01708311, 0x00000ffb, 
      0x48003ffb, 0x213d0d50, 0x01708411, 0x00000ffb, 
      0x47003ffb, 0x313c0d40, 0x01808511, 0x00000ffb, 
      0x46003ffb, 0x413c0d30, 0x01808611, 0x00000ffb, 
      0x45002ffb, 0x513c0d20, 0x01908711, 0x00000ffb, 
      0x44002ffb, 0x613b0d10, 0x01908911, 0x00000ffb, 
      0x44001ffa, 0x713b0d00, 0x01a08a11, 0x00000ffb, 
      0x43002ffb, 0x713b0ce0, 0x01a08b11, 0x00000ffb, 
      0x42002ffb, 0x813a0cd0, 0x01b08c11, 0x00000ffb, 
      0x41001ffb, 0x913a0cc0, 0x01c08d11, 0x00000ffb, 
      0x40001ffb, 0xa13a0cb0, 0x01c08e11, 0x00000ffb, 
      0x3f001ffa, 0xb1390ca0, 0x01d09011, 0x00000ffb, 
      0x3e000ffb, 0xc1390c90, 0x01d09111, 0x00000ffb, 
      0x3e001ffb, 0xc1380c70, 0x01e09211, 0x00000ffb, 
      0x3d000ffb, 0xd1380c60, 0x01e09311, 0x00000ffc, 
      0x3c000ffb, 0xe1370c50, 0x01f09411, 0x00000ffc, 
      0x3b000ffa, 0xf1370c40, 0x02009511, 0x00000ffc, 
      0x3afffffa, 0x01370c30, 0x02009712, 0x00000ffc, 
      0x3afffffb, 0x01360c10, 0x02109812, 0x00000ffc, 
      0x39fffffb, 0x11360c00, 0x02109912, 0x00000ffc, 
      0x38fffffb, 0x21350bf0, 0x02209a12, 0x00000ffc, 
      0x37fffffa, 0x31350be0, 0x02309b12, 0x00000ffc, 
      0x36fffffb, 0x31340bd0, 0x02309d12, 0x00000ffc, 
      0x36ffeffa, 0x41340bc0, 0x02409e12, 0x00000ffc, 
      0x35fffffa, 0x51330ba0, 0x02509f12, 0x00000ffc, 
      0x34ffeffb, 0x61330b90, 0x0250a012, 0x00000ffc, 
      0x33fffffb, 0x61320b80, 0x0260a112, 0x00000ffc, 
      0x32fffffb, 0x71320b70, 0x0260a212, 0x00000ffc, 
      0x32ffeffa, 0x81310b60, 0x0270a412, 0x00000ffc, 
      0x31ffeffa, 0x81310b40, 0x0280a512, 0x00000ffd, 
      0x30ffeffb, 0x91300b30, 0x0280a612, 0x00000ffd, 
      0x30ffeffa, 0xa12f0b20, 0x0290a712, 0x00000ffd, 
      0x2fffeffa, 0xa12f0b10, 0x02a0a812, 0x00000ffd, 
      0x2effdffa, 0xb12e0b00, 0x02b0aa12, 0x00000ffd, 
      0x2dffdffb, 0xc12e0ae0, 0x02b0ab12, 0x00000ffd, 
      0x2dffdffb, 0xc12d0ad0, 0x02c0ac12, 0x00000ffd,
   },
   { /* Y scale factor = 0.31, phases = 127, taps = 9. */
      0xac028ffb, 0xd1331330, 0xffb0290a, 0x00000ffa, 
      0xaa028ffc, 0xe1341320, 0xffb0290a, 0x00000ffa, 
      0xa9027ffc, 0xf1351310, 0xffb02a0a, 0x00000ffa, 
      0xa8026ffa, 0x11351310, 0xffc02b0b, 0x00000ffa, 
      0xa7025ffa, 0x21361300, 0xffc02c0b, 0x00000ffa, 
      0xa5025ffb, 0x313712f0, 0xffc02c0b, 0x00000ffa, 
      0xa4024ffb, 0x413712f0, 0xffc02d0b, 0x00000ffa, 
      0xa3023ffa, 0x613812e0, 0xffc02e0b, 0x00000ffa, 
      0xa2023ffa, 0x713812d0, 0xffc02f0b, 0x00000ffa, 
      0xa1022ffb, 0x813912c0, 0xffc02f0b, 0x00000ffa, 
      0x9f021ffb, 0x913a12c0, 0xffc0300b, 0x00000ffa, 
      0x9e021ffa, 0xb13a12b0, 0xffc0310b, 0x00000ffa, 
      0x9d020ffa, 0xc13b12a0, 0xffc0320b, 0x00000ffa, 
      0x9b020ffb, 0xd13b1290, 0xffd0320b, 0x00000ffa, 
      0x9a01fffa, 0xe13c1290, 0xffd0330b, 0x00000ffa, 
      0x9901effa, 0x013c1280, 0xffd0340c, 0x00000ffa, 
      0x9801dffa, 0x113d1270, 0xffd0350c, 0x00000ffa, 
      0x9601dffb, 0x213d1260, 0xffd0360c, 0x00000ffa, 
      0x9501dffb, 0x313e1250, 0xffd0360c, 0x00000ffa, 
      0x9401cffa, 0x513e1250, 0xffd0370c, 0x00000ffa, 
      0x9201bffa, 0x613f1240, 0xffe0380c, 0x00000ffa, 
      0x9201affa, 0x713f1230, 0xffe0390c, 0x00000ffa, 
      0x9001affa, 0x81401220, 0xffe03a0c, 0x00000ffa, 
      0x8f01affa, 0x91401210, 0xffe03b0c, 0x00000ffa, 
      0x8e019ffa, 0xb1401210, 0xffe03b0c, 0x00000ffa, 
      0x8d019ffa, 0xc14111f0, 0xffe03c0c, 0x00000ffa, 
      0x8c018ffa, 0xd14111f0, 0xffe03d0c, 0x00000ffa, 
      0x8a017ffa, 0xe14211e0, 0xfff03e0c, 0x00000ffa, 
      0x89017ff9, 0x014211d0, 0xfff03f0d, 0x00000ffa, 
      0x88016ffa, 0x114211c0, 0xfff0400d, 0x00000ffa, 
      0x87016ff9, 0x214311b0, 0xfff0410d, 0x00000ffa, 
      0x86015ffa, 0x314311a0, 0xfff0420d, 0x00000ffa, 
      0x84015ff9, 0x51431190, 0x0000430d, 0x00000ffa, 
      0x83014ffa, 0x61441180, 0x0000430d, 0x00000ffa, 
      0x82014ffa, 0x71441170, 0x0000440d, 0x00000ffa, 
      0x81014ffa, 0x81441160, 0x0000450d, 0x00000ffa, 
      0x80013ffa, 0x91451150, 0x0000460d, 0x00000ffa, 
      0x7e012ffa, 0xb1451140, 0x0010470d, 0x00000ffa, 
      0x7d012ffa, 0xc1451130, 0x0010480d, 0x00000ffa, 
      0x7c011ffa, 0xd1461120, 0x0010490d, 0x00000ffa, 
      0x7b011ffa, 0xe1461110, 0x00104a0d, 0x00000ffa, 
      0x7a011ffa, 0xf1461100, 0x00104b0d, 0x00000ffa, 
      0x79010ff9, 0x114610f0, 0x00204c0e, 0x00000ffa, 
      0x7700fffa, 0x214710e0, 0x00204d0e, 0x00000ffa, 
      0x7600fffa, 0x314710d0, 0x00204e0e, 0x00000ffa, 
      0x7500fffa, 0x414710c0, 0x00204f0e, 0x00000ffa, 
      0x7400effa, 0x514710b0, 0x0030500e, 0x00000ffa, 
      0x7300eff9, 0x714710a0, 0x0030510e, 0x00000ffa, 
      0x7200dffa, 0x81471090, 0x0030520e, 0x00000ffa, 
      0x7100dff9, 0x91481080, 0x0030530e, 0x00000ffa, 
      0x6f00cffa, 0xa1481070, 0x0040540e, 0x00000ffa, 
      0x6e00cffa, 0xb1481060, 0x0040550e, 0x00000ffa, 
      0x6d00cff9, 0xd1481050, 0x0040560e, 0x00000ffa, 
      0x6c00bff9, 0xe1481040, 0x0050570e, 0x00000ffa, 
      0x6b00bff9, 0xf1481030, 0x0050580e, 0x00000ffa, 
      0x6a00affa, 0x01481020, 0x0050590f, 0x00000ffa, 
      0x6900affa, 0x11481010, 0x00505a0f, 0x00000ffa, 
      0x68009ff9, 0x21491000, 0x00605b0f, 0x00000ffa, 
      0x67009ff9, 0x31490ff0, 0x00605c0f, 0x00000ffa, 
      0x65009ff9, 0x51490fe0, 0x00605d0f, 0x00000ffa, 
      0x64009ff9, 0x61490fc0, 0x00705e0f, 0x00000ffa, 
      0x63008ffa, 0x71490fb0, 0x00705f0f, 0x00000ffa, 
      0x62008ffa, 0x81490fa0, 0x0070600f, 0x00000ffa, 
      0x61008ff9, 0x91490f90, 0x0080610f, 0x00000ffa, 
      0x60007ffa, 0xa1490f80, 0x0080620f, 0x00000ffa, 
      0x5f007ffa, 0xb1490f70, 0x0080630f, 0x00000ffa, 
      0x5e007ff9, 0xc1490f60, 0x0090640f, 0x00000ffa, 
      0x5d006ff9, 0xe1490f50, 0x0090650f, 0x00000ffa, 
      0x5c006ff9, 0xf1490f30, 0x0090670f, 0x00000ffa, 
      0x5b005ff9, 0x01490f20, 0x00a06810, 0x00000ffa, 
      0x5a005ffa, 0x11480f10, 0x00a06910, 0x00000ffa, 
      0x59005ffa, 0x21480f00, 0x00a06a10, 0x00000ffa, 
      0x58005ff9, 0x31480ef0, 0x00b06b10, 0x00000ffa, 
      0x57005ff9, 0x41480ee0, 0x00b06c10, 0x00000ffa, 
      0x56004ff9, 0x51480ed0, 0x00c06d10, 0x00000ffa, 
      0x55004ffa, 0x61480eb0, 0x00c06e10, 0x00000ffa, 
      0x54004ffa, 0x71480ea0, 0x00c06f10, 0x00000ffa, 
      0x53003ff9, 0x81480e90, 0x00d07110, 0x00000ffa, 
      0x52003ffa, 0x91470e80, 0x00d07210, 0x00000ffa, 
      0x51002ffa, 0xa1470e70, 0x00e07310, 0x00000ffa, 
      0x50003ffa, 0xb1470e50, 0x00e07410, 0x00000ffa, 
      0x4f002ffb, 0xc1470e40, 0x00e07510, 0x00000ffa, 
      0x4e002ffa, 0xd1470e30, 0x00f07610, 0x00000ffa, 
      0x4d002ffa, 0xe1470e20, 0x00f07710, 0x00000ffa, 
      0x4c001ffa, 0xf1460e10, 0x01007910, 0x00000ffa, 
      0x4b001ffb, 0x01460df0, 0x01007a11, 0x00000ffa, 
      0x4a001ffa, 0x11460de0, 0x01107b11, 0x00000ffa, 
      0x49001ffa, 0x21460dd0, 0x01107c11, 0x00000ffa, 
      0x48001ffa, 0x31450dc0, 0x01207d11, 0x00000ffa, 
      0x47001ffa, 0x41450db0, 0x01207e11, 0x00000ffa, 
      0x46000ffa, 0x51450d90, 0x01308011, 0x00000ffa, 
      0x45000ffb, 0x61440d80, 0x01308111, 0x00000ffa, 
      0x44000ffa, 0x71440d70, 0x01408211, 0x00000ffa, 
      0x43000ffa, 0x81440d60, 0x01408311, 0x00000ffa, 
      0x43fffffa, 0x91430d50, 0x01508411, 0x00000ffa, 
      0x42fffffa, 0xa1430d30, 0x01508611, 0x00000ffa, 
      0x40fffffa, 0xb1430d20, 0x01608711, 0x00000ffa, 
      0x40fffffa, 0xc1420d10, 0x01608811, 0x00000ffa, 
      0x3fffeffa, 0xd1420d00, 0x01708911, 0x00000ffa, 
      0x3efffffa, 0xe1420ce0, 0x01708a11, 0x00000ffa, 
      0x3dffeffb, 0xe1410cd0, 0x01808c11, 0x00000ffa, 
      0x3cffeffb, 0xf1410cc0, 0x01808d11, 0x00000ffa, 
      0x3bffeffb, 0x01400cb0, 0x01908e12, 0x00000ffa, 
      0x3bffeffb, 0x11400c90, 0x01908f12, 0x00000ffa, 
      0x3affeffa, 0x21400c80, 0x01a09012, 0x00000ffa, 
      0x39ffdffa, 0x313f0c70, 0x01b09212, 0x00000ffa, 
      0x38ffdffa, 0x413f0c60, 0x01b09312, 0x00000ffa, 
      0x37ffdffa, 0x513e0c50, 0x01c09412, 0x00000ffa, 
      0x36ffeffb, 0x513e0c30, 0x01c09512, 0x00000ffa, 
      0x36ffdffb, 0x613d0c20, 0x01d09612, 0x00000ffa, 
      0x35ffdffa, 0x713d0c10, 0x01d09812, 0x00000ffa, 
      0x34ffdffa, 0x813c0c00, 0x01e09912, 0x00000ffa, 
      0x33ffdffa, 0x913c0be0, 0x01f09a12, 0x00000ffa, 
      0x33ffdffb, 0x913b0bd0, 0x01f09b12, 0x00000ffa, 
      0x32ffcffa, 0xa13b0bc0, 0x02009d12, 0x00000ffa, 
      0x31ffcffa, 0xb13a0bb0, 0x02109e12, 0x00000ffa, 
      0x30ffcffa, 0xc13a0b90, 0x02109f12, 0x00000ffb, 
      0x2fffcffb, 0xc1390b80, 0x0220a012, 0x00000ffb, 
      0x2effcffa, 0xd1380b70, 0x0230a212, 0x00000ffb, 
      0x2effbffa, 0xe1380b60, 0x0230a312, 0x00000ffb, 
      0x2dffcffa, 0xf1370b40, 0x0240a412, 0x00000ffb, 
      0x2cffcffb, 0xf1370b30, 0x0240a512, 0x00000ffb, 
      0x2cffbffa, 0x01360b20, 0x0250a713, 0x00000ffb, 
      0x2bffbffa, 0x11350b10, 0x0260a813, 0x00000ffb, 
      0x2affbffb, 0x11350af0, 0x0270a913, 0x00000ffb, 
      0x29ffcffb, 0x21340ae0, 0x0270aa13, 0x00000ffb, 
      0x29ffbffa, 0x31330ad0, 0x0280ac13, 0x00000ffb,
   },
   { /* Y scale factor = 0.32, phases = 127, taps = 9. */
      0xab024ffa, 0xc13a1390, 0xff90250a, 0x00000ffa, 
      0xaa023ff9, 0xd13b1390, 0xffa0250a, 0x00000ffa, 
      0xa8022ff9, 0xf13c1380, 0xffa0260a, 0x00000ffa, 
      0xa7022ff9, 0x013c1370, 0xffa0270b, 0x00000ffa, 
      0xa6021ff9, 0x113d1370, 0xffa0270b, 0x00000ffa, 
      0xa4020ff9, 0x313e1360, 0xffa0280b, 0x00000ffa, 
      0xa3020ff9, 0x413e1350, 0xffa0290b, 0x00000ffa, 
      0xa201fff9, 0x513f1340, 0xffa02a0b, 0x00000ffa, 
      0xa101fff9, 0x713f1330, 0xffa02a0b, 0x00000ffa, 
      0x9f01eff9, 0x81401330, 0xffa02b0b, 0x00000ffa, 
      0x9e01dff9, 0x91411320, 0xffa02c0b, 0x00000ffa, 
      0x9d01dff8, 0xb1411310, 0xffa02d0b, 0x00000ffa, 
      0x9b01cff9, 0xc1421300, 0xffa02e0b, 0x00000ffa, 
      0x9b01cff9, 0xd14212f0, 0xffa02e0b, 0x00000ffa, 
      0x9901bff8, 0xe14312f0, 0xffb02f0b, 0x00000ffa, 
      0x9701aff9, 0x014312e0, 0xffb0300c, 0x00000ffa, 
      0x96019ff9, 0x114412d0, 0xffb0310c, 0x00000ffa, 
      0x95019ff8, 0x214512c0, 0xffb0320c, 0x00000ffa, 
      0x94018ff9, 0x414512b0, 0xffb0320c, 0x00000ffa, 
      0x92018ff9, 0x514612a0, 0xffb0330c, 0x00000ffa, 
      0x91018ff9, 0x61461290, 0xffb0340c, 0x00000ffa, 
      0x90016ff8, 0x81471290, 0xffb0350c, 0x00000ffa, 
      0x8f016ff8, 0x91471280, 0xffb0360c, 0x00000ffa, 
      0x8d015ff9, 0xa1471270, 0xffc0370c, 0x00000ffa, 
      0x8c015ff8, 0xc1481260, 0xffc0370c, 0x00000ffa, 
      0x8b014ff9, 0xd1481250, 0xffc0380c, 0x00000ffa, 
      0x8a014ff8, 0xe1491240, 0xffc0390c, 0x00000ffa, 
      0x88014ff9, 0xf1491230, 0xffc03a0c, 0x00000ffa, 
      0x87013ff8, 0x114a1220, 0xffc03b0d, 0x00000ffa, 
      0x86012ff9, 0x214a1210, 0xffc03c0d, 0x00000ffa, 
      0x85012ff8, 0x314a1200, 0xffd03d0d, 0x00000ffa, 
      0x83011ff8, 0x514b11f0, 0xffd03e0d, 0x00000ffa, 
      0x82011ff8, 0x614b11e0, 0xffd03f0d, 0x00000ffa, 
      0x81010ff9, 0x714c11d0, 0xffd03f0d, 0x00000ffa, 
      0x80010ff9, 0x814c11c0, 0xffd0400d, 0x00000ffa, 
      0x7e010ff9, 0xa14c11b0, 0xffd0410d, 0x00000ffa, 
      0x7d00fff8, 0xb14d11a0, 0xffe0420d, 0x00000ffa, 
      0x7c00eff9, 0xc14d1190, 0xffe0430d, 0x00000ffa, 
      0x7b00eff8, 0xe14d1180, 0xffe0440d, 0x00000ffa, 
      0x7a00dff9, 0xf14d1170, 0xffe0450d, 0x00000ffa, 
      0x7800dff9, 0x014e1160, 0xffe0460e, 0x00000ffa, 
      0x7700dff8, 0x114e1150, 0xfff0470e, 0x00000ffa, 
      0x7600cff8, 0x314e1140, 0xfff0480e, 0x00000ffa, 
      0x7500cff8, 0x414e1130, 0xfff0490e, 0x00000ffa, 
      0x7400bff8, 0x514f1120, 0xfff04a0e, 0x00000ffa, 
      0x7200bff8, 0x614f1110, 0x00004b0e, 0x00000ffa, 
      0x7100aff9, 0x814f1100, 0x00004c0e, 0x00000ff9, 
      0x7000aff9, 0x914f10f0, 0x00004d0e, 0x00000ff9, 
      0x6f00aff9, 0xa14f10e0, 0x00004e0e, 0x00000ff9, 
      0x6e00aff9, 0xb15010c0, 0x00004f0e, 0x00000ff9, 
      0x6d009ff8, 0xd15010b0, 0x0010500e, 0x00000ff9, 
      0x6b009ff9, 0xe15010a0, 0x0010510e, 0x00000ff9, 
      0x6a009ff9, 0xf1501090, 0x0010520e, 0x00000ff9, 
      0x6a008ff9, 0x01501080, 0x0010530f, 0x00000ff9, 
      0x68007ff9, 0x21501070, 0x0020540f, 0x00000ff9, 
      0x67007ff9, 0x31501060, 0x0020550f, 0x00000ff9, 
      0x66007ff9, 0x41501050, 0x0020560f, 0x00000ff9, 
      0x65006ff9, 0x51511030, 0x0030570f, 0x00000ff9, 
      0x64006ff9, 0x61511020, 0x0030580f, 0x00000ff9, 
      0x62006ff8, 0x81511010, 0x00305a0f, 0x00000ff9, 
      0x61005ff9, 0x91511000, 0x00305b0f, 0x00000ff9, 
      0x60004ff9, 0xa1510ff0, 0x00405c0f, 0x00000ff9, 
      0x5f004ff9, 0xb1510fe0, 0x00405d0f, 0x00000ff9, 
      0x5e004ffa, 0xc1510fc0, 0x00405e0f, 0x00000ff9, 
      0x5c004ff9, 0xe1510fb0, 0x00505f0f, 0x00000ff9, 
      0x5c003ff9, 0xf1510fa0, 0x0050600f, 0x00000ff9, 
      0x5b003ff9, 0x01510f90, 0x00506110, 0x00000ff9, 
      0x59003ff9, 0x11510f80, 0x00606210, 0x00000ff9, 
      0x58003ffa, 0x21510f60, 0x00606310, 0x00000ff9, 
      0x57003ff9, 0x31510f50, 0x00606510, 0x00000ff9, 
      0x56002ffa, 0x41500f40, 0x00706610, 0x00000ff9, 
      0x55002ff9, 0x61500f30, 0x00706710, 0x00000ff9, 
      0x54002ff9, 0x71500f20, 0x00706810, 0x00000ff9, 
      0x53001ffa, 0x81500f00, 0x00806910, 0x00000ff9, 
      0x52001ffa, 0x91500ef0, 0x00806a10, 0x00000ff9, 
      0x51001ffa, 0xa1500ee0, 0x00806b10, 0x00000ff9, 
      0x50000ff9, 0xb1500ed0, 0x00906d10, 0x00000ff9, 
      0x4f000ffa, 0xc1500eb0, 0x00906e10, 0x00000ff9, 
      0x4e000ffa, 0xd14f0ea0, 0x00a06f10, 0x00000ff9, 
      0x4d000ff9, 0xf14f0e90, 0x00a07010, 0x00000ff9, 
      0x4c000ff9, 0x014f0e80, 0x00a07111, 0x00000ff9, 
      0x4b000ff9, 0x114f0e60, 0x00b07211, 0x00000ff9, 
      0x4afffff9, 0x214f0e50, 0x00b07411, 0x00000ff9, 
      0x49fffff9, 0x314e0e40, 0x00c07511, 0x00000ff9, 
      0x48fffff9, 0x414e0e30, 0x00c07611, 0x00000ff9, 
      0x47fffff9, 0x514e0e10, 0x00d07711, 0x00000ff9, 
      0x46ffeffa, 0x614e0e00, 0x00d07811, 0x00000ff9, 
      0x45ffeffa, 0x714d0df0, 0x00d07a11, 0x00000ff9, 
      0x44ffeff9, 0x814d0de0, 0x00e07b11, 0x00000ff9, 
      0x43ffeffa, 0x914d0dc0, 0x00e07c11, 0x00000ff9, 
      0x42ffeff9, 0xa14d0db0, 0x00f07d11, 0x00000ff9, 
      0x41ffeffa, 0xb14c0da0, 0x00f07e11, 0x00000ff9, 
      0x40ffdffa, 0xc14c0d80, 0x01008011, 0x00000ff9, 
      0x3fffdffa, 0xd14c0d70, 0x01008111, 0x00000ff9, 
      0x3fffdff9, 0xe14b0d60, 0x01108211, 0x00000ff9, 
      0x3effdff9, 0xf14b0d50, 0x01108311, 0x00000ff9, 
      0x3dffdff9, 0x014a0d30, 0x01208512, 0x00000ff9, 
      0x3cffcffa, 0x114a0d20, 0x01208612, 0x00000ff9, 
      0x3bffcff9, 0x214a0d10, 0x01308712, 0x00000ff9, 
      0x3affdffa, 0x31490cf0, 0x01308812, 0x00000ff9, 
      0x39ffcff9, 0x41490ce0, 0x01408a12, 0x00000ff9, 
      0x38ffcffa, 0x51480cd0, 0x01408b12, 0x00000ff9, 
      0x37ffcff9, 0x61480cc0, 0x01508c12, 0x00000ff9, 
      0x37ffcffa, 0x71470ca0, 0x01508d12, 0x00000ff9, 
      0x36ffbff9, 0x81470c90, 0x01608f12, 0x00000ff9, 
      0x34ffbff9, 0x91470c80, 0x01709012, 0x00000ff9, 
      0x34ffcffa, 0x91460c60, 0x01709112, 0x00000ff9, 
      0x33ffbffa, 0xa1460c50, 0x01809212, 0x00000ff9, 
      0x32ffbffa, 0xb1450c40, 0x01809412, 0x00000ff9, 
      0x32ffaffa, 0xc1450c20, 0x01909512, 0x00000ff9, 
      0x31ffbffa, 0xd1440c10, 0x01909612, 0x00000ff9, 
      0x30ffbffa, 0xe1430c00, 0x01a09712, 0x00000ff9, 
      0x2fffaffa, 0xf1430be0, 0x01b09912, 0x00000ff9, 
      0x2effbffb, 0xf1420bd0, 0x01b09a12, 0x00000ff9, 
      0x2effaffa, 0x01420bc0, 0x01c09b13, 0x00000ff9, 
      0x2cffaffa, 0x11410bb0, 0x01d09d13, 0x00000ff9, 
      0x2cffaffa, 0x21410b90, 0x01d09e13, 0x00000ff9, 
      0x2bffaffa, 0x31400b80, 0x01e09f13, 0x00000ff9, 
      0x2affbffb, 0x313f0b70, 0x01e0a013, 0x00000ff9, 
      0x2affaffa, 0x413f0b50, 0x01f0a213, 0x00000ff9, 
      0x29ffaffa, 0x513e0b40, 0x0200a313, 0x00000ff9, 
      0x28ffaffa, 0x613e0b30, 0x0200a413, 0x00000ff9, 
      0x27ffaffa, 0x713d0b10, 0x0210a613, 0x00000ff9, 
      0x27ffaffa, 0x713c0b00, 0x0220a713, 0x00000ff9, 
      0x26ffaffa, 0x813c0af0, 0x0220a813, 0x00000ff9, 
      0x25ffaffa, 0x913b0ad0, 0x0230aa13, 0x00000ff9, 
      0x25ff9ffb, 0x913a0ac0, 0x0240ab13, 0x00000ff9,
   },
   { /* Y scale factor = 0.33, phases = 127, taps = 9. */
      0xaa020ff8, 0xb1411400, 0xff80200a, 0x00000ffa, 
      0xa901fff7, 0xd14213f0, 0xff80210a, 0x00000ffa, 
      0xa701eff8, 0xe14213f0, 0xff80220a, 0x00000ffa, 
      0xa601eff8, 0xf14313e0, 0xff80220a, 0x00000ffa, 
      0xa501dff7, 0x114413d0, 0xff80230b, 0x00000ffa, 
      0xa301cff8, 0x214513c0, 0xff80240b, 0x00000ffa, 
      0xa201bff7, 0x414513c0, 0xff80250b, 0x00000ffa, 
      0xa101bff7, 0x514613b0, 0xff80250b, 0x00000ffa, 
      0x9f01aff8, 0x614713a0, 0xff80260b, 0x00000ffa, 
      0x9e01aff7, 0x81471390, 0xff80270b, 0x00000ffa, 
      0x9d019ff7, 0x91481380, 0xff80280b, 0x00000ffa, 
      0x9c019ff8, 0xa1481370, 0xff80280b, 0x00000ffa, 
      0x9a018ff7, 0xc1491370, 0xff80290b, 0x00000ffa, 
      0x99017ff7, 0xd14a1360, 0xff802a0b, 0x00000ffa, 
      0x97016ff7, 0xf14a1350, 0xff902b0b, 0x00000ffa, 
      0x96015ff7, 0x014b1340, 0xff902c0c, 0x00000ffa, 
      0x95015ff8, 0x114b1330, 0xff902c0c, 0x00000ffa, 
      0x93015ff7, 0x314c1320, 0xff902d0c, 0x00000ffa, 
      0x92014ff7, 0x414d1310, 0xff902e0c, 0x00000ffa, 
      0x91014ff7, 0x514d1300, 0xff902f0c, 0x00000ffa, 
      0x8f013ff7, 0x714e12f0, 0xff90300c, 0x00000ffa, 
      0x8e013ff7, 0x814e12e0, 0xff90310c, 0x00000ffa, 
      0x8d012ff7, 0xa14f12d0, 0xff90310c, 0x00000ffa, 
      0x8b012ff8, 0xb14f12c0, 0xff90320c, 0x00000ffa, 
      0x8a011ff8, 0xc15012b0, 0xff90330c, 0x00000ffa, 
      0x89010ff7, 0xe15012a0, 0xffa0340c, 0x00000ffa, 
      0x87010ff7, 0xf1511290, 0xffa0350c, 0x00000ffa, 
      0x8600fff8, 0x01511280, 0xffa0360d, 0x00000ffa, 
      0x8500fff7, 0x21511270, 0xffa0370d, 0x00000ffa, 
      0x8400eff7, 0x31521260, 0xffa0380d, 0x00000ffa, 
      0x8200eff8, 0x41521250, 0xffa0390d, 0x00000ffa, 
      0x8100dff7, 0x61531240, 0xffa03a0d, 0x00000ffa, 
      0x8000dff8, 0x71531240, 0xffa03a0d, 0x00000ff9, 
      0x7f00dff8, 0x81531220, 0xffb03b0d, 0x00000ff9, 
      0x7d00cff8, 0xa1541210, 0xffb03c0d, 0x00000ff9, 
      0x7c00cff8, 0xb1541200, 0xffb03d0d, 0x00000ff9, 
      0x7b00bff8, 0xc15511f0, 0xffb03e0d, 0x00000ff9, 
      0x7900bff8, 0xe15511e0, 0xffb03f0d, 0x00000ff9, 
      0x7800bff8, 0xf15511d0, 0xffb0400d, 0x00000ff9, 
      0x7700aff7, 0x115511c0, 0xffc0410e, 0x00000ff9, 
      0x76009ff7, 0x215611b0, 0xffc0420e, 0x00000ff9, 
      0x74009ff8, 0x315611a0, 0xffc0430e, 0x00000ff9, 
      0x73008ff8, 0x51561190, 0xffc0440e, 0x00000ff9, 
      0x72008ff8, 0x61571170, 0xffc0450e, 0x00000ff9, 
      0x71008ff8, 0x71571160, 0xffc0460e, 0x00000ff9, 
      0x6f008ff8, 0x81571150, 0xffd0470e, 0x00000ff9, 
      0x6e007ff8, 0xa1571140, 0xffd0480e, 0x00000ff9, 
      0x6d007ff8, 0xb1571130, 0xffd0490e, 0x00000ff9, 
      0x6c006ff8, 0xc1581120, 0xffd04a0e, 0x00000ff9, 
      0x6b005ff7, 0xe1581110, 0xffe04b0e, 0x00000ff9, 
      0x69005ff9, 0xf15810f0, 0xffe04c0e, 0x00000ff9, 
      0x68005ff9, 0x015810e0, 0xffe04d0f, 0x00000ff9, 
      0x67005ff8, 0x215810d0, 0xffe04e0f, 0x00000ff9, 
      0x66004ff9, 0x315810c0, 0xffe04f0f, 0x00000ff9, 
      0x65003ff8, 0x415910b0, 0xfff0500f, 0x00000ff9, 
      0x63004ff8, 0x51591090, 0xfff0520f, 0x00000ff9, 
      0x62003ff8, 0x71591080, 0xfff0530f, 0x00000ff9, 
      0x61003ff8, 0x81591070, 0xfff0540f, 0x00000ff9, 
      0x60002ff8, 0x91591060, 0x0000550f, 0x00000ff9, 
      0x5e002ff8, 0xb1591050, 0x0000560f, 0x00000ff9, 
      0x5e002ff8, 0xc1591030, 0x0000570f, 0x00000ff9, 
      0x5d001ff8, 0xd1591020, 0x0010580f, 0x00000ff9, 
      0x5b002ff9, 0xe1591010, 0x0010590f, 0x00000ff8, 
      0x5a001ff9, 0x01591000, 0x00105a10, 0x00000ff8, 
      0x5a001ff9, 0x11590fe0, 0x00105b10, 0x00000ff8, 
      0x58001ff8, 0x21590fd0, 0x00205d10, 0x00000ff8, 
      0x57000ff9, 0x31590fc0, 0x00205e10, 0x00000ff8, 
      0x56000ff8, 0x51590fb0, 0x00205f10, 0x00000ff8, 
      0x55000ff8, 0x61590f90, 0x00306010, 0x00000ff8, 
      0x54fffff9, 0x71590f80, 0x00306110, 0x00000ff8, 
      0x53fffff9, 0x81590f70, 0x00306210, 0x00000ff8, 
      0x52fffff9, 0x91590f50, 0x00406310, 0x00000ff8, 
      0x50fffff8, 0xb1590f40, 0x00406510, 0x00000ff8, 
      0x4ffffff9, 0xc1580f30, 0x00406610, 0x00000ff8, 
      0x4effeff9, 0xd1580f20, 0x00506710, 0x00000ff8, 
      0x4effeff9, 0xe1580f00, 0x00506810, 0x00000ff8, 
      0x4dffeff9, 0xf1580ef0, 0x00506910, 0x00000ff8, 
      0x4bffdff8, 0x11580ee0, 0x00606b11, 0x00000ff8, 
      0x4affdff9, 0x21580ec0, 0x00606c11, 0x00000ff8, 
      0x49ffdffa, 0x31570eb0, 0x00606d11, 0x00000ff8, 
      0x48ffdff9, 0x41570ea0, 0x00706e11, 0x00000ff8, 
      0x47ffdffa, 0x51570e80, 0x00706f11, 0x00000ff8, 
      0x46ffcff9, 0x61570e70, 0x00807111, 0x00000ff8, 
      0x45ffcff9, 0x71570e60, 0x00807211, 0x00000ff8, 
      0x44ffcff9, 0x91560e50, 0x00807311, 0x00000ff8, 
      0x43ffcff9, 0xa1560e30, 0x00907411, 0x00000ff8, 
      0x42ffbff9, 0xb1560e20, 0x00907611, 0x00000ff8, 
      0x41ffbff9, 0xc1550e10, 0x00a07711, 0x00000ff8, 
      0x40ffbffa, 0xd1550df0, 0x00a07811, 0x00000ff8, 
      0x3fffbff9, 0xe1550de0, 0x00b07911, 0x00000ff8, 
      0x3effbff9, 0xf1550dc0, 0x00b07b11, 0x00000ff8, 
      0x3dffbffa, 0x01540db0, 0x00b07c12, 0x00000ff8, 
      0x3cffbff9, 0x11540da0, 0x00c07d12, 0x00000ff8, 
      0x3cffbffa, 0x21530d80, 0x00c07e12, 0x00000ff8, 
      0x3affaffa, 0x31530d70, 0x00d08012, 0x00000ff8, 
      0x3affaffa, 0x41530d60, 0x00d08112, 0x00000ff7, 
      0x39ffbffa, 0x51520d40, 0x00e08212, 0x00000ff7, 
      0x38ffaffa, 0x61520d30, 0x00e08412, 0x00000ff7, 
      0x37ffaffa, 0x71510d20, 0x00f08512, 0x00000ff7, 
      0x36ffaffa, 0x81510d10, 0x00f08612, 0x00000ff7, 
      0x35ffaffa, 0x91510cf0, 0x01008712, 0x00000ff7, 
      0x34ffaffa, 0xa1500ce0, 0x01008912, 0x00000ff7, 
      0x33ffaffa, 0xb1500cc0, 0x01108a12, 0x00000ff7, 
      0x33ffaffa, 0xc14f0cb0, 0x01108b12, 0x00000ff7, 
      0x31ff9ffa, 0xd14f0ca0, 0x01208d12, 0x00000ff7, 
      0x31ff9ffa, 0xe14e0c80, 0x01308e12, 0x00000ff7, 
      0x30ff9ffa, 0xf14e0c70, 0x01308f12, 0x00000ff7, 
      0x2fff9ffa, 0x014d0c50, 0x01409113, 0x00000ff7, 
      0x2eff9ffa, 0x114d0c40, 0x01409213, 0x00000ff7, 
      0x2dff9ffa, 0x214c0c30, 0x01509313, 0x00000ff7, 
      0x2dff9ffa, 0x314b0c10, 0x01509513, 0x00000ff7, 
      0x2cff9ff9, 0x414b0c00, 0x01609613, 0x00000ff7, 
      0x2bff9ff9, 0x514a0bf0, 0x01709713, 0x00000ff7, 
      0x2aff8ffa, 0x614a0bd0, 0x01709913, 0x00000ff7, 
      0x29ff8ffa, 0x71490bc0, 0x01809a13, 0x00000ff7, 
      0x29ff9ffa, 0x71480bb0, 0x01809b13, 0x00000ff7, 
      0x28ff8ffa, 0x81480b90, 0x01909d13, 0x00000ff7, 
      0x27ff8ffa, 0x91470b80, 0x01a09e13, 0x00000ff7, 
      0x26ff8ffb, 0xa1470b60, 0x01a09f13, 0x00000ff7, 
      0x25ff8ffa, 0xb1460b50, 0x01b0a113, 0x00000ff7, 
      0x25ff7ffa, 0xc1450b40, 0x01c0a213, 0x00000ff7, 
      0x24ff8ffa, 0xc1450b20, 0x01c0a313, 0x00000ff8, 
      0x23ff7ffa, 0xd1440b10, 0x01d0a513, 0x00000ff8, 
      0x22ff8ffa, 0xe1430af0, 0x01e0a613, 0x00000ff8, 
      0x22ff8ffa, 0xf1420ae0, 0x01e0a713, 0x00000ff8, 
      0x21ff7ffa, 0xf1420ad0, 0x01f0a913, 0x00000ff8, 
      0x20ff8ffa, 0x01410ab0, 0x0200aa14, 0x00000ff8,
   },
   { /* Y scale factor = 0.34, phases = 127, taps = 9. */
      0xa901bff7, 0xa1481470, 0xff601c0a, 0x00000ffa, 
      0xa801aff6, 0xc1491460, 0xff601d0a, 0x00000ffa, 
      0xa601aff6, 0xd14a1460, 0xff601d0a, 0x00000ffa, 
      0xa5019ff6, 0xf14a1450, 0xff601e0a, 0x00000ffa, 
      0xa3019ff6, 0x014b1440, 0xff601f0b, 0x00000ffa, 
      0xa2017ff6, 0x214c1430, 0xff60200b, 0x00000ffa, 
      0xa1017ff7, 0x314c1420, 0xff60200b, 0x00000ffa, 
      0x9f017ff7, 0x414d1410, 0xff60210b, 0x00000ffa, 
      0x9e016ff6, 0x614e1400, 0xff60220b, 0x00000ffa, 
      0x9c015ff6, 0x714f1400, 0xff60230b, 0x00000ffa, 
      0x9b015ff6, 0x914f13f0, 0xff60230b, 0x00000ffa, 
      0x9a014ff6, 0xa15013e0, 0xff60240b, 0x00000ffa, 
      0x98013ff6, 0xc15113d0, 0xff60250b, 0x00000ffa, 
      0x97013ff6, 0xd15113c0, 0xff60260b, 0x00000ffa, 
      0x95012ff7, 0xe15213b0, 0xff70260b, 0x00000ffa, 
      0x94011ff6, 0x015313a0, 0xff70270c, 0x00000ffa, 
      0x93011ff6, 0x11531390, 0xff70280c, 0x00000ffa, 
      0x91010ff6, 0x31541380, 0xff70290c, 0x00000ffa, 
      0x90010ff6, 0x41541370, 0xff702a0c, 0x00000ffa, 
      0x8e00fff6, 0x61551360, 0xff702b0c, 0x00000ffa, 
      0x8d00fff7, 0x71551350, 0xff702b0c, 0x00000ffa, 
      0x8c00eff7, 0x81561340, 0xff702c0c, 0x00000ffa, 
      0x8a00eff6, 0xa1571330, 0xff702d0c, 0x00000ffa, 
      0x8900dff7, 0xb1571320, 0xff702e0c, 0x00000ffa, 
      0x8800cff6, 0xd1581310, 0xff702f0c, 0x00000ffa, 
      0x8600cff7, 0xe1581300, 0xff70300c, 0x00000ffa, 
      0x8500bff6, 0x015912f0, 0xff70310d, 0x00000ffa, 
      0x8400bff6, 0x115912e0, 0xff80320d, 0x00000ff9, 
      0x8200bff7, 0x215a12d0, 0xff80320d, 0x00000ff9, 
      0x8100aff7, 0x415a12c0, 0xff80330d, 0x00000ff9, 
      0x8000aff7, 0x515a12b0, 0xff80340d, 0x00000ff9, 
      0x7e009ff7, 0x715b12a0, 0xff80350d, 0x00000ff9, 
      0x7d009ff7, 0x815b1290, 0xff80360d, 0x00000ff9, 
      0x7c009ff6, 0xa15c1270, 0xff80370d, 0x00000ff9, 
      0x7a009ff7, 0xb15c1260, 0xff80380d, 0x00000ff9, 
      0x7a008ff7, 0xc15c1250, 0xff80390d, 0x00000ff9, 
      0x78007ff6, 0xe15d1240, 0xff903a0d, 0x00000ff9, 
      0x76007ff7, 0xf15d1230, 0xff903b0d, 0x00000ff9, 
      0x75006ff7, 0x115d1220, 0xff903c0e, 0x00000ff9, 
      0x74006ff6, 0x215e1210, 0xff903d0e, 0x00000ff9, 
      0x73006ff7, 0x315e11f0, 0xff903e0e, 0x00000ff9, 
      0x71006ff7, 0x515e11e0, 0xff903f0e, 0x00000ff9, 
      0x70005ff7, 0x615f11d0, 0xff90400e, 0x00000ff9, 
      0x6e004ff7, 0x815f11c0, 0xffa0410e, 0x00000ff9, 
      0x6e003ff7, 0x915f11b0, 0xffa0420e, 0x00000ff9, 
      0x6c004ff7, 0xa15f11a0, 0xffa0430e, 0x00000ff9, 
      0x6b003ff7, 0xc1601180, 0xffa0440e, 0x00000ff9, 
      0x6a003ff7, 0xd1601170, 0xffa0450e, 0x00000ff9, 
      0x69002ff7, 0xf1601160, 0xffa0460e, 0x00000ff9, 
      0x67002ff7, 0x01601150, 0xffb0470f, 0x00000ff9, 
      0x66002ff8, 0x11601130, 0xffb0480f, 0x00000ff9, 
      0x65001ff7, 0x31611120, 0xffb0490f, 0x00000ff9, 
      0x64001ff8, 0x41611110, 0xffb04a0f, 0x00000ff8, 
      0x63001ff8, 0x51611100, 0xffb04b0f, 0x00000ff8, 
      0x61001ff8, 0x716110e0, 0xffc04c0f, 0x00000ff8, 
      0x60000ff8, 0x816110d0, 0xffc04e0f, 0x00000ff8, 
      0x5f000ff7, 0xa16110c0, 0xffc04f0f, 0x00000ff8, 
      0x5e000ff7, 0xb16110b0, 0xffc0500f, 0x00000ff8, 
      0x5c000ff8, 0xc1611090, 0xffd0510f, 0x00000ff8, 
      0x5bfffff8, 0xe1611080, 0xffd0520f, 0x00000ff8, 
      0x5afffff7, 0xf1621070, 0xffd0530f, 0x00000ff8, 
      0x59fffff8, 0x01621050, 0xffd05410, 0x00000ff8, 
      0x58ffeff7, 0x21621040, 0xffe05510, 0x00000ff8, 
      0x57ffdff7, 0x31621030, 0xffe05710, 0x00000ff8, 
      0x55ffdff8, 0x41621020, 0xffe05810, 0x00000ff8, 
      0x54ffdff9, 0x51621000, 0xffe05910, 0x00000ff8, 
      0x53ffdff8, 0x71620fe0, 0xfff05a10, 0x00000ff8, 
      0x52ffdff8, 0x81610fe0, 0xfff05b10, 0x00000ff8, 
      0x51ffdff9, 0x91610fc0, 0xfff05c10, 0x00000ff8, 
      0x4fffcff8, 0xb1610fb0, 0x00005e10, 0x00000ff8, 
      0x4effcff8, 0xc1610fa0, 0x00005f10, 0x00000ff8, 
      0x4effcff8, 0xd1610f80, 0x00006010, 0x00000ff8, 
      0x4cffcff9, 0xe1610f70, 0x00006110, 0x00000ff8, 
      0x4bffcff9, 0x01610f50, 0x00106211, 0x00000ff7, 
      0x4affbff9, 0x11610f40, 0x00106411, 0x00000ff7, 
      0x49ffbff9, 0x21610f30, 0x00106511, 0x00000ff7, 
      0x49ffbff9, 0x31600f10, 0x00206611, 0x00000ff7, 
      0x47ffbff9, 0x51600f00, 0x00206711, 0x00000ff7, 
      0x46ffaff9, 0x61600ef0, 0x00206911, 0x00000ff7, 
      0x45ffaff9, 0x71600ed0, 0x00306a11, 0x00000ff7, 
      0x44ffaff9, 0x81600ec0, 0x00306b11, 0x00000ff7, 
      0x43ffaff9, 0xa15f0ea0, 0x00406c11, 0x00000ff7, 
      0x42ffaff8, 0xb15f0e90, 0x00406e11, 0x00000ff7, 
      0x41ffaff8, 0xc15f0e80, 0x00406f11, 0x00000ff7, 
      0x40ff9ff9, 0xd15f0e60, 0x00507011, 0x00000ff7, 
      0x3fffaff9, 0xe15e0e50, 0x00507111, 0x00000ff7, 
      0x3eff9ff9, 0xf15e0e30, 0x00607311, 0x00000ff7, 
      0x3dff8ff9, 0x115e0e20, 0x00607412, 0x00000ff7, 
      0x3cff9ff9, 0x215d0e10, 0x00607512, 0x00000ff7, 
      0x3bff9ff9, 0x315d0df0, 0x00707612, 0x00000ff7, 
      0x3aff8ff9, 0x415d0de0, 0x00707812, 0x00000ff7, 
      0x39ff8ffa, 0x515c0dc0, 0x00807912, 0x00000ff7, 
      0x38ff8ffa, 0x615c0db0, 0x00807a12, 0x00000ff7, 
      0x37ff8ff9, 0x715c0d90, 0x00907c12, 0x00000ff7, 
      0x36ff8ff9, 0x915b0d80, 0x00907d12, 0x00000ff7, 
      0x35ff8ff9, 0xa15b0d70, 0x00907e12, 0x00000ff7, 
      0x34ff8ffa, 0xb15a0d50, 0x00a08012, 0x00000ff6, 
      0x33ff8ffa, 0xc15a0d40, 0x00a08112, 0x00000ff6, 
      0x32ff8ffa, 0xd15a0d20, 0x00b08212, 0x00000ff6, 
      0x32ff8ff9, 0xe1590d10, 0x00b08412, 0x00000ff6, 
      0x31ff7ff9, 0xf1590d00, 0x00c08512, 0x00000ff6, 
      0x30ff8ffa, 0x01580ce0, 0x00c08613, 0x00000ff6, 
      0x2fff7ff9, 0x11580cd0, 0x00d08813, 0x00000ff6, 
      0x2eff8ffa, 0x21570cb0, 0x00d08913, 0x00000ff6, 
      0x2dff7ffa, 0x31570ca0, 0x00e08a13, 0x00000ff6, 
      0x2dff7ffa, 0x41560c80, 0x00e08c13, 0x00000ff6, 
      0x2cff7ffa, 0x51550c70, 0x00f08d13, 0x00000ff6, 
      0x2bff7ff9, 0x61550c60, 0x01008e13, 0x00000ff6, 
      0x2aff7ffa, 0x71540c40, 0x01009013, 0x00000ff6, 
      0x29ff7ff9, 0x81540c30, 0x01109113, 0x00000ff6, 
      0x28ff7ffa, 0x91530c10, 0x01109313, 0x00000ff6, 
      0x27ff7ff9, 0xa1530c00, 0x01209413, 0x00000ff6, 
      0x27ff7ffa, 0xb1520be0, 0x01209513, 0x00000ff6, 
      0x26ff6ffa, 0xc1510bd0, 0x01309713, 0x00000ff6, 
      0x25ff6ff9, 0xd1510bc0, 0x01409813, 0x00000ff6, 
      0x24ff6ffa, 0xe1500ba0, 0x01409a13, 0x00000ff6, 
      0x23ff6ffa, 0xf14f0b90, 0x01509b13, 0x00000ff6, 
      0x23ff6ffa, 0x014f0b70, 0x01509c14, 0x00000ff6, 
      0x22ff6ffa, 0x014e0b60, 0x01609e14, 0x00000ff6, 
      0x21ff6ffb, 0x114d0b40, 0x01709f14, 0x00000ff6, 
      0x20ff6ffb, 0x214c0b30, 0x0170a114, 0x00000ff6, 
      0x1fff6ffa, 0x314c0b20, 0x0180a214, 0x00000ff6, 
      0x1fff6ffa, 0x414b0b00, 0x0190a314, 0x00000ff6, 
      0x1eff6ffa, 0x514a0af0, 0x0190a514, 0x00000ff6, 
      0x1dff6ffa, 0x614a0ad0, 0x01a0a614, 0x00000ff6, 
      0x1cff6ffa, 0x61490ac0, 0x01b0a814, 0x00000ff6, 
      0x1cff6ffb, 0x71480aa0, 0x01b0a914, 0x00000ff6,
   },
   { /* Y scale factor = 0.35, phases = 127, taps = 9. */
      0xa8017ff4, 0x914f14e0, 0xff50180a, 0x00000ffa, 
      0xa6016ff5, 0xb15014d0, 0xff50180a, 0x00000ffa, 
      0xa5015ff4, 0xc15114d0, 0xff50190a, 0x00000ffa, 
      0xa3014ff4, 0xe15214c0, 0xff501a0a, 0x00000ffa, 
      0xa2014ff5, 0xf15214b0, 0xff501a0a, 0x00000ffa, 
      0xa0014ff4, 0x115314a0, 0xff501b0b, 0x00000ffa, 
      0x9f013ff4, 0x21541490, 0xff501c0b, 0x00000ffa, 
      0x9d012ff4, 0x41551480, 0xff501d0b, 0x00000ffa, 
      0x9c012ff5, 0x51551470, 0xff501d0b, 0x00000ffa, 
      0x9b011ff4, 0x71561460, 0xff501e0b, 0x00000ffa, 
      0x99010ff5, 0x81571450, 0xff501f0b, 0x00000ffa, 
      0x9800fff4, 0xa1581440, 0xff50200b, 0x00000ffa, 
      0x96010ff5, 0xb1581430, 0xff50200b, 0x00000ffa, 
      0x9500fff4, 0xd1591420, 0xff50210b, 0x00000ffa, 
      0x9300eff5, 0xe15a1410, 0xff50220b, 0x00000ffa, 
      0x9200eff4, 0x015a1400, 0xff50230c, 0x00000ffa, 
      0x9000dff5, 0x115b13f0, 0xff50240c, 0x00000ffa, 
      0x8f00cff5, 0x315c13e0, 0xff50240c, 0x00000ffa, 
      0x8e00cff5, 0x415c13d0, 0xff50250c, 0x00000ffa, 
      0x8c00bff5, 0x615d13c0, 0xff50260c, 0x00000ffa, 
      0x8b00bff5, 0x715d13b0, 0xff50270c, 0x00000ffa, 
      0x8900aff5, 0x915e13a0, 0xff50280c, 0x00000ffa, 
      0x88009ff5, 0xa15f1390, 0xff50290c, 0x00000ffa, 
      0x87009ff5, 0xc15f1380, 0xff50290c, 0x00000ffa, 
      0x85009ff5, 0xd1601370, 0xff502a0c, 0x00000ffa, 
      0x84008ff5, 0xf1601360, 0xff502b0c, 0x00000ffa, 
      0x82008ff6, 0x01611350, 0xff502c0d, 0x00000ff9, 
      0x81007ff6, 0x21611340, 0xff502d0d, 0x00000ff9, 
      0x80007ff6, 0x31621320, 0xff502e0d, 0x00000ff9, 
      0x7e007ff6, 0x51621310, 0xff502f0d, 0x00000ff9, 
      0x7d006ff5, 0x61631300, 0xff60300d, 0x00000ff9, 
      0x7b005ff6, 0x816312f0, 0xff60310d, 0x00000ff9, 
      0x7a005ff5, 0x916412e0, 0xff60320d, 0x00000ff9, 
      0x79004ff5, 0xb16412d0, 0xff60330d, 0x00000ff9, 
      0x77005ff6, 0xc16412b0, 0xff60340d, 0x00000ff9, 
      0x76004ff6, 0xe16512a0, 0xff60340d, 0x00000ff9, 
      0x75004ff6, 0xf1651290, 0xff60350d, 0x00000ff9, 
      0x73003ff6, 0x11661280, 0xff60360e, 0x00000ff9, 
      0x72003ff6, 0x21661270, 0xff60370e, 0x00000ff9, 
      0x71002ff7, 0x41661250, 0xff60380e, 0x00000ff9, 
      0x6f002ff6, 0x51671240, 0xff70390e, 0x00000ff9, 
      0x6e001ff7, 0x61671230, 0xff703a0e, 0x00000ff9, 
      0x6d001ff6, 0x81671220, 0xff703b0e, 0x00000ff9, 
      0x6b001ff7, 0x91681200, 0xff703c0e, 0x00000ff9, 
      0x6a000ff6, 0xb16811f0, 0xff703e0e, 0x00000ff9, 
      0x69000ff6, 0xc16811e0, 0xff703f0e, 0x00000ff9, 
      0x68fffff6, 0xe16811d0, 0xff70400e, 0x00000ff9, 
      0x66fffff6, 0xf16911b0, 0xff80410e, 0x00000ff9, 
      0x65fffff6, 0x116911a0, 0xff80420f, 0x00000ff8, 
      0x64fffff6, 0x21691190, 0xff80430f, 0x00000ff8, 
      0x62ffeff7, 0x41691180, 0xff80440f, 0x00000ff8, 
      0x62ffeff7, 0x51691160, 0xff80450f, 0x00000ff8, 
      0x60ffeff7, 0x616a1150, 0xff80460f, 0x00000ff8, 
      0x5fffdff6, 0x816a1140, 0xff90470f, 0x00000ff8, 
      0x5dffdff8, 0x916a1120, 0xff90480f, 0x00000ff8, 
      0x5cffdff7, 0xb16a1110, 0xff90490f, 0x00000ff8, 
      0x5bffcff8, 0xc16a1100, 0xff904a0f, 0x00000ff8, 
      0x5affcff7, 0xe16a10e0, 0xff904c0f, 0x00000ff8, 
      0x59ffbff7, 0xf16a10d0, 0xffa04d0f, 0x00000ff8, 
      0x57ffcff8, 0x016a10b0, 0xffa04e10, 0x00000ff8, 
      0x56ffbff8, 0x216a10a0, 0xffa04f10, 0x00000ff8, 
      0x55ffbff8, 0x316a1090, 0xffa05010, 0x00000ff8, 
      0x54ffbff8, 0x516a1070, 0xffa05110, 0x00000ff8, 
      0x53ffaff7, 0x616a1060, 0xffb05310, 0x00000ff8, 
      0x51ffaff8, 0x716a1050, 0xffb05410, 0x00000ff8, 
      0x50ffbff8, 0x916a1030, 0xffb05510, 0x00000ff7, 
      0x50ffaff8, 0xa16a1020, 0xffb05610, 0x00000ff7, 
      0x4effaff8, 0xb16a1010, 0xffc05710, 0x00000ff7, 
      0x4dffaff7, 0xd16a0ff0, 0xffc05910, 0x00000ff7, 
      0x4cff9ff8, 0xe16a0fe0, 0xffc05a10, 0x00000ff7, 
      0x4aff9ff9, 0x016a0fc0, 0xffc05b11, 0x00000ff7, 
      0x49ff9ff8, 0x116a0fb0, 0xffd05c11, 0x00000ff7, 
      0x48ff9ff9, 0x216a0f90, 0xffd05d11, 0x00000ff7, 
      0x47ff8ff8, 0x416a0f80, 0xffd05f11, 0x00000ff7, 
      0x46ff8ff8, 0x516a0f60, 0xffe06011, 0x00000ff7, 
      0x45ff8ff9, 0x61690f50, 0xffe06111, 0x00000ff7, 
      0x44ff8ff8, 0x81690f40, 0xffe06211, 0x00000ff7, 
      0x43ff7ff8, 0x91690f20, 0xfff06411, 0x00000ff7, 
      0x42ff7ff8, 0xa1690f10, 0xfff06511, 0x00000ff7, 
      0x41ff8ff8, 0xb1690ef0, 0xfff06611, 0x00000ff7, 
      0x3fff7ff8, 0xd1680ee0, 0x00006811, 0x00000ff7, 
      0x3fff7ff9, 0xe1680ec0, 0x00006911, 0x00000ff6, 
      0x3eff7ff9, 0xf1680eb0, 0x00006a11, 0x00000ff6, 
      0x3dff7ff9, 0x01680e90, 0x00106b12, 0x00000ff6, 
      0x3bff7ff9, 0x21670e80, 0x00106d12, 0x00000ff6, 
      0x3bff7ff9, 0x31670e60, 0x00106e12, 0x00000ff6, 
      0x39ff7ff9, 0x41670e50, 0x00206f12, 0x00000ff6, 
      0x38ff7ff9, 0x51660e40, 0x00207112, 0x00000ff6, 
      0x37ff6ff9, 0x71660e20, 0x00307212, 0x00000ff6, 
      0x36ff6ff9, 0x81660e10, 0x00307312, 0x00000ff6, 
      0x35ff6ffa, 0x91650df0, 0x00307512, 0x00000ff6, 
      0x34ff6ff9, 0xa1650de0, 0x00407612, 0x00000ff6, 
      0x34ff6ffa, 0xb1640dc0, 0x00407712, 0x00000ff6, 
      0x32ff5ff9, 0xd1640db0, 0x00507912, 0x00000ff6, 
      0x32ff5ff9, 0xe1640d90, 0x00507a12, 0x00000ff6, 
      0x31ff6ff9, 0xf1630d80, 0x00507b12, 0x00000ff6, 
      0x30ff5ff9, 0x01630d60, 0x00607d13, 0x00000ff6, 
      0x2fff5ffa, 0x11620d50, 0x00607e13, 0x00000ff6, 
      0x2eff5ff9, 0x21620d30, 0x00708013, 0x00000ff6, 
      0x2dff5ffa, 0x41610d20, 0x00708113, 0x00000ff5, 
      0x2cff5ffa, 0x51610d00, 0x00808213, 0x00000ff5, 
      0x2bff5ffa, 0x61600cf0, 0x00808413, 0x00000ff5, 
      0x2aff5ffa, 0x71600cd0, 0x00908513, 0x00000ff5, 
      0x29ff5ffa, 0x815f0cc0, 0x00908713, 0x00000ff5, 
      0x29ff5ff9, 0x915f0ca0, 0x00a08813, 0x00000ff5, 
      0x28ff5ffa, 0xa15e0c90, 0x00a08913, 0x00000ff5, 
      0x27ff5ffa, 0xb15d0c70, 0x00b08b13, 0x00000ff5, 
      0x26ff5ffa, 0xc15d0c60, 0x00b08c13, 0x00000ff5, 
      0x25ff5ffa, 0xd15c0c40, 0x00c08e13, 0x00000ff5, 
      0x24ff5ffa, 0xe15c0c30, 0x00c08f13, 0x00000ff5, 
      0x24ff5ffa, 0xf15b0c10, 0x00d09013, 0x00000ff5, 
      0x23ff5ff9, 0x015a0c00, 0x00e09214, 0x00000ff5, 
      0x22ff5ffa, 0x115a0be0, 0x00e09314, 0x00000ff5, 
      0x21ff5ff9, 0x21590bd0, 0x00f09514, 0x00000ff5, 
      0x21ff5ffa, 0x31580bb0, 0x00f09614, 0x00000ff5, 
      0x1fff4ffa, 0x41580ba0, 0x01009814, 0x00000ff5, 
      0x1fff5ffa, 0x51570b80, 0x01009914, 0x00000ff5, 
      0x1eff4ffa, 0x61560b70, 0x01109b14, 0x00000ff5, 
      0x1dff5ffa, 0x71550b50, 0x01209c14, 0x00000ff5, 
      0x1dff4ffa, 0x81550b40, 0x01209d14, 0x00000ff5, 
      0x1cff4ffa, 0x91540b20, 0x01309f14, 0x00000ff5, 
      0x1bff4ffa, 0xa1530b10, 0x0140a014, 0x00000ff5, 
      0x1aff5ffa, 0xb1520af0, 0x0140a214, 0x00000ff5, 
      0x19ff4ffa, 0xc1520ae0, 0x0150a314, 0x00000ff5, 
      0x19ff4ffa, 0xd1510ac0, 0x0150a514, 0x00000ff5, 
      0x18ff5ffa, 0xd1500ab0, 0x0160a614, 0x00000ff5, 
      0x18ff4ffa, 0xe14f0a90, 0x0170a814, 0x00000ff5,
   },
   { /* Y scale factor = 0.36, phases = 127, taps = 9. */
      0xa6012ff4, 0x81561550, 0xff30130a, 0x00000ffb, 
      0xa5011ff3, 0x91571550, 0xff30140a, 0x00000ffb, 
      0xa3011ff3, 0xb1581540, 0xff30140a, 0x00000ffb, 
      0xa2010ff4, 0xc1591530, 0xff30150a, 0x00000ffa, 
      0xa0010ff3, 0xe15a1520, 0xff30160a, 0x00000ffa, 
      0x9f00fff3, 0x015b1510, 0xff30160b, 0x00000ffa, 
      0x9d00fff4, 0x115b1500, 0xff30170b, 0x00000ffa, 
      0x9c00eff3, 0x315c14f0, 0xff30180b, 0x00000ffa, 
      0x9a00dff4, 0x415d14e0, 0xff30190b, 0x00000ffa, 
      0x9900dff3, 0x615e14d0, 0xff30190b, 0x00000ffa, 
      0x9700cff4, 0x715f14c0, 0xff301a0b, 0x00000ffa, 
      0x9600bff4, 0x915f14b0, 0xff301b0b, 0x00000ffa, 
      0x9400bff4, 0xa16014a0, 0xff301c0b, 0x00000ffa, 
      0x9300aff4, 0xc1611490, 0xff301c0b, 0x00000ffa, 
      0x9100aff3, 0xe1621480, 0xff301d0b, 0x00000ffa, 
      0x90009ff4, 0xf1621470, 0xff301e0b, 0x00000ffa, 
      0x8e009ff3, 0x11631460, 0xff301f0c, 0x00000ffa, 
      0x8c008ff4, 0x21641450, 0xff30200c, 0x00000ffa, 
      0x8b008ff5, 0x41641430, 0xff30200c, 0x00000ffa, 
      0x8a007ff5, 0x51651420, 0xff30210c, 0x00000ffa, 
      0x88007ff4, 0x71661410, 0xff30220c, 0x00000ffa, 
      0x87006ff4, 0x91661400, 0xff30230c, 0x00000ffa, 
      0x85006ff4, 0xa16713f0, 0xff30240c, 0x00000ffa, 
      0x84005ff4, 0xc16713e0, 0xff30250c, 0x00000ffa, 
      0x82005ff4, 0xd16813d0, 0xff30260c, 0x00000ffa, 
      0x80004ff4, 0xf16913c0, 0xff30270c, 0x00000ffa, 
      0x80004ff5, 0x016913a0, 0xff30270d, 0x00000ffa, 
      0x7e003ff5, 0x216a1390, 0xff30280d, 0x00000ffa, 
      0x7d003ff5, 0x416a1380, 0xff30290d, 0x00000ff9, 
      0x7b003ff5, 0x516b1370, 0xff302a0d, 0x00000ff9, 
      0x7a002ff5, 0x716b1360, 0xff302b0d, 0x00000ff9, 
      0x79002ff5, 0x816c1340, 0xff302c0d, 0x00000ff9, 
      0x77001ff5, 0xa16c1330, 0xff402d0d, 0x00000ff9, 
      0x76000ff5, 0xb16d1320, 0xff402e0d, 0x00000ff9, 
      0x74000ff5, 0xd16d1310, 0xff402f0d, 0x00000ff9, 
      0x73000ff5, 0xf16d12f0, 0xff40300d, 0x00000ff9, 
      0x71000ff5, 0x016e12e0, 0xff40310e, 0x00000ff9, 
      0x70fffff5, 0x216e12d0, 0xff40320e, 0x00000ff9, 
      0x6fffeff5, 0x316f12c0, 0xff40330e, 0x00000ff9, 
      0x6dffeff6, 0x516f12a0, 0xff40340e, 0x00000ff9, 
      0x6cffeff6, 0x616f1290, 0xff40350e, 0x00000ff9, 
      0x6affeff5, 0x81701280, 0xff40360e, 0x00000ff9, 
      0x69ffeff6, 0x91701260, 0xff40370e, 0x00000ff9, 
      0x68ffdff6, 0xb1701250, 0xff40380e, 0x00000ff9, 
      0x66ffcff5, 0xd1711240, 0xff50390e, 0x00000ff9, 
      0x65ffcff6, 0xe1711220, 0xff503a0e, 0x00000ff9, 
      0x64ffcff6, 0x01711210, 0xff503b0f, 0x00000ff8, 
      0x62ffcff7, 0x11711200, 0xff503c0f, 0x00000ff8, 
      0x61ffbff7, 0x317211e0, 0xff503d0f, 0x00000ff8, 
      0x60ffbff7, 0x417211d0, 0xff503e0f, 0x00000ff8, 
      0x5fffbff6, 0x617211c0, 0xff503f0f, 0x00000ff8, 
      0x5effbff7, 0x717211a0, 0xff50400f, 0x00000ff8, 
      0x5cffaff6, 0x91721190, 0xff60420f, 0x00000ff8, 
      0x5bffaff6, 0xa1731170, 0xff60430f, 0x00000ff8, 
      0x59ffaff6, 0xc1731160, 0xff60440f, 0x00000ff8, 
      0x58ff9ff7, 0xd1731150, 0xff60450f, 0x00000ff8, 
      0x57ff9ff7, 0xf1731130, 0xff60460f, 0x00000ff8, 
      0x56ff9ff7, 0x01731120, 0xff604710, 0x00000ff8, 
      0x54ff9ff7, 0x21731100, 0xff704810, 0x00000ff8, 
      0x53ff8ff7, 0x317310f0, 0xff704a10, 0x00000ff8, 
      0x52ff8ff7, 0x517310d0, 0xff704b10, 0x00000ff8, 
      0x51ff8ff8, 0x617310c0, 0xff704c10, 0x00000ff7, 
      0x50ff8ff7, 0x817310b0, 0xff704d10, 0x00000ff7, 
      0x4eff8ff8, 0x91731090, 0xff804e10, 0x00000ff7, 
      0x4dff7ff7, 0xb1731080, 0xff805010, 0x00000ff7, 
      0x4cff7ff8, 0xc1731060, 0xff805110, 0x00000ff7, 
      0x4bff7ff8, 0xd1731050, 0xff805210, 0x00000ff7, 
      0x4aff7ff8, 0xf1731030, 0xff805310, 0x00000ff7, 
      0x48ff7ff8, 0x01731020, 0xff905411, 0x00000ff7, 
      0x47ff6ff8, 0x21731000, 0xff905611, 0x00000ff7, 
      0x46ff6ff8, 0x31730ff0, 0xff905711, 0x00000ff7, 
      0x45ff6ff8, 0x51730fd0, 0xff905811, 0x00000ff7, 
      0x44ff6ff7, 0x61730fc0, 0xffa05911, 0x00000ff7, 
      0x43ff5ff8, 0x71730fa0, 0xffa05b11, 0x00000ff7, 
      0x42ff5ff8, 0x91720f90, 0xffa05c11, 0x00000ff7, 
      0x40ff6ff9, 0xa1720f70, 0xffb05d11, 0x00000ff6, 
      0x3fff5ff8, 0xc1720f60, 0xffb05f11, 0x00000ff6, 
      0x3eff5ff9, 0xd1720f40, 0xffb06011, 0x00000ff6, 
      0x3dff5ff9, 0xe1720f30, 0xffb06111, 0x00000ff6, 
      0x3cff5ff9, 0x01710f10, 0xffc06212, 0x00000ff6, 
      0x3bff5ff8, 0x11710f00, 0xffc06412, 0x00000ff6, 
      0x3aff5ff9, 0x21710ee0, 0xffc06512, 0x00000ff6, 
      0x39ff4ff8, 0x41710ed0, 0xffd06612, 0x00000ff6, 
      0x38ff4ff9, 0x51700eb0, 0xffd06812, 0x00000ff6, 
      0x37ff5ff9, 0x61700e90, 0xffd06912, 0x00000ff6, 
      0x36ff4ff8, 0x81700e80, 0xffe06a12, 0x00000ff6, 
      0x35ff4ff9, 0x916f0e60, 0xffe06c12, 0x00000ff6, 
      0x34ff4ff9, 0xa16f0e50, 0xffe06d12, 0x00000ff6, 
      0x33ff4ff8, 0xc16f0e30, 0xfff06f12, 0x00000ff5, 
      0x32ff4ff9, 0xd16e0e20, 0xfff07012, 0x00000ff5, 
      0x31ff4ff9, 0xe16e0e00, 0x00007112, 0x00000ff5, 
      0x30ff4ff9, 0xf16d0df0, 0x00007312, 0x00000ff5, 
      0x2fff4ff9, 0x116d0dd0, 0x00007413, 0x00000ff5, 
      0x2eff3ff9, 0x216d0db0, 0x00107613, 0x00000ff5, 
      0x2dff4ff9, 0x316c0da0, 0x00107713, 0x00000ff5, 
      0x2cff3ffa, 0x416c0d80, 0x00207813, 0x00000ff5, 
      0x2bff3ff9, 0x616b0d70, 0x00207a13, 0x00000ff5, 
      0x2aff3ffa, 0x716b0d50, 0x00207b13, 0x00000ff5, 
      0x29ff3ff9, 0x816a0d40, 0x00307d13, 0x00000ff5, 
      0x28ff3ffa, 0x916a0d20, 0x00307e13, 0x00000ff5, 
      0x27ff4ffa, 0xa1690d00, 0x00407f13, 0x00000ff5, 
      0x26ff3ff9, 0xc1690cf0, 0x00408113, 0x00000ff5, 
      0x26ff3ffa, 0xd1680cd0, 0x00508213, 0x00000ff4, 
      0x25ff3ffa, 0xe1670cc0, 0x00508413, 0x00000ff4, 
      0x24ff3ffa, 0xf1670ca0, 0x00608513, 0x00000ff4, 
      0x23ff3ffa, 0x01660c90, 0x00608714, 0x00000ff4, 
      0x22ff3ffa, 0x11660c70, 0x00708814, 0x00000ff4, 
      0x21ff4ffa, 0x21650c50, 0x00708a14, 0x00000ff4, 
      0x20ff4ffa, 0x31640c40, 0x00808b14, 0x00000ff4, 
      0x20ff3ff9, 0x51640c20, 0x00808d14, 0x00000ff4, 
      0x1fff2ffa, 0x61630c10, 0x00908e14, 0x00000ff4, 
      0x1eff3ffa, 0x71620bf0, 0x00909014, 0x00000ff4, 
      0x1dff2ffa, 0x81620be0, 0x00a09114, 0x00000ff4, 
      0x1cff3ffa, 0x91610bc0, 0x00a09314, 0x00000ff4, 
      0x1cff3ffa, 0xa1600ba0, 0x00b09414, 0x00000ff4, 
      0x1bff3ffa, 0xb15f0b90, 0x00b09614, 0x00000ff4, 
      0x1aff3ffa, 0xc15f0b70, 0x00c09714, 0x00000ff4, 
      0x19ff3ffa, 0xd15e0b50, 0x00d09914, 0x00000ff4, 
      0x19ff3ffa, 0xe15d0b40, 0x00d09a14, 0x00000ff4, 
      0x17ff3ffa, 0xf15c0b30, 0x00e09c14, 0x00000ff4, 
      0x17ff4ffb, 0x015b0b10, 0x00e09d15, 0x00000ff3, 
      0x16ff3ffa, 0x115b0b00, 0x00f09f15, 0x00000ff3, 
      0x16ff3ffa, 0x215a0ae0, 0x0100a015, 0x00000ff3, 
      0x15ff3ffb, 0x31590ac0, 0x0100a215, 0x00000ff3, 
      0x14ff3ffb, 0x41580ab0, 0x0110a315, 0x00000ff3, 
      0x14ff3ffa, 0x51570a90, 0x0120a515, 0x00000ff3, 
      0x13ff4ffb, 0x51560a80, 0x0120a615, 0x00000ff3,
   },
   { /* Y scale factor = 0.37, phases = 127, taps = 9. */
      0xa500dff2, 0x615e15d0, 0xff200e0a, 0x00000ffb, 
      0xa200dff2, 0x815f15c0, 0xff200f0a, 0x00000ffb, 
      0xa100cff2, 0x916015b0, 0xff20100a, 0x00000ffb, 
      0xa000cff2, 0xb16015a0, 0xff20100a, 0x00000ffb, 
      0x9e00bff2, 0xd1611590, 0xff20110a, 0x00000ffb, 
      0x9d00aff2, 0xe1621580, 0xff20120a, 0x00000ffb, 
      0x9b00aff2, 0x01631570, 0xff20120b, 0x00000ffb, 
      0x99009ff3, 0x11641560, 0xff20130b, 0x00000ffb, 
      0x98008ff2, 0x31651550, 0xff20140b, 0x00000ffb, 
      0x96008ff2, 0x51661530, 0xff20150b, 0x00000ffb, 
      0x95008ff2, 0x61661530, 0xff20150b, 0x00000ffb, 
      0x93007ff2, 0x81671520, 0xff20160b, 0x00000ffb, 
      0x92007ff3, 0xa1681500, 0xff10170b, 0x00000ffa, 
      0x91006ff3, 0xb16914f0, 0xff10180b, 0x00000ffa, 
      0x8f005ff4, 0xd16a14e0, 0xff10180b, 0x00000ffa, 
      0x8d005ff4, 0xf16a14d0, 0xff10190b, 0x00000ffa, 
      0x8b005ff4, 0x016b14c0, 0xff101a0c, 0x00000ffa, 
      0x8a004ff3, 0x216c14b0, 0xff101b0c, 0x00000ffa, 
      0x88003ff4, 0x316d14a0, 0xff101c0c, 0x00000ffa, 
      0x87003ff3, 0x516d1490, 0xff101d0c, 0x00000ffa, 
      0x85003ff4, 0x716e1470, 0xff101d0c, 0x00000ffa, 
      0x84002ff4, 0x816f1460, 0xff101e0c, 0x00000ffa, 
      0x82002ff4, 0xa16f1450, 0xff101f0c, 0x00000ffa, 
      0x81001ff3, 0xc1701440, 0xff10200c, 0x00000ffa, 
      0x7f001ff4, 0xd1701430, 0xff10210c, 0x00000ffa, 
      0x7e000ff4, 0xf1711410, 0xff10220c, 0x00000ffa, 
      0x7c000ff3, 0x11721400, 0xff10230d, 0x00000ffa, 
      0x7bfffff5, 0x217213f0, 0xff10230d, 0x00000ffa, 
      0x79fffff4, 0x417313e0, 0xff10240d, 0x00000ffa, 
      0x78ffeff5, 0x617313c0, 0xff10250d, 0x00000ffa, 
      0x76ffeff5, 0x717413b0, 0xff10260d, 0x00000ffa, 
      0x75ffeff4, 0x917413a0, 0xff10270d, 0x00000ffa, 
      0x74ffeff5, 0xa1751380, 0xff10280d, 0x00000ff9, 
      0x73ffdff5, 0xc1751370, 0xff10290d, 0x00000ff9, 
      0x71ffcff4, 0xe1761360, 0xff202a0d, 0x00000ff9, 
      0x6fffdff5, 0xf1761340, 0xff202b0d, 0x00000ff9, 
      0x6effcff4, 0x11771330, 0xff202c0e, 0x00000ff9, 
      0x6cffbff5, 0x31771320, 0xff202d0e, 0x00000ff9, 
      0x6bffbff5, 0x41781300, 0xff202e0e, 0x00000ff9, 
      0x6affaff5, 0x617812f0, 0xff202f0e, 0x00000ff9, 
      0x68ffaff5, 0x817812e0, 0xff20300e, 0x00000ff9, 
      0x67ffaff5, 0x917912c0, 0xff20310e, 0x00000ff9, 
      0x65ffaff5, 0xb17912b0, 0xff20320e, 0x00000ff9, 
      0x64ff9ff6, 0xc17912a0, 0xff20330e, 0x00000ff9, 
      0x63ff9ff5, 0xe17a1280, 0xff20340e, 0x00000ff9, 
      0x61ff9ff5, 0x017a1270, 0xff20350f, 0x00000ff9, 
      0x60ff9ff6, 0x117a1250, 0xff20360f, 0x00000ff9, 
      0x5fff9ff6, 0x317a1240, 0xff20370f, 0x00000ff8, 
      0x5eff8ff6, 0x417b1230, 0xff20380f, 0x00000ff8, 
      0x5cff7ff6, 0x617b1210, 0xff303a0f, 0x00000ff8, 
      0x5aff7ff6, 0x817b1200, 0xff303b0f, 0x00000ff8, 
      0x59ff7ff7, 0x917b11e0, 0xff303c0f, 0x00000ff8, 
      0x58ff6ff6, 0xb17c11d0, 0xff303d0f, 0x00000ff8, 
      0x57ff7ff6, 0xc17c11b0, 0xff303e0f, 0x00000ff8, 
      0x55ff6ff7, 0xe17c11a0, 0xff303f0f, 0x00000ff8, 
      0x54ff6ff7, 0x017c1180, 0xff304010, 0x00000ff8, 
      0x53ff6ff6, 0x117c1170, 0xff304210, 0x00000ff8, 
      0x51ff6ff6, 0x317c1150, 0xff404310, 0x00000ff8, 
      0x50ff6ff6, 0x417c1140, 0xff404410, 0x00000ff8, 
      0x4fff5ff7, 0x617c1120, 0xff404510, 0x00000ff8, 
      0x4eff6ff7, 0x717c1110, 0xff404610, 0x00000ff7, 
      0x4dff5ff8, 0x917c10f0, 0xff404710, 0x00000ff7, 
      0x4bff4ff7, 0xb17d10e0, 0xff404910, 0x00000ff7, 
      0x4aff4ff7, 0xc17d10c0, 0xff504a10, 0x00000ff7, 
      0x48ff4ff7, 0xe17d10b0, 0xff504b10, 0x00000ff7, 
      0x47ff5ff8, 0xf17c1090, 0xff504c10, 0x00000ff7, 
      0x46ff4ff8, 0x117c1070, 0xff504e11, 0x00000ff7, 
      0x45ff4ff8, 0x217c1060, 0xff504f11, 0x00000ff7, 
      0x44ff4ff7, 0x417c1040, 0xff605011, 0x00000ff7, 
      0x43ff4ff7, 0x517c1030, 0xff605111, 0x00000ff7, 
      0x42ff3ff7, 0x717c1010, 0xff605311, 0x00000ff7, 
      0x40ff3ff8, 0x817c1000, 0xff605411, 0x00000ff7, 
      0x3fff4ff8, 0xa17c0fe0, 0xff605511, 0x00000ff6, 
      0x3eff3ff8, 0xb17c0fc0, 0xff705711, 0x00000ff6, 
      0x3dff2ff8, 0xd17c0fb0, 0xff705811, 0x00000ff6, 
      0x3cff3ff9, 0xe17b0f90, 0xff705911, 0x00000ff6, 
      0x3bff3ff8, 0x017b0f80, 0xff705a12, 0x00000ff6, 
      0x3aff2ff8, 0x117b0f60, 0xff805c12, 0x00000ff6, 
      0x38ff3ff9, 0x217b0f40, 0xff805d12, 0x00000ff6, 
      0x37ff3ff9, 0x417a0f30, 0xff805e12, 0x00000ff6, 
      0x36ff2ff9, 0x517a0f10, 0xff906012, 0x00000ff6, 
      0x35ff2ff8, 0x717a0f00, 0xff906112, 0x00000ff6, 
      0x34ff2ff8, 0x817a0ee0, 0xff906312, 0x00000ff6, 
      0x33ff3ff9, 0xa1790ec0, 0xff906412, 0x00000ff5, 
      0x32ff2ff9, 0xb1790eb0, 0xffa06512, 0x00000ff5, 
      0x31ff2ff9, 0xc1790e90, 0xffa06712, 0x00000ff5, 
      0x30ff2ff9, 0xe1780e80, 0xffa06812, 0x00000ff5, 
      0x2fff1ff9, 0xf1780e60, 0xffb06a12, 0x00000ff5, 
      0x2eff2ff9, 0x01780e40, 0xffb06b13, 0x00000ff5, 
      0x2dff2ff9, 0x21770e30, 0xffb06c13, 0x00000ff5, 
      0x2cff1ff9, 0x31770e10, 0xffc06e13, 0x00000ff5, 
      0x2bff2ffa, 0x41760df0, 0xffc06f13, 0x00000ff5, 
      0x2aff1ff9, 0x61760de0, 0xffc07113, 0x00000ff5, 
      0x29ff1ffa, 0x71750dc0, 0xffd07213, 0x00000ff5, 
      0x28ff2ffa, 0x81750da0, 0xffd07313, 0x00000ff5, 
      0x27ff1ffa, 0xa1740d90, 0xffe07513, 0x00000ff4, 
      0x26ff2ffa, 0xb1740d70, 0xffe07613, 0x00000ff4, 
      0x25ff2ffa, 0xc1730d60, 0xffe07813, 0x00000ff4, 
      0x24ff1ffa, 0xe1730d40, 0xfff07913, 0x00000ff4, 
      0x23ff2ffa, 0xf1720d20, 0xfff07b13, 0x00000ff4, 
      0x23ff1ff9, 0x01720d10, 0x00007c14, 0x00000ff4, 
      0x22ff1ffa, 0x11710cf0, 0x00007e14, 0x00000ff4, 
      0x21ff1ffa, 0x31700cd0, 0x00107f14, 0x00000ff4, 
      0x20ff1ff9, 0x41700cc0, 0x00108114, 0x00000ff4, 
      0x1fff2ffa, 0x516f0ca0, 0x00108214, 0x00000ff4, 
      0x1eff1ffa, 0x616f0c80, 0x00208414, 0x00000ff4, 
      0x1dff2ffb, 0x716e0c70, 0x00208514, 0x00000ff3, 
      0x1dff1ffa, 0x916d0c50, 0x00308714, 0x00000ff3, 
      0x1cff1ffb, 0xa16d0c30, 0x00308814, 0x00000ff3, 
      0x1bff1ffa, 0xb16c0c20, 0x00408a14, 0x00000ff3, 
      0x1aff2ffb, 0xc16b0c00, 0x00408b14, 0x00000ff3, 
      0x19ff1ffb, 0xd16a0bf0, 0x00508d14, 0x00000ff3, 
      0x18ff1ffb, 0xe16a0bd0, 0x00508f14, 0x00000ff3, 
      0x18ff1ffb, 0xf1690bb0, 0x00609014, 0x00000ff3, 
      0x17ff1ffa, 0x01680ba0, 0x00709215, 0x00000ff3, 
      0x16ff2ffa, 0x21670b80, 0x00709315, 0x00000ff3, 
      0x15ff2ffa, 0x31660b60, 0x00809515, 0x00000ff3, 
      0x15ff1ffa, 0x41660b50, 0x00809615, 0x00000ff3, 
      0x14ff1ffa, 0x51650b30, 0x00909815, 0x00000ff3, 
      0x14ff2ffb, 0x61640b10, 0x00909915, 0x00000ff2, 
      0x12ff2ffb, 0x71630b00, 0x00a09b15, 0x00000ff2, 
      0x12ff2ffa, 0x81620ae0, 0x00b09d15, 0x00000ff2, 
      0x11ff2ffb, 0x91610ad0, 0x00b09e15, 0x00000ff2, 
      0x10ff2ffb, 0xa1600ab0, 0x00c0a015, 0x00000ff2, 
      0x10ff2ffb, 0xb1600a90, 0x00c0a115, 0x00000ff2, 
      0x0fff2ffa, 0xc15f0a80, 0x00d0a315, 0x00000ff2, 
      0x0eff2ffa, 0xd15e0a60, 0x00e0a515, 0x00000ff2,
   },
   { /* Y scale factor = 0.38, phases = 127, taps = 9. */
      0xa3009ff1, 0x41651640, 0xff100a0a, 0x00000ffb, 
      0xa1008ff2, 0x61661630, 0xff100a0a, 0x00000ffb, 
      0x9f008ff1, 0x81671620, 0xff100b0a, 0x00000ffb, 
      0x9e007ff1, 0x91681610, 0xff100c0a, 0x00000ffb, 
      0x9c007ff1, 0xb1691600, 0xff100c0a, 0x00000ffb, 
      0x9a006ff1, 0xd16a15f0, 0xff100d0a, 0x00000ffb, 
      0x99005ff1, 0xe16b15e0, 0xff100e0a, 0x00000ffb, 
      0x97005ff2, 0x016c15d0, 0xff000e0b, 0x00000ffb, 
      0x95004ff2, 0x216d15c0, 0xff000f0b, 0x00000ffb, 
      0x94004ff1, 0x316e15b0, 0xff00100b, 0x00000ffb, 
      0x92004ff2, 0x516e1590, 0xff00110b, 0x00000ffb, 
      0x91003ff2, 0x716f1580, 0xff00110b, 0x00000ffb, 
      0x8f002ff2, 0x91701570, 0xff00120b, 0x00000ffb, 
      0x8d002ff2, 0xa1711560, 0xff00130b, 0x00000ffb, 
      0x8b001ff2, 0xc1721550, 0xff00140b, 0x00000ffb, 
      0x8a000ff2, 0xe1731540, 0xff00140b, 0x00000ffb, 
      0x89000ff3, 0xf1731520, 0xff00150b, 0x00000ffb, 
      0x87000ff2, 0x11741510, 0xff00160c, 0x00000ffb, 
      0x85fffff2, 0x31751500, 0xff00170c, 0x00000ffb, 
      0x84fffff2, 0x417614f0, 0xff00180c, 0x00000ffa, 
      0x82fffff3, 0x617614e0, 0xff00180c, 0x00000ffa, 
      0x81ffeff3, 0x817714c0, 0xff00190c, 0x00000ffa, 
      0x7fffdff3, 0xa17814b0, 0xff001a0c, 0x00000ffa, 
      0x7effdff3, 0xb17814a0, 0xff001b0c, 0x00000ffa, 
      0x7cffcff4, 0xd1791480, 0xff001c0c, 0x00000ffa, 
      0x7affcff3, 0xf17a1470, 0xff001d0c, 0x00000ffa, 
      0x79ffbff3, 0x117a1460, 0xff001e0d, 0x00000ffa, 
      0x77ffbff3, 0x217b1450, 0xff001f0d, 0x00000ffa, 
      0x76ffbff3, 0x417c1430, 0xff001f0d, 0x00000ffa, 
      0x74ffaff4, 0x617c1420, 0xff00200d, 0x00000ffa, 
      0x73ffaff4, 0x717d1400, 0xff00210d, 0x00000ffa, 
      0x71ffaff4, 0x917d13f0, 0xff00220d, 0x00000ffa, 
      0x6fff9ff4, 0xb17e13e0, 0xff00230d, 0x00000ffa, 
      0x6eff9ff4, 0xd17e13c0, 0xff00240d, 0x00000ffa, 
      0x6dff8ff4, 0xe17f13b0, 0xff00250d, 0x00000ffa, 
      0x6bff8ff4, 0x017f13a0, 0xff00260e, 0x00000ffa, 
      0x6aff8ff4, 0x21801380, 0xff00270e, 0x00000ff9, 
      0x68ff8ff5, 0x31801370, 0xff00280e, 0x00000ff9, 
      0x67ff7ff5, 0x51811350, 0xff00290e, 0x00000ff9, 
      0x66ff7ff4, 0x71811340, 0xff002a0e, 0x00000ff9, 
      0x64ff7ff5, 0x91811320, 0xff002b0e, 0x00000ff9, 
      0x63ff6ff5, 0xa1821310, 0xff002c0e, 0x00000ff9, 
      0x61ff6ff6, 0xc18212f0, 0xff002d0e, 0x00000ff9, 
      0x60ff6ff5, 0xe18212e0, 0xff002e0e, 0x00000ff9, 
      0x5eff6ff5, 0xf18312d0, 0xff002f0e, 0x00000ff9, 
      0x5dff5ff6, 0x118312b0, 0xff00300f, 0x00000ff9, 
      0x5cff5ff5, 0x318312a0, 0xff00310f, 0x00000ff9, 
      0x5aff5ff6, 0x41841280, 0xff00320f, 0x00000ff9, 
      0x59ff4ff5, 0x61841270, 0xff00340f, 0x00000ff9, 
      0x58ff4ff6, 0x81841250, 0xff00350f, 0x00000ff8, 
      0x57ff5ff6, 0x91841230, 0xff00360f, 0x00000ff8, 
      0x55ff4ff6, 0xb1851220, 0xff00370f, 0x00000ff8, 
      0x53ff4ff7, 0xd1851200, 0xff00380f, 0x00000ff8, 
      0x52ff4ff7, 0xe18511f0, 0xff00390f, 0x00000ff8, 
      0x51ff3ff7, 0x018511d0, 0xff103a10, 0x00000ff8, 
      0x4fff3ff6, 0x218511c0, 0xff103c10, 0x00000ff8, 
      0x4eff3ff7, 0x318511a0, 0xff103d10, 0x00000ff8, 
      0x4dff2ff6, 0x51861190, 0xff103e10, 0x00000ff8, 
      0x4cff2ff6, 0x71861170, 0xff103f10, 0x00000ff8, 
      0x4aff3ff7, 0x81861150, 0xff104010, 0x00000ff8, 
      0x49ff2ff6, 0xa1861140, 0xff104210, 0x00000ff8, 
      0x48ff2ff7, 0xc1861120, 0xff104310, 0x00000ff7, 
      0x46ff2ff7, 0xd1861110, 0xff204410, 0x00000ff7, 
      0x45ff2ff7, 0xf18610f0, 0xff204510, 0x00000ff7, 
      0x44ff2ff7, 0x118610d0, 0xff204611, 0x00000ff7, 
      0x43ff1ff7, 0x218610c0, 0xff204811, 0x00000ff7, 
      0x42ff1ff7, 0x418610a0, 0xff204911, 0x00000ff7, 
      0x40ff2ff8, 0x51861080, 0xff204a11, 0x00000ff7, 
      0x3fff1ff7, 0x71861070, 0xff204c11, 0x00000ff7, 
      0x3eff0ff7, 0x91861050, 0xff304d11, 0x00000ff7, 
      0x3dff1ff8, 0xa1851030, 0xff304e11, 0x00000ff7, 
      0x3cff1ff8, 0xc1851020, 0xff304f11, 0x00000ff6, 
      0x3aff1ff9, 0xd1851000, 0xff305111, 0x00000ff6, 
      0x39ff1ff9, 0xf1850fe0, 0xff305211, 0x00000ff6, 
      0x38ff0ff9, 0x01850fd0, 0xff405312, 0x00000ff6, 
      0x37ff0ff8, 0x21850fb0, 0xff405512, 0x00000ff6, 
      0x36ff1ff9, 0x31840f90, 0xff405612, 0x00000ff6, 
      0x35ff0ff8, 0x51840f80, 0xff405812, 0x00000ff6, 
      0x33ff0ff8, 0x71840f60, 0xff505912, 0x00000ff6, 
      0x32ff0ff9, 0x81840f40, 0xff505a12, 0x00000ff6, 
      0x31ff0ff8, 0xa1830f30, 0xff505c12, 0x00000ff6, 
      0x31ff0ff9, 0xb1830f10, 0xff505d12, 0x00000ff5, 
      0x2fff0ff9, 0xd1830ef0, 0xff605e12, 0x00000ff5, 
      0x2eff0ff9, 0xe1820ee0, 0xff606012, 0x00000ff5, 
      0x2dff0ffa, 0xf1820ec0, 0xff606112, 0x00000ff5, 
      0x2cff0ff9, 0x11820ea0, 0xff606313, 0x00000ff5, 
      0x2bff0ff9, 0x21810e90, 0xff706413, 0x00000ff5, 
      0x2afefff9, 0x41810e70, 0xff706613, 0x00000ff5, 
      0x29ff0ff9, 0x51810e50, 0xff706713, 0x00000ff5, 
      0x28ff0ff9, 0x71800e30, 0xff806813, 0x00000ff5, 
      0x27fefff9, 0x81800e20, 0xff806a13, 0x00000ff5, 
      0x26ff0ffa, 0xa17f0e00, 0xff806b13, 0x00000ff4, 
      0x25ff0ff9, 0xb17f0de0, 0xff906d13, 0x00000ff4, 
      0x24ff0ffa, 0xc17e0dd0, 0xff906e13, 0x00000ff4, 
      0x23ff0ff9, 0xe17e0db0, 0xff907013, 0x00000ff4, 
      0x22ff0ffa, 0xf17d0d90, 0xffa07113, 0x00000ff4, 
      0x21ff0ffa, 0x017d0d70, 0xffa07314, 0x00000ff4, 
      0x20ff0ffa, 0x217c0d60, 0xffa07414, 0x00000ff4, 
      0x1fff0ff9, 0x317c0d40, 0xffb07614, 0x00000ff4, 
      0x1ffefffa, 0x517b0d20, 0xffb07714, 0x00000ff4, 
      0x1dfefffa, 0x617a0d10, 0xffc07914, 0x00000ff4, 
      0x1dff0ffa, 0x717a0cf0, 0xffc07a14, 0x00000ff3, 
      0x1cff0ffb, 0x81790cd0, 0xffc07c14, 0x00000ff3, 
      0x1bff0ffa, 0xa1780cb0, 0xffd07e14, 0x00000ff3, 
      0x1aff0ffa, 0xb1780ca0, 0xffd07f14, 0x00000ff3, 
      0x19ff0ffa, 0xc1770c80, 0xffe08114, 0x00000ff3, 
      0x18ff0ffb, 0xe1760c60, 0xffe08214, 0x00000ff3, 
      0x18fefffa, 0xf1760c40, 0xfff08414, 0x00000ff3, 
      0x17ff0ffa, 0x01750c30, 0xfff08515, 0x00000ff3, 
      0x16ff0ffa, 0x11740c10, 0x00008715, 0x00000ff3, 
      0x16ff0ffb, 0x21730bf0, 0x00008915, 0x00000ff2, 
      0x14ff0ffa, 0x41730be0, 0x00108a15, 0x00000ff2, 
      0x14ff0ffa, 0x51720bc0, 0x00108c15, 0x00000ff2, 
      0x13ff0ffb, 0x61710ba0, 0x00208d15, 0x00000ff2, 
      0x12ff0ffb, 0x71700b90, 0x00208f15, 0x00000ff2, 
      0x11ff0ffb, 0x816f0b70, 0x00309115, 0x00000ff2, 
      0x11ff1ffb, 0x916e0b50, 0x00309215, 0x00000ff2, 
      0x10ff0ffa, 0xb16e0b30, 0x00409415, 0x00000ff2, 
      0x0fff0ffb, 0xc16d0b20, 0x00409515, 0x00000ff2, 
      0x0eff0ffb, 0xd16c0b00, 0x00509715, 0x00000ff2, 
      0x0eff0ffb, 0xe16b0ae0, 0x00509915, 0x00000ff2, 
      0x0dff1ffb, 0xf16a0ad0, 0x00609a15, 0x00000ff1, 
      0x0cff1ffb, 0x01690ab0, 0x00709c16, 0x00000ff1, 
      0x0cff1ffb, 0x11680a90, 0x00709e16, 0x00000ff1, 
      0x0bff1ffb, 0x21670a80, 0x00809f16, 0x00000ff1, 
      0x0aff1ffc, 0x31660a60, 0x0080a116, 0x00000ff1, 
      0x0aff1ffb, 0x41650a40, 0x0090a316, 0x00000ff1,
   },
   { /* Y scale factor = 0.39, phases = 127, taps = 9. */
      0xa0004ff0, 0x216d16c0, 0xff00050a, 0x00000ffc, 
      0x9f003ff0, 0x416e16a0, 0xff00060a, 0x00000ffc, 
      0x9d003ff1, 0x516f1690, 0xff00060a, 0x00000ffc, 
      0x9b003ff0, 0x71701680, 0xff00070a, 0x00000ffc, 
      0x99002ff0, 0x91711670, 0xff00080a, 0x00000ffc, 
      0x98001ff0, 0xb1721660, 0xff00080a, 0x00000ffc, 
      0x96001ff0, 0xd1731650, 0xfef0090a, 0x00000ffc, 
      0x94000ff1, 0xe1741640, 0xfef00a0a, 0x00000ffc, 
      0x93fffff1, 0x01751630, 0xfef00a0b, 0x00000ffc, 
      0x91fffff1, 0x21761610, 0xfef00b0b, 0x00000ffc, 
      0x8ffffff1, 0x41771600, 0xfef00c0b, 0x00000ffb, 
      0x8efffff2, 0x517715f0, 0xfef00c0b, 0x00000ffb, 
      0x8cffeff2, 0x717815e0, 0xfef00d0b, 0x00000ffb, 
      0x8affdff2, 0x917915d0, 0xfef00e0b, 0x00000ffb, 
      0x89ffdff1, 0xb17a15b0, 0xfef00f0b, 0x00000ffb, 
      0x87ffdff2, 0xc17b15a0, 0xfef00f0b, 0x00000ffb, 
      0x85ffcff2, 0xe17c1590, 0xfef0100b, 0x00000ffb, 
      0x83ffbff2, 0x017d1580, 0xfef0110c, 0x00000ffb, 
      0x82ffbff3, 0x217d1560, 0xfee0120c, 0x00000ffb, 
      0x80ffaff3, 0x417e1550, 0xfee0130c, 0x00000ffb, 
      0x7fffaff3, 0x517f1540, 0xfee0130c, 0x00000ffb, 
      0x7dffaff3, 0x71801520, 0xfee0140c, 0x00000ffb, 
      0x7cff9ff3, 0x91801510, 0xfee0150c, 0x00000ffb, 
      0x7aff9ff2, 0xb1811500, 0xfee0160c, 0x00000ffb, 
      0x78ff8ff3, 0xd18214e0, 0xfee0170c, 0x00000ffb, 
      0x77ff8ff3, 0xe18214d0, 0xfee0180c, 0x00000ffb, 
      0x75ff7ff3, 0x018314c0, 0xfee0190d, 0x00000ffb, 
      0x74ff7ff4, 0x218414a0, 0xfee0190d, 0x00000ffa, 
      0x72ff7ff4, 0x41841490, 0xfee01a0d, 0x00000ffa, 
      0x71ff7ff3, 0x61851470, 0xfee01b0d, 0x00000ffa, 
      0x6fff6ff4, 0x71861460, 0xfee01c0d, 0x00000ffa, 
      0x6eff6ff4, 0x91861440, 0xfee01d0d, 0x00000ffa, 
      0x6cff6ff3, 0xb1871430, 0xfee01e0d, 0x00000ffa, 
      0x6aff5ff4, 0xd1871420, 0xfee01f0d, 0x00000ffa, 
      0x69ff4ff4, 0xf1881400, 0xfee0200d, 0x00000ffa, 
      0x67ff5ff4, 0x018813f0, 0xfee0210e, 0x00000ffa, 
      0x66ff4ff4, 0x218913d0, 0xfee0220e, 0x00000ffa, 
      0x64ff4ff4, 0x418913c0, 0xfee0230e, 0x00000ffa, 
      0x63ff3ff4, 0x618a13a0, 0xfee0240e, 0x00000ffa, 
      0x61ff3ff4, 0x818a1390, 0xfee0250e, 0x00000ffa, 
      0x60ff3ff5, 0x918b1370, 0xfee0260e, 0x00000ff9, 
      0x5eff3ff5, 0xb18b1360, 0xfee0270e, 0x00000ff9, 
      0x5dff3ff5, 0xd18b1340, 0xfee0280e, 0x00000ff9, 
      0x5bff2ff6, 0xf18c1320, 0xfee0290e, 0x00000ff9, 
      0x5aff2ff6, 0x018c1310, 0xfee02a0f, 0x00000ff9, 
      0x59ff2ff6, 0x218c12f0, 0xfee02b0f, 0x00000ff9, 
      0x57ff2ff5, 0x418d12e0, 0xfee02c0f, 0x00000ff9, 
      0x56ff1ff6, 0x618d12c0, 0xfee02d0f, 0x00000ff9, 
      0x54ff1ff6, 0x818d12a0, 0xfee02f0f, 0x00000ff9, 
      0x53ff1ff5, 0x918e1290, 0xfee0300f, 0x00000ff9, 
      0x52ff0ff6, 0xb18e1270, 0xfee0310f, 0x00000ff9, 
      0x50ff0ff6, 0xd18e1260, 0xfee0320f, 0x00000ff9, 
      0x4fff1ff6, 0xf18e1240, 0xfee0330f, 0x00000ff8, 
      0x4dff1ff7, 0x018f1220, 0xfee03410, 0x00000ff8, 
      0x4cff0ff7, 0x218f1210, 0xfee03510, 0x00000ff8, 
      0x4bff0ff6, 0x418f11f0, 0xfee03710, 0x00000ff8, 
      0x49ff0ff7, 0x618f11d0, 0xfee03810, 0x00000ff8, 
      0x48ff0ff7, 0x718f11c0, 0xfee03910, 0x00000ff8, 
      0x47ff0ff7, 0x918f11a0, 0xfee03a10, 0x00000ff8, 
      0x46ff0ff7, 0xb18f1180, 0xfee03b10, 0x00000ff8, 
      0x44fefff7, 0xd18f1160, 0xfef03d10, 0x00000ff8, 
      0x43fefff7, 0xe18f1150, 0xfef03e10, 0x00000ff8, 
      0x42fefff7, 0x018f1130, 0xfef03f11, 0x00000ff8, 
      0x40fefff8, 0x218f1120, 0xfef04011, 0x00000ff7, 
      0x3ffefff8, 0x318f1100, 0xfef04211, 0x00000ff7, 
      0x3efefff8, 0x518f10e0, 0xfef04311, 0x00000ff7, 
      0x3dfefff7, 0x718f10d0, 0xfef04411, 0x00000ff7, 
      0x3cfefff8, 0x818f10b0, 0xfef04511, 0x00000ff7, 
      0x3afeeff8, 0xa18f1090, 0xff004711, 0x00000ff7, 
      0x39feeff8, 0xc18f1070, 0xff004811, 0x00000ff7, 
      0x38feeff8, 0xd18f1060, 0xff004911, 0x00000ff7, 
      0x36feeff8, 0xf18f1040, 0xff004b11, 0x00000ff7, 
      0x35feeff9, 0x118f1020, 0xff004c12, 0x00000ff6, 
      0x34fefff9, 0x218f1000, 0xff004d12, 0x00000ff6, 
      0x33feeff8, 0x418e0ff0, 0xff104f12, 0x00000ff6, 
      0x32feeff8, 0x618e0fd0, 0xff105012, 0x00000ff6, 
      0x31feeff8, 0x718e0fb0, 0xff105212, 0x00000ff6, 
      0x30feeff8, 0x918e0f90, 0xff105312, 0x00000ff6, 
      0x2ffeeff9, 0xa18d0f80, 0xff105412, 0x00000ff6, 
      0x2dfeeff9, 0xc18d0f60, 0xff105612, 0x00000ff6, 
      0x2cfeeff8, 0xe18d0f40, 0xff205712, 0x00000ff6, 
      0x2bfeeffa, 0xf18c0f20, 0xff205912, 0x00000ff5, 
      0x2afeeffa, 0x118c0f00, 0xff205a13, 0x00000ff5, 
      0x29feeffa, 0x218c0ef0, 0xff205b13, 0x00000ff5, 
      0x28feeff9, 0x418b0ed0, 0xff305d13, 0x00000ff5, 
      0x27feeff9, 0x618b0eb0, 0xff305e13, 0x00000ff5, 
      0x26feeff9, 0x718b0e90, 0xff306013, 0x00000ff5, 
      0x25feeff9, 0x918a0e80, 0xff306113, 0x00000ff5, 
      0x24fedff9, 0xa18a0e60, 0xff406313, 0x00000ff5, 
      0x23feeff9, 0xc1890e40, 0xff406413, 0x00000ff5, 
      0x22feeffa, 0xd1890e20, 0xff406613, 0x00000ff4, 
      0x21feeffa, 0xf1880e00, 0xff506713, 0x00000ff4, 
      0x20feeff9, 0x01880df0, 0xff506914, 0x00000ff4, 
      0x1ffeeffa, 0x21870dd0, 0xff506a14, 0x00000ff4, 
      0x1efedffa, 0x31870db0, 0xff606c14, 0x00000ff4, 
      0x1dfeeffb, 0x41860d90, 0xff606d14, 0x00000ff4, 
      0x1cfeeffa, 0x61860d70, 0xff606f14, 0x00000ff4, 
      0x1bfedffa, 0x71850d60, 0xff707114, 0x00000ff4, 
      0x1afeeffb, 0x91840d40, 0xff707214, 0x00000ff3, 
      0x19feeffb, 0xa1840d20, 0xff707414, 0x00000ff3, 
      0x19feeffa, 0xc1830d00, 0xff807514, 0x00000ff3, 
      0x18feeffb, 0xd1820ce0, 0xff807714, 0x00000ff3, 
      0x17feeffb, 0xe1820cd0, 0xff807814, 0x00000ff3, 
      0x16feeffa, 0x01810cb0, 0xff907a15, 0x00000ff3, 
      0x15feeffb, 0x11800c90, 0xff907c15, 0x00000ff3, 
      0x14feeffb, 0x21800c70, 0xffa07d15, 0x00000ff3, 
      0x13fefffb, 0x417f0c50, 0xffa07f15, 0x00000ff2, 
      0x13fefffb, 0x517e0c40, 0xffa08015, 0x00000ff2, 
      0x12feeffc, 0x617d0c20, 0xffb08215, 0x00000ff2, 
      0x11feeffb, 0x817d0c00, 0xffb08415, 0x00000ff2, 
      0x10fefffb, 0x917c0be0, 0xffc08515, 0x00000ff2, 
      0x0ffefffc, 0xa17b0bc0, 0xffc08715, 0x00000ff2, 
      0x0ffeeffb, 0xb17a0bb0, 0xffd08915, 0x00000ff2, 
      0x0efefffb, 0xd1790b90, 0xffd08a15, 0x00000ff2, 
      0x0dfefffb, 0xe1780b70, 0xffe08c15, 0x00000ff2, 
      0x0cff0ffc, 0xf1770b50, 0xffe08e15, 0x00000ff1, 
      0x0cfefffb, 0x01770b40, 0xfff08f16, 0x00000ff1, 
      0x0bfefffc, 0x11760b20, 0xfff09116, 0x00000ff1, 
      0x0afefffb, 0x31750b00, 0x00009316, 0x00000ff1, 
      0x0afefffc, 0x41740ae0, 0x00009416, 0x00000ff1, 
      0x09fefffb, 0x51730ad0, 0x00109616, 0x00000ff1, 
      0x08ff0ffb, 0x61720ab0, 0x00109816, 0x00000ff1, 
      0x08ff0ffb, 0x71710a90, 0x00209916, 0x00000ff1, 
      0x07ff0ffb, 0x81700a70, 0x00309b16, 0x00000ff1, 
      0x07ff0ffc, 0x916f0a50, 0x00309d16, 0x00000ff0, 
      0x06ff0ffb, 0xa16e0a40, 0x00409f16, 0x00000ff0, 
      0x05ff0ffc, 0xc16d0a20, 0x0040a016, 0x00000ff0,
   },
   { /* Y scale factor = 0.40, phases = 127, taps = 9. */
      0x9e000fef, 0x01741730, 0xfef0000a, 0x00000ffd, 
      0x9cfffff0, 0x11751720, 0xfef0010a, 0x00000ffd, 
      0x9afffff0, 0x31761710, 0xfef0020a, 0x00000ffc, 
      0x99ffeff0, 0x51771700, 0xfef0020a, 0x00000ffc, 
      0x97ffdff0, 0x717916e0, 0xfef0030a, 0x00000ffc, 
      0x95ffdff0, 0x917a16d0, 0xfef0030a, 0x00000ffc, 
      0x93ffcff1, 0xa17b16c0, 0xfef0040a, 0x00000ffc, 
      0x91ffcff0, 0xc17c16b0, 0xfef0050a, 0x00000ffc, 
      0x90ffbff1, 0xe17d16a0, 0xfee0050a, 0x00000ffc, 
      0x8effbff1, 0x017e1680, 0xfee0060b, 0x00000ffc, 
      0x8cffaff1, 0x217f1670, 0xfee0070b, 0x00000ffc, 
      0x8affaff1, 0x41801660, 0xfee0070b, 0x00000ffc, 
      0x88ff9ff1, 0x61811650, 0xfee0080b, 0x00000ffc, 
      0x87ff9ff1, 0x71821630, 0xfee0090b, 0x00000ffc, 
      0x85ff8ff2, 0x91821620, 0xfee00a0b, 0x00000ffc, 
      0x84ff8ff1, 0xb1831610, 0xfee00a0b, 0x00000ffc, 
      0x82ff8ff1, 0xd18415f0, 0xfee00b0b, 0x00000ffc, 
      0x80ff7ff2, 0xf18515e0, 0xfed00c0b, 0x00000ffc, 
      0x7eff7ff1, 0x118615d0, 0xfed00d0c, 0x00000ffc, 
      0x7dff6ff2, 0x318715b0, 0xfed00e0c, 0x00000ffb, 
      0x7bff6ff3, 0x418815a0, 0xfed00e0c, 0x00000ffb, 
      0x7aff6ff3, 0x61881580, 0xfed00f0c, 0x00000ffb, 
      0x78ff5ff3, 0x81891570, 0xfed0100c, 0x00000ffb, 
      0x76ff5ff2, 0xa18a1560, 0xfed0110c, 0x00000ffb, 
      0x75ff4ff2, 0xc18b1540, 0xfed0120c, 0x00000ffb, 
      0x73ff4ff3, 0xe18b1530, 0xfed0120c, 0x00000ffb, 
      0x71ff4ff3, 0x018c1510, 0xfed0130d, 0x00000ffb, 
      0x6fff3ff3, 0x218d1500, 0xfed0140d, 0x00000ffb, 
      0x6eff4ff4, 0x318d14e0, 0xfec0150d, 0x00000ffb, 
      0x6cff3ff4, 0x518e14d0, 0xfec0160d, 0x00000ffb, 
      0x6bff2ff4, 0x718f14b0, 0xfec0170d, 0x00000ffb, 
      0x69ff2ff4, 0x918f14a0, 0xfec0180d, 0x00000ffb, 
      0x68ff2ff3, 0xb1901480, 0xfec0190d, 0x00000ffb, 
      0x66ff2ff4, 0xd1901470, 0xfec01a0d, 0x00000ffa, 
      0x65ff1ff4, 0xf1911450, 0xfec01b0d, 0x00000ffa, 
      0x63ff0ff4, 0x11921440, 0xfec01c0e, 0x00000ffa, 
      0x61ff1ff5, 0x21921420, 0xfec01d0e, 0x00000ffa, 
      0x60ff0ff5, 0x41931400, 0xfec01e0e, 0x00000ffa, 
      0x5eff0ff5, 0x619313f0, 0xfec01f0e, 0x00000ffa, 
      0x5dff0ff4, 0x819413d0, 0xfec0200e, 0x00000ffa, 
      0x5bff0ff4, 0xa19413c0, 0xfec0210e, 0x00000ffa, 
      0x5afefff5, 0xc19413a0, 0xfec0220e, 0x00000ffa, 
      0x58fefff5, 0xe1951380, 0xfec0230e, 0x00000ffa, 
      0x56fefff5, 0x01951370, 0xfec0240f, 0x00000ffa, 
      0x55fefff5, 0x11961350, 0xfec0250f, 0x00000ffa, 
      0x54fefff6, 0x31961330, 0xfec0260f, 0x00000ff9, 
      0x52fefff6, 0x51961320, 0xfec0270f, 0x00000ff9, 
      0x51feeff6, 0x71971300, 0xfec0280f, 0x00000ff9, 
      0x50feeff6, 0x919712e0, 0xfec0290f, 0x00000ff9, 
      0x4efeeff6, 0xb19712d0, 0xfec02a0f, 0x00000ff9, 
      0x4dfedff6, 0xd19712b0, 0xfec02c0f, 0x00000ff9, 
      0x4bfeeff6, 0xe1981290, 0xfec02d0f, 0x00000ff9, 
      0x4afedff6, 0x01981280, 0xfec02e10, 0x00000ff9, 
      0x49fedff6, 0x21981260, 0xfec02f10, 0x00000ff9, 
      0x47fedff7, 0x41981240, 0xfec03010, 0x00000ff9, 
      0x46fedff7, 0x61981220, 0xfec03110, 0x00000ff9, 
      0x44fedff6, 0x81991210, 0xfec03310, 0x00000ff8, 
      0x43fedff7, 0x919911f0, 0xfec03410, 0x00000ff8, 
      0x42fedff7, 0xb19911d0, 0xfec03510, 0x00000ff8, 
      0x40fedff8, 0xd19911b0, 0xfec03610, 0x00000ff8, 
      0x3ffedff7, 0xf19911a0, 0xfec03710, 0x00000ff8, 
      0x3efecff7, 0x11991180, 0xfec03911, 0x00000ff8, 
      0x3dfecff8, 0x21991160, 0xfec03a11, 0x00000ff8, 
      0x3bfedff8, 0x41991140, 0xfec03b11, 0x00000ff8, 
      0x3afecff8, 0x61991120, 0xfec03d11, 0x00000ff8, 
      0x39fecff8, 0x81991110, 0xfec03e11, 0x00000ff7, 
      0x37fecff8, 0xa19910f0, 0xfed03f11, 0x00000ff7, 
      0x36fecff9, 0xb19910d0, 0xfed04011, 0x00000ff7, 
      0x35fecff8, 0xd19910b0, 0xfed04211, 0x00000ff7, 
      0x34fecff8, 0xf1991090, 0xfed04311, 0x00000ff7, 
      0x33febff8, 0x11991080, 0xfed04412, 0x00000ff7, 
      0x31fecff9, 0x21981060, 0xfed04612, 0x00000ff7, 
      0x30fecff9, 0x41981040, 0xfed04712, 0x00000ff7, 
      0x2ffecff8, 0x61981020, 0xfed04912, 0x00000ff7, 
      0x2efecff9, 0x81981000, 0xfed04a12, 0x00000ff6, 
      0x2dfecff9, 0x91980fe0, 0xfee04b12, 0x00000ff6, 
      0x2cfebff9, 0xb1970fd0, 0xfee04d12, 0x00000ff6, 
      0x2afecff9, 0xd1970fb0, 0xfee04e12, 0x00000ff6, 
      0x29fecff9, 0xe1970f90, 0xfee05012, 0x00000ff6, 
      0x28fecff9, 0x01970f70, 0xfee05113, 0x00000ff6, 
      0x27fecffa, 0x21960f50, 0xfee05213, 0x00000ff6, 
      0x26fecff9, 0x31960f30, 0xfef05413, 0x00000ff6, 
      0x25fecffa, 0x51960f10, 0xfef05513, 0x00000ff5, 
      0x24fecff9, 0x71950f00, 0xfef05713, 0x00000ff5, 
      0x23fecffa, 0x81950ee0, 0xfef05813, 0x00000ff5, 
      0x22fecffa, 0xa1940ec0, 0xfef05a13, 0x00000ff5, 
      0x21fecff9, 0xc1940ea0, 0xff005b13, 0x00000ff5, 
      0x20febffa, 0xd1940e80, 0xff005d13, 0x00000ff5, 
      0x1ffecffa, 0xf1930e60, 0xff005e13, 0x00000ff5, 
      0x1efecffa, 0x01930e40, 0xff006014, 0x00000ff5, 
      0x1dfecffb, 0x21920e20, 0xff106114, 0x00000ff4, 
      0x1bfecffa, 0x41920e10, 0xff106314, 0x00000ff4, 
      0x1bfecffa, 0x51910df0, 0xff106514, 0x00000ff4, 
      0x1afecffa, 0x71900dd0, 0xff206614, 0x00000ff4, 
      0x19fecffa, 0x81900db0, 0xff206814, 0x00000ff4, 
      0x18fecffb, 0xa18f0d90, 0xff206914, 0x00000ff4, 
      0x17fecffb, 0xb18f0d70, 0xff206b14, 0x00000ff4, 
      0x16fedffb, 0xd18e0d50, 0xff306c14, 0x00000ff3, 
      0x16fedffb, 0xe18d0d30, 0xff306e14, 0x00000ff3, 
      0x14fedffa, 0x018d0d20, 0xff307015, 0x00000ff3, 
      0x13fedffb, 0x118c0d00, 0xff407115, 0x00000ff3, 
      0x12fedffb, 0x318b0ce0, 0xff407315, 0x00000ff3, 
      0x12fecffb, 0x418b0cc0, 0xff407515, 0x00000ff3, 
      0x11fecffb, 0x618a0ca0, 0xff507615, 0x00000ff3, 
      0x10fedffc, 0x71890c80, 0xff507815, 0x00000ff2, 
      0x0ffeeffc, 0x81880c60, 0xff607915, 0x00000ff2, 
      0x0efedffc, 0xa1880c40, 0xff607b15, 0x00000ff2, 
      0x0efedffb, 0xb1870c30, 0xff607d15, 0x00000ff2, 
      0x0dfedffb, 0xd1860c10, 0xff707e15, 0x00000ff2, 
      0x0cfedffc, 0xe1850bf0, 0xff708015, 0x00000ff2, 
      0x0bfeeffb, 0xf1840bd0, 0xff808215, 0x00000ff2, 
      0x0afeeffb, 0x11830bb0, 0xff808416, 0x00000ff2, 
      0x0afeeffc, 0x21820ba0, 0xff808516, 0x00000ff1, 
      0x09feeffc, 0x31820b70, 0xff908716, 0x00000ff1, 
      0x08feeffb, 0x51810b60, 0xff908916, 0x00000ff1, 
      0x07feeffc, 0x61800b40, 0xffa08a16, 0x00000ff1, 
      0x07feeffc, 0x717f0b20, 0xffa08c16, 0x00000ff1, 
      0x06feeffc, 0x817e0b00, 0xffb08e16, 0x00000ff1, 
      0x05feeffc, 0xa17d0ae0, 0xffb09016, 0x00000ff1, 
      0x05fefffc, 0xb17c0ac0, 0xffc09116, 0x00000ff0, 
      0x04fefffd, 0xc17b0aa0, 0xffc09316, 0x00000ff0, 
      0x03fefffc, 0xd17a0a90, 0xffd09516, 0x00000ff0, 
      0x03fefffc, 0xe1790a70, 0xffd09716, 0x00000ff0, 
      0x02fefffd, 0x01770a50, 0xffe09817, 0x00000ff0, 
      0x02fefffc, 0x11760a30, 0xfff09a17, 0x00000ff0, 
      0x01fefffd, 0x21750a10, 0xfff09c17, 0x00000ff0, 
      0x00fefffc, 0x31740a00, 0x00009e17, 0x00000ff0,
   },
   { /* Y scale factor = 0.41, phases = 127, taps = 9. */
      0x9affbfef, 0xd17c17b0, 0xfefffc09, 0x00000ffd, 
      0x99ffaff0, 0xf17d1790, 0xfefffc09, 0x00000ffd, 
      0x97ffafef, 0x117e1780, 0xfefffd0a, 0x00000ffd, 
      0x96ffaff0, 0x217f1770, 0xfeeffd0a, 0x00000ffd, 
      0x94ff9ff0, 0x41801760, 0xfeeffe0a, 0x00000ffd, 
      0x92ff8ff0, 0x61821740, 0xfeefff0a, 0x00000ffd, 
      0x90ff8ff0, 0x81831730, 0xfeefff0a, 0x00000ffd, 
      0x8eff7ff0, 0xa1841720, 0xfee0000a, 0x00000ffd, 
      0x8cff7ff0, 0xc1851710, 0xfee0000a, 0x00000ffd, 
      0x8bff6ff0, 0xe18616f0, 0xfee0010a, 0x00000ffd, 
      0x89ff6ff0, 0x018716e0, 0xfed0020b, 0x00000ffd, 
      0x87ff5ff0, 0x218816d0, 0xfed0030b, 0x00000ffd, 
      0x85ff5ff1, 0x418916b0, 0xfed0030b, 0x00000ffd, 
      0x83ff5ff1, 0x618a16a0, 0xfed0040b, 0x00000ffc, 
      0x82ff4ff1, 0x718b1690, 0xfed0050b, 0x00000ffc, 
      0x80ff4ff2, 0x918c1670, 0xfed0050b, 0x00000ffc, 
      0x7eff3ff2, 0xb18d1660, 0xfed0060b, 0x00000ffc, 
      0x7cff3ff2, 0xd18e1640, 0xfed0070b, 0x00000ffc, 
      0x7bff3ff1, 0xf18f1630, 0xfec0080b, 0x00000ffc, 
      0x79ff3ff2, 0x118f1620, 0xfec0080c, 0x00000ffc, 
      0x77ff2ff3, 0x31901600, 0xfec0090c, 0x00000ffc, 
      0x75ff2ff2, 0x519115f0, 0xfec00a0c, 0x00000ffc, 
      0x74ff1ff2, 0x719215d0, 0xfec00b0c, 0x00000ffc, 
      0x72ff0ff2, 0x919315c0, 0xfec00c0c, 0x00000ffc, 
      0x70ff1ff2, 0xb19415a0, 0xfec00c0c, 0x00000ffc, 
      0x6fff0ff3, 0xd1941580, 0xfec00d0c, 0x00000ffc, 
      0x6dff0ff3, 0xf1951570, 0xfeb00e0c, 0x00000ffc, 
      0x6bff0ff3, 0x11961550, 0xfeb00f0d, 0x00000ffc, 
      0x6afefff3, 0x31971540, 0xfeb0100d, 0x00000ffb, 
      0x68fefff4, 0x51971520, 0xfeb0110d, 0x00000ffb, 
      0x66fefff3, 0x71981510, 0xfeb0120d, 0x00000ffb, 
      0x65feeff3, 0x919914f0, 0xfeb0130d, 0x00000ffb, 
      0x63fefff4, 0xb19914d0, 0xfeb0130d, 0x00000ffb, 
      0x62fedff4, 0xd19a14c0, 0xfeb0140d, 0x00000ffb, 
      0x60feeff4, 0xf19a14a0, 0xfeb0150d, 0x00000ffb, 
      0x5efeeff5, 0x019b1480, 0xfeb0160e, 0x00000ffb, 
      0x5dfedff4, 0x219c1470, 0xfeb0170e, 0x00000ffb, 
      0x5bfeeff5, 0x419c1450, 0xfea0180e, 0x00000ffb, 
      0x5afedff5, 0x619d1430, 0xfea0190e, 0x00000ffb, 
      0x58fedff5, 0x819d1420, 0xfea01a0e, 0x00000ffb, 
      0x57fecff6, 0xa19e1400, 0xfea01b0e, 0x00000ffa, 
      0x55fedff6, 0xc19e13e0, 0xfea01c0e, 0x00000ffa, 
      0x54fecff6, 0xe19e13d0, 0xfea01d0e, 0x00000ffa, 
      0x52fecff6, 0x019f13b0, 0xfea01e0f, 0x00000ffa, 
      0x51fecff6, 0x219f1390, 0xfea01f0f, 0x00000ffa, 
      0x4ffecff5, 0x41a01370, 0xfea0210f, 0x00000ffa, 
      0x4efebff5, 0x61a01360, 0xfea0220f, 0x00000ffa, 
      0x4cfebff6, 0x81a01340, 0xfea0230f, 0x00000ffa, 
      0x4afebff6, 0xa1a11320, 0xfea0240f, 0x00000ffa, 
      0x49febff6, 0xc1a11300, 0xfea0250f, 0x00000ffa, 
      0x48feaff6, 0xe1a112f0, 0xfea0260f, 0x00000ffa, 
      0x46febff7, 0x01a112d0, 0xfea02710, 0x00000ff9, 
      0x45febff6, 0x21a212b0, 0xfea02810, 0x00000ff9, 
      0x43febff6, 0x41a21290, 0xfea02a10, 0x00000ff9, 
      0x42feaff7, 0x61a21270, 0xfea02b10, 0x00000ff9, 
      0x41feaff7, 0x71a21260, 0xfea02c10, 0x00000ff9, 
      0x3ffeaff8, 0x91a21240, 0xfea02d10, 0x00000ff9, 
      0x3efeaff7, 0xb1a31220, 0xfea02e10, 0x00000ff9, 
      0x3cfeaff7, 0xd1a31200, 0xfea03010, 0x00000ff9, 
      0x3bfeaff7, 0xf1a311e0, 0xfea03110, 0x00000ff9, 
      0x3afeaff8, 0x11a311c0, 0xfea03211, 0x00000ff8, 
      0x39feaff8, 0x31a311a0, 0xfea03311, 0x00000ff8, 
      0x37feaff7, 0x51a31190, 0xfea03511, 0x00000ff8, 
      0x36fe9ff8, 0x71a31170, 0xfea03611, 0x00000ff8, 
      0x35fe9ff8, 0x91a31150, 0xfea03711, 0x00000ff8, 
      0x33feaff8, 0xa1a31130, 0xfea03911, 0x00000ff8, 
      0x32feaff8, 0xc1a31110, 0xfea03a11, 0x00000ff8, 
      0x31feaff8, 0xe1a310f0, 0xfea03b11, 0x00000ff8, 
      0x30fe9ff8, 0x01a310d0, 0xfea03d12, 0x00000ff8, 
      0x2efeaff9, 0x21a310b0, 0xfea03e12, 0x00000ff7, 
      0x2efeaff9, 0x41a21090, 0xfea03f12, 0x00000ff7, 
      0x2cfeaff9, 0x61a21070, 0xfea04112, 0x00000ff7, 
      0x2bfeaff9, 0x71a21060, 0xfea04212, 0x00000ff7, 
      0x2afe9ff9, 0x91a21040, 0xfeb04312, 0x00000ff7, 
      0x28fe9ff9, 0xb1a21020, 0xfeb04512, 0x00000ff7, 
      0x27feaff9, 0xd1a11000, 0xfeb04612, 0x00000ff7, 
      0x26feaff9, 0xf1a10fe0, 0xfeb04812, 0x00000ff6, 
      0x25feaffa, 0x01a10fc0, 0xfeb04913, 0x00000ff6, 
      0x24feaff9, 0x21a10fa0, 0xfeb04b13, 0x00000ff6, 
      0x23feaffa, 0x41a00f80, 0xfeb04c13, 0x00000ff6, 
      0x22feaff9, 0x61a00f60, 0xfeb04e13, 0x00000ff6, 
      0x21fe9ffa, 0x71a00f40, 0xfec04f13, 0x00000ff6, 
      0x1ffeaffa, 0x919f0f20, 0xfec05113, 0x00000ff6, 
      0x1efeaffa, 0xb19f0f00, 0xfec05213, 0x00000ff6, 
      0x1dfeaffb, 0xd19e0ee0, 0xfec05413, 0x00000ff5, 
      0x1cfebffb, 0xe19e0ec0, 0xfec05513, 0x00000ff5, 
      0x1bfeaffb, 0x019e0ea0, 0xfec05714, 0x00000ff5, 
      0x1afeaffb, 0x219d0e80, 0xfed05814, 0x00000ff5, 
      0x19feaffb, 0x319d0e60, 0xfed05a14, 0x00000ff5, 
      0x18febffb, 0x519c0e40, 0xfed05b14, 0x00000ff5, 
      0x17febffa, 0x719c0e20, 0xfed05d14, 0x00000ff5, 
      0x17febffb, 0x819b0e10, 0xfed05e14, 0x00000ff4, 
      0x15febffb, 0xa19a0df0, 0xfee06014, 0x00000ff4, 
      0x14feaffb, 0xc19a0dd0, 0xfee06214, 0x00000ff4, 
      0x13febffc, 0xd1990db0, 0xfee06314, 0x00000ff4, 
      0x13feaffb, 0xf1990d90, 0xfee06514, 0x00000ff4, 
      0x11febffb, 0x11980d70, 0xfef06615, 0x00000ff4, 
      0x11febffb, 0x21970d50, 0xfef06815, 0x00000ff4, 
      0x10febffb, 0x41970d30, 0xfef06a15, 0x00000ff3, 
      0x0ffebffc, 0x51960d10, 0xff006b15, 0x00000ff3, 
      0x0efebffc, 0x71950cf0, 0xff006d15, 0x00000ff3, 
      0x0dfecffc, 0x81940cd0, 0xff006f15, 0x00000ff3, 
      0x0cfecffb, 0xa1940cb0, 0xff107015, 0x00000ff3, 
      0x0cfebffb, 0xc1930c90, 0xff107215, 0x00000ff3, 
      0x0bfecffc, 0xd1920c70, 0xff107415, 0x00000ff2, 
      0x0afecffc, 0xf1910c50, 0xff207515, 0x00000ff2, 
      0x09fecffd, 0x01900c30, 0xff207716, 0x00000ff2, 
      0x08fedffd, 0x118f0c10, 0xff207916, 0x00000ff2, 
      0x07fecffc, 0x318f0bf0, 0xff307b16, 0x00000ff2, 
      0x07fedffc, 0x418e0bd0, 0xff307c16, 0x00000ff2, 
      0x06fedffc, 0x618d0bb0, 0xff307e16, 0x00000ff2, 
      0x05fedffd, 0x718c0b90, 0xff408016, 0x00000ff1, 
      0x05fedffc, 0x918b0b70, 0xff408216, 0x00000ff1, 
      0x04fedffc, 0xa18a0b60, 0xff508316, 0x00000ff1, 
      0x03fedffd, 0xb1890b40, 0xff508516, 0x00000ff1, 
      0x02fedffc, 0xd1880b20, 0xff608716, 0x00000ff1, 
      0x02fedffc, 0xe1870b00, 0xff608916, 0x00000ff1, 
      0x01feeffd, 0xf1860ae0, 0xff608b16, 0x00000ff0, 
      0x00feeffd, 0x11850ac0, 0xff708c17, 0x00000ff0, 
      0x00feeffd, 0x21840aa0, 0xff708e17, 0x00000ff0, 
      0xfffeeffd, 0x31830a8f, 0xff809017, 0x00000ff0, 
      0xfffeeffd, 0x41820a6f, 0xff809217, 0x00000ff0, 
      0xfefeeffd, 0x61800a4f, 0xff909417, 0x00000ff0, 
      0xfdfefffe, 0x717f0a2f, 0xff909517, 0x00000ff0, 
      0xfdfefffd, 0x817e0a1f, 0xffa09717, 0x00000fef, 
      0xfcfefffe, 0x917d09ff, 0xffa09917, 0x00000fef, 
      0xfcfeeffd, 0xb17c09df, 0xffb09b17, 0x00000fef,
   },
   { /* Y scale factor = 0.42, phases = 127, taps = 9. */
      0x98ff6fef, 0xa1831820, 0xfefff709, 0x00000ffe, 
      0x96ff6fef, 0xc1851810, 0xfeeff709, 0x00000ffe, 
      0x94ff5fef, 0xe1861800, 0xfeeff809, 0x00000ffe, 
      0x92ff5fef, 0x018717e0, 0xfeeff90a, 0x00000ffe, 
      0x90ff4ff0, 0x218817d0, 0xfeeff90a, 0x00000ffe, 
      0x8eff3fef, 0x418a17c0, 0xfeeffa0a, 0x00000ffe, 
      0x8cff3ff0, 0x618b17a0, 0xfeeffa0a, 0x00000ffe, 
      0x8bff3ff0, 0x718c1790, 0xfedffb0a, 0x00000ffe, 
      0x89ff2ff0, 0x918d1780, 0xfedffc0a, 0x00000ffe, 
      0x87ff3ff1, 0xb18e1760, 0xfedffc0a, 0x00000ffd, 
      0x85ff2ff1, 0xd18f1750, 0xfedffd0a, 0x00000ffd, 
      0x83ff2ff1, 0xf1901730, 0xfedffe0a, 0x00000ffd, 
      0x82ff1ff1, 0x11911720, 0xfedffe0b, 0x00000ffd, 
      0x80ff0ff2, 0x31921710, 0xfecfff0b, 0x00000ffd, 
      0x7eff0ff2, 0x519316f0, 0xfec0000b, 0x00000ffd, 
      0x7cff0ff2, 0x719416e0, 0xfec0000b, 0x00000ffd, 
      0x7aff0ff2, 0x919516c0, 0xfec0010b, 0x00000ffd, 
      0x78fefff2, 0xb19616b0, 0xfec0020b, 0x00000ffd, 
      0x77fefff2, 0xd1971690, 0xfec0020b, 0x00000ffd, 
      0x74feeff2, 0x01981680, 0xfec0030c, 0x00000ffd, 
      0x73feeff2, 0x21991660, 0xfeb0040c, 0x00000ffd, 
      0x71fedff2, 0x419a1650, 0xfeb0050c, 0x00000ffd, 
      0x6ffedff2, 0x619b1630, 0xfeb0060c, 0x00000ffd, 
      0x6efedff3, 0x819c1610, 0xfeb0060c, 0x00000ffc, 
      0x6cfedff2, 0xa19d1600, 0xfeb0070c, 0x00000ffc, 
      0x6afecff4, 0xc19d15e0, 0xfeb0080c, 0x00000ffc, 
      0x69fecff3, 0xe19e15c0, 0xfeb0090c, 0x00000ffc, 
      0x67fecff3, 0x019f15b0, 0xfea00a0d, 0x00000ffc, 
      0x65fecff3, 0x21a01590, 0xfea00b0d, 0x00000ffc, 
      0x63fecff4, 0x41a01580, 0xfea00b0d, 0x00000ffc, 
      0x62febff4, 0x61a11560, 0xfea00c0d, 0x00000ffc, 
      0x60febff4, 0x81a21540, 0xfea00d0d, 0x00000ffc, 
      0x5efebff4, 0xa1a31520, 0xfea00e0d, 0x00000ffc, 
      0x5dfeaff4, 0xc1a31510, 0xfea00f0d, 0x00000ffc, 
      0x5bfeaff5, 0xe1a414f0, 0xfe90100d, 0x00000ffc, 
      0x5afeaff5, 0x01a414d0, 0xfe90110e, 0x00000ffc, 
      0x58feaff5, 0x21a514c0, 0xfe90120e, 0x00000ffb, 
      0x56feaff5, 0x41a614a0, 0xfe90130e, 0x00000ffb, 
      0x55feaff5, 0x61a61480, 0xfe90140e, 0x00000ffb, 
      0x53fe9ff6, 0x81a71460, 0xfe90150e, 0x00000ffb, 
      0x52fe9ff6, 0xa1a71440, 0xfe90160e, 0x00000ffb, 
      0x50fe9ff5, 0xc1a81430, 0xfe90170e, 0x00000ffb, 
      0x4efe9ff5, 0xf1a81410, 0xfe90180e, 0x00000ffb, 
      0x4dfe8ff5, 0x11a913f0, 0xfe90190f, 0x00000ffb, 
      0x4bfe9ff6, 0x31a913d0, 0xfe801a0f, 0x00000ffb, 
      0x4afe9ff6, 0x51a913b0, 0xfe801b0f, 0x00000ffb, 
      0x48fe8ff7, 0x71aa1390, 0xfe801c0f, 0x00000ffb, 
      0x47fe8ff7, 0x91aa1380, 0xfe801d0f, 0x00000ffa, 
      0x45fe9ff7, 0xb1aa1360, 0xfe801e0f, 0x00000ffa, 
      0x44fe8ff7, 0xd1ab1340, 0xfe801f0f, 0x00000ffa, 
      0x42fe8ff7, 0xf1ab1320, 0xfe80210f, 0x00000ffa, 
      0x41fe8ff7, 0x11ab1300, 0xfe802210, 0x00000ffa, 
      0x40fe7ff7, 0x31ac12e0, 0xfe802310, 0x00000ffa, 
      0x3efe8ff7, 0x51ac12c0, 0xfe802410, 0x00000ffa, 
      0x3dfe8ff7, 0x71ac12a0, 0xfe802510, 0x00000ffa, 
      0x3bfe8ff8, 0x91ac1280, 0xfe802610, 0x00000ffa, 
      0x3afe8ff7, 0xb1ac1270, 0xfe802810, 0x00000ff9, 
      0x39fe8ff7, 0xd1ac1250, 0xfe802910, 0x00000ff9, 
      0x37fe7ff8, 0xf1ad1230, 0xfe802a10, 0x00000ff9, 
      0x36fe7ff8, 0x11ad1210, 0xfe802b11, 0x00000ff9, 
      0x34fe7ff8, 0x31ad11f0, 0xfe802d11, 0x00000ff9, 
      0x33fe7ff8, 0x51ad11d0, 0xfe802e11, 0x00000ff9, 
      0x32fe7ff8, 0x71ad11b0, 0xfe802f11, 0x00000ff9, 
      0x30fe8ff8, 0x91ad1190, 0xfe803011, 0x00000ff9, 
      0x2ffe7ff8, 0xb1ad1170, 0xfe803211, 0x00000ff9, 
      0x2efe8ff8, 0xd1ad1150, 0xfe803311, 0x00000ff8, 
      0x2dfe8ff8, 0xf1ad1130, 0xfe803411, 0x00000ff8, 
      0x2bfe7ff9, 0x11ad1110, 0xfe803612, 0x00000ff8, 
      0x2afe7ff9, 0x31ad10f0, 0xfe803712, 0x00000ff8, 
      0x29fe7ff9, 0x51ac10d0, 0xfe803912, 0x00000ff8, 
      0x28fe7ff9, 0x71ac10b0, 0xfe803a12, 0x00000ff8, 
      0x26fe8ffa, 0x81ac1090, 0xfe803b12, 0x00000ff8, 
      0x25fe8ffa, 0xa1ac1070, 0xfe803d12, 0x00000ff7, 
      0x24fe8ffa, 0xc1ac1050, 0xfe803e12, 0x00000ff7, 
      0x23fe8ff9, 0xe1ac1030, 0xfe804012, 0x00000ff7, 
      0x22fe8ffa, 0x01ab1010, 0xfe804113, 0x00000ff7, 
      0x21fe8ffa, 0x21ab0ff0, 0xfe804213, 0x00000ff7, 
      0x1ffe8ffa, 0x41ab0fd0, 0xfe804413, 0x00000ff7, 
      0x1efe8ffb, 0x61aa0fb0, 0xfe804513, 0x00000ff7, 
      0x1dfe8ffa, 0x81aa0f90, 0xfe804713, 0x00000ff7, 
      0x1cfe9ffb, 0x91aa0f70, 0xfe804813, 0x00000ff6, 
      0x1bfe8ffb, 0xb1a90f50, 0xfe904a13, 0x00000ff6, 
      0x1afe8ffb, 0xd1a90f30, 0xfe904b13, 0x00000ff6, 
      0x19fe8ffa, 0xf1a90f10, 0xfe904d13, 0x00000ff6, 
      0x18fe9ffa, 0x11a80ef0, 0xfe904e14, 0x00000ff6, 
      0x17fe9ffa, 0x31a80ec0, 0xfe905014, 0x00000ff6, 
      0x16fe9ffc, 0x41a70ea0, 0xfe905214, 0x00000ff5, 
      0x15fe9ffc, 0x61a70e80, 0xfe905314, 0x00000ff5, 
      0x14fe9ffb, 0x81a60e60, 0xfea05514, 0x00000ff5, 
      0x13fe9ffb, 0xa1a60e40, 0xfea05614, 0x00000ff5, 
      0x12fe9ffb, 0xc1a50e20, 0xfea05814, 0x00000ff5, 
      0x11fe9ffc, 0xd1a40e00, 0xfea05a14, 0x00000ff5, 
      0x10fe9ffc, 0xf1a40de0, 0xfea05b14, 0x00000ff5, 
      0x0ffeaffb, 0x11a30dc0, 0xfeb05d15, 0x00000ff4, 
      0x0efeaffc, 0x21a30da0, 0xfeb05e15, 0x00000ff4, 
      0x0dfeaffc, 0x41a20d80, 0xfeb06015, 0x00000ff4, 
      0x0cfeaffc, 0x61a10d60, 0xfeb06215, 0x00000ff4, 
      0x0bfeaffd, 0x81a00d40, 0xfeb06315, 0x00000ff4, 
      0x0afeaffc, 0x91a00d20, 0xfec06515, 0x00000ff4, 
      0x0afeaffc, 0xb19f0d00, 0xfec06715, 0x00000ff3, 
      0x09febffc, 0xc19e0ce0, 0xfec06915, 0x00000ff3, 
      0x08febffd, 0xe19d0cc0, 0xfec06a15, 0x00000ff3, 
      0x07feaffc, 0x019d0ca0, 0xfed06c16, 0x00000ff3, 
      0x06febffc, 0x119c0c80, 0xfed06e16, 0x00000ff3, 
      0x06febffc, 0x319b0c60, 0xfed06f16, 0x00000ff3, 
      0x05febffc, 0x519a0c40, 0xfee07116, 0x00000ff2, 
      0x04febffd, 0x61990c20, 0xfee07316, 0x00000ff2, 
      0x03fecffc, 0x81980c00, 0xfee07516, 0x00000ff2, 
      0x02fecffd, 0x91970bd0, 0xfef07716, 0x00000ff2, 
      0x02fecffd, 0xb1960bb0, 0xfef07816, 0x00000ff2, 
      0x01fecffd, 0xc1950ba0, 0xfef07a16, 0x00000ff2, 
      0x00fecffe, 0xe1940b70, 0xff007c16, 0x00000ff1, 
      0x00fecffe, 0xf1930b50, 0xff007e16, 0x00000ff1, 
      0xfffecffe, 0x11920b3f, 0xff008017, 0x00000ff1, 
      0xfefedffe, 0x21910b1f, 0xff108117, 0x00000ff1, 
      0xfefedffe, 0x31900aff, 0xff108317, 0x00000ff1, 
      0xfdfedffd, 0x518f0adf, 0xff208517, 0x00000ff1, 
      0xfcfeeffe, 0x618e0abf, 0xff208717, 0x00000ff0, 
      0xfcfedffd, 0x818d0a9f, 0xff308917, 0x00000ff0, 
      0xfbfedffe, 0x918c0a7f, 0xff308b17, 0x00000ff0, 
      0xfafeeffe, 0xa18b0a6f, 0xff308c17, 0x00000ff0, 
      0xfafedffd, 0xc18a0a4f, 0xff408e17, 0x00000ff0, 
      0xf9feeffe, 0xd1880a2f, 0xff409017, 0x00000ff0, 
      0xf9feeffe, 0xe1870a0f, 0xff509217, 0x00000fef, 
      0xf8feeffe, 0x018609ef, 0xff509418, 0x00000fef, 
      0xf7feeffe, 0x118509cf, 0xff609618, 0x00000fef, 
      0xf7fefffe, 0x218309af, 0xff609818, 0x00000fef,
   },
   { /* Y scale factor = 0.43, phases = 127, taps = 9. */
      0x94ff2fef, 0x618b18a0, 0xfefff209, 0x00000fff, 
      0x93ff2fef, 0x818c1880, 0xfeeff309, 0x00000fff, 
      0x91ff1fef, 0xa18e1870, 0xfeeff309, 0x00000fff, 
      0x8eff0fef, 0xd18f1860, 0xfeeff409, 0x00000fff, 
      0x8dff0fef, 0xf1901840, 0xfeeff409, 0x00000fff, 
      0x8bfeffef, 0x11921830, 0xfeeff50a, 0x00000ffe, 
      0x89feffef, 0x31931820, 0xfedff60a, 0x00000ffe, 
      0x87fefff0, 0x51941800, 0xfedff60a, 0x00000ffe, 
      0x85feeff0, 0x719517f0, 0xfedff70a, 0x00000ffe, 
      0x83feeff1, 0x919617d0, 0xfedff70a, 0x00000ffe, 
      0x81fedff0, 0xb19817c0, 0xfedff80a, 0x00000ffe, 
      0x7ffedff1, 0xd19917a0, 0xfecff90a, 0x00000ffe, 
      0x7dfedff1, 0xf19a1790, 0xfecff90a, 0x00000ffe, 
      0x7bfecff2, 0x119b1770, 0xfecffa0b, 0x00000ffe, 
      0x79fecff1, 0x319c1760, 0xfecffb0b, 0x00000ffe, 
      0x78fecff1, 0x519d1740, 0xfecffb0b, 0x00000ffe, 
      0x76febff1, 0x719e1730, 0xfecffc0b, 0x00000ffe, 
      0x74febff2, 0x919f1710, 0xfebffd0b, 0x00000ffe, 
      0x72febff3, 0xb1a016f0, 0xfebffd0b, 0x00000ffe, 
      0x70feaff2, 0xe1a116e0, 0xfebffe0b, 0x00000ffe, 
      0x6efeaff3, 0x01a216c0, 0xfebfff0c, 0x00000ffd, 
      0x6dfeaff2, 0x21a316a0, 0xfeb0000c, 0x00000ffd, 
      0x6bfeaff3, 0x41a41690, 0xfea0000c, 0x00000ffd, 
      0x69fe9ff4, 0x61a51670, 0xfea0010c, 0x00000ffd, 
      0x67fe9ff4, 0x81a61650, 0xfea0020c, 0x00000ffd, 
      0x66fe8ff3, 0xa1a71640, 0xfea0030c, 0x00000ffd, 
      0x64fe9ff4, 0xc1a71620, 0xfea0030c, 0x00000ffd, 
      0x62fe8ff4, 0xf1a81600, 0xfea0040c, 0x00000ffd, 
      0x60fe8ff4, 0x11a915f0, 0xfe90050d, 0x00000ffd, 
      0x5ffe7ff4, 0x31aa15d0, 0xfe90060d, 0x00000ffd, 
      0x5dfe7ff4, 0x51ab15b0, 0xfe90070d, 0x00000ffd, 
      0x5bfe8ff4, 0x71ab1590, 0xfe90080d, 0x00000ffd, 
      0x59fe7ff5, 0x91ac1570, 0xfe90090d, 0x00000ffd, 
      0x58fe7ff4, 0xb1ad1560, 0xfe900a0d, 0x00000ffc, 
      0x56fe8ff6, 0xd1ad1540, 0xfe800a0d, 0x00000ffc, 
      0x54fe7ff6, 0x01ae1520, 0xfe800b0e, 0x00000ffc, 
      0x53fe7ff5, 0x21af1500, 0xfe800c0e, 0x00000ffc, 
      0x51fe7ff6, 0x41af14e0, 0xfe800d0e, 0x00000ffc, 
      0x50fe6ff6, 0x61b014c0, 0xfe800e0e, 0x00000ffc, 
      0x4efe6ff6, 0x81b014b0, 0xfe800f0e, 0x00000ffc, 
      0x4cfe6ff6, 0xa1b11490, 0xfe80100e, 0x00000ffc, 
      0x4bfe6ff7, 0xc1b11470, 0xfe70110e, 0x00000ffc, 
      0x49fe6ff6, 0xf1b21450, 0xfe70120e, 0x00000ffc, 
      0x48fe6ff6, 0x11b21430, 0xfe70130f, 0x00000ffc, 
      0x46fe6ff7, 0x31b31410, 0xfe70140f, 0x00000ffb, 
      0x45fe6ff7, 0x51b313f0, 0xfe70150f, 0x00000ffb, 
      0x43fe6ff7, 0x71b413d0, 0xfe70160f, 0x00000ffb, 
      0x41fe6ff7, 0x91b413b0, 0xfe70180f, 0x00000ffb, 
      0x40fe6ff7, 0xb1b41390, 0xfe70190f, 0x00000ffb, 
      0x3efe6ff7, 0xd1b51370, 0xfe701a0f, 0x00000ffb, 
      0x3dfe6ff7, 0x01b51350, 0xfe601b10, 0x00000ffb, 
      0x3bfe6ff8, 0x21b51330, 0xfe601c10, 0x00000ffb, 
      0x3afe5ff8, 0x41b61310, 0xfe601d10, 0x00000ffb, 
      0x39fe6ff8, 0x61b612f0, 0xfe601e10, 0x00000ffa, 
      0x37fe5ff9, 0x81b612d0, 0xfe602010, 0x00000ffa, 
      0x36fe5ff9, 0xa1b612b0, 0xfe602110, 0x00000ffa, 
      0x34fe6ff9, 0xc1b61290, 0xfe602210, 0x00000ffa, 
      0x33fe6ff9, 0xe1b61270, 0xfe602310, 0x00000ffa, 
      0x32fe5ff9, 0x01b71250, 0xfe602411, 0x00000ffa, 
      0x30fe5ff8, 0x31b71230, 0xfe602611, 0x00000ffa, 
      0x2ffe5ff8, 0x51b71210, 0xfe602711, 0x00000ffa, 
      0x2dfe5ff9, 0x71b711f0, 0xfe602811, 0x00000ffa, 
      0x2cfe5ff9, 0x91b711d0, 0xfe602a11, 0x00000ff9, 
      0x2bfe5ff9, 0xb1b711b0, 0xfe602b11, 0x00000ff9, 
      0x2afe6ff9, 0xd1b71190, 0xfe502c11, 0x00000ff9, 
      0x28fe6ffa, 0xf1b71170, 0xfe502d11, 0x00000ff9, 
      0x27fe6ff9, 0x11b71150, 0xfe502f12, 0x00000ff9, 
      0x26fe6ff9, 0x31b71130, 0xfe503012, 0x00000ff9, 
      0x24fe6ffa, 0x51b71100, 0xfe503212, 0x00000ff9, 
      0x24fe6ffb, 0x71b610e0, 0xfe503312, 0x00000ff8, 
      0x22fe6ffb, 0x91b610d0, 0xfe503412, 0x00000ff8, 
      0x21fe6ffb, 0xb1b610a0, 0xfe503612, 0x00000ff8, 
      0x20fe6ffb, 0xd1b61080, 0xfe503712, 0x00000ff8, 
      0x1efe6ffb, 0xf1b61060, 0xfe503912, 0x00000ff8, 
      0x1dfe6ffb, 0x11b61040, 0xfe503a13, 0x00000ff8, 
      0x1cfe7ffb, 0x31b51020, 0xfe503b13, 0x00000ff8, 
      0x1bfe6ffa, 0x51b51000, 0xfe603d13, 0x00000ff8, 
      0x1afe7ffb, 0x71b50fd0, 0xfe603e13, 0x00000ff7, 
      0x19fe7ffb, 0x91b40fb0, 0xfe604013, 0x00000ff7, 
      0x18fe7ffb, 0xb1b40f90, 0xfe604113, 0x00000ff7, 
      0x16fe7ffb, 0xd1b40f70, 0xfe604313, 0x00000ff7, 
      0x15fe7ffc, 0xf1b30f50, 0xfe604413, 0x00000ff7, 
      0x14fe7ffb, 0x11b30f30, 0xfe604614, 0x00000ff7, 
      0x13fe7ffc, 0x31b20f10, 0xfe604814, 0x00000ff6, 
      0x12fe7ffc, 0x51b20ef0, 0xfe604914, 0x00000ff6, 
      0x11fe8ffc, 0x71b10ec0, 0xfe604b14, 0x00000ff6, 
      0x10fe8ffc, 0x91b10ea0, 0xfe604c14, 0x00000ff6, 
      0x0ffe8ffc, 0xb1b00e80, 0xfe604e14, 0x00000ff6, 
      0x0efe8ffc, 0xc1b00e60, 0xfe605014, 0x00000ff6, 
      0x0dfe8ffd, 0xe1af0e40, 0xfe705114, 0x00000ff5, 
      0x0cfe8ffc, 0x01af0e20, 0xfe705315, 0x00000ff5, 
      0x0bfe8ffd, 0x21ae0e00, 0xfe705415, 0x00000ff5, 
      0x0afe9ffd, 0x41ad0dd0, 0xfe705615, 0x00000ff5, 
      0x0afe8ffc, 0x61ad0db0, 0xfe705815, 0x00000ff5, 
      0x09fe9ffd, 0x71ac0d90, 0xfe705915, 0x00000ff5, 
      0x08fe9ffd, 0x91ab0d70, 0xfe805b15, 0x00000ff4, 
      0x07fe9ffc, 0xb1ab0d50, 0xfe805d15, 0x00000ff4, 
      0x06fe9ffc, 0xd1aa0d30, 0xfe805f15, 0x00000ff4, 
      0x05fe9ffd, 0xf1a90d10, 0xfe806015, 0x00000ff4, 
      0x04feaffd, 0x01a80cf0, 0xfe806216, 0x00000ff4, 
      0x03feaffd, 0x21a70cc0, 0xfe906416, 0x00000ff4, 
      0x03fe9ffd, 0x41a70ca0, 0xfe906616, 0x00000ff3, 
      0x02feaffe, 0x51a60c80, 0xfe906716, 0x00000ff3, 
      0x01feaffe, 0x71a50c60, 0xfe906916, 0x00000ff3, 
      0x00feaffd, 0x91a40c40, 0xfea06b16, 0x00000ff3, 
      0x00feaffd, 0xa1a30c20, 0xfea06d16, 0x00000ff3, 
      0xfffebffd, 0xc1a20c0f, 0xfea06e16, 0x00000ff3, 
      0xfefebffe, 0xe1a10bef, 0xfea07016, 0x00000ff2, 
      0xfdfecffe, 0xf1a00bbf, 0xfeb07216, 0x00000ff2, 
      0xfdfebffe, 0x119f0b9f, 0xfeb07417, 0x00000ff2, 
      0xfcfecffd, 0x319e0b7f, 0xfeb07617, 0x00000ff2, 
      0xfbfecffd, 0x419d0b5f, 0xfec07817, 0x00000ff2, 
      0xfbfecffd, 0x619c0b3f, 0xfec07a17, 0x00000ff1, 
      0xfafedffe, 0x719b0b1f, 0xfec07b17, 0x00000ff1, 
      0xf9fecffe, 0x919a0aff, 0xfed07d17, 0x00000ff1, 
      0xf9fecffe, 0xa1990adf, 0xfed07f17, 0x00000ff1, 
      0xf8fecffe, 0xc1980abf, 0xfed08117, 0x00000ff1, 
      0xf7fedfff, 0xd1960a9f, 0xfee08317, 0x00000ff0, 
      0xf7fedffe, 0xf1950a7f, 0xfee08517, 0x00000ff0, 
      0xf6fedffe, 0x01940a5f, 0xfef08718, 0x00000ff0, 
      0xf5fedffe, 0x21930a3f, 0xfef08918, 0x00000ff0, 
      0xf4fedffe, 0x31920a1f, 0xff008b18, 0x00000ff0, 
      0xf4feeffe, 0x419009ff, 0xff008d18, 0x00000ff0, 
      0xf4feeffe, 0x618f09df, 0xff008f18, 0x00000fef, 
      0xf3feefff, 0x718e09af, 0xff109118, 0x00000fef, 
      0xf3feffff, 0x818c098f, 0xff109318, 0x00000fef, 
      0xf2feffff, 0xa18b096f, 0xff209418, 0x00000fef,
   },
   { /* Y scale factor = 0.44, phases = 127, taps = 9. */
      0x91fedfee, 0x31931910, 0xfeffee09, 0x00000000, 
      0x8ffedfef, 0x51941900, 0xfeefee09, 0x00000000, 
      0x8dfedff0, 0x719518e0, 0xfeefef09, 0x00000fff, 
      0x8bfecff0, 0x919718d0, 0xfeefef09, 0x00000fff, 
      0x89fecfef, 0xb19818c0, 0xfeeff009, 0x00000fff, 
      0x87febff0, 0xd19a18a0, 0xfeeff009, 0x00000fff, 
      0x85febff0, 0xf19b1890, 0xfedff109, 0x00000fff, 
      0x83feaff1, 0x219c1870, 0xfedff10a, 0x00000fff, 
      0x81feaff0, 0x419d1860, 0xfedff20a, 0x00000fff, 
      0x7ffeaff0, 0x619f1840, 0xfedff20a, 0x00000fff, 
      0x7dfe9ff0, 0x81a01830, 0xfedff30a, 0x00000fff, 
      0x7bfe9ff1, 0xa1a11810, 0xfecff40a, 0x00000fff, 
      0x79fe9ff2, 0xc1a217f0, 0xfecff40a, 0x00000fff, 
      0x77fe8ff2, 0xe1a317e0, 0xfecff50a, 0x00000fff, 
      0x75fe8ff2, 0x01a517c0, 0xfecff50b, 0x00000fff, 
      0x73fe7ff2, 0x31a617a0, 0xfecff60b, 0x00000fff, 
      0x71fe7ff2, 0x51a71790, 0xfebff70b, 0x00000fff, 
      0x6ffe8ff3, 0x71a81770, 0xfebff70b, 0x00000ffe, 
      0x6efe7ff3, 0x91a91750, 0xfebff80b, 0x00000ffe, 
      0x6cfe7ff2, 0xb1aa1740, 0xfebff90b, 0x00000ffe, 
      0x6afe6ff3, 0xe1ab1720, 0xfeaffa0b, 0x00000ffe, 
      0x68fe6ff4, 0x01ac1700, 0xfeaffa0c, 0x00000ffe, 
      0x66fe6ff3, 0x21ad16f0, 0xfeaffb0c, 0x00000ffe, 
      0x64fe6ff3, 0x41ae16d0, 0xfeaffc0c, 0x00000ffe, 
      0x62fe6ff3, 0x61af16b0, 0xfeaffd0c, 0x00000ffe, 
      0x61fe5ff4, 0x91b01690, 0xfe9ffd0c, 0x00000ffe, 
      0x5ffe5ff4, 0xb1b11670, 0xfe9ffe0c, 0x00000ffe, 
      0x5cfe5ff4, 0xd1b21660, 0xfe9fff0c, 0x00000ffe, 
      0x5bfe5ff4, 0xf1b21640, 0xfe90000c, 0x00000ffe, 
      0x59fe5ff4, 0x11b31620, 0xfe90010d, 0x00000ffe, 
      0x58fe5ff5, 0x41b41600, 0xfe80010d, 0x00000ffd, 
      0x56fe4ff6, 0x61b515e0, 0xfe80020d, 0x00000ffd, 
      0x54fe5ff6, 0x81b515c0, 0xfe80030d, 0x00000ffd, 
      0x53fe4ff6, 0xa1b615a0, 0xfe80040d, 0x00000ffd, 
      0x51fe4ff6, 0xc1b71580, 0xfe80050d, 0x00000ffd, 
      0x4ffe3ff5, 0xf1b81570, 0xfe80060d, 0x00000ffd, 
      0x4dfe4ff6, 0x11b81550, 0xfe70070e, 0x00000ffd, 
      0x4cfe3ff6, 0x31b91530, 0xfe70080e, 0x00000ffd, 
      0x4afe4ff6, 0x51b91510, 0xfe70090e, 0x00000ffd, 
      0x48fe3ff6, 0x81ba14f0, 0xfe700a0e, 0x00000ffd, 
      0x46fe3ff6, 0xa1bb14d0, 0xfe700b0e, 0x00000ffd, 
      0x45fe3ff7, 0xc1bb14b0, 0xfe700c0e, 0x00000ffc, 
      0x44fe3ff7, 0xe1bc1490, 0xfe600d0e, 0x00000ffc, 
      0x42fe3ff7, 0x11bc1470, 0xfe600e0f, 0x00000ffc, 
      0x40fe3ff7, 0x31bd1450, 0xfe600f0f, 0x00000ffc, 
      0x3ffe3ff7, 0x51bd1430, 0xfe60100f, 0x00000ffc, 
      0x3dfe3ff7, 0x71be1410, 0xfe60110f, 0x00000ffc, 
      0x3cfe3ff7, 0x91be13f0, 0xfe60120f, 0x00000ffc, 
      0x3afe3ff8, 0xc1be13d0, 0xfe50130f, 0x00000ffc, 
      0x39fe3ff8, 0xe1bf13a0, 0xfe50140f, 0x00000ffc, 
      0x37fe3ff9, 0x01bf1380, 0xfe501510, 0x00000ffc, 
      0x36fe4ff9, 0x21bf1360, 0xfe501610, 0x00000ffb, 
      0x34fe3ff9, 0x51c01340, 0xfe501710, 0x00000ffb, 
      0x33fe3ff8, 0x71c01320, 0xfe501910, 0x00000ffb, 
      0x31fe3ff9, 0x91c01300, 0xfe501a10, 0x00000ffb, 
      0x30fe3ff9, 0xb1c012e0, 0xfe501b10, 0x00000ffb, 
      0x2ffe3ffa, 0xd1c012c0, 0xfe401c10, 0x00000ffb, 
      0x2dfe3ff9, 0x01c112a0, 0xfe401d11, 0x00000ffb, 
      0x2cfe3ff9, 0x21c11270, 0xfe401f11, 0x00000ffb, 
      0x2afe3ffa, 0x41c11250, 0xfe402011, 0x00000ffb, 
      0x29fe4ffa, 0x61c11230, 0xfe402111, 0x00000ffa, 
      0x28fe4ffa, 0x81c11210, 0xfe402211, 0x00000ffa, 
      0x26fe4ff9, 0xb1c111f0, 0xfe402411, 0x00000ffa, 
      0x25fe3ffa, 0xd1c111d0, 0xfe402511, 0x00000ffa, 
      0x24fe3ffa, 0xf1c111b0, 0xfe402611, 0x00000ffa, 
      0x22fe4ffa, 0x11c11180, 0xfe402812, 0x00000ffa, 
      0x21fe4ffa, 0x31c11160, 0xfe402912, 0x00000ffa, 
      0x20fe4ffb, 0x51c11140, 0xfe302a12, 0x00000ffa, 
      0x1ffe4ffb, 0x71c11120, 0xfe302c12, 0x00000ff9, 
      0x1dfe4ffb, 0xa1c11100, 0xfe302d12, 0x00000ff9, 
      0x1cfe5ffb, 0xc1c010d0, 0xfe302f12, 0x00000ff9, 
      0x1bfe5ffb, 0xe1c010b0, 0xfe303012, 0x00000ff9, 
      0x1afe5ffb, 0x01c01090, 0xfe303113, 0x00000ff9, 
      0x19fe4ffb, 0x21c01070, 0xfe303313, 0x00000ff9, 
      0x17fe5ffb, 0x41c01050, 0xfe303413, 0x00000ff9, 
      0x16fe6ffc, 0x61bf1020, 0xfe303613, 0x00000ff8, 
      0x15fe6ffc, 0x81bf1000, 0xfe303713, 0x00000ff8, 
      0x14fe5ffc, 0xa1bf0fe0, 0xfe303913, 0x00000ff8, 
      0x13fe5ffc, 0xd1be0fc0, 0xfe303a13, 0x00000ff8, 
      0x12fe6ffb, 0xf1be0f90, 0xfe303c13, 0x00000ff8, 
      0x11fe6ffb, 0x11be0f70, 0xfe303d14, 0x00000ff8, 
      0x10fe6ffc, 0x31bd0f50, 0xfe303f14, 0x00000ff7, 
      0x0ffe6ffc, 0x51bd0f30, 0xfe304014, 0x00000ff7, 
      0x0efe6ffc, 0x71bc0f10, 0xfe304214, 0x00000ff7, 
      0x0dfe6ffc, 0x91bc0ee0, 0xfe304414, 0x00000ff7, 
      0x0cfe7ffc, 0xb1bb0ec0, 0xfe304514, 0x00000ff7, 
      0x0bfe6ffc, 0xd1bb0ea0, 0xfe304714, 0x00000ff7, 
      0x0afe7ffc, 0xf1ba0e80, 0xfe404814, 0x00000ff6, 
      0x09fe7ffd, 0x11b90e50, 0xfe404a15, 0x00000ff6, 
      0x08fe7ffc, 0x31b90e30, 0xfe404c15, 0x00000ff6, 
      0x07fe7ffd, 0x51b80e10, 0xfe404d15, 0x00000ff6, 
      0x05fe7ffd, 0x71b80df0, 0xfe404f15, 0x00000ff6, 
      0x05fe8ffd, 0x81b70dc0, 0xfe405115, 0x00000ff6, 
      0x04fe8ffe, 0xa1b60da0, 0xfe405315, 0x00000ff5, 
      0x03fe9ffe, 0xc1b50d80, 0xfe405415, 0x00000ff5, 
      0x02fe8ffe, 0xe1b50d60, 0xfe405615, 0x00000ff5, 
      0x01fe8ffd, 0x01b40d40, 0xfe505816, 0x00000ff5, 
      0x01fe9ffd, 0x21b30d10, 0xfe505916, 0x00000ff5, 
      0x00fe9ffd, 0x41b20cf0, 0xfe505b16, 0x00000ff5, 
      0xfffe9ffd, 0x61b20cdf, 0xfe505d16, 0x00000ff4, 
      0xfefe9ffe, 0x71b10cbf, 0xfe505f16, 0x00000ff4, 
      0xfdfe9ffe, 0x91b00c9f, 0xfe506116, 0x00000ff4, 
      0xfdfeaffd, 0xb1af0c6f, 0xfe606216, 0x00000ff4, 
      0xfcfe9ffe, 0xd1ae0c4f, 0xfe606416, 0x00000ff4, 
      0xfbfeaffe, 0xf1ad0c2f, 0xfe606616, 0x00000ff3, 
      0xfafeafff, 0x01ac0c0f, 0xfe606817, 0x00000ff3, 
      0xfafeaffe, 0x21ab0bef, 0xfe606a17, 0x00000ff3, 
      0xf9feaffe, 0x41aa0bbf, 0xfe706c17, 0x00000ff3, 
      0xf8febfff, 0x51a90b9f, 0xfe706d17, 0x00000ff3, 
      0xf7fecfff, 0x71a80b7f, 0xfe706f17, 0x00000ff2, 
      0xf7febffe, 0x91a70b5f, 0xfe807117, 0x00000ff2, 
      0xf6fecffe, 0xa1a60b3f, 0xfe807317, 0x00000ff2, 
      0xf5fecfff, 0xc1a50b0f, 0xfe807517, 0x00000ff2, 
      0xf5fecfff, 0xe1a30aef, 0xfe807717, 0x00000ff2, 
      0xf4fedfff, 0xf1a20acf, 0xfe907917, 0x00000ff1, 
      0xf4fecfff, 0x11a10aaf, 0xfe907b18, 0x00000ff1, 
      0xf3fedffe, 0x31a00a8f, 0xfe907d18, 0x00000ff1, 
      0xf2fecfff, 0x419f0a6f, 0xfea07f18, 0x00000ff1, 
      0xf2fecfff, 0x619d0a4f, 0xfea08118, 0x00000ff1, 
      0xf1fed000, 0x719c0a2f, 0xfea08318, 0x00000ff0, 
      0xf1fedfff, 0x919b09ff, 0xfeb08518, 0x00000ff0, 
      0xf0feefff, 0xa19a09df, 0xfeb08718, 0x00000ff0, 
      0xf0fedfff, 0xc19809bf, 0xfec08918, 0x00000ff0, 
      0xeffeefff, 0xd197099f, 0xfec08b18, 0x00000ff0, 
      0xeffef000, 0xe195097f, 0xfec08d18, 0x00000fef, 
      0xeefee000, 0x0194095f, 0xfed08f19, 0x00000fef, 
      0xeefeffff, 0x1193093f, 0xfed09119, 0x00000fef,
   },
   { /* Y scale factor = 0.45, phases = 127, taps = 9. */
      0x8dfe9ff0, 0xf19a1990, 0xfeffe908, 0x00000000, 
      0x8bfe9fef, 0x119c1970, 0xfeffea09, 0x00000000, 
      0x89fe8ff0, 0x319d1960, 0xfeffea09, 0x00000000, 
      0x87fe8ff0, 0x519f1940, 0xfeefeb09, 0x00000000, 
      0x84fe7ff1, 0x81a01930, 0xfeefeb09, 0x00000000, 
      0x82fe7ff0, 0xa1a21910, 0xfeefec09, 0x00000000, 
      0x80fe7ff0, 0xc1a31900, 0xfeefec09, 0x00000000, 
      0x7efe7ff1, 0xe1a418e0, 0xfedfed09, 0x00000000, 
      0x7cfe6ff1, 0x01a618d0, 0xfedfed0a, 0x00000000, 
      0x7afe6ff1, 0x21a718b0, 0xfedfee0a, 0x00000000, 
      0x78fe5ff2, 0x51a81890, 0xfedfee0a, 0x00000000, 
      0x76fe5ff2, 0x71a91880, 0xfecfef0a, 0x00000000, 
      0x74fe5ff2, 0x91ab1860, 0xfecfef0a, 0x00000000, 
      0x72fe5ff2, 0xb1ac1840, 0xfecff00a, 0x00000000, 
      0x70fe4ff2, 0xe1ad1820, 0xfecff10a, 0x00000000, 
      0x6efe4ff3, 0x01ae1810, 0xfecff10b, 0x00000fff, 
      0x6cfe4ff3, 0x21b017f0, 0xfebff20b, 0x00000fff, 
      0x6afe4ff4, 0x41b117d0, 0xfebff20b, 0x00000fff, 
      0x69fe3ff3, 0x71b217b0, 0xfebff30b, 0x00000fff, 
      0x66fe3ff3, 0x91b317a0, 0xfebff40b, 0x00000fff, 
      0x65fe3ff4, 0xb1b41780, 0xfeaff40b, 0x00000fff, 
      0x63fe3ff4, 0xd1b51760, 0xfeaff50b, 0x00000fff, 
      0x61fe2ff4, 0x01b61740, 0xfeaff60c, 0x00000fff, 
      0x5ffe2ff5, 0x21b71720, 0xfeaff60c, 0x00000fff, 
      0x5dfe3ff5, 0x41b81700, 0xfe9ff70c, 0x00000fff, 
      0x5bfe2ff5, 0x61b916f0, 0xfe9ff80c, 0x00000fff, 
      0x59fe2ff4, 0x91ba16d0, 0xfe9ff90c, 0x00000fff, 
      0x57fe1ff5, 0xb1bb16b0, 0xfe9ffa0c, 0x00000fff, 
      0x56fe2ff5, 0xd1bc1690, 0xfe9ffa0c, 0x00000ffe, 
      0x54fe2ff5, 0x01bd1670, 0xfe8ffb0d, 0x00000ffe, 
      0x52fe2ff6, 0x21bd1650, 0xfe8ffc0d, 0x00000ffe, 
      0x50fe2ff6, 0x41be1630, 0xfe8ffd0d, 0x00000ffe, 
      0x4ffe1ff5, 0x71bf1610, 0xfe8ffe0d, 0x00000ffe, 
      0x4dfe1ff7, 0x91c015f0, 0xfe7ffe0d, 0x00000ffe, 
      0x4bfe1ff7, 0xb1c115d0, 0xfe7fff0d, 0x00000ffe, 
      0x4afe1ff6, 0xe1c115b0, 0xfe70000d, 0x00000ffe, 
      0x48fe1ff6, 0x01c21590, 0xfe70010e, 0x00000ffe, 
      0x46fe1ff6, 0x21c31570, 0xfe70020e, 0x00000ffe, 
      0x44fe1ff7, 0x51c31550, 0xfe60030e, 0x00000ffe, 
      0x43fe0ff7, 0x71c41530, 0xfe60040e, 0x00000ffe, 
      0x41fe1ff8, 0x91c41510, 0xfe60050e, 0x00000ffd, 
      0x40fe1ff7, 0xb1c514f0, 0xfe60060e, 0x00000ffd, 
      0x3efe1ff7, 0xe1c614c0, 0xfe60070e, 0x00000ffd, 
      0x3dfe1ff8, 0x01c614a0, 0xfe50080f, 0x00000ffd, 
      0x3bfe1ff8, 0x21c71480, 0xfe50090f, 0x00000ffd, 
      0x39fe1ff8, 0x51c71460, 0xfe500a0f, 0x00000ffd, 
      0x38fe0ff8, 0x71c81440, 0xfe500b0f, 0x00000ffd, 
      0x36fe1ff8, 0x91c81420, 0xfe500c0f, 0x00000ffd, 
      0x34fe1ff9, 0xc1c81400, 0xfe400d0f, 0x00000ffd, 
      0x33fe1ff9, 0xe1c913d0, 0xfe400e0f, 0x00000ffd, 
      0x31fe2ffa, 0x01c913b0, 0xfe400f10, 0x00000ffc, 
      0x30fe1ffa, 0x31c91390, 0xfe401010, 0x00000ffc, 
      0x2efe1ff9, 0x51ca1370, 0xfe401210, 0x00000ffc, 
      0x2dfe1ff9, 0x71ca1350, 0xfe401310, 0x00000ffc, 
      0x2bfe2ffa, 0xa1ca1320, 0xfe301410, 0x00000ffc, 
      0x2afe2ffa, 0xc1ca1300, 0xfe301510, 0x00000ffc, 
      0x29fe1ffa, 0xe1cb12e0, 0xfe301610, 0x00000ffc, 
      0x27fe1ffa, 0x11cb12c0, 0xfe301711, 0x00000ffc, 
      0x25fe1ffa, 0x31cb12a0, 0xfe301911, 0x00000ffc, 
      0x24fe2ffb, 0x51cb1270, 0xfe301a11, 0x00000ffb, 
      0x23fe2ffb, 0x71cb1250, 0xfe301b11, 0x00000ffb, 
      0x22fe2ffb, 0xa1cb1230, 0xfe201c11, 0x00000ffb, 
      0x20fe2ffb, 0xc1cb1210, 0xfe201e11, 0x00000ffb, 
      0x1ffe3ffb, 0xe1cb11e0, 0xfe201f11, 0x00000ffb, 
      0x1efe2ffb, 0x11cb11c0, 0xfe202012, 0x00000ffb, 
      0x1cfe2ffb, 0x31cb11a0, 0xfe202212, 0x00000ffb, 
      0x1bfe3ffc, 0x51cb1170, 0xfe202312, 0x00000ffa, 
      0x1afe3ffc, 0x71cb1150, 0xfe202412, 0x00000ffa, 
      0x19fe2ffb, 0xa1cb1130, 0xfe202612, 0x00000ffa, 
      0x17fe3ffb, 0xc1cb1110, 0xfe202712, 0x00000ffa, 
      0x16fe3ffc, 0xe1cb10e0, 0xfe102912, 0x00000ffa, 
      0x15fe4ffc, 0x01ca10c0, 0xfe102a13, 0x00000ffa, 
      0x14fe4ffc, 0x21ca10a0, 0xfe102b13, 0x00000ffa, 
      0x13fe4ffc, 0x51ca1070, 0xfe102d13, 0x00000ff9, 
      0x12fe4ffc, 0x71ca1050, 0xfe102e13, 0x00000ff9, 
      0x10fe4ffd, 0x91c91030, 0xfe103013, 0x00000ff9, 
      0x0ffe5ffd, 0xb1c91000, 0xfe103113, 0x00000ff9, 
      0x0efe4ffd, 0xd1c90fe0, 0xfe103313, 0x00000ff9, 
      0x0dfe4ffd, 0x01c80fc0, 0xfe103414, 0x00000ff9, 
      0x0cfe5ffc, 0x21c80f90, 0xfe103614, 0x00000ff9, 
      0x0bfe5ffc, 0x41c80f70, 0xfe103814, 0x00000ff8, 
      0x0afe5ffd, 0x61c70f50, 0xfe103914, 0x00000ff8, 
      0x09fe5ffd, 0x81c70f20, 0xfe103b14, 0x00000ff8, 
      0x08fe5ffe, 0xa1c60f00, 0xfe103c14, 0x00000ff8, 
      0x07fe5ffd, 0xc1c60ee0, 0xfe103e14, 0x00000ff8, 
      0x06fe5ffd, 0xf1c50eb0, 0xfe104014, 0x00000ff8, 
      0x05fe6ffe, 0x11c40e90, 0xfe104115, 0x00000ff7, 
      0x04fe6ffd, 0x31c40e70, 0xfe104315, 0x00000ff7, 
      0x03fe6ffe, 0x51c30e50, 0xfe104415, 0x00000ff7, 
      0x02fe7ffd, 0x71c30e20, 0xfe104615, 0x00000ff7, 
      0x01fe7ffd, 0x91c20e00, 0xfe104815, 0x00000ff7, 
      0x00fe7ffd, 0xb1c10de0, 0xfe104a15, 0x00000ff7, 
      0xfffe8ffe, 0xd1c10dbf, 0xfe104b15, 0x00000ff6, 
      0xfefe7fff, 0xf1c00d9f, 0xfe104d15, 0x00000ff6, 
      0xfefe7ffe, 0x11bf0d7f, 0xfe104f16, 0x00000ff6, 
      0xfdfe8fff, 0x31be0d4f, 0xfe105016, 0x00000ff6, 
      0xfcfe8ffe, 0x51bd0d2f, 0xfe205216, 0x00000ff6, 
      0xfbfe8ffe, 0x71bd0d0f, 0xfe205416, 0x00000ff5, 
      0xfafe9ffe, 0x91bc0cdf, 0xfe205616, 0x00000ff5, 
      0xfafe8ffe, 0xb1bb0cbf, 0xfe205816, 0x00000ff5, 
      0xf9fe9ffe, 0xd1ba0c9f, 0xfe205916, 0x00000ff5, 
      0xf8fe9fff, 0xf1b90c6f, 0xfe205b16, 0x00000ff5, 
      0xf8feafff, 0x01b80c4f, 0xfe205d17, 0x00000ff4, 
      0xf7feafff, 0x21b70c2f, 0xfe205f17, 0x00000ff4, 
      0xf6feaffe, 0x41b60c0f, 0xfe306117, 0x00000ff4, 
      0xf5feafff, 0x61b50bdf, 0xfe306317, 0x00000ff4, 
      0xf4feafff, 0x81b40bbf, 0xfe306517, 0x00000ff4, 
      0xf4feafff, 0xa1b30b9f, 0xfe306717, 0x00000ff3, 
      0xf3febfff, 0xb1b20b7f, 0xfe306917, 0x00000ff3, 
      0xf2feb000, 0xd1b10b4f, 0xfe406a17, 0x00000ff3, 
      0xf2febfff, 0xf1b00b2f, 0xfe406c17, 0x00000ff3, 
      0xf1fecfff, 0x11ae0b0f, 0xfe406e18, 0x00000ff3, 
      0xf1fec000, 0x21ad0aef, 0xfe407018, 0x00000ff2, 
      0xf0fec000, 0x41ac0abf, 0xfe507218, 0x00000ff2, 
      0xeffec000, 0x61ab0a9f, 0xfe507418, 0x00000ff2, 
      0xeffec000, 0x81a90a7f, 0xfe507618, 0x00000ff2, 
      0xeefed000, 0x91a80a5f, 0xfe507818, 0x00000ff2, 
      0xeefed000, 0xb1a70a2f, 0xfe607a18, 0x00000ff1, 
      0xedfed000, 0xd1a60a0f, 0xfe607c18, 0x00000ff1, 
      0xedfee000, 0xe1a409ef, 0xfe607e18, 0x00000ff1, 
      0xecfed000, 0x01a309cf, 0xfe708019, 0x00000ff1, 
      0xecfee000, 0x11a209af, 0xfe708219, 0x00000ff0, 
      0xebfee001, 0x31a0098f, 0xfe708419, 0x00000ff0, 
      0xebfee000, 0x419f095f, 0xfe808719, 0x00000ff0, 
      0xeafef000, 0x619d093f, 0xfe808919, 0x00000ff0, 
      0xeafef000, 0x719c091f, 0xfe908b19, 0x00000fef, 
      0xe9fef001, 0x919a08ff, 0xfe908d19, 0x00000fef,
   },
   { /* Y scale factor = 0.46, phases = 127, taps = 9. */
      0x89fe5fef, 0xb1a21a00, 0xff0fe508, 0x00000001, 
      0x86fe4ff1, 0xd1a319f0, 0xfeffe608, 0x00000001, 
      0x84fe4ff1, 0xf1a519d0, 0xfeffe608, 0x00000001, 
      0x82fe4ff1, 0x11a619c0, 0xfeffe609, 0x00000001, 
      0x80fe3ff0, 0x41a819a0, 0xfeffe709, 0x00000001, 
      0x7efe3ff2, 0x61a91980, 0xfeefe709, 0x00000001, 
      0x7cfe2ff1, 0x81ab1970, 0xfeefe809, 0x00000001, 
      0x7afe2ff2, 0xa1ac1950, 0xfeefe809, 0x00000001, 
      0x77fe2ff1, 0xd1ae1930, 0xfeefe909, 0x00000001, 
      0x75fe2ff2, 0xf1af1920, 0xfedfe909, 0x00000001, 
      0x73fe1ff2, 0x11b11900, 0xfedfea0a, 0x00000001, 
      0x71fe1ff3, 0x31b218e0, 0xfedfea0a, 0x00000001, 
      0x6ffe1ff3, 0x61b318c0, 0xfedfeb0a, 0x00000000, 
      0x6efe1ff3, 0x81b418b0, 0xfecfeb0a, 0x00000000, 
      0x6bfe1ff3, 0xa1b61890, 0xfecfec0a, 0x00000000, 
      0x69fe1ff3, 0xd1b71870, 0xfecfec0a, 0x00000000, 
      0x67fe0ff4, 0xf1b81850, 0xfecfed0a, 0x00000000, 
      0x66fe1ff4, 0x11b91830, 0xfebfed0b, 0x00000000, 
      0x63fe0ff4, 0x41bb1810, 0xfebfee0b, 0x00000000, 
      0x61fdfff4, 0x61bc1800, 0xfebfef0b, 0x00000000, 
      0x5ffe0ff4, 0x81bd17e0, 0xfebfef0b, 0x00000000, 
      0x5dfe0ff4, 0xb1be17c0, 0xfeaff00b, 0x00000000, 
      0x5cfdfff4, 0xd1bf17a0, 0xfeaff10b, 0x00000000, 
      0x5afdfff5, 0xf1c01780, 0xfeaff10b, 0x00000000, 
      0x58fdfff5, 0x21c11760, 0xfe9ff20c, 0x00000000, 
      0x56fdfff5, 0x41c21740, 0xfe9ff30c, 0x00000000, 
      0x54fdfff6, 0x71c31720, 0xfe9ff30c, 0x00000fff, 
      0x52fdfff6, 0x91c41700, 0xfe9ff40c, 0x00000fff, 
      0x50fdfff7, 0xb1c516e0, 0xfe8ff50c, 0x00000fff, 
      0x4efdfff6, 0xe1c616c0, 0xfe8ff60c, 0x00000fff, 
      0x4dfdfff6, 0x01c716a0, 0xfe8ff60d, 0x00000fff, 
      0x4bfdfff6, 0x21c81680, 0xfe8ff70d, 0x00000fff, 
      0x49fdfff6, 0x51c91660, 0xfe7ff80d, 0x00000fff, 
      0x47fdfff8, 0x71c91630, 0xfe7ff90d, 0x00000fff, 
      0x45fdfff7, 0xa1ca1610, 0xfe7ffa0d, 0x00000fff, 
      0x44fdeff7, 0xc1cb15f0, 0xfe7ffb0d, 0x00000fff, 
      0x42fdfff8, 0xe1cc15d0, 0xfe6ffb0d, 0x00000fff, 
      0x40fdfff8, 0x11cc15b0, 0xfe6ffc0e, 0x00000fff, 
      0x3ffdfff8, 0x31cd1590, 0xfe6ffd0e, 0x00000ffe, 
      0x3dfdeff8, 0x61ce1570, 0xfe6ffe0e, 0x00000ffe, 
      0x3bfdfff9, 0x81ce1540, 0xfe6fff0e, 0x00000ffe, 
      0x3afdfff8, 0xb1cf1520, 0xfe50000e, 0x00000ffe, 
      0x38fdfff8, 0xd1d01500, 0xfe50010e, 0x00000ffe, 
      0x36fdfff9, 0xf1d014e0, 0xfe50020e, 0x00000ffe, 
      0x35fdeff8, 0x21d114c0, 0xfe50030f, 0x00000ffe, 
      0x33fdfffa, 0x41d11490, 0xfe40040f, 0x00000ffe, 
      0x32fdeff9, 0x71d21470, 0xfe40050f, 0x00000ffe, 
      0x30fdfff9, 0x91d21450, 0xfe40060f, 0x00000ffe, 
      0x2efdfff9, 0xc1d21430, 0xfe40070f, 0x00000ffe, 
      0x2dfdfffa, 0xe1d31400, 0xfe40080f, 0x00000ffd, 
      0x2cfe0ffa, 0x01d313e0, 0xfe300910, 0x00000ffd, 
      0x2afdfffa, 0x31d413c0, 0xfe300a10, 0x00000ffd, 
      0x28fdfffb, 0x51d41390, 0xfe300c10, 0x00000ffd, 
      0x27fdfffa, 0x81d41370, 0xfe300d10, 0x00000ffd, 
      0x25fe0ffb, 0xa1d41350, 0xfe200e10, 0x00000ffd, 
      0x24fe0ffb, 0xc1d51320, 0xfe200f10, 0x00000ffd, 
      0x23fe0ffa, 0xf1d51300, 0xfe201010, 0x00000ffd, 
      0x21fe0ffb, 0x11d512e0, 0xfe201111, 0x00000ffd, 
      0x20fe0ffb, 0x41d512b0, 0xfe201311, 0x00000ffc, 
      0x1efe0ffc, 0x61d51290, 0xfe201411, 0x00000ffc, 
      0x1dfe1ffc, 0x81d51270, 0xfe101511, 0x00000ffc, 
      0x1cfe1ffc, 0xb1d51240, 0xfe101611, 0x00000ffc, 
      0x1afe1ffc, 0xd1d51220, 0xfe101811, 0x00000ffc, 
      0x19fe1ffb, 0x01d51200, 0xfe101912, 0x00000ffc, 
      0x18fe1ffc, 0x21d511d0, 0xfe101a12, 0x00000ffc, 
      0x16fe1ffc, 0x41d511b0, 0xfe101c12, 0x00000ffc, 
      0x15fe2ffd, 0x71d51180, 0xfe001d12, 0x00000ffb, 
      0x14fe2ffd, 0x91d51160, 0xfe001e12, 0x00000ffb, 
      0x13fe2ffc, 0xb1d51140, 0xfe002012, 0x00000ffb, 
      0x11fe2ffd, 0xe1d51110, 0xfe002112, 0x00000ffb, 
      0x10fe2ffc, 0x01d510f0, 0xfe002313, 0x00000ffb, 
      0x0ffe2ffd, 0x21d510c0, 0xfe002413, 0x00000ffb, 
      0x0efe2ffd, 0x51d410a0, 0xfe002513, 0x00000ffb, 
      0x0dfe3ffd, 0x71d41080, 0xfdf02713, 0x00000ffa, 
      0x0cfe3ffe, 0x91d41050, 0xfdf02813, 0x00000ffa, 
      0x0afe3ffd, 0xc1d41030, 0xfdf02a13, 0x00000ffa, 
      0x09fe4ffe, 0xe1d31000, 0xfdf02b13, 0x00000ffa, 
      0x08fe4ffd, 0x01d30fe0, 0xfdf02d14, 0x00000ffa, 
      0x07fe4ffd, 0x31d20fc0, 0xfdf02e14, 0x00000ffa, 
      0x06fe4ffe, 0x51d20f90, 0xfdf03014, 0x00000ff9, 
      0x05fe4ffd, 0x71d20f70, 0xfdf03214, 0x00000ff9, 
      0x04fe5ffe, 0x91d10f40, 0xfdf03314, 0x00000ff9, 
      0x03fe4ffd, 0xc1d10f20, 0xfdf03514, 0x00000ff9, 
      0x02fe5ffe, 0xe1d00ef0, 0xfdf03614, 0x00000ff9, 
      0x01fe5ffe, 0x01cf0ed0, 0xfdf03815, 0x00000ff9, 
      0x00fe5ffe, 0x21cf0eb0, 0xfdf03a15, 0x00000ff8, 
      0xfffe6fff, 0x41ce0e8f, 0xfdf03b15, 0x00000ff8, 
      0xfefe5ffe, 0x71ce0e6f, 0xfdf03d15, 0x00000ff8, 
      0xfdfe6ffe, 0x91cd0e3f, 0xfdf03f15, 0x00000ff8, 
      0xfcfe6fff, 0xb1cc0e1f, 0xfdf04015, 0x00000ff8, 
      0xfbfe6fff, 0xd1cc0def, 0xfdf04215, 0x00000ff8, 
      0xfbfe7ffe, 0xf1cb0dcf, 0xfdf04415, 0x00000ff7, 
      0xfafe7fff, 0x11ca0daf, 0xfdf04516, 0x00000ff7, 
      0xf9fe8fff, 0x31c90d7f, 0xfdf04716, 0x00000ff7, 
      0xf8fe7fff, 0x61c90d4f, 0xfdf04916, 0x00000ff7, 
      0xf7fe7fff, 0x81c80d2f, 0xfdf04b16, 0x00000ff7, 
      0xf6fe8fff, 0xa1c70d0f, 0xfdf04d16, 0x00000ff6, 
      0xf6fe8fff, 0xc1c60cef, 0xfdf04e16, 0x00000ff6, 
      0xf5fe8000, 0xe1c50cbf, 0xfdf05016, 0x00000ff6, 
      0xf4fe9fff, 0x01c40c9f, 0xfdf05217, 0x00000ff6, 
      0xf3fe9fff, 0x21c30c7f, 0xfdf05417, 0x00000ff6, 
      0xf3fe9000, 0x41c20c4f, 0xfdf05617, 0x00000ff5, 
      0xf2fe9000, 0x61c10c2f, 0xfdf05817, 0x00000ff5, 
      0xf1fea000, 0x81c00bff, 0xfdf05a17, 0x00000ff5, 
      0xf1feafff, 0xa1bf0bdf, 0xfdf05c17, 0x00000ff5, 
      0xf0feafff, 0xc1be0bbf, 0xfe005d17, 0x00000ff5, 
      0xeffeb000, 0xe1bd0b8f, 0xfe005f17, 0x00000ff4, 
      0xeffebfff, 0x01bc0b6f, 0xfe006118, 0x00000ff4, 
      0xeefeb000, 0x11bb0b4f, 0xfe006318, 0x00000ff4, 
      0xedfec001, 0x31b90b1f, 0xfe006518, 0x00000ff4, 
      0xedfec000, 0x51b80aff, 0xfe006718, 0x00000ff4, 
      0xecfec000, 0x71b70adf, 0xfe106918, 0x00000ff3, 
      0xecfec000, 0x91b60aaf, 0xfe106b18, 0x00000ff3, 
      0xebfec001, 0xb1b40a8f, 0xfe106d18, 0x00000ff3, 
      0xebfed000, 0xc1b30a6f, 0xfe106f18, 0x00000ff3, 
      0xebfed001, 0xe1b20a3f, 0xfe107118, 0x00000ff2, 
      0xeafed000, 0x01b10a1f, 0xfe207319, 0x00000ff2, 
      0xe9fed001, 0x21af09ff, 0xfe207519, 0x00000ff2, 
      0xe9fed000, 0x31ae09df, 0xfe207819, 0x00000ff2, 
      0xe9fee001, 0x51ac09af, 0xfe207a19, 0x00000ff1, 
      0xe8fee000, 0x71ab098f, 0xfe307c19, 0x00000ff1, 
      0xe7fef001, 0x81a9096f, 0xfe307e19, 0x00000ff1, 
      0xe7fef000, 0xa1a8094f, 0xfe308019, 0x00000ff1, 
      0xe6fef001, 0xc1a6091f, 0xfe408219, 0x00000ff1, 
      0xe6fef002, 0xd1a508ff, 0xfe408419, 0x00000ff0, 
      0xe6fef002, 0xf1a308df, 0xfe408619, 0x00000ff0, 
      0xe5fef001, 0x01a208bf, 0xfe50891a, 0x00000ff0,
   },
   { /* Y scale factor = 0.47, phases = 127, taps = 9. */
      0x84fe1ff1, 0x61a91a80, 0xff0fe108, 0x00000002, 
      0x82fe0ff1, 0x91ab1a60, 0xff0fe108, 0x00000002, 
      0x7ffe0ff1, 0xb1ad1a40, 0xff0fe208, 0x00000002, 
      0x7dfe0ff1, 0xd1ae1a30, 0xff0fe208, 0x00000002, 
      0x7bfe0ff2, 0xf1b01a10, 0xfeffe208, 0x00000002, 
      0x79fdfff2, 0x21b119f0, 0xfeffe309, 0x00000002, 
      0x77fdeff2, 0x41b319e0, 0xfeffe309, 0x00000002, 
      0x75fdfff2, 0x61b419c0, 0xfeefe409, 0x00000002, 
      0x73fdeff2, 0x91b619a0, 0xfeefe409, 0x00000002, 
      0x71fdfff3, 0xb1b71980, 0xfeefe409, 0x00000001, 
      0x6efdeff4, 0xd1b91960, 0xfeefe509, 0x00000001, 
      0x6cfdeff4, 0x01ba1950, 0xfedfe50a, 0x00000001, 
      0x6afdeff3, 0x21bc1930, 0xfedfe60a, 0x00000001, 
      0x68fdeff4, 0x41bd1910, 0xfedfe60a, 0x00000001, 
      0x66fddff4, 0x71be18f0, 0xfedfe70a, 0x00000001, 
      0x64fddff5, 0x91c018d0, 0xfecfe70a, 0x00000001, 
      0x62fddff4, 0xc1c118b0, 0xfecfe80a, 0x00000001, 
      0x60fddff4, 0xe1c21890, 0xfecfe90a, 0x00000001, 
      0x5efddff5, 0x01c31880, 0xfebfe90b, 0x00000001, 
      0x5cfdcff5, 0x31c51850, 0xfebfea0b, 0x00000001, 
      0x5afddff5, 0x51c61830, 0xfebfea0b, 0x00000001, 
      0x58fdcff5, 0x81c71810, 0xfebfeb0b, 0x00000001, 
      0x56fddff6, 0xa1c817f0, 0xfeafeb0b, 0x00000001, 
      0x54fdcff6, 0xd1c917d0, 0xfeafec0b, 0x00000001, 
      0x52fdcff7, 0xf1ca17b0, 0xfeafed0b, 0x00000000, 
      0x51fddff7, 0x11cb1790, 0xfe9fed0c, 0x00000000, 
      0x4efdcff7, 0x41cd1770, 0xfe9fee0c, 0x00000000, 
      0x4cfdcff7, 0x61ce1750, 0xfe9fef0c, 0x00000000, 
      0x4afdcff7, 0x91cf1720, 0xfe9ff00c, 0x00000000, 
      0x49fddff8, 0xb1cf1700, 0xfe8ff00c, 0x00000000, 
      0x47fdcff8, 0xe1d016e0, 0xfe8ff10c, 0x00000000, 
      0x45fdcff8, 0x01d116c0, 0xfe8ff20d, 0x00000000, 
      0x43fdcff7, 0x31d216a0, 0xfe8ff30d, 0x00000000, 
      0x41fdcff9, 0x51d31680, 0xfe7ff30d, 0x00000000, 
      0x40fdcff8, 0x81d41650, 0xfe7ff40d, 0x00000000, 
      0x3efdcff8, 0xa1d51630, 0xfe7ff50d, 0x00000000, 
      0x3cfdcff9, 0xd1d51610, 0xfe6ff60d, 0x00000000, 
      0x3afddff9, 0xf1d615f0, 0xfe6ff70d, 0x00000fff, 
      0x39fdcff9, 0x21d715c0, 0xfe6ff80e, 0x00000fff, 
      0x37fdcffa, 0x41d815a0, 0xfe6ff80e, 0x00000fff, 
      0x35fddffa, 0x71d81580, 0xfe5ff90e, 0x00000fff, 
      0x33fddffa, 0x91d91560, 0xfe5ffa0e, 0x00000fff, 
      0x32fddff9, 0xc1da1530, 0xfe5ffb0e, 0x00000fff, 
      0x30fddffa, 0xe1da1510, 0xfe5ffc0e, 0x00000fff, 
      0x2ffdcffa, 0x11db14f0, 0xfe4ffd0f, 0x00000fff, 
      0x2dfddffb, 0x31db14c0, 0xfe4ffe0f, 0x00000fff, 
      0x2bfddffa, 0x61dc14a0, 0xfe4fff0f, 0x00000fff, 
      0x29fddffa, 0x91dc1480, 0xfe40000f, 0x00000fff, 
      0x28fdeffb, 0xb1dd1450, 0xfe30010f, 0x00000ffe, 
      0x27fddffb, 0xe1dd1430, 0xfe30020f, 0x00000ffe, 
      0x26fdeffb, 0x01dd1400, 0xfe300310, 0x00000ffe, 
      0x24fddffb, 0x31de13e0, 0xfe300410, 0x00000ffe, 
      0x22fdeffb, 0x51de13c0, 0xfe200610, 0x00000ffe, 
      0x21fdeffb, 0x81de1390, 0xfe200710, 0x00000ffe, 
      0x1ffdeffb, 0xa1df1370, 0xfe200810, 0x00000ffe, 
      0x1efdeffb, 0xd1df1340, 0xfe200910, 0x00000ffe, 
      0x1cfdfffc, 0xf1df1320, 0xfe100a10, 0x00000ffe, 
      0x1bfdfffc, 0x21df12f0, 0xfe100b11, 0x00000ffe, 
      0x1afdfffc, 0x41df12d0, 0xfe100d11, 0x00000ffd, 
      0x18fdfffc, 0x71e012a0, 0xfe100e11, 0x00000ffd, 
      0x17fdfffd, 0x91e01280, 0xfe000f11, 0x00000ffd, 
      0x15fdfffd, 0xc1e01260, 0xfe001011, 0x00000ffd, 
      0x14fe0ffc, 0xe1e01230, 0xfe001211, 0x00000ffd, 
      0x13fdfffc, 0x11e01210, 0xfe001312, 0x00000ffd, 
      0x12fe0ffc, 0x31e011e0, 0xfe001412, 0x00000ffd, 
      0x10fe0ffd, 0x61e011c0, 0xfdf01512, 0x00000ffd, 
      0x0ffe0ffe, 0x81e01190, 0xfdf01712, 0x00000ffc, 
      0x0efe0ffd, 0xb1e01170, 0xfdf01812, 0x00000ffc, 
      0x0dfe1ffd, 0xd1df1140, 0xfdf01a12, 0x00000ffc, 
      0x0bfe1ffe, 0xf1df1120, 0xfdf01b12, 0x00000ffc, 
      0x0afe1ffe, 0x21df10f0, 0xfdf01c13, 0x00000ffc, 
      0x09fe2ffd, 0x41df10d0, 0xfde01e13, 0x00000ffc, 
      0x08fe2ffd, 0x71df10a0, 0xfde01f13, 0x00000ffc, 
      0x07fe2ffe, 0x91de1080, 0xfde02113, 0x00000ffb, 
      0x06fe2ffe, 0xc1de1050, 0xfde02213, 0x00000ffb, 
      0x04fe2ffe, 0xe1de1030, 0xfde02413, 0x00000ffb, 
      0x03fe3fff, 0x01dd1000, 0xfde02514, 0x00000ffb, 
      0x02fe3ffe, 0x31dd0fe0, 0xfdd02714, 0x00000ffb, 
      0x01fe3fff, 0x51dd0fb0, 0xfdd02814, 0x00000ffb, 
      0x00fe3ffe, 0x81dc0f90, 0xfdd02a14, 0x00000ffb, 
      0xfffe4fff, 0xa1dc0f6f, 0xfdd02b14, 0x00000ffa, 
      0xfefe5fff, 0xc1db0f3f, 0xfdd02d14, 0x00000ffa, 
      0xfdfe4ffe, 0xf1db0f1f, 0xfdd02f14, 0x00000ffa, 
      0xfcfe5fff, 0x11da0eef, 0xfdd03015, 0x00000ffa, 
      0xfbfe4fff, 0x31da0ecf, 0xfdd03215, 0x00000ffa, 
      0xfafe5fff, 0x61d90e9f, 0xfdd03315, 0x00000ffa, 
      0xf9fe6000, 0x81d80e7f, 0xfdc03515, 0x00000ff9, 
      0xf8fe6000, 0xa1d80e4f, 0xfdc03715, 0x00000ff9, 
      0xf8fe6fff, 0xc1d70e2f, 0xfdc03915, 0x00000ff9, 
      0xf7fe6000, 0xf1d60dff, 0xfdc03a15, 0x00000ff9, 
      0xf6fe6000, 0x11d50ddf, 0xfdc03c16, 0x00000ff9, 
      0xf5fe7000, 0x31d50daf, 0xfdc03e16, 0x00000ff8, 
      0xf4fe7000, 0x51d40d8f, 0xfdc04016, 0x00000ff8, 
      0xf3fe8000, 0x81d30d5f, 0xfdc04116, 0x00000ff8, 
      0xf3fe8fff, 0xa1d20d3f, 0xfdc04316, 0x00000ff8, 
      0xf2fe8000, 0xc1d10d0f, 0xfdc04516, 0x00000ff8, 
      0xf1fe8001, 0xe1d00cef, 0xfdc04716, 0x00000ff7, 
      0xf0fe9001, 0x01cf0cbf, 0xfdc04917, 0x00000ff7, 
      0xf0fe8000, 0x31cf0c9f, 0xfdc04a17, 0x00000ff7, 
      0xeffe9000, 0x51ce0c6f, 0xfdc04c17, 0x00000ff7, 
      0xeefe9000, 0x71cd0c4f, 0xfdc04e17, 0x00000ff7, 
      0xeefea001, 0x91cb0c1f, 0xfdc05017, 0x00000ff6, 
      0xedfea001, 0xb1ca0bff, 0xfdc05217, 0x00000ff6, 
      0xecfea001, 0xd1c90bdf, 0xfdc05417, 0x00000ff6, 
      0xebfeb001, 0xf1c80baf, 0xfdc05617, 0x00000ff6, 
      0xebfea000, 0x11c70b8f, 0xfdd05818, 0x00000ff6, 
      0xeafeb001, 0x31c60b5f, 0xfdd05a18, 0x00000ff5, 
      0xeafeb000, 0x51c50b3f, 0xfdd05c18, 0x00000ff5, 
      0xe9fec001, 0x71c30b0f, 0xfdd05e18, 0x00000ff5, 
      0xe9fec000, 0x91c20aef, 0xfdd06018, 0x00000ff5, 
      0xe8fec001, 0xb1c10acf, 0xfdd06218, 0x00000ff4, 
      0xe7fec002, 0xd1c00a9f, 0xfdd06418, 0x00000ff4, 
      0xe7fed001, 0xf1be0a7f, 0xfdd06618, 0x00000ff4, 
      0xe6fed001, 0x11bd0a4f, 0xfde06819, 0x00000ff4, 
      0xe5fed001, 0x31bc0a2f, 0xfde06a19, 0x00000ff4, 
      0xe5fed002, 0x51ba0a0f, 0xfde06c19, 0x00000ff3, 
      0xe5fee002, 0x61b909df, 0xfde06e19, 0x00000ff3, 
      0xe5fee002, 0x81b709bf, 0xfde07019, 0x00000ff3, 
      0xe4fee001, 0xa1b6098f, 0xfdf07319, 0x00000ff3, 
      0xe4fee002, 0xc1b4096f, 0xfdf07519, 0x00000ff2, 
      0xe3fef001, 0xe1b3094f, 0xfdf07719, 0x00000ff2, 
      0xe3fef002, 0xf1b1092f, 0xfdf07919, 0x00000ff2, 
      0xe2fef002, 0x11b008ff, 0xfe007b1a, 0x00000ff2, 
      0xe2ff0002, 0x31ae08df, 0xfe007d1a, 0x00000ff1, 
      0xe2ff0001, 0x41ad08bf, 0xfe00801a, 0x00000ff1, 
      0xe1ff0002, 0x61ab089f, 0xfe00821a, 0x00000ff1, 
      0xe1ff0002, 0x81a9086f, 0xfe10841a, 0x00000ff1,
   },
   { /* Y scale factor = 0.48, phases = 127, taps = 9. */
      0x7ffddff2, 0x11b11af0, 0xff1fdd08, 0x00000003, 
      0x7dfddff1, 0x41b31ad0, 0xff1fdd08, 0x00000003, 
      0x7afdcff2, 0x61b41ac0, 0xff1fde08, 0x00000003, 
      0x78fdcff3, 0x81b61aa0, 0xff0fde08, 0x00000003, 
      0x76fdcff2, 0xb1b81a80, 0xff0fde08, 0x00000003, 
      0x74fdcff3, 0xd1b91a60, 0xff0fdf08, 0x00000002, 
      0x72fdbff3, 0x01bb1a40, 0xff0fdf09, 0x00000002, 
      0x6ffdcff4, 0x21bc1a30, 0xfeffdf09, 0x00000002, 
      0x6dfdbff4, 0x41be1a10, 0xfeffe009, 0x00000002, 
      0x6bfdbff3, 0x71c019f0, 0xfeffe009, 0x00000002, 
      0x69fdbff4, 0x91c119d0, 0xfeefe109, 0x00000002, 
      0x67fdaff4, 0xc1c319b0, 0xfeefe109, 0x00000002, 
      0x65fdaff5, 0xe1c41990, 0xfeefe109, 0x00000002, 
      0x63fdaff5, 0x01c51970, 0xfeefe20a, 0x00000002, 
      0x60fdaff6, 0x31c71950, 0xfedfe20a, 0x00000002, 
      0x5efdaff6, 0x51c81930, 0xfedfe30a, 0x00000002, 
      0x5cfdaff5, 0x81ca1910, 0xfedfe30a, 0x00000002, 
      0x5afdaff6, 0xa1cb18f0, 0xfecfe40a, 0x00000002, 
      0x58fdaff6, 0xd1cc18d0, 0xfecfe40a, 0x00000002, 
      0x56fd9ff6, 0xf1ce18b0, 0xfecfe50a, 0x00000002, 
      0x54fdaff6, 0x21cf1890, 0xfebfe50b, 0x00000002, 
      0x52fdaff6, 0x41d01870, 0xfebfe60b, 0x00000002, 
      0x50fdaff7, 0x71d11840, 0xfebfe70b, 0x00000001, 
      0x4efdaff8, 0x91d21820, 0xfebfe70b, 0x00000001, 
      0x4cfdaff7, 0xc1d41800, 0xfeafe80b, 0x00000001, 
      0x4afdaff8, 0xe1d517e0, 0xfeafe80b, 0x00000001, 
      0x48fdaff7, 0x11d617c0, 0xfeafe90c, 0x00000001, 
      0x46fdaff8, 0x41d71790, 0xfe9fea0c, 0x00000001, 
      0x44fdaff9, 0x61d81770, 0xfe9fea0c, 0x00000001, 
      0x43fd9ff8, 0x91d91750, 0xfe9feb0c, 0x00000001, 
      0x41fdaff8, 0xb1da1730, 0xfe8fec0c, 0x00000001, 
      0x3ffdaff9, 0xe1db1700, 0xfe8fec0c, 0x00000001, 
      0x3dfdaff9, 0x01dc16e0, 0xfe8fed0d, 0x00000001, 
      0x3bfdaff9, 0x31dd16b0, 0xfe8fee0d, 0x00000001, 
      0x39fdaff9, 0x61de1690, 0xfe7fef0d, 0x00000001, 
      0x38fdaff9, 0x81de1670, 0xfe7ff00d, 0x00000001, 
      0x36fdaffa, 0xb1df1650, 0xfe7ff00d, 0x00000000, 
      0x35fdbffa, 0xd1e01620, 0xfe6ff10d, 0x00000000, 
      0x32fdaffb, 0x01e11600, 0xfe6ff20e, 0x00000000, 
      0x31fdaffa, 0x31e115e0, 0xfe6ff30e, 0x00000000, 
      0x2ffdbffb, 0x51e215b0, 0xfe5ff40e, 0x00000000, 
      0x2dfdbffa, 0x81e31590, 0xfe5ff50e, 0x00000000, 
      0x2cfdbffa, 0xa1e41560, 0xfe5ff60e, 0x00000000, 
      0x2afdbffb, 0xd1e41540, 0xfe5ff60e, 0x00000000, 
      0x28fdbffc, 0x01e51510, 0xfe4ff70f, 0x00000000, 
      0x27fdbffc, 0x21e514f0, 0xfe4ff80f, 0x00000000, 
      0x25fdbffb, 0x51e614d0, 0xfe4ff90f, 0x00000000, 
      0x23fdcffc, 0x81e614a0, 0xfe3ffa0f, 0x00000000, 
      0x22fdcffc, 0xa1e71480, 0xfe3ffb0f, 0x00000fff, 
      0x20fddffc, 0xd1e71450, 0xfe3ffc0f, 0x00000fff, 
      0x1ffdcffc, 0xf1e81430, 0xfe3ffd0f, 0x00000fff, 
      0x1dfddffd, 0x21e81400, 0xfe2ffe10, 0x00000fff, 
      0x1cfdcffc, 0x51e813e0, 0xfe200010, 0x00000fff, 
      0x1afddffc, 0x71e913b0, 0xfe200110, 0x00000fff, 
      0x19fddffc, 0xa1e91390, 0xfe100210, 0x00000fff, 
      0x17fddffd, 0xd1e91360, 0xfe100310, 0x00000fff, 
      0x16fdeffd, 0xf1e91330, 0xfe100410, 0x00000fff, 
      0x14fddffd, 0x21ea1310, 0xfe100511, 0x00000fff, 
      0x14fdeffe, 0x41ea12e0, 0xfe000611, 0x00000ffe, 
      0x12fdeffd, 0x71ea12c0, 0xfe000811, 0x00000ffe, 
      0x11fdeffd, 0xa1ea1290, 0xfe000911, 0x00000ffe, 
      0x0ffdfffd, 0xc1ea1270, 0xfe000a11, 0x00000ffe, 
      0x0efdfffe, 0xf1ea1240, 0xfdf00b11, 0x00000ffe, 
      0x0dfdfffe, 0x11ea1210, 0xfdf00d12, 0x00000ffe, 
      0x0bfdfffe, 0x41ea11f0, 0xfdf00e12, 0x00000ffe, 
      0x0afdfffe, 0x71ea11c0, 0xfdf00f12, 0x00000ffe, 
      0x09fe0ffe, 0x91ea11a0, 0xfde01112, 0x00000ffd, 
      0x08fe0ffe, 0xc1ea1170, 0xfde01212, 0x00000ffd, 
      0x06fe1fff, 0xe1ea1140, 0xfde01312, 0x00000ffd, 
      0x05fe0ffe, 0x11ea1120, 0xfde01513, 0x00000ffd, 
      0x05fe1fff, 0x31e910f0, 0xfdd01613, 0x00000ffd, 
      0x03fe1fff, 0x61e910d0, 0xfdd01713, 0x00000ffd, 
      0x02fe1ffe, 0x91e910a0, 0xfdd01913, 0x00000ffd, 
      0x01fe2ffe, 0xb1e91070, 0xfdd01a13, 0x00000ffd, 
      0x00fe1fff, 0xe1e81050, 0xfdd01c13, 0x00000ffc, 
      0xfefe3000, 0x01e8102f, 0xfdc01d14, 0x00000ffc, 
      0xfdfe3fff, 0x31e80fff, 0xfdc01f14, 0x00000ffc, 
      0xfcfe3000, 0x51e70fdf, 0xfdc02014, 0x00000ffc, 
      0xfbfe3fff, 0x81e70faf, 0xfdc02214, 0x00000ffc, 
      0xfafe3000, 0xa1e60f8f, 0xfdc02314, 0x00000ffc, 
      0xf9fe4fff, 0xd1e60f5f, 0xfdc02514, 0x00000ffb, 
      0xf9fe4000, 0xf1e50f2f, 0xfdb02714, 0x00000ffb, 
      0xf7fe5000, 0x11e50f0f, 0xfdb02815, 0x00000ffb, 
      0xf6fe5000, 0x41e40edf, 0xfdb02a15, 0x00000ffb, 
      0xf6fe5fff, 0x61e40eaf, 0xfdb02c15, 0x00000ffb, 
      0xf4fe5000, 0x91e30e8f, 0xfdb02d15, 0x00000ffb, 
      0xf4fe5001, 0xb1e20e5f, 0xfdb02f15, 0x00000ffa, 
      0xf3fe5000, 0xe1e10e3f, 0xfdb03115, 0x00000ffa, 
      0xf2fe6001, 0x01e10e0f, 0xfda03216, 0x00000ffa, 
      0xf1fe7001, 0x21e00ddf, 0xfda03416, 0x00000ffa, 
      0xf0fe7000, 0x51df0dbf, 0xfda03616, 0x00000ffa, 
      0xf0fe7000, 0x71de0d8f, 0xfda03816, 0x00000ffa, 
      0xeffe7001, 0x91de0d6f, 0xfda03916, 0x00000ff9, 
      0xeefe8000, 0xc1dd0d3f, 0xfda03b16, 0x00000ff9, 
      0xedfe8001, 0xe1dc0d0f, 0xfda03d16, 0x00000ff9, 
      0xecfe8001, 0x01db0cef, 0xfda03f17, 0x00000ff9, 
      0xecfe8000, 0x31da0cbf, 0xfda04117, 0x00000ff9, 
      0xebfe9000, 0x51d90c9f, 0xfda04317, 0x00000ff8, 
      0xeafe9002, 0x71d80c6f, 0xfda04417, 0x00000ff8, 
      0xeafe9001, 0x91d70c4f, 0xfda04617, 0x00000ff8, 
      0xe9fe9001, 0xc1d60c1f, 0xfda04817, 0x00000ff8, 
      0xe8fea001, 0xe1d50bef, 0xfda04a17, 0x00000ff8, 
      0xe8fea001, 0x01d40bcf, 0xfda04c18, 0x00000ff7, 
      0xe7feb002, 0x21d20b9f, 0xfda04e18, 0x00000ff7, 
      0xe7feb001, 0x41d10b7f, 0xfda05018, 0x00000ff7, 
      0xe6feb001, 0x71d00b4f, 0xfda05218, 0x00000ff7, 
      0xe5feb002, 0x91cf0b2f, 0xfda05418, 0x00000ff6, 
      0xe5fec001, 0xb1ce0aff, 0xfda05618, 0x00000ff6, 
      0xe4fec002, 0xd1cc0adf, 0xfda05818, 0x00000ff6, 
      0xe4fec002, 0xf1cb0aaf, 0xfda05a18, 0x00000ff6, 
      0xe3fed001, 0x11ca0a8f, 0xfda05c19, 0x00000ff6, 
      0xe3fed002, 0x31c80a6f, 0xfda05e19, 0x00000ff5, 
      0xe2fee002, 0x51c70a3f, 0xfda06019, 0x00000ff5, 
      0xe2fee002, 0x71c50a0f, 0xfda06319, 0x00000ff5, 
      0xe1fee002, 0x91c409ef, 0xfda06519, 0x00000ff5, 
      0xe0fee002, 0xb1c309cf, 0xfdb06719, 0x00000ff4, 
      0xe1fee002, 0xd1c1099f, 0xfdb06919, 0x00000ff4, 
      0xe0fee002, 0xf1c0097f, 0xfdb06b19, 0x00000ff4, 
      0xe0fef002, 0x11be094f, 0xfdb06d1a, 0x00000ff4, 
      0xdfff0003, 0x31bc092f, 0xfdb06f1a, 0x00000ff3, 
      0xdfff0002, 0x41bb090f, 0xfdb0721a, 0x00000ff3, 
      0xdfff0002, 0x61b908df, 0xfdc0741a, 0x00000ff3, 
      0xdeff0002, 0x81b808bf, 0xfdc0761a, 0x00000ff3, 
      0xdeff1003, 0xa1b6088f, 0xfdc0781a, 0x00000ff2, 
      0xdeff1002, 0xc1b4086f, 0xfdc07b1a, 0x00000ff2, 
      0xddff1002, 0xd1b3084f, 0xfdd07d1a, 0x00000ff2, 
      0xddff2003, 0xf1b1081f, 0xfdd07f1a, 0x00000ff1,
   },
   { /* Y scale factor = 0.49, phases = 127, taps = 9. */
      0x7bfdaff3, 0xc1b81b60, 0xff2fd907, 0x00000003, 
      0x78fd9ff2, 0xf1ba1b50, 0xff2fda07, 0x00000003, 
      0x75fd9ff3, 0x11bc1b30, 0xff2fda08, 0x00000003, 
      0x73fd9ff3, 0x41be1b10, 0xff1fda08, 0x00000003, 
      0x71fd9ff4, 0x61bf1af0, 0xff1fda08, 0x00000003, 
      0x6efd9ff4, 0x81c11ad0, 0xff1fdb08, 0x00000003, 
      0x6cfd8ff4, 0xb1c31ab0, 0xff1fdb08, 0x00000003, 
      0x6afd8ff5, 0xd1c41aa0, 0xff0fdb08, 0x00000003, 
      0x68fd8ff4, 0x01c61a70, 0xff0fdc09, 0x00000003, 
      0x65fd8ff5, 0x21c81a50, 0xff0fdc09, 0x00000003, 
      0x63fd8ff6, 0x51c91a30, 0xfeffdc09, 0x00000003, 
      0x61fd8ff5, 0x71cb1a10, 0xfeffdd09, 0x00000003, 
      0x5ffd7ff6, 0xa1cc19f0, 0xfeffdd09, 0x00000003, 
      0x5dfd7ff7, 0xc1ce19d0, 0xfeefdd09, 0x00000003, 
      0x5bfd7ff6, 0xf1cf19b0, 0xfeefde09, 0x00000003, 
      0x58fd7ff7, 0x11d11990, 0xfeefde0a, 0x00000003, 
      0x56fd7ff6, 0x41d21970, 0xfeefdf0a, 0x00000003, 
      0x54fd7ff7, 0x61d41950, 0xfedfdf0a, 0x00000003, 
      0x52fd7ff7, 0x91d51920, 0xfedfe00a, 0x00000003, 
      0x50fd7ff8, 0xc1d61900, 0xfedfe00a, 0x00000002, 
      0x4efd7ff8, 0xe1d818e0, 0xfecfe10a, 0x00000002, 
      0x4cfd7ff8, 0x11d918c0, 0xfecfe10b, 0x00000002, 
      0x4afd7ff9, 0x31da1890, 0xfecfe20b, 0x00000002, 
      0x48fd7ff9, 0x61dc1870, 0xfebfe20b, 0x00000002, 
      0x46fd7ff8, 0x91dd1850, 0xfebfe30b, 0x00000002, 
      0x44fd7ff9, 0xb1de1830, 0xfebfe30b, 0x00000002, 
      0x42fd8ff9, 0xe1df1800, 0xfeafe40b, 0x00000002, 
      0x40fd8ff9, 0x01e017e0, 0xfeafe50c, 0x00000002, 
      0x3efd8ff9, 0x31e117c0, 0xfeafe50c, 0x00000002, 
      0x3cfd8ffa, 0x61e21790, 0xfe9fe60c, 0x00000002, 
      0x3bfd8ffa, 0x81e31770, 0xfe9fe60c, 0x00000002, 
      0x39fd8ffa, 0xb1e41740, 0xfe9fe70c, 0x00000002, 
      0x37fd8ffa, 0xe1e51720, 0xfe8fe80c, 0x00000002, 
      0x35fd8ffa, 0x01e61700, 0xfe8fe90d, 0x00000002, 
      0x33fd8ffb, 0x31e716d0, 0xfe8fe90d, 0x00000002, 
      0x31fd9ffb, 0x61e816b0, 0xfe7fea0d, 0x00000001, 
      0x2ffd9ffb, 0x91e91680, 0xfe7feb0d, 0x00000001, 
      0x2efd8ffb, 0xb1ea1660, 0xfe7fec0d, 0x00000001, 
      0x2cfd9ffc, 0xe1eb1630, 0xfe6fec0d, 0x00000001, 
      0x2afd9ffc, 0x11eb1610, 0xfe6fed0e, 0x00000001, 
      0x28fdaffc, 0x31ec15e0, 0xfe6fee0e, 0x00000001, 
      0x27fd9ffc, 0x61ed15c0, 0xfe5fef0e, 0x00000001, 
      0x25fdaffc, 0x91ed1590, 0xfe5ff00e, 0x00000001, 
      0x23fdaffc, 0xb1ee1570, 0xfe5ff10e, 0x00000001, 
      0x22fdaffc, 0xe1ef1540, 0xfe4ff20e, 0x00000001, 
      0x20fdaffc, 0x11ef1520, 0xfe4ff30f, 0x00000001, 
      0x1ffdaffc, 0x41f014f0, 0xfe4ff30f, 0x00000001, 
      0x1dfdbffd, 0x61f014c0, 0xfe4ff40f, 0x00000001, 
      0x1cfdbffd, 0x91f114a0, 0xfe3ff50f, 0x00000000, 
      0x1afdbffe, 0xc1f11470, 0xfe3ff60f, 0x00000000, 
      0x18fdbffd, 0xf1f21450, 0xfe3ff70f, 0x00000000, 
      0x17fdcffe, 0x11f21420, 0xfe2ff810, 0x00000000, 
      0x15fdcffd, 0x41f313f0, 0xfe2ffa10, 0x00000000, 
      0x14fdbffd, 0x71f313d0, 0xfe2ffb10, 0x00000000, 
      0x12fddffe, 0x91f313a0, 0xfe1ffc10, 0x00000000, 
      0x11fddffe, 0xc1f31370, 0xfe1ffd10, 0x00000000, 
      0x0ffdcffe, 0xf1f41350, 0xfe1ffe10, 0x00000000, 
      0x0efddffe, 0x21f41320, 0xfe0fff11, 0x00000000, 
      0x0dfdefff, 0x41f412f0, 0xfe000011, 0x00000fff, 
      0x0cfdeffe, 0x71f412d0, 0xfe000111, 0x00000fff, 
      0x0afdeffe, 0xa1f412a0, 0xfe000311, 0x00000fff, 
      0x09fdefff, 0xd1f41270, 0xfdf00411, 0x00000fff, 
      0x08fdefff, 0xf1f41250, 0xfdf00511, 0x00000fff, 
      0x06fdffff, 0x21f41220, 0xfdf00612, 0x00000fff, 
      0x05fdffff, 0x51f411f0, 0xfde00812, 0x00000fff, 
      0x04fdffff, 0x71f411d0, 0xfde00912, 0x00000fff, 
      0x03fdffff, 0xa1f411a0, 0xfde00a12, 0x00000fff, 
      0x01fe0fff, 0xd1f41170, 0xfde00c12, 0x00000ffe, 
      0x00fe1000, 0xf1f41140, 0xfdd00d12, 0x00000ffe, 
      0xfffe0000, 0x21f4112f, 0xfdd00e13, 0x00000ffe, 
      0xfefe0fff, 0x51f410ff, 0xfdd01013, 0x00000ffe, 
      0xfdfe2000, 0x71f310cf, 0xfdc01113, 0x00000ffe, 
      0xfcfe2000, 0xa1f3109f, 0xfdc01213, 0x00000ffe, 
      0xfbfe1fff, 0xd1f3107f, 0xfdc01413, 0x00000ffe, 
      0xfafe2000, 0xf1f3104f, 0xfdc01513, 0x00000ffd, 
      0xf8fe3001, 0x21f2101f, 0xfdb01714, 0x00000ffd, 
      0xf7fe3000, 0x51f20fff, 0xfdb01814, 0x00000ffd, 
      0xf6fe3001, 0x71f10fcf, 0xfdb01a14, 0x00000ffd, 
      0xf5fe3001, 0xa1f10f9f, 0xfdb01b14, 0x00000ffd, 
      0xf4fe4001, 0xc1f00f6f, 0xfdb01d14, 0x00000ffd, 
      0xf3fe4000, 0xf1f00f4f, 0xfda01f14, 0x00000ffd, 
      0xf3fe4001, 0x21ef0f1f, 0xfda02015, 0x00000ffc, 
      0xf2fe4001, 0x41ef0eef, 0xfda02215, 0x00000ffc, 
      0xf1fe5001, 0x71ee0ebf, 0xfda02315, 0x00000ffc, 
      0xf0fe5001, 0x91ed0e9f, 0xfda02515, 0x00000ffc, 
      0xeffe5001, 0xc1ed0e6f, 0xfd902715, 0x00000ffc, 
      0xeefe6002, 0xe1ec0e3f, 0xfd902815, 0x00000ffc, 
      0xedfe6002, 0x11eb0e1f, 0xfd902a16, 0x00000ffb, 
      0xecfe6002, 0x31eb0def, 0xfd902c16, 0x00000ffb, 
      0xecfe6001, 0x61ea0dbf, 0xfd902e16, 0x00000ffb, 
      0xebfe7001, 0x81e90d9f, 0xfd902f16, 0x00000ffb, 
      0xeafe7002, 0xb1e80d6f, 0xfd803116, 0x00000ffb, 
      0xe9fe8002, 0xd1e70d3f, 0xfd803316, 0x00000ffb, 
      0xe9fe8002, 0x01e60d0f, 0xfd803517, 0x00000ffa, 
      0xe8fe8002, 0x21e50cef, 0xfd803717, 0x00000ffa, 
      0xe8fe9002, 0x41e40cbf, 0xfd803817, 0x00000ffa, 
      0xe6fea002, 0x71e30c8f, 0xfd803a17, 0x00000ffa, 
      0xe6fe9002, 0x91e20c6f, 0xfd803c17, 0x00000ffa, 
      0xe5fea002, 0xc1e10c3f, 0xfd803e17, 0x00000ff9, 
      0xe5fea002, 0xe1e00c0f, 0xfd804017, 0x00000ff9, 
      0xe4fea003, 0x01df0bef, 0xfd704218, 0x00000ff9, 
      0xe3feb002, 0x31de0bbf, 0xfd704418, 0x00000ff9, 
      0xe2feb002, 0x51dd0b9f, 0xfd704618, 0x00000ff9, 
      0xe2feb003, 0x71dc0b6f, 0xfd704818, 0x00000ff8, 
      0xe2fec003, 0x91da0b3f, 0xfd704a18, 0x00000ff8, 
      0xe1fec002, 0xc1d90b1f, 0xfd704c18, 0x00000ff8, 
      0xe1fec002, 0xe1d80aef, 0xfd704e18, 0x00000ff8, 
      0xe0fed003, 0x01d60acf, 0xfd705019, 0x00000ff7, 
      0xe0fed003, 0x21d50a9f, 0xfd705219, 0x00000ff7, 
      0xdffed003, 0x51d40a6f, 0xfd705419, 0x00000ff7, 
      0xdffee002, 0x71d20a4f, 0xfd705619, 0x00000ff7, 
      0xdffee003, 0x91d10a1f, 0xfd705819, 0x00000ff6, 
      0xdefee003, 0xb1cf09ff, 0xfd705b19, 0x00000ff6, 
      0xddfef003, 0xd1ce09cf, 0xfd705d19, 0x00000ff6, 
      0xddfef003, 0xf1cc09af, 0xfd705f19, 0x00000ff6, 
      0xddfef002, 0x11cb097f, 0xfd80611a, 0x00000ff6, 
      0xdcff0003, 0x31c9095f, 0xfd80631a, 0x00000ff5, 
      0xdcff0003, 0x51c8092f, 0xfd80651a, 0x00000ff5, 
      0xdbff0003, 0x71c6090f, 0xfd80681a, 0x00000ff5, 
      0xdbff1004, 0x91c408df, 0xfd806a1a, 0x00000ff4, 
      0xdbff1003, 0xb1c308bf, 0xfd806c1a, 0x00000ff4, 
      0xdbff1004, 0xd1c1088f, 0xfd806e1a, 0x00000ff4, 
      0xdaff1004, 0xf1bf086f, 0xfd80711a, 0x00000ff4, 
      0xdaff1003, 0x11be084f, 0xfd90731b, 0x00000ff3, 
      0xdaff2003, 0x31bc081f, 0xfd90751b, 0x00000ff3, 
      0xd9ff2003, 0x51ba07ff, 0xfd90781b, 0x00000ff3, 
      0xd9ff3004, 0x61b807cf, 0xfd907a1b, 0x00000ff3,
   },
   { /* Y scale factor = 0.50, phases = 127, taps = 9. */
      0x75fd5ff3, 0x71c01be0, 0xff4fd607, 0x00000004, 
      0x72fd6ff5, 0x91c11bc0, 0xff3fd607, 0x00000004, 
      0x70fd5ff5, 0xc1c31ba0, 0xff3fd607, 0x00000004, 
      0x6efd5ff5, 0xe1c51b80, 0xff3fd607, 0x00000004, 
      0x6bfd5ff5, 0x11c71b60, 0xff2fd708, 0x00000004, 
      0x69fd5ff5, 0x31c91b40, 0xff2fd708, 0x00000004, 
      0x66fd5ff5, 0x61cb1b20, 0xff2fd708, 0x00000004, 
      0x64fd5ff6, 0x81cc1b00, 0xff2fd708, 0x00000004, 
      0x62fd4ff6, 0xb1ce1ae0, 0xff1fd808, 0x00000004, 
      0x60fd4ff6, 0xd1d01ac0, 0xff1fd808, 0x00000004, 
      0x5dfd5ff7, 0x01d11a90, 0xff1fd809, 0x00000004, 
      0x5bfd5ff6, 0x31d31a70, 0xff0fd909, 0x00000004, 
      0x59fd4ff7, 0x51d51a50, 0xff0fd909, 0x00000004, 
      0x57fd5ff7, 0x81d61a30, 0xff0fd909, 0x00000003, 
      0x55fd5ff7, 0xa1d81a10, 0xfeffda09, 0x00000003, 
      0x52fd5ff8, 0xd1d919f0, 0xfeffda09, 0x00000003, 
      0x50fd5ff8, 0x01db19c0, 0xfeffda0a, 0x00000003, 
      0x4efd5ff9, 0x21dc19a0, 0xfeefdb0a, 0x00000003, 
      0x4cfd5ff8, 0x51de1980, 0xfeefdb0a, 0x00000003, 
      0x4afd5ff9, 0x71df1950, 0xfeefdc0a, 0x00000003, 
      0x48fd5ff9, 0xa1e11930, 0xfedfdc0a, 0x00000003, 
      0x46fd5ff9, 0xd1e21910, 0xfedfdc0a, 0x00000003, 
      0x44fd5ff9, 0x01e318e0, 0xfedfdd0b, 0x00000003, 
      0x42fd5ffa, 0x21e518c0, 0xfecfdd0b, 0x00000003, 
      0x40fd5ff9, 0x51e618a0, 0xfecfde0b, 0x00000003, 
      0x3efd5ffa, 0x81e71870, 0xfecfde0b, 0x00000003, 
      0x3cfd6ffa, 0xa1e81850, 0xfebfdf0b, 0x00000003, 
      0x3afd6ffa, 0xd1e91820, 0xfebfe00b, 0x00000003, 
      0x38fd5ffa, 0x01eb1800, 0xfebfe00c, 0x00000003, 
      0x36fd6ffa, 0x31ec17d0, 0xfeafe10c, 0x00000003, 
      0x34fd6ffb, 0x51ed17b0, 0xfeafe10c, 0x00000003, 
      0x32fd6ffb, 0x81ee1780, 0xfeafe20c, 0x00000003, 
      0x30fd6ffc, 0xb1ef1760, 0xfe9fe30c, 0x00000002, 
      0x2efd7ffc, 0xe1f01730, 0xfe9fe30c, 0x00000002, 
      0x2cfd7ffc, 0x01f11710, 0xfe9fe40d, 0x00000002, 
      0x2bfd7ffc, 0x31f216e0, 0xfe8fe50d, 0x00000002, 
      0x29fd7ffc, 0x61f316c0, 0xfe8fe50d, 0x00000002, 
      0x27fd7ffd, 0x91f41690, 0xfe7fe60d, 0x00000002, 
      0x25fd8ffd, 0xc1f41660, 0xfe7fe70d, 0x00000002, 
      0x24fd8ffc, 0xe1f51640, 0xfe7fe80d, 0x00000002, 
      0x22fd8ffd, 0x11f61610, 0xfe6fe90e, 0x00000002, 
      0x20fd8ffd, 0x41f715f0, 0xfe6fe90e, 0x00000002, 
      0x1ffd8ffd, 0x71f715c0, 0xfe6fea0e, 0x00000002, 
      0x1dfd9ffd, 0xa1f81590, 0xfe5feb0e, 0x00000002, 
      0x1bfd9ffd, 0xc1f91570, 0xfe5fec0e, 0x00000002, 
      0x1afd9ffd, 0xf1f91540, 0xfe5fed0e, 0x00000002, 
      0x18fd9ffe, 0x21fa1510, 0xfe4fee0f, 0x00000002, 
      0x16fdaffe, 0x51fb14e0, 0xfe4fef0f, 0x00000001, 
      0x15fd9ffe, 0x81fb14c0, 0xfe4ff00f, 0x00000001, 
      0x13fdafff, 0xb1fc1490, 0xfe3ff00f, 0x00000001, 
      0x12fdbfff, 0xd1fc1460, 0xfe3ff10f, 0x00000001, 
      0x10fdbfff, 0x01fc1440, 0xfe3ff210, 0x00000001, 
      0x0ffdbfff, 0x31fd1410, 0xfe2ff310, 0x00000001, 
      0x0dfdbfff, 0x61fd13e0, 0xfe2ff510, 0x00000001, 
      0x0cfdcfff, 0x91fd13b0, 0xfe1ff610, 0x00000001, 
      0x0bfdbfff, 0xc1fe1380, 0xfe1ff710, 0x00000001, 
      0x09fdcfff, 0xe1fe1360, 0xfe1ff810, 0x00000001, 
      0x08fddfff, 0x11fe1330, 0xfe0ff911, 0x00000001, 
      0x06fdd000, 0x41fe1300, 0xfe0ffa11, 0x00000001, 
      0x05fdd000, 0x71ff12d0, 0xfe0ffb11, 0x00000000, 
      0x04fdefff, 0xa1ff12b0, 0xfdfffc11, 0x00000000, 
      0x03fdefff, 0xc1ff1280, 0xfdfffe11, 0x00000000, 
      0x01fde000, 0xf1ff1250, 0xfdffff11, 0x00000000, 
      0x00fdf000, 0x21ff1220, 0xfde00012, 0x00000000, 
      0xfffdf000, 0x51ff11ff, 0xfde00112, 0x00000000, 
      0xfdfdf000, 0x81ff11cf, 0xfde00312, 0x00000000, 
      0xfcfdf000, 0xb1ff119f, 0xfde00412, 0x00000000, 
      0xfbfe0000, 0xd1ff117f, 0xfdd00512, 0x00000000, 
      0xfafe1001, 0x01fe114f, 0xfdd00613, 0x00000fff, 
      0xf9fe0001, 0x31fe111f, 0xfdd00813, 0x00000fff, 
      0xf8fe1001, 0x61fe10ef, 0xfdc00913, 0x00000fff, 
      0xf7fe1000, 0x81fe10cf, 0xfdc00b13, 0x00000fff, 
      0xf6fe1001, 0xb1fd109f, 0xfdc00c13, 0x00000fff, 
      0xf5fe2001, 0xe1fd106f, 0xfdb00d13, 0x00000fff, 
      0xf3fe2001, 0x11fd103f, 0xfdb00f14, 0x00000fff, 
      0xf2fe3001, 0x41fc100f, 0xfdb01014, 0x00000fff, 
      0xf1fe3002, 0x61fc0fdf, 0xfdb01214, 0x00000ffe, 
      0xf0fe3002, 0x91fc0fbf, 0xfda01314, 0x00000ffe, 
      0xf0fe3001, 0xc1fb0f8f, 0xfda01514, 0x00000ffe, 
      0xeffe4001, 0xe1fb0f5f, 0xfda01614, 0x00000ffe, 
      0xeefe4002, 0x11fa0f2f, 0xfd901815, 0x00000ffe, 
      0xedfe5001, 0x41f90eff, 0xfd901a15, 0x00000ffe, 
      0xecfe5001, 0x71f90ecf, 0xfd901b15, 0x00000ffe, 
      0xebfe5002, 0x91f80eaf, 0xfd901d15, 0x00000ffd, 
      0xeafe6002, 0xc1f70e7f, 0xfd801f15, 0x00000ffd, 
      0xe9fe6002, 0xf1f70e4f, 0xfd802015, 0x00000ffd, 
      0xe9fe6002, 0x11f60e1f, 0xfd802216, 0x00000ffd, 
      0xe8fe6002, 0x41f50def, 0xfd802416, 0x00000ffd, 
      0xe7fe7002, 0x61f40dcf, 0xfd802516, 0x00000ffd, 
      0xe6fe7003, 0x91f40d9f, 0xfd702716, 0x00000ffc, 
      0xe5fe8002, 0xc1f30d6f, 0xfd702916, 0x00000ffc, 
      0xe5fe8002, 0xe1f20d3f, 0xfd702b16, 0x00000ffc, 
      0xe4fe9002, 0x11f10d0f, 0xfd702c17, 0x00000ffc, 
      0xe3fe9002, 0x31f00cef, 0xfd702e17, 0x00000ffc, 
      0xe3fe9003, 0x61ef0cbf, 0xfd603017, 0x00000ffb, 
      0xe2fea003, 0x81ee0c8f, 0xfd603217, 0x00000ffb, 
      0xe1fea003, 0xb1ed0c5f, 0xfd603417, 0x00000ffb, 
      0xe1fea002, 0xd1ec0c3f, 0xfd603617, 0x00000ffb, 
      0xe0fea002, 0x01eb0c0f, 0xfd603818, 0x00000ffb, 
      0xe0feb003, 0x21e90bdf, 0xfd603a18, 0x00000ffa, 
      0xdffeb003, 0x51e80baf, 0xfd603c18, 0x00000ffa, 
      0xdefec003, 0x71e70b8f, 0xfd503e18, 0x00000ffa, 
      0xdefec002, 0xa1e60b5f, 0xfd504018, 0x00000ffa, 
      0xddfec003, 0xc1e50b2f, 0xfd504218, 0x00000ffa, 
      0xddfed003, 0xe1e30b0f, 0xfd504418, 0x00000ff9, 
      0xdcfed003, 0x11e20adf, 0xfd504619, 0x00000ff9, 
      0xdcfed003, 0x31e10aaf, 0xfd504819, 0x00000ff9, 
      0xdcfee003, 0x51df0a7f, 0xfd504a19, 0x00000ff9, 
      0xdbfee003, 0x81de0a4f, 0xfd504c19, 0x00000ff9, 
      0xdbfee004, 0xa1dc0a2f, 0xfd504e19, 0x00000ff8, 
      0xdafef003, 0xc1db0a0f, 0xfd505019, 0x00000ff8, 
      0xdafef003, 0xf1d909df, 0xfd505219, 0x00000ff8, 
      0xd9fef003, 0x11d809af, 0xfd50551a, 0x00000ff8, 
      0xd9ff0003, 0x31d6098f, 0xfd50571a, 0x00000ff7, 
      0xd9ff0003, 0x51d5095f, 0xfd50591a, 0x00000ff7, 
      0xd9ff0003, 0x71d3093f, 0xfd505b1a, 0x00000ff7, 
      0xd8ff1004, 0x91d1090f, 0xfd505d1a, 0x00000ff7, 
      0xd8ff1003, 0xc1d008df, 0xfd50601a, 0x00000ff6, 
      0xd8ff1003, 0xe1ce08bf, 0xfd50621a, 0x00000ff6, 
      0xd7ff2004, 0x01cc088f, 0xfd50641b, 0x00000ff6, 
      0xd7ff1003, 0x21cb086f, 0xfd50671b, 0x00000ff6, 
      0xd7ff2004, 0x41c9083f, 0xfd50691b, 0x00000ff5, 
      0xd7ff2004, 0x61c7081f, 0xfd506b1b, 0x00000ff5, 
      0xd6ff3004, 0x81c507ef, 0xfd506e1b, 0x00000ff5, 
      0xd6ff4004, 0xa1c307cf, 0xfd50701b, 0x00000ff4, 
      0xd6ff3005, 0xc1c1079f, 0xfd60721b, 0x00000ff4, 
      0xd5ff3004, 0xe1c0077f, 0xfd60751b, 0x00000ff4,
   },
   { /* Y scale factor = 0.51, phases = 127, taps = 9. */
      0x6ffd2ff5, 0x11c71c50, 0xff5fd307, 0x00000005, 
      0x6cfd2ff5, 0x41c91c30, 0xff5fd307, 0x00000005, 
      0x6afd2ff6, 0x61cb1c10, 0xff4fd307, 0x00000005, 
      0x68fd2ff6, 0x91cd1bf0, 0xff4fd307, 0x00000004, 
      0x65fd2ff7, 0xb1cf1bd0, 0xff4fd307, 0x00000004, 
      0x63fd3ff7, 0xe1d01ba0, 0xff4fd307, 0x00000004, 
      0x61fd2ff7, 0x11d21b80, 0xff3fd408, 0x00000004, 
      0x5efd2ff8, 0x31d41b60, 0xff3fd408, 0x00000004, 
      0x5cfd2ff7, 0x61d61b40, 0xff3fd408, 0x00000004, 
      0x5afd2ff8, 0x81d81b20, 0xff2fd408, 0x00000004, 
      0x57fd2ff9, 0xb1d91b00, 0xff2fd408, 0x00000004, 
      0x55fd2ff8, 0xe1db1ad0, 0xff2fd508, 0x00000004, 
      0x53fd2ff9, 0x01dd1ab0, 0xff1fd509, 0x00000004, 
      0x50fd2ff9, 0x31df1a90, 0xff1fd509, 0x00000004, 
      0x4efd3ff9, 0x61e01a60, 0xff1fd509, 0x00000004, 
      0x4cfd2ffa, 0x81e21a40, 0xff0fd609, 0x00000004, 
      0x4afd3ff9, 0xb1e31a20, 0xff0fd609, 0x00000004, 
      0x48fd3ff9, 0xe1e519f0, 0xff0fd609, 0x00000004, 
      0x46fd3ffa, 0x01e619d0, 0xfeffd70a, 0x00000004, 
      0x43fd3ffa, 0x31e819b0, 0xfeffd70a, 0x00000004, 
      0x41fd3ffa, 0x61e91980, 0xfeffd80a, 0x00000004, 
      0x3ffd3ffa, 0x91eb1960, 0xfeefd80a, 0x00000004, 
      0x3dfd4ffb, 0xb1ec1930, 0xfeefd80a, 0x00000004, 
      0x3bfd3ffb, 0xe1ee1900, 0xfeefd90a, 0x00000004, 
      0x39fd4ffb, 0x11ef18e0, 0xfedfd90b, 0x00000004, 
      0x37fd3ffb, 0x41f018c0, 0xfedfda0b, 0x00000004, 
      0x35fd4ffc, 0x71f11890, 0xfecfda0b, 0x00000004, 
      0x33fd4ffc, 0x91f31860, 0xfecfdb0b, 0x00000004, 
      0x31fd4ffd, 0xc1f41840, 0xfecfdb0b, 0x00000003, 
      0x2ffd5ffd, 0xf1f51810, 0xfebfdc0b, 0x00000003, 
      0x2dfd5ffd, 0x21f617f0, 0xfebfdc0c, 0x00000003, 
      0x2bfd5ffd, 0x51f717c0, 0xfebfdd0c, 0x00000003, 
      0x2afd5ffd, 0x81f81790, 0xfeafde0c, 0x00000003, 
      0x28fd5ffd, 0xa1fa1770, 0xfeafde0c, 0x00000003, 
      0x26fd5ffd, 0xd1fb1740, 0xfeafdf0c, 0x00000003, 
      0x24fd6ffe, 0x01fb1710, 0xfe9fe00d, 0x00000003, 
      0x22fd6ffe, 0x31fc16f0, 0xfe9fe00d, 0x00000003, 
      0x20fd7ffe, 0x61fd16c0, 0xfe8fe10d, 0x00000003, 
      0x1ffd7ffd, 0x91fe1690, 0xfe8fe20d, 0x00000003, 
      0x1dfd6ffe, 0xc1ff1670, 0xfe8fe20d, 0x00000003, 
      0x1bfd7ffe, 0xf2001640, 0xfe7fe30d, 0x00000003, 
      0x1afd7ffe, 0x12011610, 0xfe7fe40e, 0x00000003, 
      0x18fd8ffe, 0x420115e0, 0xfe7fe50e, 0x00000003, 
      0x17fd8fff, 0x720215b0, 0xfe6fe50e, 0x00000003, 
      0x15fd8ffe, 0xa2031590, 0xfe6fe60e, 0x00000003, 
      0x13fd9fff, 0xd2031560, 0xfe5fe70e, 0x00000003, 
      0x11fd9000, 0x02041530, 0xfe5fe80f, 0x00000002, 
      0x10fd9fff, 0x32051500, 0xfe5fe90f, 0x00000002, 
      0x0efda000, 0x620514d0, 0xfe4fea0f, 0x00000002, 
      0x0dfd9fff, 0x920614b0, 0xfe4feb0f, 0x00000002, 
      0x0bfda000, 0xc2061480, 0xfe3fec0f, 0x00000002, 
      0x0afdafff, 0xf2071450, 0xfe3fed0f, 0x00000002, 
      0x08fdbfff, 0x22071420, 0xfe3fee10, 0x00000002, 
      0x07fdb000, 0x520713f0, 0xfe2fef10, 0x00000002, 
      0x05fdb000, 0x820813c0, 0xfe2ff010, 0x00000002, 
      0x04fdb000, 0xb2081390, 0xfe2ff110, 0x00000002, 
      0x03fdc001, 0xd2081360, 0xfe1ff210, 0x00000002, 
      0x01fdc001, 0x02081340, 0xfe1ff311, 0x00000002, 
      0x00fdd000, 0x32091310, 0xfe0ff411, 0x00000002, 
      0xfffdd001, 0x620912ef, 0xfe0ff511, 0x00000001, 
      0xfdfde001, 0x920912bf, 0xfe0ff611, 0x00000001, 
      0xfdfde001, 0xc209128f, 0xfdfff711, 0x00000001, 
      0xfbfdf001, 0xf209125f, 0xfdfff811, 0x00000001, 
      0xfafde001, 0x2209122f, 0xfdfffa12, 0x00000001, 
      0xf8fdf002, 0x520911ff, 0xfdeffb12, 0x00000001, 
      0xf7fdf002, 0x820911cf, 0xfdeffc12, 0x00000001, 
      0xf6fe0001, 0xb209119f, 0xfdeffd12, 0x00000001, 
      0xf5fe0001, 0xe209116f, 0xfddfff12, 0x00000001, 
      0xf4fe0001, 0x1209113f, 0xfdd00013, 0x00000001, 
      0xf3fe1002, 0x4208111f, 0xfdc00113, 0x00000000, 
      0xf2fe2002, 0x620810df, 0xfdc00313, 0x00000000, 
      0xf1fe2001, 0x920810bf, 0xfdc00413, 0x00000000, 
      0xf0fe2002, 0xc208108f, 0xfdb00513, 0x00000000, 
      0xeffe2002, 0xf207105f, 0xfdb00713, 0x00000000, 
      0xeefe2002, 0x2207102f, 0xfdb00814, 0x00000000, 
      0xecfe3002, 0x52070fff, 0xfda00a14, 0x00000000, 
      0xecfe3002, 0x82060fcf, 0xfda00b14, 0x00000000, 
      0xebfe3002, 0xb2060f9f, 0xfda00d14, 0x00000fff, 
      0xeafe5003, 0xd2050f6f, 0xfd900e14, 0x00000fff, 
      0xe9fe5002, 0x02050f3f, 0xfd901015, 0x00000fff, 
      0xe8fe5003, 0x32040f0f, 0xfd901115, 0x00000fff, 
      0xe7fe5003, 0x62030edf, 0xfd901315, 0x00000fff, 
      0xe6fe6002, 0x92030eaf, 0xfd801515, 0x00000fff, 
      0xe5fe7003, 0xb2020e7f, 0xfd801615, 0x00000fff, 
      0xe5fe7003, 0xe2010e4f, 0xfd801815, 0x00000ffe, 
      0xe4fe7003, 0x12010e1f, 0xfd701a16, 0x00000ffe, 
      0xe3fe7003, 0x42000dff, 0xfd701b16, 0x00000ffe, 
      0xe2fe8002, 0x71ff0dcf, 0xfd701d16, 0x00000ffe, 
      0xe2fe8002, 0x91fe0d9f, 0xfd701f16, 0x00000ffe, 
      0xe1fe8004, 0xc1fd0d6f, 0xfd602016, 0x00000ffe, 
      0xe0fe9003, 0xf1fc0d3f, 0xfd602216, 0x00000ffe, 
      0xe0fe9004, 0x11fb0d0f, 0xfd602417, 0x00000ffd, 
      0xdffe9003, 0x41fb0cdf, 0xfd602617, 0x00000ffd, 
      0xdefea003, 0x71fa0caf, 0xfd502817, 0x00000ffd, 
      0xdefea003, 0x91f80c8f, 0xfd502a17, 0x00000ffd, 
      0xddfeb003, 0xc1f70c5f, 0xfd502b17, 0x00000ffd, 
      0xdcfeb004, 0xf1f60c2f, 0xfd502d17, 0x00000ffc, 
      0xdcfec004, 0x11f50bff, 0xfd402f18, 0x00000ffc, 
      0xdbfec004, 0x41f40bcf, 0xfd403118, 0x00000ffc, 
      0xdbfec004, 0x61f30b9f, 0xfd403318, 0x00000ffc, 
      0xdafec004, 0x91f10b7f, 0xfd403518, 0x00000ffc, 
      0xdafed003, 0xc1f00b4f, 0xfd403718, 0x00000ffb, 
      0xd9fed004, 0xe1ef0b1f, 0xfd403918, 0x00000ffb, 
      0xd9fee003, 0x11ee0aef, 0xfd303b19, 0x00000ffb, 
      0xd9fee004, 0x31ec0abf, 0xfd303d19, 0x00000ffb, 
      0xd8fee003, 0x61eb0a9f, 0xfd303f19, 0x00000ffb, 
      0xd8fef004, 0x81e90a6f, 0xfd304119, 0x00000ffa, 
      0xd7fef004, 0xb1e80a3f, 0xfd304319, 0x00000ffa, 
      0xd7fef004, 0xd1e60a0f, 0xfd304619, 0x00000ffa, 
      0xd6ff0003, 0xf1e509ef, 0xfd304819, 0x00000ffa, 
      0xd6ff0004, 0x21e309bf, 0xfd304a1a, 0x00000ff9, 
      0xd6ff0005, 0x41e2098f, 0xfd204c1a, 0x00000ff9, 
      0xd5ff1005, 0x61e0096f, 0xfd204e1a, 0x00000ff9, 
      0xd5ff1004, 0x91df093f, 0xfd20501a, 0x00000ff9, 
      0xd5ff1004, 0xb1dd090f, 0xfd20531a, 0x00000ff9, 
      0xd5ff2004, 0xd1db08ef, 0xfd20551a, 0x00000ff8, 
      0xd4ff2005, 0x01d908bf, 0xfd20571b, 0x00000ff8, 
      0xd4ff2004, 0x21d8088f, 0xfd205a1b, 0x00000ff8, 
      0xd4ff3004, 0x41d6086f, 0xfd205c1b, 0x00000ff7, 
      0xd4ff3005, 0x61d4083f, 0xfd205e1b, 0x00000ff7, 
      0xd4ff3004, 0x81d2081f, 0xfd20611b, 0x00000ff7, 
      0xd3ff4005, 0xa1d007ef, 0xfd20631b, 0x00000ff7, 
      0xd3ff4005, 0xd1cf07bf, 0xfd20651b, 0x00000ff6, 
      0xd3ff4004, 0xf1cd079f, 0xfd20681b, 0x00000ff6, 
      0xd3ff4005, 0x11cb076f, 0xfd206a1c, 0x00000ff6, 
      0xd3ff4004, 0x31c9074f, 0xfd206d1c, 0x00000ff6, 
      0xd3ff5004, 0x51c7071f, 0xfd306f1c, 0x00000ff5,
   },
   { /* Y scale factor = 0.52, phases = 127, taps = 9. */
      0x69fcfff6, 0xc1ce1cc0, 0xff7fd006, 0x00000005, 
      0x67fcfff7, 0xe1d01ca0, 0xff6fd006, 0x00000005, 
      0x64fd0ff7, 0x11d21c70, 0xff6fd007, 0x00000005, 
      0x62fd0ff7, 0x31d41c50, 0xff6fd007, 0x00000005, 
      0x5ffd0ff8, 0x61d61c30, 0xff5fd007, 0x00000005, 
      0x5dfd0ff8, 0x81d81c10, 0xff5fd007, 0x00000005, 
      0x5afd0ff8, 0xb1da1bf0, 0xff5fd007, 0x00000005, 
      0x58fd0ff9, 0xe1dc1bc0, 0xff4fd007, 0x00000005, 
      0x56fd0ff9, 0x01de1ba0, 0xff4fd008, 0x00000005, 
      0x53fcfff9, 0x31e01b80, 0xff4fd108, 0x00000005, 
      0x51fd0ffa, 0x61e11b50, 0xff3fd108, 0x00000005, 
      0x4ffd0ffa, 0x81e31b30, 0xff3fd108, 0x00000005, 
      0x4cfd0ffa, 0xb1e51b10, 0xff3fd108, 0x00000005, 
      0x4afd0ffb, 0xe1e71ae0, 0xff2fd108, 0x00000005, 
      0x47fd0ffa, 0x11e91ac0, 0xff2fd209, 0x00000005, 
      0x46fd0ffb, 0x31ea1a90, 0xff2fd209, 0x00000005, 
      0x43fd1ffb, 0x61ec1a70, 0xff1fd209, 0x00000005, 
      0x41fd1ffc, 0x91ed1a40, 0xff1fd209, 0x00000005, 
      0x3ffd0ffb, 0xc1ef1a20, 0xff1fd309, 0x00000005, 
      0x3dfd1ffc, 0xe1f119f0, 0xff0fd309, 0x00000005, 
      0x3bfd2ffc, 0x11f219d0, 0xff0fd30a, 0x00000004, 
      0x39fd1ffc, 0x41f419a0, 0xff0fd40a, 0x00000004, 
      0x36fd2ffd, 0x71f51980, 0xfeffd40a, 0x00000004, 
      0x34fd2ffd, 0xa1f71950, 0xfeffd40a, 0x00000004, 
      0x32fd2ffd, 0xd1f81920, 0xfeffd50a, 0x00000004, 
      0x31fd3ffd, 0xf1f91900, 0xfeefd50a, 0x00000004, 
      0x2efd3ffd, 0x21fb18d0, 0xfeefd60b, 0x00000004, 
      0x2dfd3ffe, 0x51fc18a0, 0xfedfd60b, 0x00000004, 
      0x2afd3ffe, 0x81fd1880, 0xfedfd70b, 0x00000004, 
      0x28fd4ffe, 0xb1fe1850, 0xfedfd70b, 0x00000004, 
      0x27fd4ffd, 0xe2001820, 0xfecfd80b, 0x00000004, 
      0x25fd3ffe, 0x12011800, 0xfecfd80c, 0x00000004, 
      0x22fd4ffe, 0x420217d0, 0xfecfd90c, 0x00000004, 
      0x21fd4fff, 0x720317a0, 0xfebfd90c, 0x00000004, 
      0x1ffd5ffe, 0xa2041770, 0xfebfda0c, 0x00000004, 
      0x1efd5fff, 0xd2051740, 0xfeafda0c, 0x00000004, 
      0x1bfd5fff, 0x02061720, 0xfeafdb0d, 0x00000004, 
      0x19fd5fff, 0x320716f0, 0xfeafdc0d, 0x00000004, 
      0x18fd6fff, 0x620816c0, 0xfe9fdc0d, 0x00000004, 
      0x16fd6fff, 0x92091690, 0xfe9fdd0d, 0x00000004, 
      0x14fd7fff, 0xc20a1660, 0xfe8fde0d, 0x00000004, 
      0x13fd7fff, 0xf20b1630, 0xfe8fde0d, 0x00000004, 
      0x11fd7000, 0x220b1600, 0xfe8fdf0e, 0x00000004, 
      0x0ffd8000, 0x520c15d0, 0xfe7fe00e, 0x00000004, 
      0x0efd7000, 0x820d15b0, 0xfe7fe10e, 0x00000003, 
      0x0cfd8001, 0xb20d1580, 0xfe6fe20e, 0x00000003, 
      0x0bfd9000, 0xe20e1550, 0xfe6fe20e, 0x00000003, 
      0x09fd9000, 0x120f1520, 0xfe6fe30f, 0x00000003, 
      0x08fd9001, 0x420f14f0, 0xfe5fe40f, 0x00000003, 
      0x06fda000, 0x721014c0, 0xfe5fe50f, 0x00000003, 
      0x05fda001, 0xa2101490, 0xfe4fe60f, 0x00000003, 
      0x03fda001, 0xd2111460, 0xfe4fe70f, 0x00000003, 
      0x02fda001, 0x02111430, 0xfe4fe810, 0x00000003, 
      0x00fdb001, 0x32121400, 0xfe3fe910, 0x00000003, 
      0xfffdb001, 0x621213df, 0xfe3fea10, 0x00000003, 
      0xfefdc001, 0x921213af, 0xfe2feb10, 0x00000003, 
      0xfcfdc001, 0xc213137f, 0xfe2fec10, 0x00000003, 
      0xfbfdd001, 0xf213134f, 0xfe1fed10, 0x00000003, 
      0xfafdd001, 0x2213131f, 0xfe1fee11, 0x00000003, 
      0xf8fdd002, 0x521312ef, 0xfe1fef11, 0x00000003, 
      0xf7fde002, 0x921312bf, 0xfe0ff011, 0x00000002, 
      0xf6fde002, 0xc213128f, 0xfe0ff111, 0x00000002, 
      0xf5fdf002, 0xf213125f, 0xfdfff211, 0x00000002, 
      0xf3fdf003, 0x2213122f, 0xfdfff312, 0x00000002, 
      0xf2fdf002, 0x521311ff, 0xfdfff512, 0x00000002, 
      0xf1fe0002, 0x821311cf, 0xfdeff612, 0x00000002, 
      0xf0fe0002, 0xb213119f, 0xfdeff712, 0x00000002, 
      0xeffe1003, 0xe213115f, 0xfddff812, 0x00000002, 
      0xeefe1002, 0x1213112f, 0xfddffa13, 0x00000002, 
      0xedfe1002, 0x421310ff, 0xfddffb13, 0x00000002, 
      0xecfe2002, 0x721310cf, 0xfdcffc13, 0x00000002, 
      0xebfe2003, 0xa212109f, 0xfdcffe13, 0x00000001, 
      0xeafe3002, 0xd212106f, 0xfdcfff13, 0x00000001, 
      0xe9fe3003, 0x0212103f, 0xfdb00014, 0x00000001, 
      0xe8fe3003, 0x3211100f, 0xfdb00214, 0x00000001, 
      0xe7fe4003, 0x62110fdf, 0xfda00314, 0x00000001, 
      0xe6fe4003, 0x92100faf, 0xfda00514, 0x00000001, 
      0xe5fe4003, 0xc2100f7f, 0xfda00614, 0x00000001, 
      0xe4fe5003, 0xf20f0f4f, 0xfd900814, 0x00000001, 
      0xe3fe6003, 0x220f0f1f, 0xfd900915, 0x00000000, 
      0xe2fe6003, 0x520e0eef, 0xfd900b15, 0x00000000, 
      0xe2fe6004, 0x820d0ebf, 0xfd800c15, 0x00000000, 
      0xe1fe6003, 0xb20d0e8f, 0xfd800e15, 0x00000000, 
      0xe0fe7004, 0xd20c0e5f, 0xfd800f15, 0x00000000, 
      0xdffe8004, 0x020b0e2f, 0xfd701116, 0x00000000, 
      0xdefe8003, 0x320b0dff, 0xfd701316, 0x00000000, 
      0xdefe8003, 0x620a0dcf, 0xfd701416, 0x00000000, 
      0xddfe9004, 0x92090d9f, 0xfd601616, 0x00000fff, 
      0xdcfe9004, 0xc2080d6f, 0xfd601816, 0x00000fff, 
      0xdcfe9003, 0xf2070d3f, 0xfd601a16, 0x00000fff, 
      0xdbfea004, 0x22060d0f, 0xfd501b17, 0x00000fff, 
      0xdafeb004, 0x42050cdf, 0xfd501d17, 0x00000fff, 
      0xdafeb003, 0x72040caf, 0xfd501f17, 0x00000fff, 
      0xd9feb005, 0xa2030c7f, 0xfd402117, 0x00000ffe, 
      0xd9feb004, 0xd2020c4f, 0xfd402317, 0x00000ffe, 
      0xd8feb004, 0x02010c1f, 0xfd402518, 0x00000ffe, 
      0xd7fec004, 0x22000bef, 0xfd402718, 0x00000ffe, 
      0xd7fed005, 0x51fe0bbf, 0xfd302818, 0x00000ffe, 
      0xd7fed005, 0x81fd0b8f, 0xfd302a18, 0x00000ffd, 
      0xd6fee005, 0xa1fc0b5f, 0xfd302c18, 0x00000ffd, 
      0xd6fee004, 0xd1fb0b2f, 0xfd302e18, 0x00000ffd, 
      0xd5fef005, 0x01f90aff, 0xfd203019, 0x00000ffd, 
      0xd5fef004, 0x21f80adf, 0xfd203219, 0x00000ffd, 
      0xd4fef004, 0x51f70aaf, 0xfd203419, 0x00000ffd, 
      0xd4fef005, 0x81f50a7f, 0xfd203619, 0x00000ffc, 
      0xd4ff0004, 0xa1f40a4f, 0xfd103919, 0x00000ffc, 
      0xd3ff0005, 0xd1f20a1f, 0xfd103b19, 0x00000ffc, 
      0xd3ff0005, 0xf1f109ef, 0xfd103d19, 0x00000ffc, 
      0xd3ff1004, 0x21ef09cf, 0xfd103f1a, 0x00000ffb, 
      0xd2ff2005, 0x41ed099f, 0xfd10411a, 0x00000ffb, 
      0xd2ff1005, 0x71ec096f, 0xfd10431a, 0x00000ffb, 
      0xd2ff2005, 0x91ea093f, 0xfd00461a, 0x00000ffb, 
      0xd1ff2004, 0xc1e9091f, 0xfd00481a, 0x00000ffb, 
      0xd1ff3005, 0xe1e708ef, 0xfd004a1a, 0x00000ffa, 
      0xd1ff3005, 0x11e508bf, 0xfd004c1b, 0x00000ffa, 
      0xd1ff3005, 0x31e3088f, 0xfd004f1b, 0x00000ffa, 
      0xd1ff3005, 0x51e1086f, 0xfd00511b, 0x00000ffa, 
      0xd1ff4004, 0x81e0083f, 0xfd00531b, 0x00000ff9, 
      0xd0ff4005, 0xa1de080f, 0xfd00561b, 0x00000ff9, 
      0xd0ff4005, 0xc1dc07ef, 0xfd00581b, 0x00000ff9, 
      0xd0ff5004, 0xf1da07bf, 0xfd005a1b, 0x00000ff9, 
      0xd0ff5005, 0x11d8078f, 0xfd005d1c, 0x00000ff8, 
      0xd0ff5005, 0x31d6076f, 0xfd005f1c, 0x00000ff8, 
      0xd0ff6004, 0x51d4073f, 0xfd00621c, 0x00000ff8, 
      0xd0ff6005, 0x71d2071f, 0xfd00641c, 0x00000ff7, 
      0xcfff6005, 0xa1d006ef, 0xfd00671c, 0x00000ff7, 
      0xcfff6005, 0xc1ce06cf, 0xfd00691c, 0x00000ff7,
   },
   { /* Y scale factor = 0.53, phases = 127, taps = 9. */
      0x63fcdff9, 0x51d51d30, 0xff8fcd06, 0x00000005, 
      0x60fceff9, 0x81d71d00, 0xff8fcd06, 0x00000005, 
      0x5efcdff9, 0xb1d91ce0, 0xff8fcd06, 0x00000005, 
      0x5bfceffa, 0xd1db1cc0, 0xff7fcd06, 0x00000005, 
      0x59fcdffa, 0x01dd1ca0, 0xff7fcd07, 0x00000005, 
      0x56fceffa, 0x31df1c70, 0xff7fcd07, 0x00000005, 
      0x54fceffb, 0x51e11c50, 0xff6fcd07, 0x00000005, 
      0x52fceffb, 0x81e31c20, 0xff6fcd07, 0x00000005, 
      0x4ffceffb, 0xb1e51c00, 0xff6fcd07, 0x00000005, 
      0x4dfceffb, 0xd1e81be0, 0xff5fcd07, 0x00000005, 
      0x4bfceffc, 0x01e91bb0, 0xff5fcd08, 0x00000005, 
      0x48fceffb, 0x31eb1b90, 0xff5fce08, 0x00000005, 
      0x46fceffc, 0x61ed1b60, 0xff4fce08, 0x00000005, 
      0x43fcfffc, 0x81ef1b40, 0xff4fce08, 0x00000005, 
      0x41fcfffc, 0xb1f11b10, 0xff4fce08, 0x00000005, 
      0x3ffcfffd, 0xe1f21af0, 0xff3fce08, 0x00000005, 
      0x3dfcfffd, 0x11f41ac0, 0xff3fce09, 0x00000005, 
      0x3afcfffd, 0x41f61a90, 0xff3fcf09, 0x00000005, 
      0x38fcfffd, 0x71f81a70, 0xff2fcf09, 0x00000005, 
      0x36fd0ffe, 0x91f91a40, 0xff2fcf09, 0x00000005, 
      0x34fd0ffe, 0xc1fb1a10, 0xff2fcf09, 0x00000005, 
      0x32fd0ffe, 0xf1fc19f0, 0xff1fd009, 0x00000005, 
      0x30fd0ffe, 0x21fe19c0, 0xff1fd00a, 0x00000005, 
      0x2efd1ffe, 0x51ff1990, 0xff1fd00a, 0x00000005, 
      0x2bfd1ffe, 0x82011970, 0xff0fd10a, 0x00000005, 
      0x29fd1fff, 0xb2021940, 0xff0fd10a, 0x00000005, 
      0x27fd2fff, 0xe2041910, 0xfeffd10a, 0x00000005, 
      0x25fd2fff, 0x120518e0, 0xfeffd20b, 0x00000005, 
      0x24fd2fff, 0x420618b0, 0xfeffd20b, 0x00000005, 
      0x21fd2fff, 0x72081890, 0xfeefd30b, 0x00000005, 
      0x20fd2fff, 0xa2091860, 0xfeefd30b, 0x00000005, 
      0x1efd3fff, 0xd20a1830, 0xfedfd40b, 0x00000005, 
      0x1cfd3000, 0x020b1800, 0xfedfd40c, 0x00000005, 
      0x1afd3fff, 0x320d17d0, 0xfedfd50c, 0x00000005, 
      0x18fd4000, 0x620e17a0, 0xfecfd50c, 0x00000005, 
      0x16fd4000, 0x920f1770, 0xfecfd60c, 0x00000005, 
      0x15fd5000, 0xc2101740, 0xfebfd60c, 0x00000005, 
      0x13fd5000, 0xf2111710, 0xfebfd70c, 0x00000005, 
      0x11fd6000, 0x221216e0, 0xfebfd70d, 0x00000005, 
      0x10fd6001, 0x521316b0, 0xfeafd80d, 0x00000004, 
      0x0efd6000, 0x92141680, 0xfeafd90d, 0x00000004, 
      0x0cfd7001, 0xc2141660, 0xfe9fd90d, 0x00000004, 
      0x0afd7002, 0xf2151620, 0xfe9fda0d, 0x00000004, 
      0x09fd7002, 0x221615f0, 0xfe8fdb0e, 0x00000004, 
      0x07fd8002, 0x521715c0, 0xfe8fdb0e, 0x00000004, 
      0x06fd8001, 0x82181590, 0xfe8fdc0e, 0x00000004, 
      0x04fd9002, 0xb2181560, 0xfe7fdd0e, 0x00000004, 
      0x02fd9002, 0xe2191530, 0xfe7fde0e, 0x00000004, 
      0x01fda002, 0x22191500, 0xfe6fde0f, 0x00000004, 
      0xfffda002, 0x521a14df, 0xfe6fdf0f, 0x00000004, 
      0xfefda003, 0x821a14af, 0xfe5fe00f, 0x00000004, 
      0xfdfda002, 0xb21b147f, 0xfe5fe10f, 0x00000004, 
      0xfbfdb002, 0xe21b144f, 0xfe5fe20f, 0x00000004, 
      0xfafdc002, 0x121c140f, 0xfe4fe310, 0x00000004, 
      0xf8fdc002, 0x521c13df, 0xfe4fe410, 0x00000004, 
      0xf7fdc002, 0x821d13af, 0xfe3fe510, 0x00000004, 
      0xf6fdc002, 0xb21d137f, 0xfe3fe610, 0x00000004, 
      0xf4fdd003, 0xe21d134f, 0xfe2fe710, 0x00000004, 
      0xf3fde002, 0x121d131f, 0xfe2fe811, 0x00000004, 
      0xf2fde003, 0x421d12ef, 0xfe2fe911, 0x00000003, 
      0xf1fde003, 0x821e12af, 0xfe1fea11, 0x00000003, 
      0xeffdf003, 0xb21e127f, 0xfe1feb11, 0x00000003, 
      0xeefdf004, 0xe21e124f, 0xfe0fec11, 0x00000003, 
      0xedfe0003, 0x121e121f, 0xfe0fed12, 0x00000003, 
      0xecfe0004, 0x421e11ef, 0xfdffee12, 0x00000003, 
      0xebfe1003, 0x721e11bf, 0xfdffef12, 0x00000003, 
      0xeafe1003, 0xa21e118f, 0xfdeff112, 0x00000003, 
      0xe9fe2003, 0xe21d114f, 0xfdeff212, 0x00000003, 
      0xe8fe2003, 0x121d111f, 0xfdeff313, 0x00000003, 
      0xe7fe2004, 0x421d10ef, 0xfddff413, 0x00000003, 
      0xe6fe2003, 0x721d10bf, 0xfddff613, 0x00000003, 
      0xe5fe3003, 0xa21d108f, 0xfdcff713, 0x00000003, 
      0xe4fe4004, 0xd21c105f, 0xfdcff813, 0x00000002, 
      0xe3fe4004, 0x021c101f, 0xfdcffa14, 0x00000002, 
      0xe2fe5004, 0x421b0fef, 0xfdbffb14, 0x00000002, 
      0xe1fe5003, 0x721b0fbf, 0xfdbffd14, 0x00000002, 
      0xe0fe5005, 0xa21a0f8f, 0xfdaffe14, 0x00000002, 
      0xdffe6004, 0xd21a0f5f, 0xfdafff14, 0x00000002, 
      0xdefe6005, 0x02190f2f, 0xfd900115, 0x00000002, 
      0xdefe7004, 0x32190eef, 0xfd900215, 0x00000002, 
      0xddfe7004, 0x62180ebf, 0xfd900415, 0x00000002, 
      0xdcfe8004, 0x92180e8f, 0xfd800615, 0x00000001, 
      0xdbfe8005, 0xc2170e5f, 0xfd800715, 0x00000001, 
      0xdbfe8005, 0xf2160e2f, 0xfd700915, 0x00000001, 
      0xdafe9005, 0x22150dff, 0xfd700a16, 0x00000001, 
      0xd9fe9005, 0x52140dcf, 0xfd700c16, 0x00000001, 
      0xd9fe9004, 0x82140d9f, 0xfd600e16, 0x00000001, 
      0xd8fea005, 0xb2130d5f, 0xfd600f16, 0x00000001, 
      0xd7feb004, 0xe2120d2f, 0xfd601116, 0x00000001, 
      0xd7feb005, 0x12110cff, 0xfd501317, 0x00000000, 
      0xd6feb005, 0x42100ccf, 0xfd501517, 0x00000000, 
      0xd6fec005, 0x720f0c9f, 0xfd401617, 0x00000000, 
      0xd5fec005, 0xa20e0c6f, 0xfd401817, 0x00000000, 
      0xd5fec004, 0xd20d0c3f, 0xfd401a17, 0x00000000, 
      0xd4fed005, 0x020b0c0f, 0xfd301c18, 0x00000000, 
      0xd4fed005, 0x320a0bdf, 0xfd301e18, 0x00000fff, 
      0xd3fee004, 0x62090baf, 0xfd302018, 0x00000fff, 
      0xd3fee004, 0x92080b7f, 0xfd202218, 0x00000fff, 
      0xd2fef005, 0xb2060b4f, 0xfd202418, 0x00000fff, 
      0xd2fef005, 0xe2050b1f, 0xfd202518, 0x00000fff, 
      0xd1fef005, 0x12040aef, 0xfd202719, 0x00000fff, 
      0xd2ff0005, 0x42020abf, 0xfd102919, 0x00000ffe, 
      0xd1ff0004, 0x72010a8f, 0xfd102c19, 0x00000ffe, 
      0xd0ff1005, 0x91ff0a5f, 0xfd102e19, 0x00000ffe, 
      0xd0ff1005, 0xc1fe0a2f, 0xfd003019, 0x00000ffe, 
      0xd0ff1005, 0xf1fc09ff, 0xfd003219, 0x00000ffe, 
      0xcfff2006, 0x11fb09cf, 0xfd00341a, 0x00000ffd, 
      0xcfff2006, 0x41f9099f, 0xfd00361a, 0x00000ffd, 
      0xceff2005, 0x71f8097f, 0xfd00381a, 0x00000ffd, 
      0xcfff3005, 0x91f6094f, 0xfcf03a1a, 0x00000ffd, 
      0xceff3005, 0xc1f4091f, 0xfcf03d1a, 0x00000ffd, 
      0xceff3006, 0xf1f208ef, 0xfcf03f1a, 0x00000ffc, 
      0xceff4005, 0x11f108bf, 0xfcf0411b, 0x00000ffc, 
      0xceff4006, 0x41ef088f, 0xfce0431b, 0x00000ffc, 
      0xceff4005, 0x61ed086f, 0xfce0461b, 0x00000ffc, 
      0xceff5005, 0x91eb083f, 0xfce0481b, 0x00000ffb, 
      0xcdff6006, 0xb1e9080f, 0xfce04a1b, 0x00000ffb, 
      0xcdff5006, 0xe1e707df, 0xfce04d1b, 0x00000ffb, 
      0xcdff6005, 0x01e507bf, 0xfce04f1c, 0x00000ffb, 
      0xcdff6006, 0x21e3078f, 0xfce0521c, 0x00000ffa, 
      0xcdff7006, 0x51e1075f, 0xfcd0541c, 0x00000ffa, 
      0xcdff7006, 0x71df073f, 0xfcd0561c, 0x00000ffa, 
      0xcdff7005, 0xa1dd070f, 0xfcd0591c, 0x00000ffa, 
      0xcdff8006, 0xc1db06df, 0xfcd05b1c, 0x00000ff9, 
      0xcdff8005, 0xe1d906bf, 0xfcd05e1c, 0x00000ff9, 
      0xcdff8006, 0x01d7068f, 0xfcd0601d, 0x00000ff9, 
      0xcdff8006, 0x31d5065f, 0xfcd0631d, 0x00000ff8,
   },
   { /* Y scale factor = 0.54, phases = 127, taps = 9. */
      0x5dfcaffa, 0xf1dc1d90, 0xffafcb05, 0x00000006, 
      0x5afcaffa, 0x21de1d70, 0xffafcb06, 0x00000006, 
      0x57fcbffb, 0x41e01d50, 0xff9fcb06, 0x00000006, 
      0x55fcbffc, 0x71e21d20, 0xff9fca06, 0x00000006, 
      0x52fcbffb, 0xa1e51d00, 0xff9fca06, 0x00000006, 
      0x50fccffc, 0xc1e71cd0, 0xff8fca06, 0x00000006, 
      0x4dfccffc, 0xf1e91cb0, 0xff8fca06, 0x00000006, 
      0x4bfccffc, 0x21eb1c80, 0xff8fca07, 0x00000006, 
      0x48fccffc, 0x51ed1c60, 0xff8fca07, 0x00000006, 
      0x46fcdffd, 0x71ef1c30, 0xff7fca07, 0x00000006, 
      0x44fccffd, 0xa1f11c10, 0xff7fca07, 0x00000006, 
      0x41fccffd, 0xd1f31be0, 0xff7fcb07, 0x00000006, 
      0x3ffccffd, 0x01f51bc0, 0xff6fcb08, 0x00000006, 
      0x3cfcdffd, 0x31f71b90, 0xff6fcb08, 0x00000006, 
      0x3afcdffd, 0x61f91b60, 0xff6fcb08, 0x00000006, 
      0x38fceffd, 0x81fb1b40, 0xff5fcb08, 0x00000006, 
      0x36fcdffe, 0xb1fd1b10, 0xff5fcb08, 0x00000006, 
      0x34fcefff, 0xe1fe1ae0, 0xff5fcb08, 0x00000005, 
      0x32fcffff, 0x12001ab0, 0xff4fcb09, 0x00000005, 
      0x2ffcfffe, 0x42021a90, 0xff4fcc09, 0x00000005, 
      0x2dfcf000, 0x72031a60, 0xff3fcc09, 0x00000005, 
      0x2bfcf000, 0xa2051a30, 0xff3fcc09, 0x00000005, 
      0x29fd0fff, 0xd2071a00, 0xff3fcc09, 0x00000005, 
      0x27fd0000, 0x020819e0, 0xff2fcc0a, 0x00000005, 
      0x25fd0000, 0x320a19a0, 0xff2fcd0a, 0x00000005, 
      0x23fd1fff, 0x620b1980, 0xff2fcd0a, 0x00000005, 
      0x20fd1001, 0x920d1950, 0xff1fcd0a, 0x00000005, 
      0x1efd1001, 0xc20e1920, 0xff1fce0a, 0x00000005, 
      0x1dfd2000, 0xf21018f0, 0xff0fce0a, 0x00000005, 
      0x1bfd2001, 0x221118c0, 0xff0fce0b, 0x00000005, 
      0x19fd2000, 0x62121890, 0xff0fcf0b, 0x00000005, 
      0x17fd3000, 0x92141860, 0xfeffcf0b, 0x00000005, 
      0x14fd3001, 0xc2151830, 0xfeffd00b, 0x00000005, 
      0x13fd4001, 0xf2161800, 0xfeefd00b, 0x00000005, 
      0x11fd4002, 0x221717d0, 0xfeefd00c, 0x00000005, 
      0x0ffd5002, 0x521817a0, 0xfedfd10c, 0x00000005, 
      0x0efd5002, 0x82191770, 0xfedfd10c, 0x00000005, 
      0x0cfd5001, 0xc21a1740, 0xfedfd20c, 0x00000005, 
      0x0bfd6002, 0xf21b1700, 0xfecfd20c, 0x00000005, 
      0x08fd6003, 0x221c16d0, 0xfecfd30d, 0x00000005, 
      0x07fd6003, 0x521d16a0, 0xfebfd40d, 0x00000005, 
      0x05fd7003, 0x821e1670, 0xfebfd40d, 0x00000005, 
      0x03fd8003, 0xb21f1640, 0xfeafd50d, 0x00000005, 
      0x02fd8002, 0xf2201610, 0xfeafd50d, 0x00000005, 
      0x00fd8002, 0x222115e0, 0xfeafd60e, 0x00000005, 
      0xfffd9003, 0x522115af, 0xfe9fd70e, 0x00000005, 
      0xfdfd9003, 0x8222157f, 0xfe9fd80e, 0x00000005, 
      0xfcfd9003, 0xc223154f, 0xfe8fd80e, 0x00000005, 
      0xfafda003, 0xf223151f, 0xfe8fd90e, 0x00000005, 
      0xf9fda003, 0x222414ef, 0xfe7fda0f, 0x00000005, 
      0xf7fdb003, 0x522514af, 0xfe7fdb0f, 0x00000005, 
      0xf6fdb004, 0x9225147f, 0xfe6fdb0f, 0x00000005, 
      0xf5fdb003, 0xc226144f, 0xfe6fdc0f, 0x00000005, 
      0xf3fdc004, 0xf226141f, 0xfe5fdd0f, 0x00000005, 
      0xf2fdd003, 0x322613df, 0xfe5fde10, 0x00000005, 
      0xf0fdd003, 0x622713af, 0xfe5fdf10, 0x00000005, 
      0xeffde003, 0x9227137f, 0xfe4fe010, 0x00000005, 
      0xeefde003, 0xc227134f, 0xfe4fe110, 0x00000005, 
      0xedfde004, 0x0228130f, 0xfe3fe211, 0x00000004, 
      0xecfdf003, 0x322812df, 0xfe3fe311, 0x00000004, 
      0xeafdf005, 0x622812af, 0xfe2fe411, 0x00000004, 
      0xe9fe0004, 0x9228127f, 0xfe2fe511, 0x00000004, 
      0xe8fe0005, 0xd228123f, 0xfe1fe611, 0x00000004, 
      0xe7fe1004, 0x0228120f, 0xfe1fe712, 0x00000004, 
      0xe6fe1005, 0x322811df, 0xfe0fe812, 0x00000004, 
      0xe5fe2004, 0x7228119f, 0xfe0fe912, 0x00000004, 
      0xe4fe2005, 0xa228116f, 0xfdffea12, 0x00000004, 
      0xe3fe2004, 0xd228113f, 0xfdffec12, 0x00000004, 
      0xe2fe3004, 0x0228110f, 0xfdefed13, 0x00000004, 
      0xe1fe4004, 0x422710cf, 0xfdefee13, 0x00000004, 
      0xe0fe4004, 0x7227109f, 0xfdefef13, 0x00000004, 
      0xdffe4004, 0xa227106f, 0xfddff113, 0x00000004, 
      0xdefe5004, 0xd226103f, 0xfddff213, 0x00000004, 
      0xddfe6005, 0x12260fff, 0xfdcff314, 0x00000003, 
      0xdcfe6004, 0x42260fcf, 0xfdcff514, 0x00000003, 
      0xdbfe7005, 0x72250f9f, 0xfdbff614, 0x00000003, 
      0xdbfe7005, 0xa2250f5f, 0xfdbff714, 0x00000003, 
      0xdafe7005, 0xe2240f2f, 0xfdaff914, 0x00000003, 
      0xd9fe8005, 0x12230eff, 0xfdaffa15, 0x00000003, 
      0xd8fe8005, 0x42230ecf, 0xfd9ffc15, 0x00000003, 
      0xd8fe9005, 0x72220e8f, 0xfd9ffd15, 0x00000003, 
      0xd7fe9005, 0xa2210e5f, 0xfd9fff15, 0x00000003, 
      0xd6fe9005, 0xe2210e2f, 0xfd800015, 0x00000003, 
      0xd5fea005, 0x12200def, 0xfd800216, 0x00000003, 
      0xd5feb006, 0x421f0dbf, 0xfd700316, 0x00000002, 
      0xd4feb006, 0x721e0d8f, 0xfd700516, 0x00000002, 
      0xd4feb006, 0xa21d0d5f, 0xfd600716, 0x00000002, 
      0xd3fec006, 0xd21c0d2f, 0xfd600816, 0x00000002, 
      0xd2fec006, 0x021b0cff, 0xfd600a17, 0x00000002, 
      0xd2fec005, 0x421a0ccf, 0xfd500c17, 0x00000002, 
      0xd1fed005, 0x72190c8f, 0xfd500e17, 0x00000002, 
      0xd1fed006, 0xa2180c5f, 0xfd400f17, 0x00000002, 
      0xd0fee006, 0xd2170c2f, 0xfd401117, 0x00000001, 
      0xd0fee005, 0x02160bff, 0xfd401318, 0x00000001, 
      0xd0fee005, 0x32150bcf, 0xfd301518, 0x00000001, 
      0xcffef005, 0x62140b8f, 0xfd301718, 0x00000001, 
      0xcffef005, 0x92120b6f, 0xfd201918, 0x00000001, 
      0xceff0005, 0xc2110b2f, 0xfd201b18, 0x00000001, 
      0xceff0005, 0xf2100aff, 0xfd201d18, 0x00000000, 
      0xceff1006, 0x220e0acf, 0xfd101e19, 0x00000000, 
      0xcdff1006, 0x520d0a9f, 0xfd102019, 0x00000000, 
      0xcdff1005, 0x820b0a6f, 0xfd102319, 0x00000000, 
      0xcdff2005, 0xa20a0a3f, 0xfd002519, 0x00000000, 
      0xccff2006, 0xd2080a0f, 0xfd002719, 0x00000000, 
      0xccff3005, 0x020709df, 0xfd00291a, 0x00000fff, 
      0xccff3006, 0x320509af, 0xfcf02b1a, 0x00000fff, 
      0xccff3006, 0x6203097f, 0xfcf02d1a, 0x00000fff, 
      0xccff3005, 0x9202094f, 0xfcf02f1a, 0x00000fff, 
      0xcbff5006, 0xb200091f, 0xfce0311a, 0x00000fff, 
      0xcbff5006, 0xe1fe08ef, 0xfce0341a, 0x00000ffe, 
      0xcbff5005, 0x11fd08bf, 0xfce0361b, 0x00000ffe, 
      0xcbff5005, 0x41fb088f, 0xfce0381b, 0x00000ffe, 
      0xcbff6005, 0x61f9086f, 0xfcd03a1b, 0x00000ffe, 
      0xcbff5005, 0x91f7083f, 0xfcd03d1b, 0x00000ffe, 
      0xcbff6005, 0xc1f5080f, 0xfcd03f1b, 0x00000ffd, 
      0xcbff7005, 0xe1f307df, 0xfcd0411b, 0x00000ffd, 
      0xcaff7006, 0x11f107af, 0xfcc0441c, 0x00000ffd, 
      0xcaff8006, 0x31ef077f, 0xfcc0461c, 0x00000ffd, 
      0xcaff8006, 0x61ed075f, 0xfcc0481c, 0x00000ffc, 
      0xcaff8006, 0x81eb072f, 0xfcc04b1c, 0x00000ffc, 
      0xcaff8006, 0xb1e906ff, 0xfcc04d1c, 0x00000ffc, 
      0xcaff9006, 0xd1e706cf, 0xfcb0501c, 0x00000ffc, 
      0xcaff9006, 0x01e506af, 0xfcb0521d, 0x00000ffb, 
      0xcaffa006, 0x21e2067f, 0xfcb0551d, 0x00000ffb, 
      0xcbff9006, 0x51e0064f, 0xfcb0571d, 0x00000ffb, 
      0xcbff9005, 0x71de062f, 0xfcb05a1d, 0x00000ffb, 
      0xcbffa005, 0x91dc05ff, 0xfcb05d1d, 0x00000ffa,
   },
   { /* Y scale factor = 0.55, phases = 127, taps = 9. */
      0x56fc8ffc, 0x91e21e00, 0xffcfc905, 0x00000006, 
      0x53fc9ffc, 0xb1e51dd0, 0xffcfc905, 0x00000006, 
      0x51fc9ffd, 0xe1e71db0, 0xffbfc805, 0x00000006, 
      0x4efc9ffd, 0x11e91d90, 0xffbfc806, 0x00000006, 
      0x4cfc9ffd, 0x31ec1d60, 0xffbfc806, 0x00000006, 
      0x49fcaffe, 0x61ee1d30, 0xffafc806, 0x00000006, 
      0x47fcaffd, 0x91f01d10, 0xffafc806, 0x00000006, 
      0x44fcaffe, 0xc1f21ce0, 0xffafc806, 0x00000006, 
      0x42fcaffe, 0xe1f51cc0, 0xff9fc806, 0x00000006, 
      0x3ffcbffe, 0x11f71c90, 0xff9fc807, 0x00000006, 
      0x3dfcbffe, 0x41f91c60, 0xff9fc807, 0x00000006, 
      0x3afcbfff, 0x71fb1c40, 0xff8fc807, 0x00000006, 
      0x38fcbfff, 0xa1fd1c10, 0xff8fc807, 0x00000006, 
      0x36fcbfff, 0xd1ff1be0, 0xff8fc807, 0x00000006, 
      0x33fcc000, 0x02011bb0, 0xff7fc808, 0x00000006, 
      0x31fcdfff, 0x32031b80, 0xff7fc808, 0x00000006, 
      0x2ffccfff, 0x62051b60, 0xff7fc808, 0x00000006, 
      0x2cfcd000, 0x92071b30, 0xff6fc808, 0x00000006, 
      0x2afce000, 0xc2081b00, 0xff6fc808, 0x00000006, 
      0x28fce000, 0xf20a1ad0, 0xff6fc808, 0x00000006, 
      0x26fce001, 0x220c1aa0, 0xff5fc809, 0x00000006, 
      0x24fcf000, 0x520e1a70, 0xff5fc809, 0x00000006, 
      0x22fcf000, 0x820f1a40, 0xff5fc909, 0x00000006, 
      0x20fcf001, 0xb2111a10, 0xff4fc909, 0x00000006, 
      0x1dfd0001, 0xe21319e0, 0xff4fc909, 0x00000006, 
      0x1bfd1002, 0x121419b0, 0xff3fc90a, 0x00000006, 
      0x19fd1002, 0x42161980, 0xff3fc90a, 0x00000006, 
      0x17fd1002, 0x72171950, 0xff3fca0a, 0x00000006, 
      0x15fd2002, 0xa2191920, 0xff2fca0a, 0x00000006, 
      0x14fd1002, 0xe21a18f0, 0xff2fca0a, 0x00000006, 
      0x12fd2002, 0x121b18c0, 0xff1fcb0b, 0x00000006, 
      0x10fd2002, 0x421d1890, 0xff1fcb0b, 0x00000006, 
      0x0efd3003, 0x721e1850, 0xff1fcb0b, 0x00000006, 
      0x0cfd4003, 0xa21f1820, 0xff0fcc0b, 0x00000006, 
      0x0afd4002, 0xe22117f0, 0xff0fcc0b, 0x00000006, 
      0x08fd5003, 0x122217c0, 0xfeffcc0c, 0x00000006, 
      0x07fd5002, 0x42231790, 0xfeffcd0c, 0x00000006, 
      0x05fd5004, 0x72241760, 0xfeefcd0c, 0x00000006, 
      0x03fd6003, 0xb2251720, 0xfeefce0c, 0x00000006, 
      0x02fd6003, 0xe22616f0, 0xfeefce0c, 0x00000006, 
      0x00fd7003, 0x122716c0, 0xfedfcf0d, 0x00000006, 
      0xfefd7003, 0x5228169f, 0xfedfcf0d, 0x00000006, 
      0xfdfd8003, 0x8229165f, 0xfecfd00d, 0x00000006, 
      0xfbfd8003, 0xb22a162f, 0xfecfd10d, 0x00000006, 
      0xf9fd9003, 0xf22b15ff, 0xfebfd10d, 0x00000006, 
      0xf8fd9004, 0x222b15bf, 0xfebfd20e, 0x00000006, 
      0xf6fda005, 0x522c158f, 0xfeafd20e, 0x00000006, 
      0xf4fda004, 0x922d155f, 0xfeafd30e, 0x00000006, 
      0xf4fda004, 0xc22e151f, 0xfe9fd40e, 0x00000006, 
      0xf2fdb005, 0xf22e14ef, 0xfe9fd40e, 0x00000006, 
      0xf1fdb004, 0x322f14bf, 0xfe8fd50f, 0x00000006, 
      0xeffdc005, 0x622f147f, 0xfe8fd60f, 0x00000006, 
      0xeefdc004, 0x9230144f, 0xfe8fd70f, 0x00000006, 
      0xedfdd004, 0xd230141f, 0xfe7fd80f, 0x00000005, 
      0xebfde005, 0x023113df, 0xfe7fd810, 0x00000005, 
      0xeafde005, 0x423113af, 0xfe6fd910, 0x00000005, 
      0xe9fdf004, 0x7231137f, 0xfe6fda10, 0x00000005, 
      0xe8fdf005, 0xa232133f, 0xfe5fdb10, 0x00000005, 
      0xe6fe0004, 0xe232130f, 0xfe5fdc10, 0x00000005, 
      0xe5fe1005, 0x123212cf, 0xfe4fdd11, 0x00000005, 
      0xe4fe1004, 0x5232129f, 0xfe4fde11, 0x00000005, 
      0xe3fe1005, 0x8232126f, 0xfe3fdf11, 0x00000005, 
      0xe2fe2005, 0xb232122f, 0xfe3fe011, 0x00000005, 
      0xe1fe2005, 0xf23211ff, 0xfe2fe111, 0x00000005, 
      0xe0fe3005, 0x223211bf, 0xfe2fe212, 0x00000005, 
      0xdffe3005, 0x6232118f, 0xfe1fe312, 0x00000005, 
      0xdefe3005, 0x9232115f, 0xfe1fe412, 0x00000005, 
      0xddfe4006, 0xc232111f, 0xfe0fe512, 0x00000005, 
      0xdcfe4005, 0x023210ef, 0xfe0fe613, 0x00000005, 
      0xdbfe5005, 0x323210af, 0xfdffe813, 0x00000005, 
      0xdafe5005, 0x7231107f, 0xfdffe913, 0x00000005, 
      0xd9fe6005, 0xa231104f, 0xfdefea13, 0x00000005, 
      0xd8fe7005, 0xd231100f, 0xfdefeb13, 0x00000005, 
      0xd7fe7005, 0x12300fdf, 0xfddfed14, 0x00000005, 
      0xd7fe7005, 0x42300f9f, 0xfddfee14, 0x00000005, 
      0xd6fe8006, 0x722f0f7f, 0xfdcfef14, 0x00000004, 
      0xd5fe8005, 0xb22f0f3f, 0xfdcff114, 0x00000004, 
      0xd5fe9006, 0xe22e0eff, 0xfdbff214, 0x00000004, 
      0xd4fe9005, 0x122e0ecf, 0xfdbff415, 0x00000004, 
      0xd3fea005, 0x522d0e9f, 0xfdaff515, 0x00000004, 
      0xd2feb006, 0x822c0e5f, 0xfdaff615, 0x00000004, 
      0xd2feb006, 0xb22b0e2f, 0xfd9ff815, 0x00000004, 
      0xd1feb005, 0xf22b0dff, 0xfd9ff915, 0x00000004, 
      0xd1fec005, 0x222a0dbf, 0xfd8ffb16, 0x00000004, 
      0xd0fec005, 0x52290d8f, 0xfd8ffd16, 0x00000004, 
      0xcffed005, 0x92280d5f, 0xfd7ffe16, 0x00000004, 
      0xcffed006, 0xc2270d1f, 0xfd700016, 0x00000003, 
      0xcefee006, 0xf2260cef, 0xfd600216, 0x00000003, 
      0xcefee006, 0x22250cbf, 0xfd600317, 0x00000003, 
      0xcdfef006, 0x62240c7f, 0xfd500517, 0x00000003, 
      0xcdfef005, 0x92230c4f, 0xfd500717, 0x00000003, 
      0xccfef006, 0xc2220c1f, 0xfd500817, 0x00000003, 
      0xccff0005, 0xf2210bef, 0xfd400a17, 0x00000003, 
      0xccff0006, 0x221f0baf, 0xfd400c18, 0x00000003, 
      0xccff1006, 0x521e0b7f, 0xfd300e18, 0x00000002, 
      0xcbff1005, 0x921d0b4f, 0xfd301018, 0x00000002, 
      0xcbff1006, 0xc21b0b1f, 0xfd201218, 0x00000002, 
      0xcaff2005, 0xf21a0aef, 0xfd201418, 0x00000002, 
      0xcaff3006, 0x22190aaf, 0xfd101519, 0x00000002, 
      0xcaff3006, 0x52170a7f, 0xfd101719, 0x00000002, 
      0xc9ff3006, 0x82160a4f, 0xfd101919, 0x00000002, 
      0xcaff4006, 0xb2140a1f, 0xfd001b19, 0x00000001, 
      0xc9ff4006, 0xe21309ef, 0xfd001d19, 0x00000001, 
      0xc9ff4006, 0x121109bf, 0xfcf0201a, 0x00000001, 
      0xc9ff5005, 0x420f098f, 0xfcf0221a, 0x00000001, 
      0xc8ff5005, 0x720e095f, 0xfcf0241a, 0x00000001, 
      0xc8ff5006, 0xa20c092f, 0xfce0261a, 0x00000001, 
      0xc8ff6006, 0xd20a08ff, 0xfce0281a, 0x00000000, 
      0xc8ff6006, 0x020808cf, 0xfce02a1b, 0x00000000, 
      0xc8ff6006, 0x3207089f, 0xfcd02c1b, 0x00000000, 
      0xc8ff6005, 0x6205086f, 0xfcd02f1b, 0x00000000, 
      0xc8ff7005, 0x8203083f, 0xfcd0311b, 0x00000000, 
      0xc8ff8006, 0xb201080f, 0xfcc0331b, 0x00000fff, 
      0xc8ff8005, 0xe1ff07df, 0xfcc0361b, 0x00000fff, 
      0xc8ff8005, 0x11fd07af, 0xfcc0381c, 0x00000fff, 
      0xc8ff8006, 0x41fb077f, 0xfcb03a1c, 0x00000fff, 
      0xc8ff9005, 0x61f9074f, 0xfcb03d1c, 0x00000fff, 
      0xc8ff9006, 0x91f7071f, 0xfcb03f1c, 0x00000ffe, 
      0xc8ff9005, 0xc1f506ef, 0xfcb0421c, 0x00000ffe, 
      0xc8ffa006, 0xe1f206cf, 0xfca0441c, 0x00000ffe, 
      0xc8ffa005, 0x11f0069f, 0xfca0471d, 0x00000ffe, 
      0xc8ffb006, 0x31ee066f, 0xfca0491d, 0x00000ffd, 
      0xc8ffb005, 0x61ec063f, 0xfca04c1d, 0x00000ffd, 
      0xc8ffb006, 0x91e9061f, 0xfc904e1d, 0x00000ffd, 
      0xc8ffb006, 0xb1e705ef, 0xfc90511d, 0x00000ffd, 
      0xc9ffc005, 0xe1e505bf, 0xfc90531d, 0x00000ffc, 
      0xc9ffc005, 0x01e2059f, 0xfc90561e, 0x00000ffc,
   },
   { /* Y scale factor = 0.56, phases = 127, taps = 9. */
      0x4ffc7ffe, 0x21e91e60, 0xffefc705, 0x00000006, 
      0x4cfc7fff, 0x51eb1e40, 0xffdfc705, 0x00000006, 
      0x4afc8ffe, 0x71ee1e10, 0xffdfc705, 0x00000006, 
      0x47fc8fff, 0xa1f01df0, 0xffdfc605, 0x00000006, 
      0x45fc8ffe, 0xd1f31dc0, 0xffdfc605, 0x00000006, 
      0x42fc9fff, 0x01f51d90, 0xffcfc606, 0x00000006, 
      0x40fc9fff, 0x21f71d70, 0xffcfc606, 0x00000006, 
      0x3dfc9fff, 0x51fa1d40, 0xffcfc606, 0x00000006, 
      0x3bfc9000, 0x81fc1d10, 0xffbfc606, 0x00000006, 
      0x38fca001, 0xb1fe1ce0, 0xffbfc506, 0x00000006, 
      0x36fca000, 0xe2001cc0, 0xffbfc506, 0x00000006, 
      0x33fcb000, 0x12031c90, 0xffafc507, 0x00000006, 
      0x31fcb000, 0x42051c60, 0xffafc507, 0x00000006, 
      0x2ffcb000, 0x72071c30, 0xffafc507, 0x00000006, 
      0x2cfcc001, 0xa2091c00, 0xff9fc507, 0x00000006, 
      0x2afcc001, 0xd20b1bd0, 0xff9fc507, 0x00000006, 
      0x28fcc001, 0x020d1ba0, 0xff9fc508, 0x00000006, 
      0x25fcd002, 0x320f1b70, 0xff8fc508, 0x00000006, 
      0x23fcd002, 0x62111b40, 0xff8fc508, 0x00000006, 
      0x21fcd002, 0x92131b10, 0xff8fc508, 0x00000006, 
      0x1ffce003, 0xc2141ae0, 0xff7fc508, 0x00000006, 
      0x1dfce003, 0xf2161ab0, 0xff7fc508, 0x00000006, 
      0x1afcf003, 0x22181a80, 0xff7fc509, 0x00000006, 
      0x18fcf003, 0x521a1a50, 0xff6fc609, 0x00000006, 
      0x16fd0002, 0x921b1a20, 0xff6fc609, 0x00000006, 
      0x14fd1003, 0xc21d19e0, 0xff5fc609, 0x00000006, 
      0x12fd1003, 0xf21f19b0, 0xff5fc609, 0x00000006, 
      0x10fd1004, 0x22201980, 0xff5fc60a, 0x00000006, 
      0x0efd2004, 0x52221950, 0xff4fc60a, 0x00000006, 
      0x0cfd2003, 0x92231920, 0xff4fc70a, 0x00000006, 
      0x0afd3004, 0xc22518e0, 0xff3fc70a, 0x00000006, 
      0x09fd3004, 0xf22618b0, 0xff3fc70a, 0x00000006, 
      0x07fd4004, 0x22271880, 0xff3fc70b, 0x00000006, 
      0x05fd4003, 0x62291850, 0xff2fc80b, 0x00000006, 
      0x03fd5004, 0x922a1810, 0xff2fc80b, 0x00000006, 
      0x01fd6005, 0xc22b17e0, 0xff1fc80b, 0x00000006, 
      0x00fd5004, 0x022c17b0, 0xff1fc90c, 0x00000006, 
      0xfefd6005, 0x322e177f, 0xff0fc90c, 0x00000006, 
      0xfcfd7005, 0x622f174f, 0xff0fc90c, 0x00000006, 
      0xfafd7004, 0xa230171f, 0xff0fca0c, 0x00000006, 
      0xf9fd8005, 0xd23116df, 0xfeffca0c, 0x00000006, 
      0xf7fd8004, 0x123216af, 0xfeffcb0d, 0x00000006, 
      0xf6fd9005, 0x4233166f, 0xfeefcb0d, 0x00000006, 
      0xf4fd9005, 0x7234163f, 0xfeefcc0d, 0x00000006, 
      0xf3fd9005, 0xb235160f, 0xfedfcc0d, 0x00000006, 
      0xf1fda006, 0xe23515cf, 0xfedfcd0d, 0x00000006, 
      0xf0fdb005, 0x2236159f, 0xfecfcd0e, 0x00000006, 
      0xeefdb006, 0x5237155f, 0xfecfce0e, 0x00000006, 
      0xedfdb005, 0x9238152f, 0xfebfcf0e, 0x00000006, 
      0xecfdc006, 0xc23814ef, 0xfebfcf0e, 0x00000006, 
      0xeafdd005, 0x023914bf, 0xfeafd00f, 0x00000006, 
      0xe9fdd006, 0x3239147f, 0xfeafd10f, 0x00000006, 
      0xe8fde005, 0x723a144f, 0xfe9fd10f, 0x00000006, 
      0xe6fdf006, 0xa23a140f, 0xfe9fd20f, 0x00000006, 
      0xe5fdf005, 0xe23b13df, 0xfe8fd30f, 0x00000006, 
      0xe4fdf006, 0x123b139f, 0xfe8fd410, 0x00000006, 
      0xe3fe0005, 0x523b136f, 0xfe7fd510, 0x00000006, 
      0xe1fe1006, 0x823c132f, 0xfe7fd510, 0x00000006, 
      0xe0fe1006, 0xc23c12ff, 0xfe6fd610, 0x00000006, 
      0xdffe2006, 0xf23c12bf, 0xfe6fd710, 0x00000006, 
      0xdefe2006, 0x323c128f, 0xfe5fd811, 0x00000006, 
      0xddfe3006, 0x623c124f, 0xfe5fd911, 0x00000006, 
      0xdcfe3006, 0xa23c121f, 0xfe4fda11, 0x00000006, 
      0xdbfe4006, 0xd23c11df, 0xfe4fdb11, 0x00000006, 
      0xdafe4006, 0x123c11af, 0xfe3fdc12, 0x00000006, 
      0xd9fe5006, 0x423c116f, 0xfe3fdd12, 0x00000006, 
      0xd8fe5006, 0x823c113f, 0xfe2fde12, 0x00000006, 
      0xd7fe6006, 0xb23c10ff, 0xfe2fdf12, 0x00000006, 
      0xd6fe6006, 0xf23c10cf, 0xfe1fe012, 0x00000006, 
      0xd5fe7006, 0x223c108f, 0xfe1fe113, 0x00000006, 
      0xd4fe7006, 0x623b105f, 0xfe0fe313, 0x00000006, 
      0xd4fe8006, 0x923b101f, 0xfdffe413, 0x00000006, 
      0xd2fe8006, 0xd23b0fef, 0xfdffe513, 0x00000006, 
      0xd2fe9007, 0x023a0faf, 0xfdefe614, 0x00000006, 
      0xd1fe9006, 0x423a0f6f, 0xfdefe814, 0x00000006, 
      0xd1fea007, 0x72390f3f, 0xfddfe914, 0x00000005, 
      0xd0fea006, 0xb2390f0f, 0xfddfea14, 0x00000005, 
      0xcffeb007, 0xe2380ecf, 0xfdcfec14, 0x00000005, 
      0xcefeb006, 0x22380e9f, 0xfdcfed15, 0x00000005, 
      0xcefec007, 0x52370e5f, 0xfdbfee15, 0x00000005, 
      0xcdfec006, 0x92360e2f, 0xfdbff015, 0x00000005, 
      0xcdfed007, 0xc2350def, 0xfdaff115, 0x00000005, 
      0xccfed006, 0x02350daf, 0xfdaff316, 0x00000005, 
      0xccfee006, 0x32340d7f, 0xfd9ff416, 0x00000005, 
      0xcbfee006, 0x62330d4f, 0xfd9ff616, 0x00000005, 
      0xcbfee006, 0xa2320d1f, 0xfd8ff716, 0x00000005, 
      0xcafef006, 0xd2310cdf, 0xfd8ff916, 0x00000005, 
      0xc9fef006, 0x12300caf, 0xfd7ffb17, 0x00000005, 
      0xc9ff0006, 0x422f0c6f, 0xfd7ffc17, 0x00000005, 
      0xc9ff0007, 0x722e0c3f, 0xfd6ffe17, 0x00000004, 
      0xc9ff0006, 0xb22c0c0f, 0xfd600017, 0x00000004, 
      0xc8ff2007, 0xe22b0bcf, 0xfd500117, 0x00000004, 
      0xc8ff2006, 0x122a0b9f, 0xfd500318, 0x00000004, 
      0xc7ff2006, 0x52290b6f, 0xfd400518, 0x00000004, 
      0xc7ff3006, 0x82270b2f, 0xfd400718, 0x00000004, 
      0xc7ff3006, 0xb2260aff, 0xfd300918, 0x00000004, 
      0xc7ff3006, 0xe2250acf, 0xfd300a18, 0x00000004, 
      0xc7ff3006, 0x22230a9f, 0xfd200c19, 0x00000004, 
      0xc6ff4007, 0x52220a5f, 0xfd200e19, 0x00000003, 
      0xc6ff5007, 0x82200a2f, 0xfd101019, 0x00000003, 
      0xc6ff5006, 0xb21f09ff, 0xfd101219, 0x00000003, 
      0xc6ff5007, 0xe21d09cf, 0xfd001419, 0x00000003, 
      0xc6ff5006, 0x221b099f, 0xfd00161a, 0x00000003, 
      0xc6ff6006, 0x521a095f, 0xfcf0181a, 0x00000003, 
      0xc5ff7006, 0x8218092f, 0xfcf01a1a, 0x00000003, 
      0xc5ff7007, 0xb21608ff, 0xfce01d1a, 0x00000002, 
      0xc5ff7007, 0xe21408cf, 0xfce01f1a, 0x00000002, 
      0xc5ff7006, 0x1213089f, 0xfce0211b, 0x00000002, 
      0xc5ff8006, 0x4211086f, 0xfcd0231b, 0x00000002, 
      0xc5ff8006, 0x720f083f, 0xfcd0251b, 0x00000002, 
      0xc5ff9006, 0xa20d080f, 0xfcc0281b, 0x00000001, 
      0xc5ff9006, 0xd20b07df, 0xfcc02a1b, 0x00000001, 
      0xc5ff9006, 0x020907af, 0xfcc02c1c, 0x00000001, 
      0xc5ffa005, 0x3207077f, 0xfcb02f1c, 0x00000001, 
      0xc5ffa005, 0x6205074f, 0xfcb0311c, 0x00000001, 
      0xc5ffa005, 0x9203071f, 0xfcb0331c, 0x00000001, 
      0xc5ffb006, 0xc20006ef, 0xfca0361c, 0x00000000, 
      0xc5ffc006, 0xe1fe06bf, 0xfca0381c, 0x00000000, 
      0xc6ffb006, 0x11fc068f, 0xfc903b1d, 0x00000000, 
      0xc6ffc005, 0x41fa065f, 0xfc903d1d, 0x00000000, 
      0xc6ffc006, 0x71f7062f, 0xfc90401d, 0x00000fff, 
      0xc6ffc006, 0x91f5060f, 0xfc90421d, 0x00000fff, 
      0xc6ffd005, 0xc1f305df, 0xfc80451d, 0x00000fff, 
      0xc6ffd006, 0xf1f005af, 0xfc80471d, 0x00000fff, 
      0xc7ffd006, 0x11ee057f, 0xfc804a1e, 0x00000ffe, 
      0xc7ffe006, 0x41eb055f, 0xfc704c1e, 0x00000ffe, 
      0xc7ffe006, 0x61e9052f, 0xfc704f1e, 0x00000ffe,
   },
   { /* Y scale factor = 0.57, phases = 127, taps = 9. */
      0x48fc6fff, 0xb1ef1ed0, 0x000fc604, 0x00000006, 
      0x45fc6001, 0xe1f21ea0, 0xffffc504, 0x00000006, 
      0x43fc7000, 0x01f51e70, 0xffffc505, 0x00000006, 
      0x40fc7000, 0x31f71e50, 0xffffc505, 0x00000006, 
      0x3dfc7000, 0x61fa1e20, 0xffffc505, 0x00000006, 
      0x3bfc8001, 0x91fc1df0, 0xffefc405, 0x00000006, 
      0x38fc8001, 0xc1ff1dc0, 0xffefc405, 0x00000006, 
      0x36fc8001, 0xf2011d90, 0xffefc405, 0x00000006, 
      0x34fc9002, 0x12031d60, 0xffdfc406, 0x00000006, 
      0x31fc9001, 0x42061d40, 0xffdfc406, 0x00000006, 
      0x2efca002, 0x72081d10, 0xffdfc306, 0x00000006, 
      0x2cfca002, 0xa20a1ce0, 0xffdfc306, 0x00000006, 
      0x2afca003, 0xd20c1cb0, 0xffcfc306, 0x00000006, 
      0x27fcb002, 0x020f1c80, 0xffcfc307, 0x00000006, 
      0x25fcb002, 0x32111c50, 0xffcfc307, 0x00000006, 
      0x23fcc002, 0x62131c20, 0xffbfc307, 0x00000006, 
      0x20fcc004, 0x92151be0, 0xffbfc307, 0x00000006, 
      0x1efcc003, 0xd2171bb0, 0xffbfc307, 0x00000006, 
      0x1cfcd003, 0x02191b80, 0xffafc308, 0x00000006, 
      0x1afce003, 0x321b1b50, 0xffafc208, 0x00000006, 
      0x17fcf004, 0x621d1b20, 0xff9fc208, 0x00000006, 
      0x15fcf004, 0x921f1af0, 0xff9fc208, 0x00000006, 
      0x13fd0005, 0xc2201ab0, 0xff9fc208, 0x00000006, 
      0x11fd0004, 0x02221a80, 0xff8fc309, 0x00000006, 
      0x0ffd0004, 0x32241a50, 0xff8fc309, 0x00000006, 
      0x0dfd0004, 0x62261a20, 0xff8fc309, 0x00000006, 
      0x0bfd2005, 0x922719e0, 0xff7fc309, 0x00000006, 
      0x09fd2004, 0xd22919b0, 0xff7fc309, 0x00000006, 
      0x07fd2005, 0x022b1980, 0xff6fc30a, 0x00000006, 
      0x06fd3005, 0x322c1940, 0xff6fc30a, 0x00000006, 
      0x03fd3005, 0x722e1910, 0xff6fc30a, 0x00000006, 
      0x02fd4006, 0xa22f18d0, 0xff5fc30a, 0x00000006, 
      0x00fd4005, 0xd23118a0, 0xff5fc40a, 0x00000006, 
      0xfefd5005, 0x1232187f, 0xff4fc40b, 0x00000006, 
      0xfcfd5006, 0x4233183f, 0xff4fc40b, 0x00000007, 
      0xfafd6005, 0x8235180f, 0xff3fc40b, 0x00000007, 
      0xf9fd6005, 0xb23617cf, 0xff3fc50b, 0x00000007, 
      0xf7fd7005, 0xe237179f, 0xff3fc50b, 0x00000007, 
      0xf5fd8006, 0x2238175f, 0xff2fc50c, 0x00000007, 
      0xf4fd8005, 0x5239172f, 0xff2fc60c, 0x00000007, 
      0xf2fd9006, 0x923a16ef, 0xff1fc60c, 0x00000007, 
      0xf0fd9006, 0xc23c16bf, 0xff1fc60c, 0x00000007, 
      0xeffda006, 0x023c167f, 0xff0fc70d, 0x00000007, 
      0xedfda007, 0x323d164f, 0xff0fc70d, 0x00000007, 
      0xecfdb006, 0x723e160f, 0xfeffc80d, 0x00000007, 
      0xebfdb006, 0xa23f15df, 0xfeffc80d, 0x00000007, 
      0xe9fdc006, 0xe240159f, 0xfeefc90d, 0x00000007, 
      0xe8fdc006, 0x2241155f, 0xfeefc90e, 0x00000007, 
      0xe6fdd007, 0x5241152f, 0xfedfca0e, 0x00000007, 
      0xe5fde006, 0x924214ef, 0xfedfca0e, 0x00000007, 
      0xe4fde006, 0xc24314bf, 0xfecfcb0e, 0x00000007, 
      0xe2fdf006, 0x0243147f, 0xfecfcc0f, 0x00000007, 
      0xe1fe0007, 0x3244143f, 0xfebfcc0f, 0x00000007, 
      0xe0fe0006, 0x7244140f, 0xfebfcd0f, 0x00000007, 
      0xdffe0006, 0xb24513cf, 0xfeafce0f, 0x00000007, 
      0xdefe1007, 0xe245138f, 0xfeafce0f, 0x00000007, 
      0xdcfe2006, 0x2246135f, 0xfe9fcf10, 0x00000007, 
      0xdbfe2006, 0x6246131f, 0xfe9fd010, 0x00000007, 
      0xdafe3006, 0x924612ef, 0xfe8fd110, 0x00000007, 
      0xd9fe3006, 0xd24612af, 0xfe8fd210, 0x00000007, 
      0xd9fe4007, 0x0246126f, 0xfe7fd211, 0x00000007, 
      0xd7fe4006, 0x4247123f, 0xfe7fd311, 0x00000007, 
      0xd6fe5006, 0x824711ff, 0xfe6fd411, 0x00000007, 
      0xd5fe6007, 0xb24711bf, 0xfe5fd511, 0x00000007, 
      0xd4fe6006, 0xf247118f, 0xfe5fd611, 0x00000007, 
      0xd3fe7006, 0x3247114f, 0xfe4fd712, 0x00000007, 
      0xd2fe8007, 0x6246110f, 0xfe4fd812, 0x00000007, 
      0xd2fe8006, 0xa24610df, 0xfe3fd912, 0x00000007, 
      0xd1fe8006, 0xe246109f, 0xfe3fda12, 0x00000007, 
      0xd0fe9006, 0x1246106f, 0xfe2fdb13, 0x00000007, 
      0xcffe9006, 0x5246102f, 0xfe2fdc13, 0x00000007, 
      0xcefea007, 0x82450fef, 0xfe1fde13, 0x00000007, 
      0xcefea006, 0xc2450fbf, 0xfe0fdf13, 0x00000007, 
      0xcdfeb006, 0x02440f7f, 0xfe0fe014, 0x00000007, 
      0xcdfec007, 0x32440f3f, 0xfdffe114, 0x00000006, 
      0xccfec007, 0x72430f0f, 0xfdffe214, 0x00000006, 
      0xcbfec007, 0xb2430ecf, 0xfdefe414, 0x00000006, 
      0xcafed007, 0xe2420e9f, 0xfdefe514, 0x00000006, 
      0xcafee007, 0x22410e5f, 0xfddfe615, 0x00000006, 
      0xc9fee006, 0x52410e2f, 0xfddfe815, 0x00000006, 
      0xc9fee007, 0x92400def, 0xfdcfe915, 0x00000006, 
      0xc8fef007, 0xd23f0daf, 0xfdbfeb15, 0x00000006, 
      0xc8fef007, 0x023e0d7f, 0xfdbfec16, 0x00000006, 
      0xc8ff0007, 0x423d0d3f, 0xfdafed16, 0x00000006, 
      0xc7ff0007, 0x723c0d0f, 0xfdafef16, 0x00000006, 
      0xc6ff1007, 0xb23c0ccf, 0xfd9ff016, 0x00000006, 
      0xc6ff1007, 0xe23a0c9f, 0xfd9ff216, 0x00000006, 
      0xc6ff2006, 0x22390c5f, 0xfd8ff417, 0x00000006, 
      0xc5ff3007, 0x52380c2f, 0xfd7ff517, 0x00000006, 
      0xc5ff3006, 0x92370bef, 0xfd7ff717, 0x00000006, 
      0xc5ff3006, 0xc2360bbf, 0xfd6ff917, 0x00000006, 
      0xc4ff3007, 0x02350b8f, 0xfd6ffa18, 0x00000005, 
      0xc5ff4007, 0x32330b4f, 0xfd5ffc18, 0x00000005, 
      0xc4ff4006, 0x72320b1f, 0xfd5ffe18, 0x00000005, 
      0xc4ff5006, 0xa2310adf, 0xfd400018, 0x00000005, 
      0xc3ff6007, 0xd22f0aaf, 0xfd400118, 0x00000005, 
      0xc3ff6006, 0x122e0a7f, 0xfd300319, 0x00000005, 
      0xc3ff6007, 0x422c0a3f, 0xfd300519, 0x00000005, 
      0xc3ff6006, 0x822b0a0f, 0xfd200719, 0x00000005, 
      0xc3ff6006, 0xb22909df, 0xfd200919, 0x00000005, 
      0xc3ff7007, 0xe227099f, 0xfd100b19, 0x00000005, 
      0xc3ff7006, 0x2226096f, 0xfd100d1a, 0x00000004, 
      0xc3ff8006, 0x5224093f, 0xfd000f1a, 0x00000004, 
      0xc3ff8006, 0x8222090f, 0xfd00111a, 0x00000004, 
      0xc3ff9007, 0xb22008cf, 0xfcf0131a, 0x00000004, 
      0xc2ff9006, 0xf21f089f, 0xfcf0151a, 0x00000004, 
      0xc2ff9007, 0x221d086f, 0xfce0171b, 0x00000004, 
      0xc2ff9006, 0x521b083f, 0xfce01a1b, 0x00000004, 
      0xc3ffa006, 0x8219080f, 0xfcd01c1b, 0x00000003, 
      0xc3ffa006, 0xb21707df, 0xfcd01e1b, 0x00000003, 
      0xc3ffb007, 0xe215079f, 0xfcc0201b, 0x00000003, 
      0xc2ffb006, 0x2213076f, 0xfcc0231c, 0x00000003, 
      0xc3ffb006, 0x5211073f, 0xfcb0251c, 0x00000003, 
      0xc3ffb006, 0x820f070f, 0xfcb0271c, 0x00000003, 
      0xc3ffd006, 0xb20c06df, 0xfca02a1c, 0x00000002, 
      0xc3ffd006, 0xe20a06af, 0xfca02c1c, 0x00000002, 
      0xc3ffd006, 0x1208067f, 0xfca02e1d, 0x00000002, 
      0xc4ffd005, 0x4206064f, 0xfc90311d, 0x00000002, 
      0xc4ffe006, 0x6203061f, 0xfc90331d, 0x00000002, 
      0xc4ffe006, 0x920105ff, 0xfc80361d, 0x00000001, 
      0xc4ffe006, 0xc1ff05cf, 0xfc80381d, 0x00000001, 
      0xc4ffe006, 0xf1fc059f, 0xfc803b1d, 0x00000001, 
      0xc5ffe005, 0x21fa056f, 0xfc703e1e, 0x00000001, 
      0xc5fff005, 0x51f7053f, 0xfc70401e, 0x00000001, 
      0xc5fff006, 0x71f5050f, 0xfc70431e, 0x00000000, 
      0xc5000006, 0xa1f204ef, 0xfc60451e, 0x00000000, 
      0xc6000005, 0xd1ef04bf, 0xfc60481e, 0x00000000,
   },
   { /* Y scale factor = 0.58, phases = 127, taps = 9. */
      0x41fc5001, 0x41f61f30, 0x002fc504, 0x00000005, 
      0x3ffc6002, 0x61f81f00, 0x001fc404, 0x00000006, 
      0x3cfc6002, 0x91fb1ed0, 0x001fc404, 0x00000006, 
      0x39fc6002, 0xc1fe1ea0, 0x001fc404, 0x00000006, 
      0x36fc7002, 0xf2001e80, 0x001fc304, 0x00000006, 
      0x34fc7002, 0x22031e50, 0x000fc305, 0x00000006, 
      0x31fc7003, 0x52051e20, 0x000fc305, 0x00000006, 
      0x2ffc7003, 0x82081df0, 0x000fc205, 0x00000006, 
      0x2cfc8004, 0xb20a1dc0, 0xffffc205, 0x00000006, 
      0x2afc8003, 0xe20d1d90, 0xffffc205, 0x00000006, 
      0x27fc9003, 0x120f1d60, 0xffffc206, 0x00000006, 
      0x25fca003, 0x42121d20, 0xffffc106, 0x00000006, 
      0x22fca005, 0x72141cf0, 0xffefc106, 0x00000006, 
      0x20fcb004, 0xa2161cc0, 0xffefc106, 0x00000006, 
      0x1efcb004, 0xd2181c90, 0xffefc106, 0x00000006, 
      0x1bfcc004, 0x021b1c60, 0xffdfc107, 0x00000006, 
      0x19fcc005, 0x321d1c30, 0xffdfc007, 0x00000006, 
      0x17fcd005, 0x621f1bf0, 0xffdfc007, 0x00000006, 
      0x15fce005, 0x92211bc0, 0xffcfc007, 0x00000006, 
      0x12fce005, 0xd2231b90, 0xffcfc007, 0x00000006, 
      0x10fce006, 0x02251b50, 0xffcfc008, 0x00000006, 
      0x0efcf006, 0x32271b20, 0xffbfc008, 0x00000006, 
      0x0cfd0005, 0x62291af0, 0xffbfc008, 0x00000006, 
      0x0afd0005, 0xa22b1ab0, 0xffbfc008, 0x00000006, 
      0x08fd1005, 0xd22d1a80, 0xffafc008, 0x00000006, 
      0x06fd2006, 0x022e1a40, 0xffafc009, 0x00000006, 
      0x04fd2006, 0x42301a10, 0xff9fc009, 0x00000006, 
      0x02fd2006, 0x723219e0, 0xff9fc009, 0x00000006, 
      0x00fd3006, 0xa23419a0, 0xff9fc009, 0x00000006, 
      0xfefd3006, 0xe235197f, 0xff8fc009, 0x00000007, 
      0xfcfd4006, 0x1237193f, 0xff8fc00a, 0x00000007, 
      0xfafd5006, 0x5238190f, 0xff7fc00a, 0x00000007, 
      0xf9fd5006, 0x823a18cf, 0xff7fc00a, 0x00000007, 
      0xf7fd6007, 0xb23b188f, 0xff7fc00a, 0x00000007, 
      0xf5fd6006, 0xf23d185f, 0xff6fc10a, 0x00000007, 
      0xf3fd7007, 0x223e181f, 0xff6fc10b, 0x00000007, 
      0xf2fd8006, 0x623f17ef, 0xff5fc10b, 0x00000007, 
      0xf0fd8007, 0x924117af, 0xff5fc10b, 0x00000007, 
      0xeffd9007, 0xd242176f, 0xff4fc10b, 0x00000007, 
      0xedfd9006, 0x1243173f, 0xff4fc20c, 0x00000007, 
      0xebfda007, 0x424416ff, 0xff4fc20c, 0x00000007, 
      0xeafdb007, 0x824516bf, 0xff3fc20c, 0x00000007, 
      0xe8fdb007, 0xb246168f, 0xff3fc30c, 0x00000007, 
      0xe7fdc007, 0xf247164f, 0xff2fc30c, 0x00000007, 
      0xe5fdc008, 0x3248160f, 0xff2fc30d, 0x00000007, 
      0xe4fdd007, 0x624915df, 0xff1fc40d, 0x00000007, 
      0xe2fde007, 0xa24a159f, 0xff1fc40d, 0x00000007, 
      0xe1fde007, 0xe24b155f, 0xff0fc50d, 0x00000007, 
      0xe0fdf007, 0x124b152f, 0xff0fc50e, 0x00000007, 
      0xdffdf007, 0x524c14ef, 0xfeffc60e, 0x00000007, 
      0xddfe0007, 0x924d14af, 0xfeffc60e, 0x00000007, 
      0xdcfe1008, 0xc24d146f, 0xfeefc70e, 0x00000007, 
      0xdbfe1007, 0x024e143f, 0xfeefc70f, 0x00000007, 
      0xdafe2007, 0x424e13ff, 0xfedfc80f, 0x00000007, 
      0xd9fe2007, 0x724f13bf, 0xfedfc90f, 0x00000007, 
      0xd8fe3008, 0xb24f137f, 0xfecfc90f, 0x00000007, 
      0xd6fe4007, 0xf250134f, 0xfebfca0f, 0x00000007, 
      0xd5fe4007, 0x3250130f, 0xfebfcb10, 0x00000007, 
      0xd5fe5008, 0x625012cf, 0xfeafcb10, 0x00000007, 
      0xd3fe6008, 0xa250128f, 0xfeafcc10, 0x00000007, 
      0xd2fe6008, 0xe251124f, 0xfe9fcd10, 0x00000007, 
      0xd1fe6007, 0x2251121f, 0xfe9fce11, 0x00000007, 
      0xd0fe7008, 0x525111df, 0xfe8fcf11, 0x00000007, 
      0xcffe8008, 0x9251119f, 0xfe8fcf11, 0x00000007, 
      0xcffe8008, 0xd251115f, 0xfe7fd011, 0x00000007, 
      0xcefe9007, 0x1251112f, 0xfe6fd112, 0x00000007, 
      0xcdfe9008, 0x425110ef, 0xfe6fd212, 0x00000007, 
      0xcdfea008, 0x825010af, 0xfe5fd312, 0x00000007, 
      0xcbfeb008, 0xc250106f, 0xfe5fd412, 0x00000007, 
      0xcbfeb007, 0x0250103f, 0xfe4fd513, 0x00000007, 
      0xcafeb007, 0x42500fff, 0xfe4fd613, 0x00000007, 
      0xcafec008, 0x724f0fbf, 0xfe3fd713, 0x00000007, 
      0xc9fed007, 0xb24f0f7f, 0xfe2fd913, 0x00000007, 
      0xc8fed007, 0xf24e0f4f, 0xfe2fda13, 0x00000007, 
      0xc7fee007, 0x324e0f0f, 0xfe1fdb14, 0x00000007, 
      0xc7fee008, 0x624d0ecf, 0xfe1fdc14, 0x00000007, 
      0xc6fef007, 0xa24d0e9f, 0xfe0fdd14, 0x00000007, 
      0xc6fef007, 0xe24c0e5f, 0xfdffdf14, 0x00000007, 
      0xc5ff0007, 0x224b0e1f, 0xfdffe015, 0x00000007, 
      0xc5ff0007, 0x524b0def, 0xfdefe115, 0x00000007, 
      0xc4ff1007, 0x924a0daf, 0xfdefe215, 0x00000007, 
      0xc4ff1007, 0xd2490d6f, 0xfddfe415, 0x00000007, 
      0xc3ff2008, 0x02480d3f, 0xfdcfe516, 0x00000007, 
      0xc3ff2007, 0x42470cff, 0xfdcfe716, 0x00000007, 
      0xc3ff3007, 0x82460cbf, 0xfdbfe816, 0x00000007, 
      0xc2ff3007, 0xb2450c8f, 0xfdbfea16, 0x00000007, 
      0xc2ff4007, 0xf2440c4f, 0xfdafeb16, 0x00000007, 
      0xc2ff4006, 0x32430c1f, 0xfd9fed17, 0x00000007, 
      0xc1ff5007, 0x62420bdf, 0xfd9fee17, 0x00000007, 
      0xc1ff5007, 0xa2410b9f, 0xfd8ff017, 0x00000007, 
      0xc1ff5006, 0xe23f0b6f, 0xfd8ff217, 0x00000007, 
      0xc1ff6007, 0x123e0b2f, 0xfd7ff318, 0x00000007, 
      0xc1ff6006, 0x523d0aff, 0xfd6ff518, 0x00000007, 
      0xc0ff7007, 0x823b0abf, 0xfd6ff718, 0x00000007, 
      0xc0ff7007, 0xc23a0a8f, 0xfd5ff918, 0x00000006, 
      0xc0ff7007, 0x02380a5f, 0xfd5ffa19, 0x00000006, 
      0xc0ff8007, 0x32370a1f, 0xfd4ffc19, 0x00000006, 
      0xc0ff8007, 0x723509ef, 0xfd3ffe19, 0x00000006, 
      0xc0ff9006, 0xa23409af, 0xfd300019, 0x00000006, 
      0xc0ff9006, 0xe232097f, 0xfd200219, 0x00000006, 
      0xc0ff9006, 0x1230094f, 0xfd20041a, 0x00000006, 
      0xc0ffa007, 0x422e090f, 0xfd10061a, 0x00000006, 
      0xbfffa006, 0x822d08df, 0xfd10081a, 0x00000006, 
      0xc0ffa006, 0xb22b08af, 0xfd000a1a, 0x00000006, 
      0xc0ffb006, 0xf229086f, 0xfd000c1a, 0x00000005, 
      0xc0ffb007, 0x2227083f, 0xfcf00e1b, 0x00000005, 
      0xc0ffc007, 0x5225080f, 0xfce0101b, 0x00000005, 
      0xc0ffc006, 0x922307df, 0xfce0121b, 0x00000005, 
      0xc0ffc007, 0xc221079f, 0xfcd0151b, 0x00000005, 
      0xc0ffd006, 0xf21f076f, 0xfcd0171b, 0x00000005, 
      0xc0ffd006, 0x321d073f, 0xfcc0191c, 0x00000005, 
      0xc0ffd006, 0x621b070f, 0xfcc01b1c, 0x00000005, 
      0xc1ffe006, 0x921806df, 0xfcb01e1c, 0x00000004, 
      0xc1ffe006, 0xc21606af, 0xfcb0201c, 0x00000004, 
      0xc1fff006, 0xf214067f, 0xfca0221c, 0x00000004, 
      0xc1fff005, 0x2212064f, 0xfca0251d, 0x00000004, 
      0xc2fff005, 0x620f061f, 0xfc90271d, 0x00000004, 
      0xc1fff005, 0x920d05ef, 0xfc902a1d, 0x00000004, 
      0xc2000006, 0xc20a05bf, 0xfc802c1d, 0x00000003, 
      0xc2000005, 0xf208058f, 0xfc802f1d, 0x00000003, 
      0xc3000005, 0x2205055f, 0xfc80311e, 0x00000003, 
      0xc3000005, 0x5203052f, 0xfc70341e, 0x00000003, 
      0xc3001005, 0x820004ff, 0xfc70361e, 0x00000003, 
      0xc4001006, 0xa1fe04cf, 0xfc60391e, 0x00000002, 
      0xc4001006, 0xd1fb049f, 0xfc603c1e, 0x00000002, 
      0xc5002006, 0x01f8046f, 0xfc503e1f, 0x00000002, 
      0xc5001005, 0x31f6044f, 0xfc50411f, 0x00000002,
   },
   { /* Y scale factor = 0.59, phases = 127, taps = 9. */
      0x3afc5004, 0xc1fc1f90, 0x003fc403, 0x00000005, 
      0x37fc5004, 0xf1ff1f60, 0x003fc403, 0x00000005, 
      0x34fc5005, 0x22021f30, 0x003fc304, 0x00000005, 
      0x32fc6004, 0x52041f00, 0x003fc304, 0x00000005, 
      0x2ffc6005, 0x82071ed0, 0x003fc204, 0x00000005, 
      0x2cfc7005, 0xb20a1ea0, 0x002fc204, 0x00000005, 
      0x2afc7005, 0xe20c1e70, 0x002fc204, 0x00000005, 
      0x27fc8005, 0x120f1e40, 0x002fc105, 0x00000005, 
      0x24fc8005, 0x42121e00, 0x002fc105, 0x00000006, 
      0x22fc8005, 0x72141de0, 0x001fc105, 0x00000006, 
      0x20fc9005, 0xa2171da0, 0x001fc005, 0x00000006, 
      0x1dfca005, 0xd2191d70, 0x001fc005, 0x00000006, 
      0x1bfcb005, 0x021b1d40, 0x000fc006, 0x00000006, 
      0x19fcb005, 0x321e1d10, 0x000fbf06, 0x00000006, 
      0x16fcc006, 0x62201cd0, 0x000fbf06, 0x00000006, 
      0x14fcc006, 0x92221ca0, 0x000fbf06, 0x00000006, 
      0x12fcc006, 0xc2251c70, 0xffffbf06, 0x00000006, 
      0x0ffcd007, 0x02271c30, 0xffffbe07, 0x00000006, 
      0x0dfce006, 0x32291c00, 0xffffbe07, 0x00000006, 
      0x0bfcf007, 0x622b1bc0, 0xffefbe07, 0x00000006, 
      0x09fcf007, 0x922d1b90, 0xffefbe07, 0x00000006, 
      0x07fd0006, 0xd22f1b50, 0xffefbe07, 0x00000006, 
      0x05fd0007, 0x02311b20, 0xffdfbe08, 0x00000006, 
      0x03fd1007, 0x32331af0, 0xffdfbd08, 0x00000006, 
      0x01fd1007, 0x72351ab0, 0xffdfbd08, 0x00000006, 
      0xfffd2008, 0xa2371a7f, 0xffcfbd08, 0x00000006, 
      0xfdfd3007, 0xd2391a4f, 0xffcfbd08, 0x00000006, 
      0xfbfd3008, 0x123b1a0f, 0xffbfbd09, 0x00000006, 
      0xf9fd5008, 0x423c19cf, 0xffbfbd09, 0x00000006, 
      0xf7fd4007, 0x823e199f, 0xffbfbd09, 0x00000007, 
      0xf5fd5008, 0xb240195f, 0xffafbd09, 0x00000007, 
      0xf3fd6008, 0xf241191f, 0xffafbd09, 0x00000007, 
      0xf1fd7008, 0x224318ef, 0xff9fbd0a, 0x00000007, 
      0xf0fd7008, 0x624418af, 0xff9fbd0a, 0x00000007, 
      0xeefd8008, 0x9246186f, 0xff9fbd0a, 0x00000007, 
      0xecfd9008, 0xd247183f, 0xff8fbd0a, 0x00000007, 
      0xeafd9007, 0x124917ff, 0xff8fbe0b, 0x00000007, 
      0xe9fda008, 0x424a17bf, 0xff7fbe0b, 0x00000007, 
      0xe8fda008, 0x824b177f, 0xff7fbe0b, 0x00000007, 
      0xe6fdb008, 0xc24c174f, 0xff6fbe0b, 0x00000007, 
      0xe4fdc008, 0xf24e170f, 0xff6fbe0b, 0x00000007, 
      0xe3fdc008, 0x324f16cf, 0xff5fbf0c, 0x00000007, 
      0xe2fdd007, 0x7250168f, 0xff5fbf0c, 0x00000007, 
      0xe0fde008, 0xa251164f, 0xff5fbf0c, 0x00000007, 
      0xdffde009, 0xe252160f, 0xff4fbf0c, 0x00000007, 
      0xddfde008, 0x225315df, 0xff4fc00d, 0x00000007, 
      0xdcfdf008, 0x6254159f, 0xff3fc00d, 0x00000007, 
      0xdbfe0008, 0x9255155f, 0xff3fc00d, 0x00000007, 
      0xd9fe1009, 0xd255151f, 0xff2fc10d, 0x00000007, 
      0xd8fe1009, 0x125614df, 0xff2fc10e, 0x00000007, 
      0xd7fe2008, 0x5257149f, 0xff1fc20e, 0x00000007, 
      0xd6fe3009, 0x8257145f, 0xff0fc20e, 0x00000008, 
      0xd4fe3008, 0xc258142f, 0xff0fc30e, 0x00000008, 
      0xd4fe4008, 0x025813ef, 0xfeffc30f, 0x00000008, 
      0xd2fe4008, 0x425913af, 0xfeffc40f, 0x00000008, 
      0xd1fe5009, 0x8259136f, 0xfeefc40f, 0x00000008, 
      0xd0fe5008, 0xc25a132f, 0xfeefc50f, 0x00000008, 
      0xcffe6008, 0x025a12ef, 0xfedfc610, 0x00000008, 
      0xcefe7009, 0x325a12af, 0xfedfc610, 0x00000008, 
      0xcdfe8008, 0x725b126f, 0xfecfc710, 0x00000008, 
      0xcdfe8007, 0xb25b122f, 0xfecfc810, 0x00000008, 
      0xccfe9007, 0xf25b11ff, 0xfebfc810, 0x00000008, 
      0xcbfe9008, 0x325b11bf, 0xfeafc911, 0x00000008, 
      0xcafea007, 0x725b117f, 0xfeafca11, 0x00000008, 
      0xc9fea008, 0xb25b113f, 0xfe9fcb11, 0x00000008, 
      0xc8feb007, 0xf25b10ff, 0xfe9fcc11, 0x00000008, 
      0xc8fec007, 0x225b10bf, 0xfe8fcd12, 0x00000008, 
      0xc7fed008, 0x625b107f, 0xfe7fcd12, 0x00000008, 
      0xc7fed008, 0xa25a103f, 0xfe7fce12, 0x00000008, 
      0xc6fed008, 0xe25a100f, 0xfe6fcf12, 0x00000008, 
      0xc5fee007, 0x225a0fcf, 0xfe6fd013, 0x00000008, 
      0xc4fef008, 0x62590f8f, 0xfe5fd113, 0x00000008, 
      0xc4fef008, 0xa2590f4f, 0xfe4fd213, 0x00000008, 
      0xc3fef008, 0xe2580f0f, 0xfe4fd413, 0x00000008, 
      0xc3ff0007, 0x22580ecf, 0xfe3fd514, 0x00000008, 
      0xc2ff1008, 0x52570e8f, 0xfe3fd614, 0x00000008, 
      0xc2ff1007, 0x92570e5f, 0xfe2fd714, 0x00000008, 
      0xc1ff2008, 0xd2560e1f, 0xfe1fd814, 0x00000008, 
      0xc1ff2008, 0x12550ddf, 0xfe1fd915, 0x00000008, 
      0xc0ff3007, 0x52550d9f, 0xfe0fdb15, 0x00000008, 
      0xc0ff3007, 0x92540d6f, 0xfdffdc15, 0x00000008, 
      0xc0ff3007, 0xd2530d2f, 0xfdffdd15, 0x00000008, 
      0xbfff4008, 0x02520cef, 0xfdefdf16, 0x00000008, 
      0xbfff5007, 0x42510caf, 0xfdefe016, 0x00000008, 
      0xbfff4007, 0x82500c7f, 0xfddfe216, 0x00000008, 
      0xbfff5007, 0xc24f0c3f, 0xfdcfe316, 0x00000008, 
      0xbeff6007, 0x024e0bff, 0xfdcfe417, 0x00000008, 
      0xbeff6007, 0x424c0bcf, 0xfdbfe617, 0x00000008, 
      0xbeff7007, 0x724b0b8f, 0xfdafe817, 0x00000008, 
      0xbeff7007, 0xb24a0b4f, 0xfdafe917, 0x00000008, 
      0xbeff7006, 0xf2490b1f, 0xfd9feb17, 0x00000008, 
      0xbdff9007, 0x32470adf, 0xfd8fec18, 0x00000008, 
      0xbdff9007, 0x62460a9f, 0xfd8fee18, 0x00000008, 
      0xbdff9007, 0xa2440a6f, 0xfd7ff018, 0x00000008, 
      0xbdff9007, 0xe2430a2f, 0xfd7ff118, 0x00000008, 
      0xbdffa007, 0x124109ff, 0xfd6ff319, 0x00000008, 
      0xbdffa007, 0x524009bf, 0xfd5ff519, 0x00000008, 
      0xbdffb006, 0x923e098f, 0xfd5ff719, 0x00000007, 
      0xbdffc007, 0xc23c094f, 0xfd4ff919, 0x00000007, 
      0xbdffb007, 0x023b091f, 0xfd3ffb1a, 0x00000007, 
      0xbdffc006, 0x423908df, 0xfd3ffd1a, 0x00000007, 
      0xbdffc007, 0x723708af, 0xfd2fff1a, 0x00000007, 
      0xbdffc006, 0xb235087f, 0xfd20011a, 0x00000007, 
      0xbdffd007, 0xe233083f, 0xfd10031a, 0x00000007, 
      0xbeffd006, 0x2231080f, 0xfd00051b, 0x00000007, 
      0xbeffd006, 0x522f07df, 0xfd00071b, 0x00000007, 
      0xbeffe006, 0x922d079f, 0xfcf0091b, 0x00000007, 
      0xbeffe006, 0xc22b076f, 0xfcf00b1b, 0x00000007, 
      0xbefff006, 0x0229073f, 0xfce00d1c, 0x00000006, 
      0xbffff006, 0x3227070f, 0xfcd00f1c, 0x00000006, 
      0xbffff005, 0x722506cf, 0xfcd0121c, 0x00000006, 
      0xbf000006, 0xa222069f, 0xfcc0141c, 0x00000006, 
      0xbf000006, 0xd220066f, 0xfcc0161c, 0x00000006, 
      0xbf000005, 0x121e063f, 0xfcb0191d, 0x00000006, 
      0xc0000005, 0x421b060f, 0xfcb01b1d, 0x00000006, 
      0xc0001005, 0x721905df, 0xfca01d1d, 0x00000006, 
      0xc0001005, 0xa21705af, 0xfca0201d, 0x00000005, 
      0xc1001005, 0xe214057f, 0xfc90221d, 0x00000005, 
      0xc1001005, 0x1212054f, 0xfc80251e, 0x00000005, 
      0xc1002005, 0x420f051f, 0xfc80271e, 0x00000005, 
      0xc2002005, 0x720c04ef, 0xfc702a1e, 0x00000005, 
      0xc2002005, 0xa20a04bf, 0xfc702c1e, 0x00000005, 
      0xc2003006, 0xd207048f, 0xfc602f1e, 0x00000004, 
      0xc3003005, 0x0204045f, 0xfc60321f, 0x00000004, 
      0xc3003006, 0x3202042f, 0xfc50341f, 0x00000004, 
      0xc4003005, 0x61ff03ff, 0xfc50371f, 0x00000004, 
      0xc4003005, 0x91fc03cf, 0xfc503a1f, 0x00000004,
   },
   { /* Y scale factor = 0.60, phases = 127, taps = 9. */
      0x32fc4006, 0x52021ff0, 0x005fc403, 0x00000005, 
      0x30fc5005, 0x82051fc0, 0x005fc303, 0x00000005, 
      0x2dfc5005, 0xb2081f90, 0x005fc303, 0x00000005, 
      0x2afc6005, 0xe20b1f60, 0x005fc203, 0x00000005, 
      0x27fc7006, 0x020e1f30, 0x004fc204, 0x00000005, 
      0x25fc8007, 0x32101ef0, 0x004fc104, 0x00000005, 
      0x22fc8007, 0x62131ec0, 0x004fc104, 0x00000005, 
      0x20fc8006, 0x92161e90, 0x004fc104, 0x00000005, 
      0x1dfc9007, 0xc2181e60, 0x004fc004, 0x00000005, 
      0x1bfca007, 0xf21b1e20, 0x003fc004, 0x00000005, 
      0x18fca008, 0x221e1df0, 0x003fbf05, 0x00000005, 
      0x16fca007, 0x62201dc0, 0x003fbf05, 0x00000005, 
      0x13fcb007, 0x92231d80, 0x003fbf05, 0x00000005, 
      0x11fcc008, 0xc2251d50, 0x002fbe05, 0x00000005, 
      0x0ffcc007, 0xf2281d10, 0x002fbe05, 0x00000006, 
      0x0cfcd007, 0x222a1ce0, 0x002fbe06, 0x00000006, 
      0x0bfce008, 0x522c1ca0, 0x001fbd06, 0x00000006, 
      0x08fce007, 0x922f1c70, 0x001fbd06, 0x00000006, 
      0x06fcf007, 0xc2311c30, 0x001fbd06, 0x00000006, 
      0x04fd0007, 0xf2331c00, 0x001fbc06, 0x00000006, 
      0x01fd0009, 0x32351bc0, 0x000fbc07, 0x00000006, 
      0xfffd1008, 0x62381b8f, 0x000fbc07, 0x00000006, 
      0xfdfd1008, 0x923a1b5f, 0x000fbc07, 0x00000006, 
      0xfbfd2009, 0xd23c1b1f, 0xffffbb07, 0x00000006, 
      0xf9fd3009, 0x023e1adf, 0xffffbb08, 0x00000006, 
      0xf7fd3008, 0x42401aaf, 0xffffbb08, 0x00000006, 
      0xf5fd4009, 0x72421a6f, 0xffefbb08, 0x00000006, 
      0xf3fd5009, 0xb2431a2f, 0xffefbb08, 0x00000006, 
      0xf2fd6009, 0xe24519ef, 0xffdfbb08, 0x00000006, 
      0xf0fd6008, 0x224719bf, 0xffdfbb09, 0x00000006, 
      0xeefd7008, 0x5249197f, 0xffdfbb09, 0x00000006, 
      0xecfd8008, 0x924a193f, 0xffcfbb09, 0x00000007, 
      0xeafd9009, 0xc24c18ff, 0xffcfba09, 0x00000007, 
      0xe9fd9009, 0x024e18bf, 0xffbfba0a, 0x00000007, 
      0xe7fda009, 0x424f187f, 0xffbfba0a, 0x00000007, 
      0xe5fda009, 0x7251184f, 0xffbfba0a, 0x00000007, 
      0xe4fdb008, 0xb252180f, 0xffafbb0a, 0x00000007, 
      0xe2fdc008, 0xf25317cf, 0xffafbb0a, 0x00000007, 
      0xe1fdc008, 0x3255178f, 0xff9fbb0b, 0x00000007, 
      0xdffdd009, 0x6256174f, 0xff9fbb0b, 0x00000007, 
      0xdefde009, 0xa257170f, 0xff8fbb0b, 0x00000007, 
      0xdcfdf009, 0xe25816cf, 0xff8fbb0b, 0x00000007, 
      0xdbfdf008, 0x225a168f, 0xff8fbb0c, 0x00000007, 
      0xdafe0009, 0x525b164f, 0xff7fbb0c, 0x00000007, 
      0xd8fe0009, 0x925c160f, 0xff7fbc0c, 0x00000007, 
      0xd7fe1009, 0xd25d15cf, 0xff6fbc0c, 0x00000007, 
      0xd6fe2008, 0x125e158f, 0xff6fbc0d, 0x00000007, 
      0xd5fe3009, 0x525e154f, 0xff5fbc0d, 0x00000007, 
      0xd3fe3008, 0x925f150f, 0xff5fbd0d, 0x00000008, 
      0xd2fe4008, 0xd26014cf, 0xff4fbd0d, 0x00000008, 
      0xd1fe4008, 0x0261148f, 0xff4fbe0e, 0x00000008, 
      0xd0fe5009, 0x4261144f, 0xff3fbe0e, 0x00000008, 
      0xcffe6009, 0x8262140f, 0xff2fbe0e, 0x00000008, 
      0xcefe6008, 0xc26313cf, 0xff2fbf0e, 0x00000008, 
      0xcdfe7009, 0x0263138f, 0xff1fbf0f, 0x00000008, 
      0xccfe7009, 0x4263134f, 0xff1fc00f, 0x00000008, 
      0xcbfe8009, 0x8264130f, 0xff0fc00f, 0x00000008, 
      0xcafe9008, 0xc26412cf, 0xff0fc10f, 0x00000008, 
      0xc9fe9009, 0x0265128f, 0xfeffc110, 0x00000008, 
      0xc8fea008, 0x4265124f, 0xfeffc210, 0x00000008, 
      0xc7fea009, 0x8265120f, 0xfeefc310, 0x00000008, 
      0xc6fec009, 0xc26511cf, 0xfedfc310, 0x00000008, 
      0xc6fec008, 0x0265118f, 0xfedfc411, 0x00000008, 
      0xc5fec009, 0x4265114f, 0xfecfc511, 0x00000008, 
      0xc4fed008, 0x8265110f, 0xfecfc611, 0x00000008, 
      0xc3fee009, 0xc26510cf, 0xfebfc611, 0x00000008, 
      0xc3fee009, 0x0265108f, 0xfeafc712, 0x00000008, 
      0xc2fef008, 0x4265104f, 0xfeafc812, 0x00000008, 
      0xc1fef008, 0x8265100f, 0xfe9fc912, 0x00000009, 
      0xc1fef008, 0xc2640fcf, 0xfe9fca12, 0x00000009, 
      0xc0ff0008, 0x02640f8f, 0xfe8fcb13, 0x00000009, 
      0xc0ff1008, 0x42630f4f, 0xfe7fcc13, 0x00000009, 
      0xbfff1008, 0x82630f0f, 0xfe7fcd13, 0x00000009, 
      0xbfff2007, 0xc2630ecf, 0xfe6fce13, 0x00000009, 
      0xbeff3008, 0x02620e8f, 0xfe5fcf14, 0x00000009, 
      0xbeff3008, 0x42610e4f, 0xfe5fd014, 0x00000009, 
      0xbeff4007, 0x82610e0f, 0xfe4fd114, 0x00000009, 
      0xbdff4007, 0xc2600ddf, 0xfe4fd214, 0x00000009, 
      0xbdff5007, 0x025f0d9f, 0xfe3fd315, 0x00000009, 
      0xbcff6008, 0x425e0d5f, 0xfe2fd415, 0x00000009, 
      0xbcff5007, 0x825e0d1f, 0xfe2fd615, 0x00000009, 
      0xbcff6007, 0xc25d0cdf, 0xfe1fd715, 0x00000009, 
      0xbcff7007, 0x025c0c9f, 0xfe0fd816, 0x00000009, 
      0xbbff7007, 0x425b0c5f, 0xfe0fda16, 0x00000009, 
      0xbbff7007, 0x825a0c2f, 0xfdffdb16, 0x00000009, 
      0xbbff8008, 0xc2580bef, 0xfdefdc16, 0x00000009, 
      0xbbff8007, 0x02570baf, 0xfdefde17, 0x00000009, 
      0xbbff9007, 0x42560b6f, 0xfddfdf17, 0x00000009, 
      0xbbff9006, 0x82550b3f, 0xfdcfe117, 0x00000009, 
      0xbbffa006, 0xc2530aff, 0xfdcfe217, 0x00000009, 
      0xbbffa006, 0x02520abf, 0xfdbfe418, 0x00000009, 
      0xbaffb007, 0x42510a7f, 0xfdafe518, 0x00000009, 
      0xbaffb007, 0x724f0a4f, 0xfdafe718, 0x00000009, 
      0xbaffb007, 0xb24e0a0f, 0xfd9fe918, 0x00000009, 
      0xbbffc007, 0xf24c09cf, 0xfd8fea18, 0x00000009, 
      0xbbffc006, 0x324a099f, 0xfd8fec19, 0x00000009, 
      0xbbffc006, 0x7249095f, 0xfd7fee19, 0x00000009, 
      0xbaffd006, 0xb247092f, 0xfd6ff019, 0x00000009, 
      0xbbffd006, 0xe24508ef, 0xfd6ff219, 0x00000009, 
      0xbbffe007, 0x224308bf, 0xfd5ff31a, 0x00000008, 
      0xbbffe007, 0x6242087f, 0xfd4ff51a, 0x00000008, 
      0xbbffe006, 0xa240084f, 0xfd4ff71a, 0x00000008, 
      0xbbfff007, 0xd23e080f, 0xfd3ff91a, 0x00000008, 
      0xbbfff007, 0x123c07df, 0xfd2ffb1b, 0x00000008, 
      0xbcfff006, 0x523a079f, 0xfd2ffd1b, 0x00000008, 
      0xbc000006, 0x8238076f, 0xfd1fff1b, 0x00000008, 
      0xbc001006, 0xc235073f, 0xfd00011b, 0x00000008, 
      0xbc001005, 0x023306ff, 0xfd00041c, 0x00000008, 
      0xbd001005, 0x323106cf, 0xfcf0061c, 0x00000008, 
      0xbd001005, 0x722f069f, 0xfce0081c, 0x00000008, 
      0xbd002006, 0xa22c065f, 0xfce00a1c, 0x00000008, 
      0xbe002005, 0xe22a062f, 0xfcd00c1c, 0x00000008, 
      0xbe002006, 0x122805ff, 0xfcc00f1d, 0x00000007, 
      0xbe002006, 0x522505cf, 0xfcc0111d, 0x00000007, 
      0xbf003005, 0x8223059f, 0xfcb0131d, 0x00000007, 
      0xbf002005, 0xc220056f, 0xfcb0161d, 0x00000007, 
      0xbf003006, 0xf21e052f, 0xfca0181d, 0x00000007, 
      0xc0003006, 0x221b04ff, 0xfc901b1e, 0x00000007, 
      0xc0004005, 0x621804cf, 0xfc901d1e, 0x00000007, 
      0xc1003005, 0x9216049f, 0xfc80201e, 0x00000007, 
      0xc1004006, 0xc213046f, 0xfc80221e, 0x00000006, 
      0xc1005006, 0xf210043f, 0xfc70251e, 0x00000006, 
      0xc2004005, 0x320e040f, 0xfc70271f, 0x00000006, 
      0xc2005004, 0x620b03ef, 0xfc602a1f, 0x00000006, 
      0xc3005004, 0x920803bf, 0xfc502d1f, 0x00000006, 
      0xc3005004, 0xc205038f, 0xfc50301f, 0x00000006, 
      0xc4006005, 0xf202035f, 0xfc40321f, 0x00000005,
   },
   { /* Y scale factor = 0.61, phases = 127, taps = 9. */
      0x2bfc4007, 0xe2082050, 0x007fc402, 0x00000004, 
      0x28fc5008, 0x020b2020, 0x007fc303, 0x00000004, 
      0x25fc6008, 0x320e1fe0, 0x007fc303, 0x00000004, 
      0x23fc6008, 0x62111fb0, 0x007fc203, 0x00000004, 
      0x20fc7008, 0x92141f80, 0x006fc203, 0x00000004, 
      0x1dfc8008, 0xc2171f40, 0x006fc103, 0x00000005, 
      0x1afc8008, 0xf21a1f10, 0x006fc103, 0x00000005, 
      0x18fc9008, 0x221c1ee0, 0x006fc004, 0x00000005, 
      0x16fc9008, 0x521f1ea0, 0x006fc004, 0x00000005, 
      0x13fca009, 0x82221e70, 0x005fbf04, 0x00000005, 
      0x11fcb008, 0xb2251e30, 0x005fbf04, 0x00000005, 
      0x0efcc009, 0xe2271e00, 0x005fbe04, 0x00000005, 
      0x0cfcc009, 0x122a1dc0, 0x005fbe05, 0x00000005, 
      0x09fcd009, 0x522d1d90, 0x004fbd05, 0x00000005, 
      0x07fce009, 0x822f1d50, 0x004fbd05, 0x00000005, 
      0x05fce009, 0xb2321d10, 0x004fbd05, 0x00000005, 
      0x03fcf009, 0xe2341ce0, 0x004fbc05, 0x00000005, 
      0x00fd0009, 0x22371ca0, 0x003fbc06, 0x00000005, 
      0xfefd100a, 0x52391c6f, 0x003fbb06, 0x00000005, 
      0xfcfd100a, 0x823b1c3f, 0x003fbb06, 0x00000005, 
      0xfafd2009, 0xc23d1bff, 0x002fbb06, 0x00000006, 
      0xf8fd200a, 0xf2401bbf, 0x002fba06, 0x00000006, 
      0xf6fd3009, 0x32421b7f, 0x002fba07, 0x00000006, 
      0xf4fd3009, 0x62441b4f, 0x002fba07, 0x00000006, 
      0xf2fd4009, 0xa2461b0f, 0x001fba07, 0x00000006, 
      0xf0fd500a, 0xd2481acf, 0x001fb907, 0x00000006, 
      0xeefd6009, 0x124a1a8f, 0x001fb908, 0x00000006, 
      0xecfd700a, 0x424c1a4f, 0x000fb908, 0x00000006, 
      0xeafd700a, 0x824e1a0f, 0x000fb908, 0x00000006, 
      0xe9fd800a, 0xb25019cf, 0xffffb908, 0x00000006, 
      0xe7fd900a, 0xf252198f, 0xffffb808, 0x00000006, 
      0xe5fda00a, 0x3253194f, 0xffffb809, 0x00000006, 
      0xe4fdb00a, 0x6255190f, 0xffefb809, 0x00000006, 
      0xe2fdb00a, 0xa25718cf, 0xffefb809, 0x00000006, 
      0xe0fdc009, 0xe258188f, 0xffefb809, 0x00000007, 
      0xdffdc009, 0x225a184f, 0xffdfb80a, 0x00000007, 
      0xddfdd00a, 0x525b180f, 0xffdfb80a, 0x00000007, 
      0xdcfde009, 0x925d17cf, 0xffcfb80a, 0x00000007, 
      0xdafde00a, 0xd25e178f, 0xffcfb80a, 0x00000007, 
      0xd9fdf00a, 0x125f174f, 0xffbfb80b, 0x00000007, 
      0xd7fe0009, 0x5261170f, 0xffbfb80b, 0x00000007, 
      0xd6fe1009, 0x826216cf, 0xffbfb80b, 0x00000007, 
      0xd5fe100a, 0xc263168f, 0xffafb80b, 0x00000007, 
      0xd3fe200a, 0x0264164f, 0xffafb80c, 0x00000007, 
      0xd2fe300a, 0x4265160f, 0xff9fb80c, 0x00000007, 
      0xd1fe300a, 0x826615cf, 0xff9fb80c, 0x00000007, 
      0xcffe400a, 0xc267158f, 0xff8fb90c, 0x00000007, 
      0xcefe5009, 0x0268153f, 0xff8fb90d, 0x00000008, 
      0xcdfe500a, 0x426914ff, 0xff7fb90d, 0x00000008, 
      0xccfe6009, 0x826a14bf, 0xff7fb90d, 0x00000008, 
      0xcbfe6009, 0xc26b147f, 0xff6fba0d, 0x00000008, 
      0xcafe7009, 0x026b143f, 0xff6fba0e, 0x00000008, 
      0xc9fe8009, 0x426c13ff, 0xff5fba0e, 0x00000008, 
      0xc7fe8009, 0x826d13bf, 0xff5fbb0e, 0x00000008, 
      0xc7fe900a, 0xc26d136f, 0xff4fbb0e, 0x00000008, 
      0xc6fea009, 0x026e132f, 0xff4fbb0f, 0x00000008, 
      0xc5feb009, 0x426e12ef, 0xff3fbc0f, 0x00000008, 
      0xc5fec009, 0x826e12af, 0xff2fbc0f, 0x00000008, 
      0xc3fec009, 0xc26f126f, 0xff2fbd0f, 0x00000008, 
      0xc3fec009, 0x126f122f, 0xff1fbd10, 0x00000008, 
      0xc2fed009, 0x526f11df, 0xff1fbe10, 0x00000008, 
      0xc1fee009, 0x926f119f, 0xff0fbf10, 0x00000008, 
      0xc0fee009, 0xd26f115f, 0xff0fbf10, 0x00000009, 
      0xc0fef008, 0x126f111f, 0xfeffc011, 0x00000009, 
      0xbfff0009, 0x526f10df, 0xfeefc011, 0x00000009, 
      0xbfff0008, 0x926f109f, 0xfeefc111, 0x00000009, 
      0xbeff1008, 0xd26f105f, 0xfedfc211, 0x00000009, 
      0xbdff1008, 0x226f101f, 0xfecfc312, 0x00000009, 
      0xbdff2008, 0x626f0fcf, 0xfecfc312, 0x00000009, 
      0xbcff3009, 0xa26e0f8f, 0xfebfc412, 0x00000009, 
      0xbcff3008, 0xe26e0f4f, 0xfebfc512, 0x00000009, 
      0xbbff4008, 0x226e0f0f, 0xfeafc613, 0x00000009, 
      0xbbff5008, 0x626d0ecf, 0xfe9fc713, 0x00000009, 
      0xbbff4007, 0xb26d0e8f, 0xfe9fc813, 0x00000009, 
      0xbaff5008, 0xf26c0e4f, 0xfe8fc913, 0x00000009, 
      0xbaff6008, 0x326b0e0f, 0xfe7fca14, 0x00000009, 
      0xbaff6007, 0x726b0dcf, 0xfe7fcb14, 0x00000009, 
      0xb9ff7008, 0xb26a0d8f, 0xfe6fcc14, 0x00000009, 
      0xb9ff8008, 0xf2690d4f, 0xfe5fcd14, 0x00000009, 
      0xb9ff8008, 0x32680d0f, 0xfe5fce15, 0x00000009, 
      0xb9ff8008, 0x82670ccf, 0xfe4fcf15, 0x00000009, 
      0xb8ff9008, 0xc2660c8f, 0xfe3fd115, 0x00000009, 
      0xb8ff9008, 0x02650c4f, 0xfe3fd216, 0x00000009, 
      0xb8ffa008, 0x42640c0f, 0xfe2fd316, 0x00000009, 
      0xb8ffa007, 0x82630bcf, 0xfe1fd516, 0x0000000a, 
      0xb8ffa007, 0xc2620b8f, 0xfe1fd616, 0x0000000a, 
      0xb8ffb006, 0x02610b5f, 0xfe0fd717, 0x0000000a, 
      0xb8ffb007, 0x425f0b1f, 0xfdffd917, 0x0000000a, 
      0xb8ffc007, 0x825e0adf, 0xfdefda17, 0x0000000a, 
      0xb8ffc006, 0xc25d0a9f, 0xfdefdc17, 0x0000000a, 
      0xb8ffd007, 0x025b0a5f, 0xfddfdd18, 0x0000000a, 
      0xb8ffd006, 0x425a0a2f, 0xfdcfdf18, 0x0000000a, 
      0xb8ffe006, 0x825809ef, 0xfdcfe018, 0x0000000a, 
      0xb8ffe006, 0xc25709af, 0xfdbfe218, 0x0000000a, 
      0xb8fff007, 0x0255096f, 0xfdafe319, 0x0000000a, 
      0xb8fff007, 0x4253093f, 0xfd9fe519, 0x0000000a, 
      0xb8fff006, 0x825208ff, 0xfd9fe719, 0x0000000a, 
      0xb9fff006, 0xc25008bf, 0xfd8fe919, 0x0000000a, 
      0xb9000006, 0x024e088f, 0xfd7fea1a, 0x0000000a, 
      0xb9000006, 0x424c084f, 0xfd7fec1a, 0x0000000a, 
      0xb9001005, 0x824a081f, 0xfd6fee1a, 0x0000000a, 
      0xba001006, 0xc24807df, 0xfd5ff01a, 0x00000009, 
      0xba001005, 0x024607af, 0xfd5ff21b, 0x00000009, 
      0xba002005, 0x4244076f, 0xfd4ff41b, 0x00000009, 
      0xba002006, 0x7242073f, 0xfd3ff61b, 0x00000009, 
      0xba003006, 0xb24006ff, 0xfd2ff81b, 0x00000009, 
      0xbb002006, 0xf23d06cf, 0xfd2ffa1b, 0x00000009, 
      0xbb003006, 0x323b068f, 0xfd1ffc1c, 0x00000009, 
      0xbb004006, 0x6239065f, 0xfd0ffe1c, 0x00000009, 
      0xbc003005, 0xa237062f, 0xfd00001c, 0x00000009, 
      0xbc004005, 0xe23405ef, 0xfcf0031c, 0x00000009, 
      0xbd004005, 0x123205bf, 0xfce0051d, 0x00000009, 
      0xbd004005, 0x522f058f, 0xfce0071d, 0x00000009, 
      0xbd004005, 0x922d055f, 0xfcd0091d, 0x00000009, 
      0xbe005005, 0xc22a051f, 0xfcc00c1d, 0x00000009, 
      0xbe005005, 0x022704ef, 0xfcc00e1e, 0x00000009, 
      0xbf005004, 0x322504bf, 0xfcb0111e, 0x00000009, 
      0xbf006005, 0x7222048f, 0xfca0131e, 0x00000008, 
      0xc0006004, 0xa21f045f, 0xfca0161e, 0x00000008, 
      0xc0006005, 0xe21c042f, 0xfc90181e, 0x00000008, 
      0xc1006004, 0x121a03ff, 0xfc801b1f, 0x00000008, 
      0xc1006005, 0x421703cf, 0xfc801d1f, 0x00000008, 
      0xc2006004, 0x8214039f, 0xfc70201f, 0x00000008, 
      0xc2007004, 0xb211036f, 0xfc60231f, 0x00000008, 
      0xc3007004, 0xe20e033f, 0xfc60251f, 0x00000008, 
      0xc3007005, 0x220b030f, 0xfc502820, 0x00000007, 
      0xc4007004, 0x520802df, 0xfc502b20, 0x00000007,
   },
   { /* Y scale factor = 0.62, phases = 127, taps = 9. */
      0x23fc5008, 0x620e20a0, 0x009fc502, 0x00000004, 
      0x20fc5009, 0x92112070, 0x009fc402, 0x00000004, 
      0x1dfc6009, 0xc2142040, 0x009fc302, 0x00000004, 
      0x1bfc700a, 0xe2172000, 0x008fc302, 0x00000004, 
      0x18fc800a, 0x121a1fd0, 0x008fc203, 0x00000004, 
      0x16fc900a, 0x421d1f90, 0x008fc103, 0x00000004, 
      0x13fc900a, 0x72201f60, 0x008fc103, 0x00000004, 
      0x11fca00a, 0xa2231f20, 0x008fc003, 0x00000004, 
      0x0efcb00a, 0xd2261ef0, 0x007fc003, 0x00000004, 
      0x0bfcc00a, 0x12291eb0, 0x007fbf04, 0x00000004, 
      0x09fcc009, 0x422c1e80, 0x007fbf04, 0x00000004, 
      0x07fcd00a, 0x722e1e40, 0x007fbe04, 0x00000004, 
      0x04fcd00a, 0xa2311e00, 0x007fbe04, 0x00000005, 
      0x02fce00a, 0xd2341dd0, 0x006fbd04, 0x00000005, 
      0x00fce00a, 0x12371d90, 0x006fbc05, 0x00000005, 
      0xfdfd000a, 0x42391d5f, 0x006fbc05, 0x00000005, 
      0xfbfd000a, 0x723c1d1f, 0x006fbc05, 0x00000005, 
      0xf9fd100b, 0xa23e1cdf, 0x006fbb05, 0x00000005, 
      0xf7fd100a, 0xe2411caf, 0x005fbb05, 0x00000005, 
      0xf5fd300a, 0x12431c6f, 0x005fba06, 0x00000005, 
      0xf3fd300a, 0x52451c2f, 0x005fba06, 0x00000005, 
      0xf1fd400b, 0x82481bef, 0x004fb906, 0x00000005, 
      0xeffd500a, 0xc24a1baf, 0x004fb906, 0x00000005, 
      0xedfd600a, 0xf24c1b6f, 0x004fb906, 0x00000005, 
      0xebfd600b, 0x324e1b2f, 0x004fb807, 0x00000005, 
      0xe9fd700a, 0x62511aef, 0x003fb807, 0x00000006, 
      0xe7fd700a, 0xa2531aaf, 0x003fb807, 0x00000006, 
      0xe5fd800a, 0xe2551a6f, 0x003fb707, 0x00000006, 
      0xe3fd900b, 0x12571a2f, 0x002fb708, 0x00000006, 
      0xe1fda00a, 0x525919ef, 0x002fb708, 0x00000006, 
      0xe0fdb00a, 0x925a19af, 0x002fb608, 0x00000006, 
      0xdefdc00b, 0xc25c196f, 0x001fb608, 0x00000006, 
      0xddfdc00b, 0x025e191f, 0x001fb609, 0x00000006, 
      0xdbfdd00a, 0x426018df, 0x001fb609, 0x00000006, 
      0xd9fde00b, 0x8261189f, 0x000fb609, 0x00000006, 
      0xd8fdf00a, 0xb263185f, 0x000fb609, 0x00000006, 
      0xd6fe000b, 0xf265181f, 0xffffb509, 0x00000006, 
      0xd5fe000a, 0x326617df, 0xffffb50a, 0x00000007, 
      0xd4fe000a, 0x7268178f, 0xffffb50a, 0x00000007, 
      0xd2fe200a, 0xb269174f, 0xffefb50a, 0x00000007, 
      0xd1fe200a, 0xf26a170f, 0xffefb50a, 0x00000007, 
      0xcffe300a, 0x326c16cf, 0xffdfb50b, 0x00000007, 
      0xcefe300a, 0x726d168f, 0xffdfb50b, 0x00000007, 
      0xcdfe400b, 0xb26e163f, 0xffcfb50b, 0x00000007, 
      0xccfe500a, 0xf26f15ff, 0xffcfb50b, 0x00000007, 
      0xcbfe600a, 0x327015bf, 0xffbfb50c, 0x00000007, 
      0xc9fe700a, 0x7271157f, 0xffbfb50c, 0x00000007, 
      0xc9fe800a, 0xb272152f, 0xffafb50c, 0x00000007, 
      0xc7fe800a, 0xf27314ef, 0xffafb60c, 0x00000007, 
      0xc6fe9009, 0x327414af, 0xff9fb60d, 0x00000008, 
      0xc5fe900a, 0x7275145f, 0xff9fb60d, 0x00000008, 
      0xc4feb00a, 0xb275141f, 0xff8fb60d, 0x00000008, 
      0xc3feb009, 0x027613df, 0xff8fb60e, 0x00000008, 
      0xc2feb009, 0x4277139f, 0xff7fb70e, 0x00000008, 
      0xc2fec009, 0x8277134f, 0xff7fb70e, 0x00000008, 
      0xc1fed009, 0xc278130f, 0xff6fb70e, 0x00000008, 
      0xc0fed009, 0x027812cf, 0xff6fb80f, 0x00000008, 
      0xc0fee00a, 0x4278127f, 0xff5fb80f, 0x00000008, 
      0xbefee009, 0x9279123f, 0xff5fb90f, 0x00000008, 
      0xbefef009, 0xd27911ff, 0xff4fb90f, 0x00000008, 
      0xbdff0009, 0x127911bf, 0xff4fb910, 0x00000008, 
      0xbcff1009, 0x5279116f, 0xff3fba10, 0x00000009, 
      0xbcff1009, 0xa279112f, 0xff2fba10, 0x00000009, 
      0xbbff2008, 0xe27910ef, 0xff2fbb10, 0x00000009, 
      0xbaff2009, 0x227910af, 0xff1fbc11, 0x00000009, 
      0xbaff3009, 0x6279105f, 0xff1fbc11, 0x00000009, 
      0xb9ff4008, 0xb279101f, 0xff0fbd11, 0x00000009, 
      0xb9ff4008, 0xf2790fdf, 0xfeffbe11, 0x00000009, 
      0xb9ff4008, 0x32790f9f, 0xfeffbe12, 0x00000009, 
      0xb8ff6009, 0x72780f4f, 0xfeefbf12, 0x00000009, 
      0xb8ff6008, 0xc2780f0f, 0xfedfc012, 0x00000009, 
      0xb7ff6008, 0x02780ecf, 0xfedfc113, 0x00000009, 
      0xb7ff7008, 0x42770e8f, 0xfecfc213, 0x00000009, 
      0xb7ff7008, 0x92770e4f, 0xfebfc213, 0x00000009, 
      0xb6ff8007, 0xd2760e0f, 0xfebfc313, 0x0000000a, 
      0xb6ff9008, 0x12750dbf, 0xfeafc414, 0x0000000a, 
      0xb6ff9008, 0x52750d7f, 0xfe9fc514, 0x0000000a, 
      0xb6ff9007, 0xa2740d3f, 0xfe9fc614, 0x0000000a, 
      0xb6ffa007, 0xe2730cff, 0xfe8fc714, 0x0000000a, 
      0xb5ffb008, 0x22720cbf, 0xfe7fc815, 0x0000000a, 
      0xb5ffb007, 0x72710c7f, 0xfe7fc915, 0x0000000a, 
      0xb5ffb007, 0xb2700c3f, 0xfe6fcb15, 0x0000000a, 
      0xb5ffc007, 0xf26f0bff, 0xfe5fcc15, 0x0000000a, 
      0xb5ffc008, 0x326e0bbf, 0xfe4fcd16, 0x0000000a, 
      0xb5ffd006, 0x826d0b7f, 0xfe4fce16, 0x0000000a, 
      0xb5ffd007, 0xc26c0b3f, 0xfe3fcf16, 0x0000000a, 
      0xb5ffe007, 0x026a0aff, 0xfe2fd117, 0x0000000a, 
      0xb5ffe007, 0x42690abf, 0xfe2fd217, 0x0000000a, 
      0xb5fff006, 0x82680a7f, 0xfe1fd417, 0x0000000a, 
      0xb5fff007, 0xd2660a3f, 0xfe0fd517, 0x0000000a, 
      0xb5000007, 0x126509ff, 0xfdffd618, 0x0000000a, 
      0xb6000006, 0x526309bf, 0xfdffd818, 0x0000000a, 
      0xb6000007, 0x9261098f, 0xfdefd918, 0x0000000a, 
      0xb6001006, 0xd260094f, 0xfddfdb18, 0x0000000a, 
      0xb6001007, 0x125e090f, 0xfdcfdd19, 0x0000000a, 
      0xb6001007, 0x625c08cf, 0xfdcfde19, 0x0000000a, 
      0xb6002006, 0xa25a089f, 0xfdbfe019, 0x0000000a, 
      0xb7002005, 0xe259085f, 0xfdafe219, 0x0000000a, 
      0xb7003006, 0x2257081f, 0xfd9fe31a, 0x0000000a, 
      0xb7003005, 0x625507ef, 0xfd9fe51a, 0x0000000a, 
      0xb8003005, 0xa25307af, 0xfd8fe71a, 0x0000000a, 
      0xb8003006, 0xe251076f, 0xfd7fe91a, 0x0000000a, 
      0xb8004006, 0x224e073f, 0xfd6feb1b, 0x0000000a, 
      0xb9004005, 0x624c06ff, 0xfd6fed1b, 0x0000000a, 
      0xb9004005, 0xa24a06cf, 0xfd5fef1b, 0x0000000a, 
      0xb9004006, 0xe248068f, 0xfd4ff11b, 0x0000000a, 
      0xba005005, 0x2245065f, 0xfd3ff31c, 0x0000000a, 
      0xba005005, 0x6243061f, 0xfd3ff51c, 0x0000000a, 
      0xbb005004, 0xa24105ef, 0xfd2ff71c, 0x0000000a, 
      0xbc006005, 0xd23e05af, 0xfd1ff91c, 0x0000000a, 
      0xbc006005, 0x123c057f, 0xfd0ffb1d, 0x0000000a, 
      0xbc006005, 0x5239054f, 0xfd0ffd1d, 0x0000000a, 
      0xbc006004, 0x9237051f, 0xfcf0001d, 0x0000000a, 
      0xbd006005, 0xd23404df, 0xfce0021d, 0x0000000a, 
      0xbe007004, 0x023104af, 0xfce0041e, 0x0000000a, 
      0xbe007004, 0x422e047f, 0xfcd0071e, 0x0000000a, 
      0xbe007004, 0x822c044f, 0xfcc0091e, 0x0000000a, 
      0xbf007005, 0xb229041f, 0xfcb00b1e, 0x0000000a, 
      0xc0007004, 0xf22603df, 0xfcb00e1e, 0x0000000a, 
      0xc0008005, 0x222303af, 0xfca0101f, 0x0000000a, 
      0xc1008004, 0x6220037f, 0xfc90131f, 0x0000000a, 
      0xc1009004, 0x921d034f, 0xfc90161f, 0x00000009, 
      0xc2009004, 0xd21a031f, 0xfc80181f, 0x00000009, 
      0xc3009004, 0x021702ef, 0xfc701b20, 0x00000009, 
      0xc3008003, 0x421402cf, 0xfc701e20, 0x00000009, 
      0xc4009003, 0x7211029f, 0xfc602020, 0x00000009, 
      0xc5009003, 0xa20e026f, 0xfc502320, 0x00000009,
   },
   { /* Y scale factor = 0.63, phases = 127, taps = 9. */
      0x1bfc700b, 0xe2132100, 0x00afc501, 0x00000003, 
      0x19fc700a, 0x121720c0, 0x00afc502, 0x00000003, 
      0x16fc800a, 0x421a2090, 0x00afc402, 0x00000003, 
      0x13fc900b, 0x721d2050, 0x00afc302, 0x00000003, 
      0x11fc900a, 0xa2202020, 0x00afc302, 0x00000003, 
      0x0efca00b, 0xd2231fe0, 0x00afc202, 0x00000003, 
      0x0bfcb00a, 0x02271fb0, 0x00afc103, 0x00000003, 
      0x09fcb00b, 0x322a1f70, 0x009fc103, 0x00000003, 
      0x06fcc00b, 0x622d1f30, 0x009fc003, 0x00000004, 
      0x04fcd00b, 0x92301ef0, 0x009fbf03, 0x00000004, 
      0x01fcd00b, 0xc2331ec0, 0x009fbf03, 0x00000004, 
      0xfffce00c, 0xf2351e8f, 0x009fbe03, 0x00000004, 
      0xfdfcf00b, 0x22381e4f, 0x009fbe04, 0x00000004, 
      0xfafd000c, 0x623b1e0f, 0x008fbd04, 0x00000004, 
      0xf8fd100c, 0x923e1dcf, 0x008fbc04, 0x00000004, 
      0xf6fd200b, 0xc2411d8f, 0x008fbc04, 0x00000004, 
      0xf4fd200c, 0x02431d4f, 0x008fbb05, 0x00000004, 
      0xf2fd300b, 0x32461d0f, 0x008fbb05, 0x00000004, 
      0xf0fd400c, 0x72481ccf, 0x007fba05, 0x00000004, 
      0xedfd500b, 0xa24b1c8f, 0x007fba05, 0x00000005, 
      0xebfd600c, 0xd24d1c4f, 0x007fb905, 0x00000005, 
      0xe9fd600b, 0x12501c0f, 0x007fb906, 0x00000005, 
      0xe7fd800c, 0x42521bcf, 0x006fb806, 0x00000005, 
      0xe5fd800c, 0x82541b8f, 0x006fb806, 0x00000005, 
      0xe4fd800b, 0xc2571b4f, 0x006fb706, 0x00000005, 
      0xe2fd900b, 0xf2591b0f, 0x006fb706, 0x00000005, 
      0xe0fda00c, 0x325b1acf, 0x005fb607, 0x00000005, 
      0xdefdb00c, 0x725d1a7f, 0x005fb607, 0x00000005, 
      0xdcfdc00c, 0xa25f1a3f, 0x005fb607, 0x00000005, 
      0xdbfdd00c, 0xe26119ff, 0x004fb507, 0x00000005, 
      0xd9fdd00b, 0x226319bf, 0x004fb508, 0x00000006, 
      0xd7fde00b, 0x6265196f, 0x004fb508, 0x00000006, 
      0xd6fdf00c, 0x9267192f, 0x003fb408, 0x00000006, 
      0xd4fe000b, 0xd26918ef, 0x003fb408, 0x00000006, 
      0xd3fe000b, 0x126a18af, 0x003fb409, 0x00000006, 
      0xd1fe200b, 0x526c185f, 0x002fb409, 0x00000006, 
      0xd0fe200b, 0x926e181f, 0x002fb309, 0x00000006, 
      0xcefe300b, 0xd26f17df, 0x002fb309, 0x00000006, 
      0xcdfe400b, 0x1271178f, 0x001fb30a, 0x00000006, 
      0xccfe400b, 0x5272174f, 0x001fb30a, 0x00000006, 
      0xcbfe500a, 0x9274170f, 0x000fb30a, 0x00000006, 
      0xc9fe600a, 0xd27516bf, 0x000fb30a, 0x00000007, 
      0xc8fe600a, 0x1276167f, 0x000fb30b, 0x00000007, 
      0xc7fe700b, 0x5278162f, 0xffffb20b, 0x00000007, 
      0xc6fe800a, 0x927915ef, 0xffffb20b, 0x00000007, 
      0xc5fe900a, 0xd27a15af, 0xffefb20b, 0x00000007, 
      0xc4fe900a, 0x227b155f, 0xffefb20c, 0x00000007, 
      0xc3fea00a, 0x627c151f, 0xffdfb20c, 0x00000007, 
      0xc2fea00a, 0xa27d14cf, 0xffdfb30c, 0x00000007, 
      0xc1fec009, 0xe27e148f, 0xffcfb30c, 0x00000007, 
      0xc0fec00a, 0x227e144f, 0xffcfb30d, 0x00000007, 
      0xbffed00a, 0x627f13ff, 0xffbfb30d, 0x00000008, 
      0xbefed009, 0xb28013bf, 0xffbfb30d, 0x00000008, 
      0xbdfee00a, 0xf281136f, 0xffafb30d, 0x00000008, 
      0xbcfef00a, 0x3281132f, 0xffafb30e, 0x00000008, 
      0xbcfef009, 0x828212df, 0xff9fb40e, 0x00000008, 
      0xbbff0009, 0xc282129f, 0xff9fb40e, 0x00000008, 
      0xbaff100a, 0x0282125f, 0xff8fb40f, 0x00000008, 
      0xb9ff2009, 0x4283120f, 0xff8fb50f, 0x00000008, 
      0xb9ff2009, 0x928311cf, 0xff7fb50f, 0x00000008, 
      0xb9ff3009, 0xd283118f, 0xff6fb50f, 0x00000008, 
      0xb8ff3008, 0x2283113f, 0xff6fb610, 0x00000009, 
      0xb7ff4008, 0x628410ff, 0xff5fb610, 0x00000009, 
      0xb7ff4008, 0xa28410af, 0xff5fb710, 0x00000009, 
      0xb6ff5008, 0xf284106f, 0xff4fb710, 0x00000009, 
      0xb6ff6008, 0x3283102f, 0xff3fb811, 0x00000009, 
      0xb5ff7009, 0x72830fdf, 0xff3fb811, 0x00000009, 
      0xb5ff7008, 0xc2830f9f, 0xff2fb911, 0x00000009, 
      0xb5ff8008, 0x02830f4f, 0xff2fb912, 0x00000009, 
      0xb4ff8009, 0x52820f0f, 0xff1fba12, 0x00000009, 
      0xb4ff9008, 0x92820ecf, 0xff0fbb12, 0x00000009, 
      0xb4ff9007, 0xd2820e8f, 0xff0fbc12, 0x00000009, 
      0xb3ffa008, 0x22810e3f, 0xfeffbc13, 0x0000000a, 
      0xb3ffa008, 0x62810dff, 0xfeefbd13, 0x0000000a, 
      0xb3ffa007, 0xb2800dbf, 0xfeefbe13, 0x0000000a, 
      0xb3ffb008, 0xf27f0d6f, 0xfedfbf13, 0x0000000a, 
      0xb3ffc007, 0x427e0d2f, 0xfecfc014, 0x0000000a, 
      0xb2ffc007, 0x827e0cef, 0xfecfc114, 0x0000000a, 
      0xb3ffc007, 0xc27d0caf, 0xfebfc214, 0x0000000a, 
      0xb2ffd007, 0x127c0c6f, 0xfeafc315, 0x0000000a, 
      0xb2ffe007, 0x527b0c2f, 0xfe9fc415, 0x0000000a, 
      0xb2ffe007, 0xa27a0bdf, 0xfe9fc515, 0x0000000a, 
      0xb2fff007, 0xe2790b9f, 0xfe8fc615, 0x0000000a, 
      0xb2000007, 0x22780b5f, 0xfe7fc716, 0x0000000a, 
      0xb3000007, 0x72760b1f, 0xfe6fc816, 0x0000000a, 
      0xb3000006, 0xb2750adf, 0xfe6fc916, 0x0000000b, 
      0xb2000006, 0x02740a9f, 0xfe5fcb17, 0x0000000b, 
      0xb3001006, 0x42720a5f, 0xfe4fcc17, 0x0000000b, 
      0xb3001006, 0x82710a1f, 0xfe4fcd17, 0x0000000b, 
      0xb3002006, 0xd26f09df, 0xfe3fce17, 0x0000000b, 
      0xb3002006, 0x126e099f, 0xfe2fd018, 0x0000000b, 
      0xb4003006, 0x526c095f, 0xfe1fd118, 0x0000000b, 
      0xb4003006, 0xa26a091f, 0xfe0fd318, 0x0000000b, 
      0xb4003006, 0xe26908df, 0xfe0fd418, 0x0000000b, 
      0xb4004006, 0x2267089f, 0xfdffd619, 0x0000000b, 
      0xb5004005, 0x7265086f, 0xfdefd719, 0x0000000b, 
      0xb5004006, 0xb263082f, 0xfddfd919, 0x0000000b, 
      0xb5004006, 0xf26107ef, 0xfddfdb19, 0x0000000b, 
      0xb6005006, 0x325f07af, 0xfdcfdc1a, 0x0000000b, 
      0xb6005006, 0x725d077f, 0xfdbfde1a, 0x0000000b, 
      0xb6005006, 0xc25b073f, 0xfdafe01a, 0x0000000b, 
      0xb7006005, 0x025906ff, 0xfd9fe21b, 0x0000000b, 
      0xb7006004, 0x425706cf, 0xfd9fe41b, 0x0000000b, 
      0xb8007005, 0x8254068f, 0xfd8fe51b, 0x0000000b, 
      0xb9007005, 0xc252064f, 0xfd7fe71b, 0x0000000b, 
      0xb9007005, 0x0250061f, 0xfd6fe91c, 0x0000000b, 
      0xba007005, 0x424d05ef, 0xfd5feb1c, 0x0000000b, 
      0xba007005, 0x824b05af, 0xfd5fed1c, 0x0000000b, 
      0xba008005, 0xc248057f, 0xfd4fef1c, 0x0000000b, 
      0xbb008004, 0x0246053f, 0xfd3ff21d, 0x0000000b, 
      0xbb008005, 0x4243050f, 0xfd2ff41d, 0x0000000b, 
      0xbc008004, 0x824104cf, 0xfd2ff61d, 0x0000000b, 
      0xbc008005, 0xc23e049f, 0xfd1ff81d, 0x0000000b, 
      0xbd008005, 0x023b046f, 0xfd0ffa1e, 0x0000000b, 
      0xbe009004, 0x4238042f, 0xfcfffd1e, 0x0000000b, 
      0xbf009004, 0x823503ff, 0xfcefff1e, 0x0000000b, 
      0xbf009003, 0xc23303cf, 0xfce0011e, 0x0000000b, 
      0xbf009004, 0xf230039f, 0xfcd0041e, 0x0000000b, 
      0xc0009004, 0x322d036f, 0xfcc0061f, 0x0000000b, 
      0xc1009003, 0x722a033f, 0xfcb0091f, 0x0000000b, 
      0xc1009003, 0xb227030f, 0xfcb00b1f, 0x0000000b, 
      0xc200a003, 0xe22302df, 0xfca00e1f, 0x0000000b, 
      0xc3009003, 0x222002af, 0xfc901120, 0x0000000b, 
      0xc300a004, 0x521d027f, 0xfc801320, 0x0000000b, 
      0xc400a003, 0x921a023f, 0xfc801620, 0x0000000b, 
      0xc500a002, 0xc217021f, 0xfc701920, 0x0000000b, 
      0xc500b003, 0x021301ef, 0xfc601b21, 0x0000000b,
   },
   { /* Y scale factor = 0.64, phases = 127, taps = 9. */
      0x14fc700c, 0x62192150, 0x00cfc701, 0x00000002, 
      0x11fc800c, 0x921c2120, 0x00cfc601, 0x00000002, 
      0x0efc900c, 0xc22020e0, 0x00cfc501, 0x00000002, 
      0x0bfca00d, 0xf22320a0, 0x00cfc401, 0x00000002, 
      0x08fca00c, 0x22262070, 0x00cfc402, 0x00000003, 
      0x06fcb00c, 0x522a2030, 0x00bfc302, 0x00000003, 
      0x04fcc00c, 0x822d1ff0, 0x00bfc202, 0x00000003, 
      0x01fcd00d, 0xb2301fb0, 0x00bfc102, 0x00000003, 
      0xfffce00c, 0xe2331f7f, 0x00bfc102, 0x00000003, 
      0xfcfcf00d, 0x12361f3f, 0x00bfc003, 0x00000003, 
      0xfafd000c, 0x42391f0f, 0x00bfbf03, 0x00000003, 
      0xf7fd000c, 0x823c1ecf, 0x00bfbf03, 0x00000003, 
      0xf5fd100c, 0xb23f1e8f, 0x00bfbe03, 0x00000003, 
      0xf3fd200d, 0xe2421e4f, 0x00afbd03, 0x00000003, 
      0xf1fd300c, 0x12451e0f, 0x00afbd04, 0x00000003, 
      0xeefd400c, 0x52481dbf, 0x00afbc04, 0x00000004, 
      0xecfd500c, 0x824b1d7f, 0x00afbb04, 0x00000004, 
      0xeafd500c, 0xc24d1d3f, 0x00afbb04, 0x00000004, 
      0xe8fd600d, 0xf2501cff, 0x009fba04, 0x00000004, 
      0xe6fd700d, 0x22531cbf, 0x009fb905, 0x00000004, 
      0xe4fd800c, 0x62551c7f, 0x009fb905, 0x00000004, 
      0xe2fd800c, 0xa2581c3f, 0x009fb805, 0x00000004, 
      0xe0fda00c, 0xd25a1bef, 0x009fb805, 0x00000004, 
      0xdefda00d, 0x125d1baf, 0x008fb706, 0x00000004, 
      0xdcfdb00d, 0x425f1b6f, 0x008fb706, 0x00000004, 
      0xdbfdc00d, 0x82611b1f, 0x008fb606, 0x00000004, 
      0xd9fdc00b, 0xc2641adf, 0x008fb606, 0x00000005, 
      0xd7fde00b, 0x02661a9f, 0x007fb507, 0x00000005, 
      0xd5fdf00c, 0x32681a4f, 0x007fb507, 0x00000005, 
      0xd4fdf00c, 0x726a1a0f, 0x007fb407, 0x00000005, 
      0xd2fe000c, 0xb26c19cf, 0x006fb407, 0x00000005, 
      0xd1fe100b, 0xf26e197f, 0x006fb407, 0x00000005, 
      0xcffe200b, 0x3270193f, 0x006fb308, 0x00000005, 
      0xcefe200b, 0x727218ef, 0x006fb308, 0x00000005, 
      0xccfe300c, 0xb27418af, 0x005fb208, 0x00000005, 
      0xcbfe400b, 0xf275185f, 0x005fb208, 0x00000006, 
      0xc9fe500b, 0x3277181f, 0x004fb209, 0x00000006, 
      0xc8fe500b, 0x727917df, 0x004fb109, 0x00000006, 
      0xc7fe600b, 0xb27a178f, 0x004fb109, 0x00000006, 
      0xc5fe700b, 0xf27c174f, 0x003fb109, 0x00000006, 
      0xc4fe800b, 0x327d16ff, 0x003fb10a, 0x00000006, 
      0xc3fe900a, 0x727f16af, 0x003fb10a, 0x00000006, 
      0xc2fea00b, 0xb280166f, 0x002fb00a, 0x00000006, 
      0xc1feb00b, 0xf281161f, 0x002fb00a, 0x00000006, 
      0xc0feb00b, 0x328315df, 0x001fb00b, 0x00000006, 
      0xbffeb00a, 0x8284158f, 0x001fb00b, 0x00000007, 
      0xbdfec00a, 0xc285154f, 0x001fb00b, 0x00000007, 
      0xbdfed00a, 0x028614ff, 0x000fb00c, 0x00000007, 
      0xbcfed00a, 0x428714bf, 0x000fb00c, 0x00000007, 
      0xbbfee00a, 0x9288146f, 0xffffb00c, 0x00000007, 
      0xbafef00a, 0xd288142f, 0xffffb00c, 0x00000007, 
      0xbaff000a, 0x128913df, 0xffefb00d, 0x00000007, 
      0xb9ff1009, 0x628a138f, 0xffefb00d, 0x00000007, 
      0xb8ff100a, 0xa28b134f, 0xffdfb00d, 0x00000007, 
      0xb7ff200a, 0xe28b12ff, 0xffdfb00d, 0x00000008, 
      0xb7ff2009, 0x328c12bf, 0xffcfb00e, 0x00000008, 
      0xb6ff300a, 0x728c126f, 0xffcfb00e, 0x00000008, 
      0xb5ff3009, 0xc28d122f, 0xffbfb10e, 0x00000008, 
      0xb5ff4009, 0x028d11df, 0xffbfb10f, 0x00000008, 
      0xb4ff5009, 0x528d119f, 0xffafb10f, 0x00000008, 
      0xb4ff6009, 0x928d115f, 0xff9fb10f, 0x00000008, 
      0xb3ff7009, 0xd28e10ff, 0xff9fb20f, 0x00000008, 
      0xb3ff7009, 0x228e10bf, 0xff8fb210, 0x00000008, 
      0xb2ff8009, 0x628e106f, 0xff8fb210, 0x00000009, 
      0xb2ff8008, 0xb28e102f, 0xff7fb310, 0x00000009, 
      0xb2ff9009, 0xf28e0fdf, 0xff6fb310, 0x00000009, 
      0xb1ff9009, 0x428d0f9f, 0xff6fb411, 0x00000009, 
      0xb1ffa008, 0x928d0f5f, 0xff5fb411, 0x00000009, 
      0xb1ffa008, 0xd28d0f0f, 0xff5fb511, 0x00000009, 
      0xb1ffb007, 0x228d0ecf, 0xff4fb512, 0x00000009, 
      0xb1ffc008, 0x628c0e7f, 0xff3fb612, 0x00000009, 
      0xb0ffc007, 0xb28c0e3f, 0xff3fb712, 0x00000009, 
      0xb0ffd008, 0xf28b0def, 0xff2fb712, 0x0000000a, 
      0xb0ffd007, 0x428b0daf, 0xff1fb813, 0x0000000a, 
      0xb0ffd007, 0x828a0d6f, 0xff1fb913, 0x0000000a, 
      0xb0ffe007, 0xd2890d1f, 0xff0fba13, 0x0000000a, 
      0xb0fff007, 0x22880cdf, 0xfeffba14, 0x0000000a, 
      0xaffff007, 0x62880c9f, 0xfeffbb14, 0x0000000a, 
      0xb0000006, 0xb2870c4f, 0xfeefbc14, 0x0000000a, 
      0xb0000007, 0xf2860c0f, 0xfedfbd14, 0x0000000a, 
      0xb0001006, 0x42850bcf, 0xfecfbe15, 0x0000000a, 
      0xb0001006, 0x82840b8f, 0xfecfbf15, 0x0000000a, 
      0xb0001007, 0xd2820b3f, 0xfebfc015, 0x0000000b, 
      0xb0002007, 0x12810aff, 0xfeafc116, 0x0000000b, 
      0xb0002007, 0x62800abf, 0xfe9fc216, 0x0000000b, 
      0xb1002006, 0xa27f0a7f, 0xfe9fc316, 0x0000000b, 
      0xb1003006, 0xf27d0a3f, 0xfe8fc416, 0x0000000b, 
      0xb1003005, 0x427c09ff, 0xfe7fc617, 0x0000000b, 
      0xb1004006, 0x827a09bf, 0xfe6fc717, 0x0000000b, 
      0xb1004005, 0xd279097f, 0xfe6fc817, 0x0000000b, 
      0xb2004006, 0x1277093f, 0xfe5fc918, 0x0000000b, 
      0xb2005006, 0x527508ff, 0xfe4fcb18, 0x0000000b, 
      0xb2005006, 0xa27408bf, 0xfe3fcc18, 0x0000000b, 
      0xb3005005, 0xe272087f, 0xfe2fce18, 0x0000000c, 
      0xb3005005, 0x3270083f, 0xfe2fcf19, 0x0000000c, 
      0xb3006005, 0x726e07ff, 0xfe1fd119, 0x0000000c, 
      0xb4006005, 0xc26c07bf, 0xfe0fd219, 0x0000000c, 
      0xb4007005, 0x026a077f, 0xfdffd41a, 0x0000000c, 
      0xb5008005, 0x4268073f, 0xfdefd51a, 0x0000000c, 
      0xb5007004, 0x9266070f, 0xfdefd71a, 0x0000000c, 
      0xb6007004, 0xd26406cf, 0xfddfd91a, 0x0000000c, 
      0xb6008005, 0x1261068f, 0xfdcfdb1b, 0x0000000c, 
      0xb7008005, 0x625f064f, 0xfdbfdc1b, 0x0000000c, 
      0xb7008005, 0xa25d061f, 0xfdafde1b, 0x0000000c, 
      0xb8009004, 0xe25a05df, 0xfdafe01b, 0x0000000c, 
      0xb8008004, 0x325805af, 0xfd9fe21c, 0x0000000c, 
      0xb9009004, 0x7255056f, 0xfd8fe41c, 0x0000000c, 
      0xb900a004, 0xb253052f, 0xfd7fe61c, 0x0000000c, 
      0xba00a004, 0xf25004ff, 0xfd6fe81c, 0x0000000c, 
      0xbb00a004, 0x324d04cf, 0xfd5fea1d, 0x0000000c, 
      0xbb00a004, 0x724b048f, 0xfd5fec1d, 0x0000000c, 
      0xbc00a004, 0xb248045f, 0xfd4fee1d, 0x0000000c, 
      0xbd00a003, 0x0245041f, 0xfd3ff11e, 0x0000000c, 
      0xbd00a004, 0x424203ef, 0xfd2ff31e, 0x0000000c, 
      0xbe00b003, 0x823f03bf, 0xfd1ff51e, 0x0000000c, 
      0xbf00b003, 0xc23c038f, 0xfd0ff71e, 0x0000000c, 
      0xbf00b003, 0x0239034f, 0xfd0ffa1f, 0x0000000c, 
      0xc000b003, 0x3236032f, 0xfcfffc1f, 0x0000000c, 
      0xc100b003, 0x723302ef, 0xfcefff1f, 0x0000000c, 
      0xc100c003, 0xb23002bf, 0xfcd0011f, 0x0000000c, 
      0xc200b003, 0xf22d028f, 0xfcc0041f, 0x0000000c, 
      0xc300b003, 0x322a025f, 0xfcb00620, 0x0000000c, 
      0xc400b002, 0x7226022f, 0xfcb00920, 0x0000000c, 
      0xc400c003, 0xa22301ff, 0xfca00b20, 0x0000000c, 
      0xc500c002, 0xe22001cf, 0xfc900e20, 0x0000000c, 
      0xc600c002, 0x221c019f, 0xfc801121, 0x0000000c, 
      0xc700c002, 0x5219016f, 0xfc701421, 0x0000000c,
   },
   { /* Y scale factor = 0.65, phases = 127, taps = 9. */
      0x0cfc900e, 0xf21e21a0, 0x00dfc800, 0x00000001, 
      0x09fca00e, 0x12222170, 0x00dfc701, 0x00000001, 
      0x06fcb00d, 0x42252130, 0x00dfc701, 0x00000002, 
      0x04fcb00d, 0x722920f0, 0x00dfc601, 0x00000002, 
      0x01fcd00d, 0xa22c20b0, 0x00dfc501, 0x00000002, 
      0xfefcd00e, 0xd230207f, 0x00dfc401, 0x00000002, 
      0xfcfce00e, 0x0233203f, 0x00dfc302, 0x00000002, 
      0xf9fcf00e, 0x32361fff, 0x00dfc302, 0x00000002, 
      0xf7fd000d, 0x623a1fbf, 0x00dfc202, 0x00000002, 
      0xf5fd100d, 0x923d1f7f, 0x00dfc102, 0x00000002, 
      0xf2fd200e, 0xd2401f3f, 0x00cfc002, 0x00000002, 
      0xf0fd300e, 0x02431eff, 0x00cfbf03, 0x00000002, 
      0xeefd300d, 0x32461ebf, 0x00cfbf03, 0x00000003, 
      0xebfd400e, 0x62491e7f, 0x00cfbe03, 0x00000003, 
      0xe9fd500d, 0xa24c1e3f, 0x00cfbd03, 0x00000003, 
      0xe7fd600e, 0xd24f1def, 0x00cfbc03, 0x00000003, 
      0xe5fd700d, 0x02521daf, 0x00cfbc04, 0x00000003, 
      0xe3fd700d, 0x42551d6f, 0x00cfbb04, 0x00000003, 
      0xe1fd900d, 0x72581d2f, 0x00bfba04, 0x00000003, 
      0xdffda00d, 0xb25a1cdf, 0x00bfba04, 0x00000003, 
      0xddfdb00d, 0xe25d1c9f, 0x00bfb904, 0x00000003, 
      0xdbfdb00d, 0x22601c5f, 0x00bfb805, 0x00000003, 
      0xd9fdc00c, 0x62621c0f, 0x00bfb805, 0x00000004, 
      0xd7fdd00d, 0x92651bcf, 0x00afb705, 0x00000004, 
      0xd5fde00d, 0xd2671b7f, 0x00afb705, 0x00000004, 
      0xd4fde00c, 0x126a1b3f, 0x00afb606, 0x00000004, 
      0xd2fe000c, 0x526c1aef, 0x00afb506, 0x00000004, 
      0xd0fe000d, 0x826e1aaf, 0x00afb506, 0x00000004, 
      0xcffe200d, 0xc2701a5f, 0x009fb406, 0x00000004, 
      0xcdfe200c, 0x02731a1f, 0x009fb407, 0x00000004, 
      0xccfe300c, 0x427519cf, 0x009fb307, 0x00000004, 
      0xcafe300c, 0x8277198f, 0x009fb307, 0x00000004, 
      0xc9fe500b, 0xc279193f, 0x008fb207, 0x00000005, 
      0xc7fe500b, 0x027b18ff, 0x008fb208, 0x00000005, 
      0xc6fe600b, 0x427d18af, 0x008fb108, 0x00000005, 
      0xc5fe700c, 0x827e185f, 0x007fb108, 0x00000005, 
      0xc3fe800c, 0xc280181f, 0x007fb008, 0x00000005, 
      0xc2fe900b, 0x028217cf, 0x007fb009, 0x00000005, 
      0xc1fe900c, 0x4284177f, 0x006fb009, 0x00000005, 
      0xc0fea00c, 0x8285173f, 0x006faf09, 0x00000005, 
      0xbffeb00b, 0xc28716ef, 0x006faf09, 0x00000005, 
      0xbdfec00b, 0x1288169f, 0x005faf0a, 0x00000006, 
      0xbcfed00b, 0x5289165f, 0x005fae0a, 0x00000006, 
      0xbbfed00b, 0x928b160f, 0x005fae0a, 0x00000006, 
      0xbafef00b, 0xd28c15bf, 0x004fae0a, 0x00000006, 
      0xb9fef00a, 0x228d157f, 0x004fae0b, 0x00000006, 
      0xb9ff000a, 0x628e152f, 0x003fae0b, 0x00000006, 
      0xb8ff100b, 0xa28f14df, 0x003fad0b, 0x00000006, 
      0xb7ff100a, 0xf291149f, 0x002fad0b, 0x00000006, 
      0xb6ff200a, 0x3291144f, 0x002fad0c, 0x00000007, 
      0xb5ff200a, 0x829213ff, 0x002fad0c, 0x00000007, 
      0xb5ff3009, 0xc29313bf, 0x001fad0c, 0x00000007, 
      0xb4ff4009, 0x0294136f, 0x001fad0d, 0x00000007, 
      0xb3ff400a, 0x5295131f, 0x000fad0d, 0x00000007, 
      0xb3ff500a, 0x929512cf, 0x000fad0d, 0x00000007, 
      0xb2ff6009, 0xe296128f, 0xffffad0d, 0x00000007, 
      0xb1ff700a, 0x2296123f, 0xffffad0e, 0x00000007, 
      0xb1ff7009, 0x729711ef, 0xffefad0e, 0x00000008, 
      0xb0ff8009, 0xb29711af, 0xffefad0e, 0x00000008, 
      0xb0ff8009, 0x0297115f, 0xffdfae0f, 0x00000008, 
      0xb0ff9008, 0x5298110f, 0xffcfae0f, 0x00000008, 
      0xafffa008, 0x929810cf, 0xffcfae0f, 0x00000008, 
      0xafffa009, 0xe298107f, 0xffbfae0f, 0x00000008, 
      0xafffb008, 0x2298102f, 0xffbfaf10, 0x00000008, 
      0xaeffb009, 0x72980fef, 0xffafaf10, 0x00000008, 
      0xaeffb008, 0xc2980f9f, 0xffafaf10, 0x00000009, 
      0xaeffc007, 0x02980f5f, 0xff9fb011, 0x00000009, 
      0xaeffd008, 0x52970f0f, 0xff8fb011, 0x00000009, 
      0xadffe008, 0xa2970ebf, 0xff8fb011, 0x00000009, 
      0xadffe008, 0xe2970e7f, 0xff7fb111, 0x00000009, 
      0xaefff008, 0x32960e2f, 0xff6fb112, 0x00000009, 
      0xadfff007, 0x82960def, 0xff6fb212, 0x00000009, 
      0xad000008, 0xc2950d9f, 0xff5fb312, 0x00000009, 
      0xad000007, 0x12950d5f, 0xff4fb313, 0x0000000a, 
      0xad001006, 0x62940d0f, 0xff4fb413, 0x0000000a, 
      0xad001006, 0xb2930ccf, 0xff3fb513, 0x0000000a, 
      0xad002007, 0xf2920c8f, 0xff2fb513, 0x0000000a, 
      0xad002007, 0x42910c3f, 0xff2fb614, 0x0000000a, 
      0xad002006, 0x92910bff, 0xff1fb714, 0x0000000a, 
      0xae003007, 0xd28f0baf, 0xff0fb814, 0x0000000a, 
      0xae003006, 0x228e0b6f, 0xff0fb915, 0x0000000a, 
      0xae003006, 0x728d0b2f, 0xfeffb915, 0x0000000b, 
      0xae005006, 0xb28c0adf, 0xfeefba15, 0x0000000b, 
      0xae005006, 0x028b0a9f, 0xfedfbb16, 0x0000000b, 
      0xae005006, 0x52890a5f, 0xfedfbc16, 0x0000000b, 
      0xaf005006, 0x92880a1f, 0xfecfbd16, 0x0000000b, 
      0xaf006005, 0xe28709cf, 0xfebfbf16, 0x0000000b, 
      0xaf006006, 0x3285098f, 0xfeafc017, 0x0000000b, 
      0xb0006006, 0x7284094f, 0xfe9fc117, 0x0000000b, 
      0xb0007005, 0xc282090f, 0xfe9fc217, 0x0000000b, 
      0xb0007005, 0x128008cf, 0xfe8fc318, 0x0000000c, 
      0xb1007005, 0x527e088f, 0xfe7fc518, 0x0000000c, 
      0xb1008004, 0xa27d084f, 0xfe6fc618, 0x0000000c, 
      0xb2008004, 0xf27b080f, 0xfe5fc718, 0x0000000c, 
      0xb2008004, 0x327907cf, 0xfe5fc919, 0x0000000c, 
      0xb3008004, 0x8277078f, 0xfe4fca19, 0x0000000c, 
      0xb3009004, 0xc275074f, 0xfe3fcc19, 0x0000000c, 
      0xb4009004, 0x1273070f, 0xfe2fcd1a, 0x0000000c, 
      0xb400a005, 0x527006cf, 0xfe1fcf1a, 0x0000000c, 
      0xb500a005, 0xa26e068f, 0xfe0fd01a, 0x0000000c, 
      0xb500a004, 0xe26c065f, 0xfe0fd21a, 0x0000000c, 
      0xb500a003, 0x326a061f, 0xfdffd41b, 0x0000000d, 
      0xb700a004, 0x726705df, 0xfdefd51b, 0x0000000d, 
      0xb700a004, 0xc265059f, 0xfddfd71b, 0x0000000d, 
      0xb800b003, 0x0262056f, 0xfdcfd91c, 0x0000000d, 
      0xb800b003, 0x5260052f, 0xfdbfdb1c, 0x0000000d, 
      0xb900b004, 0x925d04ef, 0xfdafdd1c, 0x0000000d, 
      0xba00b003, 0xd25a04bf, 0xfdafdf1c, 0x0000000d, 
      0xba00b003, 0x2258047f, 0xfd9fe11d, 0x0000000d, 
      0xbb00b003, 0x6255044f, 0xfd8fe31d, 0x0000000d, 
      0xbc00c003, 0xa252040f, 0xfd7fe51d, 0x0000000d, 
      0xbd00c003, 0xe24f03df, 0xfd6fe71d, 0x0000000d, 
      0xbd00c003, 0x324c03af, 0xfd5fe91e, 0x0000000d, 
      0xbe00d003, 0x7249036f, 0xfd4feb1e, 0x0000000d, 
      0xbf00c003, 0xb246033f, 0xfd3fee1e, 0x0000000d, 
      0xbf00c003, 0xf243030f, 0xfd3ff01e, 0x0000000d, 
      0xc000c003, 0x324002df, 0xfd2ff21f, 0x0000000d, 
      0xc100d002, 0x723d029f, 0xfd1ff51f, 0x0000000d, 
      0xc200d002, 0xb23a026f, 0xfd0ff71f, 0x0000000d, 
      0xc300d003, 0xf236023f, 0xfcfff91f, 0x0000000d, 
      0xc400d002, 0x3233020f, 0xfceffc20, 0x0000000d, 
      0xc500d002, 0x723001df, 0xfcdffe20, 0x0000000d, 
      0xc500d002, 0xb22c01af, 0xfcd00120, 0x0000000d, 
      0xc600d001, 0xf229017f, 0xfcc00420, 0x0000000d, 
      0xc700d002, 0x3225014f, 0xfcb00621, 0x0000000d, 
      0xc700d002, 0x7222011f, 0xfca00921, 0x0000000d, 
      0xc800d002, 0xa21e00ff, 0xfc900c21, 0x0000000d,
   },
   { /* Y scale factor = 0.66, phases = 127, taps = 9. */
      0x04fcb00e, 0x72232200, 0x00efca00, 0x00000001, 
      0x01fcc00f, 0x922721c0, 0x00efc900, 0x00000001, 
      0xfefcd00f, 0xc22b218f, 0x00efc800, 0x00000001, 
      0xfcfce00e, 0xf22e214f, 0x00efc800, 0x00000001, 
      0xf9fcf00e, 0x2232210f, 0x00efc701, 0x00000001, 
      0xf7fd000e, 0x523520cf, 0x00efc601, 0x00000001, 
      0xf4fd100e, 0x8239208f, 0x00efc501, 0x00000001, 
      0xf2fd200f, 0xb23c203f, 0x00efc401, 0x00000001, 
      0xeffd300f, 0xe2401fff, 0x00efc301, 0x00000001, 
      0xedfd400f, 0x12431fbf, 0x00efc202, 0x00000001, 
      0xebfd400e, 0x52461f7f, 0x00efc102, 0x00000002, 
      0xe8fd500e, 0x824a1f2f, 0x00efc102, 0x00000002, 
      0xe6fd600e, 0xb24d1eef, 0x00efc002, 0x00000002, 
      0xe4fd700e, 0xe2501eaf, 0x00efbf02, 0x00000002, 
      0xe2fd800d, 0x22531e6f, 0x00efbe03, 0x00000002, 
      0xe0fd900e, 0x52561e1f, 0x00efbd03, 0x00000002, 
      0xdefda00d, 0x92591ddf, 0x00dfbd03, 0x00000002, 
      0xdcfdb00e, 0xc25c1d8f, 0x00dfbc03, 0x00000002, 
      0xdafdc00d, 0x025f1d4f, 0x00dfbb04, 0x00000002, 
      0xd8fdd00e, 0x32621cff, 0x00dfba04, 0x00000002, 
      0xd5fdd00d, 0x72651cbf, 0x00dfba04, 0x00000003, 
      0xd4fde00e, 0xa2671c6f, 0x00dfb904, 0x00000003, 
      0xd2fdf00d, 0xe26a1c2f, 0x00dfb804, 0x00000003, 
      0xd0fe000e, 0x226d1bdf, 0x00cfb705, 0x00000003, 
      0xcffe100d, 0x526f1b9f, 0x00cfb705, 0x00000003, 
      0xcdfe200d, 0x92721b4f, 0x00cfb605, 0x00000003, 
      0xccfe300d, 0xd2741aff, 0x00cfb505, 0x00000003, 
      0xcafe300c, 0x12771abf, 0x00cfb506, 0x00000003, 
      0xc8fe500d, 0x52791a6f, 0x00bfb406, 0x00000003, 
      0xc7fe500d, 0x927b1a1f, 0x00bfb306, 0x00000004, 
      0xc5fe600c, 0xd27d19df, 0x00bfb306, 0x00000004, 
      0xc4fe600c, 0x1280198f, 0x00bfb207, 0x00000004, 
      0xc2fe700c, 0x5282193f, 0x00bfb207, 0x00000004, 
      0xc1fe900b, 0x928418ff, 0x00afb107, 0x00000004, 
      0xc0fe900b, 0xd28618af, 0x00afb107, 0x00000004, 
      0xbefea00c, 0x1288185f, 0x00afb008, 0x00000004, 
      0xbdfec00c, 0x5289180f, 0x009fb008, 0x00000004, 
      0xbdfec00c, 0x928b17bf, 0x009faf08, 0x00000004, 
      0xbbfec00b, 0xd28d177f, 0x009faf08, 0x00000005, 
      0xb9fed00b, 0x228f172f, 0x009fae09, 0x00000005, 
      0xb9fee00b, 0x629016df, 0x008fae09, 0x00000005, 
      0xb8fef00b, 0xa292168f, 0x008fad09, 0x00000005, 
      0xb7ff000b, 0xe293163f, 0x008fad09, 0x00000005, 
      0xb6ff100a, 0x329415ff, 0x007fad0a, 0x00000005, 
      0xb5ff100b, 0x729615af, 0x007fac0a, 0x00000005, 
      0xb4ff300b, 0xb297155f, 0x006fac0a, 0x00000005, 
      0xb3ff300a, 0x0298150f, 0x006fac0b, 0x00000006, 
      0xb3ff400a, 0x429914bf, 0x006fab0b, 0x00000006, 
      0xb2ff400b, 0x929a146f, 0x005fab0b, 0x00000006, 
      0xb2ff500a, 0xd29b141f, 0x005fab0b, 0x00000006, 
      0xb0ff600a, 0x229c13df, 0x004fab0c, 0x00000006, 
      0xb0ff600a, 0x629d138f, 0x004fab0c, 0x00000006, 
      0xafff7009, 0xb29e133f, 0x004fab0c, 0x00000006, 
      0xafff8009, 0xf29f12ef, 0x003faa0c, 0x00000007, 
      0xaeff800a, 0x429f129f, 0x003faa0d, 0x00000007, 
      0xaeff9009, 0x92a0124f, 0x002faa0d, 0x00000007, 
      0xadffa009, 0xd2a0120f, 0x002faa0d, 0x00000007, 
      0xadffa009, 0x22a111bf, 0x001faa0e, 0x00000007, 
      0xacffb009, 0x72a1116f, 0x001faa0e, 0x00000007, 
      0xacffc009, 0xb2a2111f, 0x000faa0e, 0x00000007, 
      0xacffc008, 0x02a210cf, 0x000fab0f, 0x00000007, 
      0xabffc008, 0x52a2108f, 0xffffab0f, 0x00000008, 
      0xabffd009, 0x92a2103f, 0xffefab0f, 0x00000008, 
      0xabffe008, 0xe2a20fef, 0xffefab0f, 0x00000008, 
      0xabfff008, 0x32a20f9f, 0xffdfab10, 0x00000008, 
      0xabfff007, 0x82a20f5f, 0xffdfab10, 0x00000008, 
      0xab000007, 0xc2a20f0f, 0xffcfac10, 0x00000008, 
      0xaa000008, 0x12a20ebf, 0xffcfac11, 0x00000008, 
      0xaa001007, 0x62a10e7f, 0xffbfac11, 0x00000009, 
      0xaa001007, 0xb2a10e2f, 0xffafad11, 0x00000009, 
      0xaa002007, 0x02a00ddf, 0xffafad12, 0x00000009, 
      0xaa002007, 0x42a00d9f, 0xff9fae12, 0x00000009, 
      0xab003007, 0x929f0d4f, 0xff8fae12, 0x00000009, 
      0xaa003007, 0xe29f0cff, 0xff8faf12, 0x00000009, 
      0xab004006, 0x329e0cbf, 0xff7faf13, 0x00000009, 
      0xab004006, 0x829d0c6f, 0xff6fb013, 0x0000000a, 
      0xab004006, 0xd29c0c2f, 0xff6fb013, 0x0000000a, 
      0xac005006, 0x129b0bdf, 0xff5fb114, 0x0000000a, 
      0xab006006, 0x629a0b9f, 0xff4fb214, 0x0000000a, 
      0xab006006, 0xb2990b4f, 0xff4fb314, 0x0000000a, 
      0xac006006, 0x02980b0f, 0xff3fb315, 0x0000000a, 
      0xac007006, 0x52970abf, 0xff2fb415, 0x0000000a, 
      0xac007005, 0xa2960a7f, 0xff1fb515, 0x0000000b, 
      0xac007005, 0xf2940a3f, 0xff1fb615, 0x0000000b, 
      0xad008005, 0x329309ef, 0xff0fb716, 0x0000000b, 
      0xad008005, 0x829209af, 0xfeffb816, 0x0000000b, 
      0xae008005, 0xd290096f, 0xfeefb916, 0x0000000b, 
      0xae008004, 0x228f092f, 0xfeefba17, 0x0000000b, 
      0xaf009004, 0x728d08df, 0xfedfbb17, 0x0000000b, 
      0xaf00a005, 0xb28b089f, 0xfecfbc17, 0x0000000b, 
      0xb0009005, 0x0289085f, 0xfebfbd18, 0x0000000c, 
      0xb000a004, 0x5288081f, 0xfeafbe18, 0x0000000c, 
      0xb000a004, 0xa28607df, 0xfe9fc018, 0x0000000c, 
      0xb100a004, 0xf284078f, 0xfe9fc118, 0x0000000c, 
      0xb200b003, 0x3282075f, 0xfe8fc219, 0x0000000c, 
      0xb200b003, 0x8280071f, 0xfe7fc419, 0x0000000c, 
      0xb300b004, 0xd27d06df, 0xfe6fc519, 0x0000000c, 
      0xb300c004, 0x127b069f, 0xfe5fc71a, 0x0000000c, 
      0xb400b004, 0x6279065f, 0xfe4fc81a, 0x0000000d, 
      0xb400b003, 0xb277061f, 0xfe4fca1a, 0x0000000d, 
      0xb500c004, 0xf27405df, 0xfe3fcb1a, 0x0000000d, 
      0xb600c003, 0x4272059f, 0xfe2fcd1b, 0x0000000d, 
      0xb700c003, 0x926f055f, 0xfe1fcf1b, 0x0000000d, 
      0xb700d003, 0xd26d052f, 0xfe0fd01b, 0x0000000d, 
      0xb800d003, 0x226a04ef, 0xfdffd21c, 0x0000000d, 
      0xb900d003, 0x626704bf, 0xfdefd41c, 0x0000000d, 
      0xba00d002, 0xb265047f, 0xfddfd61c, 0x0000000d, 
      0xba00e003, 0xf262043f, 0xfdcfd81c, 0x0000000d, 
      0xbb00d002, 0x425f03ff, 0xfdcfda1d, 0x0000000e, 
      0xbc00d003, 0x825c03cf, 0xfdbfdb1d, 0x0000000e, 
      0xbc00d002, 0xd259039f, 0xfdafde1d, 0x0000000e, 
      0xbd00e002, 0x1256035f, 0xfd9fe01e, 0x0000000e, 
      0xbe00e001, 0x6253032f, 0xfd8fe21e, 0x0000000e, 
      0xbf00e002, 0xa25002ef, 0xfd7fe41e, 0x0000000e, 
      0xc000e002, 0xe24d02bf, 0xfd6fe61e, 0x0000000e, 
      0xc100e001, 0x324a028f, 0xfd5fe81f, 0x0000000e, 
      0xc100e002, 0x7246025f, 0xfd4feb1f, 0x0000000e, 
      0xc200f002, 0xb243021f, 0xfd3fed1f, 0x0000000e, 
      0xc300f002, 0xf24001ef, 0xfd2fef1f, 0x0000000e, 
      0xc400f002, 0x323c01bf, 0xfd1ff220, 0x0000000e, 
      0xc500e001, 0x8239018f, 0xfd1ff420, 0x0000000e, 
      0xc600e001, 0xc235015f, 0xfd0ff720, 0x0000000e, 
      0xc700e001, 0x0232012f, 0xfcfff921, 0x0000000e, 
      0xc800e001, 0x422e00ff, 0xfceffc21, 0x0000000e, 
      0xc800f001, 0x822b00cf, 0xfcdffe21, 0x0000000e, 
      0xc900f001, 0xc227009f, 0xfcc00121, 0x0000000e, 
      0xca00e001, 0x0223007f, 0xfcb00422, 0x0000000e,
   },
   { /* Y scale factor = 0.67, phases = 127, taps = 9. */
      0xfcfce010, 0xf228224f, 0x00ffccff, 0x00000000, 
      0xf9fce010, 0x222c220f, 0x00ffcc00, 0x00000000, 
      0xf7fcf010, 0x423021cf, 0x00ffcb00, 0x00000000, 
      0xf4fd0010, 0x7234218f, 0x00ffca00, 0x00000000, 
      0xf1fd1010, 0xa238214f, 0x00ffc900, 0x00000000, 
      0xeffd2010, 0xd23b210f, 0x00ffc800, 0x00000000, 
      0xecfd3010, 0x023f20cf, 0x00ffc701, 0x00000000, 
      0xebfd500f, 0x3242207f, 0x00ffc601, 0x00000000, 
      0xe8fd500f, 0x6246203f, 0x00ffc501, 0x00000001, 
      0xe5fd600f, 0xa2491fff, 0x00ffc401, 0x00000001, 
      0xe3fd700f, 0xd24d1faf, 0x00ffc301, 0x00000001, 
      0xe1fd800f, 0x02501f6f, 0x00ffc202, 0x00000001, 
      0xdffd900f, 0x32541f1f, 0x00ffc102, 0x00000001, 
      0xdcfda00f, 0x72571edf, 0x00ffc002, 0x00000001, 
      0xdafdb00f, 0xa25a1e8f, 0x00ffc002, 0x00000001, 
      0xd8fdc00f, 0xd25d1e4f, 0x00ffbf02, 0x00000001, 
      0xd6fdd00f, 0x12601dff, 0x00ffbe03, 0x00000001, 
      0xd4fde00e, 0x42641dbf, 0x00ffbd03, 0x00000001, 
      0xd2fdf00d, 0x82671d6f, 0x00ffbc03, 0x00000002, 
      0xd1fe000e, 0xb2691d1f, 0x00ffbb03, 0x00000002, 
      0xcffe100d, 0xf26c1cdf, 0x00ffba03, 0x00000002, 
      0xcdfe100d, 0x326f1c8f, 0x00ffba04, 0x00000002, 
      0xcbfe300e, 0x62721c3f, 0x00efb904, 0x00000002, 
      0xc9fe300e, 0xa2751bff, 0x00efb804, 0x00000002, 
      0xc8fe400e, 0xe2771baf, 0x00efb704, 0x00000002, 
      0xc6fe500d, 0x227a1b5f, 0x00efb705, 0x00000002, 
      0xc5fe600d, 0x527d1b0f, 0x00efb605, 0x00000002, 
      0xc3fe700c, 0x927f1acf, 0x00efb505, 0x00000003, 
      0xc2fe800c, 0xd2811a7f, 0x00efb405, 0x00000003, 
      0xc0fe900c, 0x12841a2f, 0x00dfb406, 0x00000003, 
      0xbffe900d, 0x528619df, 0x00dfb306, 0x00000003, 
      0xbefea00d, 0x9288198f, 0x00dfb206, 0x00000003, 
      0xbcfeb00c, 0xd28b193f, 0x00dfb206, 0x00000003, 
      0xbbfec00c, 0x128d18ef, 0x00dfb107, 0x00000003, 
      0xbafed00c, 0x628f189f, 0x00cfb007, 0x00000003, 
      0xb9fed00b, 0xa291184f, 0x00cfb007, 0x00000004, 
      0xb7fee00b, 0xe293180f, 0x00cfaf07, 0x00000004, 
      0xb6fef00b, 0x229417bf, 0x00cfaf08, 0x00000004, 
      0xb5ff000c, 0x6296176f, 0x00bfae08, 0x00000004, 
      0xb4ff100b, 0xb298171f, 0x00bfad08, 0x00000004, 
      0xb3ff200a, 0xf29a16cf, 0x00bfad08, 0x00000004, 
      0xb3ff300b, 0x329b167f, 0x00afac09, 0x00000004, 
      0xb2ff300a, 0x829d162f, 0x00afac09, 0x00000004, 
      0xb1ff400a, 0xc29e15df, 0x00afab09, 0x00000005, 
      0xb0ff500a, 0x129f158f, 0x009fab0a, 0x00000005, 
      0xafff500a, 0x52a1153f, 0x009fab0a, 0x00000005, 
      0xaeff600a, 0xa2a214ef, 0x009faa0a, 0x00000005, 
      0xaeff700a, 0xe2a3149f, 0x008faa0a, 0x00000005, 
      0xadff8009, 0x32a4144f, 0x008faa0b, 0x00000005, 
      0xadff800a, 0x72a513ff, 0x008fa90b, 0x00000005, 
      0xacff900a, 0xc2a613af, 0x007fa90b, 0x00000005, 
      0xabffa009, 0x02a7135f, 0x007fa90c, 0x00000006, 
      0xabffa00a, 0x52a8130f, 0x006fa80c, 0x00000006, 
      0xaaffb009, 0xa2a912bf, 0x006fa80c, 0x00000006, 
      0xaaffc008, 0xf2a9126f, 0x006fa80c, 0x00000006, 
      0xaaffc009, 0x32aa121f, 0x005fa80d, 0x00000006, 
      0xa9ffd008, 0x82ab11cf, 0x005fa80d, 0x00000006, 
      0xa9ffe008, 0xd2ab117f, 0x004fa80d, 0x00000006, 
      0xa8ffe008, 0x22ab112f, 0x004fa80e, 0x00000007, 
      0xa8fff008, 0x62ac10df, 0x003fa80e, 0x00000007, 
      0xa8fff008, 0xb2ac108f, 0x003fa80e, 0x00000007, 
      0xa8000008, 0x02ac103f, 0x002fa80f, 0x00000007, 
      0xa8000007, 0x52ac0fff, 0x002fa80f, 0x00000007, 
      0xa8001007, 0xa2ac0faf, 0x001fa80f, 0x00000007, 
      0xa7001007, 0xf2ac0f5f, 0x001fa80f, 0x00000008, 
      0xa8002007, 0x32ac0f0f, 0x000fa810, 0x00000008, 
      0xa8003007, 0x82ac0ebf, 0xffffa810, 0x00000008, 
      0xa8003007, 0xd2ac0e6f, 0xffffa810, 0x00000008, 
      0xa8004006, 0x22ab0e2f, 0xffefa911, 0x00000008, 
      0xa8004006, 0x72ab0ddf, 0xffefa911, 0x00000008, 
      0xa8005006, 0xc2ab0d8f, 0xffdfa911, 0x00000008, 
      0xa8005006, 0x12aa0d3f, 0xffcfaa12, 0x00000009, 
      0xa8005006, 0x62a90cff, 0xffcfaa12, 0x00000009, 
      0xa8006006, 0xb2a90caf, 0xffbfaa12, 0x00000009, 
      0xa8007006, 0x02a80c5f, 0xffafab13, 0x00000009, 
      0xa9007006, 0x52a70c0f, 0xffafab13, 0x00000009, 
      0xa9007006, 0xa2a60bcf, 0xff9fac13, 0x00000009, 
      0xa9008005, 0xf2a50b7f, 0xff8fad13, 0x0000000a, 
      0xaa007005, 0x42a40b3f, 0xff8fad14, 0x0000000a, 
      0xaa008005, 0x92a30aef, 0xff7fae14, 0x0000000a, 
      0xaa009005, 0xe2a20aaf, 0xff6fae14, 0x0000000a, 
      0xab009004, 0x32a10a5f, 0xff6faf15, 0x0000000a, 
      0xab009005, 0x829f0a1f, 0xff5fb015, 0x0000000a, 
      0xab00a005, 0xd29e09cf, 0xff4fb115, 0x0000000a, 
      0xab00a004, 0x229d098f, 0xff3fb216, 0x0000000b, 
      0xac00b005, 0x729b093f, 0xff2fb216, 0x0000000b, 
      0xad00a004, 0xc29a08ff, 0xff2fb316, 0x0000000b, 
      0xad00b004, 0x129808bf, 0xff1fb417, 0x0000000b, 
      0xae00c004, 0x6296086f, 0xff0fb517, 0x0000000b, 
      0xaf00c004, 0xb294082f, 0xfeffb617, 0x0000000b, 
      0xaf00b003, 0x029307ef, 0xfeffb718, 0x0000000c, 
      0xaf00c003, 0x429107af, 0xfeefb918, 0x0000000c, 
      0xb000c003, 0x928f076f, 0xfedfba18, 0x0000000c, 
      0xb100d003, 0xe28d071f, 0xfecfbb18, 0x0000000c, 
      0xb200d003, 0x328b06df, 0xfebfbc19, 0x0000000c, 
      0xb200d004, 0x8288069f, 0xfeafbe19, 0x0000000c, 
      0xb300e003, 0xd286065f, 0xfe9fbf19, 0x0000000c, 
      0xb400d002, 0x2284061f, 0xfe9fc01a, 0x0000000d, 
      0xb400e002, 0x728105df, 0xfe8fc21a, 0x0000000d, 
      0xb500e002, 0xc27f059f, 0xfe7fc31a, 0x0000000d, 
      0xb600e002, 0x027d055f, 0xfe6fc51b, 0x0000000d, 
      0xb700e002, 0x527a052f, 0xfe5fc61b, 0x0000000d, 
      0xb700e003, 0xa27704ef, 0xfe4fc81b, 0x0000000d, 
      0xb800e003, 0xf27504af, 0xfe3fc91b, 0x0000000d, 
      0xb900f003, 0x3272046f, 0xfe2fcb1c, 0x0000000d, 
      0xba00f001, 0x826f043f, 0xfe1fcd1c, 0x0000000e, 
      0xba00f001, 0xd26c03ff, 0xfe1fcf1c, 0x0000000e, 
      0xbb00f002, 0x126903bf, 0xfe0fd11d, 0x0000000e, 
      0xbc00f001, 0x6267038f, 0xfdffd21d, 0x0000000e, 
      0xbd00f001, 0xb264034f, 0xfdefd41d, 0x0000000e, 
      0xbe00f002, 0xf260031f, 0xfddfd61d, 0x0000000e, 
      0xbf00f002, 0x425d02df, 0xfdcfd81e, 0x0000000e, 
      0xc000f002, 0x825a02af, 0xfdbfda1e, 0x0000000e, 
      0xc000f002, 0xd257027f, 0xfdafdc1e, 0x0000000e, 
      0xc100f001, 0x1254023f, 0xfd9fdf1f, 0x0000000f, 
      0xc200f001, 0x6250020f, 0xfd8fe11f, 0x0000000f, 
      0xc300f001, 0xa24d01df, 0xfd7fe31f, 0x0000000f, 
      0xc400f001, 0xf24901af, 0xfd6fe51f, 0x0000000f, 
      0xc500f001, 0x3246016f, 0xfd5fe820, 0x0000000f, 
      0xc6010001, 0x7242013f, 0xfd4fea20, 0x0000000f, 
      0xc700f001, 0xc23f010f, 0xfd3fec20, 0x0000000f, 
      0xc800f001, 0x023b00df, 0xfd2fef21, 0x0000000f, 
      0xc900f001, 0x423800af, 0xfd1ff121, 0x0000000f, 
      0xca00f001, 0x8234007f, 0xfd0ff421, 0x0000000f, 
      0xcb010000, 0xc230004f, 0xfcfff721, 0x0000000f, 
      0xcc010000, 0x022c002f, 0xfceff922, 0x0000000f, 
      0xcd010000, 0x4228ffff, 0xfcdffc22, 0x0000000f,
   },
   { /* Y scale factor = 0.68, phases = 127, taps = 9. */
      0xf4fd0011, 0x722d229f, 0x010fcfff, 0x00000fff, 
      0xf1fd1011, 0xa231225f, 0x010fceff, 0x00000fff, 
      0xeffd3010, 0xc235221f, 0x010fcdff, 0x00000fff, 
      0xecfd4010, 0xf23921df, 0x010fccff, 0x00000fff, 
      0xeafd5010, 0x223d218f, 0x010fcb00, 0x00000fff, 
      0xe7fd6010, 0x5241214f, 0x010fca00, 0x00000fff, 
      0xe5fd600f, 0x824520ff, 0x011fc900, 0x00000000, 
      0xe2fd7010, 0xb24820bf, 0x011fc800, 0x00000000, 
      0xe0fd800f, 0xe24c207f, 0x011fc700, 0x00000000, 
      0xdefd900f, 0x1250202f, 0x011fc601, 0x00000000, 
      0xdcfda00f, 0x52531fdf, 0x011fc501, 0x00000000, 
      0xd9fdb00f, 0x82571f9f, 0x011fc401, 0x00000000, 
      0xd7fdd00f, 0xb25a1f4f, 0x011fc301, 0x00000000, 
      0xd5fdd00e, 0xf25e1f0f, 0x011fc201, 0x00000000, 
      0xd3fde00f, 0x22611ebf, 0x011fc102, 0x00000000, 
      0xd1fe000f, 0x52641e6f, 0x011fc002, 0x00000000, 
      0xcffe000e, 0x92681e2f, 0x010fbf02, 0x00000001, 
      0xcdfe100f, 0xc26b1ddf, 0x010fbe02, 0x00000001, 
      0xcbfe200e, 0x026e1d8f, 0x010fbe03, 0x00000001, 
      0xcafe300e, 0x32711d3f, 0x010fbd03, 0x00000001, 
      0xc8fe400e, 0x72741cef, 0x010fbc03, 0x00000001, 
      0xc6fe500d, 0xb2771caf, 0x010fbb03, 0x00000001, 
      0xc4fe600e, 0xe27a1c5f, 0x010fba03, 0x00000001, 
      0xc3fe700d, 0x227d1c0f, 0x010fb904, 0x00000001, 
      0xc1fe800e, 0x627f1bbf, 0x010fb804, 0x00000001, 
      0xc0fe800d, 0xa2821b6f, 0x010fb704, 0x00000002, 
      0xbefe900c, 0xe2851b1f, 0x010fb704, 0x00000002, 
      0xbdfea00c, 0x22871acf, 0x010fb605, 0x00000002, 
      0xbbfeb00d, 0x628a1a7f, 0x00ffb505, 0x00000002, 
      0xbafec00d, 0xa28c1a2f, 0x00ffb405, 0x00000002, 
      0xb9fed00c, 0xe28f19df, 0x00ffb305, 0x00000002, 
      0xb8fed00c, 0x2291198f, 0x00ffb306, 0x00000002, 
      0xb6fef00c, 0x6293193f, 0x00ffb206, 0x00000002, 
      0xb5ff000b, 0xa29618ef, 0x00ffb106, 0x00000002, 
      0xb4ff000c, 0xe298189f, 0x00efb006, 0x00000003, 
      0xb3ff100b, 0x229a184f, 0x00efb007, 0x00000003, 
      0xb1ff200b, 0x729c17ff, 0x00efaf07, 0x00000003, 
      0xb1ff200b, 0xb29e17af, 0x00efae07, 0x00000003, 
      0xb0ff400a, 0xf2a0174f, 0x00efae07, 0x00000003, 
      0xafff500b, 0x42a116ff, 0x00dfad08, 0x00000003, 
      0xaeff600b, 0x82a316af, 0x00dfac08, 0x00000003, 
      0xadff600b, 0xc2a5165f, 0x00dfac08, 0x00000003, 
      0xadff600a, 0x12a6160f, 0x00dfab09, 0x00000004, 
      0xacff700a, 0x52a815bf, 0x00cfab09, 0x00000004, 
      0xabff800a, 0xa2a9156f, 0x00cfaa09, 0x00000004, 
      0xaaff900a, 0xe2ab150f, 0x00cfaa09, 0x00000004, 
      0xaaffa00a, 0x32ac14bf, 0x00bfa90a, 0x00000004, 
      0xa9ffa00a, 0x82ad146f, 0x00bfa90a, 0x00000004, 
      0xa9ffb00a, 0xc2ae141f, 0x00bfa80a, 0x00000004, 
      0xa8ffc009, 0x12af13cf, 0x00afa80b, 0x00000005, 
      0xa8ffc009, 0x62b0137f, 0x00afa70b, 0x00000005, 
      0xa7ffd009, 0xa2b1132f, 0x00afa70b, 0x00000005, 
      0xa7ffe008, 0xf2b212df, 0x009fa70b, 0x00000005, 
      0xa7ffe009, 0x42b3127f, 0x009fa60c, 0x00000005, 
      0xa6fff009, 0x92b4122f, 0x008fa60c, 0x00000005, 
      0xa6000008, 0xe2b411df, 0x008fa60c, 0x00000005, 
      0xa6000007, 0x22b5118f, 0x008fa60d, 0x00000006, 
      0xa6001008, 0x72b5113f, 0x007fa50d, 0x00000006, 
      0xa5001008, 0xc2b610ef, 0x007fa50d, 0x00000006, 
      0xa5002008, 0x12b6109f, 0x006fa50e, 0x00000006, 
      0xa5003007, 0x62b6104f, 0x006fa50e, 0x00000006, 
      0xa5003008, 0xb2b60fff, 0x005fa50e, 0x00000006, 
      0xa5004006, 0x02b60faf, 0x005fa50f, 0x00000007, 
      0xa5004006, 0x52b70f5f, 0x004fa50f, 0x00000007, 
      0xa5005006, 0xa2b60f0f, 0x004fa50f, 0x00000007, 
      0xa5005007, 0xf2b60ebf, 0x003fa50f, 0x00000007, 
      0xa5006006, 0x42b60e6f, 0x003fa510, 0x00000007, 
      0xa5006007, 0x92b60e1f, 0x002fa510, 0x00000007, 
      0xa5007006, 0xe2b60dcf, 0x001fa510, 0x00000008, 
      0xa5008006, 0x32b50d7f, 0x001fa511, 0x00000008, 
      0xa6008005, 0x82b50d2f, 0x000fa611, 0x00000008, 
      0xa6008005, 0xd2b40cef, 0x000fa611, 0x00000008, 
      0xa6008006, 0x22b40c9f, 0xffffa612, 0x00000008, 
      0xa6009006, 0x72b30c4f, 0xffefa712, 0x00000008, 
      0xa6009005, 0xd2b20bff, 0xffefa712, 0x00000009, 
      0xa700a005, 0x22b10baf, 0xffdfa713, 0x00000009, 
      0xa700a005, 0x72b00b6f, 0xffcfa813, 0x00000009, 
      0xa800a005, 0xc2af0b1f, 0xffcfa813, 0x00000009, 
      0xa800b005, 0x12ae0acf, 0xffbfa914, 0x00000009, 
      0xa900b005, 0x62ad0a8f, 0xffafa914, 0x00000009, 
      0xa900b004, 0xb2ac0a3f, 0xffafaa14, 0x0000000a, 
      0xaa00c004, 0x02ab09ef, 0xff9faa15, 0x0000000a, 
      0xaa00c004, 0x62a909af, 0xff8fab15, 0x0000000a, 
      0xab00c003, 0xb2a8095f, 0xff8fac15, 0x0000000a, 
      0xab00d003, 0x02a6091f, 0xff7fad16, 0x0000000a, 
      0xac00d004, 0x52a508cf, 0xff6fad16, 0x0000000a, 
      0xac00d004, 0xa2a3088f, 0xff5fae16, 0x0000000b, 
      0xad00d004, 0xf2a1084f, 0xff4faf16, 0x0000000b, 
      0xae00d003, 0x42a007ff, 0xff4fb017, 0x0000000b, 
      0xae00e002, 0xa29e07bf, 0xff3fb117, 0x0000000b, 
      0xaf00e002, 0xf29c077f, 0xff2fb217, 0x0000000b, 
      0xb000e003, 0x429a072f, 0xff1fb318, 0x0000000b, 
      0xb000e003, 0x929806ef, 0xff0fb418, 0x0000000c, 
      0xb100e002, 0xe29606af, 0xff0fb518, 0x0000000c, 
      0xb200f002, 0x3293066f, 0xfeffb619, 0x0000000c, 
      0xb300e002, 0x8291062f, 0xfeefb819, 0x0000000c, 
      0xb300f002, 0xd28f05ef, 0xfedfb919, 0x0000000c, 
      0xb4010002, 0x228c05af, 0xfecfba1a, 0x0000000c, 
      0xb500f002, 0x728a056f, 0xfebfbb1a, 0x0000000d, 
      0xb6010001, 0xc287052f, 0xfeafbd1a, 0x0000000d, 
      0xb7010001, 0x128504ef, 0xfe9fbe1b, 0x0000000d, 
      0xb7010001, 0x628204af, 0xfe9fc01b, 0x0000000d, 
      0xb8010002, 0xb27f046f, 0xfe8fc11b, 0x0000000d, 
      0xb9010001, 0x027d042f, 0xfe7fc31c, 0x0000000d, 
      0xba010001, 0x527a03ef, 0xfe6fc41c, 0x0000000e, 
      0xba010001, 0xa27703bf, 0xfe5fc61c, 0x0000000e, 
      0xbc010001, 0xe274037f, 0xfe4fc81c, 0x0000000e, 
      0xbd010001, 0x3271033f, 0xfe3fca1d, 0x0000000e, 
      0xbe010001, 0x826e030f, 0xfe2fcb1d, 0x0000000e, 
      0xbe011001, 0xd26b02cf, 0xfe1fcd1d, 0x0000000e, 
      0xbf010001, 0x2268029f, 0xfe0fcf1e, 0x0000000e, 
      0xc0011001, 0x6264025f, 0xfdffd11e, 0x0000000f, 
      0xc1011000, 0xb261022f, 0xfdefd31e, 0x0000000f, 
      0xc2010000, 0x025e01ff, 0xfddfd51f, 0x0000000f, 
      0xc3011001, 0x425a01bf, 0xfdcfd71f, 0x0000000f, 
      0xc4011000, 0x9257018f, 0xfdbfd91f, 0x0000000f, 
      0xc5011000, 0xd253015f, 0xfdafdc1f, 0x0000000f, 
      0xc6011000, 0x2250011f, 0xfd9fde20, 0x0000000f, 
      0xc7011000, 0x724c00ef, 0xfd8fe020, 0x0000000f, 
      0xc8011000, 0xb24800bf, 0xfd7fe220, 0x00000010, 
      0xc9011fff, 0xf245008f, 0xfd6fe520, 0x00000010, 
      0xca010000, 0x4241005f, 0xfd5fe721, 0x00000010, 
      0xcb010000, 0x823d002f, 0xfd4fea21, 0x00000010, 
      0xcc010000, 0xd239ffff, 0xfd3fec21, 0x00000010, 
      0xcd010000, 0x1235ffcf, 0xfd2fef22, 0x00000010, 
      0xce010000, 0x5231ffaf, 0xfd1ff122, 0x00000010, 
      0xcf011fff, 0x922dff7f, 0xfd0ff422, 0x00000010,
   },
   { /* Y scale factor = 0.69, phases = 127, taps = 9. */
      0xecfd3011, 0xf23222ef, 0x011fd2fe, 0x00000ffe, 
      0xeafd4010, 0x223622af, 0x011fd1ff, 0x00000ffe, 
      0xe7fd5011, 0x523a225f, 0x011fd0ff, 0x00000ffe, 
      0xe5fd6011, 0x723e221f, 0x011fcfff, 0x00000ffe, 
      0xe2fd7010, 0xa24321cf, 0x011fceff, 0x00000fff, 
      0xe0fd8010, 0xd246218f, 0x011fcdff, 0x00000fff, 
      0xddfd9011, 0x024a213f, 0x011fcc00, 0x00000fff, 
      0xdbfda010, 0x324e20ff, 0x011fcb00, 0x00000fff, 
      0xd9fdb010, 0x625220af, 0x011fca00, 0x00000fff, 
      0xd6fdc010, 0x9256205f, 0x012fc900, 0x00000fff, 
      0xd4fdd00f, 0xd25a201f, 0x012fc700, 0x00000fff, 
      0xd2fde010, 0x025d1fcf, 0x012fc601, 0x00000fff, 
      0xd0fdf010, 0x32611f7f, 0x012fc501, 0x00000fff, 
      0xcefe100f, 0x62641f3f, 0x012fc401, 0x00000fff, 
      0xccfe200e, 0xa2681edf, 0x012fc301, 0x00000000, 
      0xcafe300e, 0xd26b1e9f, 0x012fc201, 0x00000000, 
      0xc8fe300e, 0x126f1e4f, 0x012fc102, 0x00000000, 
      0xc6fe400f, 0x42721dff, 0x012fc002, 0x00000000, 
      0xc5fe500e, 0x82751daf, 0x012fbf02, 0x00000000, 
      0xc3fe700e, 0xb2781d5f, 0x012fbe02, 0x00000000, 
      0xc1fe700e, 0xf27c1d0f, 0x012fbd02, 0x00000000, 
      0xbffe800e, 0x327f1cbf, 0x012fbc03, 0x00000000, 
      0xbefe900e, 0x62821c6f, 0x012fbb03, 0x00000000, 
      0xbcfea00e, 0xa2851c1f, 0x012fba03, 0x00000000, 
      0xbafeb00d, 0xe2871bcf, 0x012fba03, 0x00000001, 
      0xb9fec00d, 0x228a1b7f, 0x011fb904, 0x00000001, 
      0xb8fed00d, 0x628d1b1f, 0x011fb804, 0x00000001, 
      0xb7fee00c, 0xa2901acf, 0x011fb704, 0x00000001, 
      0xb5fef00d, 0xe2921a7f, 0x011fb604, 0x00000001, 
      0xb4ff000c, 0x22951a2f, 0x011fb505, 0x00000001, 
      0xb3ff100c, 0x629719df, 0x011fb405, 0x00000001, 
      0xb2ff100c, 0xa29a198f, 0x011fb305, 0x00000001, 
      0xb1ff300c, 0xe29c192f, 0x011fb205, 0x00000001, 
      0xafff300c, 0x229e18df, 0x011fb206, 0x00000002, 
      0xaeff400b, 0x72a1188f, 0x010fb106, 0x00000002, 
      0xadff500b, 0xb2a3183f, 0x010fb006, 0x00000002, 
      0xadff600b, 0xf2a517df, 0x010faf06, 0x00000002, 
      0xacff600b, 0x42a7178f, 0x010fae07, 0x00000002, 
      0xabff700a, 0x82a9173f, 0x010fae07, 0x00000002, 
      0xaaff800a, 0xc2ab16ef, 0x010fad07, 0x00000002, 
      0xa9ff900b, 0x12ac168f, 0x00ffac08, 0x00000003, 
      0xa8ffa00a, 0x52ae163f, 0x00ffac08, 0x00000003, 
      0xa8ffa009, 0xa2b015ef, 0x00ffab08, 0x00000003, 
      0xa7ffb00a, 0xe2b1159f, 0x00ffaa08, 0x00000003, 
      0xa7ffc009, 0x32b3153f, 0x00efaa09, 0x00000003, 
      0xa6ffd009, 0x82b414ef, 0x00efa909, 0x00000003, 
      0xa5ffd00a, 0xc2b6149f, 0x00efa809, 0x00000003, 
      0xa5ffe009, 0x12b7143f, 0x00efa80a, 0x00000003, 
      0xa5fff008, 0x62b813ef, 0x00dfa70a, 0x00000004, 
      0xa4fff008, 0xb2b9139f, 0x00dfa70a, 0x00000004, 
      0xa4000008, 0xf2ba134f, 0x00dfa60a, 0x00000004, 
      0xa3001009, 0x42bb12ef, 0x00cfa60b, 0x00000004, 
      0xa3002008, 0x92bc129f, 0x00cfa50b, 0x00000004, 
      0xa3002007, 0xe2bd124f, 0x00cfa50b, 0x00000004, 
      0xa2002007, 0x32be11ff, 0x00bfa50c, 0x00000005, 
      0xa3003007, 0x82be119f, 0x00bfa40c, 0x00000005, 
      0xa2004007, 0xd2bf114f, 0x00afa40c, 0x00000005, 
      0xa2004007, 0x22bf10ff, 0x00afa40d, 0x00000005, 
      0xa2005006, 0x72c010af, 0x00afa30d, 0x00000005, 
      0xa2005007, 0xc2c0105f, 0x009fa30d, 0x00000005, 
      0xa2006007, 0x12c00fff, 0x009fa30e, 0x00000005, 
      0xa2006006, 0x62c10faf, 0x008fa30e, 0x00000006, 
      0xa2006006, 0xb2c10f5f, 0x008fa30e, 0x00000006, 
      0xa2008006, 0x02c10f0f, 0x007fa20f, 0x00000006, 
      0xa3008005, 0x52c10ebf, 0x007fa20f, 0x00000006, 
      0xa3008006, 0xa2c10e6f, 0x006fa20f, 0x00000006, 
      0xa3009006, 0xf2c00e1f, 0x006fa20f, 0x00000006, 
      0xa3009005, 0x52c00dcf, 0x005fa210, 0x00000007, 
      0xa3009005, 0xa2c00d7f, 0x005fa210, 0x00000007, 
      0xa400a005, 0xf2bf0d2f, 0x004fa210, 0x00000007, 
      0xa400a005, 0x42bf0cdf, 0x004fa211, 0x00000007, 
      0xa400b005, 0x92be0c8f, 0x003fa311, 0x00000007, 
      0xa400b004, 0xf2be0c3f, 0x002fa311, 0x00000008, 
      0xa500b004, 0x42bd0bef, 0x002fa312, 0x00000008, 
      0xa500c005, 0x92bc0b9f, 0x001fa312, 0x00000008, 
      0xa600c005, 0xe2bb0b4f, 0x001fa312, 0x00000008, 
      0xa600d004, 0x42ba0aff, 0x000fa413, 0x00000008, 
      0xa700d004, 0x92b90abf, 0xffffa413, 0x00000008, 
      0xa700d003, 0xe2b80a6f, 0xffffa513, 0x00000009, 
      0xa800e003, 0x32b70a1f, 0xffefa514, 0x00000009, 
      0xa800e004, 0x92b609cf, 0xffdfa514, 0x00000009, 
      0xa900e003, 0xe2b4098f, 0xffdfa614, 0x00000009, 
      0xaa00e003, 0x32b3093f, 0xffcfa715, 0x00000009, 
      0xaa00f003, 0x92b108ef, 0xffbfa715, 0x0000000a, 
      0xab00f002, 0xe2b008af, 0xffafa815, 0x0000000a, 
      0xac00f003, 0x32ae085f, 0xffafa816, 0x0000000a, 
      0xac010003, 0x82ac081f, 0xff9fa916, 0x0000000a, 
      0xad010002, 0xe2ab07cf, 0xff8faa16, 0x0000000a, 
      0xae00f002, 0x32a9078f, 0xff7fab17, 0x0000000b, 
      0xae010002, 0x82a7074f, 0xff6fac17, 0x0000000b, 
      0xaf010002, 0xd2a506ff, 0xff6fad17, 0x0000000b, 
      0xb0010002, 0x32a306bf, 0xff5fad18, 0x0000000b, 
      0xb1010002, 0x82a1067f, 0xff4fae18, 0x0000000b, 
      0xb2011002, 0xd29e063f, 0xff3faf18, 0x0000000b, 
      0xb2011002, 0x229c05ef, 0xff2fb119, 0x0000000c, 
      0xb3011001, 0x829a05af, 0xff1fb219, 0x0000000c, 
      0xb4011001, 0xd297056f, 0xff1fb319, 0x0000000c, 
      0xb5011001, 0x2295052f, 0xff0fb41a, 0x0000000c, 
      0xb6011002, 0x729204ef, 0xfeffb51a, 0x0000000c, 
      0xb7011000, 0xc29004af, 0xfeefb71a, 0x0000000d, 
      0xb8011001, 0x128d046f, 0xfedfb81b, 0x0000000d, 
      0xb9011001, 0x728a042f, 0xfecfb91b, 0x0000000d, 
      0xba012000, 0xc28703ef, 0xfebfbb1b, 0x0000000d, 
      0xba012001, 0x128503af, 0xfeafbc1c, 0x0000000d, 
      0xbb012001, 0x6282036f, 0xfe9fbe1c, 0x0000000d, 
      0xbc012000, 0xb27f033f, 0xfe8fbf1c, 0x0000000e, 
      0xbd012000, 0x027c02ff, 0xfe7fc11d, 0x0000000e, 
      0xbe012001, 0x527802bf, 0xfe6fc31d, 0x0000000e, 
      0xbf012000, 0xa275028f, 0xfe5fc51d, 0x0000000e, 
      0xc1012000, 0xf272024f, 0xfe4fc61d, 0x0000000e, 
      0xc1012000, 0x426f021f, 0xfe3fc81e, 0x0000000e, 
      0xc2012fff, 0x926b01df, 0xfe3fca1e, 0x0000000f, 
      0xc3012fff, 0xd26801af, 0xfe2fcc1e, 0x0000000f, 
      0xc5012000, 0x2264016f, 0xfe0fce1f, 0x0000000f, 
      0xc5012000, 0x7261013f, 0xfdffd01f, 0x0000000f, 
      0xc6012000, 0xc25d010f, 0xfdefd21f, 0x0000000f, 
      0xc7012fff, 0x125a00df, 0xfddfd420, 0x0000000f, 
      0xc9012fff, 0x5256009f, 0xfdcfd620, 0x00000010, 
      0xca011fff, 0xa252006f, 0xfdbfd920, 0x00000010, 
      0xcb011fff, 0xf24e003f, 0xfdafdb20, 0x00000010, 
      0xcc012fff, 0x324a000f, 0xfd9fdd21, 0x00000010, 
      0xcd011fff, 0x8246ffdf, 0xfd8fe021, 0x00000010, 
      0xce011fff, 0xc243ffaf, 0xfd7fe221, 0x00000010, 
      0xcf011fff, 0x123eff7f, 0xfd6fe522, 0x00000010, 
      0xd0011ffe, 0x523aff5f, 0xfd5fe722, 0x00000011, 
      0xd1010ffe, 0xa236ff2f, 0xfd4fea22, 0x00000011, 
      0xd2011ffe, 0xe232feff, 0xfd3fec22, 0x00000011,
   },
   { /* Y scale factor = 0.70, phases = 127, taps = 9. */
      0xe5fd6012, 0x7237232f, 0x011fd5fe, 0x00000ffd, 
      0xe2fd8011, 0xa23b22ef, 0x011fd4fe, 0x00000ffd, 
      0xdffd8011, 0xd23f229f, 0x012fd3fe, 0x00000ffe, 
      0xddfd9010, 0xf244225f, 0x012fd2fe, 0x00000ffe, 
      0xdafdb010, 0x2248220f, 0x012fd1ff, 0x00000ffe, 
      0xd8fdc010, 0x524c21bf, 0x012fd0ff, 0x00000ffe, 
      0xd6fdc010, 0x8250217f, 0x012fcfff, 0x00000ffe, 
      0xd3fde011, 0xb254212f, 0x012fcdff, 0x00000ffe, 
      0xd2fdf010, 0xe25820df, 0x012fccff, 0x00000ffe, 
      0xd0fe0010, 0x125c208f, 0x012fcb00, 0x00000ffe, 
      0xcdfe100f, 0x5260204f, 0x012fca00, 0x00000ffe, 
      0xcbfe200f, 0x82641fff, 0x012fc900, 0x00000ffe, 
      0xc9fe300f, 0xb2671faf, 0x013fc800, 0x00000ffe, 
      0xc7fe400e, 0xe26b1f5f, 0x013fc700, 0x00000fff, 
      0xc4fe500e, 0x226f1f0f, 0x013fc601, 0x00000fff, 
      0xc3fe600e, 0x52721ebf, 0x013fc501, 0x00000fff, 
      0xc1fe700e, 0x92761e5f, 0x013fc401, 0x00000fff, 
      0xbffe800e, 0xc2791e1f, 0x013fc301, 0x00000fff, 
      0xbefe900e, 0x027d1dbf, 0x013fc102, 0x00000fff, 
      0xbcfeb00e, 0x32801d6f, 0x013fc002, 0x00000fff, 
      0xbbfeb00e, 0x72831d1f, 0x013fbf02, 0x00000fff, 
      0xb9fec00e, 0xb2861ccf, 0x013fbe02, 0x00000fff, 
      0xb8fed00e, 0xe2891c7f, 0x013fbd02, 0x00000fff, 
      0xb6fee00d, 0x228c1c2f, 0x013fbc03, 0x00000000, 
      0xb5fef00d, 0x628f1bcf, 0x013fbb03, 0x00000000, 
      0xb3ff000d, 0xa2921b7f, 0x013fba03, 0x00000000, 
      0xb2ff100c, 0xe2951b2f, 0x013fb903, 0x00000000, 
      0xb1ff200c, 0x22981acf, 0x013fb804, 0x00000000, 
      0xafff300c, 0x629b1a7f, 0x013fb704, 0x00000000, 
      0xaeff400c, 0xa29d1a2f, 0x013fb604, 0x00000000, 
      0xadff500c, 0xe2a019cf, 0x013fb504, 0x00000000, 
      0xacff500c, 0x22a3197f, 0x013fb405, 0x00000000, 
      0xabff600c, 0x62a5192f, 0x012fb305, 0x00000001, 
      0xaaff700b, 0xb2a718cf, 0x012fb305, 0x00000001, 
      0xa9ff800a, 0xf2aa187f, 0x012fb205, 0x00000001, 
      0xa8ff900a, 0x32ac182f, 0x012fb106, 0x00000001, 
      0xa7ff900b, 0x82ae17cf, 0x012fb006, 0x00000001, 
      0xa7ffa00a, 0xc2b0177f, 0x012faf06, 0x00000001, 
      0xa6ffb00a, 0x02b2172f, 0x012fae07, 0x00000001, 
      0xa5ffc00a, 0x52b416cf, 0x012fad07, 0x00000001, 
      0xa5ffc00a, 0x92b6166f, 0x011fad07, 0x00000002, 
      0xa4ffd009, 0xe2b8161f, 0x011fac07, 0x00000002, 
      0xa3ffe009, 0x32b915cf, 0x011fab08, 0x00000002, 
      0xa3fff009, 0x72bb156f, 0x011faa08, 0x00000002, 
      0xa2fff008, 0xc2bd151f, 0x011faa08, 0x00000002, 
      0xa2000009, 0x12be14bf, 0x010fa909, 0x00000002, 
      0xa1001009, 0x52c0146f, 0x010fa809, 0x00000002, 
      0xa1001009, 0xa2c1140f, 0x010fa709, 0x00000003, 
      0xa1002007, 0xf2c213bf, 0x010fa709, 0x00000003, 
      0xa1003008, 0x42c3135f, 0x00ffa60a, 0x00000003, 
      0xa0003008, 0x92c4130f, 0x00ffa60a, 0x00000003, 
      0xa0004007, 0xe2c512bf, 0x00ffa50a, 0x00000003, 
      0xa0005007, 0x32c6125f, 0x00ffa40b, 0x00000003, 
      0xa0005007, 0x82c7120f, 0x00efa40b, 0x00000003, 
      0xa0006006, 0xd2c811af, 0x00efa30b, 0x00000004, 
      0x9f006006, 0x22c9115f, 0x00efa30c, 0x00000004, 
      0x9f007006, 0x72c9110f, 0x00dfa30c, 0x00000004, 
      0x9f007007, 0xc2ca10af, 0x00dfa20c, 0x00000004, 
      0xa0008006, 0x12ca105f, 0x00cfa20d, 0x00000004, 
      0xa0009006, 0x62ca100f, 0x00cfa10d, 0x00000004, 
      0xa0009005, 0xb2cb0faf, 0x00cfa10d, 0x00000005, 
      0xa0009006, 0x02cb0f5f, 0x00bfa10e, 0x00000005, 
      0xa000a005, 0x62cb0f0f, 0x00bfa00e, 0x00000005, 
      0xa000a006, 0xb2cb0ebf, 0x00afa00e, 0x00000005, 
      0xa000b005, 0x02cb0e6f, 0x00afa00f, 0x00000005, 
      0xa100c005, 0x52cb0e0f, 0x009fa00f, 0x00000005, 
      0xa100c004, 0xa2cb0dbf, 0x009fa00f, 0x00000006, 
      0xa100c005, 0x02ca0d6f, 0x008fa010, 0x00000006, 
      0xa200c004, 0x52ca0d1f, 0x008fa010, 0x00000006, 
      0xa200d005, 0xa2ca0ccf, 0x007f9f10, 0x00000006, 
      0xa300d004, 0x02c90c7f, 0x007f9f11, 0x00000006, 
      0xa300e003, 0x52c90c2f, 0x006f9f11, 0x00000007, 
      0xa300e003, 0xa2c80bdf, 0x006fa011, 0x00000007, 
      0xa400e003, 0x02c70b8f, 0x005fa012, 0x00000007, 
      0xa400f003, 0x52c60b3f, 0x005fa012, 0x00000007, 
      0xa500f003, 0xb2c50aef, 0x004fa012, 0x00000007, 
      0xa600f003, 0x02c40a9f, 0x003fa013, 0x00000008, 
      0xa6010003, 0x52c30a4f, 0x003fa013, 0x00000008, 
      0xa7010002, 0xb2c209ff, 0x002fa113, 0x00000008, 
      0xa8010003, 0x02c109af, 0x001fa114, 0x00000008, 
      0xa8010003, 0x62c0095f, 0x001fa114, 0x00000008, 
      0xa9010002, 0xb2be091f, 0x000fa214, 0x00000009, 
      0xaa010002, 0x12bd08cf, 0xffffa215, 0x00000009, 
      0xaa011002, 0x62bb087f, 0xffffa315, 0x00000009, 
      0xab011002, 0xc2b9083f, 0xffefa315, 0x00000009, 
      0xac011002, 0x12b807ef, 0xffdfa416, 0x00000009, 
      0xad011002, 0x62b6079f, 0xffcfa516, 0x0000000a, 
      0xad012001, 0xc2b4075f, 0xffcfa516, 0x0000000a, 
      0xae012002, 0x12b2070f, 0xffbfa617, 0x0000000a, 
      0xaf012001, 0x72b006cf, 0xffafa717, 0x0000000a, 
      0xb0012002, 0xc2ae068f, 0xff9fa717, 0x0000000a, 
      0xb1012000, 0x22ac063f, 0xff9fa818, 0x0000000b, 
      0xb2012000, 0x72aa05ff, 0xff8fa918, 0x0000000b, 
      0xb3012001, 0xc2a705bf, 0xff7faa18, 0x0000000b, 
      0xb3013001, 0x22a5056f, 0xff6fab19, 0x0000000b, 
      0xb4013001, 0x72a3052f, 0xff5fac19, 0x0000000b, 
      0xb5013001, 0xc2a004ef, 0xff4fad19, 0x0000000c, 
      0xb6013001, 0x229d04af, 0xff3fae1a, 0x0000000c, 
      0xb7013000, 0x729b046f, 0xff3faf1a, 0x0000000c, 
      0xb8013000, 0xc298042f, 0xff2fb11a, 0x0000000c, 
      0xb9013000, 0x229503ef, 0xff1fb21b, 0x0000000c, 
      0xba013000, 0x729203af, 0xff0fb31b, 0x0000000d, 
      0xbb013000, 0xc28f036f, 0xfeffb51b, 0x0000000d, 
      0xbc013000, 0x228c032f, 0xfeefb61c, 0x0000000d, 
      0xbd013000, 0x728902ef, 0xfedfb81c, 0x0000000d, 
      0xbe013000, 0xc28602bf, 0xfecfb91c, 0x0000000d, 
      0xbf013fff, 0x1283027f, 0xfebfbb1d, 0x0000000e, 
      0xc0013000, 0x6280023f, 0xfeafbc1d, 0x0000000e, 
      0xc1013fff, 0xb27d020f, 0xfe9fbe1d, 0x0000000e, 
      0xc3013ffe, 0x127901cf, 0xfe8fc01e, 0x0000000e, 
      0xc4013ffe, 0x6276019f, 0xfe7fc11e, 0x0000000e, 
      0xc5013ffe, 0xb272015f, 0xfe6fc31e, 0x0000000f, 
      0xc6012ffe, 0x026f012f, 0xfe5fc51f, 0x0000000f, 
      0xc7013ffe, 0x526b00ef, 0xfe4fc71f, 0x0000000f, 
      0xc8013ffe, 0xa26700bf, 0xfe3fc91f, 0x0000000f, 
      0xc9012ffe, 0xf264008f, 0xfe2fcb1f, 0x0000000f, 
      0xca012ffe, 0x4260005f, 0xfe1fcd20, 0x0000000f, 
      0xcb012fff, 0x825c001f, 0xfe0fcf20, 0x00000010, 
      0xcc012fff, 0xd258ffef, 0xfdffd120, 0x00000010, 
      0xcd012fff, 0x2254ffbf, 0xfdefd321, 0x00000010, 
      0xcf012ffd, 0x7250ff8f, 0xfddfd621, 0x00000010, 
      0xd0012ffe, 0xb24cff5f, 0xfdcfd821, 0x00000010, 
      0xd1012ffd, 0x0248ff2f, 0xfdbfda22, 0x00000011, 
      0xd2012ffd, 0x5244feff, 0xfd9fdd22, 0x00000011, 
      0xd3012ffe, 0x923ffedf, 0xfd8fdf22, 0x00000011, 
      0xd4011ffe, 0xe23bfeaf, 0xfd7fe222, 0x00000011, 
      0xd5011ffe, 0x2237fe7f, 0xfd6fe523, 0x00000011,
   },
   { /* Y scale factor = 0.71, phases = 127, taps = 9. */
      0xddfda011, 0xf23b237f, 0x011fd9fd, 0x00000ffd, 
      0xdafdb011, 0x2240232f, 0x012fd7fe, 0x00000ffd, 
      0xd8fdc011, 0x524422df, 0x012fd6fe, 0x00000ffd, 
      0xd5fdd010, 0x8249229f, 0x012fd5fe, 0x00000ffd, 
      0xd3fde011, 0xa24d224f, 0x012fd4fe, 0x00000ffd, 
      0xd1fdf011, 0xd25121ff, 0x012fd3fe, 0x00000ffd, 
      0xcefe1011, 0x025521af, 0x012fd2ff, 0x00000ffd, 
      0xccfe1010, 0x325a215f, 0x013fd1ff, 0x00000ffd, 
      0xcafe3010, 0x625e210f, 0x013fcfff, 0x00000ffd, 
      0xc8fe4010, 0x926220bf, 0x013fceff, 0x00000ffd, 
      0xc6fe500f, 0xc266206f, 0x013fcdff, 0x00000ffe, 
      0xc4fe500f, 0x026a201f, 0x013fcc00, 0x00000ffe, 
      0xc2fe700e, 0x326e1fcf, 0x013fcb00, 0x00000ffe, 
      0xc0fe800f, 0x62711f7f, 0x013fca00, 0x00000ffe, 
      0xbefe900f, 0x92751f2f, 0x013fc900, 0x00000ffe, 
      0xbcfea00e, 0xd2791edf, 0x014fc700, 0x00000ffe, 
      0xbbfeb00e, 0x027d1e7f, 0x014fc601, 0x00000ffe, 
      0xb9fec00e, 0x42801e2f, 0x014fc501, 0x00000ffe, 
      0xb7fed00e, 0x72841ddf, 0x014fc401, 0x00000ffe, 
      0xb6fee00d, 0xb2871d8f, 0x014fc301, 0x00000ffe, 
      0xb4fef00d, 0xf28b1d2f, 0x014fc201, 0x00000ffe, 
      0xb3ff000c, 0x228e1cdf, 0x014fc102, 0x00000fff, 
      0xb1ff100d, 0x62911c8f, 0x014fbf02, 0x00000fff, 
      0xb0ff200d, 0xa2941c2f, 0x014fbe02, 0x00000fff, 
      0xafff300c, 0xe2971bdf, 0x014fbd02, 0x00000fff, 
      0xadff400d, 0x229a1b7f, 0x014fbc03, 0x00000fff, 
      0xacff500c, 0x629d1b2f, 0x014fbb03, 0x00000fff, 
      0xabff600c, 0xa2a01acf, 0x014fba03, 0x00000fff, 
      0xaaff600c, 0xe2a31a7f, 0x014fb903, 0x00000fff, 
      0xa9ff700c, 0x22a61a1f, 0x014fb804, 0x00000fff, 
      0xa8ff800b, 0x62a919cf, 0x014fb704, 0x00000fff, 
      0xa7ff900b, 0xa2ab196f, 0x014fb604, 0x00000000, 
      0xa6ffa00a, 0xe2ae191f, 0x014fb504, 0x00000000, 
      0xa5ffb00a, 0x32b018bf, 0x014fb405, 0x00000000, 
      0xa4ffb00a, 0x72b3186f, 0x014fb305, 0x00000000, 
      0xa3ffd00a, 0xb2b5180f, 0x014fb205, 0x00000000, 
      0xa3ffd009, 0x02b717bf, 0x014fb106, 0x00000000, 
      0xa2ffe00a, 0x42b9175f, 0x014fb006, 0x00000000, 
      0xa1fff009, 0x92bc16ff, 0x014faf06, 0x00000000, 
      0xa1fff009, 0xd2be16af, 0x013fae06, 0x00000001, 
      0xa0001009, 0x22bf164f, 0x013fad07, 0x00000001, 
      0xa0001008, 0x72c115ff, 0x013fac07, 0x00000001, 
      0x9f002009, 0xb2c3159f, 0x013fab07, 0x00000001, 
      0x9f002008, 0x02c5153f, 0x013fab08, 0x00000001, 
      0x9e003008, 0x52c614ef, 0x013faa08, 0x00000001, 
      0x9e004007, 0xa2c8148f, 0x013fa908, 0x00000001, 
      0x9e004008, 0xe2c9143f, 0x012fa808, 0x00000002, 
      0x9d005008, 0x32cb13df, 0x012fa709, 0x00000002, 
      0x9d006007, 0x82cc137f, 0x012fa709, 0x00000002, 
      0x9d006007, 0xd2cd132f, 0x012fa609, 0x00000002, 
      0x9d007007, 0x22ce12cf, 0x012fa50a, 0x00000002, 
      0x9d007007, 0x72cf127f, 0x011fa50a, 0x00000002, 
      0x9d008007, 0xc2d0121f, 0x011fa40a, 0x00000002, 
      0x9d008006, 0x12d111cf, 0x011fa30b, 0x00000003, 
      0x9d009006, 0x62d2116f, 0x010fa30b, 0x00000003, 
      0x9d00a005, 0xb2d3111f, 0x010fa20b, 0x00000003, 
      0x9d00a006, 0x02d310bf, 0x010fa20c, 0x00000003, 
      0x9d00a005, 0x62d4106f, 0x010fa10c, 0x00000003, 
      0x9d00b006, 0xb2d4100f, 0x00ffa10c, 0x00000003, 
      0x9d00c004, 0x02d50fbf, 0x00ffa00d, 0x00000004, 
      0x9e00c005, 0x52d50f5f, 0x00efa00d, 0x00000004, 
      0x9e00c005, 0xb2d50f0f, 0x00ef9f0d, 0x00000004, 
      0x9e00d004, 0x02d50ebf, 0x00ef9f0e, 0x00000004, 
      0x9f00e005, 0x52d50e5f, 0x00df9e0e, 0x00000004, 
      0x9f00e004, 0xb2d50e0f, 0x00df9e0e, 0x00000004, 
      0x9f00e004, 0x02d50dbf, 0x00cf9e0f, 0x00000005, 
      0xa000e004, 0x52d50d5f, 0x00cf9e0f, 0x00000005, 
      0xa000f003, 0xb2d50d0f, 0x00cf9d0f, 0x00000005, 
      0xa100f004, 0x02d40cbf, 0x00bf9d10, 0x00000005, 
      0xa100f003, 0x62d40c6f, 0x00bf9d10, 0x00000005, 
      0xa2010004, 0xb2d30c0f, 0x00af9d10, 0x00000005, 
      0xa2010002, 0x12d30bbf, 0x00af9d11, 0x00000006, 
      0xa3010003, 0x62d20b6f, 0x009f9d11, 0x00000006, 
      0xa3011002, 0xc2d10b1f, 0x009f9d11, 0x00000006, 
      0xa4011003, 0x12d00acf, 0x008f9d12, 0x00000006, 
      0xa5011003, 0x72cf0a7f, 0x007f9d12, 0x00000006, 
      0xa5012002, 0xc2ce0a2f, 0x007f9d12, 0x00000007, 
      0xa6012002, 0x22cd09df, 0x006f9d13, 0x00000007, 
      0xa7012002, 0x72cc098f, 0x006f9d13, 0x00000007, 
      0xa7013002, 0xd2cb093f, 0x005f9d13, 0x00000007, 
      0xa8013002, 0x32c908ef, 0x004f9e14, 0x00000007, 
      0xa9012001, 0x82c808af, 0x004f9e14, 0x00000008, 
      0xaa013001, 0xe2c6085f, 0x003f9e14, 0x00000008, 
      0xab013001, 0x32c5080f, 0x002f9f15, 0x00000008, 
      0xab014001, 0x92c307bf, 0x002f9f15, 0x00000008, 
      0xac013000, 0xf2c1077f, 0x001fa015, 0x00000009, 
      0xad014001, 0x42bf072f, 0x000fa016, 0x00000009, 
      0xae013001, 0xa2be06df, 0xffffa116, 0x00000009, 
      0xaf014000, 0xf2bc069f, 0xffffa116, 0x00000009, 
      0xb0014001, 0x52b9064f, 0xffefa217, 0x00000009, 
      0xb1013000, 0xb2b7060f, 0xffdfa317, 0x0000000a, 
      0xb2014001, 0x02b505bf, 0xffcfa318, 0x0000000a, 
      0xb3014fff, 0x62b3057f, 0xffcfa418, 0x0000000a, 
      0xb4014000, 0xb2b0053f, 0xffbfa518, 0x0000000a, 
      0xb5014fff, 0x12ae04ef, 0xffafa619, 0x0000000b, 
      0xb6014000, 0x62ab04af, 0xff9fa719, 0x0000000b, 
      0xb7014fff, 0xc2a9046f, 0xff8fa819, 0x0000000b, 
      0xb8014000, 0x12a6042f, 0xff7fa91a, 0x0000000b, 
      0xb9014000, 0x72a303ef, 0xff6faa1a, 0x0000000b, 
      0xba014fff, 0xc2a003af, 0xff6fab1a, 0x0000000c, 
      0xbb014fff, 0x229d036f, 0xff5fac1b, 0x0000000c, 
      0xbc015fff, 0x729a032f, 0xff4fad1b, 0x0000000c, 
      0xbd014fff, 0xd29702ef, 0xff3faf1b, 0x0000000c, 
      0xbe014fff, 0x229402af, 0xff2fb01c, 0x0000000d, 
      0xbf014fff, 0x8291026f, 0xff1fb11c, 0x0000000d, 
      0xc1014ffe, 0xd28e022f, 0xff0fb31c, 0x0000000d, 
      0xc2014ffe, 0x228b01ff, 0xfeffb41d, 0x0000000d, 
      0xc3014ffe, 0x828701bf, 0xfeefb61d, 0x0000000d, 
      0xc4014ffe, 0xd284017f, 0xfedfb71d, 0x0000000e, 
      0xc5014ffe, 0x2280014f, 0xfecfb91e, 0x0000000e, 
      0xc6014ffe, 0x727d010f, 0xfebfbb1e, 0x0000000e, 
      0xc7014ffe, 0xd27900df, 0xfeafbc1e, 0x0000000e, 
      0xc9013ffe, 0x2275009f, 0xfe9fbe1f, 0x0000000f, 
      0xca013ffe, 0x7271006f, 0xfe8fc01f, 0x0000000f, 
      0xcb013ffd, 0xc26e003f, 0xfe7fc21f, 0x0000000f, 
      0xcc013ffd, 0x126a000f, 0xfe6fc420, 0x0000000f, 
      0xcd013ffe, 0x6266ffcf, 0xfe5fc620, 0x0000000f, 
      0xce013ffd, 0xb262ff9f, 0xfe4fc820, 0x00000010, 
      0xcf013ffd, 0x025eff6f, 0xfe3fca21, 0x00000010, 
      0xd1013ffd, 0x525aff3f, 0xfe1fcc21, 0x00000010, 
      0xd2013ffe, 0xa255ff0f, 0xfe0fce21, 0x00000010, 
      0xd3012ffe, 0xf251fedf, 0xfdffd121, 0x00000010, 
      0xd4012ffd, 0x424dfeaf, 0xfdefd322, 0x00000011, 
      0xd5012ffc, 0x9249fe8f, 0xfddfd522, 0x00000011, 
      0xd6012ffd, 0xd244fe5f, 0xfdcfd822, 0x00000011, 
      0xd7012ffd, 0x2240fe2f, 0xfdbfda23, 0x00000011, 
      0xd9011ffd, 0x723bfdff, 0xfdafdd23, 0x00000011,
   },
   { /* Y scale factor = 0.72, phases = 127, taps = 9. */
      0xd5fdd012, 0x824023bf, 0x011fdcfd, 0x00000ffc, 
      0xd3fdf011, 0xa244236f, 0x012fdbfd, 0x00000ffc, 
      0xd0fe0011, 0xd249231f, 0x012fdafd, 0x00000ffc, 
      0xcefe1010, 0x024e22cf, 0x012fd9fe, 0x00000ffc, 
      0xccfe2011, 0x2252227f, 0x012fd8fe, 0x00000ffc, 
      0xcafe4011, 0x5256222f, 0x012fd6fe, 0x00000ffc, 
      0xc7fe5010, 0x825b21df, 0x013fd5fe, 0x00000ffc, 
      0xc5fe5010, 0xb25f218f, 0x013fd4fe, 0x00000ffd, 
      0xc3fe6010, 0xe263213f, 0x013fd3fe, 0x00000ffd, 
      0xc1fe700f, 0x126820ef, 0x013fd2ff, 0x00000ffd, 
      0xbffe900f, 0x426c209f, 0x013fd0ff, 0x00000ffd, 
      0xbdfea00e, 0x7270204f, 0x014fcfff, 0x00000ffd, 
      0xbbfeb00e, 0xb2741fef, 0x014fceff, 0x00000ffd, 
      0xb9fec00e, 0xe2781f9f, 0x014fcdff, 0x00000ffd, 
      0xb7fed00e, 0x127c1f4f, 0x014fcc00, 0x00000ffd, 
      0xb6fee00e, 0x52801eef, 0x014fca00, 0x00000ffd, 
      0xb5fef00e, 0x82831e9f, 0x014fc900, 0x00000ffd, 
      0xb3ff000d, 0xc2871e4f, 0x014fc800, 0x00000ffd, 
      0xb1ff100e, 0xf28b1def, 0x014fc700, 0x00000ffd, 
      0xafff200c, 0x328e1d9f, 0x015fc601, 0x00000ffe, 
      0xaeff300d, 0x62921d3f, 0x015fc401, 0x00000ffe, 
      0xadff400c, 0xa2951cef, 0x015fc301, 0x00000ffe, 
      0xabff500c, 0xe2991c8f, 0x015fc201, 0x00000ffe, 
      0xaaff600b, 0x229c1c3f, 0x015fc102, 0x00000ffe, 
      0xa9ff700b, 0x629f1bdf, 0x015fc002, 0x00000ffe, 
      0xa8ff700b, 0xa2a31b7f, 0x015fbf02, 0x00000ffe, 
      0xa7ff800b, 0xe2a61b2f, 0x015fbd02, 0x00000ffe, 
      0xa6ffa00a, 0x22a91acf, 0x015fbc03, 0x00000ffe, 
      0xa4ffb00b, 0x62ac1a6f, 0x015fbb03, 0x00000ffe, 
      0xa4ffb00a, 0xa2ae1a1f, 0x015fba03, 0x00000fff, 
      0xa3ffc00a, 0xe2b119bf, 0x015fb903, 0x00000fff, 
      0xa2ffd00a, 0x22b4195f, 0x015fb804, 0x00000fff, 
      0xa1ffe009, 0x62b7190f, 0x015fb704, 0x00000fff, 
      0xa0fff009, 0xb2b918af, 0x015fb604, 0x00000fff, 
      0x9f00000a, 0xf2bc184f, 0x015fb404, 0x00000fff, 
      0x9f00000a, 0x42be17ef, 0x015fb305, 0x00000fff, 
      0x9f001009, 0x82c0179f, 0x015fb205, 0x00000fff, 
      0x9e002008, 0xd2c3173f, 0x015fb105, 0x00000fff, 
      0x9d002009, 0x12c516df, 0x015fb006, 0x00000000, 
      0x9d003008, 0x62c7167f, 0x015faf06, 0x00000000, 
      0x9c004008, 0xa2c9162f, 0x015fae06, 0x00000000, 
      0x9c005007, 0xf2cb15cf, 0x015fad06, 0x00000000, 
      0x9b005008, 0x42cd156f, 0x015fac07, 0x00000000, 
      0x9b006007, 0x92cf150f, 0x015fab07, 0x00000000, 
      0x9b007007, 0xd2d014bf, 0x015faa07, 0x00000000, 
      0x9b007006, 0x22d2145f, 0x015faa08, 0x00000000, 
      0x9a008007, 0x72d313ff, 0x014fa908, 0x00000001, 
      0x9a008006, 0xc2d513af, 0x014fa808, 0x00000001, 
      0x9a009006, 0x12d6134f, 0x014fa709, 0x00000001, 
      0x9a00a006, 0x62d712ef, 0x014fa609, 0x00000001, 
      0x9a00a006, 0xb2d9128f, 0x014fa509, 0x00000001, 
      0x9a00b005, 0x02da123f, 0x014fa40a, 0x00000001, 
      0x9a00b006, 0x52db11df, 0x013fa40a, 0x00000001, 
      0x9a00c005, 0xa2dc117f, 0x013fa30a, 0x00000002, 
      0x9a00c005, 0x02dc112f, 0x013fa20b, 0x00000002, 
      0x9a00d004, 0x52dd10cf, 0x013fa20b, 0x00000002, 
      0x9b00d005, 0xa2de106f, 0x012fa10b, 0x00000002, 
      0x9b00e005, 0xf2de101f, 0x012fa00b, 0x00000002, 
      0x9b00e004, 0x52df0fbf, 0x012fa00c, 0x00000002, 
      0x9b00f003, 0xa2df0f6f, 0x012f9f0c, 0x00000003, 
      0x9c00f004, 0xf2df0f0f, 0x011f9f0c, 0x00000003, 
      0x9c00f003, 0x52e00ebf, 0x011f9e0d, 0x00000003, 
      0x9d00f003, 0xa2e00e5f, 0x011f9e0d, 0x00000003, 
      0x9d010003, 0x02e00e0f, 0x010f9d0e, 0x00000003, 
      0x9e010003, 0x52e00daf, 0x010f9d0e, 0x00000003, 
      0x9e011002, 0xb2e00d5f, 0x00ff9c0e, 0x00000004, 
      0x9f011003, 0x02df0cff, 0x00ff9c0f, 0x00000004, 
      0x9f012002, 0x62df0caf, 0x00ff9b0f, 0x00000004, 
      0xa0012002, 0xb2df0c5f, 0x00ef9b0f, 0x00000004, 
      0xa0012003, 0x12de0bff, 0x00ef9b10, 0x00000004, 
      0xa1012002, 0x62de0baf, 0x00df9b10, 0x00000005, 
      0xa2013001, 0xc2dd0b5f, 0x00df9a10, 0x00000005, 
      0xa2013002, 0x22dc0b0f, 0x00cf9a11, 0x00000005, 
      0xa3013002, 0x72dc0aaf, 0x00cf9a11, 0x00000005, 
      0xa4013002, 0xd2db0a5f, 0x00bf9a11, 0x00000005, 
      0xa4013001, 0x32da0a0f, 0x00bf9a12, 0x00000006, 
      0xa5014001, 0x82d909bf, 0x00af9a12, 0x00000006, 
      0xa6014001, 0xe2d7096f, 0x00af9a12, 0x00000006, 
      0xa7014001, 0x42d6091f, 0x009f9a13, 0x00000006, 
      0xa8014001, 0xa2d508cf, 0x008f9a13, 0x00000006, 
      0xa9014001, 0xf2d3087f, 0x008f9a13, 0x00000007, 
      0xaa014000, 0x52d2082f, 0x007f9b14, 0x00000007, 
      0xaa015000, 0xb2d007df, 0x007f9b14, 0x00000007, 
      0xab015000, 0x02cf079f, 0x006f9b15, 0x00000007, 
      0xac015001, 0x62cd074f, 0x005f9b15, 0x00000007, 
      0xad015fff, 0xc2cb06ff, 0x005f9c15, 0x00000008, 
      0xae015000, 0x22c906af, 0x004f9c16, 0x00000008, 
      0xaf015000, 0x72c7066f, 0x003f9d16, 0x00000008, 
      0xb0016000, 0xd2c5061f, 0x002f9d16, 0x00000008, 
      0xb1015fff, 0x32c305cf, 0x002f9e17, 0x00000009, 
      0xb2015000, 0x92c0058f, 0x001f9e17, 0x00000009, 
      0xb3015000, 0xe2be054f, 0x000f9f17, 0x00000009, 
      0xb4016000, 0x42bc04ff, 0xffff9f18, 0x00000009, 
      0xb6015fff, 0xa2b904bf, 0xffffa018, 0x00000009, 
      0xb7015ffe, 0x02b7046f, 0xffefa119, 0x0000000a, 
      0xb8015fff, 0x52b4042f, 0xffdfa219, 0x0000000a, 
      0xb9015fff, 0xb2b103ef, 0xffcfa319, 0x0000000a, 
      0xba015fff, 0x12ae03af, 0xffbfa41a, 0x0000000a, 
      0xbb015fff, 0x62ac036f, 0xffafa41a, 0x0000000b, 
      0xbc015ffe, 0xc2a9031f, 0xffafa61a, 0x0000000b, 
      0xbd015ffe, 0x22a602df, 0xff9fa71b, 0x0000000b, 
      0xbe015ffe, 0x72a302af, 0xff8fa81b, 0x0000000b, 
      0xbf015ffe, 0xd29f026f, 0xff7fa91b, 0x0000000c, 
      0xc1015ffd, 0x329c022f, 0xff6faa1c, 0x0000000c, 
      0xc2015ffe, 0x829901ef, 0xff5fab1c, 0x0000000c, 
      0xc3015ffe, 0xe29501af, 0xff4fad1c, 0x0000000c, 
      0xc4015ffe, 0x3292016f, 0xff3fae1d, 0x0000000d, 
      0xc6015ffd, 0x928e013f, 0xff2faf1d, 0x0000000d, 
      0xc7014ffe, 0xe28b00ff, 0xff1fb11d, 0x0000000d, 
      0xc8014ffd, 0x428700cf, 0xff0fb31e, 0x0000000d, 
      0xc9014ffe, 0x9283008f, 0xfeffb41e, 0x0000000e, 
      0xca014ffd, 0xe280005f, 0xfeefb61e, 0x0000000e, 
      0xcc014ffd, 0x427c001f, 0xfedfb71f, 0x0000000e, 
      0xcd014ffd, 0x9278ffef, 0xfecfb91f, 0x0000000e, 
      0xce014ffc, 0xe274ffbf, 0xfebfbb1f, 0x0000000f, 
      0xcf014ffc, 0x4270ff7f, 0xfeafbd20, 0x0000000f, 
      0xd0013ffd, 0x926cff4f, 0xfe9fbf20, 0x0000000f, 
      0xd2013ffc, 0xe268ff1f, 0xfe8fc120, 0x0000000f, 
      0xd3014ffd, 0x3263feef, 0xfe6fc321, 0x0000000f, 
      0xd4013ffd, 0x825ffebf, 0xfe5fc521, 0x00000010, 
      0xd5013ffd, 0xd25bfe8f, 0xfe4fc721, 0x00000010, 
      0xd7013ffd, 0x2256fe5f, 0xfe3fc922, 0x00000010, 
      0xd8012ffd, 0x7252fe2f, 0xfe2fcc22, 0x00000010, 
      0xd8012ffc, 0xc24efe0f, 0xfe1fce22, 0x00000011, 
      0xda012ffc, 0x1249fddf, 0xfe0fd023, 0x00000011, 
      0xdb012ffc, 0x6244fdaf, 0xfdffd323, 0x00000011, 
      0xdc011ffd, 0xb240fd8f, 0xfddfd523, 0x00000011,
   },
   { /* Y scale factor = 0.73, phases = 127, taps = 9. */
      0xcefe1011, 0x024423ff, 0x011fe0fd, 0x00000ffc, 
      0xcbfe2010, 0x324923af, 0x012fdffd, 0x00000ffc, 
      0xc9fe3010, 0x524e235f, 0x012fdefd, 0x00000ffc, 
      0xc6fe5010, 0x8252230f, 0x012fddfd, 0x00000ffc, 
      0xc4fe6010, 0xb25722bf, 0x012fdbfd, 0x00000ffc, 
      0xc2fe7010, 0xd25c226f, 0x012fdafd, 0x00000ffc, 
      0xc0fe800f, 0x0260221f, 0x013fd9fe, 0x00000ffc, 
      0xbefe900f, 0x326521bf, 0x013fd8fe, 0x00000ffc, 
      0xbcfeb00f, 0x6269216f, 0x013fd6fe, 0x00000ffc, 
      0xbafec00f, 0x926d211f, 0x013fd5fe, 0x00000ffc, 
      0xb8fed00e, 0xc27220bf, 0x014fd4fe, 0x00000ffc, 
      0xb6fee00e, 0xf276206f, 0x014fd3fe, 0x00000ffc, 
      0xb5fef00e, 0x327a200f, 0x014fd1ff, 0x00000ffc, 
      0xb3ff000e, 0x627e1fbf, 0x014fd0ff, 0x00000ffc, 
      0xb1ff100e, 0x92821f6f, 0x014fcfff, 0x00000ffc, 
      0xafff300e, 0xc2861f0f, 0x014fceff, 0x00000ffc, 
      0xaeff300d, 0x028a1eaf, 0x015fcc00, 0x00000ffd, 
      0xacff400d, 0x328e1e5f, 0x015fcb00, 0x00000ffd, 
      0xabff500c, 0x72921dff, 0x015fca00, 0x00000ffd, 
      0xa9ff600c, 0xb2961d9f, 0x015fc900, 0x00000ffd, 
      0xa8ff800c, 0xe2991d4f, 0x015fc700, 0x00000ffd, 
      0xa7ff800c, 0x229d1cef, 0x015fc601, 0x00000ffd, 
      0xa6ff900b, 0x62a01c8f, 0x016fc501, 0x00000ffd, 
      0xa4ffa00b, 0x92a41c3f, 0x016fc401, 0x00000ffd, 
      0xa4ffb00b, 0xd2a71bdf, 0x016fc201, 0x00000ffd, 
      0xa2ffc00b, 0x12ab1b7f, 0x016fc102, 0x00000ffd, 
      0xa1ffd00b, 0x52ae1b1f, 0x016fc002, 0x00000ffd, 
      0xa0ffe00a, 0x92b11acf, 0x016fbf02, 0x00000ffd, 
      0x9fffe00a, 0xd2b41a6f, 0x016fbe02, 0x00000ffe, 
      0x9ffff009, 0x22b71a0f, 0x016fbc03, 0x00000ffe, 
      0x9e000009, 0x62ba19af, 0x016fbb03, 0x00000ffe, 
      0x9d001009, 0xa2bd194f, 0x016fba03, 0x00000ffe, 
      0x9c002009, 0xe2bf18ef, 0x017fb903, 0x00000ffe, 
      0x9c002008, 0x32c2188f, 0x017fb804, 0x00000ffe, 
      0x9b003008, 0x72c5183f, 0x017fb604, 0x00000ffe, 
      0x9a004009, 0xb2c717df, 0x017fb504, 0x00000ffe, 
      0x9a005007, 0x02ca177f, 0x017fb405, 0x00000ffe, 
      0x99005007, 0x52cc171f, 0x017fb305, 0x00000fff, 
      0x99006007, 0x92ce16bf, 0x017fb205, 0x00000fff, 
      0x99006007, 0xe2d0165f, 0x017fb105, 0x00000fff, 
      0x98008007, 0x22d215ff, 0x017fb006, 0x00000fff, 
      0x98008006, 0x72d5159f, 0x017faf06, 0x00000fff, 
      0x98009006, 0xc2d6153f, 0x017fae06, 0x00000fff, 
      0x98009006, 0x12d814df, 0x017fad07, 0x00000fff, 
      0x9800b006, 0x62da147f, 0x016fab07, 0x00000fff, 
      0x9700b006, 0xb2dc142f, 0x016faa07, 0x00000fff, 
      0x9700b006, 0x02dd13cf, 0x016fa908, 0x00000000, 
      0x9700b005, 0x52df136f, 0x016fa908, 0x00000000, 
      0x9700c005, 0xa2e0130f, 0x016fa808, 0x00000000, 
      0x9700d005, 0xf2e112af, 0x016fa708, 0x00000000, 
      0x9700d005, 0x42e3124f, 0x016fa609, 0x00000000, 
      0x9800e004, 0x92e411ef, 0x016fa509, 0x00000000, 
      0x9800e004, 0xe2e5119f, 0x016fa409, 0x00000000, 
      0x9800e004, 0x42e6113f, 0x015fa30a, 0x00000001, 
      0x9800f004, 0x92e710df, 0x015fa20a, 0x00000001, 
      0x99010004, 0xe2e7107f, 0x015fa10a, 0x00000001, 
      0x99010004, 0x32e8101f, 0x015fa10b, 0x00000001, 
      0x99010003, 0x92e90fcf, 0x015fa00b, 0x00000001, 
      0x9a011004, 0xe2e90f6f, 0x014f9f0b, 0x00000001, 
      0x9a011003, 0x42ea0f0f, 0x014f9f0c, 0x00000001, 
      0x9a012002, 0x92ea0ebf, 0x014f9e0c, 0x00000002, 
      0x9b012003, 0xf2ea0e5f, 0x013f9d0c, 0x00000002, 
      0x9b013003, 0x42ea0dff, 0x013f9d0d, 0x00000002, 
      0x9c013002, 0xa2ea0daf, 0x013f9c0d, 0x00000002, 
      0x9d014002, 0xf2ea0d4f, 0x013f9b0d, 0x00000002, 
      0x9d013002, 0x52ea0cff, 0x012f9b0e, 0x00000003, 
      0x9e014001, 0xb2ea0c9f, 0x012f9a0e, 0x00000003, 
      0x9f014001, 0x02ea0c4f, 0x011f9a0f, 0x00000003, 
      0x9f014002, 0x62e90bef, 0x011f9a0f, 0x00000003, 
      0xa0014001, 0xc2e90b9f, 0x011f990f, 0x00000003, 
      0xa1015002, 0x12e80b3f, 0x010f9910, 0x00000003, 
      0xa1015001, 0x72e70aef, 0x010f9910, 0x00000004, 
      0xa2015001, 0xd2e70a9f, 0x00ff9810, 0x00000004, 
      0xa3015000, 0x32e60a4f, 0x00ff9811, 0x00000004, 
      0xa4016000, 0x92e509ef, 0x00ef9811, 0x00000004, 
      0xa5016000, 0xe2e4099f, 0x00ef9811, 0x00000004, 
      0xa6016000, 0x42e3094f, 0x00df9712, 0x00000005, 
      0xa7016000, 0xa2e108ff, 0x00df9712, 0x00000005, 
      0xa8016000, 0x02e008af, 0x00cf9713, 0x00000005, 
      0xa9016fff, 0x62df085f, 0x00cf9713, 0x00000005, 
      0xa9016000, 0xc2dd080f, 0x00bf9713, 0x00000006, 
      0xaa016fff, 0x22dc07bf, 0x00bf9714, 0x00000006, 
      0xab017000, 0x72da076f, 0x00af9714, 0x00000006, 
      0xad017fff, 0xd2d8071f, 0x009f9814, 0x00000006, 
      0xae017fff, 0x32d606cf, 0x009f9815, 0x00000006, 
      0xaf017ffe, 0x92d5067f, 0x008f9815, 0x00000007, 
      0xb0017fff, 0xf2d2062f, 0x008f9815, 0x00000007, 
      0xb1017ffe, 0x52d005ef, 0x007f9916, 0x00000007, 
      0xb2017fff, 0xb2ce059f, 0x006f9916, 0x00000007, 
      0xb3017ffe, 0x12cc055f, 0x005f9917, 0x00000008, 
      0xb4016ffe, 0x72ca050f, 0x005f9a17, 0x00000008, 
      0xb5017fff, 0xd2c704bf, 0x004f9a17, 0x00000008, 
      0xb6017ffe, 0x32c5047f, 0x003f9b18, 0x00000008, 
      0xb8016ffe, 0x82c2043f, 0x002f9c18, 0x00000009, 
      0xb9017ffe, 0xe2bf03ef, 0x002f9c18, 0x00000009, 
      0xba016ffe, 0x42bd03af, 0x001f9d19, 0x00000009, 
      0xbb016ffe, 0xa2ba036f, 0x000f9e19, 0x00000009, 
      0xbc016ffd, 0x02b7032f, 0xffff9f1a, 0x0000000a, 
      0xbe016ffe, 0x62b402df, 0xffef9f1a, 0x0000000a, 
      0xbf016ffd, 0xc2b1029f, 0xffefa01a, 0x0000000a, 
      0xc0016ffe, 0x12ae025f, 0xffdfa11b, 0x0000000a, 
      0xc1016ffd, 0x72ab021f, 0xffcfa21b, 0x0000000b, 
      0xc2016ffe, 0xd2a701df, 0xffbfa31b, 0x0000000b, 
      0xc4016ffd, 0x32a4019f, 0xffafa41c, 0x0000000b, 
      0xc5016ffd, 0x82a0016f, 0xff9fa61c, 0x0000000b, 
      0xc6015ffd, 0xe29d012f, 0xff8fa71c, 0x0000000c, 
      0xc7016ffd, 0x429900ef, 0xff7fa81d, 0x0000000c, 
      0xc9015ffc, 0xa29600bf, 0xff6fa91d, 0x0000000c, 
      0xca015ffd, 0xf292007f, 0xff5fab1d, 0x0000000c, 
      0xcb015ffd, 0x528e003f, 0xff4fac1e, 0x0000000d, 
      0xcc015ffd, 0xa28a000f, 0xff3fae1e, 0x0000000d, 
      0xce015ffd, 0x0286ffcf, 0xff2faf1f, 0x0000000d, 
      0xcf014ffd, 0x6282ff9f, 0xff1fb11f, 0x0000000d, 
      0xd0014ffc, 0xb27eff6f, 0xff0fb31f, 0x0000000e, 
      0xd1014ffd, 0x027aff3f, 0xfeffb420, 0x0000000e, 
      0xd3014ffc, 0x6276feff, 0xfeefb620, 0x0000000e, 
      0xd4014ffc, 0xb272fecf, 0xfedfb820, 0x0000000e, 
      0xd5013ffc, 0x126dfe9f, 0xfecfba21, 0x0000000f, 
      0xd6013ffc, 0x6269fe6f, 0xfebfbc21, 0x0000000f, 
      0xd8013ffc, 0xb265fe3f, 0xfe9fbe21, 0x0000000f, 
      0xd9013ffb, 0x1260fe0f, 0xfe8fc022, 0x00000010, 
      0xda012ffc, 0x625cfddf, 0xfe7fc222, 0x00000010, 
      0xdb012ffc, 0xb257fdbf, 0xfe6fc422, 0x00000010, 
      0xdd012ffc, 0x0252fd8f, 0xfe5fc623, 0x00000010, 
      0xde011ffb, 0x524efd5f, 0xfe4fc923, 0x00000011, 
      0xdf012ffb, 0xa249fd3f, 0xfe2fcb23, 0x00000011, 
      0xe0011ffc, 0xf244fd0f, 0xfe1fce23, 0x00000011,
   },
   { /* Y scale factor = 0.74, phases = 127, taps = 9. */
      0xc6fe5011, 0x9248243f, 0x011fe4fc, 0x00000ffb, 
      0xc4fe7010, 0xb24d23ef, 0x011fe3fc, 0x00000ffb, 
      0xc1fe8010, 0xe252239f, 0x011fe2fc, 0x00000ffb, 
      0xbffe9010, 0x0257233f, 0x012fe1fd, 0x00000ffb, 
      0xbdfea010, 0x325c22ef, 0x012fdffd, 0x00000ffb, 
      0xbbfeb00f, 0x6261229f, 0x012fdefd, 0x00000ffb, 
      0xb9fed00f, 0x8265224f, 0x012fddfd, 0x00000ffb, 
      0xb7fee00e, 0xb26a21ef, 0x013fdcfd, 0x00000ffb, 
      0xb5fef00e, 0xe26f219f, 0x013fdafd, 0x00000ffb, 
      0xb3ff000f, 0x1273213f, 0x013fd9fe, 0x00000ffb, 
      0xb1ff100d, 0x427820ef, 0x013fd8fe, 0x00000ffc, 
      0xb0ff200d, 0x727c208f, 0x014fd6fe, 0x00000ffc, 
      0xaeff300e, 0xa280202f, 0x014fd5fe, 0x00000ffc, 
      0xacff400c, 0xe2851fdf, 0x014fd4fe, 0x00000ffc, 
      0xabff500c, 0x12891f7f, 0x014fd3ff, 0x00000ffc, 
      0xa9ff600d, 0x428d1f1f, 0x015fd1ff, 0x00000ffc, 
      0xa7ff700c, 0x82911ecf, 0x015fd0ff, 0x00000ffc, 
      0xa6ff800c, 0xb2951e6f, 0x015fcfff, 0x00000ffc, 
      0xa5ff900c, 0xf2991e0f, 0x015fcdff, 0x00000ffc, 
      0xa4ffa00c, 0x229d1daf, 0x015fcc00, 0x00000ffc, 
      0xa2ffb00b, 0x62a11d4f, 0x016fcb00, 0x00000ffc, 
      0xa1ffc00b, 0xa2a41cff, 0x016fc900, 0x00000ffc, 
      0xa0ffd00b, 0xd2a81c9f, 0x016fc800, 0x00000ffc, 
      0x9fffe00a, 0x12ac1c3f, 0x016fc701, 0x00000ffc, 
      0x9ffff00a, 0x52af1bdf, 0x016fc501, 0x00000ffc, 
      0x9d00000a, 0x92b21b7f, 0x016fc401, 0x00000ffd, 
      0x9c000009, 0xd2b61b1f, 0x017fc301, 0x00000ffd, 
      0x9b001009, 0x12b91abf, 0x017fc202, 0x00000ffd, 
      0x9b002009, 0x52bc1a5f, 0x017fc002, 0x00000ffd, 
      0x9a003009, 0x92bf19ff, 0x017fbf02, 0x00000ffd, 
      0x99004009, 0xd2c2199f, 0x017fbe02, 0x00000ffd, 
      0x98005008, 0x22c5193f, 0x017fbd03, 0x00000ffd, 
      0x98006008, 0x62c818df, 0x017fbb03, 0x00000ffd, 
      0x97006008, 0xa2cb187f, 0x018fba03, 0x00000ffd, 
      0x96007007, 0xf2ce181f, 0x018fb903, 0x00000ffd, 
      0x96008007, 0x32d017bf, 0x018fb804, 0x00000ffd, 
      0x96008006, 0x82d3175f, 0x018fb604, 0x00000ffe, 
      0x96009007, 0xc2d516ef, 0x018fb504, 0x00000ffe, 
      0x9500a006, 0x12d8168f, 0x018fb405, 0x00000ffe, 
      0x9500a006, 0x62da162f, 0x018fb305, 0x00000ffe, 
      0x9500b005, 0xb2dc15cf, 0x018fb205, 0x00000ffe, 
      0x9500c006, 0xf2de156f, 0x018fb005, 0x00000ffe, 
      0x9500c006, 0x42e0150f, 0x018faf06, 0x00000ffe, 
      0x9500d005, 0x92e214af, 0x018fae06, 0x00000ffe, 
      0x9500e004, 0xe2e4144f, 0x018fad06, 0x00000ffe, 
      0x9400e004, 0x32e613ef, 0x018fac07, 0x00000fff, 
      0x9500e004, 0x82e7138f, 0x018fab07, 0x00000fff, 
      0x9400f004, 0xd2e9132f, 0x018faa07, 0x00000fff, 
      0x95010003, 0x22ea12cf, 0x018fa908, 0x00000fff, 
      0x95010003, 0x72ec126f, 0x018fa808, 0x00000fff, 
      0x95010003, 0xd2ed120f, 0x018fa708, 0x00000fff, 
      0x95011003, 0x22ee11af, 0x018fa609, 0x00000fff, 
      0x96012003, 0x72ef114f, 0x017fa509, 0x00000fff, 
      0x96012003, 0xc2f010ef, 0x017fa409, 0x00000000, 
      0x97012002, 0x22f1108f, 0x017fa30a, 0x00000000, 
      0x97013002, 0x72f2102f, 0x017fa20a, 0x00000000, 
      0x97013003, 0xd2f20fcf, 0x017fa10a, 0x00000000, 
      0x98014002, 0x22f30f6f, 0x017fa00b, 0x00000000, 
      0x98014001, 0x82f40f1f, 0x017f9f0b, 0x00000000, 
      0x99015002, 0xd2f40ebf, 0x016f9e0b, 0x00000000, 
      0x99015001, 0x32f40e5f, 0x016f9e0c, 0x00000001, 
      0x9a015001, 0x82f50dff, 0x016f9d0c, 0x00000001, 
      0x9b015001, 0xe2f50d9f, 0x016f9c0c, 0x00000001, 
      0x9b015002, 0x42f50d4f, 0x015f9b0d, 0x00000001, 
      0x9c016001, 0x92f50cef, 0x015f9b0d, 0x00000001, 
      0x9d016001, 0xf2f50c8f, 0x015f9a0d, 0x00000001, 
      0x9e016000, 0x52f40c3f, 0x015f990e, 0x00000002, 
      0x9e016001, 0xb2f40bdf, 0x014f990e, 0x00000002, 
      0x9f016000, 0x12f40b8f, 0x014f980f, 0x00000002, 
      0xa0017000, 0x62f30b2f, 0x014f980f, 0x00000002, 
      0xa1017000, 0xc2f30adf, 0x013f970f, 0x00000002, 
      0xa2017fff, 0x22f20a7f, 0x013f9710, 0x00000003, 
      0xa3017fff, 0x82f10a2f, 0x012f9710, 0x00000003, 
      0xa4017000, 0xe2f009cf, 0x012f9610, 0x00000003, 
      0xa5017fff, 0x42ef097f, 0x012f9611, 0x00000003, 
      0xa6017fff, 0xa2ee092f, 0x011f9611, 0x00000003, 
      0xa6017fff, 0x02ed08df, 0x011f9512, 0x00000004, 
      0xa8017fff, 0x62ec087f, 0x010f9512, 0x00000004, 
      0xa9018ffe, 0xc2ea082f, 0x010f9512, 0x00000004, 
      0xaa018ffe, 0x22e907df, 0x00ff9513, 0x00000004, 
      0xab018ffe, 0x82e7078f, 0x00ff9513, 0x00000004, 
      0xac017ffe, 0xe2e6073f, 0x00ef9513, 0x00000005, 
      0xad017ffe, 0x42e406ef, 0x00ef9514, 0x00000005, 
      0xae018ffe, 0xa2e2069f, 0x00df9514, 0x00000005, 
      0xaf018fff, 0x02e0064f, 0x00cf9515, 0x00000005, 
      0xb0018ffe, 0x62de05ff, 0x00cf9515, 0x00000006, 
      0xb2018ffd, 0xc2dc05bf, 0x00bf9515, 0x00000006, 
      0xb3018ffe, 0x22da056f, 0x00af9516, 0x00000006, 
      0xb4018ffe, 0x82d8051f, 0x00af9516, 0x00000006, 
      0xb5018ffe, 0xe2d504cf, 0x009f9616, 0x00000007, 
      0xb6018ffd, 0x52d3048f, 0x008f9617, 0x00000007, 
      0xb8018ffd, 0xb2d0043f, 0x008f9617, 0x00000007, 
      0xb9017ffd, 0x12ce03ff, 0x007f9718, 0x00000007, 
      0xba018ffd, 0x72cb03af, 0x006f9718, 0x00000008, 
      0xbb017ffd, 0xd2c8036f, 0x006f9818, 0x00000008, 
      0xbd017ffd, 0x32c5032f, 0x005f9819, 0x00000008, 
      0xbe018ffd, 0x92c202df, 0x004f9919, 0x00000008, 
      0xbf017ffd, 0xf2bf029f, 0x003f9a19, 0x00000009, 
      0xc0017ffd, 0x52bc025f, 0x002f9b1a, 0x00000009, 
      0xc2017ffc, 0xb2b9021f, 0x002f9b1a, 0x00000009, 
      0xc3017ffc, 0x12b601df, 0x001f9c1b, 0x00000009, 
      0xc4016ffd, 0x72b2019f, 0x000f9d1b, 0x0000000a, 
      0xc5016ffd, 0xd2af015f, 0xffff9e1b, 0x0000000a, 
      0xc7016ffc, 0x32ac011f, 0xffef9f1c, 0x0000000a, 
      0xc8016ffd, 0x92a800df, 0xffdfa01c, 0x0000000a, 
      0xc9016ffc, 0xf2a400af, 0xffcfa11c, 0x0000000b, 
      0xcb016ffc, 0x42a1006f, 0xffbfa21d, 0x0000000b, 
      0xcc015ffd, 0xa29d002f, 0xffafa41d, 0x0000000b, 
      0xcd015ffc, 0x0299ffff, 0xff9fa51e, 0x0000000c, 
      0xcf015ffc, 0x6295ffbf, 0xff8fa61e, 0x0000000c, 
      0xd0015ffb, 0xc291ff8f, 0xff7fa81e, 0x0000000c, 
      0xd2015ffc, 0x128dff4f, 0xff6fa91f, 0x0000000c, 
      0xd3014ffb, 0x7289ff1f, 0xff5fab1f, 0x0000000d, 
      0xd4014ffb, 0xd285feef, 0xff4fac1f, 0x0000000d, 
      0xd6014ffc, 0x2280feaf, 0xff3fae20, 0x0000000d, 
      0xd6014ffb, 0x827cfe7f, 0xff2fb020, 0x0000000e, 
      0xd8013ffb, 0xe278fe4f, 0xff1fb120, 0x0000000e, 
      0xd9013ffc, 0x3273fe1f, 0xff0fb321, 0x0000000e, 
      0xda013ffb, 0x926ffdef, 0xfeffb521, 0x0000000e, 
      0xdc012ffb, 0xe26afdbf, 0xfeefb721, 0x0000000f, 
      0xdd013ffc, 0x3265fd8f, 0xfecfb922, 0x0000000f, 
      0xde012ffb, 0x9261fd6f, 0xfebfbb22, 0x0000000f, 
      0xdf012ffc, 0xe25cfd3f, 0xfeafbd22, 0x0000000f, 
      0xe1012ffb, 0x3257fd0f, 0xfe9fbf23, 0x00000010, 
      0xe2011ffb, 0x9252fcef, 0xfe8fc123, 0x00000010, 
      0xe3011ffb, 0xe24dfcbf, 0xfe7fc423, 0x00000010, 
      0xe4011ffb, 0x3248fc9f, 0xfe5fc624, 0x00000011,
   },
   { /* Y scale factor = 0.75, phases = 127, taps = 9. */
      0xbffea010, 0x124c247f, 0x010fe8fc, 0x00000ffb, 
      0xbdfea00f, 0x4251242f, 0x011fe7fc, 0x00000ffb, 
      0xbafec010, 0x625623cf, 0x011fe6fc, 0x00000ffb, 
      0xb8fed00f, 0x925b237f, 0x011fe5fc, 0x00000ffb, 
      0xb7fef00f, 0xb260231f, 0x011fe3fc, 0x00000ffb, 
      0xb4ff000e, 0xe26522cf, 0x012fe2fc, 0x00000ffb, 
      0xb2ff100e, 0x126a226f, 0x012fe1fd, 0x00000ffb, 
      0xb0ff200e, 0x326f221f, 0x012fe0fd, 0x00000ffb, 
      0xaeff300e, 0x627421bf, 0x013fdefd, 0x00000ffb, 
      0xadff400d, 0x9279215f, 0x013fddfd, 0x00000ffb, 
      0xabff500d, 0xc27d210f, 0x013fdcfd, 0x00000ffb, 
      0xa9ff700d, 0xf28220af, 0x013fdafd, 0x00000ffb, 
      0xa8ff700d, 0x2286204f, 0x014fd9fe, 0x00000ffb, 
      0xa6ff800c, 0x628b1fef, 0x014fd8fe, 0x00000ffb, 
      0xa5ffa00c, 0x928f1f8f, 0x014fd6fe, 0x00000ffb, 
      0xa3ffb00c, 0xc2931f3f, 0x014fd5fe, 0x00000ffb, 
      0xa2ffb00b, 0xf2981edf, 0x015fd4fe, 0x00000ffb, 
      0xa1ffd00a, 0x329c1e7f, 0x015fd2ff, 0x00000ffb, 
      0x9fffe00b, 0x62a01e1f, 0x015fd1ff, 0x00000ffb, 
      0x9effe00b, 0xa2a41dbf, 0x015fd0ff, 0x00000ffb, 
      0x9dfff009, 0xe2a81d5f, 0x016fceff, 0x00000ffc, 
      0x9c000009, 0x12ac1cff, 0x016fcd00, 0x00000ffc, 
      0x9a001009, 0x52b01c9f, 0x016fcc00, 0x00000ffc, 
      0x9a002009, 0x92b31c3f, 0x016fca00, 0x00000ffc, 
      0x99003008, 0xd2b71bcf, 0x017fc900, 0x00000ffc, 
      0x98004008, 0x12ba1b6f, 0x017fc801, 0x00000ffc, 
      0x97005008, 0x52be1b0f, 0x017fc601, 0x00000ffc, 
      0x97006007, 0x92c11aaf, 0x017fc501, 0x00000ffc, 
      0x96006008, 0xd2c51a4f, 0x017fc301, 0x00000ffc, 
      0x95007007, 0x12c819ef, 0x018fc202, 0x00000ffc, 
      0x95008007, 0x52cb197f, 0x018fc102, 0x00000ffc, 
      0x95009007, 0x92ce191f, 0x018fbf02, 0x00000ffc, 
      0x94009007, 0xe2d118bf, 0x018fbe02, 0x00000ffc, 
      0x9300a007, 0x22d4185f, 0x018fbd03, 0x00000ffc, 
      0x9300a006, 0x72d717ff, 0x018fbb03, 0x00000ffd, 
      0x9300c006, 0xb2d9178f, 0x018fba03, 0x00000ffd, 
      0x9200c005, 0x02dc172f, 0x019fb904, 0x00000ffd, 
      0x9200c005, 0x42df16cf, 0x019fb804, 0x00000ffd, 
      0x9200d005, 0x92e1166f, 0x019fb604, 0x00000ffd, 
      0x9200e005, 0xe2e315ff, 0x019fb504, 0x00000ffd, 
      0x9200f004, 0x22e6159f, 0x019fb405, 0x00000ffd, 
      0x9200f005, 0x72e8153f, 0x019fb205, 0x00000ffd, 
      0x92010004, 0xc2ea14df, 0x019fb105, 0x00000ffd, 
      0x92011004, 0x12ec146f, 0x019fb006, 0x00000ffd, 
      0x92011004, 0x62ee140f, 0x019faf06, 0x00000ffd, 
      0x92011004, 0xb2ef13af, 0x019fae06, 0x00000ffe, 
      0x92012004, 0x02f1134f, 0x019fac07, 0x00000ffe, 
      0x93012003, 0x52f312ef, 0x019fab07, 0x00000ffe, 
      0x93013003, 0xb2f4127f, 0x019faa07, 0x00000ffe, 
      0x93013003, 0x02f6121f, 0x019fa908, 0x00000ffe, 
      0x93014003, 0x52f711bf, 0x019fa808, 0x00000ffe, 
      0x94014003, 0xa2f8115f, 0x019fa708, 0x00000ffe, 
      0x94015002, 0x02f910ff, 0x019fa609, 0x00000ffe, 
      0x95015002, 0x52fa109f, 0x019fa409, 0x00000fff, 
      0x95015002, 0xb2fb103f, 0x019fa309, 0x00000fff, 
      0x96016001, 0x02fc0fdf, 0x019fa20a, 0x00000fff, 
      0x96016001, 0x62fd0f7f, 0x019fa10a, 0x00000fff, 
      0x97016001, 0xb2fe0f1f, 0x019fa00a, 0x00000fff, 
      0x98016000, 0x12fe0ebf, 0x019fa00b, 0x00000fff, 
      0x98017000, 0x72ff0e5f, 0x018f9f0b, 0x00000fff, 
      0x99017000, 0xc2ff0dff, 0x018f9e0b, 0x00000000, 
      0x9a017000, 0x22ff0d9f, 0x018f9d0c, 0x00000000, 
      0x9a018000, 0x82ff0d3f, 0x018f9c0c, 0x00000000, 
      0x9b018001, 0xd2ff0cdf, 0x018f9b0c, 0x00000000, 
      0x9c018000, 0x32ff0c8f, 0x018f9a0d, 0x00000000, 
      0x9d018000, 0x92ff0c2f, 0x017f9a0d, 0x00000000, 
      0x9e018fff, 0xf2ff0bcf, 0x017f990d, 0x00000001, 
      0x9e018fff, 0x52ff0b7f, 0x017f980e, 0x00000001, 
      0xa0018fff, 0xb2fe0b1f, 0x016f980e, 0x00000001, 
      0xa0019fff, 0x12fe0abf, 0x016f970f, 0x00000001, 
      0xa1019fff, 0x72fd0a6f, 0x016f960f, 0x00000001, 
      0xa2019fff, 0xd2fc0a0f, 0x016f960f, 0x00000001, 
      0xa3019fff, 0x32fb09bf, 0x015f9510, 0x00000002, 
      0xa4019fff, 0x92fa095f, 0x015f9510, 0x00000002, 
      0xa6019fff, 0xf2f9090f, 0x014f9410, 0x00000002, 
      0xa7019fff, 0x52f808af, 0x014f9411, 0x00000002, 
      0xa8019fff, 0xb2f7085f, 0x014f9311, 0x00000002, 
      0xa9019ffe, 0x12f6080f, 0x013f9312, 0x00000003, 
      0xaa019ffe, 0x72f407bf, 0x013f9312, 0x00000003, 
      0xab019ffe, 0xe2f3075f, 0x012f9312, 0x00000003, 
      0xac01affe, 0x42f1070f, 0x012f9213, 0x00000003, 
      0xae01affe, 0xa2ef06bf, 0x011f9213, 0x00000003, 
      0xaf019ffd, 0x02ee066f, 0x011f9214, 0x00000004, 
      0xb0019ffe, 0x62ec061f, 0x010f9214, 0x00000004, 
      0xb1019ffd, 0xd2ea05cf, 0x010f9214, 0x00000004, 
      0xb2019ffe, 0x32e8057f, 0x00ff9215, 0x00000004, 
      0xb3019ffd, 0x92e6052f, 0x00ff9215, 0x00000005, 
      0xb5019ffd, 0xf2e304ef, 0x00ef9215, 0x00000005, 
      0xb6019ffd, 0x62e1049f, 0x00df9216, 0x00000005, 
      0xb8019ffc, 0xc2df044f, 0x00df9216, 0x00000005, 
      0xb9019ffc, 0x22dc040f, 0x00cf9217, 0x00000006, 
      0xba019ffd, 0x82d903bf, 0x00bf9317, 0x00000006, 
      0xbb018ffc, 0xf2d7037f, 0x00bf9317, 0x00000006, 
      0xbd018ffd, 0x52d4032f, 0x00af9318, 0x00000006, 
      0xbe018ffc, 0xb2d102ef, 0x009f9418, 0x00000007, 
      0xbf018ffd, 0x12ce029f, 0x009f9419, 0x00000007, 
      0xc1018ffc, 0x72cb025f, 0x008f9519, 0x00000007, 
      0xc2018ffc, 0xe2c8021f, 0x007f9519, 0x00000007, 
      0xc3017ffc, 0x42c501df, 0x006f961a, 0x00000008, 
      0xc5017ffb, 0xa2c1019f, 0x006f971a, 0x00000008, 
      0xc6017ffc, 0x02be015f, 0x005f971b, 0x00000008, 
      0xc8017ffb, 0x62ba011f, 0x004f981b, 0x00000009, 
      0xc9017ffb, 0xc2b700df, 0x003f991b, 0x00000009, 
      0xca016ffc, 0x32b3009f, 0x002f9a1c, 0x00000009, 
      0xcc016ffb, 0x92b0005f, 0x001f9b1c, 0x00000009, 
      0xcd016ffb, 0xf2ac001f, 0x000f9c1c, 0x0000000a, 
      0xce016ffb, 0x52a8ffef, 0xffff9d1d, 0x0000000a, 
      0xd0015ffc, 0xb2a4ffaf, 0xffef9e1d, 0x0000000a, 
      0xd1015ffc, 0x12a0ff6f, 0xffdf9f1e, 0x0000000b, 
      0xd2014ffb, 0x729cff3f, 0xffdfa11e, 0x0000000b, 
      0xd4014ffb, 0xd298feff, 0xffcfa21e, 0x0000000b, 
      0xd5014ffc, 0x3293fecf, 0xffbfa31f, 0x0000000b, 
      0xd6014ffc, 0x828ffe9f, 0xff9fa51f, 0x0000000c, 
      0xd8014ffb, 0xe28bfe6f, 0xff8fa61f, 0x0000000c, 
      0xd9014ffc, 0x4286fe2f, 0xff7fa820, 0x0000000c, 
      0xda013ffc, 0xa282fdff, 0xff6fa920, 0x0000000d, 
      0xdc013ffb, 0x027dfdcf, 0xff5fab21, 0x0000000d, 
      0xdd013ffb, 0x5279fd9f, 0xff4fad21, 0x0000000d, 
      0xde013ffb, 0xb274fd6f, 0xff3fae21, 0x0000000e, 
      0xe0012ffb, 0x126ffd3f, 0xff2fb022, 0x0000000e, 
      0xe1012ffb, 0x626afd1f, 0xff1fb222, 0x0000000e, 
      0xe2012ffb, 0xc265fcef, 0xff0fb422, 0x0000000e, 
      0xe4012ffb, 0x1260fcbf, 0xfeefb623, 0x0000000f, 
      0xe5011ffb, 0x725bfc9f, 0xfedfb823, 0x0000000f, 
      0xe6011ffb, 0xc256fc7f, 0xfecfba23, 0x0000000f, 
      0xe7010ffa, 0x2251fc4f, 0xfebfbd24, 0x00000010, 
      0xe8010ffb, 0x724cfc1f, 0xfeafbf24, 0x00000010,
   },
   { /* Y scale factor = 0.76, phases = 127, taps = 9. */
      0xb8fee00f, 0xa25024bf, 0x00ffedfb, 0x00000ffa, 
      0xb5ff000f, 0xc255245f, 0x010fecfb, 0x00000ffa, 
      0xb3ff100e, 0xf25b240f, 0x010feafb, 0x00000ffa, 
      0xb1ff200f, 0x126023af, 0x010fe9fc, 0x00000ffa, 
      0xafff300e, 0x4265234f, 0x011fe8fc, 0x00000ffa, 
      0xadff400d, 0x626a22ff, 0x011fe7fc, 0x00000ffb, 
      0xabff500e, 0x926f229f, 0x011fe5fc, 0x00000ffb, 
      0xaaff600c, 0xc274223f, 0x012fe4fc, 0x00000ffb, 
      0xa8ff700d, 0xe27921df, 0x012fe3fc, 0x00000ffb, 
      0xa6ff900d, 0x127e217f, 0x012fe1fd, 0x00000ffb, 
      0xa5ff900b, 0x4283212f, 0x013fe0fd, 0x00000ffb, 
      0xa3ffa00b, 0x728820cf, 0x013fdffd, 0x00000ffb, 
      0xa2ffc00b, 0xa28c206f, 0x013fddfd, 0x00000ffb, 
      0xa0ffd00a, 0xd291200f, 0x014fdcfd, 0x00000ffb, 
      0x9fffd00a, 0x12951faf, 0x014fdbfe, 0x00000ffb, 
      0x9dfff00a, 0x429a1f4f, 0x014fd9fe, 0x00000ffb, 
      0x9c00000a, 0x729e1eef, 0x014fd8fe, 0x00000ffb, 
      0x9b001009, 0xb2a31e7f, 0x015fd6fe, 0x00000ffb, 
      0x9a002009, 0xe2a71e1f, 0x015fd5fe, 0x00000ffb, 
      0x99002009, 0x22ab1dbf, 0x015fd4ff, 0x00000ffb, 
      0x98004008, 0x52af1d5f, 0x016fd2ff, 0x00000ffb, 
      0x97004008, 0x92b31cff, 0x016fd1ff, 0x00000ffb, 
      0x96005009, 0xd2b71c8f, 0x016fcfff, 0x00000ffb, 
      0x95007008, 0x02bb1c2f, 0x016fce00, 0x00000ffb, 
      0x94007007, 0x42bf1bcf, 0x017fcd00, 0x00000ffb, 
      0x94008007, 0x82c21b6f, 0x017fcb00, 0x00000ffb, 
      0x93009007, 0xc2c61aff, 0x017fca00, 0x00000ffb, 
      0x9300a007, 0x02c91a9f, 0x017fc801, 0x00000ffb, 
      0x9200a006, 0x42cd1a3f, 0x018fc701, 0x00000ffb, 
      0x9200b007, 0x82d019cf, 0x018fc501, 0x00000ffb, 
      0x9100c005, 0xd2d3196f, 0x018fc401, 0x00000ffc, 
      0x9000c006, 0x12d718ff, 0x018fc302, 0x00000ffc, 
      0x9000d006, 0x52da189f, 0x018fc102, 0x00000ffc, 
      0x8f00d005, 0xa2dd183f, 0x019fc002, 0x00000ffc, 
      0x9000e005, 0xe2e017cf, 0x019fbe02, 0x00000ffc, 
      0x8f00f005, 0x32e2176f, 0x019fbd03, 0x00000ffc, 
      0x8f010005, 0x72e516ff, 0x019fbc03, 0x00000ffc, 
      0x8f010005, 0xc2e8169f, 0x019fba03, 0x00000ffc, 
      0x8f011003, 0x12ea163f, 0x01afb904, 0x00000ffc, 
      0x8f012003, 0x52ed15cf, 0x01afb804, 0x00000ffc, 
      0x8f012004, 0xa2ef156f, 0x01afb604, 0x00000ffc, 
      0x8f013004, 0xf2f114ff, 0x01afb504, 0x00000ffc, 
      0x8f013003, 0x42f4149f, 0x01afb405, 0x00000ffc, 
      0x90013002, 0x92f6143f, 0x01afb205, 0x00000ffd, 
      0x90014002, 0xe2f813cf, 0x01afb105, 0x00000ffd, 
      0x90015002, 0x32f9136f, 0x01afb006, 0x00000ffd, 
      0x90015003, 0x82fb130f, 0x01afae06, 0x00000ffd, 
      0x91015001, 0xe2fd129f, 0x01bfad06, 0x00000ffd, 
      0x91016001, 0x32fe123f, 0x01bfac07, 0x00000ffd, 
      0x91016001, 0x830011df, 0x01bfab07, 0x00000ffd, 
      0x92017002, 0xd301116f, 0x01bfa907, 0x00000ffd, 
      0x92017001, 0x3303110f, 0x01bfa808, 0x00000ffd, 
      0x93017001, 0x830410af, 0x01bfa708, 0x00000ffd, 
      0x93017000, 0xe305104f, 0x01bfa608, 0x00000ffe, 
      0x94018000, 0x33060fdf, 0x01bfa509, 0x00000ffe, 
      0x95018000, 0x93070f7f, 0x01bfa309, 0x00000ffe, 
      0x96018000, 0xf3070f1f, 0x01bfa209, 0x00000ffe, 
      0x96019000, 0x43080ebf, 0x01bfa10a, 0x00000ffe, 
      0x97019000, 0xa3090e5f, 0x01afa00a, 0x00000ffe, 
      0x98019000, 0x03090dff, 0x01af9f0b, 0x00000ffe, 
      0x9901a000, 0x53090d9f, 0x01af9e0b, 0x00000ffe, 
      0x9a019fff, 0xb30a0d3f, 0x01af9d0b, 0x00000fff, 
      0x9a01afff, 0x130a0cdf, 0x01af9c0c, 0x00000fff, 
      0x9b01afff, 0x730a0c7f, 0x01af9b0c, 0x00000fff, 
      0x9c01afff, 0xd30a0c1f, 0x01af9a0c, 0x00000fff, 
      0x9d01affe, 0x330a0bbf, 0x01af9a0d, 0x00000fff, 
      0x9e01bfff, 0x93090b5f, 0x019f990d, 0x00000fff, 
      0x9f01affe, 0xf3090b0f, 0x019f980d, 0x00000000, 
      0xa001affe, 0x53090aaf, 0x019f970e, 0x00000000, 
      0xa101bffe, 0xb3080a4f, 0x019f960e, 0x00000000, 
      0xa201bffe, 0x130709ff, 0x018f960f, 0x00000000, 
      0xa301bffe, 0x7307099f, 0x018f950f, 0x00000000, 
      0xa501bffe, 0xd306093f, 0x018f940f, 0x00000000, 
      0xa501affd, 0x430508ef, 0x018f9410, 0x00000001, 
      0xa701bffd, 0xa304088f, 0x017f9310, 0x00000001, 
      0xa801bffd, 0x0303083f, 0x017f9211, 0x00000001, 
      0xa901bffe, 0x630107df, 0x017f9211, 0x00000001, 
      0xab01affd, 0xd300078f, 0x016f9211, 0x00000001, 
      0xac01bffc, 0x32fe073f, 0x016f9112, 0x00000002, 
      0xad01bffc, 0x92fd06ef, 0x015f9112, 0x00000002, 
      0xae01bffd, 0x02fb068f, 0x015f9013, 0x00000002, 
      0xb001affd, 0x62f9063f, 0x015f9013, 0x00000002, 
      0xb101affd, 0xc2f805ef, 0x014f9013, 0x00000002, 
      0xb201affc, 0x32f5059f, 0x014f9014, 0x00000003, 
      0xb401affc, 0x92f4054f, 0x013f8f14, 0x00000003, 
      0xb501affd, 0xf2f104ff, 0x013f8f14, 0x00000003, 
      0xb601affd, 0x62ef04af, 0x012f8f15, 0x00000003, 
      0xb8019ffc, 0xc2ed045f, 0x012f8f15, 0x00000004, 
      0xb9019ffc, 0x32ea041f, 0x011f8f16, 0x00000004, 
      0xba019ffd, 0x92e803cf, 0x010f8f16, 0x00000004, 
      0xbc01affc, 0xf2e5037f, 0x010f8f16, 0x00000004, 
      0xbd019ffc, 0x62e2033f, 0x00ff8f17, 0x00000005, 
      0xbe019ffc, 0xc2e002ef, 0x00ef9017, 0x00000005, 
      0xc0018ffb, 0x32dd02af, 0x00ef9018, 0x00000005, 
      0xc1019ffc, 0x92da025f, 0x00df9018, 0x00000005, 
      0xc3018ffc, 0xf2d7021f, 0x00cf9018, 0x00000006, 
      0xc4018ffb, 0x62d301df, 0x00cf9119, 0x00000006, 
      0xc6018ffc, 0xc2d0018f, 0x00bf9119, 0x00000006, 
      0xc7018ffb, 0x32cd014f, 0x00af921a, 0x00000006, 
      0xc8018ffc, 0x92c9010f, 0x009f921a, 0x00000007, 
      0xca017ffb, 0xf2c600cf, 0x009f931a, 0x00000007, 
      0xcb017ffb, 0x62c2008f, 0x008f941b, 0x00000007, 
      0xcd016ffb, 0xc2bf004f, 0x007f941b, 0x00000008, 
      0xce016ffc, 0x22bb000f, 0x006f951c, 0x00000008, 
      0xcf016ffc, 0x82b7ffdf, 0x005f961c, 0x00000008, 
      0xd1016ffb, 0xf2b3ff9f, 0x004f971c, 0x00000008, 
      0xd2015ffb, 0x52afff5f, 0x004f981d, 0x00000009, 
      0xd4015ffa, 0xb2abff2f, 0x003f991d, 0x00000009, 
      0xd5015ffb, 0x12a7feef, 0x002f9a1e, 0x00000009, 
      0xd6015ffa, 0x72a3febf, 0x001f9b1e, 0x0000000a, 
      0xd8014ffb, 0xe29efe7f, 0x000f9c1e, 0x0000000a, 
      0xd9014ffb, 0x429afe4f, 0xffff9d1f, 0x0000000a, 
      0xdb013ffa, 0xa295fe1f, 0xffef9f1f, 0x0000000b, 
      0xdc014ffa, 0x0291fddf, 0xffdfa020, 0x0000000b, 
      0xdd013ffb, 0x628cfdaf, 0xffcfa220, 0x0000000b, 
      0xdf012ffa, 0xc288fd7f, 0xffbfa320, 0x0000000c, 
      0xe0012ffa, 0x2283fd4f, 0xffafa521, 0x0000000c, 
      0xe1013ffb, 0x727efd1f, 0xff9fa621, 0x0000000c, 
      0xe3012ffb, 0xd279fcef, 0xff7fa821, 0x0000000d, 
      0xe4012ffa, 0x3274fccf, 0xff6faa22, 0x0000000d, 
      0xe5012ffb, 0x926ffc9f, 0xff5fab22, 0x0000000d, 
      0xe7011ffb, 0xf26afc6f, 0xff4fad22, 0x0000000d, 
      0xe8011ffa, 0x4265fc4f, 0xff3faf23, 0x0000000e, 
      0xe9010ffb, 0xa260fc1f, 0xff2fb123, 0x0000000e, 
      0xea010ffa, 0x025bfbff, 0xff1fb324, 0x0000000e, 
      0xec010ffb, 0x5255fbcf, 0xfeffb524, 0x0000000f, 
      0xed00fffa, 0xb250fbaf, 0xfeefb824, 0x0000000f,
   },
   { /* Y scale factor = 0.77, phases = 127, taps = 9. */
      0xb1ff300e, 0x325424ef, 0x00eff1fb, 0x00000ffa, 
      0xafff400e, 0x5259248f, 0x00fff0fb, 0x00000ffa, 
      0xadff500d, 0x725f243f, 0x00ffeffb, 0x00000ffa, 
      0xabff600d, 0xa26423df, 0x00ffeefb, 0x00000ffa, 
      0xa9ff800d, 0xc269237f, 0x010fecfb, 0x00000ffa, 
      0xa7ff900c, 0xf26f231f, 0x010febfb, 0x00000ffa, 
      0xa5ffa00c, 0x127422bf, 0x011feafc, 0x00000ffa, 
      0xa4ffb00c, 0x4279225f, 0x011fe8fc, 0x00000ffa, 
      0xa2ffc00c, 0x727e21ff, 0x011fe7fc, 0x00000ffa, 
      0xa0ffd00b, 0xa283219f, 0x012fe6fc, 0x00000ffa, 
      0x9ffff00b, 0xc288213f, 0x012fe4fc, 0x00000ffa, 
      0x9d00000b, 0xf28d20df, 0x012fe3fc, 0x00000ffa, 
      0x9c00000a, 0x2292207f, 0x013fe2fd, 0x00000ffa, 
      0x9a00200a, 0x5297201f, 0x013fe0fd, 0x00000ffa, 
      0x99002009, 0x929c1fbf, 0x013fdffd, 0x00000ffa, 
      0x9800300a, 0xc2a01f4f, 0x014fddfd, 0x00000ffa, 
      0x97004009, 0xf2a51eef, 0x014fdcfd, 0x00000ffa, 
      0x96005009, 0x22a91e8f, 0x014fdbfe, 0x00000ffa, 
      0x95005008, 0x62ae1e2f, 0x015fd9fe, 0x00000ffa, 
      0x94007007, 0x92b21dbf, 0x015fd8fe, 0x00000ffb, 
      0x93008007, 0xd2b61d5f, 0x015fd6fe, 0x00000ffb, 
      0x92009007, 0x12ba1cef, 0x015fd5ff, 0x00000ffb, 
      0x9100a007, 0x42be1c8f, 0x016fd3ff, 0x00000ffb, 
      0x9100a006, 0x82c21c2f, 0x016fd2ff, 0x00000ffb, 
      0x9000b007, 0xc2c61bbf, 0x016fd0ff, 0x00000ffb, 
      0x8f00c005, 0x02ca1b5f, 0x017fcf00, 0x00000ffb, 
      0x8f00c005, 0x42ce1aef, 0x017fce00, 0x00000ffb, 
      0x8e00d005, 0x82d21a8f, 0x017fcc00, 0x00000ffb, 
      0x8d00e005, 0xc2d51a1f, 0x018fcb00, 0x00000ffb, 
      0x8d00f005, 0x02d919af, 0x018fc901, 0x00000ffb, 
      0x8d00f005, 0x42dc194f, 0x018fc801, 0x00000ffb, 
      0x8d010005, 0x92df18df, 0x018fc601, 0x00000ffb, 
      0x8d010004, 0xd2e2187f, 0x019fc501, 0x00000ffb, 
      0x8d011004, 0x12e6180f, 0x019fc302, 0x00000ffb, 
      0x8c012003, 0x62e917af, 0x019fc202, 0x00000ffb, 
      0x8d013004, 0xa2eb173f, 0x019fc002, 0x00000ffb, 
      0x8c013003, 0xf2ee16df, 0x01afbf02, 0x00000ffb, 
      0x8c014003, 0x42f1166f, 0x01afbd03, 0x00000ffb, 
      0x8c015003, 0x82f415ff, 0x01afbc03, 0x00000ffb, 
      0x8d015002, 0xd2f6159f, 0x01afbb03, 0x00000ffb, 
      0x8d015003, 0x22f9152f, 0x01afb904, 0x00000ffb, 
      0x8d015001, 0x72fb14cf, 0x01bfb804, 0x00000ffc, 
      0x8d016002, 0xc2fd145f, 0x01bfb604, 0x00000ffc, 
      0x8e016001, 0x12ff13ff, 0x01bfb505, 0x00000ffc, 
      0x8e017002, 0x6301138f, 0x01bfb305, 0x00000ffc, 
      0x8e018001, 0xb303132f, 0x01bfb205, 0x00000ffc, 
      0x8f018001, 0x030512bf, 0x01bfb106, 0x00000ffc, 
      0x8f018001, 0x6307125f, 0x01bfaf06, 0x00000ffc, 
      0x90018000, 0xb30911ef, 0x01cfae06, 0x00000ffc, 
      0x90019000, 0x030a118f, 0x01cfad07, 0x00000ffc, 
      0x9101a000, 0x630b111f, 0x01cfab07, 0x00000ffc, 
      0x9201afff, 0xb30d10bf, 0x01cfaa07, 0x00000ffc, 
      0x9201afff, 0x130e105f, 0x01cfa908, 0x00000ffc, 
      0x9301a000, 0x630f0fef, 0x01cfa708, 0x00000ffd, 
      0x9401afff, 0xc3100f8f, 0x01cfa608, 0x00000ffd, 
      0x9401bfff, 0x13110f2f, 0x01cfa509, 0x00000ffd, 
      0x9501bfff, 0x73120ebf, 0x01cfa409, 0x00000ffd, 
      0x9601bffe, 0xd3130e5f, 0x01cfa309, 0x00000ffd, 
      0x9701bfff, 0x33130dff, 0x01cfa10a, 0x00000ffd, 
      0x9801bffe, 0x93140d9f, 0x01cfa00a, 0x00000ffd, 
      0x9901bfff, 0xe3140d3f, 0x01cf9f0a, 0x00000ffd, 
      0x9a01cffe, 0x43140ccf, 0x01cf9e0b, 0x00000ffe, 
      0x9b01cffe, 0xa3140c6f, 0x01cf9d0b, 0x00000ffe, 
      0x9c01cffe, 0x03140c0f, 0x01cf9c0c, 0x00000ffe, 
      0x9d01cffe, 0x63140baf, 0x01cf9b0c, 0x00000ffe, 
      0x9e01cffe, 0xc3140b4f, 0x01cf9a0c, 0x00000ffe, 
      0x9f01cffe, 0x33140aef, 0x01bf990d, 0x00000ffe, 
      0xa001cffd, 0x93140a9f, 0x01bf980d, 0x00000ffe, 
      0xa101cffd, 0xf3130a3f, 0x01bf970d, 0x00000fff, 
      0xa201cffd, 0x531309df, 0x01bf960e, 0x00000fff, 
      0xa401cffd, 0xb312097f, 0x01bf950e, 0x00000fff, 
      0xa501cffd, 0x2311091f, 0x01bf940f, 0x00000fff, 
      0xa601cffd, 0x831008cf, 0x01af940f, 0x00000fff, 
      0xa801cffd, 0xe30f086f, 0x01af930f, 0x00000fff, 
      0xa901bffc, 0x530e081f, 0x01af9210, 0x00000000, 
      0xaa01bffc, 0xb30d07bf, 0x01af9210, 0x00000000, 
      0xab01cffd, 0x130b076f, 0x019f9111, 0x00000000, 
      0xad01cffc, 0x830a070f, 0x019f9011, 0x00000000, 
      0xae01bffc, 0xe30906bf, 0x019f9011, 0x00000000, 
      0xaf01bffc, 0x5307066f, 0x018f8f12, 0x00000001, 
      0xb101bffc, 0xb305060f, 0x018f8f12, 0x00000001, 
      0xb201bffc, 0x230305bf, 0x018f8e13, 0x00000001, 
      0xb301cffc, 0x8301056f, 0x017f8e13, 0x00000001, 
      0xb501bffb, 0xf2ff051f, 0x017f8e13, 0x00000001, 
      0xb601bffc, 0x52fd04cf, 0x016f8d14, 0x00000002, 
      0xb801affb, 0xc2fb047f, 0x016f8d14, 0x00000002, 
      0xb901affc, 0x22f9042f, 0x015f8d15, 0x00000002, 
      0xbb01affb, 0x92f603df, 0x015f8d15, 0x00000002, 
      0xbc01affc, 0xf2f4038f, 0x014f8c15, 0x00000003, 
      0xbd01affb, 0x62f1034f, 0x014f8c16, 0x00000003, 
      0xbf01affb, 0xd2ee02ff, 0x013f8c16, 0x00000003, 
      0xc001affc, 0x32eb02af, 0x013f8c17, 0x00000003, 
      0xc1019ffb, 0xa2e9026f, 0x012f8c17, 0x00000004, 
      0xc3019ffb, 0x02e6021f, 0x011f8d18, 0x00000004, 
      0xc5018ffb, 0x72e201df, 0x011f8d18, 0x00000004, 
      0xc6019ffb, 0xd2df019f, 0x010f8d18, 0x00000004, 
      0xc8018ffb, 0x42dc014f, 0x00ff8d19, 0x00000005, 
      0xc9018ffb, 0xa2d9010f, 0x00ff8d19, 0x00000005, 
      0xcb018ffa, 0x12d500cf, 0x00ef8e1a, 0x00000005, 
      0xcc017ffb, 0x82d2008f, 0x00df8e1a, 0x00000005, 
      0xce016ffa, 0xe2ce004f, 0x00df8f1a, 0x00000006, 
      0xcf017ffa, 0x52ca000f, 0x00cf8f1b, 0x00000006, 
      0xd0017ffb, 0xb2c6ffcf, 0x00bf901b, 0x00000006, 
      0xd2016ffa, 0x22c2ff8f, 0x00af911c, 0x00000007, 
      0xd4016ffb, 0x82beff4f, 0x009f911c, 0x00000007, 
      0xd5015ffb, 0xe2baff1f, 0x009f921c, 0x00000007, 
      0xd6015ffb, 0x52b6fedf, 0x008f931d, 0x00000007, 
      0xd8015ffa, 0xb2b2fe9f, 0x007f941d, 0x00000008, 
      0xd9014ffa, 0x22aefe6f, 0x006f951e, 0x00000008, 
      0xdb014ffb, 0x82a9fe2f, 0x005f961e, 0x00000008, 
      0xdc014ffa, 0xe2a5fdff, 0x004f971e, 0x00000009, 
      0xdd014ffb, 0x42a0fdcf, 0x003f981f, 0x00000009, 
      0xdf013ffa, 0xb29cfd9f, 0x002f991f, 0x00000009, 
      0xe0013ffb, 0x1297fd5f, 0x001f9a20, 0x0000000a, 
      0xe2013ffa, 0x7292fd2f, 0x000f9c20, 0x0000000a, 
      0xe3013ffb, 0xd28dfcff, 0xffff9d20, 0x0000000a, 
      0xe4012ffb, 0x3288fccf, 0xffef9f21, 0x0000000b, 
      0xe6012ffa, 0x9283fcaf, 0xffdfa021, 0x0000000b, 
      0xe7011ffb, 0xf27efc7f, 0xffcfa221, 0x0000000b, 
      0xe8011ffb, 0x5279fc4f, 0xffbfa322, 0x0000000c, 
      0xea011ffa, 0xb274fc1f, 0xffafa522, 0x0000000c, 
      0xeb010ffa, 0x126ffbff, 0xff9fa723, 0x0000000c, 
      0xec010ffb, 0x7269fbcf, 0xff7fa923, 0x0000000d, 
      0xee00fffa, 0xd264fbaf, 0xff6fab23, 0x0000000d, 
      0xef00fffa, 0x325ffb7f, 0xff5fad24, 0x0000000d, 
      0xf000fffa, 0x8259fb5f, 0xff4faf24, 0x0000000e, 
      0xf100effa, 0xe254fb3f, 0xff3fb124, 0x0000000e,
   },
   { /* Y scale factor = 0.78, phases = 127, taps = 9. */
      0xaaff800d, 0xc257251f, 0x00dff6fa, 0x00000ffa, 
      0xa8ff800c, 0xe25d24cf, 0x00eff5fa, 0x00000ffa, 
      0xa6ff900c, 0x0263246f, 0x00eff4fb, 0x00000ffa, 
      0xa4ffb00c, 0x3268240f, 0x00eff2fb, 0x00000ffa, 
      0xa2ffc00b, 0x526e23af, 0x00fff1fb, 0x00000ffa, 
      0xa0ffd00c, 0x7273234f, 0x00fff0fb, 0x00000ffa, 
      0x9fffe00b, 0xa27922ef, 0x00ffeefb, 0x00000ffa, 
      0x9dfff00a, 0xd27e228f, 0x010fedfb, 0x00000ffa, 
      0x9c00000b, 0xf283221f, 0x010fecfb, 0x00000ffa, 
      0x9a00100a, 0x228921bf, 0x011feafc, 0x00000ffa, 
      0x99002009, 0x528e215f, 0x011fe9fc, 0x00000ffa, 
      0x97004008, 0x829320ff, 0x011fe8fc, 0x00000ffa, 
      0x96005008, 0xb298208f, 0x012fe6fc, 0x00000ffa, 
      0x95005008, 0xe29d202f, 0x012fe5fc, 0x00000ffa, 
      0x94006008, 0x12a21fcf, 0x012fe3fd, 0x00000ffa, 
      0x93007008, 0x42a61f5f, 0x013fe2fd, 0x00000ffa, 
      0x92008008, 0x72ab1eff, 0x013fe0fd, 0x00000ffa, 
      0x91009007, 0xa2b01e8f, 0x014fdffd, 0x00000ffa, 
      0x9000a006, 0xe2b41e2f, 0x014fdefd, 0x00000ffa, 
      0x8f00b007, 0x12b91dbf, 0x014fdcfe, 0x00000ffa, 
      0x8e00b006, 0x52bd1d5f, 0x015fdbfe, 0x00000ffa, 
      0x8e00d005, 0x82c21cef, 0x015fd9fe, 0x00000ffa, 
      0x8d00d006, 0xc2c61c7f, 0x015fd8fe, 0x00000ffa, 
      0x8c00e005, 0x02ca1c1f, 0x016fd6ff, 0x00000ffa, 
      0x8c00f005, 0x32ce1baf, 0x016fd5ff, 0x00000ffa, 
      0x8c010005, 0x72d21b3f, 0x016fd3ff, 0x00000ffa, 
      0x8b010004, 0xb2d61adf, 0x017fd2ff, 0x00000ffa, 
      0x8b011004, 0xf2da1a6f, 0x017fd0ff, 0x00000ffa, 
      0x8b012004, 0x32dd19ff, 0x017fcf00, 0x00000ffa, 
      0x8a012003, 0x82e1199f, 0x018fcd00, 0x00000ffa, 
      0x8a013003, 0xc2e4192f, 0x018fcc00, 0x00000ffa, 
      0x8a014003, 0x02e818bf, 0x018fca01, 0x00000ffa, 
      0x8a015003, 0x42eb184f, 0x019fc801, 0x00000ffa, 
      0x8a015002, 0x92ee17ef, 0x019fc701, 0x00000ffa, 
      0x8a015002, 0xd2f2177f, 0x019fc501, 0x00000ffb, 
      0x8a016001, 0x22f5170f, 0x019fc402, 0x00000ffb, 
      0x8a017002, 0x62f7169f, 0x01afc202, 0x00000ffb, 
      0x8a017001, 0xb2fa163f, 0x01afc102, 0x00000ffb, 
      0x8a018001, 0x02fd15cf, 0x01afbf03, 0x00000ffb, 
      0x8a018001, 0x5300155f, 0x01afbe03, 0x00000ffb, 
      0x8b018001, 0xa30214ef, 0x01bfbc03, 0x00000ffb, 
      0x8b018000, 0xf305148f, 0x01bfbb03, 0x00000ffb, 
      0x8c019000, 0x4307141f, 0x01bfb904, 0x00000ffb, 
      0x8c01a000, 0x930913af, 0x01bfb804, 0x00000ffb, 
      0x8c01a000, 0xe30b134f, 0x01cfb604, 0x00000ffb, 
      0x8d01a000, 0x330d12df, 0x01cfb505, 0x00000ffb, 
      0x8e01b000, 0x830f126f, 0x01cfb305, 0x00000ffb, 
      0x8e01b000, 0xd311120f, 0x01cfb205, 0x00000ffb, 
      0x8f01b000, 0x3313119f, 0x01cfb006, 0x00000ffb, 
      0x9001cfff, 0x8314113f, 0x01cfaf06, 0x00000ffb, 
      0x9001cffe, 0xe31610cf, 0x01dfae06, 0x00000ffb, 
      0x9101cffe, 0x3317106f, 0x01dfac07, 0x00000ffc, 
      0x9201cffe, 0x93180fff, 0x01dfab07, 0x00000ffc, 
      0x9301cffe, 0xe31a0f9f, 0x01dfa907, 0x00000ffc, 
      0x9401cffe, 0x431b0f2f, 0x01dfa808, 0x00000ffc, 
      0x9401dffe, 0xa31b0ecf, 0x01dfa708, 0x00000ffc, 
      0x9601dffe, 0x031c0e5f, 0x01dfa509, 0x00000ffc, 
      0x9601effe, 0x531d0dff, 0x01dfa409, 0x00000ffc, 
      0x9701dffe, 0xb31e0d9f, 0x01dfa309, 0x00000ffc, 
      0x9801effe, 0x131e0d2f, 0x01dfa20a, 0x00000ffc, 
      0x9901effe, 0x731f0ccf, 0x01dfa00a, 0x00000ffc, 
      0x9b01dffd, 0xd31f0c6f, 0x01df9f0a, 0x00000ffd, 
      0x9c01dffd, 0x331f0c0f, 0x01df9e0b, 0x00000ffd, 
      0x9d01effd, 0x931f0b9f, 0x01df9d0b, 0x00000ffd, 
      0x9e01dffd, 0x031f0b3f, 0x01df9c0c, 0x00000ffd, 
      0x9f01dffd, 0x631f0adf, 0x01df9b0c, 0x00000ffd, 
      0xa001effd, 0xc31f0a7f, 0x01df990c, 0x00000ffd, 
      0xa201effd, 0x231e0a1f, 0x01df980d, 0x00000ffd, 
      0xa301dffd, 0x931e09bf, 0x01df970d, 0x00000ffd, 
      0xa401dffd, 0xf31d095f, 0x01df960d, 0x00000ffe, 
      0xa501effc, 0x531c090f, 0x01df950e, 0x00000ffe, 
      0xa701dffc, 0xc31b08af, 0x01df940e, 0x00000ffe, 
      0xa801dffb, 0x231b084f, 0x01df940f, 0x00000ffe, 
      0xa901dffc, 0x931a07ef, 0x01cf930f, 0x00000ffe, 
      0xab01dffc, 0xf318079f, 0x01cf920f, 0x00000ffe, 
      0xac01dffb, 0x6317073f, 0x01cf9110, 0x00000fff, 
      0xae01cffb, 0xc31606ef, 0x01cf9010, 0x00000fff, 
      0xaf01cffb, 0x3314068f, 0x01cf9011, 0x00000fff, 
      0xb001cffc, 0x9313063f, 0x01bf8f11, 0x00000fff, 
      0xb201cffc, 0x031105df, 0x01bf8e12, 0x00000fff, 
      0xb301cffc, 0x630f058f, 0x01bf8e12, 0x00000fff, 
      0xb501cffb, 0xd30d053f, 0x01af8d12, 0x00000000, 
      0xb601cffb, 0x430b04ef, 0x01af8c13, 0x00000000, 
      0xb801bffb, 0xa309049f, 0x01af8c13, 0x00000000, 
      0xb901bffb, 0x1307044f, 0x019f8c14, 0x00000000, 
      0xbb01affa, 0x830503ff, 0x019f8b14, 0x00000001, 
      0xbc01bffb, 0xe30203af, 0x018f8b14, 0x00000001, 
      0xbe01affb, 0x5300035f, 0x018f8a15, 0x00000001, 
      0xbf01affb, 0xc2fd030f, 0x018f8a15, 0x00000001, 
      0xc101affb, 0x32fa02bf, 0x017f8a16, 0x00000001, 
      0xc201affb, 0x92f7026f, 0x017f8a16, 0x00000002, 
      0xc4019ffa, 0x02f5022f, 0x016f8a17, 0x00000002, 
      0xc5019ffa, 0x72f201df, 0x016f8a17, 0x00000002, 
      0xc7019ffa, 0xe2ee019f, 0x015f8a17, 0x00000002, 
      0xc8019ffb, 0x42eb014f, 0x014f8a18, 0x00000003, 
      0xca018ffa, 0xb2e8010f, 0x014f8a18, 0x00000003, 
      0xcc018ffa, 0x22e400cf, 0x013f8a19, 0x00000003, 
      0xcd017ffa, 0x92e1008f, 0x013f8a19, 0x00000003, 
      0xcf017ffb, 0xf2dd003f, 0x012f8a19, 0x00000004, 
      0xd0017ffa, 0x62daffff, 0x011f8b1a, 0x00000004, 
      0xd2017ffa, 0xd2d6ffbf, 0x010f8b1a, 0x00000004, 
      0xd3016ffb, 0x32d2ff7f, 0x010f8b1b, 0x00000005, 
      0xd5016ffa, 0xa2ceff3f, 0x00ff8c1b, 0x00000005, 
      0xd6016ffa, 0x12caff0f, 0x00ef8c1c, 0x00000005, 
      0xd8015ffb, 0x72c6fecf, 0x00df8d1c, 0x00000005, 
      0xd9014ffa, 0xe2c2fe8f, 0x00df8e1c, 0x00000006, 
      0xdb014ffa, 0x52bdfe5f, 0x00cf8e1d, 0x00000006, 
      0xdc014ffb, 0xb2b9fe1f, 0x00bf8f1d, 0x00000006, 
      0xde013ffa, 0x22b4fdef, 0x00af901e, 0x00000007, 
      0xdf014ffa, 0x82b0fdaf, 0x009f911e, 0x00000007, 
      0xe0013ffb, 0xf2abfd7f, 0x008f921e, 0x00000007, 
      0xe2013ffa, 0x52a6fd4f, 0x007f931f, 0x00000008, 
      0xe3012ffa, 0xc2a2fd1f, 0x006f941f, 0x00000008, 
      0xe4012ffa, 0x229dfcef, 0x006f9520, 0x00000008, 
      0xe6011ffa, 0x8298fcbf, 0x005f9620, 0x00000009, 
      0xe7011ffa, 0xf293fc8f, 0x004f9720, 0x00000009, 
      0xe9011ffa, 0x528efc5f, 0x002f9921, 0x00000009, 
      0xea011ffa, 0xb289fc2f, 0x001f9a21, 0x0000000a, 
      0xec010ffb, 0x1283fbff, 0x000f9c22, 0x0000000a, 
      0xed010ffa, 0x827efbdf, 0xffff9d22, 0x0000000a, 
      0xee00fffa, 0xe279fbaf, 0xffef9f22, 0x0000000b, 
      0xf000fffb, 0x4273fb7f, 0xffdfa023, 0x0000000b, 
      0xf100fffa, 0xa26efb5f, 0xffcfa223, 0x0000000b, 
      0xf200effa, 0x0268fb3f, 0xffbfa424, 0x0000000c, 
      0xf400dffa, 0x6263fb0f, 0xffafa624, 0x0000000c, 
      0xf500dffa, 0xc25dfaef, 0xff8fa824, 0x0000000d, 
      0xf600dffb, 0x1257facf, 0xff7faa25, 0x0000000d,
   },
   { /* Y scale factor = 0.79, phases = 127, taps = 9. */
      0xa3ffc00b, 0x525b255f, 0x00cffbfa, 0x00000ffa, 
      0xa1ffd00c, 0x726124ff, 0x00cff9fa, 0x00000ffa, 
      0x9ffff00b, 0x9266249f, 0x00dff8fa, 0x00000ffa, 
      0x9efff00a, 0xc26c243f, 0x00dff7fa, 0x00000ffa, 
      0x9c00100a, 0xe27223cf, 0x00dff6fa, 0x00000ffa, 
      0x9a00200a, 0x0278236f, 0x00eff4fb, 0x00000ffa, 
      0x99003009, 0x327d230f, 0x00eff3fb, 0x00000ffa, 
      0x97004008, 0x528322af, 0x00fff2fb, 0x00000ffa, 
      0x96005009, 0x8288223f, 0x00fff0fb, 0x00000ffa, 
      0x94006009, 0xa28e21df, 0x00ffeffb, 0x00000ffa, 
      0x93007008, 0xd293216f, 0x010feefb, 0x00000ffa, 
      0x92008008, 0x0298210f, 0x010fecfc, 0x00000ffa, 
      0x91008007, 0x329e209f, 0x011febfc, 0x00000ffa, 
      0x9000a006, 0x62a3203f, 0x011fe9fc, 0x00000ffa, 
      0x8f00b006, 0x92a81fcf, 0x011fe8fc, 0x00000ffa, 
      0x8d00b006, 0xc2ad1f6f, 0x012fe7fc, 0x00000ffa, 
      0x8d00d005, 0xf2b21eff, 0x012fe5fc, 0x00000ffa, 
      0x8c00d006, 0x22b61e8f, 0x013fe4fd, 0x00000ffa, 
      0x8b00e005, 0x62bb1e2f, 0x013fe2fd, 0x00000ffa, 
      0x8b00f004, 0x92c01dbf, 0x013fe1fd, 0x00000ffa, 
      0x8a010005, 0xc2c41d4f, 0x014fdffd, 0x00000ffa, 
      0x89011004, 0x02c91cdf, 0x014fdefe, 0x00000ffa, 
      0x89011003, 0x42cd1c7f, 0x015fdcfe, 0x00000ffa, 
      0x88012004, 0x72d11c0f, 0x015fdbfe, 0x00000ffa, 
      0x88013003, 0xb2d61b9f, 0x015fd9fe, 0x00000ffa, 
      0x88013003, 0xf2da1b2f, 0x016fd7fe, 0x00000ffa, 
      0x87014003, 0x32de1abf, 0x016fd6ff, 0x00000ffa, 
      0x87015003, 0x72e21a4f, 0x016fd4ff, 0x00000ffa, 
      0x87015003, 0xb2e519df, 0x017fd3ff, 0x00000ffa, 
      0x87016003, 0xf2e9196f, 0x017fd1ff, 0x00000ffa, 
      0x87017001, 0x32ed190f, 0x017fd000, 0x00000ffa, 
      0x87017002, 0x72f0189f, 0x018fce00, 0x00000ffa, 
      0x87017001, 0xc2f4182f, 0x018fcd00, 0x00000ffa, 
      0x87018001, 0x02f717bf, 0x019fcb01, 0x00000ffa, 
      0x87019001, 0x52fa174f, 0x019fc901, 0x00000ffa, 
      0x87019001, 0x92fe16df, 0x019fc801, 0x00000ffa, 
      0x8801a000, 0xe301166f, 0x019fc601, 0x00000ffa, 
      0x8701a000, 0x330415ff, 0x01afc502, 0x00000ffa, 
      0x8901b000, 0x7306158f, 0x01afc302, 0x00000ffa, 
      0x8901b000, 0xc309152f, 0x01afc102, 0x00000ffa, 
      0x8901bfff, 0x130c14bf, 0x01bfc003, 0x00000ffa, 
      0x8a01cfff, 0x630e144f, 0x01bfbe03, 0x00000ffa, 
      0x8a01cfff, 0xb31113df, 0x01bfbd03, 0x00000ffa, 
      0x8b01cfff, 0x0313136f, 0x01cfbb04, 0x00000ffa, 
      0x8b01dfff, 0x531512ff, 0x01cfba04, 0x00000ffa, 
      0x8c01dfff, 0xb317128f, 0x01cfb804, 0x00000ffa, 
      0x8d01dfff, 0x0319122f, 0x01cfb605, 0x00000ffa, 
      0x8d01dffe, 0x531b11bf, 0x01dfb505, 0x00000ffb, 
      0x8e01effd, 0xb31d114f, 0x01dfb305, 0x00000ffb, 
      0x8f01effe, 0x031e10df, 0x01dfb206, 0x00000ffb, 
      0x9001effd, 0x6320107f, 0x01dfb006, 0x00000ffb, 
      0x9101effe, 0xb321100f, 0x01dfaf06, 0x00000ffb, 
      0x9201effd, 0x13230f9f, 0x01efad07, 0x00000ffb, 
      0x9201effd, 0x73240f3f, 0x01efac07, 0x00000ffb, 
      0x9401fffd, 0xc3250ecf, 0x01efaa07, 0x00000ffb, 
      0x9501fffd, 0x23260e5f, 0x01efa908, 0x00000ffb, 
      0x9601fffc, 0x83270dff, 0x01efa808, 0x00000ffb, 
      0x9701fffd, 0xe3280d8f, 0x01efa608, 0x00000ffb, 
      0x9801fffd, 0x43280d2f, 0x01efa509, 0x00000ffb, 
      0x9901fffc, 0xa3290ccf, 0x01ffa309, 0x00000ffb, 
      0x9a01fffd, 0x03290c5f, 0x01ffa20a, 0x00000ffb, 
      0x9c01effc, 0x63290bff, 0x01ffa10a, 0x00000ffc, 
      0x9d01fffb, 0xc32a0b9f, 0x01ff9f0a, 0x00000ffc, 
      0x9e01fffc, 0x232a0b2f, 0x01ff9e0b, 0x00000ffc, 
      0x9f01fffb, 0x932a0acf, 0x01ff9d0b, 0x00000ffc, 
      0xa101fffb, 0xf3290a6f, 0x01ff9c0b, 0x00000ffc, 
      0xa201fffc, 0x53290a0f, 0x01ff9a0c, 0x00000ffc, 
      0xa301fffb, 0xc32909af, 0x01ff990c, 0x00000ffc, 
      0xa501effc, 0x2328094f, 0x01ff980d, 0x00000ffc, 
      0xa601effb, 0x832808ef, 0x01ff970d, 0x00000ffd, 
      0xa701effb, 0xf327088f, 0x01ff960d, 0x00000ffd, 
      0xa901effb, 0x5326082f, 0x01ff950e, 0x00000ffd, 
      0xaa01effb, 0xc32507cf, 0x01ff940e, 0x00000ffd, 
      0xac01effa, 0x3324077f, 0x01ef930f, 0x00000ffd, 
      0xad01effb, 0x9323071f, 0x01ef920f, 0x00000ffd, 
      0xaf01effb, 0x032106bf, 0x01ef9110, 0x00000ffd, 
      0xb001dffa, 0x7320066f, 0x01ef9010, 0x00000ffe, 
      0xb201dffb, 0xd31e060f, 0x01ef8f10, 0x00000ffe, 
      0xb301dffa, 0x431d05bf, 0x01ef8e11, 0x00000ffe, 
      0xb501dffa, 0xb31b055f, 0x01df8e11, 0x00000ffe, 
      0xb601cffb, 0x2319050f, 0x01df8d12, 0x00000ffe, 
      0xb801cffb, 0x831704bf, 0x01df8c12, 0x00000ffe, 
      0xba01cffa, 0xf315045f, 0x01df8b12, 0x00000fff, 
      0xbb01cffa, 0x6313040f, 0x01cf8b13, 0x00000fff, 
      0xbd01bffa, 0xd31103bf, 0x01cf8a13, 0x00000fff, 
      0xbe01bffa, 0x430e036f, 0x01cf8a14, 0x00000fff, 
      0xc001bffa, 0xb30c031f, 0x01bf8914, 0x00000fff, 
      0xc101affb, 0x130902cf, 0x01bf8915, 0x00000000, 
      0xc301affb, 0x8306027f, 0x01bf8815, 0x00000000, 
      0xc5019ffa, 0xf304023f, 0x01af8815, 0x00000000, 
      0xc6019ffa, 0x630101ef, 0x01af8816, 0x00000000, 
      0xc8019ffa, 0xd2fe019f, 0x019f8716, 0x00000001, 
      0xc9019ffa, 0x42fa015f, 0x019f8717, 0x00000001, 
      0xcb019ffa, 0xb2f7010f, 0x018f8717, 0x00000001, 
      0xcc018ffa, 0x22f400cf, 0x018f8718, 0x00000001, 
      0xce018ffa, 0x92f0007f, 0x017f8718, 0x00000002, 
      0xd0017ff9, 0x02ed003f, 0x017f8719, 0x00000002, 
      0xd1018ffa, 0x62e9ffff, 0x016f8719, 0x00000002, 
      0xd3017ffa, 0xd2e6ffbf, 0x015f8719, 0x00000002, 
      0xd4016ffa, 0x42e2ff7f, 0x015f871a, 0x00000003, 
      0xd6016ffa, 0xb2deff3f, 0x014f871a, 0x00000003, 
      0xd7016ff9, 0x22dafeff, 0x014f881b, 0x00000003, 
      0xd9015ffa, 0x92d6febf, 0x013f881b, 0x00000003, 
      0xdb015ffa, 0x02d1fe7f, 0x012f881c, 0x00000004, 
      0xdc015ff9, 0x72cdfe4f, 0x011f891c, 0x00000004, 
      0xde014ffa, 0xd2c9fe0f, 0x011f891c, 0x00000004, 
      0xdf014ffa, 0x42c4fdcf, 0x010f8a1d, 0x00000005, 
      0xe1013ff9, 0xb2c0fd9f, 0x00ff8b1d, 0x00000005, 
      0xe2013ffa, 0x22bbfd6f, 0x00ef8b1e, 0x00000005, 
      0xe4013ffa, 0x82b6fd2f, 0x00df8c1e, 0x00000006, 
      0xe5012ff9, 0xf2b2fcff, 0x00df8d1e, 0x00000006, 
      0xe7011ff9, 0x62adfccf, 0x00cf8e1f, 0x00000006, 
      0xe8011ff9, 0xc2a8fc9f, 0x00bf8f1f, 0x00000007, 
      0xe9010ffa, 0x32a3fc6f, 0x00af9020, 0x00000007, 
      0xeb010ffa, 0x929efc3f, 0x009f9120, 0x00000007, 
      0xec010ffa, 0x0298fc0f, 0x008f9221, 0x00000008, 
      0xee010ffa, 0x6293fbdf, 0x007f9321, 0x00000008, 
      0xef00fffb, 0xd28efbaf, 0x006f9421, 0x00000008, 
      0xf000fffa, 0x3288fb8f, 0x005f9622, 0x00000009, 
      0xf200effa, 0xa283fb5f, 0x004f9722, 0x00000009, 
      0xf300effa, 0x027dfb3f, 0x003f9923, 0x00000009, 
      0xf400effa, 0x6278fb0f, 0x002f9a23, 0x0000000a, 
      0xf600dffa, 0xc272faef, 0x001f9c23, 0x0000000a, 
      0xf700dffa, 0x326cfacf, 0xffff9e24, 0x0000000a, 
      0xf800dffb, 0x9266fa9f, 0xffef9f24, 0x0000000b, 
      0xf900cffb, 0xf261fa7f, 0xffdfa124, 0x0000000b, 
      0xfb00bffa, 0x525bfa5f, 0xffcfa325, 0x0000000c,
   },
   { /* Y scale factor = 0.80, phases = 127, taps = 9. */
      0x9d00100a, 0xf25e258f, 0x00affff9, 0x00000ffa, 
      0x9b002009, 0x1264252f, 0x00bffefa, 0x00000ffa, 
      0x9900300a, 0x326a24bf, 0x00bffdfa, 0x00000ffa, 
      0x98004008, 0x5270245f, 0x00cffcfa, 0x00000ffa, 
      0x96005009, 0x727623ff, 0x00cffafa, 0x00000ffa, 
      0x94007009, 0x927c238f, 0x00cff9fa, 0x00000ffa, 
      0x93007008, 0xb282232f, 0x00dff8fa, 0x00000ffa, 
      0x92008008, 0xe28722bf, 0x00dff7fa, 0x00000ffa, 
      0x90009008, 0x028d225f, 0x00eff5fb, 0x00000ffa, 
      0x8f00a007, 0x329321ef, 0x00eff4fb, 0x00000ffa, 
      0x8e00b007, 0x6298218f, 0x00eff2fb, 0x00000ffa, 
      0x8d00c006, 0x829e211f, 0x00fff1fb, 0x00000ffa, 
      0x8c00d006, 0xb2a320af, 0x00fff0fb, 0x00000ffa, 
      0x8b00e006, 0xe2a8203f, 0x010feefb, 0x00000ffa, 
      0x8a00f004, 0x12ae1fdf, 0x010fedfc, 0x00000ffa, 
      0x89010004, 0x42b31f6f, 0x011febfc, 0x00000ffa, 
      0x88011004, 0x72b81eff, 0x011feafc, 0x00000ffa, 
      0x88012004, 0xa2bd1e8f, 0x011fe8fc, 0x00000ffa, 
      0x87012004, 0xd2c21e1f, 0x012fe7fc, 0x00000ffa, 
      0x86014004, 0x12c61daf, 0x012fe5fd, 0x00000ffa, 
      0x86014003, 0x42cb1d3f, 0x013fe4fd, 0x00000ffa, 
      0x86015002, 0x82d01ccf, 0x013fe2fd, 0x00000ffa, 
      0x85015003, 0xb2d41c5f, 0x014fe1fd, 0x00000ffa, 
      0x85016002, 0xf2d91bef, 0x014fdffd, 0x00000ffa, 
      0x85017001, 0x32dd1b7f, 0x014fdefe, 0x00000ffa, 
      0x84017002, 0x72e11b0f, 0x015fdcfe, 0x00000ffa, 
      0x84018002, 0xa2e61a9f, 0x015fdafe, 0x00000ffa, 
      0x84018001, 0xe2ea1a2f, 0x016fd9fe, 0x00000ffa, 
      0x84019001, 0x22ee19bf, 0x016fd7ff, 0x00000ffa, 
      0x8401a001, 0x62f1194f, 0x016fd6ff, 0x00000ffa, 
      0x8401a000, 0xb2f518df, 0x017fd4ff, 0x00000ffa, 
      0x8401b000, 0xf2f9186f, 0x017fd2ff, 0x00000ffa, 
      0x8501bfff, 0x32fc17ff, 0x018fd100, 0x00000ffa, 
      0x8501bfff, 0x8300178f, 0x018fcf00, 0x00000ffa, 
      0x8501cfff, 0xc303171f, 0x018fce00, 0x00000ffa, 
      0x8501cfff, 0x1307169f, 0x019fcc01, 0x00000ffa, 
      0x8601dffe, 0x530a163f, 0x019fca01, 0x00000ffa, 
      0x8601dfff, 0xa30d15bf, 0x019fc901, 0x00000ffa, 
      0x8701dffe, 0xf310154f, 0x01afc701, 0x00000ffa, 
      0x8701efff, 0x431214df, 0x01afc502, 0x00000ffa, 
      0x8801effe, 0x9315146f, 0x01afc402, 0x00000ffa, 
      0x8901effd, 0xe31813ff, 0x01bfc202, 0x00000ffa, 
      0x8901fffe, 0x331a138f, 0x01bfc003, 0x00000ffa, 
      0x8a01fffd, 0x831d131f, 0x01bfbf03, 0x00000ffa, 
      0x8b01fffd, 0xd31f12af, 0x01cfbd03, 0x00000ffa, 
      0x8c01fffe, 0x2321123f, 0x01cfbb04, 0x00000ffa, 
      0x8d020ffd, 0x732311cf, 0x01cfba04, 0x00000ffa, 
      0x8d020ffd, 0xd325115f, 0x01dfb804, 0x00000ffa, 
      0x8e020ffc, 0x232710ff, 0x01dfb705, 0x00000ffa, 
      0x8f020ffc, 0x8329108f, 0x01dfb505, 0x00000ffa, 
      0x90020ffd, 0xd32a101f, 0x01efb305, 0x00000ffa, 
      0x91020ffc, 0x332c0faf, 0x01efb206, 0x00000ffa, 
      0x92020ffd, 0x932d0f3f, 0x01efb006, 0x00000ffa, 
      0x93020ffc, 0xf32e0edf, 0x01efaf06, 0x00000ffa, 
      0x94021ffc, 0x432f0e6f, 0x01ffad07, 0x00000ffa, 
      0x96020ffc, 0xa3300dff, 0x01ffac07, 0x00000ffa, 
      0x97021ffc, 0x03310d8f, 0x01ffaa08, 0x00000ffa, 
      0x98020ffc, 0x63320d2f, 0x01ffa908, 0x00000ffa, 
      0x99021ffc, 0xc3330cbf, 0x01ffa708, 0x00000ffa, 
      0x9b020ffb, 0x23330c5f, 0x01ffa609, 0x00000ffb, 
      0x9c020ffb, 0x83340bef, 0x020fa409, 0x00000ffb, 
      0x9d020ffb, 0xf3340b7f, 0x020fa309, 0x00000ffb, 
      0x9f020ffb, 0x53340b1f, 0x020fa10a, 0x00000ffb, 
      0xa0020ffb, 0xb3340abf, 0x020fa00a, 0x00000ffb, 
      0xa1020ffb, 0x13340a5f, 0x020f9f0b, 0x00000ffb, 
      0xa3020ffa, 0x833409ff, 0x020f9d0b, 0x00000ffb, 
      0xa4020ffb, 0xe334098f, 0x020f9c0b, 0x00000ffb, 
      0xa601fffb, 0x5333092f, 0x020f9b0c, 0x00000ffb, 
      0xa7020ffb, 0xb33308cf, 0x020f990c, 0x00000ffb, 
      0xa901fffb, 0x2332086f, 0x020f980d, 0x00000ffb, 
      0xaa01fffb, 0x8331080f, 0x020f970d, 0x00000ffc, 
      0xac01fffa, 0xf33007af, 0x020f960d, 0x00000ffc, 
      0xad01fffb, 0x632f074f, 0x020f940e, 0x00000ffc, 
      0xaf01effa, 0xd32e06ff, 0x020f930e, 0x00000ffc, 
      0xb001effb, 0x332d069f, 0x020f920f, 0x00000ffc, 
      0xb201effa, 0xa32c063f, 0x020f910f, 0x00000ffc, 
      0xb301effb, 0x132a05df, 0x020f9010, 0x00000ffc, 
      0xb501dff9, 0x8329058f, 0x020f8f10, 0x00000ffd, 
      0xb701dff9, 0xf327052f, 0x020f8e10, 0x00000ffd, 
      0xb801dffa, 0x532504df, 0x020f8d11, 0x00000ffd, 
      0xba01dffa, 0xc323048f, 0x01ff8c11, 0x00000ffd, 
      0xbb01dffa, 0x3321042f, 0x01ff8c12, 0x00000ffd, 
      0xbd01cffa, 0xa31f03df, 0x01ff8b12, 0x00000ffd, 
      0xbf01bff9, 0x131d038f, 0x01ff8a13, 0x00000ffe, 
      0xc001bffa, 0x831a033f, 0x01ff8913, 0x00000ffe, 
      0xc201bff9, 0xf31802ef, 0x01ef8913, 0x00000ffe, 
      0xc401affa, 0x6315029f, 0x01ef8814, 0x00000ffe, 
      0xc501bffa, 0xd312024f, 0x01ef8714, 0x00000ffe, 
      0xc701affa, 0x431001ff, 0x01df8715, 0x00000ffe, 
      0xc9019ffa, 0xb30d01af, 0x01df8615, 0x00000fff, 
      0xca019ff9, 0x330a015f, 0x01df8616, 0x00000fff, 
      0xcc019ff9, 0xa307011f, 0x01cf8516, 0x00000fff, 
      0xce018ffa, 0x130300cf, 0x01cf8517, 0x00000fff, 
      0xcf018ff9, 0x8300008f, 0x01bf8517, 0x00000000, 
      0xd1018ff9, 0xf2fc003f, 0x01bf8517, 0x00000000, 
      0xd2017ffa, 0x62f9ffff, 0x01bf8418, 0x00000000, 
      0xd4017ffa, 0xd2f5ffbf, 0x01af8418, 0x00000000, 
      0xd6017ffa, 0x42f1ff6f, 0x019f8419, 0x00000001, 
      0xd7016ffa, 0xb2eeff2f, 0x019f8419, 0x00000001, 
      0xd9016ffa, 0x22eafeef, 0x018f841a, 0x00000001, 
      0xda016ffa, 0x92e6feaf, 0x018f841a, 0x00000001, 
      0xdc015ffa, 0x02e1fe7f, 0x017f841b, 0x00000002, 
      0xde014ff9, 0x72ddfe3f, 0x017f851b, 0x00000002, 
      0xdf014ffa, 0xe2d9fdff, 0x016f851b, 0x00000002, 
      0xe1014ffa, 0x52d4fdcf, 0x015f851c, 0x00000002, 
      0xe2013ff9, 0xc2d0fd8f, 0x015f861c, 0x00000003, 
      0xe4013ffa, 0x32cbfd4f, 0x014f861d, 0x00000003, 
      0xe6013ffa, 0xa2c6fd1f, 0x013f861d, 0x00000003, 
      0xe7012ffa, 0x12c2fcdf, 0x012f871e, 0x00000004, 
      0xe8012ffa, 0x82bdfcaf, 0x011f881e, 0x00000004, 
      0xea011ffa, 0xf2b8fc7f, 0x011f881e, 0x00000004, 
      0xeb011ff9, 0x62b3fc4f, 0x010f891f, 0x00000005, 
      0xed010ff9, 0xd2aefc1f, 0x00ff8a1f, 0x00000005, 
      0xef010ffa, 0x32a8fbef, 0x00ef8b20, 0x00000005, 
      0xf000fffa, 0xa2a3fbbf, 0x00df8c20, 0x00000006, 
      0xf100fffa, 0x129efb8f, 0x00cf8d21, 0x00000006, 
      0xf200effb, 0x8298fb6f, 0x00bf8e21, 0x00000006, 
      0xf400effa, 0xe293fb3f, 0x00af8f21, 0x00000007, 
      0xf500effb, 0x528dfb0f, 0x009f9022, 0x00000007, 
      0xf700dffb, 0xb287faef, 0x008f9222, 0x00000007, 
      0xf800dffa, 0x2282fabf, 0x007f9323, 0x00000008, 
      0xf900dffb, 0x827cfa9f, 0x006f9423, 0x00000008, 
      0xfa00cffa, 0xf276fa7f, 0x005f9623, 0x00000009, 
      0xfc00bffa, 0x5270fa5f, 0x004f9824, 0x00000009, 
      0xfd00bffb, 0xb26afa3f, 0x003f9924, 0x00000009, 
      0xfe00affa, 0x2264fa1f, 0x002f9b25, 0x0000000a, 
      0xff00affa, 0x825ef9ff, 0x001f9d25, 0x0000000a,
   },
   { /* Y scale factor = 0.81, phases = 127, taps = 9. */
      0x97005008, 0x826125bf, 0x009004f9, 0x00000ffb, 
      0x95006009, 0xa267254f, 0x009003f9, 0x00000ffb, 
      0x93007007, 0xc26e24ef, 0x00a002f9, 0x00000ffb, 
      0x92008007, 0xe274247f, 0x00a001f9, 0x00000ffb, 
      0x9000a007, 0x027a241f, 0x00affffa, 0x00000ffb, 
      0x8f00b007, 0x228023af, 0x00bffefa, 0x00000ffa, 
      0x8d00c006, 0x5286234f, 0x00bffdfa, 0x00000ffa, 
      0x8c00d006, 0x728c22df, 0x00cffbfa, 0x00000ffa, 
      0x8b00e006, 0x9292226f, 0x00cffafa, 0x00000ffa, 
      0x8a00e005, 0xc29821ff, 0x00dff9fa, 0x00000ffa, 
      0x89010005, 0xe29d219f, 0x00dff7fa, 0x00000ffa, 
      0x88011004, 0x12a3212f, 0x00dff6fb, 0x00000ffa, 
      0x87011004, 0x42a920af, 0x00eff5fb, 0x00000ffa, 
      0x86013004, 0x62ae204f, 0x00eff3fb, 0x00000ffa, 
      0x85013004, 0x92b31fdf, 0x00fff2fb, 0x00000ffa, 
      0x85014003, 0xc2b91f6f, 0x00fff0fb, 0x00000ffa, 
      0x84015002, 0xf2be1eff, 0x010feffb, 0x00000ffa, 
      0x84015003, 0x22c31e8f, 0x010fedfc, 0x00000ffa, 
      0x83016002, 0x62c81e0f, 0x011fecfc, 0x00000ffa, 
      0x83017001, 0x92cd1daf, 0x011feafc, 0x00000ffa, 
      0x82018001, 0xc2d21d3f, 0x011fe9fc, 0x00000ffa, 
      0x82018001, 0x02d71cbf, 0x012fe7fd, 0x00000ffa, 
      0x82019001, 0x32db1c4f, 0x012fe6fd, 0x00000ffa, 
      0x82019000, 0x72e01bdf, 0x013fe4fd, 0x00000ffa, 
      0x8101a001, 0xa2e51b6f, 0x013fe2fd, 0x00000ffa, 
      0x8101a000, 0xe2e91aff, 0x014fe1fd, 0x00000ffa, 
      0x8101c000, 0x22ed1a7f, 0x014fdffe, 0x00000ffa, 
      0x8101cfff, 0x62f11a0f, 0x015fdefe, 0x00000ffa, 
      0x8101cfff, 0xa2f6199f, 0x015fdcfe, 0x00000ffa, 
      0x8201dfff, 0xe2fa192f, 0x015fdafe, 0x00000ff9, 
      0x8201dfff, 0x22fe18af, 0x016fd9ff, 0x00000ff9, 
      0x8301efff, 0x6301183f, 0x016fd7ff, 0x00000ff9, 
      0x8301effe, 0xb30517cf, 0x017fd5ff, 0x00000ff9, 
      0x8301effe, 0xf309175f, 0x017fd4ff, 0x00000ff9, 
      0x8301fffe, 0x430c16df, 0x018fd200, 0x00000ff9, 
      0x84020ffe, 0x830f166f, 0x018fd000, 0x00000ff9, 
      0x8401fffe, 0xd31315ff, 0x018fcf00, 0x00000ff9, 
      0x85020ffd, 0x1316158f, 0x019fcd01, 0x00000ff9, 
      0x86020ffe, 0x6319150f, 0x019fcb01, 0x00000ff9, 
      0x86021ffd, 0xb31c149f, 0x01afc901, 0x00000ff9, 
      0x87021ffc, 0x031f142f, 0x01afc802, 0x00000ff9, 
      0x88021ffd, 0x532113bf, 0x01afc602, 0x00000ff9, 
      0x89021ffc, 0xa324134f, 0x01bfc402, 0x00000ff9, 
      0x8a021ffd, 0xf32612cf, 0x01bfc302, 0x00000ff9, 
      0x8a021ffd, 0x4329125f, 0x01cfc103, 0x00000ff9, 
      0x8b022ffc, 0xa32b11ef, 0x01cfbf03, 0x00000ff9, 
      0x8c022ffc, 0xf32d117f, 0x01cfbe03, 0x00000ff9, 
      0x8d022ffc, 0x432f110f, 0x01dfbc04, 0x00000ff9, 
      0x8e022ffc, 0xa331109f, 0x01dfba04, 0x00000ff9, 
      0x90022ffc, 0xf333102f, 0x01dfb804, 0x00000ff9, 
      0x91022ffb, 0x53340fbf, 0x01efb705, 0x00000ff9, 
      0x92022ffb, 0xb3360f4f, 0x01efb505, 0x00000ff9, 
      0x93022ffc, 0x13370edf, 0x01efb306, 0x00000ff9, 
      0x94022ffa, 0x63390e6f, 0x01ffb206, 0x00000ffa, 
      0x95022ffb, 0xc33a0dff, 0x01ffb006, 0x00000ffa, 
      0x97021ffa, 0x233b0d9f, 0x01ffaf07, 0x00000ffa, 
      0x98022ffa, 0x833c0d2f, 0x01ffad07, 0x00000ffa, 
      0x99022ffa, 0xe33d0cbf, 0x020fab07, 0x00000ffa, 
      0x9b022ffa, 0x433d0c4f, 0x020faa08, 0x00000ffa, 
      0x9c021ffb, 0xa33e0bef, 0x020fa808, 0x00000ffa, 
      0x9e021ffa, 0x133e0b7f, 0x020fa709, 0x00000ffa, 
      0x9f021ffa, 0x733f0b1f, 0x020fa509, 0x00000ffa, 
      0xa1021ffa, 0xd33f0aaf, 0x021fa309, 0x00000ffa, 
      0xa2020ffa, 0x433f0a4f, 0x021fa20a, 0x00000ffa, 
      0xa3021ffa, 0xa33f09df, 0x021fa10a, 0x00000ffa, 
      0xa5020ffa, 0x133f097f, 0x021f9f0b, 0x00000ffa, 
      0xa7020ffa, 0x733e091f, 0x021f9e0b, 0x00000ffa, 
      0xa8021ffa, 0xe33e08af, 0x021f9c0b, 0x00000ffa, 
      0xaa020ffa, 0x433d084f, 0x022f9b0c, 0x00000ffa, 
      0xab020ffa, 0xb33d07ef, 0x022f990c, 0x00000ffa, 
      0xad01fff9, 0x233c078f, 0x022f980d, 0x00000ffb, 
      0xae01fff9, 0x933b072f, 0x022f970d, 0x00000ffb, 
      0xb001fffa, 0xf33a06cf, 0x022f950d, 0x00000ffb, 
      0xb201fff9, 0x6339066f, 0x022f940e, 0x00000ffb, 
      0xb301effa, 0xd337061f, 0x022f930e, 0x00000ffb, 
      0xb501eff9, 0x433605bf, 0x022f920f, 0x00000ffb, 
      0xb701eff9, 0xb334055f, 0x022f910f, 0x00000ffb, 
      0xb801dffa, 0x233304ff, 0x022f9010, 0x00000ffb, 
      0xba01dff9, 0x933104af, 0x022f8e10, 0x00000ffc, 
      0xbc01dff9, 0x032f044f, 0x022f8d11, 0x00000ffc, 
      0xbe01cff9, 0x732d03ff, 0x022f8c11, 0x00000ffc, 
      0xbf01cffa, 0xe32b03af, 0x021f8b11, 0x00000ffc, 
      0xc101cffa, 0x5329034f, 0x021f8a12, 0x00000ffc, 
      0xc301bffa, 0xc32602ff, 0x021f8a12, 0x00000ffc, 
      0xc401bff9, 0x432402af, 0x021f8913, 0x00000ffc, 
      0xc601aff9, 0xb321025f, 0x021f8813, 0x00000ffd, 
      0xc8019ff9, 0x231f020f, 0x021f8714, 0x00000ffd, 
      0xc901affa, 0x931c01bf, 0x020f8614, 0x00000ffd, 
      0xcb019ffa, 0x0319016f, 0x020f8615, 0x00000ffd, 
      0xcd019ff9, 0x8316011f, 0x020f8515, 0x00000ffd, 
      0xcf018ff9, 0xf31300df, 0x01ff8415, 0x00000ffe, 
      0xd0018ffa, 0x630f008f, 0x01ff8416, 0x00000ffe, 
      0xd2018ff9, 0xd30c004f, 0x01ff8316, 0x00000ffe, 
      0xd4017ff9, 0x5309ffff, 0x01ef8317, 0x00000ffe, 
      0xd5017ff9, 0xc305ffbf, 0x01ef8317, 0x00000ffe, 
      0xd7016ffa, 0x3301ff6f, 0x01ef8218, 0x00000fff, 
      0xd9016ff9, 0xa2feff2f, 0x01df8218, 0x00000fff, 
      0xda015ff9, 0x22fafeef, 0x01df8219, 0x00000fff, 
      0xdc015ff9, 0x92f6feaf, 0x01cf8219, 0x00000fff, 
      0xde015ff9, 0x02f1fe6f, 0x01cf811a, 0x00000000, 
      0xdf015ffa, 0x72edfe2f, 0x01bf811a, 0x00000000, 
      0xe1014ff9, 0xf2e9fdef, 0x01bf811a, 0x00000000, 
      0xe2014ffa, 0x62e5fdaf, 0x01af811b, 0x00000000, 
      0xe4013ff9, 0xd2e0fd7f, 0x019f821b, 0x00000001, 
      0xe6012ffa, 0x42dbfd3f, 0x019f821c, 0x00000001, 
      0xe7012ffa, 0xb2d7fd0f, 0x018f821c, 0x00000001, 
      0xe9011ffa, 0x32d2fccf, 0x018f821d, 0x00000001, 
      0xea011ff9, 0xa2cdfc9f, 0x017f831d, 0x00000002, 
      0xec011ff9, 0x12c8fc6f, 0x016f831e, 0x00000002, 
      0xed011ffa, 0x82c3fc2f, 0x015f841e, 0x00000002, 
      0xef010ff9, 0xf2befbff, 0x015f841e, 0x00000003, 
      0xf000fffa, 0x62b9fbcf, 0x014f851f, 0x00000003, 
      0xf200fffb, 0xd2b3fb9f, 0x013f851f, 0x00000003, 
      0xf300effb, 0x42aefb6f, 0x012f8620, 0x00000004, 
      0xf500dffa, 0xb2a9fb4f, 0x011f8720, 0x00000004, 
      0xf600dffa, 0x22a3fb1f, 0x011f8821, 0x00000004, 
      0xf700dffa, 0x929dfaef, 0x010f8921, 0x00000005, 
      0xf900cffa, 0xf298facf, 0x00ff8a21, 0x00000005, 
      0xfa00cffb, 0x6292fa9f, 0x00ef8b22, 0x00000005, 
      0xfb00cffa, 0xd28cfa7f, 0x00df8c22, 0x00000006, 
      0xfd00bffa, 0x4286fa5f, 0x00cf8d23, 0x00000006, 
      0xfe00bffa, 0xa280fa2f, 0x00bf8f23, 0x00000007, 
      0xff00affb, 0x127afa0f, 0x00af9024, 0x00000007, 
      0x0100affa, 0x7274f9e0, 0x009f9224, 0x00000007, 
      0x02009ffa, 0xe26ef9c0, 0x008f9324, 0x00000008, 
      0x0300affb, 0x4267f9a0, 0x006f9525, 0x00000008, 
      0x04009ffb, 0xb261f980, 0x005f9725, 0x00000008,
   },
   { /* Y scale factor = 0.82, phases = 127, taps = 9. */
      0x9100a007, 0x226425df, 0x007009f9, 0x00000ffb, 
      0x8e00b006, 0x426b257f, 0x008008f9, 0x00000ffb, 
      0x8d00d006, 0x6271250f, 0x008006f9, 0x00000ffb, 
      0x8c00d006, 0x827724af, 0x008005f9, 0x00000ffb, 
      0x8a00e005, 0xa27e243f, 0x009004f9, 0x00000ffb, 
      0x8900f005, 0xc28423cf, 0x009003f9, 0x00000ffb, 
      0x88010004, 0xe28a235f, 0x00a002f9, 0x00000ffb, 
      0x87011005, 0x029022ef, 0x00a000fa, 0x00000ffb, 
      0x86013004, 0x2296227f, 0x00affffa, 0x00000ffb, 
      0x85012003, 0x529c221f, 0x00bffefa, 0x00000ffb, 
      0x84014004, 0x72a221af, 0x00bffcfa, 0x00000ffa, 
      0x83015003, 0xa2a8212f, 0x00cffbfa, 0x00000ffa, 
      0x83015003, 0xc2ae20bf, 0x00cffafa, 0x00000ffa, 
      0x82016003, 0xf2b3204f, 0x00dff8fa, 0x00000ffa, 
      0x81017002, 0x22b91fdf, 0x00dff7fb, 0x00000ffa, 
      0x81017001, 0x52bf1f6f, 0x00eff5fb, 0x00000ffa, 
      0x80019001, 0x72c41eff, 0x00eff4fb, 0x00000ffa, 
      0x80019001, 0xb2c91e7f, 0x00fff2fb, 0x00000ffa, 
      0x7f01a000, 0xe2cf1e0f, 0x00fff1fb, 0x00000ffa, 
      0x7f01b000, 0x12d41d9f, 0x00ffeffc, 0x00000ffa, 
      0x7f01b000, 0x42d91d1f, 0x010feefc, 0x00000ffa, 
      0x7f01cfff, 0x82de1caf, 0x010fecfc, 0x00000ffa, 
      0x7e01cfff, 0xb2e31c3f, 0x011febfc, 0x00000ffa, 
      0x7f01dfff, 0xf2e71bbf, 0x011fe9fc, 0x00000ffa, 
      0x7f01dfff, 0x22ec1b4f, 0x012fe7fd, 0x00000ffa, 
      0x7f01dffe, 0x62f11adf, 0x012fe6fd, 0x00000ffa, 
      0x7f01effe, 0xa2f51a5f, 0x013fe4fd, 0x00000ffa, 
      0x7f01fffe, 0xd2f919ef, 0x013fe3fd, 0x00000ffa, 
      0x7f020ffe, 0x12fe196f, 0x014fe1fe, 0x00000ff9, 
      0x80020ffe, 0x530218ff, 0x014fdffe, 0x00000ff9, 
      0x80020ffe, 0xa306187f, 0x015fddfe, 0x00000ff9, 
      0x81020ffd, 0xe30a180f, 0x015fdcfe, 0x00000ff9, 
      0x81021ffc, 0x230e179f, 0x016fdaff, 0x00000ff9, 
      0x82022ffd, 0x6311171f, 0x016fd8ff, 0x00000ff9, 
      0x82021ffc, 0xb31516af, 0x017fd7ff, 0x00000ff9, 
      0x83022ffd, 0xf318162f, 0x017fd5ff, 0x00000ff9, 
      0x83022ffd, 0x431c15bf, 0x017fd300, 0x00000ff9, 
      0x84022ffd, 0x931f153f, 0x018fd100, 0x00000ff9, 
      0x85022ffc, 0xe32214cf, 0x018fd000, 0x00000ff9, 
      0x86023ffb, 0x2325145f, 0x019fce01, 0x00000ff9, 
      0x87023ffc, 0x732813df, 0x019fcc01, 0x00000ff9, 
      0x88023ffb, 0xc32b136f, 0x01afca01, 0x00000ff9, 
      0x89022ffb, 0x132e12ff, 0x01afc902, 0x00000ff9, 
      0x89023ffb, 0x7330127f, 0x01bfc702, 0x00000ff9, 
      0x8b023ffa, 0xc333120f, 0x01bfc502, 0x00000ff9, 
      0x8c023ffb, 0x1335119f, 0x01bfc303, 0x00000ff9, 
      0x8d023ffb, 0x6337111f, 0x01cfc203, 0x00000ff9, 
      0x8e023ffb, 0xc33910af, 0x01cfc003, 0x00000ff9, 
      0x8f023ffb, 0x133b103f, 0x01dfbe04, 0x00000ff9, 
      0x90023ffb, 0x733d0fcf, 0x01dfbc04, 0x00000ff9, 
      0x92023ffa, 0xd33f0f5f, 0x01dfba04, 0x00000ff9, 
      0x93023ffa, 0x23400eef, 0x01efb905, 0x00000ff9, 
      0x94023ffa, 0x83420e7f, 0x01efb705, 0x00000ff9, 
      0x96023ffa, 0xe3430e0f, 0x01efb505, 0x00000ff9, 
      0x97023ff9, 0x43440d9f, 0x01ffb406, 0x00000ff9, 
      0x98023ffa, 0xa3450d2f, 0x01ffb206, 0x00000ff9, 
      0x9a023ffa, 0x03460cbf, 0x01ffb007, 0x00000ff9, 
      0x9b023ffa, 0x63470c4f, 0x020fae07, 0x00000ff9, 
      0x9d022ffa, 0xc3480bdf, 0x020fad07, 0x00000ff9, 
      0x9e022ffa, 0x33480b7f, 0x020fab08, 0x00000ff9, 
      0xa0022ff9, 0x93490b0f, 0x021fa908, 0x00000ff9, 
      0xa1022ffa, 0xf3490a9f, 0x021fa808, 0x00000ff9, 
      0xa3022ff9, 0x63490a3f, 0x021fa609, 0x00000ff9, 
      0xa5022ffa, 0xc34909cf, 0x021fa409, 0x00000ff9, 
      0xa6021ff9, 0x3349096f, 0x022fa30a, 0x00000ff9, 
      0xa8021ffa, 0x934908ff, 0x022fa10a, 0x00000ff9, 
      0xa9021ff9, 0x0349089f, 0x022fa00b, 0x00000ff9, 
      0xab020ffa, 0x7348083f, 0x022f9e0b, 0x00000ff9, 
      0xad020ff9, 0xd34807cf, 0x022f9d0b, 0x00000ffa, 
      0xae020ff9, 0x4347076f, 0x023f9b0c, 0x00000ffa, 
      0xb001fff9, 0xb346070f, 0x023f9a0c, 0x00000ffa, 
      0xb201fff9, 0x234506af, 0x023f980d, 0x00000ffa, 
      0xb401fff8, 0x9344064f, 0x023f970d, 0x00000ffa, 
      0xb501eff9, 0x034305ef, 0x023f960e, 0x00000ffa, 
      0xb701eff9, 0x7342058f, 0x023f940e, 0x00000ffa, 
      0xb901eff9, 0xe340052f, 0x023f930e, 0x00000ffa, 
      0xba01dff9, 0x533f04df, 0x023f920f, 0x00000ffa, 
      0xbd01dff9, 0xc33d047f, 0x023f900f, 0x00000ffa, 
      0xbf01dff9, 0x333b041f, 0x023f8f10, 0x00000ffa, 
      0xc001cff9, 0xa33903cf, 0x023f8e10, 0x00000ffb, 
      0xc201cff9, 0x1337036f, 0x023f8d11, 0x00000ffb, 
      0xc301bff9, 0x9335031f, 0x023f8c11, 0x00000ffb, 
      0xc501bff8, 0x033302cf, 0x023f8b12, 0x00000ffb, 
      0xc701aff9, 0x7330027f, 0x023f8a12, 0x00000ffb, 
      0xc801aff9, 0xf32e021f, 0x023f8912, 0x00000ffb, 
      0xca01aff9, 0x632b01cf, 0x023f8813, 0x00000ffb, 
      0xcc019ff9, 0xd328017f, 0x023f8713, 0x00000ffc, 
      0xce018ff9, 0x5325012f, 0x023f8614, 0x00000ffc, 
      0xd0018ff9, 0xc32200ef, 0x022f8514, 0x00000ffc, 
      0xd1018ffa, 0x331f009f, 0x022f8415, 0x00000ffc, 
      0xd3017ffa, 0xb31c004f, 0x022f8315, 0x00000ffc, 
      0xd5017ffa, 0x2318ffff, 0x022f8316, 0x00000ffc, 
      0xd7016ff9, 0xa315ffbf, 0x021f8216, 0x00000ffd, 
      0xd8016ffa, 0x1311ff6f, 0x021f8217, 0x00000ffd, 
      0xda015ff9, 0x930eff2f, 0x021f8117, 0x00000ffd, 
      0xdc015ff9, 0x030afeef, 0x020f8118, 0x00000ffd, 
      0xdd015ffa, 0x7306feaf, 0x020f8018, 0x00000ffd, 
      0xdf014ff9, 0xf302fe5f, 0x020f8018, 0x00000ffe, 
      0xe1014ffa, 0x62fefe1f, 0x01ff7f19, 0x00000ffe, 
      0xe3013ffa, 0xe2f9fddf, 0x01ff7f19, 0x00000ffe, 
      0xe4013ffa, 0x52f5fdaf, 0x01ef7f1a, 0x00000ffe, 
      0xe5012ff9, 0xd2f1fd6f, 0x01ef7f1a, 0x00000fff, 
      0xe7012ffa, 0x42ecfd2f, 0x01df7f1b, 0x00000fff, 
      0xe9011ffa, 0xb2e7fcff, 0x01df7f1b, 0x00000fff, 
      0xeb011ff9, 0x32e3fcbf, 0x01cf7f1c, 0x00000fff, 
      0xec010ff9, 0xa2defc8f, 0x01cf7f1c, 0x00000000, 
      0xee010ffa, 0x12d9fc4f, 0x01bf7f1d, 0x00000000, 
      0xef00fffa, 0x92d4fc1f, 0x01bf7f1d, 0x00000000, 
      0xf100fffa, 0x02cffbef, 0x01af7f1e, 0x00000000, 
      0xf200fffa, 0x72c9fbbf, 0x019f801e, 0x00000001, 
      0xf400effa, 0xf2c4fb7f, 0x019f801e, 0x00000001, 
      0xf500dffa, 0x62bffb5f, 0x018f811f, 0x00000001, 
      0xf700dffa, 0xd2b9fb2f, 0x017f811f, 0x00000002, 
      0xf800dffb, 0x42b3faff, 0x016f8220, 0x00000002, 
      0xfa00cffb, 0xb2aefacf, 0x015f8320, 0x00000002, 
      0xfb00cffa, 0x22a8faaf, 0x015f8321, 0x00000003, 
      0xfc00bffb, 0xa2a2fa7f, 0x014f8421, 0x00000003, 
      0xfe00bffa, 0x129cfa5f, 0x013f8522, 0x00000003, 
      0xff00bffb, 0x7296fa2f, 0x012f8622, 0x00000004, 
      0x0000bffb, 0xe290fa00, 0x011f8722, 0x00000004, 
      0x0200affb, 0x528af9e0, 0x010f8823, 0x00000004, 
      0x03009ffb, 0xc284f9c0, 0x00ff8923, 0x00000005, 
      0x04009ffa, 0x327ef9a0, 0x00ef8b24, 0x00000005, 
      0x05008ffb, 0xa277f980, 0x00df8c24, 0x00000006, 
      0x06008ffc, 0x0271f960, 0x00cf8d25, 0x00000006, 
      0x08007ffb, 0x726bf940, 0x00bf8f25, 0x00000006, 
      0x09007ffb, 0xd264f920, 0x00af9125, 0x00000007,
   },
   { /* Y scale factor = 0.83, phases = 127, taps = 9. */
      0x8b00f005, 0xc267260f, 0x00500df8, 0x00000ffc, 
      0x89010004, 0xe26e259f, 0x00600cf8, 0x00000ffc, 
      0x88011004, 0x0274253f, 0x00600bf9, 0x00000ffb, 
      0x87012003, 0x127b24cf, 0x00700af9, 0x00000ffb, 
      0x85013004, 0x3281245f, 0x007009f9, 0x00000ffb, 
      0x84014003, 0x528823ef, 0x007008f9, 0x00000ffb, 
      0x83015003, 0x728e237f, 0x008006f9, 0x00000ffb, 
      0x82015003, 0x9295230f, 0x008005f9, 0x00000ffb, 
      0x81016002, 0xb29b229f, 0x009004f9, 0x00000ffb, 
      0x81017001, 0xe2a1221f, 0x009003f9, 0x00000ffb, 
      0x80018001, 0x02a721af, 0x00a001fa, 0x00000ffb, 
      0x7f019001, 0x22ad213f, 0x00a000fa, 0x00000ffb, 
      0x7e019000, 0x52b320cf, 0x00bffffa, 0x00000ffb, 
      0x7e01a000, 0x82b9204f, 0x00bffdfa, 0x00000ffb, 
      0x7d01b000, 0xa2bf1fdf, 0x00bffcfa, 0x00000ffb, 
      0x7d01c000, 0xd2c41f6f, 0x00cffafa, 0x00000ffa, 
      0x7d01c000, 0x02ca1eef, 0x00cff9fb, 0x00000ffa, 
      0x7c01d000, 0x32cf1e7f, 0x00dff7fb, 0x00000ffa, 
      0x7c01efff, 0x62d51dff, 0x00dff6fb, 0x00000ffa, 
      0x7c01efff, 0x92da1d8f, 0x00eff4fb, 0x00000ffa, 
      0x7c01ffff, 0xc2df1d0f, 0x00eff3fb, 0x00000ffa, 
      0x7c01fffe, 0x02e41c9f, 0x00fff1fc, 0x00000ffa, 
      0x7c020ffe, 0x32e91c1f, 0x00fff0fc, 0x00000ffa, 
      0x7c020ffe, 0x62ee1baf, 0x010feefc, 0x00000ffa, 
      0x7c021ffd, 0xa2f31b2f, 0x010fedfc, 0x00000ffa, 
      0x7c021ffd, 0xe2f81aaf, 0x011febfc, 0x00000ffa, 
      0x7d021ffd, 0x12fd1a3f, 0x011fe9fd, 0x00000ffa, 
      0x7d022ffc, 0x530119bf, 0x012fe8fd, 0x00000ffa, 
      0x7e022ffd, 0x9305193f, 0x012fe6fd, 0x00000ffa, 
      0x7e023ffc, 0xd30a18cf, 0x013fe4fd, 0x00000ff9, 
      0x7f023ffc, 0x130e185f, 0x013fe2fe, 0x00000ff9, 
      0x7f023ffc, 0x531217df, 0x014fe1fe, 0x00000ff9, 
      0x80023ffc, 0xa316175f, 0x014fdffe, 0x00000ff9, 
      0x81024ffb, 0xe31a16df, 0x015fddfe, 0x00000ff9, 
      0x81024ffb, 0x231e166f, 0x015fdcff, 0x00000ff9, 
      0x82024ffb, 0x732115ef, 0x016fdaff, 0x00000ff9, 
      0x83024ffb, 0xb325157f, 0x016fd8ff, 0x00000ff9, 
      0x84024ffb, 0x032814ff, 0x017fd600, 0x00000ff9, 
      0x85025ffb, 0x532b147f, 0x017fd400, 0x00000ff9, 
      0x86024ffa, 0xa32e140f, 0x018fd300, 0x00000ff9, 
      0x87025ffa, 0xf331138f, 0x018fd100, 0x00000ff9, 
      0x88024ffa, 0x4334131f, 0x019fcf01, 0x00000ff9, 
      0x89025ffa, 0x9337129f, 0x019fcd01, 0x00000ff9, 
      0x8a025ff9, 0xe33a122f, 0x01afcb01, 0x00000ff9, 
      0x8b025ffa, 0x333c11af, 0x01afca02, 0x00000ff9, 
      0x8c025ff9, 0x833f113f, 0x01bfc802, 0x00000ff9, 
      0x8e024ff9, 0xe34110cf, 0x01bfc602, 0x00000ff9, 
      0x8f025ff9, 0x3343104f, 0x01cfc403, 0x00000ff9, 
      0x90025ff9, 0x93450fdf, 0x01cfc203, 0x00000ff9, 
      0x92025ff9, 0xe3470f6f, 0x01cfc003, 0x00000ff9, 
      0x93024ff9, 0x43490eef, 0x01dfbf04, 0x00000ff9, 
      0x94024ff9, 0xa34b0e7f, 0x01dfbd04, 0x00000ff9, 
      0x95024ff9, 0x034c0e0f, 0x01efbb05, 0x00000ff9, 
      0x97024ff9, 0x634d0d9f, 0x01efb905, 0x00000ff9, 
      0x99024ff8, 0xc34f0d2f, 0x01efb705, 0x00000ff9, 
      0x9a024ff8, 0x23500cbf, 0x01ffb506, 0x00000ff9, 
      0x9c023ff8, 0x83510c4f, 0x01ffb406, 0x00000ff9, 
      0x9d023ff8, 0xe3520bdf, 0x020fb206, 0x00000ff9, 
      0x9f023ff9, 0x43520b6f, 0x020fb007, 0x00000ff9, 
      0xa1023ff8, 0xb3530aff, 0x020fae07, 0x00000ff9, 
      0xa2023ff8, 0x13530a8f, 0x021fad08, 0x00000ff9, 
      0xa4022ff8, 0x73540a2f, 0x021fab08, 0x00000ff9, 
      0xa6022ff8, 0xe35409bf, 0x021fa908, 0x00000ff9, 
      0xa7022ff9, 0x4354094f, 0x022fa709, 0x00000ff9, 
      0xa9021ff8, 0xb35408ef, 0x022fa609, 0x00000ff9, 
      0xab021ff8, 0x2354087f, 0x022fa40a, 0x00000ff9, 
      0xad021ff8, 0x8353081f, 0x023fa20a, 0x00000ff9, 
      0xae020ff8, 0xf35307bf, 0x023fa10a, 0x00000ff9, 
      0xb0020ff9, 0x6352074f, 0x023f9f0b, 0x00000ff9, 
      0xb2020ff8, 0xd35206ef, 0x023f9d0b, 0x00000ff9, 
      0xb401fff8, 0x4351068f, 0x023f9c0c, 0x00000ff9, 
      0xb501fff8, 0xb350062f, 0x024f9a0c, 0x00000ff9, 
      0xb701eff8, 0x234f05cf, 0x024f990d, 0x00000ff9, 
      0xb901eff9, 0x934d056f, 0x024f970d, 0x00000ff9, 
      0xbb01eff8, 0x034c050f, 0x024f960e, 0x00000ff9, 
      0xbd01dff9, 0x734b04af, 0x024f940e, 0x00000ff9, 
      0xbf01dff9, 0xe349044f, 0x024f930e, 0x00000ff9, 
      0xc001cff9, 0x634703ef, 0x025f920f, 0x00000ff9, 
      0xc201cff9, 0xd345039f, 0x025f900f, 0x00000ff9, 
      0xc401cff8, 0x4343033f, 0x025f8f10, 0x00000ffa, 
      0xc501bff8, 0xc34102ef, 0x025f8e10, 0x00000ffa, 
      0xc801bff8, 0x333f028f, 0x025f8c11, 0x00000ffa, 
      0xca01aff9, 0xa33c023f, 0x025f8b11, 0x00000ffa, 
      0xcb01aff8, 0x233a01ef, 0x025f8a12, 0x00000ffa, 
      0xcd019ff9, 0x9337019f, 0x025f8912, 0x00000ffa, 
      0xcf019ff8, 0x1334014f, 0x025f8813, 0x00000ffa, 
      0xd1018ff9, 0x833100ff, 0x025f8713, 0x00000ffa, 
      0xd3018ff8, 0x032e00af, 0x025f8614, 0x00000ffa, 
      0xd4017ffa, 0x732b005f, 0x024f8514, 0x00000ffb, 
      0xd6017ff9, 0xf328000f, 0x024f8414, 0x00000ffb, 
      0xd8016ff9, 0x7325ffbf, 0x024f8315, 0x00000ffb, 
      0xda016ff9, 0xe321ff7f, 0x024f8215, 0x00000ffb, 
      0xdc015ff9, 0x631eff2f, 0x024f8116, 0x00000ffb, 
      0xdd015ff9, 0xd31afeef, 0x024f8116, 0x00000ffb, 
      0xdf014ff9, 0x5316feaf, 0x023f8017, 0x00000ffc, 
      0xe1014ff9, 0xd312fe5f, 0x023f7f17, 0x00000ffc, 
      0xe2013ffa, 0x430efe1f, 0x023f7f18, 0x00000ffc, 
      0xe4013ff9, 0xc30afddf, 0x023f7e18, 0x00000ffc, 
      0xe6013ffa, 0x3305fd9f, 0x022f7e19, 0x00000ffc, 
      0xe8012ff9, 0xb301fd5f, 0x022f7d19, 0x00000ffd, 
      0xe9011ffa, 0x32fdfd1f, 0x021f7d1a, 0x00000ffd, 
      0xeb011ff9, 0xa2f8fcef, 0x021f7d1a, 0x00000ffd, 
      0xed010ffa, 0x22f3fcaf, 0x021f7c1b, 0x00000ffd, 
      0xee010ffa, 0xa2eefc6f, 0x020f7c1b, 0x00000ffe, 
      0xf000fffa, 0x12e9fc3f, 0x020f7c1c, 0x00000ffe, 
      0xf100fffa, 0x92e4fc0f, 0x01ff7c1c, 0x00000ffe, 
      0xf300effb, 0x02dffbcf, 0x01ff7c1d, 0x00000ffe, 
      0xf400effa, 0x82dafb9f, 0x01ef7c1d, 0x00000fff, 
      0xf600dffb, 0xf2d5fb6f, 0x01df7c1d, 0x00000fff, 
      0xf700dffb, 0x72cffb3f, 0x01df7c1e, 0x00000fff, 
      0xf900cffb, 0xe2cafb0f, 0x01cf7d1e, 0x00000fff, 
      0xfa00cffa, 0x62c4fadf, 0x01cf7d1f, 0x00000000, 
      0xfc00bffb, 0xd2bffaaf, 0x01bf7d1f, 0x00000000, 
      0xfd00bffb, 0x42b9fa8f, 0x01af7e20, 0x00000000, 
      0xff00bffa, 0xc2b3fa5f, 0x019f7e20, 0x00000001, 
      0x0000affb, 0x32adfa20, 0x019f7f21, 0x00000001, 
      0x0100affb, 0xa2a7fa00, 0x018f8021, 0x00000001, 
      0x03009ffa, 0x12a1f9e0, 0x017f8122, 0x00000002, 
      0x04009ffb, 0x929bf9b0, 0x016f8122, 0x00000002, 
      0x05008ffc, 0x0295f990, 0x015f8223, 0x00000002, 
      0x06008ffc, 0x728ef970, 0x014f8323, 0x00000003, 
      0x08007ffb, 0xe288f950, 0x014f8423, 0x00000003, 
      0x09007ffc, 0x5281f930, 0x013f8524, 0x00000003, 
      0x0a006ffb, 0xc27bf910, 0x012f8724, 0x00000004, 
      0x0b006ffb, 0x3274f900, 0x011f8825, 0x00000004, 
      0x0c006ffb, 0x926ef8e0, 0x010f8925, 0x00000005, 
      0x0d005ffc, 0x0267f8c0, 0x00ff8b26, 0x00000005,
   },
   { /* Y scale factor = 0.84, phases = 127, taps = 9. */
      0x85013003, 0x726a263f, 0x003012f8, 0x00000ffc, 
      0x84014003, 0x827025cf, 0x004011f8, 0x00000ffc, 
      0x83015002, 0xa277255f, 0x004010f8, 0x00000ffc, 
      0x82016001, 0xb27e24ef, 0x00500ff8, 0x00000ffc, 
      0x81017001, 0xd285246f, 0x00500ef8, 0x00000ffc, 
      0x80017001, 0xf28c23ff, 0x00600cf8, 0x00000ffc, 
      0x7f019000, 0x1292238f, 0x00600bf9, 0x00000ffc, 
      0x7e019000, 0x3299231f, 0x00600af9, 0x00000ffc, 
      0x7d01a001, 0x529f229f, 0x007009f9, 0x00000ffb, 
      0x7c01c000, 0x72a5222f, 0x007008f9, 0x00000ffb, 
      0x7c01cfff, 0x92ac21bf, 0x008006f9, 0x00000ffb, 
      0x7b01dfff, 0xc2b2213f, 0x008005f9, 0x00000ffb, 
      0x7b01dffe, 0xe2b820cf, 0x009004f9, 0x00000ffb, 
      0x7b01efff, 0x02be204f, 0x009002fa, 0x00000ffb, 
      0x7a01effe, 0x32c41fdf, 0x00a001fa, 0x00000ffb, 
      0x7a01fffe, 0x62ca1f5f, 0x00affffa, 0x00000ffb, 
      0x7a020ffd, 0x82d01edf, 0x00bffefa, 0x00000ffb, 
      0x79020ffe, 0xb2d51e6f, 0x00bffdfa, 0x00000ffb, 
      0x79021ffd, 0xe2db1def, 0x00cffbfa, 0x00000ffb, 
      0x7a022ffd, 0x12e01d6f, 0x00cffafb, 0x00000ffa, 
      0x79022ffd, 0x42e61cff, 0x00dff8fb, 0x00000ffa, 
      0x7a022ffd, 0x82eb1c7f, 0x00dff6fb, 0x00000ffa, 
      0x7a023ffc, 0xb2f01bff, 0x00eff5fb, 0x00000ffa, 
      0x7a024ffd, 0xe2f51b7f, 0x00eff3fb, 0x00000ffa, 
      0x7a024ffb, 0x22fa1b0f, 0x00fff2fc, 0x00000ffa, 
      0x7b024ffc, 0x52ff1a8f, 0x00fff0fc, 0x00000ffa, 
      0x7b024ffc, 0x93041a0f, 0x010feefc, 0x00000ffa, 
      0x7c024ffb, 0xd309198f, 0x010fedfc, 0x00000ffa, 
      0x7c025ffb, 0x130d190f, 0x011febfd, 0x00000ffa, 
      0x7d025ffa, 0x5312189f, 0x011fe9fd, 0x00000ffa, 
      0x7d025ffa, 0x9316181f, 0x012fe8fd, 0x00000ffa, 
      0x7e025ffb, 0xd31a179f, 0x012fe6fd, 0x00000ffa, 
      0x7f026ffb, 0x131e171f, 0x013fe4fe, 0x00000ff9, 
      0x80026ffb, 0x532216af, 0x013fe2fe, 0x00000ff9, 
      0x81026ff9, 0xa326162f, 0x014fe1fe, 0x00000ff9, 
      0x82026ffa, 0xe32a15af, 0x014fdffe, 0x00000ff9, 
      0x83026ff9, 0x332e152f, 0x015fddff, 0x00000ff9, 
      0x84027ffa, 0x733114af, 0x015fdbff, 0x00000ff9, 
      0x85026ffa, 0xc334143f, 0x016fd9ff, 0x00000ff9, 
      0x86026ff9, 0x133813bf, 0x016fd800, 0x00000ff9, 
      0x87026ff9, 0x633b133f, 0x017fd600, 0x00000ff9, 
      0x88026ff9, 0xb33e12cf, 0x017fd400, 0x00000ff9, 
      0x89026ff9, 0x0341124f, 0x018fd201, 0x00000ff9, 
      0x8b026ff9, 0x534311cf, 0x019fd001, 0x00000ff9, 
      0x8c026ff9, 0xa346115f, 0x019fce01, 0x00000ff9, 
      0x8d026ff8, 0x034910df, 0x01afcc02, 0x00000ff9, 
      0x8f026ff8, 0x534b106f, 0x01afca02, 0x00000ff9, 
      0x90026ff8, 0xb34d0fef, 0x01bfc902, 0x00000ff8, 
      0x92026ff8, 0x034f0f7f, 0x01bfc703, 0x00000ff8, 
      0x93026ff8, 0x63510eff, 0x01cfc503, 0x00000ff8, 
      0x95025ff9, 0xb3530e8f, 0x01cfc303, 0x00000ff8, 
      0x96025ff9, 0x13550e1f, 0x01cfc104, 0x00000ff8, 
      0x98025ff9, 0x73560d9f, 0x01dfbf04, 0x00000ff8, 
      0x99025ff9, 0xd3580d2f, 0x01dfbd04, 0x00000ff8, 
      0x9b024ff9, 0x33590cbf, 0x01efbb05, 0x00000ff8, 
      0x9d024ff9, 0x935a0c4f, 0x01efb905, 0x00000ff8, 
      0x9e024ff9, 0xf35b0bdf, 0x01ffb705, 0x00000ff8, 
      0xa0023ff8, 0x635c0b6f, 0x01ffb606, 0x00000ff8, 
      0xa1023ff8, 0xc35d0aff, 0x020fb406, 0x00000ff8, 
      0xa3023ff9, 0x235d0a8f, 0x020fb207, 0x00000ff8, 
      0xa5023ff8, 0x935e0a1f, 0x020fb007, 0x00000ff8, 
      0xa7022ff9, 0xf35e09af, 0x021fae07, 0x00000ff8, 
      0xa9022ff9, 0x635e093f, 0x021fac08, 0x00000ff8, 
      0xab021ff8, 0xc35f08cf, 0x022fab08, 0x00000ff8, 
      0xac021ff9, 0x335e086f, 0x022fa909, 0x00000ff8, 
      0xae021ff9, 0xa35e07ff, 0x022fa709, 0x00000ff8, 
      0xb0020ff8, 0x135e079f, 0x023fa50a, 0x00000ff8, 
      0xb2020ff9, 0x835d072f, 0x023fa30a, 0x00000ff8, 
      0xb401fff8, 0xf35d06cf, 0x023fa20a, 0x00000ff8, 
      0xb501fff8, 0x635c066f, 0x024fa00b, 0x00000ff8, 
      0xb701fff9, 0xd35b05ff, 0x024f9e0b, 0x00000ff8, 
      0xb901eff9, 0x435a059f, 0x024f9d0c, 0x00000ff8, 
      0xbb01eff9, 0xb359053f, 0x024f9b0c, 0x00000ff8, 
      0xbd01dff9, 0x235804df, 0x025f990d, 0x00000ff8, 
      0xbf01dff9, 0x9356047f, 0x025f980d, 0x00000ff8, 
      0xc101cff9, 0x1355041f, 0x025f960e, 0x00000ff8, 
      0xc301cff9, 0x835303bf, 0x025f950e, 0x00000ff8, 
      0xc501cff8, 0xf351036f, 0x026f930e, 0x00000ff8, 
      0xc601bff8, 0x734f030f, 0x026f920f, 0x00000ff9, 
      0xc901aff8, 0xe34d02bf, 0x026f900f, 0x00000ff9, 
      0xca01aff8, 0x634b025f, 0x026f8f10, 0x00000ff9, 
      0xcc01aff8, 0xd349020f, 0x026f8d10, 0x00000ff9, 
      0xce019ff9, 0x534601af, 0x026f8c11, 0x00000ff9, 
      0xd0019ff9, 0xc343015f, 0x026f8b11, 0x00000ff9, 
      0xd2018ff9, 0x4341010f, 0x026f8912, 0x00000ff9, 
      0xd4017ff9, 0xc33e00bf, 0x026f8812, 0x00000ff9, 
      0xd6017ff9, 0x333b006f, 0x026f8713, 0x00000ff9, 
      0xd8016ff9, 0xb338001f, 0x026f8613, 0x00000ff9, 
      0xd9016ffa, 0x3334ffcf, 0x026f8514, 0x00000ff9, 
      0xdb015ffa, 0xa331ff7f, 0x026f8414, 0x00000ffa, 
      0xdd014ff9, 0x232eff3f, 0x026f8315, 0x00000ffa, 
      0xdf014ff9, 0xa32afeef, 0x026f8215, 0x00000ffa, 
      0xe1013ff9, 0x2326feaf, 0x026f8116, 0x00000ffa, 
      0xe2014ffa, 0x9322fe5f, 0x026f8016, 0x00000ffa, 
      0xe4013ffa, 0x131efe1f, 0x026f7f17, 0x00000ffa, 
      0xe6013ffa, 0x931afddf, 0x025f7e17, 0x00000ffa, 
      0xe8011ff9, 0x1316fd9f, 0x025f7e18, 0x00000ffb, 
      0xe9011ff9, 0x9312fd5f, 0x025f7d18, 0x00000ffb, 
      0xeb011ffa, 0x030dfd1f, 0x025f7c19, 0x00000ffb, 
      0xed010ff9, 0x8309fcdf, 0x025f7c19, 0x00000ffb, 
      0xef010ffa, 0x0304fc9f, 0x024f7b1a, 0x00000ffb, 
      0xf000fffa, 0x82fffc5f, 0x024f7b1a, 0x00000ffc, 
      0xf200effa, 0x02fafc2f, 0x024f7a1b, 0x00000ffc, 
      0xf300fffb, 0x72f5fbef, 0x023f7a1b, 0x00000ffc, 
      0xf500effa, 0xf2f0fbbf, 0x023f7a1b, 0x00000ffc, 
      0xf600dffb, 0x72ebfb8f, 0x022f7a1c, 0x00000ffc, 
      0xf800dffa, 0xf2e6fb4f, 0x022f791c, 0x00000ffd, 
      0xfa00dffb, 0x62e0fb1f, 0x021f791d, 0x00000ffd, 
      0xfb00cffb, 0xe2dbfaef, 0x021f791d, 0x00000ffd, 
      0xfd00cffb, 0x62d5fabf, 0x020f791e, 0x00000ffd, 
      0xfe00bffa, 0xd2d0fa8f, 0x020f7a1e, 0x00000ffe, 
      0xff00affb, 0x52cafa6f, 0x01ff7a1f, 0x00000ffe, 
      0x0100affa, 0xd2c4fa30, 0x01ff7a1f, 0x00000ffe, 
      0x02009ffc, 0x42befa00, 0x01ef7a20, 0x00000fff, 
      0x04008ffb, 0xc2b8f9e0, 0x01df7b20, 0x00000fff, 
      0x05008ffb, 0x32b2f9c0, 0x01df7b21, 0x00000fff, 
      0x06007ffb, 0xb2acf990, 0x01cf7c21, 0x00000000, 
      0x08007ffc, 0x22a5f970, 0x01bf7c22, 0x00000000, 
      0x09007ffc, 0x929ff950, 0x01af7d22, 0x00000000, 
      0x0a006ffb, 0x1299f930, 0x019f7e23, 0x00000001, 
      0x0b006ffb, 0x8292f910, 0x019f7f23, 0x00000001, 
      0x0c006ffb, 0xf28cf8f0, 0x018f8023, 0x00000001, 
      0x0e005ffb, 0x6285f8d0, 0x017f8124, 0x00000002, 
      0x0f005ffb, 0xe27ef8b0, 0x016f8224, 0x00000002, 
      0x10004ffc, 0x5277f8a0, 0x015f8325, 0x00000002, 
      0x11004ffc, 0xc270f880, 0x014f8425, 0x00000003, 
      0x12003ffc, 0x326af870, 0x013f8526, 0x00000003,
   },
   { /* Y scale factor = 0.85, phases = 127, taps = 9. */
      0x80017002, 0x126c265f, 0x002016f8, 0x00000ffd, 
      0x7f018001, 0x327325ef, 0x002015f8, 0x00000ffd, 
      0x7e019001, 0x427a257f, 0x002014f8, 0x00000ffd, 
      0x7d01a000, 0x628124ff, 0x003013f8, 0x00000ffd, 
      0x7c01c000, 0x7288248f, 0x003012f8, 0x00000ffc, 
      0x7b01cfff, 0x928f241f, 0x004011f8, 0x00000ffc, 
      0x7a01dfff, 0xb296239f, 0x004010f8, 0x00000ffc, 
      0x7a01dffe, 0xd29d232f, 0x00400ff8, 0x00000ffc, 
      0x7901efff, 0xe2a322af, 0x00500ef8, 0x00000ffc, 
      0x7801ffff, 0x02aa223f, 0x00500cf9, 0x00000ffc, 
      0x78020ffd, 0x32b021bf, 0x00600bf9, 0x00000ffc, 
      0x78020ffd, 0x52b7213f, 0x00600af9, 0x00000ffc, 
      0x77020ffd, 0x72bd20cf, 0x007009f9, 0x00000ffc, 
      0x77022ffd, 0x92c3204f, 0x007007f9, 0x00000ffc, 
      0x77022ffd, 0xc2c91fcf, 0x008006f9, 0x00000ffb, 
      0x77023ffc, 0xf2cf1f4f, 0x008005f9, 0x00000ffb, 
      0x77023ffc, 0x12d51edf, 0x009003fa, 0x00000ffb, 
      0x77024ffb, 0x42db1e5f, 0x009002fa, 0x00000ffb, 
      0x77024ffb, 0x72e11ddf, 0x00a000fa, 0x00000ffb, 
      0x77024ffb, 0xa2e71d5f, 0x00affffa, 0x00000ffb, 
      0x77025ffb, 0xd2ec1cdf, 0x00bffdfa, 0x00000ffb, 
      0x77025ffb, 0x02f21c5f, 0x00bffcfb, 0x00000ffb, 
      0x78026ffa, 0x32f71bdf, 0x00cffafb, 0x00000ffb, 
      0x78026ffb, 0x62fc1b5f, 0x00cff9fb, 0x00000ffb, 
      0x79026ffa, 0xa3021adf, 0x00dff7fb, 0x00000ffa, 
      0x79027ffb, 0xd3071a5f, 0x00dff5fb, 0x00000ffa, 
      0x7a026ffa, 0x130c19df, 0x00eff4fc, 0x00000ffa, 
      0x7b027ffa, 0x5310195f, 0x00eff2fc, 0x00000ffa, 
      0x7b028ffa, 0x831518df, 0x00fff0fc, 0x00000ffa, 
      0x7c027ffa, 0xc31a185f, 0x00ffeffc, 0x00000ffa, 
      0x7d027ffa, 0x031e17df, 0x010fedfd, 0x00000ffa, 
      0x7e028ffa, 0x4322175f, 0x010febfd, 0x00000ffa, 
      0x7f027ff9, 0x932716df, 0x011fe9fd, 0x00000ffa, 
      0x80027ff8, 0xd32b165f, 0x012fe8fd, 0x00000ffa, 
      0x81028ff9, 0x132f15df, 0x012fe6fe, 0x00000ff9, 
      0x82028ff8, 0x6333155f, 0x013fe4fe, 0x00000ff9, 
      0x83028ff9, 0xa33614ef, 0x013fe2fe, 0x00000ff9, 
      0x84028ff8, 0xf33a146f, 0x014fe0fe, 0x00000ff9, 
      0x85028ff9, 0x333e13ef, 0x014fdeff, 0x00000ff9, 
      0x87027ff8, 0x8341136f, 0x015fddff, 0x00000ff9, 
      0x88028ff8, 0xd34412ef, 0x015fdbff, 0x00000ff9, 
      0x89028ff8, 0x2347126f, 0x016fd900, 0x00000ff9, 
      0x8b027ff8, 0x734a11ef, 0x017fd700, 0x00000ff9, 
      0x8c027ff8, 0xc34d117f, 0x017fd500, 0x00000ff9, 
      0x8d027ff7, 0x235010ff, 0x018fd301, 0x00000ff9, 
      0x8f027ff8, 0x7352107f, 0x018fd101, 0x00000ff9, 
      0x90027ff8, 0xc3550fff, 0x019fcf01, 0x00000ff9, 
      0x92027ff8, 0x23570f8f, 0x019fcd02, 0x00000ff8, 
      0x94027ff8, 0x73590f0f, 0x01afcb02, 0x00000ff8, 
      0x95027ff8, 0xd35b0e9f, 0x01afc902, 0x00000ff8, 
      0x97026ff8, 0x335d0e1f, 0x01bfc703, 0x00000ff8, 
      0x98026ff8, 0x935f0daf, 0x01bfc503, 0x00000ff8, 
      0x9a026ff8, 0xe3610d2f, 0x01cfc303, 0x00000ff8, 
      0x9c025ff7, 0x43620cbf, 0x01dfc204, 0x00000ff8, 
      0x9e024ff7, 0xb3630c4f, 0x01dfc004, 0x00000ff8, 
      0x9f024ff7, 0x13650bcf, 0x01efbe05, 0x00000ff8, 
      0xa1024ff7, 0x73660b5f, 0x01efbc05, 0x00000ff8, 
      0xa3023ff7, 0xd3670aef, 0x01ffba05, 0x00000ff8, 
      0xa5023ff7, 0x43670a7f, 0x01ffb806, 0x00000ff8, 
      0xa7023ff7, 0xa3680a0f, 0x01ffb606, 0x00000ff8, 
      0xa8023ff8, 0x0368099f, 0x020fb407, 0x00000ff8, 
      0xaa022ff8, 0x7369092f, 0x020fb207, 0x00000ff8, 
      0xac022ff7, 0xe36908bf, 0x021fb007, 0x00000ff8, 
      0xae022ff8, 0x4369084f, 0x021fae08, 0x00000ff8, 
      0xb0021ff7, 0xb36907ef, 0x022fac08, 0x00000ff8, 
      0xb2020ff8, 0x2369077f, 0x022faa09, 0x00000ff8, 
      0xb4020ff8, 0x9368070f, 0x023fa809, 0x00000ff8, 
      0xb601fff7, 0x036806af, 0x023fa70a, 0x00000ff8, 
      0xb801fff7, 0x7367064f, 0x023fa50a, 0x00000ff8, 
      0xba01eff7, 0xe36705df, 0x024fa30a, 0x00000ff8, 
      0xbc01eff7, 0x5366057f, 0x024fa10b, 0x00000ff8, 
      0xbe01eff7, 0xc365051f, 0x024f9f0b, 0x00000ff8, 
      0xbf01dff8, 0x436304af, 0x025f9e0c, 0x00000ff8, 
      0xc201cff8, 0xb362044f, 0x025f9c0c, 0x00000ff8, 
      0xc301cff9, 0x236103ef, 0x025f9a0d, 0x00000ff8, 
      0xc501bff8, 0xa35f039f, 0x026f980d, 0x00000ff8, 
      0xc701bff8, 0x135d033f, 0x026f970e, 0x00000ff8, 
      0xc901aff9, 0x935b02df, 0x026f950e, 0x00000ff8, 
      0xcb01aff9, 0x0359027f, 0x026f940f, 0x00000ff8, 
      0xcd019ff8, 0x8357022f, 0x027f920f, 0x00000ff8, 
      0xcf019ff9, 0xf35501cf, 0x027f900f, 0x00000ff8, 
      0xd1018ff9, 0x7352017f, 0x027f8f10, 0x00000ff8, 
      0xd3018ff8, 0xf350012f, 0x027f8d10, 0x00000ff8, 
      0xd5017ff9, 0x734d00cf, 0x027f8c11, 0x00000ff8, 
      0xd7017ff9, 0xe34a007f, 0x027f8b11, 0x00000ff8, 
      0xd9016ff9, 0x6347002f, 0x028f8912, 0x00000ff8, 
      0xdb015ff9, 0xe344ffdf, 0x028f8812, 0x00000ff8, 
      0xdd014ff9, 0x6341ff8f, 0x028f8713, 0x00000ff8, 
      0xde014ffa, 0xe33eff3f, 0x028f8513, 0x00000ff8, 
      0xe0014ff9, 0x633afeff, 0x028f8414, 0x00000ff8, 
      0xe2013ffa, 0xd336feaf, 0x028f8314, 0x00000ff9, 
      0xe4012ff9, 0x5333fe6f, 0x028f8215, 0x00000ff9, 
      0xe6012ff9, 0xd32ffe1f, 0x028f8115, 0x00000ff9, 
      0xe8011ff9, 0x532bfddf, 0x028f8016, 0x00000ff9, 
      0xe9011ff9, 0xd327fd9f, 0x028f7f16, 0x00000ff9, 
      0xeb011ffa, 0x5322fd4f, 0x028f7e17, 0x00000ff9, 
      0xed010ffa, 0xd31efd1f, 0x027f7d17, 0x00000ff9, 
      0xef00fffa, 0x531afccf, 0x027f7c18, 0x00000ffa, 
      0xf000fffb, 0xd315fc8f, 0x027f7b18, 0x00000ffa, 
      0xf200effa, 0x5310fc5f, 0x027f7b19, 0x00000ffa, 
      0xf400dffa, 0xd30cfc1f, 0x027f7a19, 0x00000ffa, 
      0xf500effb, 0x5307fbdf, 0x026f791a, 0x00000ffa, 
      0xf700dffa, 0xd302fbaf, 0x026f791a, 0x00000ffa, 
      0xf900cffb, 0x52fcfb6f, 0x026f781b, 0x00000ffb, 
      0xfa00cffa, 0xd2f7fb3f, 0x026f781b, 0x00000ffb, 
      0xfc00bffb, 0x52f2fb0f, 0x025f771c, 0x00000ffb, 
      0xfd00bffb, 0xd2ecfadf, 0x025f771c, 0x00000ffb, 
      0xff00affb, 0x52e7faaf, 0x024f771d, 0x00000ffb, 
      0x00009ffb, 0xd2e1fa70, 0x024f771d, 0x00000ffc, 
      0x01009ffb, 0x52dbfa40, 0x024f771e, 0x00000ffc, 
      0x03009ffb, 0xd2d5fa10, 0x023f771e, 0x00000ffc, 
      0x05008ffb, 0x42cff9f0, 0x023f771f, 0x00000ffc, 
      0x06008ffb, 0xc2c9f9c0, 0x022f771f, 0x00000ffd, 
      0x07008ffc, 0x42c3f990, 0x021f7720, 0x00000ffd, 
      0x09007ffb, 0xc2bdf970, 0x021f7720, 0x00000ffd, 
      0x0a006ffb, 0x32b7f950, 0x020f7821, 0x00000ffe, 
      0x0b006ffb, 0xb2b0f930, 0x020f7821, 0x00000ffe, 
      0x0c006ffc, 0x32aaf900, 0x01ff7822, 0x00000ffe, 
      0x0e005ffd, 0xa2a3f8e0, 0x01ef7922, 0x00000ffe, 
      0x0e004ffc, 0x229df8d0, 0x01df7a23, 0x00000fff, 
      0x10004ffc, 0x9296f8b0, 0x01df7a23, 0x00000fff, 
      0x11004ffc, 0x128ff890, 0x01cf7b24, 0x00000fff, 
      0x12003ffd, 0x8288f870, 0x01bf7c24, 0x00000000, 
      0x13003ffd, 0xf281f860, 0x01af7d24, 0x00000000, 
      0x14003ffd, 0x727af840, 0x019f7e25, 0x00000000, 
      0x15002ffd, 0xe273f830, 0x018f7f25, 0x00000001, 
      0x17002ffd, 0x526cf810, 0x017f8026, 0x00000001,
   },
   { /* Y scale factor = 0.86, phases = 127, taps = 9. */
      0x7b01cfff, 0xc26e267f, 0x00001bf7, 0x00000ffe, 
      0x7a01cffe, 0xe276260f, 0x00001af7, 0x00000ffe, 
      0x7901efff, 0xf27d258f, 0x000019f7, 0x00000ffd, 
      0x7801efff, 0x0284251f, 0x001018f8, 0x00000ffd, 
      0x7801fffe, 0x228b249f, 0x001017f8, 0x00000ffd, 
      0x7701fffd, 0x3293242f, 0x002016f8, 0x00000ffd, 
      0x76020ffd, 0x529a23af, 0x002015f8, 0x00000ffd, 
      0x76021ffd, 0x72a0232f, 0x002014f8, 0x00000ffd, 
      0x75022ffd, 0x82a722bf, 0x003012f8, 0x00000ffd, 
      0x75022ffd, 0xa2ae223f, 0x003011f8, 0x00000ffd, 
      0x75023ffc, 0xc2b521bf, 0x004010f8, 0x00000ffc, 
      0x75024ffc, 0xe2bb213f, 0x00400ff8, 0x00000ffc, 
      0x74024ffc, 0x02c220bf, 0x00500ef9, 0x00000ffc, 
      0x74025ffc, 0x32c8203f, 0x00500cf9, 0x00000ffc, 
      0x74025ffb, 0x52cf1fbf, 0x00600bf9, 0x00000ffc, 
      0x74026ffa, 0x82d51f3f, 0x00600af9, 0x00000ffc, 
      0x74026ffb, 0xa2db1ebf, 0x007008f9, 0x00000ffc, 
      0x74026ffb, 0xd2e11e3f, 0x007007f9, 0x00000ffc, 
      0x75027ffa, 0xf2e71dbf, 0x008005f9, 0x00000ffc, 
      0x75028ffa, 0x22ed1d3f, 0x008004fa, 0x00000ffb, 
      0x75028ff9, 0x52f31cbf, 0x009003fa, 0x00000ffb, 
      0x76028ffa, 0x82f81c3f, 0x009001fa, 0x00000ffb, 
      0x76028ffa, 0xb2fe1bbf, 0x00affffa, 0x00000ffb, 
      0x77028ff9, 0xf3031b3f, 0x00affefa, 0x00000ffb, 
      0x78028ff9, 0x23091aaf, 0x00bffcfb, 0x00000ffb, 
      0x78029ff9, 0x530e1a2f, 0x00bffbfb, 0x00000ffb, 
      0x79029ff8, 0x931319af, 0x00cff9fb, 0x00000ffb, 
      0x7a029ff8, 0xd318192f, 0x00cff7fb, 0x00000ffb, 
      0x7b029ff8, 0x031d18af, 0x00dff6fc, 0x00000ffa, 
      0x7c029ff9, 0x4321182f, 0x00dff4fc, 0x00000ffa, 
      0x7d029ff9, 0x8326179f, 0x00eff2fc, 0x00000ffa, 
      0x7d029ff8, 0xc32b171f, 0x00fff1fc, 0x00000ffa, 
      0x7f029ff8, 0x032f169f, 0x00ffeffd, 0x00000ffa, 
      0x80029ff8, 0x4333161f, 0x010fedfd, 0x00000ffa, 
      0x81029ff8, 0x9337159f, 0x010febfd, 0x00000ffa, 
      0x82029ff8, 0xd33b151f, 0x011fe9fd, 0x00000ffa, 
      0x83029ff8, 0x133f149f, 0x011fe8fe, 0x00000ffa, 
      0x85029ff8, 0x6343140f, 0x012fe6fe, 0x00000ff9, 
      0x86029ff8, 0xb346138f, 0x013fe4fe, 0x00000ff9, 
      0x88029ff8, 0xf34a130f, 0x013fe2fe, 0x00000ff9, 
      0x89029ff8, 0x434d128f, 0x014fe0ff, 0x00000ff9, 
      0x8a029ff8, 0x9351120f, 0x014fdeff, 0x00000ff9, 
      0x8c028ff8, 0xe354118f, 0x015fdcff, 0x00000ff9, 
      0x8d028ff7, 0x3357111f, 0x016fda00, 0x00000ff9, 
      0x8f028ff7, 0x9359109f, 0x016fd800, 0x00000ff9, 
      0x91027ff7, 0xe35c101f, 0x017fd600, 0x00000ff9, 
      0x92027ff8, 0x335f0f9f, 0x017fd401, 0x00000ff9, 
      0x94027ff7, 0x93610f1f, 0x018fd201, 0x00000ff9, 
      0x96027ff7, 0xf3630eaf, 0x018fd001, 0x00000ff8, 
      0x97027ff8, 0x43650e2f, 0x019fce02, 0x00000ff8, 
      0x99026ff8, 0xa3670daf, 0x01afcc02, 0x00000ff8, 
      0x9b026ff7, 0x03690d3f, 0x01afca03, 0x00000ff8, 
      0x9d025ff7, 0x636b0cbf, 0x01bfc803, 0x00000ff8, 
      0x9f025ff7, 0xc36c0c4f, 0x01bfc603, 0x00000ff8, 
      0xa1024ff7, 0x236e0bcf, 0x01cfc404, 0x00000ff8, 
      0xa2024ff8, 0x836f0b5f, 0x01cfc204, 0x00000ff8, 
      0xa4024ff7, 0xe3700aef, 0x01dfc004, 0x00000ff8, 
      0xa6023ff7, 0x53710a6f, 0x01efbe05, 0x00000ff8, 
      0xa8023ff7, 0xb37209ff, 0x01efbc05, 0x00000ff8, 
      0xaa022ff7, 0x2372098f, 0x01ffba06, 0x00000ff8, 
      0xac022ff7, 0x8373091f, 0x01ffb806, 0x00000ff8, 
      0xae022ff7, 0xf37308af, 0x020fb606, 0x00000ff7, 
      0xb0022ff8, 0x5373083f, 0x020fb407, 0x00000ff7, 
      0xb2021ff7, 0xc37407cf, 0x021fb207, 0x00000ff7, 
      0xb4021ff8, 0x3373075f, 0x021fb008, 0x00000ff7, 
      0xb6020ff7, 0xa37306ff, 0x022fae08, 0x00000ff7, 
      0xb801fff8, 0x1373068f, 0x022fac09, 0x00000ff7, 
      0xba01fff7, 0x8372062f, 0x023faa09, 0x00000ff7, 
      0xbc01eff8, 0xf37205bf, 0x023fa809, 0x00000ff7, 
      0xbe01eff8, 0x6371055f, 0x023fa60a, 0x00000ff7, 
      0xc001dff8, 0xe37004ef, 0x024fa40a, 0x00000ff7, 
      0xc201dff8, 0x536f048f, 0x024fa20b, 0x00000ff7, 
      0xc401cff7, 0xc36e042f, 0x025fa10b, 0x00000ff7, 
      0xc601bff8, 0x436c03cf, 0x025f9f0c, 0x00000ff7, 
      0xc801bff8, 0xb36b036f, 0x025f9d0c, 0x00000ff7, 
      0xca01aff8, 0x3369030f, 0x026f9b0d, 0x00000ff7, 
      0xcc01aff9, 0xa36702af, 0x026f990d, 0x00000ff7, 
      0xce01aff9, 0x2365024f, 0x026f970e, 0x00000ff7, 
      0xd0018ff8, 0xa36301ff, 0x027f960e, 0x00000ff7, 
      0xd2018ff9, 0x1361019f, 0x027f940f, 0x00000ff7, 
      0xd4018ff9, 0x935f013f, 0x027f920f, 0x00000ff7, 
      0xd6017ff8, 0x135c00ef, 0x028f9110, 0x00000ff7, 
      0xd8016ff9, 0x9359009f, 0x028f8f10, 0x00000ff7, 
      0xda016ff8, 0x1357003f, 0x028f8e11, 0x00000ff7, 
      0xdc015ffa, 0x8354ffef, 0x028f8c11, 0x00000ff7, 
      0xde014ffa, 0x0351ff9f, 0x029f8a12, 0x00000ff7, 
      0xe0014ffa, 0x834dff4f, 0x029f8912, 0x00000ff7, 
      0xe2013ffa, 0x034afeff, 0x029f8813, 0x00000ff7, 
      0xe4013ffa, 0x8346febf, 0x029f8613, 0x00000ff7, 
      0xe6012ffa, 0x0343fe6f, 0x029f8514, 0x00000ff7, 
      0xe8011ffa, 0x933ffe1f, 0x029f8314, 0x00000ff8, 
      0xe9011ffa, 0x133bfddf, 0x029f8215, 0x00000ff8, 
      0xeb010ffa, 0x9337fd9f, 0x029f8115, 0x00000ff8, 
      0xed010ffa, 0x1333fd4f, 0x029f8016, 0x00000ff8, 
      0xef00fffa, 0x932ffd0f, 0x029f7f16, 0x00000ff8, 
      0xf100effa, 0x132bfccf, 0x029f7e17, 0x00000ff8, 
      0xf200effb, 0x9326fc8f, 0x029f7d17, 0x00000ff8, 
      0xf400dffb, 0x2321fc4f, 0x029f7c18, 0x00000ff8, 
      0xf600dffa, 0xa31dfc0f, 0x029f7b18, 0x00000ff8, 
      0xf700cffa, 0x2318fbdf, 0x029f7a19, 0x00000ff9, 
      0xf900cffa, 0xa313fb9f, 0x029f7919, 0x00000ff9, 
      0xfb00bffb, 0x230efb5f, 0x029f781a, 0x00000ff9, 
      0xfc00bffa, 0xa309fb2f, 0x029f781a, 0x00000ff9, 
      0xfe00affb, 0x3303faff, 0x028f771b, 0x00000ff9, 
      0xff00affc, 0xb2fefabf, 0x028f761b, 0x00000ff9, 
      0x01009ffb, 0x32f8fa80, 0x028f761c, 0x00000ffa, 
      0x03008ffb, 0xb2f3fa50, 0x028f751c, 0x00000ffa, 
      0x04008ffc, 0x32edfa20, 0x027f751d, 0x00000ffa, 
      0x05008ffc, 0xb2e7f9f0, 0x027f751d, 0x00000ffa, 
      0x07008ffc, 0x32e1f9d0, 0x026f741e, 0x00000ffa, 
      0x08007ffc, 0xb2dbf9a0, 0x026f741e, 0x00000ffb, 
      0x0a006ffb, 0x32d5f980, 0x026f741f, 0x00000ffb, 
      0x0b006ffc, 0xb2cff950, 0x025f741f, 0x00000ffb, 
      0x0c005ffd, 0x32c8f930, 0x025f7420, 0x00000ffb, 
      0x0e005ffc, 0xb2c2f900, 0x024f7420, 0x00000ffc, 
      0x0f004ffd, 0x32bbf8e0, 0x024f7421, 0x00000ffc, 
      0x10004ffc, 0xb2b5f8c0, 0x023f7521, 0x00000ffc, 
      0x11004ffd, 0x32aef8a0, 0x022f7522, 0x00000ffc, 
      0x12003ffd, 0xb2a7f880, 0x022f7522, 0x00000ffd, 
      0x14002ffd, 0x22a0f870, 0x021f7623, 0x00000ffd, 
      0x15002ffd, 0xa29af850, 0x020f7623, 0x00000ffd, 
      0x15001ffd, 0x2293f830, 0x020f7724, 0x00000ffe, 
      0x17001ffd, 0x928bf820, 0x01ff7824, 0x00000ffe, 
      0x18001ffe, 0x1284f800, 0x01ef7825, 0x00000ffe, 
      0x19000ffe, 0x827df7f0, 0x01df7925, 0x00000fff, 
      0x19000ffd, 0x0276f7e0, 0x01df7a26, 0x00000fff, 
      0x1b000ffe, 0x726ef7c0, 0x01cf7b26, 0x00000fff,
   },
   { /* Y scale factor = 0.87, phases = 127, taps = 9. */
      0x7701fffd, 0x8271269f, 0xffe01ff7, 0x00000ffe, 
      0x76021ffd, 0x9278261f, 0xffe01ef7, 0x00000ffe, 
      0x75021ffd, 0xa28025af, 0xffe01df7, 0x00000ffe, 
      0x74022ffd, 0xb287252f, 0xfff01cf7, 0x00000ffe, 
      0x74023ffd, 0xc28e24af, 0xfff01bf7, 0x00000ffe, 
      0x73023ffb, 0xe296243f, 0x00001af7, 0x00000ffe, 
      0x73024ffb, 0xf29d23bf, 0x000019f7, 0x00000ffe, 
      0x72025ffb, 0x12a4233f, 0x000018f8, 0x00000ffe, 
      0x72026ffb, 0x22ab22bf, 0x001017f8, 0x00000ffd, 
      0x72026ffb, 0x42b2223f, 0x001016f8, 0x00000ffd, 
      0x71026ffb, 0x62b921bf, 0x002015f8, 0x00000ffd, 
      0x71027ffa, 0x82c0213f, 0x002014f8, 0x00000ffd, 
      0x71027ffa, 0xa2c720bf, 0x003012f8, 0x00000ffd, 
      0x71028ffa, 0xc2cd203f, 0x003011f8, 0x00000ffd, 
      0x72028ffa, 0xe2d41faf, 0x003010f8, 0x00000ffd, 
      0x72028ff9, 0x12da1f2f, 0x00400ff9, 0x00000ffd, 
      0x72029ffa, 0x32e11eaf, 0x00400df9, 0x00000ffc, 
      0x72029ff9, 0x62e71e2f, 0x00500cf9, 0x00000ffc, 
      0x73029ff9, 0x82ed1daf, 0x00500bf9, 0x00000ffc, 
      0x7302aff9, 0xb2f31d1f, 0x006009f9, 0x00000ffc, 
      0x7402aff8, 0xe2f91c9f, 0x006008f9, 0x00000ffc, 
      0x7402aff8, 0x12ff1c1f, 0x007006fa, 0x00000ffc, 
      0x7502aff9, 0x43041b8f, 0x007005fa, 0x00000ffc, 
      0x7602bff7, 0x730a1b0f, 0x008003fa, 0x00000ffc, 
      0x7702bff7, 0xa30f1a8f, 0x009002fa, 0x00000ffb, 
      0x7802bff7, 0xe31519ff, 0x009000fa, 0x00000ffb, 
      0x7802bff8, 0x131a197f, 0x00affefb, 0x00000ffb, 
      0x7902bff8, 0x531f18ef, 0x00affdfb, 0x00000ffb, 
      0x7a02bff8, 0x8324186f, 0x00bffbfb, 0x00000ffb, 
      0x7c02bff7, 0xc32917ef, 0x00bff9fb, 0x00000ffb, 
      0x7d02aff7, 0x032e175f, 0x00cff8fc, 0x00000ffb, 
      0x7e02bff6, 0x433316df, 0x00cff6fc, 0x00000ffb, 
      0x7f02bff7, 0x8337165f, 0x00dff4fc, 0x00000ffa, 
      0x8102bff7, 0xc33b15cf, 0x00eff2fc, 0x00000ffa, 
      0x8202bff6, 0x0340154f, 0x00eff1fd, 0x00000ffa, 
      0x8302aff7, 0x434414cf, 0x00ffeffd, 0x00000ffa, 
      0x8402bff7, 0x9348143f, 0x00ffedfd, 0x00000ffa, 
      0x8602aff7, 0xd34c13bf, 0x010febfd, 0x00000ffa, 
      0x8702aff7, 0x234f133f, 0x011fe9fe, 0x00000ffa, 
      0x8902aff6, 0x735312bf, 0x011fe7fe, 0x00000ffa, 
      0x8b029ff6, 0xc356123f, 0x012fe5fe, 0x00000ffa, 
      0x8c029ff7, 0x135a11af, 0x013fe3ff, 0x00000ff9, 
      0x8e029ff7, 0x635d112f, 0x013fe1ff, 0x00000ff9, 
      0x8f029ff7, 0xb36010af, 0x014fdfff, 0x00000ff9, 
      0x91028ff7, 0x0363102f, 0x014fde00, 0x00000ff9, 
      0x93028ff6, 0x53660faf, 0x015fdc00, 0x00000ff9, 
      0x95028ff6, 0xb3680f2f, 0x016fd900, 0x00000ff9, 
      0x97027ff6, 0x036b0ebf, 0x016fd701, 0x00000ff9, 
      0x98027ff6, 0x636d0e3f, 0x017fd501, 0x00000ff9, 
      0x9a027ff7, 0xb36f0dbf, 0x017fd301, 0x00000ff9, 
      0x9c027ff7, 0x13710d3f, 0x018fd102, 0x00000ff8, 
      0x9e026ff7, 0x73730cbf, 0x019fcf02, 0x00000ff8, 
      0xa0025ff7, 0xd3750c4f, 0x019fcd02, 0x00000ff8, 
      0xa2025ff7, 0x33760bcf, 0x01afcb03, 0x00000ff8, 
      0xa4024ff7, 0x93780b5f, 0x01afc903, 0x00000ff8, 
      0xa6024ff7, 0xf3790adf, 0x01bfc703, 0x00000ff8, 
      0xa8023ff6, 0x637a0a6f, 0x01cfc504, 0x00000ff8, 
      0xaa023ff6, 0xc37b09ff, 0x01cfc304, 0x00000ff8, 
      0xac022ff7, 0x237c097f, 0x01dfc105, 0x00000ff8, 
      0xae022ff6, 0x937d090f, 0x01dfbf05, 0x00000ff8, 
      0xb0021ff8, 0x037d089f, 0x01efbc06, 0x00000ff7, 
      0xb2021ff7, 0x637e082f, 0x01ffba06, 0x00000ff7, 
      0xb4020ff8, 0xd37e07bf, 0x01ffb806, 0x00000ff7, 
      0xb6020ff7, 0x437e074f, 0x020fb607, 0x00000ff7, 
      0xb801fff8, 0xb37e06df, 0x020fb407, 0x00000ff7, 
      0xba01fff7, 0x237e066f, 0x021fb208, 0x00000ff7, 
      0xbc01eff8, 0x937d060f, 0x021fb008, 0x00000ff7, 
      0xbf01dff7, 0x037d059f, 0x022fae09, 0x00000ff7, 
      0xc101dff8, 0x737c052f, 0x022fac09, 0x00000ff7, 
      0xc301cff7, 0xf37b04cf, 0x023faa09, 0x00000ff7, 
      0xc501cff7, 0x637a046f, 0x023fa80a, 0x00000ff7, 
      0xc701bff8, 0xd37903ff, 0x024fa60a, 0x00000ff7, 
      0xc901aff8, 0x5378039f, 0x024fa40b, 0x00000ff7, 
      0xcb01aff8, 0xc376033f, 0x025fa20b, 0x00000ff7, 
      0xcd019ff8, 0x437502df, 0x025fa00c, 0x00000ff7, 
      0xcf019ff8, 0xb373027f, 0x026f9e0c, 0x00000ff7, 
      0xd1018ff9, 0x3371021f, 0x026f9c0d, 0x00000ff7, 
      0xd3017ff9, 0xb36f01bf, 0x027f9a0d, 0x00000ff7, 
      0xd5017ff9, 0x336d016f, 0x027f980e, 0x00000ff6, 
      0xd7016ff9, 0xb36b010f, 0x027f970e, 0x00000ff6, 
      0xd9016ff9, 0x236800bf, 0x028f950f, 0x00000ff6, 
      0xdc015ff9, 0xa366005f, 0x028f930f, 0x00000ff6, 
      0xde014ffa, 0x2363000f, 0x028f9110, 0x00000ff6, 
      0xdf014ffa, 0xa360ffbf, 0x029f8f10, 0x00000ff6, 
      0xe1013ffa, 0x235dff6f, 0x029f8e11, 0x00000ff6, 
      0xe3013ffa, 0xa35aff1f, 0x029f8c11, 0x00000ff6, 
      0xe5012ff9, 0x3356fecf, 0x029f8b12, 0x00000ff7, 
      0xe7011ff9, 0xb353fe7f, 0x02af8912, 0x00000ff7, 
      0xe9011ffa, 0x334ffe2f, 0x02af8713, 0x00000ff7, 
      0xeb010ffa, 0xb34cfddf, 0x02af8613, 0x00000ff7, 
      0xed00fffb, 0x3348fd9f, 0x02af8414, 0x00000ff7, 
      0xef00fffa, 0xc344fd4f, 0x02af8314, 0x00000ff7, 
      0xf000effa, 0x4340fd0f, 0x02bf8215, 0x00000ff7, 
      0xf200effb, 0xc33bfccf, 0x02bf8015, 0x00000ff7, 
      0xf400dffa, 0x5337fc8f, 0x02bf7f16, 0x00000ff7, 
      0xf600cffa, 0xd333fc4f, 0x02bf7e16, 0x00000ff7, 
      0xf800cffa, 0x532efc0f, 0x02bf7d17, 0x00000ff7, 
      0xf900bffb, 0xe329fbcf, 0x02bf7c17, 0x00000ff7, 
      0xfc00bffb, 0x6324fb8f, 0x02bf7a18, 0x00000ff7, 
      0xfd00affc, 0xe31ffb5f, 0x02bf7918, 0x00000ff7, 
      0xfe00affc, 0x731afb1f, 0x02bf7819, 0x00000ff7, 
      0x00009ffb, 0xf315fad0, 0x02bf7819, 0x00000ff8, 
      0x02008ffb, 0x830ffaa0, 0x02bf771a, 0x00000ff8, 
      0x03008ffb, 0x030afa70, 0x02bf761b, 0x00000ff8, 
      0x05008ffc, 0x8304fa40, 0x02af751b, 0x00000ff8, 
      0x06007ffc, 0x12fffa10, 0x02af741c, 0x00000ff8, 
      0x08006ffc, 0x92f9f9e0, 0x02af741c, 0x00000ff8, 
      0x09006ffc, 0x12f3f9b0, 0x02af731d, 0x00000ff9, 
      0x0b005ffc, 0xa2edf980, 0x029f731d, 0x00000ff9, 
      0x0c005ffc, 0x22e7f960, 0x029f721e, 0x00000ff9, 
      0x0d004ffd, 0xa2e1f930, 0x029f721e, 0x00000ff9, 
      0x0f004ffc, 0x22daf910, 0x029f721f, 0x00000ff9, 
      0x10004ffd, 0xa2d4f8e0, 0x028f721f, 0x00000ff9, 
      0x11003ffd, 0x32cdf8c0, 0x028f7120, 0x00000ffa, 
      0x12003ffd, 0xb2c7f8a0, 0x027f7120, 0x00000ffa, 
      0x14002ffd, 0x32c0f880, 0x027f7121, 0x00000ffa, 
      0x15002ffe, 0xb2b9f860, 0x026f7121, 0x00000ffa, 
      0x16001ffd, 0x32b2f840, 0x026f7222, 0x00000ffb, 
      0x17001ffe, 0xb2abf820, 0x025f7222, 0x00000ffb, 
      0x18000ffe, 0x32a4f810, 0x025f7223, 0x00000ffb, 
      0x19000ffe, 0xb29df7f0, 0x024f7323, 0x00000ffb, 
      0x1a000ffd, 0x3296f7e0, 0x023f7324, 0x00000ffc, 
      0x1b000ffe, 0xa28ef7c0, 0x023f7424, 0x00000ffc, 
      0x1cffffff, 0x2287f7b0, 0x022f7425, 0x00000ffc, 
      0x1dffeffe, 0xa280f7a0, 0x021f7525, 0x00000ffd, 
      0x1effeffe, 0x1278f790, 0x021f7626, 0x00000ffd, 
      0x1fffdffe, 0x9271f780, 0x020f7726, 0x00000ffd,
   },
   { /* Y scale factor = 0.88, phases = 127, taps = 9. */
      0x72024ffb, 0x327326bf, 0xffc023f7, 0x00000fff, 
      0x72024ffc, 0x427a263f, 0xffc022f7, 0x00000fff, 
      0x71026ffb, 0x528225bf, 0xffc021f7, 0x00000fff, 
      0x70026ffb, 0x628a253f, 0xffd020f7, 0x00000fff, 
      0x70026ffb, 0x729124bf, 0xffd020f7, 0x00000fff, 
      0x70026ffa, 0x8299243f, 0xffe01ff7, 0x00000fff, 
      0x6f028ffa, 0xa2a023bf, 0xffe01ef7, 0x00000ffe, 
      0x6f028ffa, 0xb2a8233f, 0xffe01df7, 0x00000ffe, 
      0x6f028ff9, 0xd2af22bf, 0xfff01cf7, 0x00000ffe, 
      0x6f029ff9, 0xe2b6223f, 0xfff01bf7, 0x00000ffe, 
      0x6f029ff8, 0x02bd21bf, 0x00001af8, 0x00000ffe, 
      0x6f02aff9, 0x22c4212f, 0x000018f8, 0x00000ffe, 
      0x6f02aff9, 0x42cb20af, 0x000017f8, 0x00000ffe, 
      0x6f02aff8, 0x62d2202f, 0x001016f8, 0x00000ffe, 
      0x7002bff8, 0x82d91f9f, 0x001015f8, 0x00000ffd, 
      0x7002bff8, 0xa2df1f1f, 0x002014f8, 0x00000ffd, 
      0x7002cff8, 0xc2e61e9f, 0x002012f8, 0x00000ffd, 
      0x7102cff7, 0xf2ec1e0f, 0x003011f8, 0x00000ffd, 
      0x7102cff7, 0x12f31d8f, 0x003010f9, 0x00000ffd, 
      0x7202cff7, 0x42f91cff, 0x00400ef9, 0x00000ffd, 
      0x7202cff7, 0x72ff1c7f, 0x00400df9, 0x00000ffd, 
      0x7402cff7, 0xa3051bef, 0x00500bf9, 0x00000ffc, 
      0x7402dff7, 0xd30b1b5f, 0x00500af9, 0x00000ffc, 
      0x7502cff6, 0x03111adf, 0x006009fa, 0x00000ffc, 
      0x7602dff7, 0x33161a4f, 0x006007fa, 0x00000ffc, 
      0x7702cff7, 0x631c19cf, 0x007005fa, 0x00000ffc, 
      0x7802dff7, 0x9321193f, 0x007004fa, 0x00000ffc, 
      0x7902cff6, 0xd32718bf, 0x008002fa, 0x00000ffc, 
      0x7a02cff6, 0x032c182f, 0x009001fb, 0x00000ffc, 
      0x7c02cff6, 0x433117af, 0x009ffffb, 0x00000ffb, 
      0x7d02cff6, 0x8336171f, 0x00affdfb, 0x00000ffb, 
      0x7f02cff6, 0xc33a168f, 0x00affcfb, 0x00000ffb, 
      0x8002cff6, 0xf33f160f, 0x00bffafb, 0x00000ffb, 
      0x8102cff6, 0x4344157f, 0x00bff8fc, 0x00000ffb, 
      0x8302bff6, 0x834814ff, 0x00cff6fc, 0x00000ffb, 
      0x8402bff6, 0xc34c147f, 0x00dff4fc, 0x00000ffb, 
      0x8602bff6, 0x035013ef, 0x00dff3fd, 0x00000ffb, 
      0x8702bff6, 0x5354136f, 0x00eff1fd, 0x00000ffa, 
      0x8902bff6, 0x935812df, 0x00ffeffd, 0x00000ffa, 
      0x8b02aff6, 0xe35c125f, 0x00ffedfd, 0x00000ffa, 
      0x8d029ff5, 0x336011df, 0x010febfe, 0x00000ffa, 
      0x8e02aff6, 0x8363114f, 0x010fe9fe, 0x00000ffa, 
      0x90029ff6, 0xd36610cf, 0x011fe7fe, 0x00000ffa, 
      0x92029ff5, 0x2369104f, 0x012fe5ff, 0x00000ffa, 
      0x94029ff6, 0x736c0fcf, 0x012fe3ff, 0x00000ff9, 
      0x96028ff6, 0xc36f0f4f, 0x013fe1ff, 0x00000ff9, 
      0x97027ff6, 0x23720ecf, 0x014fdf00, 0x00000ff9, 
      0x99027ff7, 0x73740e4f, 0x014fdd00, 0x00000ff9, 
      0x9b026ff6, 0xd3770dcf, 0x015fdb00, 0x00000ff9, 
      0x9d026ff6, 0x23790d4f, 0x016fd901, 0x00000ff9, 
      0x9f026ff6, 0x837b0ccf, 0x016fd701, 0x00000ff9, 
      0xa1025ff7, 0xe37d0c4f, 0x017fd401, 0x00000ff9, 
      0xa3025ff7, 0x437f0bcf, 0x018fd202, 0x00000ff8, 
      0xa5024ff7, 0xa3810b5f, 0x018fd002, 0x00000ff8, 
      0xa8024ff6, 0x03820adf, 0x019fce03, 0x00000ff8, 
      0xaa024ff7, 0x63830a5f, 0x019fcc03, 0x00000ff8, 
      0xac023ff6, 0xd38409ef, 0x01afca03, 0x00000ff8, 
      0xae022ff7, 0x3385096f, 0x01bfc804, 0x00000ff8, 
      0xb0022ff7, 0xa38608ff, 0x01bfc504, 0x00000ff8, 
      0xb2021ff7, 0x0387088f, 0x01cfc305, 0x00000ff8, 
      0xb4020ff6, 0x7388081f, 0x01dfc105, 0x00000ff8, 
      0xb6020ff8, 0xe388079f, 0x01dfbf05, 0x00000ff7, 
      0xb901fff7, 0x5388072f, 0x01efbd06, 0x00000ff7, 
      0xbb01fff7, 0xb38806bf, 0x01ffbb06, 0x00000ff7, 
      0xbd01eff7, 0x2388065f, 0x01ffb907, 0x00000ff7, 
      0xbf01dff8, 0x938805ef, 0x020fb607, 0x00000ff7, 
      0xc101dff7, 0x1388057f, 0x020fb408, 0x00000ff7, 
      0xc301cff8, 0x8387050f, 0x021fb208, 0x00000ff7, 
      0xc501cff8, 0xf38604af, 0x021fb008, 0x00000ff7, 
      0xc801bff8, 0x6385043f, 0x022fae09, 0x00000ff7, 
      0xca01aff7, 0xe38403df, 0x023fac09, 0x00000ff7, 
      0xcc019ff9, 0x5383036f, 0x023faa0a, 0x00000ff7, 
      0xce019ff8, 0xd382030f, 0x024fa80a, 0x00000ff6, 
      0xd0018ff9, 0x538102af, 0x024fa50b, 0x00000ff6, 
      0xd2018ff9, 0xc37f024f, 0x025fa30b, 0x00000ff6, 
      0xd5017ff9, 0x437d01ef, 0x025fa10c, 0x00000ff6, 
      0xd7016ff9, 0xc37b018f, 0x026f9f0c, 0x00000ff6, 
      0xd9016ff9, 0x4379012f, 0x026f9d0d, 0x00000ff6, 
      0xdb015ff8, 0xc37700df, 0x027f9b0d, 0x00000ff6, 
      0xdd014ffa, 0x4374007f, 0x027f990e, 0x00000ff6, 
      0xdf013ff9, 0xc372002f, 0x028f970e, 0x00000ff6, 
      0xe1013ff9, 0x436fffcf, 0x028f960f, 0x00000ff6, 
      0xe3012ffa, 0xc36cff7f, 0x028f940f, 0x00000ff6, 
      0xe5012ff9, 0x4369ff2f, 0x029f9210, 0x00000ff6, 
      0xe7011ffa, 0xc366fedf, 0x029f9010, 0x00000ff6, 
      0xe9011ffa, 0x4363fe8f, 0x029f8e11, 0x00000ff6, 
      0xeb00fff9, 0xd360fe3f, 0x02af8d11, 0x00000ff6, 
      0xed00fffa, 0x535cfdef, 0x02af8b12, 0x00000ff6, 
      0xef00fffb, 0xd358fd9f, 0x02af8912, 0x00000ff6, 
      0xf100effa, 0x6354fd5f, 0x02bf8713, 0x00000ff6, 
      0xf300dffb, 0xe350fd0f, 0x02bf8613, 0x00000ff6, 
      0xf400dffb, 0x734cfccf, 0x02bf8414, 0x00000ff6, 
      0xf600cffb, 0xf348fc8f, 0x02bf8314, 0x00000ff6, 
      0xf800bffb, 0x7344fc4f, 0x02cf8115, 0x00000ff6, 
      0xfa00bffb, 0x033ffbff, 0x02cf8016, 0x00000ff6, 
      0xfc00affb, 0x833afbcf, 0x02cf7f16, 0x00000ff6, 
      0xfd00affb, 0x1336fb8f, 0x02cf7d17, 0x00000ff6, 
      0xff009ffb, 0xa331fb4f, 0x02cf7c17, 0x00000ff6, 
      0x01009ffb, 0x232cfb00, 0x02cf7b18, 0x00000ff6, 
      0x02008ffc, 0xb327fad0, 0x02cf7918, 0x00000ff6, 
      0x04008ffc, 0x3321faa0, 0x02cf7819, 0x00000ff6, 
      0x06007ffc, 0xc31cfa60, 0x02cf7719, 0x00000ff6, 
      0x07006ffd, 0x4316fa30, 0x02cf761a, 0x00000ff7, 
      0x09005ffc, 0xd311fa00, 0x02cf751a, 0x00000ff7, 
      0x0a005ffd, 0x530bf9d0, 0x02cf741b, 0x00000ff7, 
      0x0b005ffc, 0xe305f9a0, 0x02cf741b, 0x00000ff7, 
      0x0d004ffc, 0x72fff970, 0x02cf731c, 0x00000ff7, 
      0x0e004ffd, 0xf2f9f940, 0x02cf721c, 0x00000ff7, 
      0x10003ffd, 0x82f3f910, 0x02cf711d, 0x00000ff7, 
      0x11003ffd, 0x02ecf8f0, 0x02cf711e, 0x00000ff7, 
      0x12002ffe, 0x92e6f8c0, 0x02bf701e, 0x00000ff8, 
      0x14002ffd, 0x12dff8a0, 0x02bf701f, 0x00000ff8, 
      0x15001ffd, 0x92d9f880, 0x02bf701f, 0x00000ff8, 
      0x16001ffd, 0x22d2f860, 0x02bf6f20, 0x00000ff8, 
      0x17001ffe, 0xa2cbf840, 0x02af6f20, 0x00000ff8, 
      0x18000ffe, 0x22c4f820, 0x02af6f21, 0x00000ff9, 
      0x1a000ffd, 0xb2bdf800, 0x029f6f21, 0x00000ff9, 
      0x1bfffffe, 0x32b6f7e0, 0x029f6f22, 0x00000ff9, 
      0x1cfffffe, 0xb2aff7d0, 0x028f6f22, 0x00000ff9, 
      0x1dffeffe, 0x32a8f7b0, 0x028f6f23, 0x00000ffa, 
      0x1effefff, 0xb2a0f7a0, 0x027f6f23, 0x00000ffa, 
      0x1fffeffe, 0x3299f780, 0x027f7024, 0x00000ffa, 
      0x20ffefff, 0xb291f770, 0x026f7024, 0x00000ffa, 
      0x20ffdfff, 0x328af760, 0x026f7025, 0x00000ffb, 
      0x21ffdfff, 0xb282f750, 0x025f7125, 0x00000ffb, 
      0x22ffc000, 0x327af740, 0x024f7226, 0x00000ffb, 
      0x23ffbfff, 0xb273f730, 0x024f7226, 0x00000ffc,
   },
   { /* Y scale factor = 0.89, phases = 127, taps = 9. */
      0x6e027ff9, 0xf27526df, 0xffa027f6, 0x00000000, 
      0x6e027ff9, 0x027d265f, 0xffa026f7, 0x00000000, 
      0x6d028ff9, 0x128425df, 0xffb025f7, 0x00000000, 
      0x6d02aff9, 0x128c254f, 0xffb024f7, 0x00000000, 
      0x6d02aff8, 0x229424cf, 0xffb024f7, 0x00000000, 
      0x6c02aff8, 0x429c244f, 0xffc023f7, 0x00000fff, 
      0x6c02bff8, 0x52a323cf, 0xffc022f7, 0x00000fff, 
      0x6c02cff8, 0x62ab233f, 0xffc021f7, 0x00000fff, 
      0x6c02bff8, 0x72b322bf, 0xffd020f7, 0x00000fff, 
      0x6c02cff7, 0x92ba223f, 0xffd01ff7, 0x00000fff, 
      0x6c02dff8, 0xa2c121af, 0xffd01ef7, 0x00000fff, 
      0x6d02cff7, 0xc2c8212f, 0xffe01df7, 0x00000fff, 
      0x6d02dff7, 0xe2d0209f, 0xffe01cf7, 0x00000ffe, 
      0x6d02dff6, 0x02d7201f, 0xfff01bf8, 0x00000ffe, 
      0x6e02dff6, 0x22de1f8f, 0xfff01af8, 0x00000ffe, 
      0x6e02eff7, 0x42e41eff, 0x000018f8, 0x00000ffe, 
      0x6f02eff6, 0x62eb1e7f, 0x000017f8, 0x00000ffe, 
      0x7002dff6, 0x82f21def, 0x001016f8, 0x00000ffe, 
      0x7002eff6, 0xb2f81d5f, 0x001015f8, 0x00000ffe, 
      0x7102eff6, 0xd2ff1cdf, 0x001013f8, 0x00000ffe, 
      0x7202eff6, 0x03051c4f, 0x002012f9, 0x00000ffd, 
      0x7302fff6, 0x230b1bbf, 0x002011f9, 0x00000ffd, 
      0x7402fff6, 0x53111b2f, 0x00300ff9, 0x00000ffd, 
      0x7502eff6, 0x83171aaf, 0x00300ef9, 0x00000ffd, 
      0x7602eff6, 0xb31d1a1f, 0x00400cf9, 0x00000ffd, 
      0x7702eff5, 0xe323198f, 0x00500bf9, 0x00000ffd, 
      0x7902eff5, 0x232818ff, 0x005009fa, 0x00000ffd, 
      0x7a02dff5, 0x532e187f, 0x006008fa, 0x00000ffc, 
      0x7b02eff6, 0x833317ef, 0x006006fa, 0x00000ffc, 
      0x7d02dff6, 0xc338175f, 0x007004fa, 0x00000ffc, 
      0x7e02dff5, 0x033d16df, 0x007003fb, 0x00000ffc, 
      0x8002dff5, 0x3342164f, 0x008001fb, 0x00000ffc, 
      0x8102dff5, 0x734715bf, 0x009ffffb, 0x00000ffc, 
      0x8302cff5, 0xb34c152f, 0x009ffefb, 0x00000ffc, 
      0x8402cff6, 0xf35014af, 0x00affcfb, 0x00000ffb, 
      0x8602cff5, 0x4355141f, 0x00affafc, 0x00000ffb, 
      0x8802bff5, 0x8359139f, 0x00bff8fc, 0x00000ffb, 
      0x8902bff6, 0xc35d130f, 0x00cff6fc, 0x00000ffb, 
      0x8b02bff6, 0x1361127f, 0x00cff4fd, 0x00000ffb, 
      0x8d02aff6, 0x536511ff, 0x00dff2fd, 0x00000ffb, 
      0x8f029ff5, 0xa369116f, 0x00eff1fd, 0x00000ffb, 
      0x91029ff6, 0xf36c10ef, 0x00efeffd, 0x00000ffa, 
      0x93029ff5, 0x436f106f, 0x00ffedfe, 0x00000ffa, 
      0x95028ff5, 0x93730fdf, 0x010febfe, 0x00000ffa, 
      0x97028ff5, 0xe3760f5f, 0x010fe9fe, 0x00000ffa, 
      0x99027ff5, 0x33790edf, 0x011fe7ff, 0x00000ffa, 
      0x9b027ff5, 0x937b0e5f, 0x012fe4ff, 0x00000ffa, 
      0x9d027ff6, 0xe37e0dcf, 0x012fe2ff, 0x00000ffa, 
      0x9f026ff6, 0x43810d4f, 0x013fe000, 0x00000ff9, 
      0xa1026ff5, 0xa3830ccf, 0x014fde00, 0x00000ff9, 
      0xa3025ff7, 0xf3850c4f, 0x014fdc00, 0x00000ff9, 
      0xa5024ff7, 0x53870bcf, 0x015fda01, 0x00000ff9, 
      0xa7023ff6, 0xb3890b5f, 0x016fd801, 0x00000ff9, 
      0xa9023ff6, 0x138b0adf, 0x016fd602, 0x00000ff9, 
      0xac023ff6, 0x738c0a5f, 0x017fd302, 0x00000ff9, 
      0xae022ff7, 0xe38d09df, 0x018fd102, 0x00000ff8, 
      0xb0022ff6, 0x438f096f, 0x018fcf03, 0x00000ff8, 
      0xb2021ff7, 0xa39008ef, 0x019fcd03, 0x00000ff8, 
      0xb4020ff6, 0x1391087f, 0x01afcb04, 0x00000ff8, 
      0xb7020ff6, 0x8391080f, 0x01afc804, 0x00000ff8, 
      0xb901fff7, 0xe392078f, 0x01bfc604, 0x00000ff8, 
      0xbb01eff7, 0x5392071f, 0x01cfc405, 0x00000ff8, 
      0xbd01eff7, 0xc39306af, 0x01cfc205, 0x00000ff7, 
      0xbf01dff8, 0x3393063f, 0x01dfbf06, 0x00000ff7, 
      0xc201cff7, 0xa39305cf, 0x01efbd06, 0x00000ff7, 
      0xc401cff8, 0x1392055f, 0x01efbb07, 0x00000ff7, 
      0xc601bff8, 0x839204ef, 0x01ffb907, 0x00000ff7, 
      0xc801aff7, 0x0391048f, 0x020fb708, 0x00000ff7, 
      0xcb019ff8, 0x7391041f, 0x020fb408, 0x00000ff7, 
      0xcd019ff8, 0xe39003af, 0x021fb208, 0x00000ff7, 
      0xce018ff8, 0x638f034f, 0x022fb009, 0x00000ff7, 
      0xd1018ff9, 0xd38d02ef, 0x022fae09, 0x00000ff6, 
      0xd3017ff9, 0x538c027f, 0x023fac0a, 0x00000ff6, 
      0xd6016ff9, 0xd38b021f, 0x023fa90a, 0x00000ff6, 
      0xd8016ff8, 0x538901bf, 0x024fa70b, 0x00000ff6, 
      0xda015ff9, 0xc387016f, 0x024fa50b, 0x00000ff6, 
      0xdc014ffa, 0x438500ff, 0x025fa30c, 0x00000ff6, 
      0xde013ff9, 0xc38300af, 0x026fa10c, 0x00000ff6, 
      0xe0013ff9, 0x4381004f, 0x026f9f0d, 0x00000ff6, 
      0xe2012ffa, 0xc37effef, 0x027f9d0d, 0x00000ff6, 
      0xe4012ff9, 0x537bff9f, 0x027f9b0e, 0x00000ff6, 
      0xe7010ff9, 0xd379ff3f, 0x028f990e, 0x00000ff6, 
      0xe9010ff9, 0x5376feef, 0x028f970f, 0x00000ff6, 
      0xea00fffa, 0xd373fe9f, 0x029f950f, 0x00000ff6, 
      0xed00fffa, 0x636ffe4f, 0x029f9310, 0x00000ff5, 
      0xef00effb, 0xe36cfdff, 0x029f9110, 0x00000ff5, 
      0xf100effa, 0x6369fdaf, 0x02af8f11, 0x00000ff5, 
      0xf300dffb, 0xf365fd5f, 0x02af8d11, 0x00000ff5, 
      0xf400dffb, 0x7361fd1f, 0x02bf8b12, 0x00000ff5, 
      0xf700cffb, 0x035dfccf, 0x02bf8913, 0x00000ff5, 
      0xf800bffb, 0x9359fc8f, 0x02bf8813, 0x00000ff5, 
      0xfa00affb, 0x1355fc4f, 0x02cf8614, 0x00000ff5, 
      0xfc00affc, 0xa350fbff, 0x02cf8414, 0x00000ff5, 
      0xfe009ffc, 0x234cfbbf, 0x02cf8315, 0x00000ff5, 
      0xff009ffc, 0xb347fb7f, 0x02df8115, 0x00000ff5, 
      0x01008ffc, 0x4342fb30, 0x02df8016, 0x00000ff5, 
      0x03007ffc, 0xd33dfb00, 0x02df7e16, 0x00000ff5, 
      0x04007ffd, 0x5338fac0, 0x02df7d17, 0x00000ff5, 
      0x06007ffd, 0xe333fa80, 0x02df7b17, 0x00000ff5, 
      0x08005ffc, 0x732efa50, 0x02ef7a18, 0x00000ff5, 
      0x09005ffd, 0xf328fa20, 0x02ef7918, 0x00000ff5, 
      0x0b005ffd, 0x8323f9e0, 0x02ef7719, 0x00000ff5, 
      0x0c004ffd, 0x131df9b0, 0x02ef761a, 0x00000ff6, 
      0x0e003ffd, 0xa317f980, 0x02ef751a, 0x00000ff6, 
      0x0f003ffe, 0x2311f950, 0x02ef741b, 0x00000ff6, 
      0x11002ffe, 0xb30bf920, 0x02ef731b, 0x00000ff6, 
      0x12002ffd, 0x4305f900, 0x02ef721c, 0x00000ff6, 
      0x13001ffe, 0xd2fff8d0, 0x02ef711c, 0x00000ff6, 
      0x15001ffe, 0x52f8f8b0, 0x02ef701d, 0x00000ff6, 
      0x16001ffd, 0xe2f2f880, 0x02ef701d, 0x00000ff6, 
      0x17000ffe, 0x72ebf860, 0x02ef6f1e, 0x00000ff6, 
      0x19000fff, 0xf2e4f840, 0x02df6e1e, 0x00000ff6, 
      0x19fffffe, 0x82def820, 0x02df6e1f, 0x00000ff7, 
      0x1bffeffe, 0x12d7f800, 0x02df6d20, 0x00000ff7, 
      0x1cffeffe, 0x92d0f7e0, 0x02df6d20, 0x00000ff7, 
      0x1dffefff, 0x22c8f7c0, 0x02cf6d21, 0x00000ff7, 
      0x1fffefff, 0xa2c1f7a0, 0x02cf6c21, 0x00000ff7, 
      0x1fffdffe, 0x32baf790, 0x02cf6c22, 0x00000ff8, 
      0x20ffdfff, 0xb2b3f770, 0x02bf6c22, 0x00000ff8, 
      0x21ffc000, 0x32abf760, 0x02bf6c23, 0x00000ff8, 
      0x22ffcfff, 0xc2a3f750, 0x02bf6c23, 0x00000ff8, 
      0x23ffcfff, 0x429cf740, 0x02af6c24, 0x00000ff8, 
      0x24ffbfff, 0xc294f720, 0x02af6d24, 0x00000ff9, 
      0x25ffb000, 0x428cf710, 0x029f6d25, 0x00000ff9, 
      0x25ffb000, 0xd284f710, 0x028f6d25, 0x00000ff9, 
      0x26ffafff, 0x527df700, 0x028f6e26, 0x00000ff9, 
      0x27ff9000, 0xd275f6f0, 0x027f6e26, 0x00000ffa,
   },
   { /* Y scale factor = 0.90, phases = 127, taps = 9. */
      0x6b02bff8, 0xb27626ef, 0xff802af6, 0x00000001, 
      0x6a02cff8, 0xc27e266f, 0xff8029f6, 0x00000001, 
      0x6a02bff7, 0xc28725ef, 0xff9029f6, 0x00000001, 
      0x6a02cff8, 0xd28f255f, 0xff9028f6, 0x00000000, 
      0x6a02dff7, 0xe29724df, 0xff9027f6, 0x00000000, 
      0x6a02dff6, 0xf29f244f, 0xffa027f6, 0x00000000, 
      0x6a02dff6, 0x02a723cf, 0xffa026f7, 0x00000000, 
      0x6a02eff7, 0x12ae233f, 0xffa025f7, 0x00000000, 
      0x6a02eff6, 0x22b622bf, 0xffb024f7, 0x00000000, 
      0x6a02eff6, 0x42be222f, 0xffb023f7, 0x00000000, 
      0x6a02fff6, 0x52c521af, 0xffb022f7, 0x00000000, 
      0x6b02fff5, 0x72cd211f, 0xffc021f7, 0x00000fff, 
      0x6b030ff6, 0x82d4208f, 0xffc020f7, 0x00000fff, 
      0x6c02fff6, 0xa2db1fff, 0xffd01ff7, 0x00000fff, 
      0x6d02fff6, 0xc2e21f6f, 0xffd01ef7, 0x00000fff, 
      0x6d02fff6, 0xe2e91eef, 0xffd01df7, 0x00000fff, 
      0x6e02fff5, 0x02f01e5f, 0xffe01cf8, 0x00000fff, 
      0x6f02fff5, 0x22f71dcf, 0xffe01bf8, 0x00000fff, 
      0x7002fff5, 0x42fe1d3f, 0xfff01af8, 0x00000ffe, 
      0x71030ff5, 0x73041caf, 0xfff018f8, 0x00000ffe, 
      0x72030ff4, 0x930b1c1f, 0x000017f8, 0x00000ffe, 
      0x7302fff5, 0xc3111b8f, 0x000016f8, 0x00000ffe, 
      0x74030ff5, 0xe3171aff, 0x001014f8, 0x00000ffe, 
      0x7502fff5, 0x131e1a6f, 0x001013f9, 0x00000ffe, 
      0x7602fff4, 0x432419df, 0x002012f9, 0x00000ffe, 
      0x7802fff5, 0x7329195f, 0x002010f9, 0x00000ffd, 
      0x7902fff5, 0xa32f18bf, 0x00300ff9, 0x00000ffd, 
      0x7b02eff5, 0xd335183f, 0x00300df9, 0x00000ffd, 
      0x7c02eff5, 0x133a17af, 0x00400bfa, 0x00000ffd, 
      0x7e02eff4, 0x4340171f, 0x00400afa, 0x00000ffd, 
      0x7f02eff4, 0x8345168f, 0x005008fa, 0x00000ffd, 
      0x8102dff4, 0xb34a15ff, 0x006007fa, 0x00000ffd, 
      0x8302dff5, 0xf34f156f, 0x006005fa, 0x00000ffc, 
      0x8402dff5, 0x335414df, 0x007003fb, 0x00000ffc, 
      0x8702dff5, 0x7358144f, 0x007001fb, 0x00000ffc, 
      0x8802cff4, 0xb35d13cf, 0x008000fb, 0x00000ffc, 
      0x8a02bff4, 0x0361133f, 0x009ffefc, 0x00000ffc, 
      0x8c02bff4, 0x436612af, 0x009ffcfc, 0x00000ffc, 
      0x8e02bff5, 0x836a121f, 0x00affafc, 0x00000ffb, 
      0x9002aff4, 0xd36e119f, 0x00bff8fc, 0x00000ffb, 
      0x9202aff5, 0x2371110f, 0x00bff6fd, 0x00000ffb, 
      0x94029ff5, 0x6375108f, 0x00cff4fd, 0x00000ffb, 
      0x96028ff5, 0xb3790fff, 0x00dff2fd, 0x00000ffb, 
      0x98028ff5, 0x037c0f7f, 0x00dff0fe, 0x00000ffb, 
      0x9a028ff5, 0x537f0eef, 0x00efeefe, 0x00000ffb, 
      0x9c027ff5, 0xb3820e6f, 0x00ffecfe, 0x00000ffa, 
      0x9e027ff6, 0x03850ddf, 0x00ffeaff, 0x00000ffa, 
      0xa0026ff6, 0x53880d5f, 0x010fe8ff, 0x00000ffa, 
      0xa2025ff6, 0xb38a0cdf, 0x011fe6ff, 0x00000ffa, 
      0xa5024ff5, 0x138d0c5f, 0x011fe400, 0x00000ffa, 
      0xa7024ff5, 0x638f0bdf, 0x012fe200, 0x00000ffa, 
      0xa9023ff7, 0xc3910b5f, 0x013fdf00, 0x00000ff9, 
      0xab023ff7, 0x23930adf, 0x013fdd01, 0x00000ff9, 
      0xae022ff6, 0x83950a5f, 0x014fdb01, 0x00000ff9, 
      0xb0021ff7, 0xe39609df, 0x015fd901, 0x00000ff9, 
      0xb2020ff6, 0x5398095f, 0x016fd702, 0x00000ff9, 
      0xb4020ff7, 0xb39908ef, 0x016fd402, 0x00000ff9, 
      0xb701fff7, 0x139a086f, 0x017fd203, 0x00000ff9, 
      0xb901fff6, 0x839b07ff, 0x018fd003, 0x00000ff8, 
      0xbb01eff7, 0xf39c077f, 0x018fce03, 0x00000ff8, 
      0xbe01dff8, 0x539c070f, 0x019fcb04, 0x00000ff8, 
      0xc001dff7, 0xc39d068f, 0x01afc904, 0x00000ff8, 
      0xc201cff7, 0x339d061f, 0x01bfc705, 0x00000ff8, 
      0xc401cff8, 0xa39d05af, 0x01bfc405, 0x00000ff8, 
      0xc701bff7, 0x139d053f, 0x01cfc206, 0x00000ff8, 
      0xc901aff8, 0x839d04cf, 0x01dfc006, 0x00000ff7, 
      0xcb019ff9, 0x039c045f, 0x01dfbe07, 0x00000ff7, 
      0xce018ff8, 0x739c03ff, 0x01efbb07, 0x00000ff7, 
      0xd0017ff8, 0xf39b038f, 0x01ffb907, 0x00000ff7, 
      0xd2017ff9, 0x639a031f, 0x01ffb708, 0x00000ff7, 
      0xd4016ff9, 0xe39902bf, 0x020fb408, 0x00000ff7, 
      0xd7015ff8, 0x5398025f, 0x021fb209, 0x00000ff7, 
      0xd9015ff9, 0xd39601ff, 0x021fb009, 0x00000ff6, 
      0xdb014ff9, 0x5395018f, 0x022fae0a, 0x00000ff6, 
      0xdd013ffa, 0xd393012f, 0x023fab0a, 0x00000ff6, 
      0xdf013ffa, 0x539100cf, 0x023fa90b, 0x00000ff6, 
      0xe2012ff9, 0xd38f006f, 0x024fa70b, 0x00000ff6, 
      0xe3011ff9, 0x538d001f, 0x025fa50c, 0x00000ff6, 
      0xe6011ffa, 0xd38affbf, 0x025fa20c, 0x00000ff6, 
      0xe8010ffa, 0x5388ff5f, 0x026fa00d, 0x00000ff6, 
      0xea00fffb, 0xd385ff0f, 0x026f9e0d, 0x00000ff6, 
      0xec00fffa, 0x6382febf, 0x027f9c0e, 0x00000ff5, 
      0xee00effb, 0xe37ffe5f, 0x028f9a0e, 0x00000ff5, 
      0xf000dffb, 0x737cfe0f, 0x028f980f, 0x00000ff5, 
      0xf200dffa, 0xf379fdbf, 0x029f960f, 0x00000ff5, 
      0xf400cffb, 0x8375fd6f, 0x029f9410, 0x00000ff5, 
      0xf600bffb, 0x0371fd2f, 0x02af9211, 0x00000ff5, 
      0xf800affb, 0x936efcdf, 0x02af9011, 0x00000ff5, 
      0xfa00affb, 0x136afc8f, 0x02bf8e12, 0x00000ff5, 
      0xfc009ffb, 0xa366fc4f, 0x02bf8c12, 0x00000ff5, 
      0xfe009ffb, 0x3361fc0f, 0x02bf8a13, 0x00000ff5, 
      0x00008ffb, 0xc35dfbb0, 0x02cf8813, 0x00000ff5, 
      0x01008ffd, 0x4358fb70, 0x02cf8614, 0x00000ff5, 
      0x03007ffc, 0xd354fb30, 0x02df8414, 0x00000ff5, 
      0x05006ffc, 0x634ffaf0, 0x02df8315, 0x00000ff5, 
      0x07006ffc, 0xf34afab0, 0x02df8115, 0x00000ff5, 
      0x08005ffc, 0x8345fa80, 0x02ef7f16, 0x00000ff5, 
      0x0a004ffc, 0x1340fa40, 0x02ef7e17, 0x00000ff5, 
      0x0b004ffd, 0xa33afa10, 0x02ef7c17, 0x00000ff5, 
      0x0d003ffd, 0x3335f9d0, 0x02ef7b18, 0x00000ff5, 
      0x0f003ffd, 0xb32ff9a0, 0x02ff7918, 0x00000ff5, 
      0x10002ffe, 0x4329f970, 0x02ff7819, 0x00000ff5, 
      0x12001ffd, 0xd324f940, 0x02ff7719, 0x00000ff5, 
      0x13001ffe, 0x631ef910, 0x02ff751a, 0x00000ff5, 
      0x15001ffe, 0xf317f8e0, 0x02ff741a, 0x00000ff5, 
      0x16000ffe, 0x8311f8c0, 0x02ff731b, 0x00000ff5, 
      0x17fffffe, 0x130bf890, 0x030f721c, 0x00000ff5, 
      0x18fffffe, 0xa304f870, 0x030f711c, 0x00000ff5, 
      0x1affeffe, 0x32fef840, 0x030f701d, 0x00000ff5, 
      0x1bffeffe, 0xc2f7f820, 0x030f6f1d, 0x00000ff5, 
      0x1cffeffe, 0x52f0f800, 0x030f6e1e, 0x00000ff5, 
      0x1dffefff, 0xe2e9f7e0, 0x02ff6d1e, 0x00000ff5, 
      0x1effd000, 0x62e2f7c0, 0x02ff6d1f, 0x00000ff5, 
      0x1fffdfff, 0xf2dbf7a0, 0x02ff6c1f, 0x00000ff6, 
      0x20ffc000, 0x82d4f780, 0x02ff6b20, 0x00000ff6, 
      0x21ffbfff, 0x12cdf770, 0x02ff6b21, 0x00000ff6, 
      0x22ffb000, 0xa2c5f750, 0x02ff6a21, 0x00000ff6, 
      0x23ffb000, 0x22bef740, 0x02ef6a22, 0x00000ff6, 
      0x24ffb000, 0xb2b6f720, 0x02ef6a22, 0x00000ff6, 
      0x25ffb000, 0x32aef710, 0x02ef6a23, 0x00000ff6, 
      0x26ff9000, 0xc2a7f700, 0x02df6a23, 0x00000ff7, 
      0x27ff9000, 0x429ff6f0, 0x02df6a24, 0x00000ff7, 
      0x27ff9000, 0xd297f6e0, 0x02df6a24, 0x00000ff7, 
      0x28ff9001, 0x528ff6d0, 0x02cf6a25, 0x00000ff7, 
      0x29ff9000, 0xe287f6c0, 0x02cf6a25, 0x00000ff7, 
      0x29ff9001, 0x627ef6c0, 0x02bf6a26, 0x00000ff8, 
      0x2aff8001, 0xe276f6b0, 0x02bf6b26, 0x00000ff8,
   },
   { /* Y scale factor = 0.91, phases = 127, taps = 9. */
      0x6702eff6, 0x827826ff, 0xff702df6, 0x00000002, 
      0x6702eff6, 0x8280267f, 0xff702df6, 0x00000002, 
      0x6702fff5, 0x928925ff, 0xff702cf6, 0x00000001, 
      0x6702fff6, 0x9291256f, 0xff702cf6, 0x00000001, 
      0x6702fff6, 0xa29924df, 0xff802bf6, 0x00000001, 
      0x67030ff5, 0xb2a1245f, 0xff802af6, 0x00000001, 
      0x67030ff6, 0xb2a923cf, 0xff802af6, 0x00000001, 
      0x68030ff6, 0xc2b1233f, 0xff8029f6, 0x00000001, 
      0x68031ff5, 0xd2b922af, 0xff9028f6, 0x00000001, 
      0x68031ff4, 0xf2c1222f, 0xff9027f6, 0x00000001, 
      0x69031ff4, 0x02c9219f, 0xff9027f7, 0x00000000, 
      0x69031ff5, 0x12d0210f, 0xffa026f7, 0x00000000, 
      0x6a031ff4, 0x32d8207f, 0xffa025f7, 0x00000000, 
      0x6b031ff5, 0x42df1fef, 0xffa024f7, 0x00000000, 
      0x6b031ff4, 0x62e71f5f, 0xffb023f7, 0x00000000, 
      0x6c031ff4, 0x82ee1ecf, 0xffb022f7, 0x00000000, 
      0x6d031ff4, 0xa2f51e2f, 0xffc021f7, 0x00000000, 
      0x6e031ff4, 0xc2fc1daf, 0xffc020f7, 0x00000fff, 
      0x70031ff4, 0xe3031d0f, 0xffd01ef7, 0x00000fff, 
      0x71031ff4, 0x030a1c7f, 0xffd01df8, 0x00000fff, 
      0x72031ff4, 0x23111bef, 0xffd01cf8, 0x00000fff, 
      0x73031ff3, 0x53171b5f, 0xffe01bf8, 0x00000fff, 
      0x75031ff4, 0x731d1acf, 0xffe019f8, 0x00000fff, 
      0x76030ff3, 0xa3241a3f, 0xfff018f8, 0x00000fff, 
      0x77030ff4, 0xd32a19af, 0xfff017f8, 0x00000ffe, 
      0x79030ff4, 0x0330190f, 0x000015f9, 0x00000ffe, 
      0x7a030ff4, 0x3336187f, 0x000014f9, 0x00000ffe, 
      0x7c02fff4, 0x633c17ef, 0x001012f9, 0x00000ffe, 
      0x7e02fff4, 0x9341175f, 0x001011f9, 0x00000ffe, 
      0x7f02eff4, 0xd34716cf, 0x00200ff9, 0x00000ffe, 
      0x8102eff4, 0x034c163f, 0x00300efa, 0x00000ffd, 
      0x8302dff4, 0x435215af, 0x00300cfa, 0x00000ffd, 
      0x8502dff4, 0x7357151f, 0x00400afa, 0x00000ffd, 
      0x8702cff4, 0xb35c148f, 0x004009fa, 0x00000ffd, 
      0x8802cff5, 0xf36013ff, 0x005007fa, 0x00000ffd, 
      0x8a02cff4, 0x3365136f, 0x006005fb, 0x00000ffd, 
      0x8c02bff5, 0x736a12df, 0x006003fb, 0x00000ffd, 
      0x8e02bff4, 0xc36e124f, 0x007002fb, 0x00000ffc, 
      0x9002bff5, 0x037211bf, 0x007000fc, 0x00000ffc, 
      0x9302aff5, 0x4376112f, 0x008ffefc, 0x00000ffc, 
      0x95029ff4, 0x937a10af, 0x009ffcfc, 0x00000ffc, 
      0x97028ff5, 0xe37e101f, 0x009ffafc, 0x00000ffc, 
      0x99027ff5, 0x33820f8f, 0x00aff8fd, 0x00000ffc, 
      0x9b027ff5, 0x83850f0f, 0x00bff6fd, 0x00000ffb, 
      0x9d027ff6, 0xd3880e7f, 0x00bff4fd, 0x00000ffb, 
      0xa0026ff6, 0x238b0def, 0x00cff2fe, 0x00000ffb, 
      0xa2025ff6, 0x738e0d6f, 0x00dff0fe, 0x00000ffb, 
      0xa4025ff5, 0xd3910cef, 0x00dfeefe, 0x00000ffb, 
      0xa6024ff6, 0x23940c5f, 0x00efecff, 0x00000ffb, 
      0xa9023ff6, 0x83960bdf, 0x00ffeaff, 0x00000ffa, 
      0xab023ff6, 0xd3990b5f, 0x010fe7ff, 0x00000ffa, 
      0xad022ff7, 0x339b0adf, 0x010fe500, 0x00000ffa, 
      0xb0021ff6, 0x939d0a5f, 0x011fe300, 0x00000ffa, 
      0xb2021ff6, 0xf39e09df, 0x012fe100, 0x00000ffa, 
      0xb4020ff6, 0x53a0095f, 0x013fdf01, 0x00000ffa, 
      0xb701fff7, 0xc3a208df, 0x013fdc01, 0x00000ff9, 
      0xb901fff7, 0x23a3085f, 0x014fda02, 0x00000ff9, 
      0xbb01dff7, 0x93a407ef, 0x015fd802, 0x00000ff9, 
      0xbe01dff7, 0xf3a5076f, 0x016fd502, 0x00000ff9, 
      0xc001cff7, 0x63a606ff, 0x016fd303, 0x00000ff9, 
      0xc301bff7, 0xd3a6067f, 0x017fd103, 0x00000ff9, 
      0xc501bff8, 0x33a7060f, 0x018fce04, 0x00000ff8, 
      0xc701aff8, 0xa3a7059f, 0x019fcc04, 0x00000ff8, 
      0xca019ff9, 0x13a7051f, 0x019fca05, 0x00000ff8, 
      0xcc019ff8, 0x93a704af, 0x01afc705, 0x00000ff8, 
      0xce018ff8, 0x03a7043f, 0x01bfc506, 0x00000ff8, 
      0xd0017ff8, 0x73a603df, 0x01cfc306, 0x00000ff8, 
      0xd3016ff9, 0xf3a6036f, 0x01cfc006, 0x00000ff7, 
      0xd5016ff9, 0x63a502ff, 0x01dfbe07, 0x00000ff7, 
      0xd7014ff9, 0xe3a4029f, 0x01efbc07, 0x00000ff7, 
      0xda014ffa, 0x53a3022f, 0x01efb908, 0x00000ff7, 
      0xdc013ff9, 0xd3a201cf, 0x01ffb708, 0x00000ff7, 
      0xdf013ff9, 0x53a0015f, 0x020fb409, 0x00000ff7, 
      0xe1012ffa, 0xd39e00ff, 0x021fb209, 0x00000ff6, 
      0xe3011ffa, 0x539d009f, 0x021fb00a, 0x00000ff6, 
      0xe5010ffb, 0xd39b003f, 0x022fad0a, 0x00000ff6, 
      0xe7010ffa, 0x5399ffdf, 0x023fab0b, 0x00000ff6, 
      0xea00fffa, 0xd396ff8f, 0x023fa90b, 0x00000ff6, 
      0xec00effb, 0x5394ff2f, 0x024fa60c, 0x00000ff6, 
      0xee00dffa, 0xe391fedf, 0x025fa40c, 0x00000ff6, 
      0xf000dffb, 0x638efe7f, 0x025fa20d, 0x00000ff6, 
      0xf200cffc, 0xe38bfe2f, 0x026fa00d, 0x00000ff5, 
      0xf400bffc, 0x7388fddf, 0x027f9d0e, 0x00000ff5, 
      0xf600bffb, 0x0385fd8f, 0x027f9b0f, 0x00000ff5, 
      0xf800affb, 0x8382fd3f, 0x028f990f, 0x00000ff5, 
      0xfa009ffc, 0x137efcef, 0x028f9710, 0x00000ff5, 
      0xfc009ffb, 0xa37afc9f, 0x029f9510, 0x00000ff5, 
      0xfe008ffc, 0x2376fc4f, 0x02af9311, 0x00000ff5, 
      0x00007ffd, 0xb372fc00, 0x02af9011, 0x00000ff5, 
      0x02006ffc, 0x436efbc0, 0x02bf8e12, 0x00000ff5, 
      0x03007ffd, 0xd36afb70, 0x02bf8c12, 0x00000ff4, 
      0x05006ffd, 0x6365fb30, 0x02cf8a13, 0x00000ff4, 
      0x07005ffd, 0xf360fb00, 0x02cf8813, 0x00000ff4, 
      0x08004ffd, 0x835cfab0, 0x02df8714, 0x00000ff4, 
      0x0a004ffd, 0x1357fa70, 0x02df8515, 0x00000ff4, 
      0x0c003ffd, 0xa352fa40, 0x02df8315, 0x00000ff4, 
      0x0e003ffd, 0x334cfa00, 0x02ef8116, 0x00000ff4, 
      0x0f002ffe, 0xc347f9d0, 0x02ef7f16, 0x00000ff4, 
      0x11001ffe, 0x5341f990, 0x02ff7e17, 0x00000ff4, 
      0x12001ffe, 0xe33cf960, 0x02ff7c17, 0x00000ff4, 
      0x14000fff, 0x7336f930, 0x02ff7a18, 0x00000ff4, 
      0x15000ffe, 0x0330f900, 0x030f7919, 0x00000ff4, 
      0x17fffffe, 0xa32af8d0, 0x030f7719, 0x00000ff4, 
      0x18fffffe, 0x3324f8a0, 0x030f761a, 0x00000ff4, 
      0x1affffff, 0xc31df870, 0x030f741a, 0x00000ff4, 
      0x1bffeffe, 0x5317f850, 0x031f731b, 0x00000ff4, 
      0x1cffdfff, 0xe311f820, 0x031f721b, 0x00000ff4, 
      0x1dffdfff, 0x730af800, 0x031f711c, 0x00000ff4, 
      0x1effdfff, 0x0303f7e0, 0x031f701d, 0x00000ff4, 
      0x20ffcfff, 0xa2fcf7c0, 0x031f6e1d, 0x00000ff4, 
      0x21ffcfff, 0x32f5f7a0, 0x031f6d1e, 0x00000ff4, 
      0x22ffb000, 0xc2eef780, 0x031f6c1e, 0x00000ff4, 
      0x23ffbfff, 0x52e7f760, 0x031f6c1f, 0x00000ff4, 
      0x24ffb000, 0xe2dff740, 0x031f6b1f, 0x00000ff4, 
      0x25ffa000, 0x72d8f730, 0x031f6a20, 0x00000ff4, 
      0x26ffa000, 0x02d0f710, 0x031f6921, 0x00000ff5, 
      0x26ff9000, 0x92c9f700, 0x031f6921, 0x00000ff5, 
      0x27ff9000, 0x22c1f6f0, 0x031f6822, 0x00000ff5, 
      0x29ff9001, 0xa2b9f6d0, 0x030f6822, 0x00000ff5, 
      0x29ff9001, 0x32b1f6c0, 0x030f6823, 0x00000ff5, 
      0x2aff9001, 0xc2a9f6b0, 0x030f6723, 0x00000ff5, 
      0x2aff8001, 0x52a1f6b0, 0x030f6724, 0x00000ff5, 
      0x2bff8001, 0xd299f6a0, 0x02ff6724, 0x00000ff6, 
      0x2cff7001, 0x6291f690, 0x02ff6725, 0x00000ff6, 
      0x2cff7001, 0xf289f680, 0x02ff6725, 0x00000ff6, 
      0x2dff7002, 0x7280f680, 0x02ef6726, 0x00000ff6, 
      0x2dff7002, 0xf278f680, 0x02ef6726, 0x00000ff6,
   },
   { /* Y scale factor = 0.92, phases = 127, taps = 9. */
      0x64031ff5, 0x5279271f, 0xff5030f6, 0x00000002, 
      0x64031ff5, 0x5282268f, 0xff5030f6, 0x00000002, 
      0x64032ff5, 0x528b25ff, 0xff502ff6, 0x00000002, 
      0x64032ff5, 0x5293256f, 0xff602ff6, 0x00000002, 
      0x65031ff4, 0x629c24ef, 0xff602ef6, 0x00000002, 
      0x64032ff4, 0x72a4245f, 0xff602ef6, 0x00000002, 
      0x65033ff4, 0x72ac23cf, 0xff602df6, 0x00000002, 
      0x66032ff3, 0x82b4233f, 0xff702df6, 0x00000002, 
      0x66033ff4, 0x92bc22af, 0xff702cf6, 0x00000001, 
      0x67033ff3, 0xa2c5221f, 0xff702bf6, 0x00000001, 
      0x68033ff4, 0xb2cc218f, 0xff702af6, 0x00000001, 
      0x68033ff4, 0xc2d420ef, 0xff802af6, 0x00000001, 
      0x69033ff3, 0xe2dc205f, 0xff8029f6, 0x00000001, 
      0x6a033ff3, 0xf2e41fcf, 0xff8028f6, 0x00000001, 
      0x6b032ff3, 0x12eb1f3f, 0xff9027f7, 0x00000001, 
      0x6c032ff3, 0x22f31eaf, 0xff9026f7, 0x00000001, 
      0x6d032ff4, 0x42fa1e0f, 0xffa025f7, 0x00000000, 
      0x6e032ff4, 0x63011d7f, 0xffa024f7, 0x00000000, 
      0x70032ff3, 0x83081cef, 0xffa023f7, 0x00000000, 
      0x71032ff3, 0xa30f1c4f, 0xffb022f7, 0x00000000, 
      0x72032ff3, 0xc3161bbf, 0xffb021f7, 0x00000000, 
      0x73031ff3, 0xe31d1b2f, 0xffc020f7, 0x00000000, 
      0x75031ff4, 0x13231a8f, 0xffc01ef8, 0x00000000, 
      0x77031ff3, 0x332a19ff, 0xffd01df8, 0x00000fff, 
      0x78030ff4, 0x6330196f, 0xffd01cf8, 0x00000fff, 
      0x7a030ff4, 0x933718cf, 0xffd01af8, 0x00000fff, 
      0x7c02fff3, 0xc33d183f, 0xffe019f8, 0x00000fff, 
      0x7d02fff3, 0xf34317af, 0xffe018f8, 0x00000fff, 
      0x7f02fff4, 0x2348170f, 0xfff016f9, 0x00000fff, 
      0x8102eff4, 0x534e167f, 0x000015f9, 0x00000ffe, 
      0x8302eff4, 0x835415ef, 0x000013f9, 0x00000ffe, 
      0x8502eff4, 0xc359154f, 0x001011f9, 0x00000ffe, 
      0x8702dff4, 0x035e14bf, 0x001010fa, 0x00000ffe, 
      0x8902cff5, 0x3363142f, 0x00200efa, 0x00000ffe, 
      0x8b02cff4, 0x7368139f, 0x00200dfa, 0x00000ffe, 
      0x8d02bff4, 0xb36d130f, 0x00300bfa, 0x00000ffe, 
      0x8f02bff4, 0xf372127f, 0x004009fa, 0x00000ffd, 
      0x9202aff5, 0x337611ef, 0x004007fb, 0x00000ffd, 
      0x94029ff4, 0x837b115f, 0x005005fb, 0x00000ffd, 
      0x96029ff4, 0xc37f10cf, 0x005004fb, 0x00000ffd, 
      0x98028ff4, 0x1383103f, 0x006002fc, 0x00000ffd, 
      0x9a027ff5, 0x53870faf, 0x007000fc, 0x00000ffd, 
      0x9d027ff5, 0xa38b0f1f, 0x007ffefc, 0x00000ffc, 
      0x9f026ff6, 0xf38e0e8f, 0x008ffcfc, 0x00000ffc, 
      0xa1025ff6, 0x43910e0f, 0x009ffafd, 0x00000ffc, 
      0xa4024ff5, 0x93950d7f, 0x00aff8fd, 0x00000ffc, 
      0xa6024ff5, 0xe3980cff, 0x00aff6fd, 0x00000ffc, 
      0xa8023ff6, 0x439b0c6f, 0x00bff4fe, 0x00000ffb, 
      0xab022ff6, 0x939d0bef, 0x00cff2fe, 0x00000ffb, 
      0xad022ff7, 0xf3a00b5f, 0x00cfeffe, 0x00000ffb, 
      0xb0021ff6, 0x53a20adf, 0x00dfedff, 0x00000ffb, 
      0xb2020ff7, 0xa3a40a5f, 0x00efebff, 0x00000ffb, 
      0xb4020ff6, 0x03a609df, 0x00ffe900, 0x00000ffb, 
      0xb701fff7, 0x63a8095f, 0x00ffe700, 0x00000ffa, 
      0xb901fff7, 0xc3aa08df, 0x010fe400, 0x00000ffa, 
      0xbc01dff7, 0x33ab085f, 0x011fe201, 0x00000ffa, 
      0xbe01cff7, 0x93ad07df, 0x012fe001, 0x00000ffa, 
      0xc101cff7, 0x03ae075f, 0x012fdd02, 0x00000ffa, 
      0xc401bff8, 0x63af06df, 0x013fdb02, 0x00000ff9, 
      0xc601aff7, 0xd3b0066f, 0x014fd902, 0x00000ff9, 
      0xc8019ff9, 0x43b005ef, 0x015fd603, 0x00000ff9, 
      0xca019ff8, 0xa3b1057f, 0x016fd403, 0x00000ff9, 
      0xcd018ff8, 0x13b1050f, 0x016fd204, 0x00000ff9, 
      0xcf017ff8, 0x93b1049f, 0x017fcf04, 0x00000ff9, 
      0xd2016ff9, 0x03b1041f, 0x018fcd05, 0x00000ff8, 
      0xd4016ff9, 0x73b103af, 0x019fca05, 0x00000ff8, 
      0xd6015ffa, 0xe3b0034f, 0x019fc805, 0x00000ff8, 
      0xd9013ff9, 0x63b002df, 0x01afc606, 0x00000ff8, 
      0xdb013ffa, 0xd3af026f, 0x01bfc306, 0x00000ff8, 
      0xdd012ff9, 0x53ae020f, 0x01cfc107, 0x00000ff8, 
      0xe0012ff9, 0xd3ad019f, 0x01dfbe07, 0x00000ff7, 
      0xe2011ffa, 0x53ab013f, 0x01dfbc08, 0x00000ff7, 
      0xe4010ffb, 0xd3aa00cf, 0x01efb908, 0x00000ff7, 
      0xe700fffb, 0x43a8006f, 0x01ffb709, 0x00000ff7, 
      0xe900fffa, 0xd3a6000f, 0x020fb409, 0x00000ff7, 
      0xec00effb, 0x53a4ffaf, 0x020fb20a, 0x00000ff6, 
      0xed00dffb, 0xd3a2ff5f, 0x021fb00a, 0x00000ff6, 
      0xef00cffc, 0x53a0feff, 0x022fad0b, 0x00000ff6, 
      0xf200bffb, 0xe39dfe9f, 0x023fab0b, 0x00000ff6, 
      0xf400bffb, 0x639bfe4f, 0x023fa80c, 0x00000ff6, 
      0xf600affb, 0xf398fdef, 0x024fa60c, 0x00000ff6, 
      0xf8009ffb, 0x7395fd9f, 0x025fa40d, 0x00000ff6, 
      0xfa009ffd, 0x0391fd4f, 0x025fa10e, 0x00000ff5, 
      0xfc008ffd, 0x838efcff, 0x026f9f0e, 0x00000ff5, 
      0xfe007ffc, 0x138bfcaf, 0x027f9d0f, 0x00000ff5, 
      0x00007ffd, 0xa387fc50, 0x027f9a0f, 0x00000ff5, 
      0x02006ffc, 0x3383fc10, 0x028f9810, 0x00000ff5, 
      0x04005ffc, 0xc37ffbc0, 0x029f9610, 0x00000ff5, 
      0x05004ffd, 0x537bfb80, 0x029f9411, 0x00000ff5, 
      0x07005ffe, 0xe376fb30, 0x02af9111, 0x00000ff4, 
      0x09004ffd, 0x7372faf0, 0x02bf8f12, 0x00000ff4, 
      0x0b003ffe, 0x036dfab0, 0x02bf8d13, 0x00000ff4, 
      0x0d002ffe, 0x9368fa70, 0x02cf8b13, 0x00000ff4, 
      0x0f002ffe, 0x2363fa30, 0x02cf8914, 0x00000ff4, 
      0x10001ffe, 0xb35efa00, 0x02df8714, 0x00000ff4, 
      0x11001fff, 0x4359f9c0, 0x02df8515, 0x00000ff4, 
      0x13000ffe, 0xe354f980, 0x02ef8315, 0x00000ff4, 
      0x15000ffe, 0x734ef950, 0x02ef8116, 0x00000ff4, 
      0x16ffffff, 0x0348f920, 0x02ff7f17, 0x00000ff4, 
      0x17ffeffe, 0xa343f8f0, 0x02ff7e17, 0x00000ff4, 
      0x19ffeffe, 0x333df8c0, 0x030f7c18, 0x00000ff3, 
      0x1affd000, 0xc337f890, 0x030f7a18, 0x00000ff3, 
      0x1cffd000, 0x6330f860, 0x030f7819, 0x00000ff3, 
      0x1dffdfff, 0xf32af830, 0x031f7719, 0x00000ff3, 
      0x1effd000, 0x8323f810, 0x031f751a, 0x00000ff3, 
      0x20ffcfff, 0x231df7e0, 0x031f741b, 0x00000ff3, 
      0x21ffb000, 0xb316f7c0, 0x032f721b, 0x00000ff3, 
      0x22ffb000, 0x430ff7a0, 0x032f711c, 0x00000ff3, 
      0x23ffa000, 0xe308f780, 0x032f701c, 0x00000ff3, 
      0x24ffa001, 0x7301f760, 0x032f6e1d, 0x00000ff3, 
      0x25ffa001, 0x02faf740, 0x032f6d1e, 0x00000ff3, 
      0x26ff9001, 0xa2f3f720, 0x032f6c1e, 0x00000ff3, 
      0x27ff9000, 0x32ebf710, 0x033f6b1f, 0x00000ff3, 
      0x28ff8001, 0xc2e4f6f0, 0x033f6a1f, 0x00000ff3, 
      0x29ff8001, 0x52dcf6e0, 0x033f6920, 0x00000ff3, 
      0x2aff8002, 0xe2d4f6c0, 0x033f6820, 0x00000ff3, 
      0x2aff7001, 0x82ccf6b0, 0x033f6821, 0x00000ff4, 
      0x2bff7001, 0x12c5f690, 0x033f6722, 0x00000ff4, 
      0x2cff7001, 0xa2bcf690, 0x033f6622, 0x00000ff4, 
      0x2dff7001, 0x32b4f680, 0x032f6623, 0x00000ff4, 
      0x2dff7002, 0xc2acf670, 0x032f6523, 0x00000ff4, 
      0x2eff6001, 0x52a4f670, 0x032f6524, 0x00000ff4, 
      0x2eff6001, 0xe29cf660, 0x032f6524, 0x00000ff4, 
      0x2fff6003, 0x6293f650, 0x032f6425, 0x00000ff4, 
      0x2fff6003, 0xf28bf650, 0x031f6425, 0x00000ff4, 
      0x30ff5002, 0x8282f650, 0x031f6426, 0x00000ff5, 
      0x30ff5002, 0x1279f650, 0x031f6427, 0x00000ff5,
   },
   { /* Y scale factor = 0.93, phases = 127, taps = 9. */
      0x61033ff3, 0x227b272f, 0xff4033f6, 0x00000003, 
      0x62033ff3, 0x2283269f, 0xff4033f6, 0x00000003, 
      0x62034ff3, 0x228c260f, 0xff4032f6, 0x00000003, 
      0x62034ff3, 0x2295257f, 0xff4032f6, 0x00000003, 
      0x63034ff3, 0x229e24ef, 0xff4031f6, 0x00000003, 
      0x63034ff3, 0x32a6245f, 0xff4031f6, 0x00000003, 
      0x64035ff3, 0x32af23bf, 0xff5030f6, 0x00000002, 
      0x64035ff3, 0x42b7232f, 0xff5030f6, 0x00000002, 
      0x65034ff3, 0x52c0229f, 0xff502ff6, 0x00000002, 
      0x66034ff2, 0x62c8220f, 0xff502ff6, 0x00000002, 
      0x67034ff2, 0x72d0216f, 0xff602ef6, 0x00000002, 
      0x68034ff2, 0x82d820df, 0xff602df6, 0x00000002, 
      0x69033ff2, 0x92e0204f, 0xff602df6, 0x00000002, 
      0x6a034ff2, 0xa2e81faf, 0xff602cf6, 0x00000002, 
      0x6b034ff3, 0xb2ef1f1f, 0xff702bf6, 0x00000001, 
      0x6c034ff3, 0xd2f71e7f, 0xff702af6, 0x00000001, 
      0x6d034ff3, 0xe2ff1def, 0xff7029f6, 0x00000001, 
      0x6f033ff3, 0x03061d4f, 0xff8028f7, 0x00000001, 
      0x70033ff3, 0x230d1cbf, 0xff8027f7, 0x00000001, 
      0x72032ff2, 0x43151c1f, 0xff9026f7, 0x00000001, 
      0x73032ff2, 0x631c1b8f, 0xff9025f7, 0x00000001, 
      0x75032ff2, 0x83231aef, 0xff9024f7, 0x00000001, 
      0x77032ff3, 0xa3291a4f, 0xffa023f7, 0x00000000, 
      0x78031ff3, 0xd33019bf, 0xffa022f7, 0x00000000, 
      0x7a030ff3, 0xf337191f, 0xffb021f7, 0x00000000, 
      0x7c030ff3, 0x233d188f, 0xffb01ff8, 0x00000000, 
      0x7e02fff3, 0x534317ef, 0xffc01ef8, 0x00000000, 
      0x8002eff3, 0x8349175f, 0xffc01df8, 0x00000000, 
      0x8202eff3, 0xb34f16bf, 0xffd01bf8, 0x00000000, 
      0x8402eff3, 0xe355162f, 0xffd01af8, 0x00000fff, 
      0x8602dff4, 0x135b158f, 0xffe018f9, 0x00000fff, 
      0x8802dff4, 0x436014ff, 0xffe017f9, 0x00000fff, 
      0x8a02cff3, 0x8366146f, 0xfff015f9, 0x00000fff, 
      0x8c02cff3, 0xc36b13cf, 0xfff014f9, 0x00000fff, 
      0x8e02bff4, 0xf370133f, 0x000012f9, 0x00000fff, 
      0x9002bff5, 0x337512af, 0x000010fa, 0x00000ffe, 
      0x9302aff4, 0x737a120f, 0x00100ffa, 0x00000ffe, 
      0x95029ff4, 0xb37f117f, 0x00200dfa, 0x00000ffe, 
      0x97029ff5, 0xf38310ef, 0x00200bfa, 0x00000ffe, 
      0x9a028ff4, 0x4387105f, 0x003009fb, 0x00000ffe, 
      0x9c027ff4, 0x838c0fcf, 0x003008fb, 0x00000ffe, 
      0x9e026ff5, 0xd3900f3f, 0x004006fb, 0x00000ffd, 
      0xa1025ff5, 0x23930eaf, 0x005004fc, 0x00000ffd, 
      0xa3025ff6, 0x63970e1f, 0x005002fc, 0x00000ffd, 
      0xa6024ff5, 0xb39b0d8f, 0x006000fc, 0x00000ffd, 
      0xa8023ff6, 0x039e0cff, 0x007ffefd, 0x00000ffd, 
      0xaa022ff6, 0x63a10c7f, 0x008ffcfd, 0x00000ffc, 
      0xad022ff6, 0xb3a40bef, 0x008ffafd, 0x00000ffc, 
      0xaf021ff6, 0x03a70b6f, 0x009ff8fe, 0x00000ffc, 
      0xb2020ff7, 0x63a90adf, 0x00aff5fe, 0x00000ffc, 
      0xb401fff7, 0xc3ac0a5f, 0x00aff3fe, 0x00000ffc, 
      0xb701eff7, 0x13ae09df, 0x00bff1ff, 0x00000ffc, 
      0xb901eff8, 0x73b0094f, 0x00cfefff, 0x00000ffb, 
      0xbc01dff7, 0xd3b208cf, 0x00dfedff, 0x00000ffb, 
      0xbe01dff8, 0x33b4084f, 0x00dfea00, 0x00000ffb, 
      0xc101bff8, 0xa3b507cf, 0x00efe800, 0x00000ffb, 
      0xc301aff8, 0x03b7074f, 0x00ffe601, 0x00000ffb, 
      0xc601aff8, 0x73b806cf, 0x010fe301, 0x00000ffa, 
      0xc9018ff8, 0xd3b9065f, 0x011fe101, 0x00000ffa, 
      0xcb018ff8, 0x43ba05df, 0x011fdf02, 0x00000ffa, 
      0xcd017ff9, 0xb3ba056f, 0x012fdc02, 0x00000ffa, 
      0xd0016ff8, 0x23bb04ef, 0x013fda03, 0x00000ffa, 
      0xd2015ffa, 0x93bb047f, 0x014fd703, 0x00000ff9, 
      0xd5014ff9, 0x03bb040f, 0x015fd504, 0x00000ff9, 
      0xd7014ffa, 0x73bb039f, 0x015fd204, 0x00000ff9, 
      0xda013ff9, 0xe3bb032f, 0x016fd004, 0x00000ff9, 
      0xdc012ffa, 0x63ba02bf, 0x017fcd05, 0x00000ff9, 
      0xdf011ffa, 0xd3ba024f, 0x018fcb05, 0x00000ff8, 
      0xe1010ffa, 0x53b901df, 0x019fc906, 0x00000ff8, 
      0xe3010ffa, 0xc3b8017f, 0x01afc606, 0x00000ff8, 
      0xe600fffb, 0x43b7010f, 0x01afc307, 0x00000ff8, 
      0xe800effb, 0xc3b500af, 0x01bfc107, 0x00000ff8, 
      0xeb00effb, 0x43b4003f, 0x01cfbe08, 0x00000ff7, 
      0xed00dffb, 0xc3b2ffdf, 0x01dfbc08, 0x00000ff7, 
      0xef00cffc, 0x43b0ff7f, 0x01efb909, 0x00000ff7, 
      0xf100bffc, 0xd3aeff1f, 0x01efb709, 0x00000ff7, 
      0xf300affc, 0x53acfecf, 0x01ffb40a, 0x00000ff7, 
      0xf500affc, 0xd3a9fe6f, 0x020fb20a, 0x00000ff7, 
      0xf8009ffc, 0x63a7fe0f, 0x021faf0b, 0x00000ff6, 
      0xfa008ffc, 0xe3a4fdbf, 0x022fad0b, 0x00000ff6, 
      0xfc008ffc, 0x73a1fd6f, 0x022faa0c, 0x00000ff6, 
      0xfe007ffd, 0xf39efd0f, 0x023fa80c, 0x00000ff6, 
      0x00006ffc, 0x839bfcb0, 0x024fa60d, 0x00000ff6, 
      0x02005ffe, 0x1397fc60, 0x025fa30e, 0x00000ff5, 
      0x04005ffd, 0xa393fc20, 0x025fa10e, 0x00000ff5, 
      0x06004ffd, 0x3390fbd0, 0x026f9e0f, 0x00000ff5, 
      0x08003ffd, 0xc38cfb80, 0x027f9c0f, 0x00000ff5, 
      0x09003ffd, 0x5387fb40, 0x028f9a10, 0x00000ff5, 
      0x0b003ffe, 0xe383faf0, 0x028f9710, 0x00000ff5, 
      0x0d001ffe, 0x737ffab0, 0x029f9511, 0x00000ff5, 
      0x0f001ffe, 0x037afa70, 0x02af9312, 0x00000ff4, 
      0x10001fff, 0xa375fa30, 0x02af9012, 0x00000ff4, 
      0x12000fff, 0x3370f9f0, 0x02bf8e13, 0x00000ff4, 
      0x14fffffe, 0xc36bf9c0, 0x02cf8c13, 0x00000ff4, 
      0x15fffffe, 0x6366f980, 0x02cf8a14, 0x00000ff4, 
      0x17ffefff, 0xf360f940, 0x02df8814, 0x00000ff4, 
      0x18ffefff, 0x835bf910, 0x02df8615, 0x00000ff4, 
      0x1affdfff, 0x2355f8e0, 0x02ef8416, 0x00000ff3, 
      0x1bffd000, 0xb34ff8b0, 0x02ef8216, 0x00000ff3, 
      0x1dffcfff, 0x5349f880, 0x02ff8017, 0x00000ff3, 
      0x1effc000, 0xe343f850, 0x02ff7e17, 0x00000ff3, 
      0x1fffb000, 0x833df820, 0x030f7c18, 0x00000ff3, 
      0x21ffb000, 0x1337f7f0, 0x030f7a19, 0x00000ff3, 
      0x22ffa000, 0xb330f7d0, 0x031f7819, 0x00000ff3, 
      0x23ffa001, 0x4329f7a0, 0x031f771a, 0x00000ff3, 
      0x24ff9000, 0xe323f780, 0x032f751a, 0x00000ff3, 
      0x25ff9000, 0x831cf760, 0x032f731b, 0x00000ff3, 
      0x26ff9000, 0x1315f740, 0x032f721c, 0x00000ff3, 
      0x27ff8001, 0xb30df720, 0x033f701c, 0x00000ff3, 
      0x28ff8001, 0x4306f700, 0x033f6f1d, 0x00000ff3, 
      0x29ff7002, 0xe2fff6e0, 0x033f6d1d, 0x00000ff3, 
      0x2aff7002, 0x72f7f6d0, 0x033f6c1e, 0x00000ff3, 
      0x2bff7001, 0x12eff6b0, 0x034f6b1f, 0x00000ff3, 
      0x2cff6001, 0xa2e8f6a0, 0x034f6a1f, 0x00000ff3, 
      0x2cff6001, 0x42e0f690, 0x034f6920, 0x00000ff3, 
      0x2dff6001, 0xd2d8f680, 0x034f6820, 0x00000ff3, 
      0x2eff6001, 0x62d0f670, 0x034f6721, 0x00000ff3, 
      0x2eff5002, 0x02c8f660, 0x034f6622, 0x00000ff3, 
      0x2fff5002, 0x92c0f650, 0x034f6522, 0x00000ff3, 
      0x30ff5003, 0x22b7f640, 0x034f6423, 0x00000ff3, 
      0x30ff5003, 0xb2aff630, 0x034f6423, 0x00000ff3, 
      0x31ff4003, 0x52a6f630, 0x034f6324, 0x00000ff3, 
      0x31ff4003, 0xe29ef620, 0x034f6324, 0x00000ff3, 
      0x32ff4003, 0x7295f620, 0x034f6225, 0x00000ff3, 
      0x32ff4003, 0x028cf620, 0x034f6226, 0x00000ff3, 
      0x33ff4003, 0x9283f620, 0x033f6226, 0x00000ff3, 
      0x33ff3003, 0x227bf620, 0x033f6227, 0x00000ff3,
   },
   { /* Y scale factor = 0.94, phases = 127, taps = 9. */
      0x5f035ff3, 0xf27c273f, 0xff2035f5, 0x00000004, 
      0x60036ff2, 0xf285269f, 0xff2035f5, 0x00000004, 
      0x60035ff2, 0xf28e260f, 0xff3035f5, 0x00000004, 
      0x61036ff1, 0xf297257f, 0xff3035f5, 0x00000003, 
      0x61036ff2, 0xf2a024ef, 0xff3034f5, 0x00000003, 
      0x62036ff2, 0x02a8244f, 0xff3034f6, 0x00000003, 
      0x63036ff2, 0x02b123bf, 0xff3033f6, 0x00000003, 
      0x64036ff2, 0x02ba231f, 0xff3033f6, 0x00000003, 
      0x64036ff2, 0x12c2228f, 0xff3033f6, 0x00000003, 
      0x65036ff1, 0x22cb21ef, 0xff4032f6, 0x00000003, 
      0x66036ff2, 0x22d3215f, 0xff4031f6, 0x00000003, 
      0x67036ff2, 0x32db20bf, 0xff4031f6, 0x00000003, 
      0x69035ff1, 0x42e4202f, 0xff4030f6, 0x00000003, 
      0x6a035ff1, 0x52ec1f8f, 0xff5030f6, 0x00000002, 
      0x6b034ff2, 0x72f41eef, 0xff502ff6, 0x00000002, 
      0x6d034ff2, 0x82fb1e5f, 0xff502ef6, 0x00000002, 
      0x6e034ff2, 0x93031dbf, 0xff602df6, 0x00000002, 
      0x70033ff2, 0xb30b1d1f, 0xff602cf6, 0x00000002, 
      0x71033ff3, 0xc3121c7f, 0xff602cf6, 0x00000002, 
      0x73032ff2, 0xe31a1bef, 0xff602bf6, 0x00000002, 
      0x74032ff2, 0x03211b4f, 0xff702af7, 0x00000002, 
      0x76032ff3, 0x23281aaf, 0xff7029f7, 0x00000001, 
      0x78031ff3, 0x432f1a0f, 0xff8028f7, 0x00000001, 
      0x7a031ff2, 0x7336197f, 0xff8026f7, 0x00000001, 
      0x7c030ff3, 0x933d18df, 0xff8025f7, 0x00000001, 
      0x7e030ff3, 0xb343183f, 0xff9024f7, 0x00000001, 
      0x8002fff3, 0xe34a179f, 0xff9023f7, 0x00000001, 
      0x8102eff3, 0x1350170f, 0xffa022f8, 0x00000001, 
      0x8402eff4, 0x4356166f, 0xffa020f8, 0x00000000, 
      0x8602dff4, 0x735c15cf, 0xffb01ff8, 0x00000000, 
      0x8802dff4, 0xa362153f, 0xffb01df8, 0x00000000, 
      0x8b02cff3, 0xd368149f, 0xffc01cf8, 0x00000000, 
      0x8d02bff4, 0x036d140f, 0xffc01bf9, 0x00000000, 
      0x8f02aff4, 0x4373136f, 0xffd019f9, 0x00000000, 
      0x9202aff4, 0x837812df, 0xffd017f9, 0x00000fff, 
      0x94029ff5, 0xb37d123f, 0xffe016f9, 0x00000fff, 
      0x96029ff5, 0xf38211af, 0xffe014f9, 0x00000fff, 
      0x99028ff4, 0x3387110f, 0xfff013fa, 0x00000fff, 
      0x9b027ff5, 0x738b107f, 0x000011fa, 0x00000fff, 
      0x9d026ff5, 0xc3900fef, 0x00000ffa, 0x00000fff, 
      0xa0025ff6, 0x03940f5f, 0x00100dfb, 0x00000ffe, 
      0xa3025ff5, 0x53980ecf, 0x00100bfb, 0x00000ffe, 
      0xa5024ff6, 0x939c0e3f, 0x002009fb, 0x00000ffe, 
      0xa8022ff5, 0xe3a00daf, 0x003008fb, 0x00000ffe, 
      0xaa022ff6, 0x33a40d0f, 0x003006fc, 0x00000ffe, 
      0xac021ff6, 0x83a70c8f, 0x004004fc, 0x00000ffe, 
      0xaf020ff7, 0xd3aa0bff, 0x005002fc, 0x00000ffd, 
      0xb2020ff6, 0x23ad0b6f, 0x006000fd, 0x00000ffd, 
      0xb401fff7, 0x83b00aef, 0x006ffdfd, 0x00000ffd, 
      0xb701eff7, 0xd3b30a5f, 0x007ffbfd, 0x00000ffd, 
      0xb901dff7, 0x33b509df, 0x008ff9fe, 0x00000ffd, 
      0xbc01dff8, 0x83b8094f, 0x008ff7fe, 0x00000ffc, 
      0xbf01bff8, 0xe3ba08cf, 0x009ff5fe, 0x00000ffc, 
      0xc101bff7, 0x43bc084f, 0x00aff3ff, 0x00000ffc, 
      0xc401aff8, 0xa3be07bf, 0x00bff0ff, 0x00000ffc, 
      0xc6019ff8, 0x13bf073f, 0x00cfee00, 0x00000ffc, 
      0xc9018ff8, 0x73c106cf, 0x00cfec00, 0x00000ffb, 
      0xcc017ff9, 0xd3c2064f, 0x00dfe900, 0x00000ffb, 
      0xce016ff9, 0x43c305cf, 0x00efe701, 0x00000ffb, 
      0xd0015ff9, 0xb3c4054f, 0x00ffe501, 0x00000ffb, 
      0xd3014ff9, 0x23c404df, 0x010fe202, 0x00000ffb, 
      0xd6014ffa, 0x83c5045f, 0x010fe002, 0x00000ffa, 
      0xd8013ffa, 0x03c503ef, 0x011fdd03, 0x00000ffa, 
      0xdb012ff9, 0x73c5037f, 0x012fdb03, 0x00000ffa, 
      0xdd011ffa, 0xe3c5030f, 0x013fd803, 0x00000ffa, 
      0xe0010ffa, 0x53c5028f, 0x014fd604, 0x00000ffa, 
      0xe2010ffa, 0xd3c4022f, 0x015fd304, 0x00000ff9, 
      0xe500fffa, 0x43c401bf, 0x015fd105, 0x00000ff9, 
      0xe700effb, 0xc3c3014f, 0x016fce05, 0x00000ff9, 
      0xe900dffb, 0x43c200df, 0x017fcc06, 0x00000ff9, 
      0xeb00cffb, 0xc3c1007f, 0x018fc906, 0x00000ff9, 
      0xee00cffc, 0x33bf001f, 0x019fc607, 0x00000ff8, 
      0xf000bffc, 0xb3beffaf, 0x01afc407, 0x00000ff8, 
      0xf3009ffc, 0x43bcff4f, 0x01bfc108, 0x00000ff8, 
      0xf5009ffc, 0xc3bafeef, 0x01bfbf08, 0x00000ff8, 
      0xf7009ffd, 0x43b8fe8f, 0x01cfbc09, 0x00000ff7, 
      0xf9008ffc, 0xd3b5fe3f, 0x01dfba09, 0x00000ff7, 
      0xfb007ffd, 0x53b3fddf, 0x01efb70a, 0x00000ff7, 
      0xfd006ffd, 0xe3b0fd8f, 0x01ffb40a, 0x00000ff7, 
      0x00005ffd, 0x63adfd20, 0x020fb20b, 0x00000ff7, 
      0x02005ffe, 0xf3aafcd0, 0x020faf0b, 0x00000ff6, 
      0x04004ffd, 0x83a7fc80, 0x021fad0c, 0x00000ff6, 
      0x06003ffd, 0x13a4fc30, 0x022faa0d, 0x00000ff6, 
      0x08002ffd, 0xa3a0fbe0, 0x023fa80d, 0x00000ff6, 
      0x09002ffe, 0x339cfb90, 0x024fa50e, 0x00000ff6, 
      0x0b001ffe, 0xc398fb50, 0x025fa30e, 0x00000ff5, 
      0x0d001fff, 0x5394fb00, 0x025fa00f, 0x00000ff5, 
      0x0f000ffe, 0xe390fac0, 0x026f9e0f, 0x00000ff5, 
      0x11000fff, 0x738bfa70, 0x027f9b10, 0x00000ff5, 
      0x13fffffe, 0x0387fa30, 0x028f9911, 0x00000ff5, 
      0x14ffe000, 0xa382f9f0, 0x028f9611, 0x00000ff5, 
      0x16ffe000, 0x337df9b0, 0x029f9412, 0x00000ff4, 
      0x17ffdfff, 0xd378f980, 0x02af9212, 0x00000ff4, 
      0x19ffdfff, 0x6373f940, 0x02bf8f13, 0x00000ff4, 
      0x1bffc000, 0x036df900, 0x02bf8d14, 0x00000ff4, 
      0x1cffcfff, 0x9368f8d0, 0x02cf8b14, 0x00000ff4, 
      0x1dffb000, 0x3362f8a0, 0x02df8815, 0x00000ff4, 
      0x1fffb001, 0xc35cf870, 0x02df8615, 0x00000ff3, 
      0x20ffa001, 0x6356f840, 0x02ef8416, 0x00000ff3, 
      0x22ffa000, 0x0350f810, 0x02ef8217, 0x00000ff3, 
      0x23ff9001, 0x934af7e0, 0x02ff8017, 0x00000ff3, 
      0x24ff9001, 0x3343f7b0, 0x030f7e18, 0x00000ff3, 
      0x25ff8001, 0xd33df790, 0x030f7c18, 0x00000ff3, 
      0x26ff7001, 0x7336f770, 0x031f7a19, 0x00000ff3, 
      0x28ff8001, 0x032ff740, 0x031f781a, 0x00000ff3, 
      0x29ff7002, 0xa328f720, 0x032f761a, 0x00000ff2, 
      0x2aff7001, 0x4321f700, 0x032f751b, 0x00000ff2, 
      0x2bff6001, 0xe31af6e0, 0x033f731b, 0x00000ff2, 
      0x2cff7002, 0x7312f6c0, 0x033f711c, 0x00000ff2, 
      0x2cff6002, 0x130bf6b0, 0x033f701d, 0x00000ff2, 
      0x2dff6002, 0xb303f690, 0x034f6e1d, 0x00000ff2, 
      0x2eff5002, 0x52fbf680, 0x034f6d1e, 0x00000ff2, 
      0x2fff5002, 0xe2f4f670, 0x034f6b1e, 0x00000ff2, 
      0x30ff4002, 0x82ecf650, 0x035f6a1f, 0x00000ff2, 
      0x30ff4002, 0x22e4f640, 0x035f6920, 0x00000ff2, 
      0x31ff5003, 0xb2dbf630, 0x035f6720, 0x00000ff2, 
      0x32ff4003, 0x52d3f620, 0x035f6621, 0x00000ff2, 
      0x32ff4002, 0xe2cbf620, 0x036f6521, 0x00000ff2, 
      0x33ff3003, 0x82c2f610, 0x036f6422, 0x00000ff2, 
      0x33ff3004, 0x12baf600, 0x036f6323, 0x00000ff2, 
      0x33ff3003, 0xb2b1f600, 0x036f6323, 0x00000ff2, 
      0x34ff3003, 0x42a8f600, 0x036f6224, 0x00000ff2, 
      0x34ff3003, 0xe2a0f5f0, 0x036f6124, 0x00000ff2, 
      0x35ff2003, 0x7297f5f0, 0x036f6125, 0x00000ff2, 
      0x35ff3003, 0x028ef5f0, 0x036f6026, 0x00000ff2, 
      0x35ff2004, 0x9285f5f0, 0x036f6026, 0x00000ff2, 
      0x35ff3004, 0x327cf5f0, 0x035f5f27, 0x00000ff2,
   },
   { /* Y scale factor = 0.95, phases = 127, taps = 9. */
      0x5e037ff2, 0xd27d273f, 0xff1037f5, 0x00000004, 
      0x5e037ff2, 0xd28626af, 0xff1037f5, 0x00000004, 
      0x5f037ff1, 0xd28f261f, 0xff1037f5, 0x00000004, 
      0x5f038ff2, 0xc298257f, 0xff1037f5, 0x00000004, 
      0x60037ff2, 0xc2a224df, 0xff1037f5, 0x00000004, 
      0x60037ff1, 0xd2ab244f, 0xff2036f5, 0x00000004, 
      0x62037ff1, 0xd2b323af, 0xff2036f5, 0x00000004, 
      0x63036ff1, 0xd2bc231f, 0xff2036f5, 0x00000004, 
      0x64037ff1, 0xd2c5227f, 0xff2035f5, 0x00000004, 
      0x65036ff1, 0xe2ce21df, 0xff2035f5, 0x00000004, 
      0x66037ff2, 0xe2d6213f, 0xff2035f5, 0x00000003, 
      0x67036ff2, 0xf2df209f, 0xff3034f5, 0x00000003, 
      0x69035ff1, 0x02e7200f, 0xff3034f6, 0x00000003, 
      0x6a035ff1, 0x12f01f6f, 0xff3033f6, 0x00000003, 
      0x6c035ff1, 0x22f81ecf, 0xff3032f6, 0x00000003, 
      0x6d034ff2, 0x33001e2f, 0xff3032f6, 0x00000003, 
      0x6f034ff1, 0x43081d8f, 0xff4031f6, 0x00000003, 
      0x71033ff2, 0x630f1cef, 0xff4030f6, 0x00000003, 
      0x72034ff2, 0x73171c4f, 0xff402ff6, 0x00000003, 
      0x74032ff2, 0x931f1baf, 0xff502ff6, 0x00000002, 
      0x76032ff2, 0xb3261b0f, 0xff502ef6, 0x00000002, 
      0x78031ff3, 0xc32e1a6f, 0xff502df6, 0x00000002, 
      0x7a031ff2, 0xe33519cf, 0xff602cf6, 0x00000002, 
      0x7c030ff2, 0x133c192f, 0xff602bf7, 0x00000002, 
      0x7e030ff2, 0x3343188f, 0xff602af7, 0x00000002, 
      0x8002fff3, 0x534917ef, 0xff7029f7, 0x00000002, 
      0x8202eff3, 0x8350174f, 0xff7028f7, 0x00000002, 
      0x8502eff3, 0xa35716bf, 0xff7026f7, 0x00000001, 
      0x8702dff3, 0xd35d161f, 0xff8025f7, 0x00000001, 
      0x8902cff4, 0x0363157f, 0xff8024f8, 0x00000001, 
      0x8c02bff4, 0x336914df, 0xff9022f8, 0x00000001, 
      0x8e02bff4, 0x636f143f, 0xff9021f8, 0x00000001, 
      0x90029ff4, 0x937513af, 0xffa020f8, 0x00000001, 
      0x93029ff4, 0xd37a130f, 0xffa01ef8, 0x00000001, 
      0x95028ff5, 0x0380126f, 0xffb01df9, 0x00000000, 
      0x98028ff4, 0x438511df, 0xffb01bf9, 0x00000000, 
      0x9a027ff5, 0x738a113f, 0xffc01af9, 0x00000000, 
      0x9d026ff5, 0xb38f10af, 0xffc018f9, 0x00000000, 
      0x9f025ff6, 0xf394100f, 0xffd016f9, 0x00000000, 
      0xa1024ff5, 0x43980f7f, 0xffe015fa, 0x00000000, 
      0xa4024ff6, 0x839d0edf, 0xffe013fa, 0x00000fff, 
      0xa7023ff6, 0xc3a10e4f, 0xfff011fa, 0x00000fff, 
      0xaa022ff6, 0x13a50dbf, 0xfff00ffb, 0x00000fff, 
      0xac021ff7, 0x53a90d2f, 0x00000dfb, 0x00000fff, 
      0xaf020ff7, 0xa3ac0c9f, 0x00100bfb, 0x00000fff, 
      0xb201fff7, 0xf3b00c0f, 0x00100afb, 0x00000ffe, 
      0xb401eff8, 0x43b30b7f, 0x002008fc, 0x00000ffe, 
      0xb701dff7, 0xa3b60aef, 0x003006fc, 0x00000ffe, 
      0xba01dff8, 0xf3b90a5f, 0x003003fc, 0x00000ffe, 
      0xbc01cff8, 0x43bc09df, 0x004001fd, 0x00000ffe, 
      0xbf01bff7, 0xa3bf094f, 0x005ffffd, 0x00000ffe, 
      0xc2019ff8, 0x03c108cf, 0x006ffdfe, 0x00000ffd, 
      0xc5019ff9, 0x53c3083f, 0x006ffbfe, 0x00000ffd, 
      0xc7018ff9, 0xb3c507bf, 0x007ff9fe, 0x00000ffd, 
      0xc9018ff9, 0x13c7073f, 0x008ff6ff, 0x00000ffd, 
      0xcc016ff9, 0x83c906af, 0x009ff4ff, 0x00000ffd, 
      0xcf015ffa, 0xe3ca063f, 0x009ff2ff, 0x00000ffc, 
      0xd1015ffa, 0x43cc05bf, 0x00afef00, 0x00000ffc, 
      0xd4014ff9, 0xb3cd053f, 0x00bfed00, 0x00000ffc, 
      0xd7012ff9, 0x23ce04bf, 0x00cfeb01, 0x00000ffc, 
      0xd9012ffb, 0x83ce044f, 0x00dfe801, 0x00000ffb, 
      0xdc011ffa, 0xf3cf03cf, 0x00efe601, 0x00000ffb, 
      0xde011ffb, 0x63cf035f, 0x00efe302, 0x00000ffb, 
      0xe100fffa, 0xe3cf02ef, 0x00ffe102, 0x00000ffb, 
      0xe300effc, 0x53cf026f, 0x010fde03, 0x00000ffb, 
      0xe600effb, 0xc3cf01ff, 0x011fdc03, 0x00000ffa, 
      0xe800dffc, 0x43ce018f, 0x012fd904, 0x00000ffa, 
      0xeb00bffb, 0xb3ce012f, 0x013fd704, 0x00000ffa, 
      0xed00bffb, 0x33cd00bf, 0x014fd405, 0x00000ffa, 
      0xef00affc, 0xb3cc004f, 0x015fd105, 0x00000ffa, 
      0xf2009ffd, 0x33caffef, 0x015fcf06, 0x00000ff9, 
      0xf4009ffc, 0xb3c9ff8f, 0x016fcc06, 0x00000ff9, 
      0xf7008ffd, 0x33c7ff1f, 0x017fc907, 0x00000ff9, 
      0xf9007ffd, 0xb3c5febf, 0x018fc707, 0x00000ff9, 
      0xfb007ffe, 0x33c3fe5f, 0x019fc408, 0x00000ff8, 
      0xfd005ffd, 0xc3c1fe0f, 0x01afc208, 0x00000ff8, 
      0xff005ffd, 0x43bffdaf, 0x01bfbf09, 0x00000ff8, 
      0x01004ffe, 0xd3bcfd40, 0x01cfbc09, 0x00000ff8, 
      0x03004ffe, 0x53b9fcf0, 0x01dfba0a, 0x00000ff7, 
      0x06003ffe, 0xe3b6fca0, 0x01dfb70a, 0x00000ff7, 
      0x08002fff, 0x73b3fc40, 0x01efb40b, 0x00000ff7, 
      0x0a001ffe, 0x03b0fbf0, 0x01ffb20c, 0x00000ff7, 
      0x0b001fff, 0x93acfba0, 0x020faf0c, 0x00000ff7, 
      0x0d001fff, 0x23a9fb50, 0x021fac0d, 0x00000ff6, 
      0x0fffffff, 0xb3a5fb10, 0x022faa0d, 0x00000ff6, 
      0x11ffffff, 0x43a1fac0, 0x023fa70e, 0x00000ff6, 
      0x13ffe000, 0xd39dfa80, 0x023fa40e, 0x00000ff6, 
      0x15ffdfff, 0x7398fa40, 0x024fa20f, 0x00000ff6, 
      0x17ffd000, 0x0394f9f0, 0x025f9f10, 0x00000ff5, 
      0x18ffc000, 0xa38ff9b0, 0x026f9d10, 0x00000ff5, 
      0x1affc000, 0x338af970, 0x027f9a11, 0x00000ff5, 
      0x1bffb000, 0xd385f930, 0x028f9811, 0x00000ff5, 
      0x1dffb001, 0x6380f900, 0x028f9512, 0x00000ff4, 
      0x1effa001, 0x037af8d0, 0x029f9313, 0x00000ff4, 
      0x20ffa000, 0xa375f890, 0x02af9013, 0x00000ff4, 
      0x21ff9001, 0x336ff860, 0x02bf8e14, 0x00000ff4, 
      0x22ff9001, 0xd369f830, 0x02bf8c14, 0x00000ff4, 
      0x24ff8001, 0x7363f800, 0x02cf8915, 0x00000ff4, 
      0x25ff8001, 0x135df7d0, 0x02df8716, 0x00000ff3, 
      0x26ff7001, 0xb357f7a0, 0x02ef8516, 0x00000ff3, 
      0x28ff7002, 0x4350f780, 0x02ef8217, 0x00000ff3, 
      0x29ff7002, 0xe349f750, 0x02ff8017, 0x00000ff3, 
      0x2aff6001, 0x8343f730, 0x030f7e18, 0x00000ff3, 
      0x2bff6001, 0x233cf710, 0x030f7c19, 0x00000ff3, 
      0x2cff6002, 0xc335f6e0, 0x031f7a19, 0x00000ff2, 
      0x2dff5003, 0x632ef6c0, 0x031f781a, 0x00000ff2, 
      0x2eff5002, 0x0326f6b0, 0x032f761b, 0x00000ff2, 
      0x2fff5002, 0xa31ff690, 0x032f741b, 0x00000ff2, 
      0x2fff5003, 0x4317f670, 0x033f721c, 0x00000ff2, 
      0x30ff4003, 0xe30ff660, 0x033f711c, 0x00000ff2, 
      0x31ff4002, 0x8308f640, 0x034f6f1d, 0x00000ff2, 
      0x32ff3003, 0x2300f630, 0x034f6d1e, 0x00000ff2, 
      0x32ff3003, 0xc2f8f620, 0x035f6c1e, 0x00000ff1, 
      0x33ff3003, 0x62f0f610, 0x035f6a1f, 0x00000ff1, 
      0x34ff2003, 0x02e7f600, 0x036f6920, 0x00000ff1, 
      0x34ff3004, 0x92dff5f0, 0x036f6720, 0x00000ff1, 
      0x35ff3004, 0x32d6f5e0, 0x036f6621, 0x00000ff1, 
      0x35ff2004, 0xd2cef5e0, 0x036f6521, 0x00000ff1, 
      0x35ff2004, 0x72c5f5d0, 0x037f6422, 0x00000ff1, 
      0x36ff2003, 0x12bcf5d0, 0x037f6323, 0x00000ff1, 
      0x36ff2004, 0xa2b3f5d0, 0x037f6223, 0x00000ff1, 
      0x36ff2003, 0x42abf5d0, 0x037f6124, 0x00000ff1, 
      0x37ff1005, 0xd2a2f5c0, 0x037f6024, 0x00000ff1, 
      0x37ff2005, 0x7298f5c0, 0x037f5f25, 0x00000ff1, 
      0x37ff1004, 0x128ff5d0, 0x037f5f26, 0x00000ff1, 
      0x37ff1005, 0xa286f5d0, 0x037f5e26, 0x00000ff1, 
      0x37ff1005, 0x327df5d0, 0x037f5e27, 0x00000ff1,
   },
   { /* Y scale factor = 0.96, phases = 127, taps = 9. */
      0x5c039ff1, 0xb27d274f, 0xff0039f5, 0x00000005, 
      0x5d039ff0, 0xb28726af, 0xff0039f5, 0x00000005, 
      0x5d039ff1, 0xa290261f, 0xff0039f5, 0x00000005, 
      0x5e039ff0, 0xa29a257f, 0xff0039f5, 0x00000005, 
      0x5f038ff1, 0xa2a324df, 0xff0039f5, 0x00000005, 
      0x60038ff1, 0xa2ac243f, 0xff0039f5, 0x00000005, 
      0x61038ff0, 0xa2b6239f, 0xff1039f5, 0x00000004, 
      0x62038ff1, 0xa2bf22ff, 0xff1038f5, 0x00000004, 
      0x64037ff1, 0xa2c8225f, 0xff1038f5, 0x00000004, 
      0x65037ff1, 0xa2d121bf, 0xff1038f5, 0x00000004, 
      0x67037ff1, 0xb2d9211f, 0xff1037f5, 0x00000004, 
      0x68037ff1, 0xb2e2207f, 0xff1037f5, 0x00000004, 
      0x6a036ff0, 0xc2eb1fdf, 0xff1037f5, 0x00000004, 
      0x6b035ff2, 0xd2f31f3f, 0xff1036f5, 0x00000004, 
      0x6c034ff1, 0xe2fc1e9f, 0xff2036f5, 0x00000004, 
      0x6e034ff1, 0xf3041dff, 0xff2035f5, 0x00000004, 
      0x70034ff1, 0x030c1d5f, 0xff2034f6, 0x00000004, 
      0x72033ff2, 0x13141cbf, 0xff2034f6, 0x00000003, 
      0x75033ff2, 0x231c1c0f, 0xff2033f6, 0x00000003, 
      0x76032ff2, 0x43241b6f, 0xff3032f6, 0x00000003, 
      0x78031ff3, 0x532b1acf, 0xff3032f6, 0x00000003, 
      0x7a031ff2, 0x73331a2f, 0xff3031f6, 0x00000003, 
      0x7c030ff2, 0x933a198f, 0xff4030f6, 0x00000003, 
      0x7f02fff2, 0xb34118ef, 0xff402ff6, 0x00000003, 
      0x8102fff2, 0xd349183f, 0xff402ef6, 0x00000003, 
      0x8302eff3, 0xf350179f, 0xff502df6, 0x00000002, 
      0x8502eff4, 0x135616ff, 0xff502cf7, 0x00000002, 
      0x8802cff4, 0x435d165f, 0xff502bf7, 0x00000002, 
      0x8a02cff3, 0x636415bf, 0xff602af7, 0x00000002, 
      0x8d02bff3, 0x936a151f, 0xff6029f7, 0x00000002, 
      0x8f02aff5, 0xc370147f, 0xff6027f7, 0x00000002, 
      0x92029ff4, 0xf37613df, 0xff7026f7, 0x00000002, 
      0x94028ff5, 0x237c133f, 0xff7025f8, 0x00000002, 
      0x97028ff5, 0x5382129f, 0xff8023f8, 0x00000001, 
      0x99027ff5, 0x9387120f, 0xff8022f8, 0x00000001, 
      0x9c026ff5, 0xc38d116f, 0xff9020f8, 0x00000001, 
      0x9f025ff5, 0x039210cf, 0xff901ff9, 0x00000001, 
      0xa1024ff5, 0x4397103f, 0xffa01df9, 0x00000001, 
      0xa4023ff5, 0x839c0f9f, 0xffa01cf9, 0x00000001, 
      0xa6022ff7, 0xc3a10eff, 0xffb01af9, 0x00000000, 
      0xa9022ff7, 0x03a50e6f, 0xffb018fa, 0x00000000, 
      0xac020ff7, 0x43a90ddf, 0xffc017fa, 0x00000000, 
      0xaf01fff6, 0x93ae0d3f, 0xffd015fa, 0x00000000, 
      0xb101fff7, 0xd3b20caf, 0xffd013fa, 0x00000000, 
      0xb401eff7, 0x23b50c1f, 0xffe011fb, 0x00000000, 
      0xb701dff7, 0x73b90b8f, 0xfff00ffb, 0x00000fff, 
      0xba01cff8, 0xc3bc0aff, 0xfff00dfb, 0x00000fff, 
      0xbc01bff8, 0x13c00a6f, 0x00000bfc, 0x00000fff, 
      0xbf01aff8, 0x63c309df, 0x001009fc, 0x00000fff, 
      0xc2019ff9, 0xc3c5094f, 0x001007fc, 0x00000fff, 
      0xc4018ff9, 0x13c808cf, 0x002005fd, 0x00000fff, 
      0xc7017ff9, 0x73cb083f, 0x003003fd, 0x00000ffe, 
      0xca016ff9, 0xd3cd07bf, 0x003001fd, 0x00000ffe, 
      0xcd015ffa, 0x23cf072f, 0x004ffffe, 0x00000ffe, 
      0xcf015ffa, 0x83d106af, 0x005ffcfe, 0x00000ffe, 
      0xd2013ff9, 0xf3d3062f, 0x006ffafe, 0x00000ffe, 
      0xd5012ffa, 0x53d405af, 0x007ff8ff, 0x00000ffd, 
      0xd7012ffb, 0xb3d5052f, 0x007ff6ff, 0x00000ffd, 
      0xda011ffb, 0x23d604af, 0x008ff300, 0x00000ffd, 
      0xdd010ffa, 0x93d7042f, 0x009ff100, 0x00000ffd, 
      0xdf00fffc, 0xf3d803bf, 0x00afee00, 0x00000ffc, 
      0xe200effb, 0x63d9033f, 0x00bfec01, 0x00000ffc, 
      0xe400dffc, 0xd3d902cf, 0x00cfe901, 0x00000ffc, 
      0xe700cffb, 0x53d9025f, 0x00cfe702, 0x00000ffc, 
      0xe900cffc, 0xc3d901df, 0x00dfe402, 0x00000ffc, 
      0xec00bffc, 0x33d9016f, 0x00efe203, 0x00000ffb, 
      0xee00affd, 0xb3d800ff, 0x00ffdf03, 0x00000ffb, 
      0xf1009ffc, 0x23d7009f, 0x010fdd04, 0x00000ffb, 
      0xf3008ffd, 0xa3d6002f, 0x011fda04, 0x00000ffb, 
      0xf6007ffe, 0x23d5ffbf, 0x012fd705, 0x00000ffa, 
      0xf8006ffd, 0xa3d4ff5f, 0x013fd505, 0x00000ffa, 
      0xfa005ffd, 0x23d3feff, 0x014fd206, 0x00000ffa, 
      0xfc006ffe, 0xa3d1fe8f, 0x014fcf06, 0x00000ffa, 
      0xff005ffe, 0x23cffe2f, 0x015fcd07, 0x00000ff9, 
      0x01003ffe, 0xb3cdfdd0, 0x016fca07, 0x00000ff9, 
      0x03003ffe, 0x33cbfd70, 0x017fc708, 0x00000ff9, 
      0x05002fff, 0xc3c8fd10, 0x018fc408, 0x00000ff9, 
      0x07002fff, 0x43c5fcc0, 0x019fc209, 0x00000ff8, 
      0x09001fff, 0xd3c3fc60, 0x01afbf09, 0x00000ff8, 
      0x0b000fff, 0x63c0fc10, 0x01bfbc0a, 0x00000ff8, 
      0x0dffffff, 0xf3bcfbc0, 0x01cfba0a, 0x00000ff8, 
      0x0fffefff, 0x83b9fb70, 0x01dfb70b, 0x00000ff8, 
      0x11ffe000, 0x13b5fb20, 0x01efb40c, 0x00000ff7, 
      0x13ffd000, 0xa3b2fad0, 0x01ffb10c, 0x00000ff7, 
      0x15ffcfff, 0x33aefa90, 0x020faf0d, 0x00000ff7, 
      0x17ffc000, 0xd3a9fa40, 0x020fac0d, 0x00000ff7, 
      0x18ffc001, 0x63a5fa00, 0x021fa90e, 0x00000ff6, 
      0x1affb001, 0xf3a1f9c0, 0x022fa60e, 0x00000ff6, 
      0x1cffa000, 0x939cf980, 0x023fa40f, 0x00000ff6, 
      0x1dffa000, 0x3397f940, 0x024fa110, 0x00000ff6, 
      0x1fff9001, 0xc392f900, 0x025f9f10, 0x00000ff5, 
      0x20ff9001, 0x638df8c0, 0x026f9c11, 0x00000ff5, 
      0x22ff8001, 0x0387f890, 0x027f9912, 0x00000ff5, 
      0x23ff8001, 0x9382f850, 0x028f9712, 0x00000ff5, 
      0x25ff8002, 0x337cf820, 0x028f9413, 0x00000ff4, 
      0x26ff7002, 0xd376f7f0, 0x029f9213, 0x00000ff4, 
      0x27ff7002, 0x7370f7c0, 0x02af8f14, 0x00000ff4, 
      0x29ff6001, 0x136af790, 0x02bf8d15, 0x00000ff4, 
      0x2aff5002, 0xb364f760, 0x02cf8a15, 0x00000ff4, 
      0x2bff5003, 0x535df740, 0x02cf8816, 0x00000ff3, 
      0x2cff5003, 0xf356f720, 0x02df8516, 0x00000ff3, 
      0x2dff5002, 0x9350f6f0, 0x02ef8317, 0x00000ff3, 
      0x2eff4002, 0x3349f6d0, 0x02ff8118, 0x00000ff3, 
      0x2fff4002, 0xe341f6b0, 0x02ff7f18, 0x00000ff3, 
      0x30ff4003, 0x833af690, 0x030f7c19, 0x00000ff2, 
      0x31ff3003, 0x2333f670, 0x031f7a1a, 0x00000ff2, 
      0x32ff3004, 0xc32bf650, 0x031f781a, 0x00000ff2, 
      0x32ff3003, 0x6324f640, 0x032f761b, 0x00000ff2, 
      0x33ff2004, 0x031cf620, 0x033f741c, 0x00000ff2, 
      0x34ff2003, 0xb314f610, 0x033f721c, 0x00000ff2, 
      0x34ff2004, 0x530cf600, 0x034f701d, 0x00000ff1, 
      0x35ff2003, 0xf304f5f0, 0x034f6f1d, 0x00000ff1, 
      0x36ff1003, 0x92fcf5e0, 0x035f6d1e, 0x00000ff1, 
      0x36ff2004, 0x32f3f5d0, 0x035f6b1f, 0x00000ff1, 
      0x37ff1003, 0xd2ebf5c0, 0x036f6a1f, 0x00000ff1, 
      0x37ff2004, 0x72e2f5b0, 0x036f6820, 0x00000ff1, 
      0x37ff1005, 0x12d9f5b0, 0x037f6621, 0x00000ff1, 
      0x38ff1004, 0xb2d1f5a0, 0x037f6521, 0x00000ff1, 
      0x38ff1004, 0x52c8f5a0, 0x037f6422, 0x00000ff1, 
      0x38ff1005, 0xf2bff5a0, 0x038f6222, 0x00000ff0, 
      0x39ff1004, 0x92b6f5a0, 0x038f6123, 0x00000ff0, 
      0x39ff1005, 0x32acf5a0, 0x038f6024, 0x00000ff0, 
      0x39ff1005, 0xd2a3f5a0, 0x038f5f24, 0x00000ff0, 
      0x39ff0005, 0x729af5a0, 0x039f5e25, 0x00000ff0, 
      0x39ff1005, 0x1290f5a0, 0x039f5d26, 0x00000ff0, 
      0x39ff0005, 0xa287f5b0, 0x039f5d26, 0x00000ff0, 
      0x39ff1005, 0x427df5b0, 0x039f5c27, 0x00000ff0,
   },
   { /* Y scale factor = 0.97, phases = 127, taps = 9. */
      0x5b03aff0, 0xa27e274f, 0xff003af5, 0x00000005, 
      0x5c03aff0, 0x928826bf, 0xfef03af5, 0x00000005, 
      0x5d039fef, 0x9292261f, 0xfef03bf5, 0x00000005, 
      0x5e039ff0, 0x829b257f, 0xfef03bf5, 0x00000005, 
      0x5f039fef, 0x82a524df, 0xfef03bf5, 0x00000005, 
      0x60039ff0, 0x82ae242f, 0xfef03bf5, 0x00000005, 
      0x61038ff1, 0x72b8238f, 0xfef03bf5, 0x00000005, 
      0x63038ff0, 0x72c122ef, 0xff003af5, 0x00000005, 
      0x64038ff0, 0x72ca224f, 0xff003af5, 0x00000005, 
      0x66037ff0, 0x72d321af, 0xff003af5, 0x00000005, 
      0x67037ff0, 0x82dc20ff, 0xff003af5, 0x00000005, 
      0x69036ff0, 0x82e5205f, 0xff003af5, 0x00000005, 
      0x6b036ff1, 0x82ee1fbf, 0xff0039f5, 0x00000004, 
      0x6c036ff1, 0x92f71f0f, 0xff0039f5, 0x00000004, 
      0x6e035ff1, 0xa2ff1e6f, 0xff0039f5, 0x00000004, 
      0x70034ff2, 0xa3081dcf, 0xff0038f5, 0x00000004, 
      0x72034ff2, 0xb3101d1f, 0xff0038f5, 0x00000004, 
      0x74033ff2, 0xc3181c7f, 0xff1037f5, 0x00000004, 
      0x76031ff1, 0xe3211bdf, 0xff1037f5, 0x00000004, 
      0x78031ff2, 0xf3291b2f, 0xff1036f5, 0x00000004, 
      0x7b030ff3, 0x03301a8f, 0xff1035f6, 0x00000004, 
      0x7d030ff2, 0x233819df, 0xff1035f6, 0x00000004, 
      0x7f02fff2, 0x3340193f, 0xff2034f6, 0x00000004, 
      0x8102fff3, 0x5347189f, 0xff2033f6, 0x00000003, 
      0x8402eff4, 0x734e17ef, 0xff2032f6, 0x00000003, 
      0x8602dff3, 0x9356174f, 0xff3031f6, 0x00000003, 
      0x8902cff3, 0xb35d16af, 0xff3030f6, 0x00000003, 
      0x8b02bff4, 0xe363160f, 0xff302ff6, 0x00000003, 
      0x8e02aff5, 0x036a155f, 0xff302ef7, 0x00000003, 
      0x90029ff4, 0x337114bf, 0xff402df7, 0x00000003, 
      0x93028ff5, 0x5377141f, 0xff402cf7, 0x00000003, 
      0x96027ff4, 0x837d137f, 0xff502bf7, 0x00000003, 
      0x98027ff6, 0xb38312df, 0xff5029f7, 0x00000002, 
      0x9b026ff6, 0xe389123f, 0xff5028f7, 0x00000002, 
      0x9e024ff5, 0x238f119f, 0xff6027f8, 0x00000002, 
      0xa1024ff6, 0x539410ff, 0xff6025f8, 0x00000002, 
      0xa3023ff6, 0x839a105f, 0xff7024f8, 0x00000002, 
      0xa6022ff6, 0xc39f0fbf, 0xff7023f8, 0x00000002, 
      0xa9020ff6, 0x03a40f2f, 0xff8021f9, 0x00000002, 
      0xac020ff7, 0x43a90e8f, 0xff801ff9, 0x00000001, 
      0xae01fff8, 0x83ad0def, 0xff901ef9, 0x00000001, 
      0xb101eff8, 0xc3b20d5f, 0xff901cf9, 0x00000001, 
      0xb401dff8, 0x13b60cbf, 0xffa01afa, 0x00000001, 
      0xb701cff7, 0x53ba0c2f, 0xffb019fa, 0x00000001, 
      0xb901bff8, 0xa3be0b9f, 0xffb017fa, 0x00000001, 
      0xbc01aff9, 0xe3c20b0f, 0xffc015fa, 0x00000000, 
      0xbf01aff9, 0x33c50a7f, 0xffc013fb, 0x00000000, 
      0xc2018ff9, 0x83c909ef, 0xffd011fb, 0x00000000, 
      0xc4017ff9, 0xe3cc095f, 0xffe00ffb, 0x00000000, 
      0xc7016ffa, 0x33cf08cf, 0xffe00dfc, 0x00000000, 
      0xcb016ffa, 0x83d1083f, 0xfff00bfc, 0x00000fff, 
      0xcd015ffa, 0xe3d407af, 0x000009fc, 0x00000fff, 
      0xd0013ffa, 0x43d6072f, 0x001007fd, 0x00000fff, 
      0xd2012ffa, 0xa3d906af, 0x001005fd, 0x00000fff, 
      0xd5012ffa, 0x03da061f, 0x002003fe, 0x00000fff, 
      0xd8011ffa, 0x63dc059f, 0x003000fe, 0x00000fff, 
      0xdb00fffb, 0xc3de051f, 0x004ffefe, 0x00000ffe, 
      0xdd00fffc, 0x23df049f, 0x004ffcff, 0x00000ffe, 
      0xe000effc, 0x93e0041f, 0x005ff9ff, 0x00000ffe, 
      0xe300dffb, 0x03e1039f, 0x006ff700, 0x00000ffe, 
      0xe500cffc, 0x63e2032f, 0x007ff500, 0x00000ffd, 
      0xe800bffd, 0xd3e202af, 0x008ff200, 0x00000ffd, 
      0xea00affc, 0x43e3023f, 0x009ff001, 0x00000ffd, 
      0xed00affd, 0xb3e301bf, 0x009fed01, 0x00000ffd, 
      0xef008ffd, 0x33e3014f, 0x00afeb02, 0x00000ffd, 
      0xf2008ffe, 0xa3e200df, 0x00bfe802, 0x00000ffc, 
      0xf5007ffd, 0x23e2006f, 0x00cfe503, 0x00000ffc, 
      0xf7006ffd, 0x93e1000f, 0x00dfe303, 0x00000ffc, 
      0xf9005ffe, 0x13e0ff9f, 0x00efe004, 0x00000ffc, 
      0xfc004fff, 0x93dfff2f, 0x00ffdd04, 0x00000ffb, 
      0xfe003ffe, 0x13defecf, 0x010fdb05, 0x00000ffb, 
      0x00003ffe, 0x93dcfe60, 0x011fd805, 0x00000ffb, 
      0x03002ffe, 0x13dafe00, 0x012fd506, 0x00000ffb, 
      0x05001ffe, 0xa3d9fda0, 0x012fd306, 0x00000ffa, 
      0x07001fff, 0x23d6fd40, 0x013fd007, 0x00000ffa, 
      0x09000000, 0xa3d4fce0, 0x014fcd07, 0x00000ffa, 
      0x0b000000, 0x33d1fc80, 0x015fca08, 0x00000ffa, 
      0x0dfff000, 0xc3cffc30, 0x016fc708, 0x00000ff9, 
      0x0fffefff, 0x53ccfbe0, 0x017fc509, 0x00000ff9, 
      0x11ffd000, 0xe3c9fb80, 0x018fc209, 0x00000ff9, 
      0x13ffc001, 0x73c5fb30, 0x019fbf0a, 0x00000ff9, 
      0x15ffc001, 0x03c2fae0, 0x01afbc0b, 0x00000ff8, 
      0x17ffb001, 0x93befaa0, 0x01bfb90b, 0x00000ff8, 
      0x19ffb000, 0x23bafa50, 0x01cfb70c, 0x00000ff8, 
      0x1affa001, 0xb3b6fa10, 0x01dfb40c, 0x00000ff8, 
      0x1cff9002, 0x53b2f9c0, 0x01efb10d, 0x00000ff7, 
      0x1eff9002, 0xe3adf980, 0x01ffae0d, 0x00000ff7, 
      0x1fff8002, 0x83a9f940, 0x020fab0e, 0x00000ff7, 
      0x21ff7001, 0x23a4f900, 0x021fa90f, 0x00000ff7, 
      0x23ff7002, 0xb39ff8c0, 0x022fa60f, 0x00000ff6, 
      0x24ff7002, 0x539af880, 0x023fa310, 0x00000ff6, 
      0x25ff7002, 0xf394f850, 0x024fa010, 0x00000ff6, 
      0x26ff5002, 0x938ff820, 0x025f9e11, 0x00000ff6, 
      0x28ff5003, 0x3389f7e0, 0x026f9b12, 0x00000ff5, 
      0x29ff5003, 0xd383f7b0, 0x027f9812, 0x00000ff5, 
      0x2bff5002, 0x737df780, 0x027f9613, 0x00000ff5, 
      0x2cff4003, 0x1377f750, 0x028f9314, 0x00000ff5, 
      0x2dff4003, 0xb371f730, 0x029f9014, 0x00000ff4, 
      0x2eff4003, 0x536af700, 0x02af8e15, 0x00000ff4, 
      0x2fff3003, 0x0363f6e0, 0x02bf8b16, 0x00000ff4, 
      0x30ff2003, 0xa35df6b0, 0x02cf8916, 0x00000ff4, 
      0x31ff3003, 0x4356f690, 0x02df8617, 0x00000ff3, 
      0x32ff3004, 0xe34ef670, 0x02df8417, 0x00000ff3, 
      0x33ff2004, 0x9347f650, 0x02ef8118, 0x00000ff3, 
      0x34ff2003, 0x3340f630, 0x02ff7f19, 0x00000ff3, 
      0x35ff1004, 0xd338f620, 0x030f7d19, 0x00000ff2, 
      0x35ff2004, 0x8330f600, 0x030f7b1a, 0x00000ff2, 
      0x36ff1004, 0x2329f5f0, 0x031f781b, 0x00000ff2, 
      0x37ff0003, 0xd321f5e0, 0x032f761b, 0x00000ff2, 
      0x37ff1004, 0x7318f5c0, 0x033f741c, 0x00000ff2, 
      0x38ff1005, 0x1310f5b0, 0x033f721d, 0x00000ff1, 
      0x38ff0005, 0xc308f5a0, 0x034f701d, 0x00000ff1, 
      0x39ff0004, 0x62fff5a0, 0x035f6e1e, 0x00000ff1, 
      0x39ff0005, 0x02f7f590, 0x035f6c1f, 0x00000ff1, 
      0x39ff0004, 0xb2eef580, 0x036f6b1f, 0x00000ff1, 
      0x3aff0004, 0x52e5f580, 0x036f6920, 0x00000ff1, 
      0x3aff0004, 0xf2dcf580, 0x037f6720, 0x00000ff1, 
      0x3aff0005, 0xa2d3f570, 0x037f6621, 0x00000ff0, 
      0x3aff0005, 0x42caf570, 0x038f6422, 0x00000ff0, 
      0x3aff0005, 0xe2c1f570, 0x038f6322, 0x00000ff0, 
      0x3bff0005, 0x82b8f570, 0x038f6123, 0x00000ff0, 
      0x3bfef005, 0x22aef580, 0x039f6024, 0x00000ff0, 
      0x3afef005, 0xd2a5f580, 0x039f5f24, 0x00000ff0, 
      0x3bfef005, 0x729bf580, 0x039f5e25, 0x00000ff0, 
      0x3afef005, 0x1292f580, 0x03af5d26, 0x00000ff0, 
      0x3afef006, 0xa288f590, 0x03af5c26, 0x00000ff0, 
      0x3aff0005, 0x427ef5a0, 0x03af5b27, 0x00000ff0,
   },
   { /* Y scale factor = 0.98, phases = 127, taps = 9. */
      0x5903bfef, 0x927f275f, 0xfef03bf5, 0x00000006, 
      0x5b03afef, 0x828926af, 0xfef03cf5, 0x00000006, 
      0x5c03aff0, 0x7293260f, 0xfef03cf5, 0x00000005, 
      0x5d03aff0, 0x729c256f, 0xfef03cf5, 0x00000005, 
      0x5f03afef, 0x62a624cf, 0xfef03cf5, 0x00000005, 
      0x60039ff0, 0x62b0241f, 0xfef03cf5, 0x00000005, 
      0x62039fef, 0x52ba237f, 0xfef03cf5, 0x00000005, 
      0x63038ff0, 0x52c322df, 0xfef03cf5, 0x00000005, 
      0x65037ff0, 0x52cd222f, 0xfef03cf5, 0x00000005, 
      0x66037ff0, 0x52d6218f, 0xfef03cf5, 0x00000005, 
      0x68036ff1, 0x52df20df, 0xfef03cf5, 0x00000005, 
      0x6a036ff0, 0x52e8203f, 0xfef03cf5, 0x00000005, 
      0x6c035ff1, 0x52f11f8f, 0xfef03cf5, 0x00000005, 
      0x6e035ff1, 0x52fa1eef, 0xfef03bf5, 0x00000005, 
      0x70034ff1, 0x63031e3f, 0xfef03bf5, 0x00000005, 
      0x72033ff1, 0x730c1d8f, 0xfef03bf5, 0x00000005, 
      0x74033ff2, 0x73141cef, 0xfef03af5, 0x00000005, 
      0x76032ff2, 0x831d1c3f, 0xfef03af5, 0x00000005, 
      0x79030ff2, 0x93251b9f, 0xfef03af5, 0x00000005, 
      0x7b030ff3, 0xa32d1aef, 0xfef039f5, 0x00000005, 
      0x7d02fff3, 0xc3351a3f, 0xff0039f5, 0x00000004, 
      0x8002eff3, 0xd33d199f, 0xff0038f5, 0x00000004, 
      0x8202eff4, 0xe34518ef, 0xff0037f5, 0x00000004, 
      0x8502cff3, 0x034d184f, 0xff0037f6, 0x00000004, 
      0x8702cff4, 0x2354179f, 0xff0036f6, 0x00000004, 
      0x8a02bff3, 0x435b16ff, 0xff1035f6, 0x00000004, 
      0x8c02aff4, 0x6363164f, 0xff1034f6, 0x00000004, 
      0x8f029ff4, 0x836a15af, 0xff1033f6, 0x00000004, 
      0x92028ff5, 0xa37014ff, 0xff2032f6, 0x00000004, 
      0x94028ff5, 0xc377145f, 0xff2031f6, 0x00000004, 
      0x97026ff6, 0xf37e13bf, 0xff2030f6, 0x00000003, 
      0x9a026ff6, 0x2384130f, 0xff202ff7, 0x00000003, 
      0x9d024ff6, 0x538a126f, 0xff302ef7, 0x00000003, 
      0xa0023ff6, 0x839011cf, 0xff302df7, 0x00000003, 
      0xa2022ff6, 0xb396112f, 0xff402cf7, 0x00000003, 
      0xa5021ff7, 0xe39c108f, 0xff402af7, 0x00000003, 
      0xa8021ff7, 0x13a10fef, 0xff4029f8, 0x00000003, 
      0xaa01fff7, 0x53a70f4f, 0xff5028f8, 0x00000003, 
      0xae01fff8, 0x83ac0eaf, 0xff5026f8, 0x00000002, 
      0xb101dff8, 0xc3b10e0f, 0xff6025f8, 0x00000002, 
      0xb301dff8, 0x03b60d7f, 0xff6023f9, 0x00000002, 
      0xb601bff9, 0x43ba0cdf, 0xff7022f9, 0x00000002, 
      0xb901aff9, 0x93bf0c3f, 0xff7020f9, 0x00000002, 
      0xbc019ff9, 0xd3c30baf, 0xff801ef9, 0x00000002, 
      0xbf018ff9, 0x23c60b0f, 0xff901dfa, 0x00000002, 
      0xc2017ffa, 0x63cb0a7f, 0xff901bfa, 0x00000001, 
      0xc5016ffa, 0xb3ce09ef, 0xffa019fa, 0x00000001, 
      0xc8015ffa, 0x03d2095f, 0xffa017fb, 0x00000001, 
      0xcb014ffa, 0x53d508cf, 0xffb015fb, 0x00000001, 
      0xcd013ffb, 0xa3d8083f, 0xffc013fb, 0x00000001, 
      0xd0013ffb, 0x03db07af, 0xffc011fc, 0x00000000, 
      0xd3012ffb, 0x53dd072f, 0xffd00ffc, 0x00000000, 
      0xd6010ffb, 0xb3e0069f, 0xffe00dfc, 0x00000000, 
      0xd900fffb, 0x13e2061f, 0xffe00bfd, 0x00000000, 
      0xdb00fffb, 0x73e4058f, 0xfff009fd, 0x00000000, 
      0xde00effb, 0xd3e6050f, 0x000006fd, 0x00000000, 
      0xe100dffc, 0x33e7048f, 0x001004fe, 0x00000fff, 
      0xe400cffc, 0x93e9040f, 0x001002fe, 0x00000fff, 
      0xe600bffc, 0x03ea038f, 0x002000ff, 0x00000fff, 
      0xe900affd, 0x63eb030f, 0x003ffdff, 0x00000fff, 
      0xec008ffd, 0xd3ec029f, 0x004ffbff, 0x00000ffe, 
      0xee008ffe, 0x43ec021f, 0x005ff800, 0x00000ffe, 
      0xf1007ffe, 0xb3ec01af, 0x005ff600, 0x00000ffe, 
      0xf3007ffe, 0x23ed012f, 0x006ff301, 0x00000ffe, 
      0xf6005ffe, 0xa3ec00bf, 0x007ff101, 0x00000ffe, 
      0xf8005fff, 0x13ec004f, 0x008fee02, 0x00000ffd, 
      0xfb003ffe, 0x93ecffdf, 0x009fec02, 0x00000ffd, 
      0xfd003fff, 0x03ebff6f, 0x00afe903, 0x00000ffd, 
      0x00002ffe, 0x83eaff00, 0x00bfe603, 0x00000ffd, 
      0x02001fff, 0x03e9fe90, 0x00cfe404, 0x00000ffc, 
      0x04001fff, 0x83e7fe30, 0x00dfe104, 0x00000ffc, 
      0x06000fff, 0x03e6fdd0, 0x00efde05, 0x00000ffc, 
      0x09ffffff, 0x83e4fd70, 0x00ffdb05, 0x00000ffc, 
      0x0bffe000, 0x13e2fd10, 0x00ffd906, 0x00000ffb, 
      0x0dffe000, 0x93e0fcb0, 0x010fd606, 0x00000ffb, 
      0x0fffd001, 0x23ddfc50, 0x011fd307, 0x00000ffb, 
      0x11ffc001, 0xa3dbfc00, 0x012fd007, 0x00000ffb, 
      0x14ffc001, 0x33d8fba0, 0x013fcd08, 0x00000ffa, 
      0x15ffb001, 0xc3d5fb50, 0x014fcb08, 0x00000ffa, 
      0x17ffa001, 0x53d2fb00, 0x015fc809, 0x00000ffa, 
      0x19ffa001, 0xe3cefab0, 0x016fc509, 0x00000ffa, 
      0x1bff9002, 0x73cbfa60, 0x017fc20a, 0x00000ff9, 
      0x1dff8001, 0x13c7fa20, 0x018fbf0b, 0x00000ff9, 
      0x1eff8002, 0xa3c3f9d0, 0x019fbc0b, 0x00000ff9, 
      0x20ff8002, 0x33bff990, 0x01afb90c, 0x00000ff8, 
      0x22ff7002, 0xd3baf950, 0x01bfb60c, 0x00000ff8, 
      0x23ff6003, 0x73b6f900, 0x01cfb30d, 0x00000ff8, 
      0x25ff6002, 0x03b1f8c0, 0x01dfb10e, 0x00000ff8, 
      0x26ff6003, 0xa3acf880, 0x01efae0e, 0x00000ff7, 
      0x28ff5002, 0x43a7f850, 0x01ffab0f, 0x00000ff7, 
      0x29ff5003, 0xe3a1f810, 0x020fa80f, 0x00000ff7, 
      0x2aff4003, 0x839cf7e0, 0x021fa510, 0x00000ff7, 
      0x2cff4003, 0x2396f7b0, 0x022fa211, 0x00000ff6, 
      0x2dff3003, 0xc390f780, 0x023fa011, 0x00000ff6, 
      0x2eff3003, 0x638af750, 0x024f9d12, 0x00000ff6, 
      0x2fff3004, 0x0384f720, 0x025f9a13, 0x00000ff5, 
      0x30ff2004, 0xb37ef6f0, 0x026f9713, 0x00000ff5, 
      0x32ff2004, 0x5377f6c0, 0x027f9414, 0x00000ff5, 
      0x32ff2004, 0xf370f6a0, 0x028f9214, 0x00000ff5, 
      0x33ff1004, 0xa36af680, 0x029f8f15, 0x00000ff4, 
      0x34ff1004, 0x4363f660, 0x02af8c16, 0x00000ff4, 
      0x35ff1003, 0xf35bf640, 0x02bf8a16, 0x00000ff4, 
      0x36ff0004, 0x9354f620, 0x02cf8717, 0x00000ff4, 
      0x36ff0004, 0x434df600, 0x02df8518, 0x00000ff3, 
      0x37ff0005, 0xe345f5e0, 0x02ef8218, 0x00000ff3, 
      0x38ff0004, 0x933df5d0, 0x02ef8019, 0x00000ff3, 
      0x39ff0004, 0x3335f5c0, 0x02ff7d1a, 0x00000ff3, 
      0x39ff0005, 0xe32df5a0, 0x030f7b1a, 0x00000ff2, 
      0x3afef004, 0x9325f590, 0x031f791b, 0x00000ff2, 
      0x3afef005, 0x331df580, 0x032f761c, 0x00000ff2, 
      0x3aff0005, 0xe314f570, 0x032f741c, 0x00000ff2, 
      0x3bfef005, 0x830cf570, 0x033f721d, 0x00000ff1, 
      0x3bfef005, 0x3303f560, 0x034f701e, 0x00000ff1, 
      0x3bfef005, 0xe2faf550, 0x035f6e1e, 0x00000ff1, 
      0x3cfef005, 0x82f1f550, 0x035f6c1f, 0x00000ff1, 
      0x3cfee005, 0x32e8f550, 0x036f6a20, 0x00000ff1, 
      0x3cfef006, 0xd2dff550, 0x036f6820, 0x00000ff0, 
      0x3cfef005, 0x82d6f550, 0x037f6621, 0x00000ff0, 
      0x3cfee005, 0x22cdf550, 0x038f6522, 0x00000ff0, 
      0x3cfef005, 0xd2c3f550, 0x038f6322, 0x00000ff0, 
      0x3cfee005, 0x72baf550, 0x039f6223, 0x00000ff0, 
      0x3cfef005, 0x12b0f560, 0x039f6024, 0x00000ff0, 
      0x3cfee005, 0xc2a6f560, 0x03af5f24, 0x00000ff0, 
      0x3cfef006, 0x629cf570, 0x03af5d25, 0x00000fef, 
      0x3cfef006, 0x0293f570, 0x03af5c26, 0x00000fef, 
      0x3cfef005, 0xa289f580, 0x03bf5b26, 0x00000fef, 
      0x3bfef005, 0x527ff590, 0x03bf5a27, 0x00000fef,
   },
   { /* Y scale factor = 0.99, phases = 127, taps = 9. */
      0x5a03bfee, 0x827f275f, 0xfef03cf5, 0x00000006, 
      0x5b03cfef, 0x728926af, 0xfee03cf5, 0x00000006, 
      0x5c03bfef, 0x6293260f, 0xfee03df5, 0x00000006, 
      0x5e03aff0, 0x529d255f, 0xfee03df5, 0x00000006, 
      0x5f03afef, 0x52a724bf, 0xfee03df5, 0x00000006, 
      0x61039ff0, 0x42b1240f, 0xfee03df5, 0x00000006, 
      0x62038ff0, 0x32bb236f, 0xfee03ef5, 0x00000006, 
      0x64037ff0, 0x32c522bf, 0xfee03ef5, 0x00000006, 
      0x65037ff0, 0x32cf220f, 0xfee03ef5, 0x00000006, 
      0x68036ff0, 0x22d8216f, 0xfee03ef5, 0x00000006, 
      0x6a036ff0, 0x22e220bf, 0xfee03ef5, 0x00000005, 
      0x6c035ff1, 0x22eb200f, 0xfee03ef5, 0x00000005, 
      0x6e034ff2, 0x22f41f5f, 0xfee03ef5, 0x00000005, 
      0x70034ff1, 0x22fd1ebf, 0xfee03ef5, 0x00000005, 
      0x72033ff1, 0x33071e0f, 0xfee03df5, 0x00000005, 
      0x74033ff2, 0x330f1d5f, 0xfee03df5, 0x00000005, 
      0x77031ff2, 0x43181caf, 0xfee03df5, 0x00000005, 
      0x79030ff3, 0x43211bff, 0xfee03df5, 0x00000005, 
      0x7c030ff3, 0x53291b4f, 0xfee03cf5, 0x00000005, 
      0x7e02fff2, 0x63321aaf, 0xfee03cf5, 0x00000005, 
      0x8002eff3, 0x733a19ff, 0xfee03cf5, 0x00000005, 
      0x8302dff4, 0x8342194f, 0xfee03bf5, 0x00000005, 
      0x8602cff3, 0xa34a189f, 0xfee03bf5, 0x00000005, 
      0x8802bff4, 0xb35217ef, 0xfef03af5, 0x00000005, 
      0x8b029ff4, 0xd35a174f, 0xfef039f5, 0x00000005, 
      0x8e029ff4, 0xe361169f, 0xfef039f5, 0x00000005, 
      0x90028ff5, 0x036915ef, 0xfef038f6, 0x00000005, 
      0x93027ff6, 0x2370154f, 0xfef037f6, 0x00000004, 
      0x96026ff6, 0x4377149f, 0xff0036f6, 0x00000004, 
      0x99025ff6, 0x637e13ff, 0xff0035f6, 0x00000004, 
      0x9c024ff6, 0x9384135f, 0xff0034f6, 0x00000004, 
      0x9f023ff7, 0xb38b12af, 0xff0033f6, 0x00000004, 
      0xa2022ff7, 0xe39111ff, 0xff1032f6, 0x00000004, 
      0xa4021ff7, 0x1398115f, 0xff1031f7, 0x00000004, 
      0xa7020ff7, 0x439e10bf, 0xff1030f7, 0x00000004, 
      0xaa01fff7, 0x73a3101f, 0xff202ff7, 0x00000004, 
      0xad01eff8, 0xa3a90f6f, 0xff202ef7, 0x00000004, 
      0xb001dff8, 0xe3af0ecf, 0xff302cf7, 0x00000003, 
      0xb301cff9, 0x13b40e2f, 0xff302bf8, 0x00000003, 
      0xb601bff8, 0x53b90d9f, 0xff302af8, 0x00000003, 
      0xb901aff8, 0x93be0cff, 0xff4028f8, 0x00000003, 
      0xbc018ff9, 0xd3c30c5f, 0xff4027f8, 0x00000003, 
      0xbf017ffa, 0x13c70bbf, 0xff5025f9, 0x00000003, 
      0xc2016ffa, 0x53cb0b2f, 0xff5024f9, 0x00000003, 
      0xc5015ffa, 0xa3d00a8f, 0xff6022f9, 0x00000002, 
      0xc8015ffb, 0xe3d309ff, 0xff6020f9, 0x00000002, 
      0xcb013ffa, 0x33d7096f, 0xff701ffa, 0x00000002, 
      0xcd012ffa, 0x83db08df, 0xff801dfa, 0x00000002, 
      0xd1011ffb, 0xd3de083f, 0xff801bfa, 0x00000002, 
      0xd3010ffc, 0x23e107af, 0xff9019fb, 0x00000002, 
      0xd6010ffc, 0x73e4072f, 0xff9017fb, 0x00000001, 
      0xd900effc, 0xd3e7069f, 0xffa015fb, 0x00000001, 
      0xdc00dffd, 0x23e9060f, 0xffb013fc, 0x00000001, 
      0xdf00cffd, 0x83eb058f, 0xffb011fc, 0x00000001, 
      0xe200bffc, 0xe3ee04ff, 0xffc00ffc, 0x00000001, 
      0xe400affd, 0x43ef047f, 0xffd00dfd, 0x00000001, 
      0xe7009ffe, 0xa3f103ff, 0xffe00afd, 0x00000000, 
      0xea009ffe, 0x03f2037f, 0xffe008fe, 0x00000000, 
      0xed007ffd, 0x73f402ff, 0xfff006fe, 0x00000000, 
      0xef007ffe, 0xd3f5027f, 0x000003fe, 0x00000000, 
      0xf2006ffe, 0x43f501ff, 0x001001ff, 0x00000000, 
      0xf5005ffe, 0xb3f6018f, 0x001fffff, 0x00000fff, 
      0xf7005fff, 0x23f6010f, 0x002ffc00, 0x00000fff, 
      0xfa003fff, 0x93f6009f, 0x003ffa00, 0x00000fff, 
      0xfc002000, 0x03f6002f, 0x004ff701, 0x00000fff, 
      0xff001fff, 0x83f6ffbf, 0x005ff501, 0x00000ffe, 
      0x01001000, 0xf3f5ff40, 0x006ff201, 0x00000ffe, 
      0x03000000, 0x73f5fed0, 0x007fef02, 0x00000ffe, 
      0x05ffffff, 0xf3f4fe70, 0x008fed02, 0x00000ffe, 
      0x08ffe001, 0x73f2fe00, 0x009fea03, 0x00000ffd, 
      0x0affe001, 0xf3f1fda0, 0x009fe703, 0x00000ffd, 
      0x0dffd001, 0x73effd40, 0x00afe404, 0x00000ffd, 
      0x0fffc000, 0xf3eefce0, 0x00bfe204, 0x00000ffd, 
      0x11ffc001, 0x83ebfc80, 0x00cfdf05, 0x00000ffc, 
      0x13ffb002, 0x03e9fc20, 0x00dfdc06, 0x00000ffc, 
      0x15ffa001, 0x93e7fbd0, 0x00efd906, 0x00000ffc, 
      0x17ff9002, 0x23e4fb70, 0x00ffd607, 0x00000ffc, 
      0x19ff9002, 0xa3e2fb20, 0x010fd307, 0x00000ffb, 
      0x1bff8002, 0x33defad0, 0x011fd108, 0x00000ffb, 
      0x1dff7001, 0xd3dbfa80, 0x012fce08, 0x00000ffb, 
      0x1eff7002, 0x63d7fa30, 0x013fcb09, 0x00000ffb, 
      0x20ff7003, 0xf3d3f9e0, 0x014fc809, 0x00000ffa, 
      0x22ff6002, 0x83d0f9a0, 0x015fc50a, 0x00000ffa, 
      0x24ff5003, 0x23cbf950, 0x016fc20b, 0x00000ffa, 
      0x26ff5003, 0xb3c7f910, 0x017fbf0b, 0x00000ff9, 
      0x27ff4002, 0x53c3f8d0, 0x019fbc0c, 0x00000ff9, 
      0x28ff3003, 0xf3bef890, 0x01afb90c, 0x00000ff9, 
      0x29ff3003, 0x93b9f850, 0x01bfb60d, 0x00000ff9, 
      0x2bff3004, 0x23b4f810, 0x01cfb30e, 0x00000ff8, 
      0x2cff3003, 0xc3aff7e0, 0x01dfb00e, 0x00000ff8, 
      0x2eff2004, 0x63a9f7a0, 0x01efad0f, 0x00000ff8, 
      0x2fff2004, 0x13a3f770, 0x01ffaa10, 0x00000ff7, 
      0x30ff1004, 0xb39ef740, 0x020fa710, 0x00000ff7, 
      0x31ff1004, 0x5398f710, 0x021fa411, 0x00000ff7, 
      0x33ff1004, 0xf391f6e0, 0x022fa111, 0x00000ff7, 
      0x33ff0005, 0xa38bf6b0, 0x023f9f12, 0x00000ff6, 
      0x34ff0005, 0x4384f690, 0x024f9c13, 0x00000ff6, 
      0x35ff0004, 0xf37ef660, 0x025f9913, 0x00000ff6, 
      0x36ff0005, 0x9377f640, 0x026f9614, 0x00000ff5, 
      0x37fef005, 0x4370f620, 0x027f9315, 0x00000ff5, 
      0x38fef005, 0xe369f600, 0x028f9015, 0x00000ff5, 
      0x39fef004, 0x9361f5e0, 0x029f8e16, 0x00000ff5, 
      0x39fef004, 0x435af5d0, 0x02af8b17, 0x00000ff4, 
      0x3afef005, 0xe352f5b0, 0x02bf8817, 0x00000ff4, 
      0x3bfee004, 0x934af5a0, 0x02cf8618, 0x00000ff4, 
      0x3bfef005, 0x4342f580, 0x02df8319, 0x00000ff3, 
      0x3cfee005, 0xf33af570, 0x02ef8019, 0x00000ff3, 
      0x3bfee005, 0xa332f560, 0x02ff7e1a, 0x00000ff3, 
      0x3cfef006, 0x4329f550, 0x02ff7b1b, 0x00000ff3, 
      0x3dfee006, 0xf321f540, 0x030f791b, 0x00000ff2, 
      0x3dfee005, 0xa318f540, 0x031f771c, 0x00000ff2, 
      0x3dfee006, 0x530ff530, 0x032f741d, 0x00000ff2, 
      0x3dfed005, 0x0307f530, 0x033f721e, 0x00000ff2, 
      0x3efee005, 0xb2fdf520, 0x034f701e, 0x00000ff1, 
      0x3efee006, 0x52f4f520, 0x034f6e1f, 0x00000ff1, 
      0x3efee005, 0x02ebf520, 0x035f6c20, 0x00000ff1, 
      0x3efed005, 0xb2e2f520, 0x036f6a20, 0x00000ff1, 
      0x3efee005, 0x62d8f520, 0x037f6821, 0x00000ff0, 
      0x3efee005, 0x02cff530, 0x037f6622, 0x00000ff0, 
      0x3efee005, 0xb2c5f530, 0x038f6422, 0x00000ff0, 
      0x3efee006, 0x62bbf530, 0x038f6223, 0x00000ff0, 
      0x3dfee006, 0x02b1f540, 0x039f6124, 0x00000ff0, 
      0x3dfee006, 0xb2a7f550, 0x03af5f24, 0x00000fef, 
      0x3dfef006, 0x529df550, 0x03af5e25, 0x00000fef, 
      0x3dfee006, 0x0293f560, 0x03bf5c26, 0x00000fef, 
      0x3cfef006, 0xa289f570, 0x03bf5b26, 0x00000fef, 
      0x3cfee005, 0x527ff580, 0x03cf5a27, 0x00000fef,
   },
   { /* Y scale factor = 1.00, phases = 127, taps = 9. */
      0x5903cfef, 0x827f275f, 0xfee03cf5, 0x00000006, 
      0x5b03bfee, 0x728a26af, 0xfee03df5, 0x00000006, 
      0x5c03bfef, 0x629425ff, 0xfee03df5, 0x00000006, 
      0x5e03afef, 0x529e255f, 0xfee03df5, 0x00000006, 
      0x5f039fef, 0x42a924af, 0xfee03ef5, 0x00000006, 
      0x61039fef, 0x32b323ff, 0xfee03ef5, 0x00000006, 
      0x63038fef, 0x22bd234f, 0xfee03ff5, 0x00000006, 
      0x65037ff1, 0x12c7229f, 0xfed03ff5, 0x00000006, 
      0x67036ff1, 0x12d121ef, 0xfed03ff5, 0x00000006, 
      0x69036ff1, 0x02db213f, 0xfed03ff5, 0x00000006, 
      0x6b035ff2, 0x02e4208f, 0xfed03ff5, 0x00000006, 
      0x6e034ff1, 0x02ee1fdf, 0xfed03ff5, 0x00000006, 
      0x70033ff2, 0x02f71f2f, 0xfed03ff5, 0x00000006, 
      0x72032ff2, 0x03011e7f, 0xfed03ff5, 0x00000006, 
      0x75031ff2, 0x030a1dcf, 0xfed03ff5, 0x00000006, 
      0x77031ff2, 0x03131d1f, 0xfed03ff5, 0x00000006, 
      0x7a030ff2, 0x031c1c6f, 0xfed03ff5, 0x00000006, 
      0x7c02fff2, 0x13251bbf, 0xfed03ff5, 0x00000006, 
      0x7f02dff3, 0x132e1b0f, 0xfed03ff5, 0x00000006, 
      0x8102dff4, 0x23361a5f, 0xfed03ff5, 0x00000005, 
      0x8402cff4, 0x333f19af, 0xfed03ef5, 0x00000005, 
      0x8702bff4, 0x434718ff, 0xfed03ef5, 0x00000005, 
      0x8a02aff5, 0x534f184f, 0xfed03df5, 0x00000005, 
      0x8d029ff5, 0x6357179f, 0xfed03df5, 0x00000005, 
      0x8f028ff5, 0x835f16ef, 0xfed03df5, 0x00000005, 
      0x92027ff5, 0x9367163f, 0xfee03cf5, 0x00000005, 
      0x95026ff6, 0xb36e158f, 0xfee03bf5, 0x00000005, 
      0x97024ff6, 0xd37614ef, 0xfee03bf5, 0x00000005, 
      0x9b023ff6, 0xf37d143f, 0xfee03af5, 0x00000005, 
      0x9e022ff7, 0x1384138f, 0xfee039f6, 0x00000005, 
      0xa0022ff7, 0x338b12ef, 0xfee038f6, 0x00000005, 
      0xa3020ff8, 0x5392123f, 0xfef037f6, 0x00000005, 
      0xa601fff8, 0x8398118f, 0xfef037f6, 0x00000005, 
      0xa901eff7, 0xb39f10ef, 0xfef036f6, 0x00000005, 
      0xad01dff8, 0xd3a5104f, 0xfef035f6, 0x00000004, 
      0xb001cff9, 0x03ab0f9f, 0xff0033f7, 0x00000004, 
      0xb301bff9, 0x33b10eff, 0xff0032f7, 0x00000004, 
      0xb601aff9, 0x73b60e5f, 0xff0031f7, 0x00000004, 
      0xb9018ff9, 0xa3bc0dbf, 0xff1030f7, 0x00000004, 
      0xbc017ff9, 0xe3c10d1f, 0xff102ff7, 0x00000004, 
      0xbf017ff9, 0x13c60c7f, 0xff202df8, 0x00000004, 
      0xc2015ffa, 0x53cb0bdf, 0xff202cf8, 0x00000004, 
      0xc5014ffb, 0x93d00b3f, 0xff202af8, 0x00000004, 
      0xc8014ffb, 0xd3d40a9f, 0xff3029f8, 0x00000003, 
      0xcb012ffc, 0x23d80a0f, 0xff3027f9, 0x00000003, 
      0xce011ffc, 0x63dc096f, 0xff4026f9, 0x00000003, 
      0xd1010ffc, 0xb3e008df, 0xff4024f9, 0x00000003, 
      0xd400fffc, 0xf3e4084f, 0xff5022f9, 0x00000003, 
      0xd700effd, 0x43e707bf, 0xff5020fa, 0x00000003, 
      0xda00dffc, 0x93ea072f, 0xff601ffa, 0x00000003, 
      0xdd00cffc, 0xf3ed069f, 0xff701dfa, 0x00000002, 
      0xe000bffd, 0x43f0060f, 0xff701bfb, 0x00000002, 
      0xe200affd, 0xa3f3057f, 0xff8019fb, 0x00000002, 
      0xe5009ffd, 0xf3f504ff, 0xff9017fb, 0x00000002, 
      0xe8008ffe, 0x53f7046f, 0xff9015fc, 0x00000002, 
      0xea007ffe, 0xb3f903ef, 0xffa013fc, 0x00000002, 
      0xee006ffe, 0x13fb036f, 0xffb010fd, 0x00000001, 
      0xf0006fff, 0x73fc02ef, 0xffb00efd, 0x00000001, 
      0xf3004fff, 0xe3fd026f, 0xffc00cfd, 0x00000001, 
      0xf6003fff, 0x43fe01ef, 0xffd00afe, 0x00000001, 
      0xf8003fff, 0xb3ff016f, 0xffe007fe, 0x00000001, 
      0xfb002fff, 0x240000ff, 0xffe005ff, 0x00000000, 
      0xfe001000, 0x9400007f, 0xfff002ff, 0x00000000, 
      0x00000000, 0x04000000, 0x00000000, 0x00000000, 
      0x02fff001, 0x7400ff90, 0x001ffd00, 0x00000000, 
      0x04ffe000, 0xf400ff20, 0x002ffb00, 0x00000000, 
      0x07ffe001, 0x63fffeb0, 0x003ff801, 0x00000fff, 
      0x0affd001, 0xe3fefe40, 0x003ff601, 0x00000fff, 
      0x0cffc001, 0x63fdfde0, 0x004ff302, 0x00000fff, 
      0x0effb002, 0xe3fcfd70, 0x005ff002, 0x00000fff, 
      0x10ffb001, 0x63fbfd10, 0x006fee03, 0x00000ffe, 
      0x13ffa001, 0xe3f9fcb0, 0x007feb03, 0x00000ffe, 
      0x15ff9002, 0x63f7fc50, 0x008fe804, 0x00000ffe, 
      0x17ff9001, 0xf3f5fbf0, 0x009fe504, 0x00000ffe, 
      0x19ff8002, 0x73f3fba0, 0x00afe205, 0x00000ffd, 
      0x1bff7002, 0x03f0fb40, 0x00bfe006, 0x00000ffd, 
      0x1dff6002, 0x93edfaf0, 0x00cfdd06, 0x00000ffd, 
      0x1fff6002, 0x23eafa90, 0x00dfda07, 0x00000ffd, 
      0x20ff6003, 0xb3e7fa40, 0x00efd707, 0x00000ffc, 
      0x22ff5003, 0x43e4f9f0, 0x00ffd408, 0x00000ffc, 
      0x24ff4003, 0xd3e0f9b0, 0x010fd108, 0x00000ffc, 
      0x26ff4004, 0x63dcf960, 0x011fce09, 0x00000ffb, 
      0x27ff3004, 0x03d8f920, 0x012fcb0a, 0x00000ffb, 
      0x29ff3004, 0x93d4f8d0, 0x013fc80a, 0x00000ffb, 
      0x2aff2004, 0x33d0f890, 0x014fc50b, 0x00000ffb, 
      0x2cff2004, 0xd3cbf850, 0x015fc20b, 0x00000ffa, 
      0x2dff2003, 0x73c6f810, 0x017fbf0c, 0x00000ffa, 
      0x2eff1003, 0x13c1f7e0, 0x018fbc0d, 0x00000ffa, 
      0x30ff0004, 0xb3bcf7a0, 0x019fb90d, 0x00000ff9, 
      0x31ff0004, 0x53b6f770, 0x01afb60e, 0x00000ff9, 
      0x32ff0004, 0xf3b1f730, 0x01bfb30e, 0x00000ff9, 
      0x33ff0005, 0x93abf700, 0x01cfb00f, 0x00000ff8, 
      0x35fef004, 0x43a5f6d0, 0x01dfad10, 0x00000ff8, 
      0x36fef004, 0xe39ff6b0, 0x01efa910, 0x00000ff8, 
      0x37fef005, 0x8398f680, 0x01ffa611, 0x00000ff8, 
      0x38fef005, 0x3392f650, 0x020fa312, 0x00000ff7, 
      0x38fef005, 0xe38bf630, 0x021fa012, 0x00000ff7, 
      0x39fee005, 0x8384f610, 0x022f9e13, 0x00000ff7, 
      0x3afee004, 0x337df5f0, 0x024f9b14, 0x00000ff6, 
      0x3afed005, 0xe376f5d0, 0x025f9814, 0x00000ff6, 
      0x3bfee005, 0x836ef5b0, 0x026f9515, 0x00000ff6, 
      0x3cfee005, 0x3367f590, 0x027f9216, 0x00000ff5, 
      0x3dfed005, 0xe35ff580, 0x028f8f16, 0x00000ff5, 
      0x3dfed006, 0x9357f560, 0x029f8c17, 0x00000ff5, 
      0x3dfee006, 0x434ff550, 0x02af8918, 0x00000ff4, 
      0x3efed005, 0xf347f540, 0x02bf8718, 0x00000ff4, 
      0x3efed005, 0xa33ff530, 0x02cf8419, 0x00000ff4, 
      0x3ffed005, 0x5336f520, 0x02df811a, 0x00000ff4, 
      0x3ffed005, 0x032ef510, 0x02ef7f1b, 0x00000ff3, 
      0x3ffed005, 0xb325f510, 0x02ff7c1b, 0x00000ff3, 
      0x3ffed005, 0x631cf500, 0x030f7a1c, 0x00000ff3, 
      0x3ffed006, 0x1313f500, 0x031f771d, 0x00000ff2, 
      0x3ffed006, 0xc30af500, 0x031f751d, 0x00000ff2, 
      0x3ffed006, 0x7301f500, 0x032f721e, 0x00000ff2, 
      0x3ffed006, 0x22f7f500, 0x033f701f, 0x00000ff2, 
      0x3ffed006, 0xd2eef500, 0x034f6e1f, 0x00000ff1, 
      0x3ffee006, 0x82e4f500, 0x035f6b20, 0x00000ff1, 
      0x3ffed006, 0x32dbf500, 0x036f6921, 0x00000ff1, 
      0x3ffee006, 0xe2d1f510, 0x036f6721, 0x00000ff0, 
      0x3ffee006, 0x92c7f510, 0x037f6522, 0x00000ff0, 
      0x3ffee005, 0x42bdf520, 0x038f6323, 0x00000ff0, 
      0x3efee005, 0xf2b3f530, 0x039f6123, 0x00000ff0, 
      0x3efed005, 0xa2a9f540, 0x039f6024, 0x00000ff0, 
      0x3dfee006, 0x529ef550, 0x03af5e25, 0x00000fef, 
      0x3dfee006, 0xf294f560, 0x03bf5c25, 0x00000fef, 
      0x3dfee005, 0xa28af570, 0x03bf5b26, 0x00000fef, 
      0x3cfee006, 0x527ff580, 0x03cf5927, 0x00000fef,
   },
   { /* Y scale factor = 1.01, phases = 127, taps = 9. */
      0x42039feb, 0x029f293f, 0xfea039f4, 0x00000005, 
      0x43038feb, 0xf2aa288f, 0xfea03af3, 0x00000005, 
      0x45038feb, 0xd2b527df, 0xfea03af3, 0x00000005, 
      0x47037feb, 0xc2c0271f, 0xfea03bf3, 0x00000005, 
      0x48037feb, 0xb2cb266f, 0xfea03bf3, 0x00000005, 
      0x4b036fec, 0xa2d625af, 0xfe903bf3, 0x00000005, 
      0x4c035fed, 0x92e124ef, 0xfe903cf3, 0x00000005, 
      0x4e034fec, 0x92ec243f, 0xfe903cf3, 0x00000005, 
      0x51034fec, 0x82f6237f, 0xfe903cf3, 0x00000005, 
      0x53033fed, 0x730122bf, 0xfe903cf3, 0x00000005, 
      0x55032fee, 0x730b21ff, 0xfe903cf3, 0x00000005, 
      0x57031fed, 0x7315214f, 0xfe903df3, 0x00000005, 
      0x5a030fee, 0x731f208f, 0xfe803df3, 0x00000005, 
      0x5d02ffef, 0x63291fcf, 0xfe803df3, 0x00000005, 
      0x5f02ffef, 0x73331f0f, 0xfe803cf3, 0x00000005, 
      0x6202efef, 0x733d1e4f, 0xfe803cf3, 0x00000005, 
      0x6502dfef, 0x73471d8f, 0xfe803cf3, 0x00000005, 
      0x6702cfef, 0x83501cdf, 0xfe803cf3, 0x00000005, 
      0x6a02bfef, 0x835a1c1f, 0xfe803cf3, 0x00000005, 
      0x6d02aff0, 0x93631b5f, 0xfe803bf3, 0x00000005, 
      0x70029ff0, 0xa36c1a9f, 0xfe803bf3, 0x00000005, 
      0x73028ff0, 0xb37519df, 0xfe803bf3, 0x00000005, 
      0x76027ff1, 0xc37e192f, 0xfe803af3, 0x00000004, 
      0x79026ff2, 0xd386186f, 0xfe803af3, 0x00000004, 
      0x7c024ff2, 0xf38f17af, 0xfe9039f3, 0x00000004, 
      0x7f023ff3, 0x039716ff, 0xfe9038f4, 0x00000004, 
      0x82022ff3, 0x239f163f, 0xfe9038f4, 0x00000004, 
      0x85021ff4, 0x43a7157f, 0xfe9037f4, 0x00000004, 
      0x88020ff4, 0x63af14cf, 0xfe9036f4, 0x00000004, 
      0x8c020ff4, 0x83b6140f, 0xfe9035f4, 0x00000004, 
      0x8f01eff4, 0xb3be135f, 0xfe9034f4, 0x00000004, 
      0x9201dff4, 0xd3c512af, 0xfea033f4, 0x00000004, 
      0x9501cff5, 0x03cc11ef, 0xfea032f5, 0x00000004, 
      0x9901aff5, 0x33d3113f, 0xfea031f5, 0x00000004, 
      0x9c01aff6, 0x63d9108f, 0xfea030f5, 0x00000003, 
      0x9f018ff6, 0x93e00fdf, 0xfeb02ff5, 0x00000003, 
      0xa2017ff7, 0xc3e60f2f, 0xfeb02ef5, 0x00000003, 
      0xa6016ff7, 0x03ec0e7f, 0xfeb02cf6, 0x00000003, 
      0xa9015ff7, 0x33f20dcf, 0xfec02bf6, 0x00000003, 
      0xac014ff7, 0x73f80d2f, 0xfec029f6, 0x00000003, 
      0xb0012ff7, 0xb3fd0c7f, 0xfed028f6, 0x00000003, 
      0xb3012ff8, 0xf4020bcf, 0xfed026f6, 0x00000003, 
      0xb6011ff9, 0x34070b2f, 0xfed025f7, 0x00000002, 
      0xba00fff8, 0x840c0a8f, 0xfee023f7, 0x00000002, 
      0xbd00fff9, 0xc41009ef, 0xfee021f7, 0x00000002, 
      0xc000dff9, 0x1415093f, 0xfef020f8, 0x00000002, 
      0xc300cffa, 0x6419089f, 0xfef01ef8, 0x00000002, 
      0xc700bff9, 0xb41d07ff, 0xff001cf8, 0x00000002, 
      0xca00affb, 0x0420076f, 0xff001af9, 0x00000001, 
      0xcd009ffa, 0x642406cf, 0xff1018f9, 0x00000001, 
      0xd0008ffb, 0xb427062f, 0xff2016f9, 0x00000001, 
      0xd3007ffb, 0x142a059f, 0xff2014fa, 0x00000001, 
      0xd6005ffb, 0x742d050f, 0xff3012fa, 0x00000001, 
      0xd9005ffc, 0xd42f046f, 0xff400ffa, 0x00000001, 
      0xdd004ffc, 0x343103ef, 0xff400dfb, 0x00000000, 
      0xe0002ffc, 0xa433035f, 0xff500bfb, 0x00000000, 
      0xe3002ffc, 0x043502cf, 0xff6008fc, 0x00000000, 
      0xe5001ffd, 0x7437023f, 0xff6006fc, 0x00000000, 
      0xe8fffffd, 0xe43801bf, 0xff7004fc, 0x00000000, 
      0xebfffffe, 0x5439012f, 0xff8001fd, 0x00000fff, 
      0xeeffeffe, 0xc43a00af, 0xff9ffefd, 0x00000fff, 
      0xf1ffdffd, 0x343b002f, 0xffaffcfe, 0x00000fff, 
      0xf4ffcffe, 0xb43bffaf, 0xffaff9fe, 0x00000fff, 
      0xf7ffbfff, 0x243bff2f, 0xffbff7ff, 0x00000ffe, 
      0xf9ffafff, 0xa43bfebf, 0xffcff4ff, 0x00000ffe, 
      0xfcffaffe, 0x243bfe3f, 0xffdff100, 0x00000ffe, 
      0xfeff9fff, 0xa43afdcf, 0xffefee00, 0x00000ffe, 
      0x01ff8000, 0x2439fd50, 0xffffeb01, 0x00000ffd, 
      0x04ff7fff, 0xb438fce0, 0x000fe801, 0x00000ffd, 
      0x06ff6000, 0x3437fc70, 0x001fe502, 0x00000ffd, 
      0x08ff6fff, 0xc435fc00, 0x002fe302, 0x00000ffd, 
      0x0bff4000, 0x5433fba0, 0x003fe003, 0x00000ffc, 
      0x0dff5001, 0xd431fb30, 0x004fdc03, 0x00000ffc, 
      0x0fff4001, 0x642ffad0, 0x005fd904, 0x00000ffc, 
      0x12ff3000, 0x042dfa70, 0x006fd605, 0x00000ffb, 
      0x14ff2001, 0x942afa10, 0x007fd305, 0x00000ffb, 
      0x16ff2001, 0x2427f9b0, 0x008fd006, 0x00000ffb, 
      0x18ff1001, 0xc424f960, 0x009fcd06, 0x00000ffa, 
      0x1aff0002, 0x6420f900, 0x00afca07, 0x00000ffa, 
      0x1cff0001, 0xf41df8b0, 0x00bfc707, 0x00000ffa, 
      0x1efef002, 0x9419f860, 0x00cfc308, 0x00000ffa, 
      0x20fef002, 0x3415f810, 0x00dfc009, 0x00000ff9, 
      0x21fef003, 0xd410f7c0, 0x00efbd09, 0x00000ff9, 
      0x23fed002, 0x840cf780, 0x00ffba0a, 0x00000ff9, 
      0x25fee003, 0x2407f730, 0x010fb60b, 0x00000ff8, 
      0x27fed003, 0xc402f6f0, 0x011fb30b, 0x00000ff8, 
      0x28fec002, 0x73fdf6b0, 0x013fb00c, 0x00000ff8, 
      0x29fec003, 0x23f8f670, 0x014fac0d, 0x00000ff7, 
      0x2bfec003, 0xc3f2f630, 0x015fa90d, 0x00000ff7, 
      0x2cfeb003, 0x73ecf600, 0x016fa60e, 0x00000ff7, 
      0x2efeb004, 0x23e6f5c0, 0x017fa20f, 0x00000ff6, 
      0x2ffeb003, 0xd3e0f590, 0x018f9f0f, 0x00000ff6, 
      0x30fea004, 0x83d9f560, 0x019f9c10, 0x00000ff6, 
      0x31fea003, 0x33d3f530, 0x01bf9911, 0x00000ff5, 
      0x32fea004, 0xe3ccf500, 0x01cf9511, 0x00000ff5, 
      0x33fea004, 0xa3c5f4d0, 0x01df9212, 0x00000ff4, 
      0x34fe9004, 0x53bef4b0, 0x01ef8f13, 0x00000ff4, 
      0x35fea004, 0x03b6f480, 0x01ff8c14, 0x00000ff4, 
      0x36fe9005, 0xc3aff460, 0x020f8814, 0x00000ff3, 
      0x37fe9005, 0x73a7f440, 0x021f8515, 0x00000ff3, 
      0x38fe9004, 0x339ff420, 0x022f8216, 0x00000ff3, 
      0x38fe9005, 0xf397f400, 0x023f7f16, 0x00000ff2, 
      0x39fe9004, 0xa38ff3f0, 0x024f7c17, 0x00000ff2, 
      0x3afe8004, 0x6386f3d0, 0x026f7918, 0x00000ff2, 
      0x3afe8004, 0x237ef3c0, 0x027f7619, 0x00000ff1, 
      0x3bfe8004, 0xd375f3b0, 0x028f7319, 0x00000ff1, 
      0x3bfe8004, 0x936cf3a0, 0x029f701a, 0x00000ff1, 
      0x3bfe8005, 0x5363f390, 0x02af6d1b, 0x00000ff0, 
      0x3cfe8004, 0x135af380, 0x02bf6a1c, 0x00000ff0, 
      0x3cfe8004, 0xd350f380, 0x02cf671c, 0x00000ff0, 
      0x3cfe8005, 0x8347f370, 0x02df651d, 0x00000fef, 
      0x3cfe8005, 0x433df370, 0x02ef621e, 0x00000fef, 
      0x3cfe8005, 0x0333f370, 0x02ff5f1f, 0x00000fef, 
      0x3dfe9005, 0xc329f360, 0x02ff5d1f, 0x00000fee, 
      0x3dfe8005, 0x831ff370, 0x030f5a20, 0x00000fee, 
      0x3dfe8004, 0x4315f370, 0x031f5821, 0x00000fee, 
      0x3dfe9005, 0xf30bf370, 0x032f5521, 0x00000fed, 
      0x3cfe9005, 0xb301f370, 0x033f5322, 0x00000fed, 
      0x3cfe9004, 0x72f6f380, 0x034f5123, 0x00000fed, 
      0x3cfe9005, 0x32ecf390, 0x034f4e24, 0x00000fec, 
      0x3cfe9006, 0xe2e1f390, 0x035f4c24, 0x00000fec, 
      0x3bfe9006, 0xa2d6f3a0, 0x036f4a25, 0x00000fec, 
      0x3bfe9005, 0x62cbf3b0, 0x037f4826, 0x00000fec, 
      0x3bfea005, 0x12c0f3c0, 0x037f4727, 0x00000feb, 
      0x3afea005, 0xd2b5f3d0, 0x038f4527, 0x00000feb, 
      0x3afea005, 0x82aaf3f0, 0x038f4328, 0x00000feb, 
      0x39fea005, 0x329ff400, 0x039f4229, 0x00000feb,
   },
   { /* Y scale factor = 1.02, phases = 127, taps = 9. */
      0x3f039fea, 0xe2a2296f, 0xfea039f3, 0x00000005, 
      0x41038fea, 0xc2ad28bf, 0xfea03af3, 0x00000005, 
      0x42038feb, 0xb2b827ff, 0xfea03af3, 0x00000005, 
      0x44037feb, 0xa2c3274f, 0xfe903bf3, 0x00000005, 
      0x46036fec, 0x92ce268f, 0xfe903bf3, 0x00000005, 
      0x48036feb, 0x82d925df, 0xfe903bf3, 0x00000005, 
      0x4a035fec, 0x72e4251f, 0xfe903bf3, 0x00000005, 
      0x4c034fec, 0x62ef245f, 0xfe903cf3, 0x00000005, 
      0x4e034fed, 0x52fa239f, 0xfe803cf3, 0x00000005, 
      0x51033fec, 0x530422ef, 0xfe803cf3, 0x00000005, 
      0x53032fec, 0x530f222f, 0xfe803cf3, 0x00000005, 
      0x55031fee, 0x4319216f, 0xfe803cf3, 0x00000005, 
      0x58030fee, 0x432320af, 0xfe803cf3, 0x00000005, 
      0x5a030fee, 0x432d1fef, 0xfe803cf3, 0x00000005, 
      0x5d02efef, 0x43371f2f, 0xfe803cf3, 0x00000005, 
      0x6002dfef, 0x43411e6f, 0xfe803cf3, 0x00000005, 
      0x6202cfef, 0x534b1daf, 0xfe803cf3, 0x00000005, 
      0x6502bfef, 0x53551cef, 0xfe803cf3, 0x00000005, 
      0x6802aff0, 0x635e1c2f, 0xfe803bf3, 0x00000005, 
      0x6b029fef, 0x73671b7f, 0xfe803bf3, 0x00000005, 
      0x6e028ff1, 0x73701abf, 0xfe803bf3, 0x00000004, 
      0x71028ff1, 0x837919ff, 0xfe803af3, 0x00000004, 
      0x74026ff1, 0xa382193f, 0xfe803af3, 0x00000004, 
      0x77025ff2, 0xb38b187f, 0xfe8039f3, 0x00000004, 
      0x7a025ff2, 0xc39317bf, 0xfe8039f3, 0x00000004, 
      0x7d023ff2, 0xe39c170f, 0xfe8038f3, 0x00000004, 
      0x80022ff3, 0x03a4164f, 0xfe8037f4, 0x00000004, 
      0x84021ff3, 0x23ac158f, 0xfe8036f4, 0x00000004, 
      0x8601fff3, 0x43b414df, 0xfe9036f4, 0x00000004, 
      0x8a01fff3, 0x63bb141f, 0xfe9035f4, 0x00000004, 
      0x8d01eff3, 0x83c3136f, 0xfe9034f4, 0x00000004, 
      0x9001cff5, 0xb3ca12af, 0xfe9033f4, 0x00000004, 
      0x9401bff4, 0xe3d111ff, 0xfe9032f4, 0x00000004, 
      0x9701aff5, 0x03d8114f, 0xfea031f5, 0x00000003, 
      0x9a019ff5, 0x33df109f, 0xfea030f5, 0x00000003, 
      0x9e018ff6, 0x73e50fdf, 0xfea02ef5, 0x00000003, 
      0xa1017ff6, 0xa3eb0f2f, 0xfeb02df5, 0x00000003, 
      0xa4016ff7, 0xd3f10e7f, 0xfeb02cf5, 0x00000003, 
      0xa8015ff7, 0x13f70dcf, 0xfeb02af6, 0x00000003, 
      0xab013ff6, 0x53fd0d2f, 0xfec029f6, 0x00000003, 
      0xae012ff8, 0x94020c7f, 0xfec027f6, 0x00000003, 
      0xb1012ff8, 0xd4080bcf, 0xfec026f6, 0x00000002, 
      0xb5010ff8, 0x140d0b2f, 0xfed024f7, 0x00000002, 
      0xb800fff9, 0x64110a7f, 0xfed023f7, 0x00000002, 
      0xbb00eff9, 0xa41609df, 0xfee021f7, 0x00000002, 
      0xbf00dff9, 0xf41a093f, 0xfee01ff7, 0x00000002, 
      0xc200cff9, 0x441e089f, 0xfef01df8, 0x00000002, 
      0xc500bffa, 0x942207ff, 0xfef01bf8, 0x00000002, 
      0xc900affa, 0xe426075f, 0xff0019f8, 0x00000001, 
      0xcc008ffb, 0x442906bf, 0xff1017f9, 0x00000001, 
      0xcf007ffa, 0xa42d062f, 0xff1015f9, 0x00000001, 
      0xd2006ffb, 0xf430058f, 0xff2013f9, 0x00000001, 
      0xd5005ffc, 0x543204ff, 0xff2011fa, 0x00000001, 
      0xd8004ffc, 0xb435046f, 0xff300ffa, 0x00000000, 
      0xdb003ffc, 0x243703df, 0xff400cfb, 0x00000000, 
      0xde002ffc, 0x8439034f, 0xff500afb, 0x00000000, 
      0xe1001ffc, 0xf43b02bf, 0xff5008fb, 0x00000000, 
      0xe4000ffd, 0x543d022f, 0xff6005fc, 0x00000000, 
      0xe7fffffd, 0xc43e01af, 0xff7003fc, 0x00000fff, 
      0xeaffeffe, 0x343f011f, 0xff8000fd, 0x00000fff, 
      0xedffdffe, 0xa440009f, 0xff8ffefd, 0x00000fff, 
      0xf0ffdffd, 0x2440001f, 0xff9ffbfe, 0x00000fff, 
      0xf3ffcffe, 0x9441ff9f, 0xffaff8fe, 0x00000ffe, 
      0xf6ffaffe, 0x1441ff1f, 0xffbff6ff, 0x00000ffe, 
      0xf8ffaffe, 0x9441fe9f, 0xffcff3ff, 0x00000ffe, 
      0xfbff9ffe, 0x1440fe2f, 0xffdff000, 0x00000ffe, 
      0xfeff9fff, 0x9440fdaf, 0xffdfed00, 0x00000ffd, 
      0x00ff8000, 0x143ffd30, 0xffefea01, 0x00000ffd, 
      0x03ff7fff, 0xa43efcc0, 0xffffe701, 0x00000ffd, 
      0x05ff6000, 0x243dfc50, 0x000fe402, 0x00000ffd, 
      0x08ff5000, 0xb43bfbf0, 0x001fe102, 0x00000ffc, 
      0x0aff5000, 0x4439fb80, 0x002fde03, 0x00000ffc, 
      0x0cff4000, 0xd437fb20, 0x003fdb03, 0x00000ffc, 
      0x0fff3001, 0x6435fab0, 0x004fd804, 0x00000ffb, 
      0x11ff3001, 0xf432fa50, 0x005fd504, 0x00000ffb, 
      0x13ff2001, 0x8430f9f0, 0x006fd205, 0x00000ffb, 
      0x15ff1001, 0x242df990, 0x007fcf06, 0x00000ffb, 
      0x17ff1002, 0xb429f940, 0x008fcc06, 0x00000ffa, 
      0x1aff0002, 0x5426f8e0, 0x009fc807, 0x00000ffa, 
      0x1bff0002, 0xf422f890, 0x00afc507, 0x00000ffa, 
      0x1dfef002, 0x941ef840, 0x00cfc208, 0x00000ff9, 
      0x1ffee002, 0x341af7f0, 0x00dfbf09, 0x00000ff9, 
      0x21fee002, 0xd416f7a0, 0x00efbb09, 0x00000ff9, 
      0x23fed003, 0x7411f760, 0x00ffb80a, 0x00000ff8, 
      0x24fed002, 0x240df710, 0x010fb50b, 0x00000ff8, 
      0x26fec003, 0xc408f6d0, 0x011fb10b, 0x00000ff8, 
      0x27fed003, 0x7402f690, 0x012fae0c, 0x00000ff7, 
      0x29fec002, 0x23fdf650, 0x013fab0d, 0x00000ff7, 
      0x2afec003, 0xc3f7f610, 0x014fa80d, 0x00000ff7, 
      0x2cfeb003, 0x73f1f5e0, 0x016fa40e, 0x00000ff6, 
      0x2dfeb003, 0x23ebf5a0, 0x017fa10f, 0x00000ff6, 
      0x2efea003, 0xd3e5f570, 0x018f9e0f, 0x00000ff6, 
      0x30fea003, 0x93dff530, 0x019f9a10, 0x00000ff5, 
      0x31fea003, 0x43d8f500, 0x01af9711, 0x00000ff5, 
      0x32fe9003, 0xf3d1f4e0, 0x01bf9411, 0x00000ff5, 
      0x33fea004, 0xa3caf4b0, 0x01cf9012, 0x00000ff4, 
      0x34fe9003, 0x63c3f480, 0x01ef8d13, 0x00000ff4, 
      0x35fe9004, 0x13bbf460, 0x01ff8a14, 0x00000ff3, 
      0x36fe8003, 0xd3b4f440, 0x020f8714, 0x00000ff3, 
      0x36fe8005, 0x83acf420, 0x021f8315, 0x00000ff3, 
      0x37fe8005, 0x43a4f400, 0x022f8016, 0x00000ff2, 
      0x38fe8004, 0x039cf3e0, 0x023f7d17, 0x00000ff2, 
      0x39fe8005, 0xb393f3c0, 0x024f7a17, 0x00000ff2, 
      0x39fe8005, 0x738bf3b0, 0x025f7718, 0x00000ff1, 
      0x3afe8004, 0x3382f3a0, 0x026f7419, 0x00000ff1, 
      0x3afe8005, 0xf379f380, 0x027f7119, 0x00000ff1, 
      0x3bfe8005, 0xb370f370, 0x028f6e1a, 0x00000ff0, 
      0x3bfe8004, 0x7367f370, 0x029f6b1b, 0x00000ff0, 
      0x3bfe8005, 0x235ef360, 0x02af681c, 0x00000ff0, 
      0x3cfe8005, 0xe355f350, 0x02bf651c, 0x00000fef, 
      0x3cfe8005, 0xa34bf350, 0x02cf621d, 0x00000fef, 
      0x3cfe8005, 0x6341f340, 0x02df601e, 0x00000fef, 
      0x3dfe8005, 0x2337f340, 0x02ef5d1f, 0x00000fee, 
      0x3dfe8005, 0xe32df340, 0x02ff5a1f, 0x00000fee, 
      0x3cfe8005, 0xa323f340, 0x030f5820, 0x00000fee, 
      0x3cfe9005, 0x6319f340, 0x031f5521, 0x00000fed, 
      0x3cfe8004, 0x230ff350, 0x032f5322, 0x00000fed, 
      0x3cfe8004, 0xe304f350, 0x033f5122, 0x00000fed, 
      0x3cfe9005, 0x92faf360, 0x033f4e23, 0x00000fec, 
      0x3cfe9005, 0x52eff360, 0x034f4c24, 0x00000fec, 
      0x3bfe9005, 0x12e4f370, 0x035f4a25, 0x00000fec, 
      0x3bfe9005, 0xd2d9f380, 0x036f4825, 0x00000feb, 
      0x3bfea005, 0x82cef390, 0x036f4626, 0x00000feb, 
      0x3bfe9005, 0x42c3f3a0, 0x037f4427, 0x00000feb, 
      0x3afea005, 0xf2b8f3b0, 0x038f4227, 0x00000feb, 
      0x3afea005, 0xb2adf3c0, 0x038f4128, 0x00000fea, 
      0x39fea005, 0x62a2f3e0, 0x039f3f29, 0x00000fea,
   },
   { /* Y scale factor = 1.03, phases = 127, taps = 9. */
      0x3d038fea, 0xb2a5299f, 0xfea039f3, 0x00000005, 
      0x3e038feb, 0xa2b028ef, 0xfe9039f3, 0x00000005, 
      0x40037fea, 0x92bc282f, 0xfe903af3, 0x00000005, 
      0x42037fea, 0x72c7277f, 0xfe903af3, 0x00000005, 
      0x44036fea, 0x62d226bf, 0xfe903bf3, 0x00000005, 
      0x46035feb, 0x52dd25ff, 0xfe903bf3, 0x00000005, 
      0x48035fec, 0x42e8253f, 0xfe803bf3, 0x00000005, 
      0x4a034feb, 0x42f3248f, 0xfe803bf3, 0x00000005, 
      0x4c033fec, 0x32fd23cf, 0xfe803cf3, 0x00000005, 
      0x4e032fed, 0x2308230f, 0xfe803cf3, 0x00000005, 
      0x51031fec, 0x2313224f, 0xfe803cf3, 0x00000005, 
      0x53031fec, 0x231d218f, 0xfe803cf3, 0x00000005, 
      0x5602ffed, 0x232720cf, 0xfe803cf3, 0x00000005, 
      0x5802ffed, 0x2332200f, 0xfe703cf3, 0x00000005, 
      0x5b02efed, 0x233c1f4f, 0xfe703cf3, 0x00000005, 
      0x5e02dfee, 0x23451e8f, 0xfe703cf3, 0x00000005, 
      0x6002cfef, 0x234f1dcf, 0xfe703cf3, 0x00000005, 
      0x6302bfef, 0x33591d0f, 0xfe703bf3, 0x00000005, 
      0x6602aff0, 0x33621c4f, 0xfe703bf3, 0x00000005, 
      0x69029ff0, 0x436c1b8f, 0xfe703bf3, 0x00000004, 
      0x6c029ff0, 0x53751acf, 0xfe703af3, 0x00000004, 
      0x6f027ff1, 0x637e1a0f, 0xfe703af3, 0x00000004, 
      0x72027ff1, 0x7387194f, 0xfe7039f3, 0x00000004, 
      0x75025ff1, 0x9390188f, 0xfe7039f3, 0x00000004, 
      0x78024ff1, 0xa39817df, 0xfe8038f3, 0x00000004, 
      0x7b022ff1, 0xc3a1171f, 0xfe8038f3, 0x00000004, 
      0x7e022ff2, 0xd3a9165f, 0xfe8037f3, 0x00000004, 
      0x82021ff2, 0xf3b1159f, 0xfe8036f3, 0x00000004, 
      0x8501fff3, 0x13b914ef, 0xfe8035f4, 0x00000004, 
      0x8801eff4, 0x43c0142f, 0xfe8034f4, 0x00000004, 
      0x8b01dff4, 0x63c8137f, 0xfe8033f4, 0x00000004, 
      0x8f01cff3, 0x93cf12bf, 0xfe9032f4, 0x00000004, 
      0x9201bff5, 0xb3d6120f, 0xfe9031f4, 0x00000003, 
      0x9601aff5, 0xe3dd114f, 0xfe9030f4, 0x00000003, 
      0x99019ff5, 0x13e4109f, 0xfe902ff5, 0x00000003, 
      0x9c018ff5, 0x43ea0fef, 0xfea02ef5, 0x00000003, 
      0x9f016ff5, 0x83f10f3f, 0xfea02df5, 0x00000003, 
      0xa3015ff6, 0xb3f70e8f, 0xfea02bf5, 0x00000003, 
      0xa5014ff6, 0xf3fd0ddf, 0xfeb02af5, 0x00000003, 
      0xa9013ff7, 0x34020d2f, 0xfeb028f6, 0x00000003, 
      0xad011ff7, 0x74080c7f, 0xfec027f6, 0x00000002, 
      0xb0011ff8, 0xb40d0bcf, 0xfec025f6, 0x00000002, 
      0xb3010ff8, 0xf4120b2f, 0xfec024f6, 0x00000002, 
      0xb700eff8, 0x44170a7f, 0xfed022f7, 0x00000002, 
      0xba00dff9, 0x841c09df, 0xfed020f7, 0x00000002, 
      0xbd00cff9, 0xd420093f, 0xfee01ef7, 0x00000002, 
      0xc100bff9, 0x2424088f, 0xfee01df8, 0x00000002, 
      0xc400affa, 0x742807ef, 0xfef01bf8, 0x00000001, 
      0xc7009ff9, 0xd42c074f, 0xff0019f8, 0x00000001, 
      0xca008ffa, 0x242f06bf, 0xff0017f9, 0x00000001, 
      0xce007ffa, 0x8432061f, 0xff1014f9, 0x00000001, 
      0xd1006ffb, 0xd435058f, 0xff1012f9, 0x00000001, 
      0xd4005ffb, 0x343804ff, 0xff2010fa, 0x00000000, 
      0xd7003ffb, 0xa43b045f, 0xff300efa, 0x00000000, 
      0xda003ffb, 0x043d03cf, 0xff300cfb, 0x00000000, 
      0xdd002ffc, 0x643f033f, 0xff4009fb, 0x00000000, 
      0xe0000ffc, 0xd44102af, 0xff5007fb, 0x00000000, 
      0xe4000ffd, 0x4442021f, 0xff5004fc, 0x00000fff, 
      0xe6fffffd, 0xb444018f, 0xff6002fc, 0x00000fff, 
      0xe9ffeffd, 0x2445010f, 0xff7ffffd, 0x00000fff, 
      0xecffdffd, 0x9446007f, 0xff8ffdfd, 0x00000fff, 
      0xefffcffe, 0x0446ffff, 0xff9ffafe, 0x00000fff, 
      0xf2ffcffe, 0x8447ff7f, 0xff9ff7fe, 0x00000ffe, 
      0xf4ffaffe, 0x0447ff0f, 0xffaff5ff, 0x00000ffe, 
      0xf7ff9fff, 0x7447fe8f, 0xffbff2ff, 0x00000ffe, 
      0xfaff9fff, 0xf446fe0f, 0xffcfefff, 0x00000ffe, 
      0xfdff8ffe, 0x8446fd9f, 0xffdfec00, 0x00000ffd, 
      0xffff7fff, 0x0445fd2f, 0xffefe901, 0x00000ffd, 
      0x02ff6fff, 0x8444fcb0, 0xffffe601, 0x00000ffd, 
      0x04ff6000, 0x1442fc40, 0x000fe302, 0x00000ffc, 
      0x07ff5fff, 0xa441fbd0, 0x001fe002, 0x00000ffc, 
      0x09ff4000, 0x343ffb60, 0x002fdd03, 0x00000ffc, 
      0x0bff3000, 0xc43dfb00, 0x003fda03, 0x00000ffc, 
      0x0eff2000, 0x543bfaa0, 0x004fd704, 0x00000ffb, 
      0x10ff2001, 0xe438fa30, 0x005fd404, 0x00000ffb, 
      0x12ff1001, 0x8435f9d0, 0x006fd105, 0x00000ffb, 
      0x14ff1001, 0x1432f980, 0x007fce06, 0x00000ffa, 
      0x17ff0001, 0xb42ff920, 0x008fca06, 0x00000ffa, 
      0x18fef001, 0x542cf8d0, 0x009fc707, 0x00000ffa, 
      0x1bfef002, 0xe428f870, 0x00afc407, 0x00000ff9, 
      0x1dfee002, 0x8424f820, 0x00bfc108, 0x00000ff9, 
      0x1efee002, 0x3420f7d0, 0x00cfbd09, 0x00000ff9, 
      0x20fee002, 0xd41cf780, 0x00dfba09, 0x00000ff8, 
      0x22fed002, 0x7417f740, 0x00efb70a, 0x00000ff8, 
      0x24fec002, 0x2412f6f0, 0x010fb30b, 0x00000ff8, 
      0x25fec003, 0xc40df6b0, 0x011fb00b, 0x00000ff7, 
      0x27feb002, 0x7408f670, 0x012fad0c, 0x00000ff7, 
      0x28feb003, 0x2402f630, 0x013fa90d, 0x00000ff7, 
      0x2afeb002, 0xd3fdf5f0, 0x014fa60d, 0x00000ff6, 
      0x2bfea003, 0x83f7f5b0, 0x015fa30e, 0x00000ff6, 
      0x2cfea003, 0x33f1f580, 0x016f9f0f, 0x00000ff6, 
      0x2efea003, 0xe3eaf540, 0x018f9c0f, 0x00000ff5, 
      0x2ffe9003, 0x93e4f510, 0x019f9910, 0x00000ff5, 
      0x30fe9004, 0x43ddf4e0, 0x01af9511, 0x00000ff5, 
      0x31fe9004, 0x03d6f4b0, 0x01bf9212, 0x00000ff4, 
      0x32fe9003, 0xb3cff490, 0x01cf8f12, 0x00000ff4, 
      0x33fe8004, 0x73c8f460, 0x01df8b13, 0x00000ff4, 
      0x34fe9004, 0x23c0f440, 0x01ef8814, 0x00000ff3, 
      0x35fe8004, 0xe3b9f410, 0x01ff8514, 0x00000ff3, 
      0x36fe8004, 0x93b1f3f0, 0x021f8215, 0x00000ff2, 
      0x37fe8004, 0x53a9f3d0, 0x022f7e16, 0x00000ff2, 
      0x37fe7004, 0x13a1f3c0, 0x023f7b17, 0x00000ff2, 
      0x38fe8004, 0xd398f3a0, 0x024f7817, 0x00000ff1, 
      0x39fe7004, 0x8390f390, 0x025f7518, 0x00000ff1, 
      0x39fe7005, 0x4387f370, 0x026f7219, 0x00000ff1, 
      0x3afe7005, 0x037ef360, 0x027f6f1a, 0x00000ff0, 
      0x3afe7005, 0xc375f350, 0x028f6c1a, 0x00000ff0, 
      0x3bfe7004, 0x836cf340, 0x029f691b, 0x00000ff0, 
      0x3bfe8005, 0x4362f330, 0x02af661c, 0x00000fef, 
      0x3bfe7005, 0x0359f330, 0x02bf631d, 0x00000fef, 
      0x3cfe7005, 0xc34ff320, 0x02cf601d, 0x00000fef, 
      0x3cfe7005, 0x8345f320, 0x02df5e1e, 0x00000fee, 
      0x3cfe7004, 0x433cf320, 0x02ef5b1f, 0x00000fee, 
      0x3cfe7004, 0x0332f320, 0x02ff5820, 0x00000fee, 
      0x3cfe8004, 0xc327f320, 0x030f5620, 0x00000fed, 
      0x3cfe8004, 0x831df320, 0x031f5321, 0x00000fed, 
      0x3cfe7004, 0x4313f320, 0x032f5122, 0x00000fed, 
      0x3cfe8005, 0x0308f330, 0x032f4e23, 0x00000fec, 
      0x3cfe8005, 0xc2fdf330, 0x033f4c23, 0x00000fec, 
      0x3bfe8004, 0x82f3f340, 0x034f4a24, 0x00000fec, 
      0x3bfe9005, 0x32e8f340, 0x035f4825, 0x00000feb, 
      0x3bfe9005, 0xf2ddf350, 0x035f4625, 0x00000feb, 
      0x3bfe9004, 0xb2d2f360, 0x036f4426, 0x00000feb, 
      0x3afe9004, 0x72c7f370, 0x037f4227, 0x00000feb, 
      0x3afe9005, 0x22bcf390, 0x037f4028, 0x00000fea, 
      0x39fea005, 0xe2b0f3a0, 0x038f3e28, 0x00000fea, 
      0x39fea005, 0x92a5f3b0, 0x038f3d29, 0x00000fea,
   },
   { /* Y scale factor = 1.04, phases = 127, taps = 9. */
      0x3a038fe9, 0x92a829df, 0xfe9039f3, 0x00000005, 
      0x3c038fe9, 0x72b4291f, 0xfe9039f3, 0x00000005, 
      0x3e037fe9, 0x62bf285f, 0xfe903af3, 0x00000005, 
      0x40036fea, 0x52ca27af, 0xfe803af3, 0x00000005, 
      0x41036feb, 0x42d526ef, 0xfe803af3, 0x00000005, 
      0x43035feb, 0x32e0262f, 0xfe803bf3, 0x00000005, 
      0x46034feb, 0x22eb256f, 0xfe803bf3, 0x00000005, 
      0x48034feb, 0x12f624af, 0xfe803bf3, 0x00000005, 
      0x4a033fec, 0x030123ef, 0xfe803bf3, 0x00000005, 
      0x4c032fec, 0x030c232f, 0xfe703cf3, 0x00000005, 
      0x4e031fec, 0x0317226f, 0xfe703cf3, 0x00000005, 
      0x51030fed, 0xf32121af, 0xfe703cf2, 0x00000005, 
      0x54030fec, 0xf32b20ef, 0xfe703cf2, 0x00000005, 
      0x5602efed, 0xf336202f, 0xfe703cf2, 0x00000005, 
      0x5902dfed, 0xf3401f6f, 0xfe703cf2, 0x00000005, 
      0x5c02dfed, 0xf34a1eaf, 0xfe703bf2, 0x00000005, 
      0x5e02bfee, 0x03541def, 0xfe703bf3, 0x00000005, 
      0x6102bfef, 0x035d1d2f, 0xfe703bf3, 0x00000004, 
      0x6402afee, 0x13671c6f, 0xfe703bf3, 0x00000004, 
      0x67029fef, 0x23701baf, 0xfe703af3, 0x00000004, 
      0x6a028ff0, 0x23791aef, 0xfe703af3, 0x00000004, 
      0x6d027fef, 0x33831a2f, 0xfe703af3, 0x00000004, 
      0x70025ff0, 0x538c196f, 0xfe7039f3, 0x00000004, 
      0x73025ff1, 0x639418af, 0xfe7038f3, 0x00000004, 
      0x76024ff1, 0x739d17ef, 0xfe7038f3, 0x00000004, 
      0x79023ff2, 0x93a5172f, 0xfe7037f3, 0x00000004, 
      0x7d021ff2, 0xb3ae166f, 0xfe7036f3, 0x00000004, 
      0x80020ff2, 0xd3b615af, 0xfe7036f3, 0x00000004, 
      0x8201fff2, 0xf3be14ff, 0xfe8035f3, 0x00000004, 
      0x8601eff3, 0x13c5143f, 0xfe8034f4, 0x00000004, 
      0x8a01cff3, 0x43cd137f, 0xfe8033f4, 0x00000004, 
      0x8d01cff4, 0x63d412cf, 0xfe8032f4, 0x00000003, 
      0x9101bff4, 0x93db120f, 0xfe8031f4, 0x00000003, 
      0x94019ff4, 0xc3e2115f, 0xfe9030f4, 0x00000003, 
      0x97018ff5, 0xf3e9109f, 0xfe902ff4, 0x00000003, 
      0x9a017ff6, 0x23f00fef, 0xfe902df5, 0x00000003, 
      0x9e016ff5, 0x53f60f3f, 0xfea02cf5, 0x00000003, 
      0xa1015ff5, 0x93fc0e8f, 0xfea02bf5, 0x00000003, 
      0xa4014ff6, 0xd4020ddf, 0xfea029f5, 0x00000003, 
      0xa8012ff6, 0x04080d2f, 0xfeb028f6, 0x00000003, 
      0xac012ff7, 0x440d0c7f, 0xfeb026f6, 0x00000002, 
      0xaf010ff7, 0x94130bcf, 0xfeb025f6, 0x00000002, 
      0xb200fff7, 0xd4180b2f, 0xfec023f6, 0x00000002, 
      0xb500fff8, 0x141d0a7f, 0xfec021f7, 0x00000002, 
      0xb900cff8, 0x642109df, 0xfed020f7, 0x00000002, 
      0xbc00cff8, 0xb426092f, 0xfed01ef7, 0x00000002, 
      0xbf00bff9, 0x042a088f, 0xfee01cf8, 0x00000001, 
      0xc300aff9, 0x542e07ef, 0xfee01af8, 0x00000001, 
      0xc6009ff9, 0xb431074f, 0xfef018f8, 0x00000001, 
      0xc9008ff9, 0x043506af, 0xff0016f9, 0x00000001, 
      0xcc006ffb, 0x6438060f, 0xff0014f9, 0x00000001, 
      0xcf005ffa, 0xc43b057f, 0xff1012f9, 0x00000001, 
      0xd3005ffb, 0x243e04df, 0xff100ffa, 0x00000000, 
      0xd6003ffb, 0x8441044f, 0xff200dfa, 0x00000000, 
      0xd9002ffb, 0xe44303bf, 0xff300bfa, 0x00000000, 
      0xdc001ffb, 0x5445032f, 0xff4008fb, 0x00000000, 
      0xdf000ffc, 0xb447029f, 0xff4006fb, 0x00000000, 
      0xe2fffffd, 0x2448020f, 0xff5004fc, 0x00000fff, 
      0xe5ffeffd, 0x944a017f, 0xff6001fc, 0x00000fff, 
      0xe8ffdffd, 0x044b00ff, 0xff7ffefd, 0x00000fff, 
      0xebffdffd, 0x744c006f, 0xff7ffcfd, 0x00000fff, 
      0xeeffcffe, 0xf44cffef, 0xff8ff9fd, 0x00000ffe, 
      0xf1ffbffe, 0x644dff6f, 0xff9ff6fe, 0x00000ffe, 
      0xf4ffaffd, 0xe44dfeef, 0xffaff4fe, 0x00000ffe, 
      0xf6ff9ffe, 0x644dfe6f, 0xffbff1ff, 0x00000ffe, 
      0xf9ff8fff, 0xe44cfdff, 0xffcfeeff, 0x00000ffd, 
      0xfcff7fff, 0x644cfd7f, 0xffdfeb00, 0x00000ffd, 
      0xfeff7fff, 0xf44bfd0f, 0xffdfe800, 0x00000ffd, 
      0x01ff6fff, 0x744afc90, 0xffefe501, 0x00000ffd, 
      0x04ff5000, 0x0448fc20, 0xffffe202, 0x00000ffc, 
      0x06ff4000, 0x9447fbb0, 0x000fdf02, 0x00000ffc, 
      0x08ff4fff, 0x2445fb50, 0x001fdc03, 0x00000ffc, 
      0x0bff3000, 0xb443fae0, 0x002fd903, 0x00000ffb, 
      0x0dff2000, 0x4441fa80, 0x003fd604, 0x00000ffb, 
      0x0fff1001, 0xd43efa20, 0x004fd304, 0x00000ffb, 
      0x12ff1000, 0x743bf9c0, 0x005fd005, 0x00000ffa, 
      0x14ff1001, 0x0438f960, 0x006fcc06, 0x00000ffa, 
      0x16ff0000, 0xa435f900, 0x008fc906, 0x00000ffa, 
      0x17fef001, 0x4431f8b0, 0x009fc607, 0x00000ffa, 
      0x1afee001, 0xe42ef850, 0x00afc307, 0x00000ff9, 
      0x1cfee001, 0x842af800, 0x00bfbf08, 0x00000ff9, 
      0x1efed001, 0x2426f7b0, 0x00cfbc09, 0x00000ff9, 
      0x20fed001, 0xd421f760, 0x00dfb909, 0x00000ff8, 
      0x21fed002, 0x741df710, 0x00efb50a, 0x00000ff8, 
      0x23feb002, 0x2418f6d0, 0x00ffb20b, 0x00000ff8, 
      0x25feb002, 0xc413f690, 0x010faf0b, 0x00000ff7, 
      0x26fec003, 0x740df640, 0x011fab0c, 0x00000ff7, 
      0x28fea002, 0x2408f600, 0x013fa80d, 0x00000ff7, 
      0x29fea003, 0xd402f5d0, 0x014fa40d, 0x00000ff6, 
      0x2bfea002, 0x83fcf590, 0x015fa10e, 0x00000ff6, 
      0x2cfea003, 0x33f6f550, 0x016f9e0f, 0x00000ff5, 
      0x2dfe9004, 0xe3f0f520, 0x017f9a0f, 0x00000ff5, 
      0x2ffe9003, 0x93e9f4f0, 0x018f9710, 0x00000ff5, 
      0x30fe9003, 0x53e2f4c0, 0x019f9411, 0x00000ff4, 
      0x31fe8004, 0x03dbf490, 0x01bf9012, 0x00000ff4, 
      0x32fe8003, 0xc3d4f460, 0x01cf8d12, 0x00000ff4, 
      0x33fe8003, 0x73cdf440, 0x01df8a13, 0x00000ff3, 
      0x34fe8004, 0x33c5f410, 0x01ef8614, 0x00000ff3, 
      0x35fe7003, 0xf3bef3f0, 0x01ff8314, 0x00000ff3, 
      0x36fe7004, 0xa3b6f3d0, 0x020f8015, 0x00000ff2, 
      0x36fe7004, 0x63aef3b0, 0x021f7d16, 0x00000ff2, 
      0x38fe8004, 0x23a5f390, 0x022f7917, 0x00000ff1, 
      0x38fe7004, 0xe39df370, 0x024f7617, 0x00000ff1, 
      0x38fe7004, 0xa394f360, 0x025f7318, 0x00000ff1, 
      0x39fe6004, 0x638cf350, 0x026f7019, 0x00000ff0, 
      0x3afe6004, 0x2383f330, 0x027f6d1a, 0x00000ff0, 
      0x3afe7004, 0xe379f320, 0x028f6a1a, 0x00000ff0, 
      0x3afe7004, 0xa370f320, 0x029f671b, 0x00000fef, 
      0x3bfe6004, 0x6367f310, 0x02af641c, 0x00000fef, 
      0x3bfe7004, 0x235df300, 0x02bf611d, 0x00000fef, 
      0x3bfe7004, 0xe354f300, 0x02cf5e1d, 0x00000fee, 
      0x3bfe7004, 0xa34af2f0, 0x02df5c1e, 0x00000fee, 
      0x3cfe6004, 0x6340f2f0, 0x02ef591f, 0x00000fee, 
      0x3cfe7004, 0x2336f2f0, 0x02ff5620, 0x00000fed, 
      0x3cfe7004, 0xe32bf2f0, 0x030f5420, 0x00000fed, 
      0x3cfe7005, 0xa321f2f0, 0x030f5121, 0x00000fed, 
      0x3cfe7004, 0x6317f300, 0x031f4f22, 0x00000fec, 
      0x3cfe7005, 0x230cf300, 0x032f4c23, 0x00000fec, 
      0x3bfe8005, 0xe301f300, 0x033f4a23, 0x00000fec, 
      0x3bfe8005, 0xa2f6f310, 0x034f4824, 0x00000feb, 
      0x3bfe8005, 0x62ebf320, 0x034f4625, 0x00000feb, 
      0x3bfe8005, 0x22e0f330, 0x035f4326, 0x00000feb, 
      0x3afe9005, 0xe2d5f340, 0x036f4126, 0x00000fea, 
      0x3afe8005, 0xa2caf350, 0x036f4027, 0x00000fea, 
      0x3afe9004, 0x52bff360, 0x037f3e28, 0x00000fea, 
      0x39fe9004, 0x12b4f370, 0x038f3c29, 0x00000fea, 
      0x39fe9005, 0xd2a8f390, 0x038f3a29, 0x00000fe9,
   },
   { /* Y scale factor = 1.05, phases = 127, taps = 9. */
      0x38038fe9, 0x62ab2a0f, 0xfe9038f3, 0x00000005, 
      0x3a037fe9, 0x52b7294f, 0xfe8039f3, 0x00000005, 
      0x3b037fea, 0x42c2288f, 0xfe8039f3, 0x00000005, 
      0x3d036fea, 0x22ce27cf, 0xfe803af3, 0x00000005, 
      0x3f035fea, 0x12d9271f, 0xfe803af3, 0x00000005, 
      0x41035fea, 0x02e4265f, 0xfe803af3, 0x00000005, 
      0x43034feb, 0xf2ef259f, 0xfe703bf2, 0x00000005, 
      0x45033feb, 0xf2fa24df, 0xfe703bf2, 0x00000005, 
      0x48032feb, 0xe305241f, 0xfe703bf2, 0x00000005, 
      0x4a032feb, 0xd310235f, 0xfe703bf2, 0x00000005, 
      0x4c031fec, 0xd31a229f, 0xfe703bf2, 0x00000005, 
      0x4f030fec, 0xd32521cf, 0xfe703bf2, 0x00000005, 
      0x51030fed, 0xc32f210f, 0xfe703bf2, 0x00000005, 
      0x5402efed, 0xc33a204f, 0xfe703bf2, 0x00000005, 
      0x5702dfed, 0xd3441f8f, 0xfe603bf2, 0x00000005, 
      0x5902dfee, 0xd34e1ecf, 0xfe603bf2, 0x00000004, 
      0x5c02cfee, 0xd3581e0f, 0xfe603bf2, 0x00000004, 
      0x5f02afee, 0xe3621d4f, 0xfe603bf2, 0x00000004, 
      0x6202afef, 0xe36b1c8f, 0xfe603af2, 0x00000004, 
      0x65029fef, 0xf3751bbf, 0xfe603af2, 0x00000004, 
      0x68027ff0, 0x037e1aff, 0xfe603af3, 0x00000004, 
      0x6b027ff0, 0x13871a3f, 0xfe6039f3, 0x00000004, 
      0x6e025ff1, 0x2390197f, 0xfe6039f3, 0x00000004, 
      0x71025ff1, 0x339918bf, 0xfe6038f3, 0x00000004, 
      0x74023ff1, 0x53a217ff, 0xfe7037f3, 0x00000004, 
      0x77022ff1, 0x73aa173f, 0xfe7037f3, 0x00000004, 
      0x7b021ff1, 0x83b3167f, 0xfe7036f3, 0x00000004, 
      0x7e020ff2, 0xa3bb15bf, 0xfe7035f3, 0x00000004, 
      0x8101fff2, 0xc3c3150f, 0xfe7034f3, 0x00000004, 
      0x8401eff2, 0xf3ca144f, 0xfe7034f3, 0x00000004, 
      0x8801dff3, 0x13d2138f, 0xfe7033f4, 0x00000003, 
      0x8b01bff4, 0x43d912cf, 0xfe8032f4, 0x00000003, 
      0x8e01aff4, 0x63e1121f, 0xfe8031f4, 0x00000003, 
      0x92019ff5, 0x93e8115f, 0xfe802ff4, 0x00000003, 
      0x96018ff5, 0xc3ee10af, 0xfe802ef4, 0x00000003, 
      0x99016ff4, 0x03f50fff, 0xfe902df5, 0x00000003, 
      0x9c016ff5, 0x33fb0f3f, 0xfe902cf5, 0x00000003, 
      0x9f015ff5, 0x74020e8f, 0xfe902af5, 0x00000003, 
      0xa3013ff5, 0xa4080ddf, 0xfea029f5, 0x00000003, 
      0xa6013ff7, 0xe40d0d2f, 0xfea027f5, 0x00000002, 
      0xaa011ff6, 0x24130c7f, 0xfeb026f6, 0x00000002, 
      0xae010ff7, 0x64180bcf, 0xfeb024f6, 0x00000002, 
      0xb000fff8, 0xb41d0b1f, 0xfeb023f6, 0x00000002, 
      0xb400eff7, 0xf4220a7f, 0xfec021f6, 0x00000002, 
      0xb700dff8, 0x442709cf, 0xfec01ff7, 0x00000002, 
      0xbb00bff8, 0x942b092f, 0xfed01df7, 0x00000002, 
      0xbe00aff9, 0xe430088f, 0xfed01bf7, 0x00000001, 
      0xc1009ff9, 0x343407ef, 0xfee019f8, 0x00000001, 
      0xc5009ffa, 0x8437073f, 0xfee017f8, 0x00000001, 
      0xc8007ff9, 0xe43b06af, 0xfef015f8, 0x00000001, 
      0xcb006ff9, 0x443e060f, 0xff0013f9, 0x00000001, 
      0xce005ffb, 0xa441056f, 0xff0011f9, 0x00000000, 
      0xd2003ffa, 0x044404df, 0xff100ffa, 0x00000000, 
      0xd5003ffb, 0x6446043f, 0xff200cfa, 0x00000000, 
      0xd8002ffb, 0xc44903af, 0xff200afa, 0x00000000, 
      0xdb000ffb, 0x344b031f, 0xff3008fb, 0x00000000, 
      0xde000ffc, 0x944d028f, 0xff4005fb, 0x00000fff, 
      0xe1fffffc, 0x044e01ff, 0xff5003fc, 0x00000fff, 
      0xe4ffeffd, 0x7450016f, 0xff5000fc, 0x00000fff, 
      0xe7ffdffc, 0xf45100df, 0xff6ffefc, 0x00000fff, 
      0xeaffcffd, 0x6452005f, 0xff7ffbfd, 0x00000ffe, 
      0xedffbffe, 0xd452ffdf, 0xff8ff8fd, 0x00000ffe, 
      0xefffaffd, 0x5453ff5f, 0xff9ff6fe, 0x00000ffe, 
      0xf3ff9ffd, 0xd453fedf, 0xff9ff3fe, 0x00000ffe, 
      0xf6ff9ffd, 0x5453fe5f, 0xffaff0ff, 0x00000ffd, 
      0xf8ff8fff, 0xd452fddf, 0xffbfedff, 0x00000ffd, 
      0xfbff7ffe, 0x5452fd6f, 0xffcfea00, 0x00000ffd, 
      0xfdff6ffe, 0xe451fcff, 0xffdfe700, 0x00000ffd, 
      0x00ff6fff, 0x6450fc70, 0xffefe401, 0x00000ffc, 
      0x03ff5fff, 0xf44efc00, 0xffffe101, 0x00000ffc, 
      0x05ff4fff, 0x844dfb90, 0x000fde02, 0x00000ffc, 
      0x07ff3fff, 0x144bfb30, 0x001fdb03, 0x00000ffc, 
      0x0aff2000, 0xa449fac0, 0x002fd803, 0x00000ffb, 
      0x0cff2000, 0x3446fa60, 0x003fd504, 0x00000ffb, 
      0x0eff0000, 0xd444fa00, 0x004fd204, 0x00000ffb, 
      0x11ff0001, 0x6441f9a0, 0x005fce05, 0x00000ffa, 
      0x13ff0000, 0x043ef940, 0x006fcb06, 0x00000ffa, 
      0x15fef000, 0xa43bf8e0, 0x007fc806, 0x00000ffa, 
      0x18fef001, 0x3437f880, 0x008fc507, 0x00000ff9, 
      0x19fee001, 0xe434f830, 0x009fc107, 0x00000ff9, 
      0x1bfed001, 0x8430f7e0, 0x00afbe08, 0x00000ff9, 
      0x1dfed002, 0x242bf790, 0x00bfbb09, 0x00000ff8, 
      0x1ffec002, 0xc427f740, 0x00dfb709, 0x00000ff8, 
      0x21fec001, 0x7422f6f0, 0x00efb40a, 0x00000ff8, 
      0x23fec002, 0x141df6b0, 0x00ffb00b, 0x00000ff7, 
      0x24feb003, 0xc418f660, 0x010fad0b, 0x00000ff7, 
      0x26fea002, 0x7413f620, 0x011faa0c, 0x00000ff7, 
      0x27feb003, 0x240df5e0, 0x012fa60d, 0x00000ff6, 
      0x29fea002, 0xd408f5a0, 0x013fa30d, 0x00000ff6, 
      0x2afe9002, 0x8402f570, 0x015f9f0e, 0x00000ff6, 
      0x2cfe9003, 0x33fbf530, 0x016f9c0f, 0x00000ff5, 
      0x2dfe8002, 0xf3f5f500, 0x017f990f, 0x00000ff5, 
      0x2efe9004, 0xa3eef4c0, 0x018f9510, 0x00000ff4, 
      0x2ffe8004, 0x53e8f490, 0x019f9211, 0x00000ff4, 
      0x31fe8003, 0x13e1f460, 0x01af8e12, 0x00000ff4, 
      0x32fe8004, 0xc3d9f440, 0x01bf8b12, 0x00000ff3, 
      0x33fe7003, 0x83d2f410, 0x01df8813, 0x00000ff3, 
      0x34fe7003, 0x43caf3f0, 0x01ef8414, 0x00000ff3, 
      0x34fe7004, 0x03c3f3c0, 0x01ff8115, 0x00000ff2, 
      0x35fe7004, 0xb3bbf3a0, 0x020f7e15, 0x00000ff2, 
      0x36fe7004, 0x73b3f380, 0x021f7b16, 0x00000ff1, 
      0x37fe7004, 0x33aaf370, 0x022f7717, 0x00000ff1, 
      0x37fe7004, 0xf3a2f350, 0x023f7417, 0x00000ff1, 
      0x38fe7005, 0xb399f330, 0x024f7118, 0x00000ff0, 
      0x39fe6005, 0x7390f320, 0x025f6e19, 0x00000ff0, 
      0x39fe6005, 0x3387f310, 0x026f6b1a, 0x00000ff0, 
      0x3afe6005, 0xf37ef300, 0x027f681a, 0x00000fef, 
      0x3afe6004, 0xb375f2f0, 0x029f651b, 0x00000fef, 
      0x3afe6005, 0x736bf2e0, 0x02af621c, 0x00000fef, 
      0x3afe6004, 0x4362f2e0, 0x02bf5f1d, 0x00000fee, 
      0x3bfe6004, 0x0358f2d0, 0x02cf5c1e, 0x00000fee, 
      0x3bfe6005, 0xc34ef2d0, 0x02cf591e, 0x00000fee, 
      0x3bfe6005, 0x8344f2d0, 0x02df571f, 0x00000fed, 
      0x3bfe7005, 0x433af2c0, 0x02ef5420, 0x00000fed, 
      0x3cfe7005, 0x032ff2d0, 0x02ff5121, 0x00000fec, 
      0x3bfe7005, 0xc325f2d0, 0x030f4f21, 0x00000fec, 
      0x3bfe7005, 0x931af2d0, 0x031f4c22, 0x00000fec, 
      0x3bfe7004, 0x5310f2d0, 0x032f4a23, 0x00000fec, 
      0x3bfe7004, 0x1305f2e0, 0x033f4824, 0x00000feb, 
      0x3bfe7005, 0xd2faf2f0, 0x033f4524, 0x00000feb, 
      0x3bfe7005, 0x92eff2f0, 0x034f4325, 0x00000feb, 
      0x3afe8005, 0x52e4f300, 0x035f4126, 0x00000fea, 
      0x3afe8004, 0x12d9f310, 0x036f3f27, 0x00000fea, 
      0x3afe8005, 0xc2cef320, 0x036f3d27, 0x00000fea, 
      0x39fe9005, 0x82c2f340, 0x037f3b28, 0x00000fe9, 
      0x39fe8005, 0x42b7f350, 0x037f3a29, 0x00000fe9, 
      0x38fe9005, 0x02abf360, 0x038f382a, 0x00000fe9,
   },
   { /* Y scale factor = 1.06, phases = 127, taps = 9. */
      0x36037fe8, 0x42af2a3f, 0xfe8038f3, 0x00000005, 
      0x37037fe8, 0x32ba297f, 0xfe8039f3, 0x00000005, 
      0x39036fe9, 0x12c628bf, 0xfe8039f3, 0x00000005, 
      0x3b036fe9, 0x02d127ff, 0xfe8039f3, 0x00000005, 
      0x3d035fea, 0xf2dc273f, 0xfe703af2, 0x00000005, 
      0x3f035fe9, 0xe2e8267f, 0xfe703af2, 0x00000005, 
      0x41034fea, 0xd2f325bf, 0xfe703af2, 0x00000005, 
      0x43033fea, 0xc2fe24ff, 0xfe703bf2, 0x00000005, 
      0x45032feb, 0xb309243f, 0xfe703bf2, 0x00000005, 
      0x47031feb, 0xb314237f, 0xfe703bf2, 0x00000005, 
      0x4a031fec, 0xa31e22bf, 0xfe603bf2, 0x00000005, 
      0x4d030feb, 0xa32921ff, 0xfe603bf2, 0x00000005, 
      0x4f02ffec, 0xa334213f, 0xfe603bf2, 0x00000004, 
      0x5202efed, 0xa33e206f, 0xfe603bf2, 0x00000004, 
      0x5402efed, 0xa3481faf, 0xfe603bf2, 0x00000004, 
      0x5702cfee, 0xa3521eef, 0xfe603bf2, 0x00000004, 
      0x5a02bfed, 0xb35c1e2f, 0xfe603bf2, 0x00000004, 
      0x5d02bfee, 0xb3661d5f, 0xfe603af2, 0x00000004, 
      0x60029fee, 0xc3701c9f, 0xfe603af2, 0x00000004, 
      0x63028fef, 0xc3791bdf, 0xfe603af2, 0x00000004, 
      0x66027fef, 0xd3831b1f, 0xfe6039f2, 0x00000004, 
      0x69026fef, 0xe38c1a5f, 0xfe6039f2, 0x00000004, 
      0x6c025fef, 0x0395199f, 0xfe6038f3, 0x00000004, 
      0x6f024ff0, 0x139e18cf, 0xfe6038f3, 0x00000004, 
      0x72023ff1, 0x23a7180f, 0xfe6037f3, 0x00000004, 
      0x76022ff1, 0x43af174f, 0xfe6036f3, 0x00000004, 
      0x79020ff1, 0x63b8168f, 0xfe6036f3, 0x00000004, 
      0x7c020ff1, 0x83c015cf, 0xfe6035f3, 0x00000004, 
      0x7f01eff2, 0xa3c8150f, 0xfe7034f3, 0x00000004, 
      0x8301dff2, 0xc3d0145f, 0xfe7033f3, 0x00000003, 
      0x8601cff3, 0xf3d7139f, 0xfe7032f3, 0x00000003, 
      0x8901bff4, 0x13df12df, 0xfe7031f4, 0x00000003, 
      0x8d01aff4, 0x43e6121f, 0xfe7030f4, 0x00000003, 
      0x90019ff3, 0x73ed116f, 0xfe802ff4, 0x00000003, 
      0x93018ff4, 0xa3f410af, 0xfe802ef4, 0x00000003, 
      0x97016ff5, 0xd3fb0fff, 0xfe802cf4, 0x00000003, 
      0x9a015ff4, 0x14010f4f, 0xfe902bf5, 0x00000003, 
      0x9e014ff5, 0x44070e8f, 0xfe902af5, 0x00000003, 
      0xa2013ff6, 0x840d0ddf, 0xfe9028f5, 0x00000002, 
      0xa5011ff6, 0xc4130d2f, 0xfea027f5, 0x00000002, 
      0xa8011ff6, 0x04190c7f, 0xfea025f6, 0x00000002, 
      0xab010ff7, 0x441e0bcf, 0xfea024f6, 0x00000002, 
      0xaf00eff8, 0x84230b1f, 0xfeb022f6, 0x00000002, 
      0xb200dff8, 0xd4280a7f, 0xfeb020f6, 0x00000002, 
      0xb600cff7, 0x242d09cf, 0xfec01ef7, 0x00000002, 
      0xb900bff8, 0x7431092f, 0xfec01df7, 0x00000001, 
      0xbc00aff9, 0xc435087f, 0xfed01bf7, 0x00000001, 
      0xc0009ff9, 0x143907df, 0xfed019f8, 0x00000001, 
      0xc3008ff9, 0x643d073f, 0xfee017f8, 0x00000001, 
      0xc6006ff9, 0xc441069f, 0xfef015f8, 0x00000001, 
      0xca006ffa, 0x244405ff, 0xfef012f9, 0x00000000, 
      0xcd005ffa, 0x8447055f, 0xff0010f9, 0x00000000, 
      0xd0003ffb, 0xe44a04cf, 0xff000ef9, 0x00000000, 
      0xd3003ffb, 0x444c042f, 0xff100cfa, 0x00000000, 
      0xd7001ffb, 0xa44f039f, 0xff2009fa, 0x00000000, 
      0xda000ffb, 0x1451030f, 0xff3007fb, 0x00000fff, 
      0xddfffffc, 0x8453027f, 0xff3004fb, 0x00000fff, 
      0xe0ffeffc, 0xf45401ef, 0xff4002fb, 0x00000fff, 
      0xe3ffdffc, 0x6456015f, 0xff5ffffc, 0x00000fff, 
      0xe6ffcffc, 0xd45700cf, 0xff6ffdfc, 0x00000fff, 
      0xe9ffcffd, 0x4458004f, 0xff6ffafd, 0x00000ffe, 
      0xecffbffd, 0xc458ffcf, 0xff7ff7fd, 0x00000ffe, 
      0xefff9ffd, 0x4459ff3f, 0xff8ff5fe, 0x00000ffe, 
      0xf2ff9ffd, 0xb459febf, 0xff9ff2fe, 0x00000ffe, 
      0xf5ff8ffd, 0x3459fe4f, 0xffafefff, 0x00000ffd, 
      0xf7ff7ffe, 0xc458fdcf, 0xffbfecff, 0x00000ffd, 
      0xfaff6ffe, 0x4458fd4f, 0xffcfe900, 0x00000ffd, 
      0xfdff6ffe, 0xc457fcdf, 0xffdfe600, 0x00000ffc, 
      0xffff5fff, 0x5456fc6f, 0xffdfe301, 0x00000ffc, 
      0x02ff4fff, 0xe454fbf0, 0xffefe001, 0x00000ffc, 
      0x04ff3fff, 0x7453fb80, 0xffffdd02, 0x00000ffc, 
      0x07ff3fff, 0x0451fb10, 0x000fda03, 0x00000ffb, 
      0x09ff2000, 0x944ffaa0, 0x001fd703, 0x00000ffb, 
      0x0cff2000, 0x244cfa40, 0x002fd304, 0x00000ffb, 
      0x0eff0001, 0xc44af9e0, 0x003fd004, 0x00000ffa, 
      0x10ff0000, 0x5447f980, 0x005fcd05, 0x00000ffa, 
      0x12fef000, 0xf444f920, 0x006fca05, 0x00000ffa, 
      0x15fef000, 0x9441f8c0, 0x007fc606, 0x00000ff9, 
      0x17fee001, 0x343df860, 0x008fc307, 0x00000ff9, 
      0x19fed001, 0xd439f810, 0x009fc007, 0x00000ff9, 
      0x1bfed002, 0x7435f7c0, 0x00afbc08, 0x00000ff8, 
      0x1dfec001, 0x2431f770, 0x00bfb909, 0x00000ff8, 
      0x1efec001, 0xc42df720, 0x00cfb609, 0x00000ff8, 
      0x20fec002, 0x7428f6d0, 0x00dfb20a, 0x00000ff7, 
      0x22feb002, 0x1423f690, 0x00efaf0b, 0x00000ff7, 
      0x24fea002, 0xc41ef640, 0x010fab0b, 0x00000ff7, 
      0x25fea002, 0x7419f600, 0x011fa80c, 0x00000ff6, 
      0x27fe9002, 0x2413f5c0, 0x012fa50d, 0x00000ff6, 
      0x28fe9003, 0xd40df580, 0x013fa10d, 0x00000ff6, 
      0x2afe9003, 0x8407f540, 0x014f9e0e, 0x00000ff5, 
      0x2bfe9002, 0x4401f510, 0x015f9a0f, 0x00000ff5, 
      0x2cfe8003, 0xf3fbf4d0, 0x016f970f, 0x00000ff5, 
      0x2efe8003, 0xa3f4f4a0, 0x018f9310, 0x00000ff4, 
      0x2ffe7003, 0x63edf470, 0x019f9011, 0x00000ff4, 
      0x30fe7004, 0x13e6f440, 0x01af8d12, 0x00000ff3, 
      0x31fe7004, 0xd3dff410, 0x01bf8912, 0x00000ff3, 
      0x32fe7003, 0x93d7f3f0, 0x01cf8613, 0x00000ff3, 
      0x33fe7003, 0x53d0f3c0, 0x01df8314, 0x00000ff2, 
      0x34fe7004, 0x03c8f3a0, 0x01ef7f15, 0x00000ff2, 
      0x35fe6003, 0xc3c0f380, 0x020f7c15, 0x00000ff2, 
      0x36fe6003, 0x83b8f360, 0x021f7916, 0x00000ff1, 
      0x36fe7004, 0x43aff340, 0x022f7517, 0x00000ff1, 
      0x37fe7004, 0x03a7f320, 0x023f7218, 0x00000ff0, 
      0x38fe6004, 0xc39ef310, 0x024f6f18, 0x00000ff0, 
      0x38fe5004, 0x9395f300, 0x025f6c19, 0x00000ff0, 
      0x39fe6004, 0x538cf2e0, 0x026f691a, 0x00000fef, 
      0x39fe6004, 0x1383f2d0, 0x027f661b, 0x00000fef, 
      0x3afe6004, 0xd379f2c0, 0x028f631b, 0x00000fef, 
      0x3afe6004, 0x9370f2c0, 0x029f601c, 0x00000fee, 
      0x3afe6005, 0x5366f2b0, 0x02af5d1d, 0x00000fee, 
      0x3bfe5004, 0x235cf2b0, 0x02bf5a1e, 0x00000fee, 
      0x3bfe6005, 0xe352f2a0, 0x02cf571e, 0x00000fed, 
      0x3bfe6005, 0xa348f2a0, 0x02df541f, 0x00000fed, 
      0x3bfe6005, 0x633ef2a0, 0x02ef5220, 0x00000fec, 
      0x3bfe6004, 0x3334f2a0, 0x02ff4f21, 0x00000fec, 
      0x3bfe6004, 0xf329f2a0, 0x030f4d21, 0x00000fec, 
      0x3bfe7005, 0xb31ef2a0, 0x031f4a22, 0x00000feb, 
      0x3bfe6004, 0x7314f2b0, 0x032f4823, 0x00000feb, 
      0x3bfe7005, 0x3309f2b0, 0x032f4524, 0x00000feb, 
      0x3bfe7004, 0xf2fef2c0, 0x033f4324, 0x00000feb, 
      0x3afe7005, 0xb2f3f2d0, 0x034f4125, 0x00000fea, 
      0x3afe7004, 0x72e8f2e0, 0x035f3f26, 0x00000fea, 
      0x3afe7005, 0x32dcf2f0, 0x035f3d27, 0x00000fea, 
      0x39fe8005, 0xf2d1f300, 0x036f3b27, 0x00000fe9, 
      0x39fe8005, 0xb2c6f310, 0x036f3928, 0x00000fe9, 
      0x39fe8004, 0x72baf330, 0x037f3729, 0x00000fe9, 
      0x38fe8004, 0x32aff330, 0x038f362a, 0x00000fe9,
   },
   { /* Y scale factor = 1.07, phases = 127, taps = 9. */
      0x33037fe8, 0x12b22a6f, 0xfe8038f3, 0x00000005, 
      0x35037fe8, 0x02bd29af, 0xfe8038f3, 0x00000005, 
      0x36036fe9, 0xf2c928ef, 0xfe7039f2, 0x00000005, 
      0x38036fe9, 0xd2d5282f, 0xfe7039f2, 0x00000005, 
      0x3a035fe9, 0xc2e0276f, 0xfe703af2, 0x00000005, 
      0x3c034fea, 0xb2eb26af, 0xfe703af2, 0x00000005, 
      0x3e034fe9, 0xa2f725ef, 0xfe703af2, 0x00000005, 
      0x41033fea, 0x9302252f, 0xfe603af2, 0x00000005, 
      0x42032fea, 0x930d246f, 0xfe603bf2, 0x00000005, 
      0x45031feb, 0x831823af, 0xfe603bf2, 0x00000004, 
      0x48030fec, 0x832222df, 0xfe603bf2, 0x00000004, 
      0x4a030fec, 0x732d221f, 0xfe603bf2, 0x00000004, 
      0x4d02ffeb, 0x7338215f, 0xfe603bf2, 0x00000004, 
      0x4f02efec, 0x7342209f, 0xfe603bf2, 0x00000004, 
      0x5202dfec, 0x734d1fcf, 0xfe603bf2, 0x00000004, 
      0x5502cfed, 0x83571f0f, 0xfe503af2, 0x00000004, 
      0x5802bfed, 0x83611e4f, 0xfe503af2, 0x00000004, 
      0x5b02afee, 0x836b1d7f, 0xfe503af2, 0x00000004, 
      0x5e029fee, 0x93741cbf, 0xfe503af2, 0x00000004, 
      0x61028fee, 0xa37e1bff, 0xfe5039f2, 0x00000004, 
      0x64027fef, 0xb3871b2f, 0xfe5039f2, 0x00000004, 
      0x67026fef, 0xc3911a6f, 0xfe5038f2, 0x00000004, 
      0x6a025fef, 0xd39a19af, 0xfe5038f2, 0x00000004, 
      0x6d024ff0, 0xe3a318ef, 0xfe5037f2, 0x00000004, 
      0x70022ff0, 0x03ac181f, 0xfe6037f3, 0x00000004, 
      0x73022ff1, 0x13b4175f, 0xfe6036f3, 0x00000004, 
      0x77020ff1, 0x33bd169f, 0xfe6035f3, 0x00000004, 
      0x7a01fff1, 0x53c515df, 0xfe6035f3, 0x00000004, 
      0x7d01fff2, 0x73cd151f, 0xfe6034f3, 0x00000003, 
      0x8101dff2, 0xa3d5145f, 0xfe6033f3, 0x00000003, 
      0x8401cff2, 0xc3dd13af, 0xfe6032f3, 0x00000003, 
      0x8701bff2, 0xf3e412ef, 0xfe7031f3, 0x00000003, 
      0x8b01aff3, 0x13eb122f, 0xfe7030f4, 0x00000003, 
      0x8f019ff4, 0x43f2116f, 0xfe702ef4, 0x00000003, 
      0x92018ff4, 0x73f910bf, 0xfe702df4, 0x00000003, 
      0x95016ff4, 0xb4000fff, 0xfe802cf4, 0x00000003, 
      0x99014ff4, 0xe4070f4f, 0xfe802bf4, 0x00000003, 
      0x9c014ff5, 0x240d0e9f, 0xfe8029f5, 0x00000002, 
      0xa0013ff5, 0x54130ddf, 0xfe9028f5, 0x00000002, 
      0xa3012ff6, 0x94190d2f, 0xfe9026f5, 0x00000002, 
      0xa6010ff6, 0xe41e0c7f, 0xfea025f5, 0x00000002, 
      0xaa00fff6, 0x24240bcf, 0xfea023f6, 0x00000002, 
      0xae00eff7, 0x64290b1f, 0xfea021f6, 0x00000002, 
      0xb100cff7, 0xb42e0a6f, 0xfeb020f6, 0x00000002, 
      0xb400cff7, 0x043309cf, 0xfeb01ef7, 0x00000001, 
      0xb800bff8, 0x4437091f, 0xfec01cf7, 0x00000001, 
      0xbb009ff9, 0xa43b087f, 0xfec01af7, 0x00000001, 
      0xbe008ff9, 0xf43f07df, 0xfed018f7, 0x00000001, 
      0xc2008ff9, 0x4443072f, 0xfed016f8, 0x00000001, 
      0xc5006ff9, 0xa447068f, 0xfee014f8, 0x00000001, 
      0xc8005ffa, 0x044a05ef, 0xfef012f9, 0x00000000, 
      0xcc004ffa, 0x644d055f, 0xfef00ff9, 0x00000000, 
      0xcf003ffa, 0xc45004bf, 0xff000df9, 0x00000000, 
      0xd2002ffa, 0x2453041f, 0xff100bfa, 0x00000000, 
      0xd5001ffb, 0x9455038f, 0xff1008fa, 0x00000000, 
      0xd9000ffb, 0xf45702ff, 0xff2006fa, 0x00000fff, 
      0xdcffeffb, 0x6459026f, 0xff3004fb, 0x00000fff, 
      0xdfffeffb, 0xd45a01df, 0xff4001fb, 0x00000fff, 
      0xe2ffdffc, 0x445c014f, 0xff4ffefc, 0x00000fff, 
      0xe5ffcffd, 0xb45d00bf, 0xff5ffcfc, 0x00000ffe, 
      0xe8ffbffc, 0x345e003f, 0xff6ff9fd, 0x00000ffe, 
      0xebffbffd, 0xa45effaf, 0xff7ff6fd, 0x00000ffe, 
      0xedff9ffd, 0x245fff2f, 0xff8ff4fe, 0x00000ffe, 
      0xf1ff8ffe, 0xa45ffeaf, 0xff8ff1fe, 0x00000ffd, 
      0xf4ff8ffd, 0x245ffe2f, 0xff9feeff, 0x00000ffd, 
      0xf7ff7ffe, 0xa45efdaf, 0xffafebff, 0x00000ffd, 
      0xf9ff5ffe, 0x345efd3f, 0xffbfe800, 0x00000ffd, 
      0xfcff5fff, 0xb45dfcbf, 0xffcfe500, 0x00000ffc, 
      0xfeff4fff, 0x445cfc4f, 0xffdfe201, 0x00000ffc, 
      0x01ff4ffe, 0xd45afbd0, 0xffefdf01, 0x00000ffc, 
      0x04ff2fff, 0x6459fb60, 0xffffdc02, 0x00000ffb, 
      0x06ff2fff, 0xf457faf0, 0x000fd902, 0x00000ffb, 
      0x08ff1000, 0x8455fa90, 0x001fd503, 0x00000ffb, 
      0x0bff1fff, 0x1453fa20, 0x002fd204, 0x00000ffb, 
      0x0dff0000, 0xb450f9c0, 0x003fcf04, 0x00000ffa, 
      0x0ffef000, 0x544df960, 0x004fcc05, 0x00000ffa, 
      0x12fef000, 0xe44af900, 0x005fc805, 0x00000ffa, 
      0x14fee001, 0x8447f8a0, 0x006fc506, 0x00000ff9, 
      0x16fee001, 0x2443f840, 0x007fc207, 0x00000ff9, 
      0x18fed001, 0xd43ff7f0, 0x008fbe07, 0x00000ff9, 
      0x1afec002, 0x743bf7a0, 0x009fbb08, 0x00000ff8, 
      0x1cfec001, 0x1437f740, 0x00bfb809, 0x00000ff8, 
      0x1dfeb001, 0xc433f700, 0x00cfb409, 0x00000ff8, 
      0x20feb001, 0x642ef6b0, 0x00dfb10a, 0x00000ff7, 
      0x21feb002, 0x1429f660, 0x00efad0b, 0x00000ff7, 
      0x23fea002, 0xc424f620, 0x00ffaa0b, 0x00000ff6, 
      0x25fea002, 0x741ef5e0, 0x010fa60c, 0x00000ff6, 
      0x26fe9003, 0x2419f590, 0x011fa30d, 0x00000ff6, 
      0x28fe9002, 0xd413f550, 0x013fa00d, 0x00000ff5, 
      0x29fe8002, 0x940df520, 0x014f9c0e, 0x00000ff5, 
      0x2afe8002, 0x4407f4e0, 0x015f990f, 0x00000ff5, 
      0x2cfe8003, 0xf400f4b0, 0x016f950f, 0x00000ff4, 
      0x2dfe8003, 0xb3f9f470, 0x017f9210, 0x00000ff4, 
      0x2ffe8003, 0x63f2f440, 0x018f8e11, 0x00000ff4, 
      0x30fe7003, 0x23ebf410, 0x01af8b12, 0x00000ff3, 
      0x31fe6003, 0xe3e4f3f0, 0x01bf8712, 0x00000ff3, 
      0x32fe6003, 0xa3ddf3c0, 0x01cf8413, 0x00000ff2, 
      0x33fe6003, 0x53d5f3a0, 0x01df8114, 0x00000ff2, 
      0x34fe6004, 0x13cdf370, 0x01ef7d15, 0x00000ff2, 
      0x35fe6004, 0xd3c5f350, 0x01ff7a15, 0x00000ff1, 
      0x35fe6004, 0x93bdf330, 0x020f7716, 0x00000ff1, 
      0x37fe6004, 0x53b4f310, 0x021f7317, 0x00000ff1, 
      0x37fe5003, 0x23acf300, 0x023f7018, 0x00000ff0, 
      0x37fe5004, 0xe3a3f2e0, 0x024f6d18, 0x00000ff0, 
      0x38fe5004, 0xa39af2d0, 0x025f6a19, 0x00000fef, 
      0x38fe5004, 0x6391f2c0, 0x026f671a, 0x00000fef, 
      0x39fe5004, 0x2387f2b0, 0x027f641b, 0x00000fef, 
      0x39fe5004, 0xf37ef2a0, 0x028f611b, 0x00000fee, 
      0x3afe5004, 0xb374f290, 0x029f5e1c, 0x00000fee, 
      0x3afe5004, 0x736bf280, 0x02af5b1d, 0x00000fee, 
      0x3afe5004, 0x4361f280, 0x02bf581e, 0x00000fed, 
      0x3afe5004, 0x0357f280, 0x02cf551f, 0x00000fed, 
      0x3bfe6004, 0xc34df270, 0x02df521f, 0x00000fec, 
      0x3bfe6004, 0x9342f270, 0x02ef4f20, 0x00000fec, 
      0x3bfe5004, 0x5338f270, 0x02ff4d21, 0x00000fec, 
      0x3bfe6005, 0x132df270, 0x030f4a22, 0x00000feb, 
      0x3bfe6005, 0xd322f280, 0x030f4822, 0x00000feb, 
      0x3bfe6004, 0xa318f280, 0x031f4523, 0x00000feb, 
      0x3bfe6004, 0x630df290, 0x032f4324, 0x00000fea, 
      0x3afe6005, 0x2302f290, 0x033f4125, 0x00000fea, 
      0x3afe7004, 0xe2f7f2a0, 0x034f3e25, 0x00000fea, 
      0x3afe7005, 0xa2ebf2c0, 0x034f3c26, 0x00000fe9, 
      0x3afe7005, 0x62e0f2c0, 0x035f3a27, 0x00000fe9, 
      0x39fe7005, 0x22d5f2d0, 0x036f3828, 0x00000fe9, 
      0x39fe7005, 0xe2c9f2f0, 0x036f3628, 0x00000fe9, 
      0x38fe8005, 0xa2bdf300, 0x037f3529, 0x00000fe8, 
      0x38fe8005, 0x62b2f310, 0x037f332a, 0x00000fe8,
   },
   { /* Y scale factor = 1.08, phases = 127, taps = 9. */
      0x30038fe8, 0xf2b52a9f, 0xfe7038f2, 0x00000004, 
      0x33037fe8, 0xd2c129df, 0xfe7038f2, 0x00000004, 
      0x34036fe9, 0xc2cd291f, 0xfe7038f2, 0x00000004, 
      0x36035fe9, 0xb2d8285f, 0xfe7039f2, 0x00000004, 
      0x38035fe9, 0xa2e4279f, 0xfe6039f2, 0x00000004, 
      0x3a034fe9, 0x92ef26df, 0xfe603af2, 0x00000004, 
      0x3c033fea, 0x82fa261f, 0xfe603af2, 0x00000004, 
      0x3e033fe9, 0x7306255f, 0xfe603af2, 0x00000004, 
      0x41032fea, 0x6311248f, 0xfe603af2, 0x00000004, 
      0x43031fea, 0x631c23cf, 0xfe603af2, 0x00000004, 
      0x45031feb, 0x5327230f, 0xfe503af2, 0x00000004, 
      0x4802ffec, 0x5331223f, 0xfe503bf2, 0x00000004, 
      0x4a02ffec, 0x533c217f, 0xfe503af2, 0x00000004, 
      0x4d02dfec, 0x534720bf, 0xfe503af2, 0x00000004, 
      0x5002dfec, 0x53511fef, 0xfe503af2, 0x00000004, 
      0x5302cfec, 0x535b1f2f, 0xfe503af2, 0x00000004, 
      0x5602bfec, 0x53651e6f, 0xfe503af2, 0x00000004, 
      0x5802afed, 0x636f1d9f, 0xfe503af2, 0x00000004, 
      0x5b029fee, 0x63791cdf, 0xfe5039f2, 0x00000004, 
      0x5e028fee, 0x73831c0f, 0xfe5039f2, 0x00000004, 
      0x62026fee, 0x838c1b4f, 0xfe5039f2, 0x00000004, 
      0x65025fee, 0x93961a8f, 0xfe5038f2, 0x00000004, 
      0x68024fef, 0xa39f19bf, 0xfe5038f2, 0x00000004, 
      0x6b023fef, 0xc3a818ff, 0xfe5037f2, 0x00000004, 
      0x6e022ff0, 0xd3b1183f, 0xfe5036f2, 0x00000004, 
      0x71021ff0, 0xf3b9177f, 0xfe5036f2, 0x00000004, 
      0x75020ff0, 0x13c216af, 0xfe5035f3, 0x00000004, 
      0x7901fff1, 0x33ca15ef, 0xfe5034f3, 0x00000003, 
      0x7b01eff2, 0x53d2152f, 0xfe6033f3, 0x00000003, 
      0x7f01dff2, 0x73da146f, 0xfe6032f3, 0x00000003, 
      0x8201bff3, 0xa3e213af, 0xfe6031f3, 0x00000003, 
      0x8601aff3, 0xc3e912ff, 0xfe6030f3, 0x00000003, 
      0x89019ff3, 0xf3f1123f, 0xfe602ff3, 0x00000003, 
      0x8d017ff3, 0x23f8117f, 0xfe702ef4, 0x00000003, 
      0x90017ff3, 0x53ff10bf, 0xfe702df4, 0x00000003, 
      0x93016ff4, 0x8406100f, 0xfe702bf4, 0x00000003, 
      0x97014ff5, 0xc40c0f4f, 0xfe802af4, 0x00000002, 
      0x9a014ff5, 0xf4120e9f, 0xfe8029f4, 0x00000002, 
      0x9e012ff6, 0x34190ddf, 0xfe8027f5, 0x00000002, 
      0xa1011ff6, 0x741e0d2f, 0xfe9026f5, 0x00000002, 
      0xa5010ff6, 0xb4240c7f, 0xfe9024f5, 0x00000002, 
      0xa800fff7, 0xf42a0bcf, 0xfe9022f5, 0x00000002, 
      0xac00dff6, 0x442f0b1f, 0xfea021f6, 0x00000002, 
      0xaf00dff7, 0x94340a6f, 0xfea01ff6, 0x00000001, 
      0xb300bff8, 0xd43809cf, 0xfeb01df6, 0x00000001, 
      0xb600bff8, 0x243d091f, 0xfeb01bf7, 0x00000001, 
      0xba00aff8, 0x7441086f, 0xfec019f7, 0x00000001, 
      0xbd008ff9, 0xd44507cf, 0xfec017f7, 0x00000001, 
      0xc0007ff9, 0x2449072f, 0xfed015f8, 0x00000001, 
      0xc4005ff9, 0x844d068f, 0xfee013f8, 0x00000000, 
      0xc7005ff9, 0xe45005ef, 0xfee011f8, 0x00000000, 
      0xca004ff9, 0x4453054f, 0xfef00ff9, 0x00000000, 
      0xce003ffa, 0xa45604af, 0xfef00cf9, 0x00000000, 
      0xd1001ffa, 0x0459041f, 0xff000afa, 0x00000000, 
      0xd4000ffb, 0x745b037f, 0xff1008fa, 0x00000fff, 
      0xd7000ffb, 0xd45d02ef, 0xff2005fa, 0x00000fff, 
      0xdbffeffb, 0x445f025f, 0xff2003fb, 0x00000fff, 
      0xdeffdffb, 0xb46101cf, 0xff3000fb, 0x00000fff, 
      0xe1ffdffb, 0x2462013f, 0xff4ffefc, 0x00000ffe, 
      0xe4ffbffc, 0xa46300af, 0xff5ffbfc, 0x00000ffe, 
      0xe7ffbffd, 0x1464001f, 0xff5ff8fd, 0x00000ffe, 
      0xeaffaffc, 0x9465ff9f, 0xff6ff5fd, 0x00000ffe, 
      0xedff9ffc, 0x1465ff1f, 0xff7ff3fe, 0x00000ffd, 
      0xf0ff7ffd, 0x9465fe9f, 0xff8ff0fe, 0x00000ffd, 
      0xf2ff7ffd, 0x1465fe1f, 0xff9fedff, 0x00000ffd, 
      0xf5ff6ffd, 0x9465fd9f, 0xffafeaff, 0x00000ffd, 
      0xf8ff6ffe, 0x1464fd1f, 0xffbfe700, 0x00000ffc, 
      0xfbff4ffe, 0xa463fcaf, 0xffcfe400, 0x00000ffc, 
      0xfeff3ffe, 0x3462fc2f, 0xffdfe101, 0x00000ffc, 
      0x00ff3ffe, 0xc461fbb0, 0xffdfde01, 0x00000ffc, 
      0x03ff2fff, 0x545ffb40, 0xffefdb02, 0x00000ffb, 
      0x05ff2000, 0xe45dfad0, 0xffffd702, 0x00000ffb, 
      0x08ff1fff, 0x745bfa70, 0x000fd403, 0x00000ffb, 
      0x0aff0fff, 0x1459fa00, 0x002fd104, 0x00000ffa, 
      0x0cfef000, 0xa456f9a0, 0x003fce04, 0x00000ffa, 
      0x0ffee000, 0x4453f940, 0x004fca05, 0x00000ffa, 
      0x11fee000, 0xe450f8e0, 0x005fc705, 0x00000ff9, 
      0x13fed000, 0x844df880, 0x006fc406, 0x00000ff9, 
      0x15fed001, 0x2449f820, 0x007fc007, 0x00000ff9, 
      0x17fed001, 0xc445f7d0, 0x008fbd07, 0x00000ff8, 
      0x1afec001, 0x6441f770, 0x009fba08, 0x00000ff8, 
      0x1bfeb002, 0x143df720, 0x00afb609, 0x00000ff8, 
      0x1dfeb002, 0xc438f6d0, 0x00bfb309, 0x00000ff7, 
      0x1ffea002, 0x6434f690, 0x00cfaf0a, 0x00000ff7, 
      0x21fe9001, 0x142ff640, 0x00efac0b, 0x00000ff7, 
      0x22fea002, 0xc42af5f0, 0x00ffa80b, 0x00000ff6, 
      0x24fe9002, 0x7424f5b0, 0x010fa50c, 0x00000ff6, 
      0x26fe9003, 0x241ef570, 0x011fa10d, 0x00000ff5, 
      0x27fe8003, 0xd419f530, 0x012f9e0d, 0x00000ff5, 
      0x29fe8003, 0x9412f4f0, 0x013f9a0e, 0x00000ff5, 
      0x2afe8003, 0x440cf4c0, 0x014f970f, 0x00000ff4, 
      0x2bfe7003, 0x0406f480, 0x016f9310, 0x00000ff4, 
      0x2dfe7002, 0xb3fff450, 0x017f9010, 0x00000ff4, 
      0x2efe7002, 0x73f8f420, 0x018f8d11, 0x00000ff3, 
      0x2ffe6003, 0x33f1f3f0, 0x019f8912, 0x00000ff3, 
      0x30fe6004, 0xf3e9f3c0, 0x01af8612, 0x00000ff2, 
      0x31fe6004, 0xa3e2f3a0, 0x01bf8213, 0x00000ff2, 
      0x32fe6003, 0x63daf370, 0x01df7f14, 0x00000ff2, 
      0x33fe6004, 0x23d2f350, 0x01ef7b15, 0x00000ff1, 
      0x34fe5004, 0xe3caf330, 0x01ff7815, 0x00000ff1, 
      0x35fe5003, 0xa3c2f310, 0x020f7516, 0x00000ff1, 
      0x36fe5004, 0x73b9f2f0, 0x021f7117, 0x00000ff0, 
      0x36fe5004, 0x33b1f2d0, 0x022f6e18, 0x00000ff0, 
      0x37fe5004, 0xf3a8f2c0, 0x023f6b18, 0x00000fef, 
      0x38fe5004, 0xb39ff2a0, 0x024f6819, 0x00000fef, 
      0x38fe5003, 0x8396f290, 0x025f651a, 0x00000fef, 
      0x39fe5003, 0x438cf280, 0x027f621b, 0x00000fee, 
      0x39fe5004, 0x0383f270, 0x028f5e1c, 0x00000fee, 
      0x39fe5004, 0xd379f260, 0x029f5b1c, 0x00000fee, 
      0x3afe5004, 0x936ff260, 0x02af581d, 0x00000fed, 
      0x3afe4004, 0x6365f250, 0x02bf561e, 0x00000fed, 
      0x3afe5004, 0x235bf250, 0x02cf531f, 0x00000fec, 
      0x3afe5004, 0xe351f250, 0x02df501f, 0x00000fec, 
      0x3afe5004, 0xb347f250, 0x02df4d20, 0x00000fec, 
      0x3afe6005, 0x733cf250, 0x02ef4a21, 0x00000feb, 
      0x3bfe5005, 0x3331f250, 0x02ff4822, 0x00000feb, 
      0x3afe5005, 0x0327f250, 0x030f4523, 0x00000feb, 
      0x3afe6004, 0xc31cf260, 0x031f4323, 0x00000fea, 
      0x3afe6004, 0x8311f260, 0x032f4124, 0x00000fea, 
      0x3afe5004, 0x5306f270, 0x033f3e25, 0x00000fea, 
      0x3afe6005, 0x12faf280, 0x033f3c26, 0x00000fe9, 
      0x3afe6004, 0xd2eff290, 0x034f3a26, 0x00000fe9, 
      0x39fe6004, 0x92e4f2a0, 0x035f3827, 0x00000fe9, 
      0x39fe7005, 0x52d8f2b0, 0x035f3628, 0x00000fe8, 
      0x38fe7005, 0x12cdf2c0, 0x036f3429, 0x00000fe8, 
      0x38fe7005, 0xd2c1f2d0, 0x037f3229, 0x00000fe8, 
      0x38fe7005, 0x92b5f2f0, 0x037f302a, 0x00000fe8,
   },
   { /* Y scale factor = 1.09, phases = 127, taps = 9. */
      0x2e037fe8, 0xc2b82adf, 0xfe7037f2, 0x00000004, 
      0x30036fe7, 0xb2c42a1f, 0xfe7038f2, 0x00000004, 
      0x32036fe8, 0x92d0295f, 0xfe6038f2, 0x00000004, 
      0x33035fe9, 0x82dc288f, 0xfe6039f2, 0x00000004, 
      0x35035fe9, 0x72e727cf, 0xfe6039f2, 0x00000004, 
      0x37034fe9, 0x62f3270f, 0xfe6039f2, 0x00000004, 
      0x3a033fe8, 0x52fe264f, 0xfe603af2, 0x00000004, 
      0x3c032fea, 0x430a257f, 0xfe503af2, 0x00000004, 
      0x3e031fea, 0x431524bf, 0xfe503af2, 0x00000004, 
      0x41031fe9, 0x332023ff, 0xfe503af2, 0x00000004, 
      0x43030feb, 0x232b232f, 0xfe503af2, 0x00000004, 
      0x4602ffea, 0x2336226f, 0xfe503af2, 0x00000004, 
      0x4802ffeb, 0x2340219f, 0xfe503af2, 0x00000004, 
      0x4b02dfeb, 0x234b20df, 0xfe503af2, 0x00000004, 
      0x4e02cfec, 0x2355200f, 0xfe503af2, 0x00000004, 
      0x5002bfed, 0x23601f4f, 0xfe403af2, 0x00000004, 
      0x5302afed, 0x336a1e7f, 0xfe403af2, 0x00000004, 
      0x5602afed, 0x33741dbf, 0xfe4039f2, 0x00000004, 
      0x59028fed, 0x437e1cff, 0xfe4039f2, 0x00000004, 
      0x5c028fee, 0x43871c2f, 0xfe4039f2, 0x00000004, 
      0x5f027fee, 0x53911b6f, 0xfe4038f2, 0x00000004, 
      0x62026fef, 0x639a1a9f, 0xfe4038f2, 0x00000004, 
      0x66024fee, 0x83a419df, 0xfe4037f2, 0x00000004, 
      0x69023fef, 0x93ad190f, 0xfe4037f2, 0x00000004, 
      0x6c021fef, 0xb3b6184f, 0xfe5036f2, 0x00000004, 
      0x6f021ff0, 0xc3be178f, 0xfe5035f2, 0x00000004, 
      0x7301fff0, 0xe3c716cf, 0xfe5035f2, 0x00000003, 
      0x7601fff1, 0x03cf15ff, 0xfe5034f3, 0x00000003, 
      0x7901dff2, 0x23d8153f, 0xfe5033f3, 0x00000003, 
      0x7d01cff2, 0x43e0147f, 0xfe5032f3, 0x00000003, 
      0x8001cff2, 0x73e713bf, 0xfe5031f3, 0x00000003, 
      0x84019ff2, 0xa3ef12ff, 0xfe6030f3, 0x00000003, 
      0x87019ff3, 0xc3f6123f, 0xfe602ff3, 0x00000003, 
      0x8b017ff2, 0xf3fe118f, 0xfe602ef3, 0x00000003, 
      0x8e017ff4, 0x240410cf, 0xfe602cf4, 0x00000003, 
      0x92015ff3, 0x640b100f, 0xfe702bf4, 0x00000003, 
      0x95014ff4, 0x94120f5f, 0xfe702af4, 0x00000002, 
      0x99013ff5, 0xd4180e9f, 0xfe7028f4, 0x00000002, 
      0x9c012ff4, 0x141e0def, 0xfe8027f5, 0x00000002, 
      0xa0011ff5, 0x54240d2f, 0xfe8025f5, 0x00000002, 
      0xa300fff6, 0x942a0c7f, 0xfe8024f5, 0x00000002, 
      0xa700eff6, 0xd42f0bcf, 0xfe9022f5, 0x00000002, 
      0xaa00dff6, 0x24350b1f, 0xfe9020f6, 0x00000002, 
      0xae00cff7, 0x643a0a6f, 0xfea01ef6, 0x00000001, 
      0xb100bff7, 0xb43f09bf, 0xfea01df6, 0x00000001, 
      0xb5009ff7, 0x0443091f, 0xfeb01bf7, 0x00000001, 
      0xb8009ff8, 0x5447086f, 0xfeb019f7, 0x00000001, 
      0xbb007ff8, 0xb44b07cf, 0xfec017f7, 0x00000001, 
      0xbf007ff9, 0x044f071f, 0xfec015f8, 0x00000000, 
      0xc2006ff9, 0x6453067f, 0xfed012f8, 0x00000000, 
      0xc6004ff9, 0xc45605df, 0xfee010f8, 0x00000000, 
      0xc9003ffa, 0x2459053f, 0xfee00ef9, 0x00000000, 
      0xcc002ffa, 0x845c049f, 0xfef00cf9, 0x00000000, 
      0xd0001ffa, 0xe45f040f, 0xff0009f9, 0x00000fff, 
      0xd3000ffb, 0x5461036f, 0xff0007fa, 0x00000fff, 
      0xd6000ffb, 0xb46302df, 0xff1004fa, 0x00000fff, 
      0xd9ffeffb, 0x2465024f, 0xff2002fb, 0x00000fff, 
      0xddffdffc, 0x946701af, 0xff2ffffb, 0x00000fff, 
      0xe0ffcffb, 0x1468012f, 0xff3ffdfc, 0x00000ffe, 
      0xe3ffbffc, 0x8469009f, 0xff4ffafc, 0x00000ffe, 
      0xe6ffaffd, 0xf46a000f, 0xff5ff7fc, 0x00000ffe, 
      0xe9ff9ffc, 0x746bff8f, 0xff6ff4fd, 0x00000ffe, 
      0xecff8ffd, 0xf46bfeff, 0xff7ff2fd, 0x00000ffd, 
      0xefff7ffe, 0x746bfe7f, 0xff7feffe, 0x00000ffd, 
      0xf2ff7ffd, 0xf46bfdff, 0xff8fecfe, 0x00000ffd, 
      0xf4ff6ffe, 0x846bfd7f, 0xff9fe9ff, 0x00000ffc, 
      0xf8ff5ffe, 0x046afcff, 0xffafe600, 0x00000ffc, 
      0xfaff4ffe, 0x9469fc8f, 0xffbfe300, 0x00000ffc, 
      0xfcff3ffe, 0x2468fc1f, 0xffcfe001, 0x00000ffc, 
      0xffff3fff, 0xa467fb9f, 0xffdfdd01, 0x00000ffb, 
      0x02ff2fff, 0x4465fb20, 0xffefd902, 0x00000ffb, 
      0x04ff1000, 0xd463fab0, 0xffffd602, 0x00000ffb, 
      0x07ff0000, 0x6461fa50, 0x000fd303, 0x00000ffa, 
      0x09ff0fff, 0x045ff9e0, 0x001fd004, 0x00000ffa, 
      0x0cfef000, 0x945cf980, 0x002fcc04, 0x00000ffa, 
      0x0efef000, 0x3459f920, 0x003fc905, 0x00000ff9, 
      0x10fee000, 0xd456f8c0, 0x004fc605, 0x00000ff9, 
      0x12fed001, 0x7453f860, 0x005fc206, 0x00000ff9, 
      0x15fed001, 0x144ff800, 0x006fbf07, 0x00000ff8, 
      0x17feb000, 0xc44bf7b0, 0x008fbc07, 0x00000ff8, 
      0x19feb001, 0x6447f750, 0x009fb808, 0x00000ff8, 
      0x1bfea001, 0x1443f700, 0x00afb509, 0x00000ff7, 
      0x1dfea001, 0xb43ff6b0, 0x00bfb109, 0x00000ff7, 
      0x1efea001, 0x643af660, 0x00cfae0a, 0x00000ff7, 
      0x20fe9002, 0x1435f620, 0x00dfaa0b, 0x00000ff6, 
      0x22fe9002, 0xc42ff5d0, 0x00efa70b, 0x00000ff6, 
      0x24fe8002, 0x742af590, 0x00ffa30c, 0x00000ff6, 
      0x25fe8002, 0x2424f550, 0x011fa00d, 0x00000ff5, 
      0x27fe7002, 0xe41ef510, 0x012f9c0d, 0x00000ff5, 
      0x28fe7003, 0x9418f4d0, 0x013f990e, 0x00000ff4, 
      0x2afe7002, 0x5412f490, 0x014f950f, 0x00000ff4, 
      0x2bfe7002, 0x040bf460, 0x015f9210, 0x00000ff4, 
      0x2dfe7003, 0xc404f420, 0x016f8e10, 0x00000ff3, 
      0x2dfe6002, 0x83fef3f0, 0x018f8b11, 0x00000ff3, 
      0x2ffe6003, 0x33f6f3c0, 0x019f8712, 0x00000ff3, 
      0x30fe6002, 0xf3eff3a0, 0x01af8412, 0x00000ff2, 
      0x31fe5004, 0xb3e7f370, 0x01bf8013, 0x00000ff2, 
      0x32fe5004, 0x73e0f340, 0x01cf7d14, 0x00000ff1, 
      0x33fe5004, 0x33d8f320, 0x01df7915, 0x00000ff1, 
      0x34fe5003, 0xf3cff300, 0x01ff7615, 0x00000ff1, 
      0x35fe4003, 0xc3c7f2e0, 0x020f7316, 0x00000ff0, 
      0x35fe5004, 0x83bef2c0, 0x021f6f17, 0x00000ff0, 
      0x36fe5003, 0x43b6f2b0, 0x022f6c18, 0x00000fef, 
      0x37fe4004, 0x03adf290, 0x023f6919, 0x00000fef, 
      0x37fe4003, 0xd3a4f280, 0x024f6619, 0x00000fef, 
      0x38fe5004, 0x939af270, 0x025f621a, 0x00000fee, 
      0x38fe5004, 0x6391f250, 0x026f5f1b, 0x00000fee, 
      0x39fe5004, 0x2387f240, 0x027f5c1c, 0x00000fee, 
      0x39fe4004, 0xf37ef240, 0x028f591c, 0x00000fed, 
      0x39fe4005, 0xb374f230, 0x029f561d, 0x00000fed, 
      0x3afe4005, 0x736af230, 0x02af531e, 0x00000fec, 
      0x3afe4005, 0x4360f220, 0x02bf501f, 0x00000fec, 
      0x3afe5004, 0x0355f220, 0x02cf4e20, 0x00000fec, 
      0x3afe5004, 0xd34bf220, 0x02df4b20, 0x00000feb, 
      0x3afe5005, 0x9340f220, 0x02ef4821, 0x00000feb, 
      0x3afe4004, 0x6336f220, 0x02ff4622, 0x00000feb, 
      0x3afe5005, 0x232bf220, 0x030f4323, 0x00000fea, 
      0x3afe5004, 0xf320f220, 0x031f4123, 0x00000fea, 
      0x3afe5004, 0xb315f240, 0x031f3e24, 0x00000fea, 
      0x3afe5005, 0x730af240, 0x032f3c25, 0x00000fe9, 
      0x3afe5004, 0x42fef250, 0x033f3a26, 0x00000fe9, 
      0x39fe6004, 0x02f3f260, 0x034f3727, 0x00000fe9, 
      0x39fe7005, 0xc2e7f270, 0x034f3527, 0x00000fe8, 
      0x39fe6005, 0x82dcf280, 0x035f3328, 0x00000fe8, 
      0x38fe6005, 0x52d0f290, 0x036f3129, 0x00000fe8, 
      0x38fe6004, 0x12c4f2b0, 0x036f302a, 0x00000fe8, 
      0x37fe7005, 0xd2b8f2c0, 0x037f2e2a, 0x00000fe7,
   },
   { /* Y scale factor = 1.10, phases = 127, taps = 9. */
      0x2b037fe6, 0xa2bc2b0f, 0xfe7037f2, 0x00000004, 
      0x2d036fe8, 0x82c82a4f, 0xfe6037f2, 0x00000004, 
      0x2f035fe7, 0x72d4298f, 0xfe6038f2, 0x00000004, 
      0x31035fe8, 0x62df28bf, 0xfe6038f2, 0x00000004, 
      0x33034fe8, 0x42eb27ff, 0xfe6039f2, 0x00000004, 
      0x35033fe9, 0x32f7273f, 0xfe5039f2, 0x00000004, 
      0x37033fe9, 0x2302267f, 0xfe5039f2, 0x00000004, 
      0x3a032fe9, 0x230d25af, 0xfe5039f2, 0x00000004, 
      0x3b031fe9, 0x131924ef, 0xfe503af2, 0x00000004, 
      0x3e030fea, 0x0324241f, 0xfe503af2, 0x00000004, 
      0x4102ffe9, 0x032f235f, 0xfe503af2, 0x00000004, 
      0x4302ffeb, 0xf33a228f, 0xfe403af1, 0x00000004, 
      0x4602efea, 0xf34521cf, 0xfe403af1, 0x00000004, 
      0x4902dfeb, 0xf34f20ff, 0xfe403af1, 0x00000004, 
      0x4b02cfeb, 0xf35a203f, 0xfe403af1, 0x00000004, 
      0x4e02bfec, 0xf3641f6f, 0xfe403af1, 0x00000004, 
      0x5102afed, 0x036e1e9f, 0xfe4039f2, 0x00000004, 
      0x54029fec, 0x03791ddf, 0xfe4039f2, 0x00000004, 
      0x57028fed, 0x13821d0f, 0xfe4039f2, 0x00000004, 
      0x5a027fed, 0x238c1c4f, 0xfe4038f2, 0x00000004, 
      0x5d026fed, 0x33961b7f, 0xfe4038f2, 0x00000004, 
      0x60025fee, 0x439f1abf, 0xfe4037f2, 0x00000004, 
      0x64023fee, 0x53a919ef, 0xfe4037f2, 0x00000004, 
      0x67023fee, 0x63b2192f, 0xfe4036f2, 0x00000004, 
      0x6a021fef, 0x83bb185f, 0xfe4036f2, 0x00000004, 
      0x6d021ff0, 0x93c4179f, 0xfe4035f2, 0x00000003, 
      0x71020ff0, 0xb3cc16df, 0xfe4034f2, 0x00000003, 
      0x7401fff1, 0xd3d5160f, 0xfe4033f2, 0x00000003, 
      0x7801dff1, 0xf3dd154f, 0xfe5032f2, 0x00000003, 
      0x7b01cff1, 0x23e5148f, 0xfe5031f3, 0x00000003, 
      0x7e01bff2, 0x43ed13cf, 0xfe5030f3, 0x00000003, 
      0x8201aff2, 0x73f4130f, 0xfe502ff3, 0x00000003, 
      0x85018ff3, 0xa3fc124f, 0xfe502ef3, 0x00000003, 
      0x89017ff2, 0xd403118f, 0xfe602df3, 0x00000003, 
      0x8c016ff3, 0x040a10cf, 0xfe602cf4, 0x00000003, 
      0x90015ff4, 0x3411101f, 0xfe602af4, 0x00000002, 
      0x93014ff4, 0x74180f5f, 0xfe6029f4, 0x00000002, 
      0x97013ff4, 0xa41e0e9f, 0xfe7028f4, 0x00000002, 
      0x9b011ff5, 0xe4240def, 0xfe7026f4, 0x00000002, 
      0x9e010ff5, 0x242a0d2f, 0xfe8025f5, 0x00000002, 
      0xa200fff5, 0x64300c7f, 0xfe8023f5, 0x00000002, 
      0xa500eff6, 0xb4350bcf, 0xfe8021f5, 0x00000002, 
      0xa900cff6, 0xf43b0b1f, 0xfe9020f5, 0x00000001, 
      0xac00cff6, 0x44400a6f, 0xfe901ef6, 0x00000001, 
      0xb000aff6, 0x944509bf, 0xfea01cf6, 0x00000001, 
      0xb3009ff8, 0xe449090f, 0xfea01af6, 0x00000001, 
      0xb6008ff7, 0x344e086f, 0xfeb018f7, 0x00000001, 
      0xba007ff8, 0x845207bf, 0xfeb016f7, 0x00000001, 
      0xbe005ff8, 0xe456071f, 0xfec014f7, 0x00000000, 
      0xc1005ff9, 0x4459066f, 0xfec012f8, 0x00000000, 
      0xc4004ff9, 0xa45d05cf, 0xfed00ff8, 0x00000000, 
      0xc8002ff9, 0x0460052f, 0xfee00df9, 0x00000000, 
      0xcb001ff9, 0x6463049f, 0xfee00bf9, 0x00000000, 
      0xcf001ffa, 0xc46503ff, 0xfef008f9, 0x00000fff, 
      0xd2fffffa, 0x3468035f, 0xff0006fa, 0x00000fff, 
      0xd5ffeffa, 0xa46a02cf, 0xff0004fa, 0x00000fff, 
      0xd8ffeffb, 0x046c022f, 0xff1001fb, 0x00000fff, 
      0xdbffdffc, 0x846d019f, 0xff2ffefb, 0x00000ffe, 
      0xdfffbffb, 0xf46f010f, 0xff3ffcfb, 0x00000ffe, 
      0xe2ffbffb, 0x6470007f, 0xff4ff9fc, 0x00000ffe, 
      0xe5ff9ffc, 0xe471ffff, 0xff4ff6fc, 0x00000ffe, 
      0xe8ff9ffd, 0x6471ff6f, 0xff5ff3fd, 0x00000ffd, 
      0xebff8ffc, 0xd472feef, 0xff6ff1fd, 0x00000ffd, 
      0xeeff6ffc, 0x6472fe6f, 0xff7feefe, 0x00000ffd, 
      0xf0ff6ffd, 0xe472fddf, 0xff8febfe, 0x00000ffd, 
      0xf3ff5ffe, 0x6471fd6f, 0xff9fe8ff, 0x00000ffc, 
      0xf6ff4ffd, 0xf471fcef, 0xffafe5ff, 0x00000ffc, 
      0xf9ff4ffd, 0x7470fc6f, 0xffbfe200, 0x00000ffc, 
      0xfcff2ffe, 0x046ffbff, 0xffcfdf01, 0x00000ffb, 
      0xfeff2fff, 0x946dfb8f, 0xffdfdb01, 0x00000ffb, 
      0x01ff1fff, 0x246cfb00, 0xffefd802, 0x00000ffb, 
      0x03ff0ffe, 0xc46afaa0, 0xffffd502, 0x00000ffb, 
      0x06feffff, 0x5468fa30, 0x000fd203, 0x00000ffa, 
      0x08fef000, 0xf465f9c0, 0x001fce03, 0x00000ffa, 
      0x0afeefff, 0x9463f960, 0x002fcb04, 0x00000ffa, 
      0x0dfeefff, 0x2460f900, 0x003fc805, 0x00000ff9, 
      0x0ffed000, 0xc45df8a0, 0x004fc405, 0x00000ff9, 
      0x12fec000, 0x6459f840, 0x005fc106, 0x00000ff9, 
      0x14feb000, 0x1456f7e0, 0x006fbe07, 0x00000ff8, 
      0x16feb001, 0xb452f780, 0x007fba07, 0x00000ff8, 
      0x18fea000, 0x644ef730, 0x008fb708, 0x00000ff8, 
      0x1afeb001, 0x0449f6e0, 0x009fb309, 0x00000ff7, 
      0x1cfe9001, 0xb445f690, 0x00afb009, 0x00000ff7, 
      0x1efe9001, 0x6440f640, 0x00cfac0a, 0x00000ff6, 
      0x20fe8001, 0x143bf5f0, 0x00dfa90b, 0x00000ff6, 
      0x21fe8002, 0xc435f5b0, 0x00efa50b, 0x00000ff6, 
      0x23fe8002, 0x7430f560, 0x00ffa20c, 0x00000ff5, 
      0x25fe8002, 0x242af520, 0x010f9e0d, 0x00000ff5, 
      0x26fe7002, 0xe424f4e0, 0x011f9b0d, 0x00000ff5, 
      0x28fe7002, 0x941ef4a0, 0x013f970e, 0x00000ff4, 
      0x29fe6002, 0x5418f470, 0x014f930f, 0x00000ff4, 
      0x2afe6003, 0x1411f430, 0x015f9010, 0x00000ff3, 
      0x2cfe6003, 0xc40af400, 0x016f8c10, 0x00000ff3, 
      0x2dfe6002, 0x8403f3d0, 0x017f8911, 0x00000ff3, 
      0x2efe6003, 0x43fcf3a0, 0x018f8512, 0x00000ff2, 
      0x2ffe5003, 0x03f4f370, 0x01af8213, 0x00000ff2, 
      0x30fe5003, 0xc3edf340, 0x01bf7e13, 0x00000ff2, 
      0x31fe5003, 0x83e5f320, 0x01cf7b14, 0x00000ff1, 
      0x32fe5003, 0x43ddf2f0, 0x01df7815, 0x00000ff1, 
      0x33fe5004, 0x03d5f2d0, 0x01ef7416, 0x00000ff0, 
      0x34fe4004, 0xd3ccf2b0, 0x01ff7116, 0x00000ff0, 
      0x35fe4004, 0x93c4f290, 0x020f6d17, 0x00000ff0, 
      0x36fe4003, 0x53bbf280, 0x022f6a18, 0x00000fef, 
      0x36fe4003, 0x23b2f260, 0x023f6719, 0x00000fef, 
      0x37fe4003, 0xe3a9f250, 0x024f6419, 0x00000fee, 
      0x37fe4004, 0xb39ff240, 0x025f601a, 0x00000fee, 
      0x38fe4003, 0x7396f230, 0x026f5d1b, 0x00000fee, 
      0x38fe4004, 0x438cf220, 0x027f5a1c, 0x00000fed, 
      0x39fe4004, 0x0382f210, 0x028f571d, 0x00000fed, 
      0x39fe4004, 0xd379f200, 0x029f541d, 0x00000fec, 
      0x39fe4005, 0x936ef200, 0x02af511e, 0x00000fec, 
      0x3afe4004, 0x6364f1f0, 0x02bf4e1f, 0x00000fec, 
      0x3afe4004, 0x335af1f0, 0x02cf4b20, 0x00000feb, 
      0x3afe4004, 0xf34ff1f0, 0x02df4920, 0x00000feb, 
      0x39fe4004, 0xc345f1f0, 0x02ef4621, 0x00000feb, 
      0x3afe4005, 0x833af1f0, 0x02ff4322, 0x00000fea, 
      0x39fe4004, 0x532ff200, 0x030f4123, 0x00000fea, 
      0x3afe5004, 0x1324f200, 0x030f3e24, 0x00000fea, 
      0x3afe4004, 0xe319f210, 0x031f3c24, 0x00000fe9, 
      0x39fe5005, 0xa30df220, 0x032f3925, 0x00000fe9, 
      0x39fe5004, 0x7302f220, 0x033f3726, 0x00000fe9, 
      0x39fe5005, 0x32f7f230, 0x033f3527, 0x00000fe8, 
      0x39fe6004, 0xf2ebf240, 0x034f3327, 0x00000fe8, 
      0x38fe6004, 0xb2dff260, 0x035f3128, 0x00000fe8, 
      0x38fe6004, 0x82d4f270, 0x035f2f29, 0x00000fe7, 
      0x37fe6005, 0x42c8f280, 0x036f2d2a, 0x00000fe7, 
      0x37fe6004, 0x02bcf2a0, 0x037f2b2b, 0x00000fe7,
   },
   { /* Y scale factor = 1.11, phases = 127, taps = 9. */
      0x29036fe7, 0x72bf2b3f, 0xfe6037f2, 0x00000004, 
      0x2a036fe7, 0x62cb2a7f, 0xfe6037f2, 0x00000004, 
      0x2c035fe7, 0x42d729bf, 0xfe6038f2, 0x00000004, 
      0x2e034fe8, 0x32e328ff, 0xfe5038f2, 0x00000004, 
      0x30034fe8, 0x22ef282f, 0xfe5038f2, 0x00000004, 
      0x32033fe8, 0x12fa276f, 0xfe5039f2, 0x00000004, 
      0x35032fe8, 0x0306269f, 0xfe5039f2, 0x00000004, 
      0x37032fe8, 0xf31125df, 0xfe5039f1, 0x00000004, 
      0x3a031fe9, 0xe31d250f, 0xfe4039f1, 0x00000004, 
      0x3c030fea, 0xd328244f, 0xfe4039f1, 0x00000004, 
      0x3e02ffea, 0xd333237f, 0xfe403af1, 0x00000004, 
      0x4102efe9, 0xd33e22bf, 0xfe403af1, 0x00000004, 
      0x4302dfeb, 0xc34921ef, 0xfe403af1, 0x00000004, 
      0x4602dfeb, 0xc354211f, 0xfe4039f1, 0x00000004, 
      0x4902cfeb, 0xc35e205f, 0xfe4039f1, 0x00000004, 
      0x4c02bfeb, 0xd3691f8f, 0xfe3039f1, 0x00000004, 
      0x4f02afec, 0xd3731ebf, 0xfe3039f1, 0x00000004, 
      0x52028fec, 0xe37d1dff, 0xfe3039f1, 0x00000004, 
      0x55028fed, 0xe3871d2f, 0xfe3038f1, 0x00000004, 
      0x58027fec, 0xf3911c6f, 0xfe3038f1, 0x00000004, 
      0x5b025fed, 0x039b1b9f, 0xfe3038f2, 0x00000004, 
      0x5e025fee, 0x13a41acf, 0xfe3037f2, 0x00000004, 
      0x61023fee, 0x23ae1a0f, 0xfe3037f2, 0x00000004, 
      0x65022fef, 0x43b7193f, 0xfe3036f2, 0x00000003, 
      0x68021fef, 0x53c0187f, 0xfe4035f2, 0x00000003, 
      0x6b020fef, 0x73c917af, 0xfe4035f2, 0x00000003, 
      0x6f01efef, 0x93d216ef, 0xfe4034f2, 0x00000003, 
      0x7201dff0, 0xb3da162f, 0xfe4033f2, 0x00000003, 
      0x7601dff0, 0xd3e2155f, 0xfe4032f2, 0x00000003, 
      0x7901cff1, 0xf3ea149f, 0xfe4031f2, 0x00000003, 
      0x7c01aff2, 0x23f213df, 0xfe4030f3, 0x00000003, 
      0x80019ff1, 0x43fa131f, 0xfe502ff3, 0x00000003, 
      0x83018ff1, 0x7402125f, 0xfe502ef3, 0x00000003, 
      0x87016ff2, 0xa409119f, 0xfe502df3, 0x00000003, 
      0x8b016ff3, 0xd41010df, 0xfe502bf3, 0x00000002, 
      0x8e014ff3, 0x1417101f, 0xfe602af4, 0x00000002, 
      0x92013ff4, 0x441d0f5f, 0xfe6029f4, 0x00000002, 
      0x95012ff4, 0x84240eaf, 0xfe6027f4, 0x00000002, 
      0x99010ff4, 0xc42a0def, 0xfe7026f4, 0x00000002, 
      0x9c010ff5, 0x04300d2f, 0xfe7024f5, 0x00000002, 
      0xa000fff5, 0x44360c7f, 0xfe7022f5, 0x00000002, 
      0xa400dff6, 0x843b0bcf, 0xfe8021f5, 0x00000001, 
      0xa700cff6, 0xd4410b1f, 0xfe801ff5, 0x00000001, 
      0xaa00bff6, 0x24460a6f, 0xfe901df6, 0x00000001, 
      0xae00aff7, 0x644b09bf, 0xfe901bf6, 0x00000001, 
      0xb2009ff7, 0xb44f090f, 0xfea019f6, 0x00000001, 
      0xb5008ff7, 0x1454085f, 0xfea017f7, 0x00000001, 
      0xb9007ff7, 0x645807bf, 0xfeb015f7, 0x00000000, 
      0xbc006ff8, 0xc45c070f, 0xfeb013f7, 0x00000000, 
      0xc0004ff9, 0x145f066f, 0xfec011f8, 0x00000000, 
      0xc3003ff8, 0x746305cf, 0xfed00ff8, 0x00000000, 
      0xc6002ffa, 0xd466052f, 0xfed00cf8, 0x00000000, 
      0xca001ff9, 0x4469048f, 0xfee00af9, 0x00000fff, 
      0xcd000ff9, 0xa46c03ef, 0xfef008f9, 0x00000fff, 
      0xd0fffffb, 0x146e034f, 0xfef005fa, 0x00000fff, 
      0xd3ffeffa, 0x847002bf, 0xff0003fa, 0x00000fff, 
      0xd7ffdffb, 0xf472021f, 0xff1000fa, 0x00000ffe, 
      0xdaffdffb, 0x6474018f, 0xff1ffdfb, 0x00000ffe, 
      0xddffbffc, 0xd47500ff, 0xff2ffbfb, 0x00000ffe, 
      0xe1ffaffb, 0x5476006f, 0xff3ff8fc, 0x00000ffe, 
      0xe4ffaffc, 0xc477ffdf, 0xff4ff5fc, 0x00000ffd, 
      0xe7ff8ffc, 0x4478ff5f, 0xff5ff2fd, 0x00000ffd, 
      0xeaff7ffc, 0xc478fecf, 0xff6ff0fd, 0x00000ffd, 
      0xedff6ffd, 0x4478fe4f, 0xff6fedfe, 0x00000ffd, 
      0xf0ff6ffd, 0xc478fdcf, 0xff7feafe, 0x00000ffc, 
      0xf2ff5ffd, 0x5478fd4f, 0xff8fe7ff, 0x00000ffc, 
      0xf5ff4ffe, 0xd477fccf, 0xff9fe4ff, 0x00000ffc, 
      0xf8ff3ffd, 0x6476fc5f, 0xffafe100, 0x00000ffc, 
      0xfbff2fff, 0xf475fbdf, 0xffbfdd00, 0x00000ffb, 
      0xfdff1fff, 0x8474fb6f, 0xffcfda01, 0x00000ffb, 
      0x00ff1ffe, 0x1472faf0, 0xffdfd702, 0x00000ffb, 
      0x03ff0ffe, 0xb470fa80, 0xffefd402, 0x00000ffa, 
      0x05ff0fff, 0x446efa10, 0xffffd003, 0x00000ffa, 
      0x08feefff, 0xe46cf9a0, 0x000fcd03, 0x00000ffa, 
      0x0afeefff, 0x8469f940, 0x001fca04, 0x00000ff9, 
      0x0cfee000, 0x2466f8d0, 0x002fc605, 0x00000ff9, 
      0x0ffedfff, 0xc463f870, 0x003fc305, 0x00000ff9, 
      0x11fec001, 0x645ff810, 0x004fc006, 0x00000ff8, 
      0x13feb001, 0x045cf7c0, 0x005fbc07, 0x00000ff8, 
      0x15fea000, 0xb458f760, 0x007fb907, 0x00000ff8, 
      0x17fea001, 0x5454f710, 0x008fb508, 0x00000ff7, 
      0x19fea001, 0x044ff6b0, 0x009fb209, 0x00000ff7, 
      0x1bfe9001, 0xb44bf660, 0x00afae09, 0x00000ff7, 
      0x1dfe8001, 0x6446f620, 0x00bfab0a, 0x00000ff6, 
      0x1ffe8001, 0x1441f5d0, 0x00cfa70b, 0x00000ff6, 
      0x21fe8002, 0xc43bf580, 0x00dfa40b, 0x00000ff5, 
      0x22fe7002, 0x7436f540, 0x00ffa00c, 0x00000ff5, 
      0x24fe7002, 0x2430f500, 0x010f9c0d, 0x00000ff5, 
      0x26fe7001, 0xe42af4c0, 0x011f990d, 0x00000ff4, 
      0x27fe6002, 0xa424f480, 0x012f950e, 0x00000ff4, 
      0x29fe6002, 0x541df440, 0x013f920f, 0x00000ff4, 
      0x2afe6002, 0x1417f410, 0x014f8e10, 0x00000ff3, 
      0x2bfe5002, 0xd410f3d0, 0x016f8b10, 0x00000ff3, 
      0x2dfe5002, 0x9409f3a0, 0x017f8711, 0x00000ff2, 
      0x2efe5002, 0x5402f370, 0x018f8312, 0x00000ff2, 
      0x2ffe5002, 0x13faf340, 0x019f8013, 0x00000ff2, 
      0x30fe5003, 0xd3f2f320, 0x01af7c13, 0x00000ff1, 
      0x31fe4003, 0x93eaf2f0, 0x01cf7914, 0x00000ff1, 
      0x32fe4003, 0x53e2f2d0, 0x01df7615, 0x00000ff0, 
      0x33fe3003, 0x23daf2b0, 0x01ef7216, 0x00000ff0, 
      0x33fe3003, 0xe3d2f290, 0x01ff6f16, 0x00000ff0, 
      0x35fe4003, 0xa3c9f270, 0x020f6b17, 0x00000fef, 
      0x35fe4003, 0x73c0f250, 0x021f6818, 0x00000fef, 
      0x36fe3004, 0x33b7f240, 0x022f6519, 0x00000fee, 
      0x37fe3004, 0x03aef220, 0x023f611a, 0x00000fee, 
      0x37fe4004, 0xc3a4f210, 0x024f5e1a, 0x00000fee, 
      0x38fe3003, 0x939bf200, 0x026f5b1b, 0x00000fed, 
      0x38fe3003, 0x6391f1f0, 0x027f581c, 0x00000fed, 
      0x38fe4004, 0x2387f1e0, 0x028f551d, 0x00000fec, 
      0x39fe3003, 0xf37df1e0, 0x029f521d, 0x00000fec, 
      0x39fe3004, 0xb373f1d0, 0x02af4f1e, 0x00000fec, 
      0x39fe3004, 0x8369f1d0, 0x02bf4c1f, 0x00000feb, 
      0x39fe4004, 0x535ef1c0, 0x02cf4920, 0x00000feb, 
      0x39fe4004, 0x1354f1c0, 0x02df4621, 0x00000feb, 
      0x3afe4005, 0xe349f1c0, 0x02df4321, 0x00000fea, 
      0x3afe3004, 0xb33ef1d0, 0x02ef4122, 0x00000fea, 
      0x3afe4004, 0x7333f1d0, 0x02ff3e23, 0x00000fea, 
      0x39fe4005, 0x4328f1d0, 0x030f3c24, 0x00000fe9, 
      0x39fe4005, 0x031df1e0, 0x031f3925, 0x00000fe9, 
      0x39fe5004, 0xd311f1f0, 0x032f3725, 0x00000fe8, 
      0x39fe5004, 0x9306f200, 0x032f3526, 0x00000fe8, 
      0x39fe5004, 0x62faf210, 0x033f3227, 0x00000fe8, 
      0x38fe5004, 0x22eff220, 0x034f3028, 0x00000fe8, 
      0x38fe5005, 0xf2e3f230, 0x034f2e28, 0x00000fe7, 
      0x38fe6004, 0xb2d7f240, 0x035f2c29, 0x00000fe7, 
      0x37fe6004, 0x72cbf260, 0x036f2a2a, 0x00000fe7, 
      0x37fe6005, 0x32bff270, 0x036f292b, 0x00000fe6,
   },
   { /* Y scale factor = 1.12, phases = 127, taps = 9. */
      0x26036fe6, 0x42c32b7f, 0xfe6036f2, 0x00000004, 
      0x28035fe7, 0x32cf2aaf, 0xfe5037f2, 0x00000004, 
      0x2a035fe7, 0x12db29ef, 0xfe5037f2, 0x00000004, 
      0x2c034fe6, 0x02e7292f, 0xfe5038f2, 0x00000004, 
      0x2e033fe7, 0xf2f3285f, 0xfe5038f1, 0x00000004, 
      0x30033fe8, 0xe2fe279f, 0xfe4038f1, 0x00000004, 
      0x32032fe8, 0xd30a26cf, 0xfe4039f1, 0x00000004, 
      0x34031fe8, 0xc316260f, 0xfe4039f1, 0x00000004, 
      0x37031fe8, 0xb321253f, 0xfe4039f1, 0x00000004, 
      0x39030fe9, 0xb32c246f, 0xfe4039f1, 0x00000004, 
      0x3c02ffe9, 0xa33723af, 0xfe4039f1, 0x00000004, 
      0x3e02efea, 0xa34322df, 0xfe3039f1, 0x00000004, 
      0x4102efea, 0xa34d220f, 0xfe3039f1, 0x00000004, 
      0x4402cfea, 0xa358214f, 0xfe3039f1, 0x00000004, 
      0x4702bfea, 0xa363207f, 0xfe3039f1, 0x00000004, 
      0x4902bfeb, 0xa36d1faf, 0xfe3039f1, 0x00000004, 
      0x4c029fec, 0xa3781edf, 0xfe3039f1, 0x00000004, 
      0x4f028fec, 0xb3821e1f, 0xfe3038f1, 0x00000004, 
      0x52027fed, 0xb38c1d4f, 0xfe3038f1, 0x00000004, 
      0x56026fec, 0xc3961c7f, 0xfe3038f1, 0x00000004, 
      0x59025fec, 0xd3a01bbf, 0xfe3037f1, 0x00000004, 
      0x5b024fed, 0xe3aa1aef, 0xfe3037f1, 0x00000004, 
      0x5f024fee, 0xf3b31a1f, 0xfe3036f1, 0x00000003, 
      0x62022fee, 0x13bc195f, 0xfe3036f2, 0x00000003, 
      0x66021fef, 0x23c5188f, 0xfe3035f2, 0x00000003, 
      0x69020fef, 0x43ce17cf, 0xfe3034f2, 0x00000003, 
      0x6d01ffef, 0x63d716ff, 0xfe3033f2, 0x00000003, 
      0x7001dff0, 0x83e0163f, 0xfe3032f2, 0x00000003, 
      0x7401cff0, 0xa3e8156f, 0xfe3032f2, 0x00000003, 
      0x7701bff0, 0xc3f014af, 0xfe4031f2, 0x00000003, 
      0x7b019ff0, 0xf3f813ef, 0xfe4030f2, 0x00000003, 
      0x7e019ff1, 0x2400131f, 0xfe402ef3, 0x00000003, 
      0x82018ff2, 0x4407125f, 0xfe402df3, 0x00000003, 
      0x85017ff3, 0x740f119f, 0xfe402cf3, 0x00000002, 
      0x89015ff2, 0xb41610df, 0xfe502bf3, 0x00000002, 
      0x8c015ff3, 0xe41d101f, 0xfe5029f3, 0x00000002, 
      0x90013ff4, 0x24230f5f, 0xfe5028f4, 0x00000002, 
      0x93012ff3, 0x542a0eaf, 0xfe6027f4, 0x00000002, 
      0x97011ff4, 0x94300def, 0xfe6025f4, 0x00000002, 
      0x9b00fff5, 0xd4360d3f, 0xfe6023f4, 0x00000002, 
      0x9e00fff5, 0x143c0c7f, 0xfe7022f5, 0x00000001, 
      0xa200dff5, 0x64420bcf, 0xfe7020f5, 0x00000001, 
      0xa500cff6, 0xa4470b1f, 0xfe801ef5, 0x00000001, 
      0xaa00bff6, 0xf44c0a5f, 0xfe801cf5, 0x00000001, 
      0xad009ff6, 0x445109af, 0xfe901bf6, 0x00000001, 
      0xb0008ff6, 0x9456090f, 0xfe9019f6, 0x00000001, 
      0xb4007ff7, 0xe45a085f, 0xfea017f6, 0x00000000, 
      0xb7006ff8, 0x445e07af, 0xfea015f7, 0x00000000, 
      0xbb005ff8, 0x9462070f, 0xfeb012f7, 0x00000000, 
      0xbe004ff9, 0xf466065f, 0xfeb010f7, 0x00000000, 
      0xc2003ff8, 0x546905bf, 0xfec00ef8, 0x00000000, 
      0xc5002ff9, 0xb46c051f, 0xfed00cf8, 0x00000fff, 
      0xc8001ffa, 0x246f047f, 0xfed009f9, 0x00000fff, 
      0xcc000ff9, 0x847203df, 0xfee007f9, 0x00000fff, 
      0xcffffffa, 0xf474033f, 0xfef004f9, 0x00000fff, 
      0xd2ffdffa, 0x647702af, 0xfef002fa, 0x00000fff, 
      0xd6ffdffa, 0xd479020f, 0xff0ffffa, 0x00000ffe, 
      0xd9ffcffa, 0x447a017f, 0xff1ffdfb, 0x00000ffe, 
      0xdcffaffb, 0xb47c00ef, 0xff2ffafb, 0x00000ffe, 
      0xdfffaffb, 0x347d005f, 0xff2ff7fc, 0x00000ffe, 
      0xe3ff9ffc, 0xa47effcf, 0xff3ff4fc, 0x00000ffd, 
      0xe6ff8ffc, 0x247eff4f, 0xff4ff1fd, 0x00000ffd, 
      0xe9ff6ffc, 0xa47ffebf, 0xff5feffd, 0x00000ffd, 
      0xebff5ffc, 0x347ffe3f, 0xff6fecfe, 0x00000ffd, 
      0xefff5ffc, 0xb47ffdaf, 0xff7fe9fe, 0x00000ffc, 
      0xf1ff4ffe, 0x347efd2f, 0xff8fe6ff, 0x00000ffc, 
      0xf4ff3ffd, 0xc47efcaf, 0xff9fe3ff, 0x00000ffc, 
      0xf7ff2ffe, 0x547dfc3f, 0xffafdf00, 0x00000ffb, 
      0xfaff2ffd, 0xe47cfbbf, 0xffbfdc00, 0x00000ffb, 
      0xfdff0ffe, 0x747afb4f, 0xffcfd901, 0x00000ffb, 
      0xffff0ffe, 0x0479fadf, 0xffdfd602, 0x00000ffa, 
      0x01fefffe, 0xa477fa60, 0xffefd302, 0x00000ffa, 
      0x04feffff, 0x3474f9f0, 0xffffcf03, 0x00000ffa, 
      0x07feefff, 0xd472f980, 0x000fcc03, 0x00000ff9, 
      0x09fed000, 0x746ff920, 0x001fc804, 0x00000ff9, 
      0x0cfedfff, 0x146cf8b0, 0x002fc505, 0x00000ff9, 
      0x0efec000, 0xb469f850, 0x003fc205, 0x00000ff8, 
      0x10fec000, 0x5466f7f0, 0x004fbe06, 0x00000ff8, 
      0x12feb000, 0x0462f790, 0x005fbb07, 0x00000ff8, 
      0x15fea001, 0xa45ef740, 0x006fb707, 0x00000ff7, 
      0x17fea000, 0x545af6e0, 0x007fb408, 0x00000ff7, 
      0x19fe9000, 0x0456f690, 0x008fb009, 0x00000ff7, 
      0x1bfe9000, 0xa451f640, 0x00afad09, 0x00000ff6, 
      0x1cfe9001, 0x544cf5f0, 0x00bfa90a, 0x00000ff6, 
      0x1efe8001, 0x1447f5a0, 0x00cfa50b, 0x00000ff6, 
      0x20fe7001, 0xc442f560, 0x00dfa20b, 0x00000ff5, 
      0x22fe7002, 0x743cf510, 0x00ef9e0c, 0x00000ff5, 
      0x23fe7002, 0x3436f4d0, 0x00ff9b0d, 0x00000ff4, 
      0x25fe6002, 0xe430f490, 0x011f970d, 0x00000ff4, 
      0x27fe6001, 0xa42af450, 0x012f930e, 0x00000ff4, 
      0x28fe5003, 0x5423f420, 0x013f900f, 0x00000ff3, 
      0x29fe5003, 0x141df3e0, 0x014f8c10, 0x00000ff3, 
      0x2bfe5002, 0xd416f3b0, 0x015f8910, 0x00000ff2, 
      0x2cfe5003, 0x940ff370, 0x016f8511, 0x00000ff2, 
      0x2dfe4003, 0x5407f340, 0x018f8212, 0x00000ff2, 
      0x2efe4003, 0x1400f320, 0x019f7e13, 0x00000ff1, 
      0x30fe3002, 0xe3f8f2f0, 0x01af7b13, 0x00000ff1, 
      0x31fe4003, 0xa3f0f2c0, 0x01bf7714, 0x00000ff0, 
      0x32fe3003, 0x63e8f2a0, 0x01cf7415, 0x00000ff0, 
      0x32fe3003, 0x33e0f280, 0x01df7016, 0x00000ff0, 
      0x33fe3003, 0xf3d7f260, 0x01ff6d16, 0x00000fef, 
      0x34fe3003, 0xc3cef240, 0x020f6917, 0x00000fef, 
      0x35fe3004, 0x83c5f220, 0x021f6618, 0x00000fee, 
      0x36fe3003, 0x53bcf210, 0x022f6219, 0x00000fee, 
      0x36fe3004, 0x13b3f1f0, 0x023f5f1a, 0x00000fee, 
      0x37fe3003, 0xe3aaf1e0, 0x024f5c1a, 0x00000fed, 
      0x37fe3003, 0xb3a0f1d0, 0x025f591b, 0x00000fed, 
      0x38fe3004, 0x7396f1c0, 0x026f561c, 0x00000fec, 
      0x39fe3004, 0x438cf1b0, 0x027f521d, 0x00000fec, 
      0x38fe3004, 0x1382f1b0, 0x028f4f1e, 0x00000fec, 
      0x39fe3004, 0xd378f1b0, 0x029f4c1e, 0x00000feb, 
      0x39fe3004, 0xa36ef1a0, 0x02af491f, 0x00000feb, 
      0x39fe3003, 0x7363f1a0, 0x02bf4720, 0x00000feb, 
      0x39fe3004, 0x4358f1a0, 0x02cf4421, 0x00000fea, 
      0x39fe4004, 0x034df1a0, 0x02df4122, 0x00000fea, 
      0x39fe3005, 0xd343f1a0, 0x02ef3e22, 0x00000fe9, 
      0x39fe4004, 0xa337f1a0, 0x02ff3c23, 0x00000fe9, 
      0x39fe4004, 0x632cf1b0, 0x030f3924, 0x00000fe9, 
      0x39fe4004, 0x3321f1b0, 0x031f3725, 0x00000fe8, 
      0x39fe4004, 0x0316f1c0, 0x031f3426, 0x00000fe8, 
      0x39fe4004, 0xc30af1d0, 0x032f3226, 0x00000fe8, 
      0x38fe4005, 0x92fef1e0, 0x033f3027, 0x00000fe7, 
      0x38fe4004, 0x52f3f1f0, 0x034f2e28, 0x00000fe7, 
      0x38fe4004, 0x22e7f200, 0x034f2c29, 0x00000fe7, 
      0x37fe5005, 0xe2dbf210, 0x035f2a29, 0x00000fe6, 
      0x37fe5005, 0xa2cff230, 0x035f282a, 0x00000fe6, 
      0x36fe6004, 0x72c3f240, 0x036f262b, 0x00000fe6,
   },
   { /* Y scale factor = 1.13, phases = 127, taps = 9. */
      0x23036fe6, 0x22c62baf, 0xfe5036f2, 0x00000004, 
      0x25035fe5, 0x02d32aef, 0xfe5037f2, 0x00000004, 
      0x27034fe6, 0xf2df2a1f, 0xfe5037f1, 0x00000004, 
      0x29034fe7, 0xd2eb295f, 0xfe4037f1, 0x00000004, 
      0x2b033fe7, 0xc2f7288f, 0xfe4038f1, 0x00000004, 
      0x2d033fe7, 0xb30227cf, 0xfe4038f1, 0x00000004, 
      0x2f032fe8, 0xa30e26ff, 0xfe4038f1, 0x00000004, 
      0x31031fe7, 0x931a263f, 0xfe4039f1, 0x00000004, 
      0x34030fe8, 0x9325256f, 0xfe3039f1, 0x00000004, 
      0x3702ffe8, 0x8331249f, 0xfe3039f1, 0x00000004, 
      0x3902ffe9, 0x733c23cf, 0xfe3039f1, 0x00000004, 
      0x3c02dfe9, 0x7347230f, 0xfe3039f1, 0x00000004, 
      0x3e02dfe9, 0x7352223f, 0xfe3039f1, 0x00000004, 
      0x4102cfe9, 0x735d216f, 0xfe3039f1, 0x00000004, 
      0x4402afea, 0x7368209f, 0xfe3039f1, 0x00000004, 
      0x4702afeb, 0x73721fcf, 0xfe2039f1, 0x00000004, 
      0x4a029feb, 0x737d1f0f, 0xfe2038f1, 0x00000004, 
      0x4d028feb, 0x83871e3f, 0xfe2038f1, 0x00000004, 
      0x50027feb, 0x93911d6f, 0xfe2038f1, 0x00000004, 
      0x53026fed, 0x939b1c9f, 0xfe2037f1, 0x00000004, 
      0x56025fed, 0xa3a51bcf, 0xfe2037f1, 0x00000004, 
      0x5a024fed, 0xb3af1b0f, 0xfe2036f1, 0x00000003, 
      0x5d023fed, 0xd3b81a3f, 0xfe2036f1, 0x00000003, 
      0x60022fee, 0xe3c2196f, 0xfe2035f1, 0x00000003, 
      0x64020fef, 0x03cb189f, 0xfe2034f2, 0x00000003, 
      0x6701ffee, 0x13d417df, 0xfe3034f2, 0x00000003, 
      0x6a01ffef, 0x33dc170f, 0xfe3033f2, 0x00000003, 
      0x6e01dfef, 0x53e5164f, 0xfe3032f2, 0x00000003, 
      0x7201cff0, 0x73ed157f, 0xfe3031f2, 0x00000003, 
      0x7501aff0, 0xa3f614bf, 0xfe3030f2, 0x00000003, 
      0x7901aff0, 0xc3fe13ef, 0xfe302ff2, 0x00000003, 
      0x7c019ff1, 0xf405132f, 0xfe302ef2, 0x00000003, 
      0x80017ff1, 0x240d126f, 0xfe402df3, 0x00000002, 
      0x83016ff2, 0x541411af, 0xfe402cf3, 0x00000002, 
      0x87015ff2, 0x841c10ef, 0xfe402af3, 0x00000002, 
      0x8a014ff2, 0xb423102f, 0xfe5029f3, 0x00000002, 
      0x8e012ff3, 0xf4290f6f, 0xfe5028f3, 0x00000002, 
      0x92011ff3, 0x34300eaf, 0xfe5026f4, 0x00000002, 
      0x95011ff4, 0x74360def, 0xfe5024f4, 0x00000002, 
      0x9900eff4, 0xb43c0d3f, 0xfe6023f4, 0x00000002, 
      0x9d00eff5, 0xf4420c7f, 0xfe6021f4, 0x00000001, 
      0xa000dff5, 0x34480bcf, 0xfe701ff5, 0x00000001, 
      0xa400bff6, 0x844d0b0f, 0xfe701ef5, 0x00000001, 
      0xa700aff6, 0xd4520a5f, 0xfe801cf5, 0x00000001, 
      0xab009ff6, 0x245709af, 0xfe801af6, 0x00000001, 
      0xaf007ff6, 0x745c08ff, 0xfe9018f6, 0x00000001, 
      0xb3007ff7, 0xc460084f, 0xfe9016f6, 0x00000000, 
      0xb5005ff7, 0x246507af, 0xfea014f7, 0x00000000, 
      0xb9005ff7, 0x746906ff, 0xfea012f7, 0x00000000, 
      0xbd003ff8, 0xd46c065f, 0xfeb00ff7, 0x00000000, 
      0xc0002ff9, 0x347005af, 0xfeb00df8, 0x00000000, 
      0xc4001ff9, 0x9473050f, 0xfec00bf8, 0x00000fff, 
      0xc7000ff9, 0x0476046f, 0xfed008f9, 0x00000fff, 
      0xcbfffff9, 0x647903cf, 0xfed006f9, 0x00000fff, 
      0xceffeffa, 0xd47b032f, 0xfee003f9, 0x00000fff, 
      0xd1ffdffa, 0x447d029f, 0xfef001fa, 0x00000ffe, 
      0xd5ffcffa, 0xb47f01ff, 0xff0ffefa, 0x00000ffe, 
      0xd8ffbffa, 0x2481016f, 0xff0ffcfb, 0x00000ffe, 
      0xdbffaffb, 0x948200df, 0xff1ff9fb, 0x00000ffe, 
      0xdeff9ffc, 0x1483004f, 0xff2ff6fc, 0x00000ffd, 
      0xe1ff8ffc, 0x9484ffbf, 0xff3ff3fc, 0x00000ffd, 
      0xe4ff7ffc, 0x1485ff2f, 0xff4ff0fd, 0x00000ffd, 
      0xe8ff6ffc, 0x9485fe9f, 0xff4feefd, 0x00000ffd, 
      0xebff5ffc, 0x1486fe1f, 0xff5febfe, 0x00000ffc, 
      0xeeff4ffd, 0x9485fd9f, 0xff6fe8fe, 0x00000ffc, 
      0xf0ff4ffd, 0x2485fd1f, 0xff7fe4ff, 0x00000ffc, 
      0xf3ff3ffe, 0xb484fc9f, 0xff8fe1ff, 0x00000ffb, 
      0xf6ff2ffe, 0x4483fc1f, 0xff9fde00, 0x00000ffb, 
      0xf9ff1ffe, 0xd482fb9f, 0xffafdb00, 0x00000ffb, 
      0xfcff0ffd, 0x6481fb2f, 0xffbfd801, 0x00000ffb, 
      0xfeff0ffe, 0xf47ffabf, 0xffcfd501, 0x00000ffa, 
      0x01fefffe, 0x947dfa40, 0xffdfd102, 0x00000ffa, 
      0x03feefff, 0x247bf9d0, 0xffefce03, 0x00000ffa, 
      0x06fedfff, 0xc479f960, 0xffffcb03, 0x00000ff9, 
      0x08fedfff, 0x6476f900, 0x000fc704, 0x00000ff9, 
      0x0bfecfff, 0x0473f890, 0x001fc405, 0x00000ff9, 
      0x0dfec000, 0xa470f830, 0x002fc005, 0x00000ff8, 
      0x0ffeb000, 0x546cf7d0, 0x003fbd06, 0x00000ff8, 
      0x12feafff, 0xf469f770, 0x005fb906, 0x00000ff8, 
      0x13fe9000, 0xa465f720, 0x006fb607, 0x00000ff7, 
      0x16fe9001, 0x4460f6c0, 0x007fb208, 0x00000ff7, 
      0x18fe9000, 0xf45cf670, 0x008faf08, 0x00000ff6, 
      0x1afe8001, 0xa457f620, 0x009fab09, 0x00000ff6, 
      0x1cfe8001, 0x5452f5d0, 0x00afa70a, 0x00000ff6, 
      0x1efe7002, 0x044df580, 0x00bfa40b, 0x00000ff5, 
      0x1ffe7001, 0xc448f530, 0x00dfa00b, 0x00000ff5, 
      0x21fe6001, 0x7442f4f0, 0x00ef9d0c, 0x00000ff5, 
      0x23fe6001, 0x343cf4b0, 0x00ff990d, 0x00000ff4, 
      0x24fe6002, 0xe436f470, 0x010f950d, 0x00000ff4, 
      0x26fe5002, 0xa430f430, 0x011f920e, 0x00000ff3, 
      0x28fe5002, 0x6429f3f0, 0x012f8e0f, 0x00000ff3, 
      0x29fe4002, 0x2423f3b0, 0x014f8a10, 0x00000ff3, 
      0x2afe4002, 0xe41cf380, 0x015f8710, 0x00000ff2, 
      0x2cfe4002, 0xa414f350, 0x016f8311, 0x00000ff2, 
      0x2dfe4002, 0x640df320, 0x017f8012, 0x00000ff1, 
      0x2efe4003, 0x2405f2f0, 0x018f7c13, 0x00000ff1, 
      0x2ffe3002, 0xe3fef2c0, 0x01af7913, 0x00000ff1, 
      0x30fe3002, 0xb3f6f2a0, 0x01bf7514, 0x00000ff0, 
      0x32fe3003, 0x73edf270, 0x01cf7115, 0x00000ff0, 
      0x32fe3003, 0x43e5f250, 0x01df6e16, 0x00000fef, 
      0x33fe3004, 0x03dcf230, 0x01ef6a17, 0x00000fef, 
      0x34fe2003, 0xd3d4f210, 0x01ff6717, 0x00000fef, 
      0x34fe2004, 0x93cbf200, 0x020f6418, 0x00000fee, 
      0x35fe2003, 0x63c2f1e0, 0x022f6019, 0x00000fee, 
      0x36fe2003, 0x33b8f1d0, 0x023f5d1a, 0x00000fed, 
      0x36fe2003, 0x03aff1b0, 0x024f5a1b, 0x00000fed, 
      0x37fe2004, 0xc3a5f1a0, 0x025f561b, 0x00000fed, 
      0x37fe3004, 0x939bf190, 0x026f531c, 0x00000fec, 
      0x38fe2003, 0x6391f190, 0x027f501d, 0x00000fec, 
      0x38fe2004, 0x3387f180, 0x028f4d1e, 0x00000feb, 
      0x38fe2004, 0x037df170, 0x029f4a1f, 0x00000feb, 
      0x39fe2004, 0xc372f170, 0x02af471f, 0x00000feb, 
      0x39fe3003, 0x9368f170, 0x02bf4420, 0x00000fea, 
      0x39fe3003, 0x635df170, 0x02cf4121, 0x00000fea, 
      0x39fe3004, 0x3352f170, 0x02df3e22, 0x00000fe9, 
      0x39fe3003, 0x0347f170, 0x02ef3c23, 0x00000fe9, 
      0x39fe3004, 0xc33cf170, 0x02ff3923, 0x00000fe9, 
      0x39fe3004, 0x9331f180, 0x02ff3724, 0x00000fe8, 
      0x39fe3004, 0x6325f190, 0x030f3425, 0x00000fe8, 
      0x38fe3004, 0x331af190, 0x031f3226, 0x00000fe8, 
      0x38fe4005, 0xf30ef1a0, 0x032f2f26, 0x00000fe7, 
      0x38fe4004, 0xc302f1b0, 0x033f2d27, 0x00000fe7, 
      0x38fe4004, 0x82f7f1c0, 0x033f2b28, 0x00000fe7, 
      0x37fe4005, 0x52ebf1d0, 0x034f2929, 0x00000fe6, 
      0x37fe5004, 0x12dff1f0, 0x034f272a, 0x00000fe6, 
      0x37fe4004, 0xe2d3f200, 0x035f252a, 0x00000fe6, 
      0x36fe5005, 0xa2c6f220, 0x036f232b, 0x00000fe5,
   },
   { /* Y scale factor = 1.14, phases = 127, taps = 9. */
      0x21035fe4, 0xf2ca2bef, 0xfe5036f1, 0x00000004, 
      0x23035fe6, 0xd2d62b1f, 0xfe4036f1, 0x00000004, 
      0x24034fe6, 0xc2e22a5f, 0xfe4037f1, 0x00000004, 
      0x26034fe6, 0xb2ee298f, 0xfe4037f1, 0x00000004, 
      0x28033fe7, 0x92fa28cf, 0xfe4037f1, 0x00000004, 
      0x2a033fe7, 0x830627ff, 0xfe3038f1, 0x00000004, 
      0x2d032fe7, 0x7312272f, 0xfe3038f1, 0x00000004, 
      0x2f031fe8, 0x631e265f, 0xfe3038f1, 0x00000004, 
      0x31030fe8, 0x6329259f, 0xfe3038f1, 0x00000004, 
      0x3402ffe7, 0x533524cf, 0xfe3039f1, 0x00000004, 
      0x3602efe8, 0x534023ff, 0xfe3039f1, 0x00000004, 
      0x3902efe9, 0x434b232f, 0xfe2039f1, 0x00000004, 
      0x3c02cfe9, 0x4357225f, 0xfe2039f1, 0x00000004, 
      0x3f02cfe9, 0x4361218f, 0xfe2039f1, 0x00000004, 
      0x4202bfea, 0x436c20bf, 0xfe2038f1, 0x00000004, 
      0x45029fea, 0x43771fff, 0xfe2038f1, 0x00000004, 
      0x47028fea, 0x53821f2f, 0xfe2038f1, 0x00000004, 
      0x4b027fea, 0x538c1e5f, 0xfe2038f1, 0x00000004, 
      0x4e026feb, 0x63961d8f, 0xfe2037f1, 0x00000004, 
      0x51026fec, 0x63a01cbf, 0xfe2037f1, 0x00000003, 
      0x54025fed, 0x73aa1bef, 0xfe2036f1, 0x00000003, 
      0x57024fed, 0x83b41b1f, 0xfe2036f1, 0x00000003, 
      0x5b023fed, 0xa3bd1a4f, 0xfe2035f1, 0x00000003, 
      0x5e021fed, 0xb3c7198f, 0xfe2035f1, 0x00000003, 
      0x61020fee, 0xd3d018bf, 0xfe2034f1, 0x00000003, 
      0x6501ffef, 0xe3d917ef, 0xfe2033f1, 0x00000003, 
      0x6901efef, 0x03e2171f, 0xfe2032f2, 0x00000003, 
      0x6c01cfef, 0x23eb165f, 0xfe2032f2, 0x00000003, 
      0x6f01cfef, 0x53f3158f, 0xfe2031f2, 0x00000003, 
      0x7301afef, 0x73fb14cf, 0xfe3030f2, 0x00000003, 
      0x76019ff1, 0x940313ff, 0xfe302ff2, 0x00000003, 
      0x7a019ff1, 0xc40b133f, 0xfe302df2, 0x00000002, 
      0x7e017ff1, 0xf413127f, 0xfe302cf2, 0x00000002, 
      0x82016ff2, 0x241a11af, 0xfe302bf3, 0x00000002, 
      0x85014ff2, 0x542210ef, 0xfe402af3, 0x00000002, 
      0x89013ff2, 0x9429102f, 0xfe4028f3, 0x00000002, 
      0x8c013ff3, 0xc42f0f6f, 0xfe4027f3, 0x00000002, 
      0x90011ff3, 0x04360eaf, 0xfe5025f4, 0x00000002, 
      0x94010ff3, 0x443c0def, 0xfe5024f4, 0x00000002, 
      0x9700fff4, 0x84430d3f, 0xfe5022f4, 0x00000001, 
      0x9b00dff5, 0xc4480c7f, 0xfe6021f4, 0x00000001, 
      0x9f00cff4, 0x144e0bcf, 0xfe601ff5, 0x00000001, 
      0xa200bff5, 0x54540b0f, 0xfe701df5, 0x00000001, 
      0xa600aff5, 0xa4590a5f, 0xfe701bf5, 0x00000001, 
      0xa9009ff5, 0xf45e09af, 0xfe8019f5, 0x00000001, 
      0xad008ff7, 0x446208ff, 0xfe8017f6, 0x00000000, 
      0xb1006ff6, 0xa467084f, 0xfe9015f6, 0x00000000, 
      0xb4006ff7, 0xf46b079f, 0xfe9013f6, 0x00000000, 
      0xb8004ff7, 0x546f06ef, 0xfea011f7, 0x00000000, 
      0xbb003ff7, 0xb473064f, 0xfea00ff7, 0x00000000, 
      0xbf002ff9, 0x1476059f, 0xfeb00cf8, 0x00000fff, 
      0xc2001ff8, 0x747a04ff, 0xfec00af8, 0x00000fff, 
      0xc6000ff8, 0xd47d045f, 0xfec008f8, 0x00000fff, 
      0xc9fffff9, 0x447f03bf, 0xfed005f9, 0x00000fff, 
      0xccffdff9, 0xb482031f, 0xfee003f9, 0x00000fff, 
      0xd0ffdffa, 0x2484027f, 0xfee000fa, 0x00000ffe, 
      0xd3ffcffa, 0x948601ef, 0xfefffdfa, 0x00000ffe, 
      0xd6ffaffa, 0x0488015f, 0xff0ffbfb, 0x00000ffe, 
      0xdaff9ffa, 0x848900bf, 0xff1ff8fb, 0x00000ffe, 
      0xdeff9ffb, 0xf48a002f, 0xff1ff5fb, 0x00000ffd, 
      0xe0ff8ffc, 0x748bff9f, 0xff2ff2fc, 0x00000ffd, 
      0xe3ff7ffc, 0xf48cff0f, 0xff3feffc, 0x00000ffd, 
      0xe7ff6ffc, 0x748cfe8f, 0xff4fecfd, 0x00000ffc, 
      0xeaff5ffd, 0xf48cfdff, 0xff5fe9fd, 0x00000ffc, 
      0xecff4ffd, 0x848cfd7f, 0xff6fe6fe, 0x00000ffc, 
      0xefff3ffd, 0x048cfcff, 0xff7fe3ff, 0x00000ffc, 
      0xf2ff3ffd, 0x948bfc7f, 0xff8fe0ff, 0x00000ffb, 
      0xf5ff1ffe, 0x248afbff, 0xff9fdd00, 0x00000ffb, 
      0xf8ff0ffd, 0xb489fb8f, 0xffafda00, 0x00000ffb, 
      0xfbfefffd, 0x5488fb0f, 0xffbfd701, 0x00000ffa, 
      0xfdfefffe, 0xe486fa9f, 0xffcfd301, 0x00000ffa, 
      0x00feeffe, 0x7484fa20, 0xffdfd002, 0x00000ffa, 
      0x03fedffe, 0x1482f9b0, 0xffefcd03, 0x00000ff9, 
      0x05fedfff, 0xb47ff940, 0xffffc903, 0x00000ff9, 
      0x08fecffe, 0x547df8d0, 0x000fc604, 0x00000ff9, 
      0x0afecfff, 0xf47af870, 0x001fc204, 0x00000ff8, 
      0x0cfeb000, 0x9476f810, 0x002fbf05, 0x00000ff8, 
      0x0ffeafff, 0x4473f7b0, 0x003fbb06, 0x00000ff8, 
      0x11fea000, 0xe46ff750, 0x004fb806, 0x00000ff7, 
      0x13fe9001, 0x946bf6f0, 0x005fb407, 0x00000ff7, 
      0x15fe8000, 0x4467f6a0, 0x006fb108, 0x00000ff7, 
      0x17fe8001, 0xf462f640, 0x008fad08, 0x00000ff6, 
      0x19fe8000, 0xa45ef5f0, 0x009fa909, 0x00000ff6, 
      0x1bfe7001, 0x5459f5a0, 0x00afa60a, 0x00000ff5, 
      0x1dfe7001, 0x0454f550, 0x00bfa20b, 0x00000ff5, 
      0x1efe6001, 0xc44ef510, 0x00cf9f0b, 0x00000ff5, 
      0x21fe6002, 0x7448f4c0, 0x00df9b0c, 0x00000ff4, 
      0x22fe5001, 0x3443f480, 0x00ff970d, 0x00000ff4, 
      0x24fe5001, 0xe43cf440, 0x010f940d, 0x00000ff4, 
      0x25fe5002, 0xa436f400, 0x011f900e, 0x00000ff3, 
      0x27fe5002, 0x642ff3c0, 0x012f8c0f, 0x00000ff3, 
      0x28fe4002, 0x2429f390, 0x013f8910, 0x00000ff2, 
      0x2afe4002, 0xe422f350, 0x014f8510, 0x00000ff2, 
      0x2bfe4003, 0xa41af320, 0x016f8111, 0x00000ff1, 
      0x2cfe3002, 0x7413f2f0, 0x017f7e12, 0x00000ff1, 
      0x2dfe3003, 0x340bf2c0, 0x018f7a13, 0x00000ff1, 
      0x2ffe3003, 0xf403f2a0, 0x019f7613, 0x00000ff0, 
      0x30fe3002, 0xc3fbf270, 0x01af7314, 0x00000ff0, 
      0x31fe2003, 0x83f3f250, 0x01cf6f15, 0x00000fef, 
      0x32fe2002, 0x53ebf220, 0x01df6c16, 0x00000fef, 
      0x32fe3003, 0x13e2f200, 0x01ef6817, 0x00000fef, 
      0x33fe2004, 0xe3d9f1e0, 0x01ff6517, 0x00000fee, 
      0x34fe2003, 0xb3d0f1d0, 0x020f6118, 0x00000fee, 
      0x35fe2003, 0x83c7f1b0, 0x021f5e19, 0x00000fed, 
      0x35fe2004, 0x43bdf1a0, 0x022f5b1a, 0x00000fed, 
      0x36fe2004, 0x13b4f180, 0x023f571b, 0x00000fed, 
      0x36fe2004, 0xe3aaf170, 0x025f541b, 0x00000fec, 
      0x37fe2003, 0xb3a0f160, 0x026f511c, 0x00000fec, 
      0x37fe2003, 0x8396f160, 0x027f4e1d, 0x00000feb, 
      0x38fe1003, 0x538cf150, 0x028f4b1e, 0x00000feb, 
      0x37fe1003, 0x2382f150, 0x029f481f, 0x00000feb, 
      0x38fe2003, 0xf377f140, 0x02af451f, 0x00000fea, 
      0x38fe2004, 0xb36cf140, 0x02bf4220, 0x00000fea, 
      0x39fe2004, 0x8361f140, 0x02cf3f21, 0x00000fe9, 
      0x39fe2003, 0x5357f140, 0x02df3c22, 0x00000fe9, 
      0x39fe3004, 0x234bf140, 0x02df3923, 0x00000fe9, 
      0x39fe3003, 0xf340f150, 0x02ef3723, 0x00000fe8, 
      0x39fe3003, 0xc335f150, 0x02ff3424, 0x00000fe8, 
      0x38fe3004, 0x9329f160, 0x030f3125, 0x00000fe8, 
      0x38fe4004, 0x531ef160, 0x031f2f26, 0x00000fe7, 
      0x38fe3004, 0x2312f170, 0x032f2d27, 0x00000fe7, 
      0x38fe4004, 0xf306f180, 0x032f2a27, 0x00000fe7, 
      0x38fe4004, 0xc2faf190, 0x033f2828, 0x00000fe6, 
      0x37fe4004, 0x82eef1b0, 0x034f2629, 0x00000fe6, 
      0x37fe4004, 0x52e2f1c0, 0x034f242a, 0x00000fe6, 
      0x37fe5004, 0x12d6f1d0, 0x035f222b, 0x00000fe5, 
      0x36fe5003, 0xe2caf1f0, 0x035f212b, 0x00000fe5,
   },
   { /* Y scale factor = 1.15, phases = 127, taps = 9. */
      0x1e035fe4, 0xc2ce2c1f, 0xfe4036f1, 0x00000004, 
      0x20034fe4, 0xb2da2b5f, 0xfe4036f1, 0x00000004, 
      0x22034fe5, 0x92e62a8f, 0xfe4036f1, 0x00000004, 
      0x24033fe6, 0x82f229bf, 0xfe3037f1, 0x00000004, 
      0x26033fe5, 0x72fe28ff, 0xfe3037f1, 0x00000004, 
      0x28032fe7, 0x530a282f, 0xfe3037f1, 0x00000004, 
      0x2a031fe7, 0x4316275f, 0xfe3038f1, 0x00000004, 
      0x2c030fe7, 0x4322268f, 0xfe3038f1, 0x00000004, 
      0x2f02ffe7, 0x332e25cf, 0xfe2038f1, 0x00000004, 
      0x3102ffe8, 0x233924ff, 0xfe2038f1, 0x00000004, 
      0x3402efe7, 0x2345242f, 0xfe2038f1, 0x00000004, 
      0x3702dfe8, 0x1350235f, 0xfe2038f1, 0x00000004, 
      0x3902cfe9, 0x135b228f, 0xfe2038f1, 0x00000004, 
      0x3c02bfe9, 0x136621bf, 0xfe2038f1, 0x00000004, 
      0x3f02afea, 0x137120ef, 0xfe1038f1, 0x00000004, 
      0x42029fea, 0x137c201f, 0xfe1038f1, 0x00000004, 
      0x45028fea, 0x23861f4f, 0xfe1038f1, 0x00000004, 
      0x48027feb, 0x23911e7f, 0xfe1037f1, 0x00000004, 
      0x4b027feb, 0x339b1daf, 0xfe1037f1, 0x00000003, 
      0x4f025feb, 0x43a51cdf, 0xfe1037f1, 0x00000003, 
      0x52025fec, 0x43af1c0f, 0xfe1036f1, 0x00000003, 
      0x55023fec, 0x63b91b3f, 0xfe1036f1, 0x00000003, 
      0x58022fed, 0x73c31a6f, 0xfe1035f1, 0x00000003, 
      0x5c021fee, 0x83cc199f, 0xfe1034f1, 0x00000003, 
      0x5f020fed, 0xa3d618cf, 0xfe1034f1, 0x00000003, 
      0x6301ffed, 0xc3df17ff, 0xfe1033f1, 0x00000003, 
      0x6601dfee, 0xd3e8173f, 0xfe2032f1, 0x00000003, 
      0x6a01cfef, 0xf3f0166f, 0xfe2031f1, 0x00000003, 
      0x6d01bfef, 0x23f9159f, 0xfe2030f2, 0x00000003, 
      0x7101afef, 0x440114df, 0xfe202ff2, 0x00000003, 
      0x75019ff0, 0x7409140f, 0xfe202ef2, 0x00000002, 
      0x78018ff1, 0x9411134f, 0xfe202df2, 0x00000002, 
      0x7c016ff1, 0xc419127f, 0xfe302cf2, 0x00000002, 
      0x7f015ff2, 0xf42011bf, 0xfe302bf2, 0x00000002, 
      0x83014ff1, 0x342810ff, 0xfe3029f3, 0x00000002, 
      0x87012ff2, 0x642f103f, 0xfe3028f3, 0x00000002, 
      0x8a011ff2, 0xa4360f7f, 0xfe4026f3, 0x00000002, 
      0x8e010ff3, 0xd43c0ebf, 0xfe4025f3, 0x00000002, 
      0x9200fff4, 0x14430dff, 0xfe4023f4, 0x00000001, 
      0x9500eff4, 0x54490d3f, 0xfe5022f4, 0x00000001, 
      0x9900dff4, 0xa44f0c7f, 0xfe5020f4, 0x00000001, 
      0x9d00bff4, 0xe4550bcf, 0xfe601ef4, 0x00000001, 
      0xa000bff5, 0x345a0b0f, 0xfe601cf5, 0x00000001, 
      0xa4009ff5, 0x845f0a5f, 0xfe601bf5, 0x00000001, 
      0xa8008ff5, 0xd46409af, 0xfe7019f5, 0x00000000, 
      0xab008ff6, 0x246908ef, 0xfe7017f6, 0x00000000, 
      0xb0006ff7, 0x746d083f, 0xfe8014f6, 0x00000000, 
      0xb3004ff6, 0xd472079f, 0xfe9012f6, 0x00000000, 
      0xb6003ff7, 0x347606ef, 0xfe9010f7, 0x00000000, 
      0xba003ff7, 0x9479063f, 0xfea00ef7, 0x00000fff, 
      0xbd001ff8, 0xf47d059f, 0xfea00cf7, 0x00000fff, 
      0xc1000ff9, 0x548004ef, 0xfeb009f8, 0x00000fff, 
      0xc4fffff9, 0xb483044f, 0xfec007f8, 0x00000fff, 
      0xc8ffeff9, 0x248603af, 0xfec004f9, 0x00000fff, 
      0xcbffdffa, 0x9488030f, 0xfed002f9, 0x00000ffe, 
      0xcfffcff9, 0x048b026f, 0xfeeffffa, 0x00000ffe, 
      0xd2ffbffa, 0x748d01df, 0xfeeffcfa, 0x00000ffe, 
      0xd5ffaffb, 0xe48e013f, 0xfefffafa, 0x00000ffe, 
      0xd9ff9ffa, 0x649000af, 0xff0ff7fb, 0x00000ffd, 
      0xdcff8ffb, 0xd491001f, 0xff1ff4fb, 0x00000ffd, 
      0xdfff7ffb, 0x5492ff8f, 0xff2ff1fc, 0x00000ffd, 
      0xe2ff6ffb, 0xd493feff, 0xff3feefc, 0x00000ffd, 
      0xe6ff6ffc, 0x5493fe6f, 0xff3febfd, 0x00000ffc, 
      0xe8ff5ffc, 0xe493fdef, 0xff4fe8fd, 0x00000ffc, 
      0xebff4ffd, 0x6493fd5f, 0xff5fe5fe, 0x00000ffc, 
      0xeeff3ffd, 0xf493fcdf, 0xff6fe2fe, 0x00000ffb, 
      0xf1ff2ffd, 0x8492fc5f, 0xff7fdfff, 0x00000ffb, 
      0xf4ff1ffd, 0x1491fbdf, 0xff8fdc00, 0x00000ffb, 
      0xf7ff0ffd, 0xa490fb6f, 0xff9fd900, 0x00000ffa, 
      0xfaff0ffe, 0x348efaef, 0xffafd501, 0x00000ffa, 
      0xfcfeeffe, 0xd48dfa7f, 0xffbfd201, 0x00000ffa, 
      0xfffedffe, 0x648bfa0f, 0xffcfcf02, 0x00000ffa, 
      0x02fedfff, 0x0488f990, 0xffdfcb03, 0x00000ff9, 
      0x04fecfff, 0xa486f920, 0xffefc803, 0x00000ff9, 
      0x07fecfff, 0x4483f8c0, 0xffffc404, 0x00000ff8, 
      0x09feb000, 0xe480f850, 0x000fc104, 0x00000ff8, 
      0x0cfeafff, 0x947df7f0, 0x001fbd05, 0x00000ff8, 
      0x0efeafff, 0x3479f790, 0x003fba06, 0x00000ff7, 
      0x10fe9fff, 0xe476f730, 0x004fb606, 0x00000ff7, 
      0x12fe8fff, 0x9472f6d0, 0x005fb307, 0x00000ff7, 
      0x15fe8001, 0x346df670, 0x006faf08, 0x00000ff6, 
      0x17fe7001, 0xe469f620, 0x007fab08, 0x00000ff6, 
      0x19fe6000, 0xa464f5d0, 0x008fa809, 0x00000ff6, 
      0x1bfe6001, 0x545ff580, 0x009fa40a, 0x00000ff5, 
      0x1cfe6001, 0x045af530, 0x00bfa00b, 0x00000ff5, 
      0x1efe6000, 0xc455f4e0, 0x00cf9d0b, 0x00000ff4, 
      0x20fe5001, 0x744ff4a0, 0x00df990c, 0x00000ff4, 
      0x22fe5001, 0x3449f450, 0x00ef950d, 0x00000ff4, 
      0x23fe4002, 0xf443f410, 0x00ff920d, 0x00000ff3, 
      0x25fe4002, 0xb43cf3d0, 0x010f8e0e, 0x00000ff3, 
      0x26fe4001, 0x7436f3a0, 0x012f8a0f, 0x00000ff2, 
      0x28fe3001, 0x342ff360, 0x013f8710, 0x00000ff2, 
      0x29fe3001, 0xf428f330, 0x014f8310, 0x00000ff2, 
      0x2bfe3003, 0xb420f2f0, 0x015f7f11, 0x00000ff1, 
      0x2cfe3002, 0x7419f2c0, 0x016f7c12, 0x00000ff1, 
      0x2dfe2003, 0x4411f290, 0x018f7813, 0x00000ff0, 
      0x2efe2003, 0x0409f270, 0x019f7414, 0x00000ff0, 
      0x2ffe2002, 0xd401f240, 0x01af7114, 0x00000ff0, 
      0x30fe2003, 0x93f9f220, 0x01bf6d15, 0x00000fef, 
      0x31fe2003, 0x63f0f1f0, 0x01cf6a16, 0x00000fef, 
      0x32fe2003, 0x33e8f1d0, 0x01df6617, 0x00000fee, 
      0x33fe1002, 0xf3dff1c0, 0x01ff6317, 0x00000fee, 
      0x34fe1003, 0xc3d6f1a0, 0x020f5f18, 0x00000fed, 
      0x34fe1004, 0x93ccf180, 0x021f5c19, 0x00000fed, 
      0x35fe1003, 0x63c3f170, 0x022f581a, 0x00000fed, 
      0x36fe1003, 0x33b9f160, 0x023f551b, 0x00000fec, 
      0x36fe1004, 0x03aff140, 0x024f521c, 0x00000fec, 
      0x37fe1003, 0xd3a5f140, 0x025f4f1c, 0x00000feb, 
      0x37fe1004, 0xa39bf130, 0x026f4b1d, 0x00000feb, 
      0x37fe1004, 0x7391f120, 0x027f481e, 0x00000feb, 
      0x38fe1004, 0x4386f120, 0x028f451f, 0x00000fea, 
      0x38fe1004, 0x137cf110, 0x029f4220, 0x00000fea, 
      0x38fe2004, 0xe371f110, 0x02af3f20, 0x00000fe9, 
      0x38fe2004, 0xb366f110, 0x02bf3c21, 0x00000fe9, 
      0x38fe2004, 0x835bf110, 0x02cf3922, 0x00000fe9, 
      0x38fe2004, 0x5350f110, 0x02df3723, 0x00000fe8, 
      0x38fe2003, 0x2345f120, 0x02ef3424, 0x00000fe8, 
      0x38fe2004, 0xf339f120, 0x02ff3124, 0x00000fe8, 
      0x38fe2003, 0xc32ef130, 0x030f2f25, 0x00000fe7, 
      0x38fe3004, 0x8322f140, 0x030f2c26, 0x00000fe7, 
      0x38fe3004, 0x5316f150, 0x031f2a27, 0x00000fe6, 
      0x38fe3004, 0x230af150, 0x032f2828, 0x00000fe6, 
      0x37fe3003, 0xf2fef170, 0x033f2628, 0x00000fe6, 
      0x37fe4004, 0xb2f2f180, 0x033f2429, 0x00000fe5, 
      0x36fe4004, 0x82e6f190, 0x034f222a, 0x00000fe5, 
      0x36fe4003, 0x52daf1b0, 0x034f202b, 0x00000fe5, 
      0x36fe4003, 0x12cef1c0, 0x035f1e2c, 0x00000fe5,
   },
   { /* Y scale factor = 1.16, phases = 127, taps = 9. */
      0x1b035fe4, 0x92d12c5f, 0xfe4035f1, 0x00000004, 
      0x1d034fe4, 0x82de2b8f, 0xfe3036f1, 0x00000004, 
      0x1f034fe5, 0x62ea2abf, 0xfe3036f1, 0x00000004, 
      0x21033fe4, 0x52f629ff, 0xfe3037f1, 0x00000004, 
      0x23032fe5, 0x4302292f, 0xfe3037f1, 0x00000004, 
      0x25032fe5, 0x330f285f, 0xfe2037f1, 0x00000004, 
      0x27031fe7, 0x231a278f, 0xfe2037f1, 0x00000004, 
      0x2a030fe6, 0x132626bf, 0xfe2038f1, 0x00000004, 
      0x2c02ffe7, 0x033225ef, 0xfe2038f1, 0x00000004, 
      0x2f02efe7, 0xf33e251f, 0xfe2038f0, 0x00000004, 
      0x3102efe7, 0xf349244f, 0xfe2038f0, 0x00000004, 
      0x3402dfe8, 0xe355237f, 0xfe1038f0, 0x00000004, 
      0x3702cfe8, 0xe36022af, 0xfe1038f0, 0x00000004, 
      0x3a02bfe8, 0xe36b21df, 0xfe1038f0, 0x00000004, 
      0x3d02afe8, 0xe376210f, 0xfe1038f0, 0x00000004, 
      0x3f029fe9, 0xe381203f, 0xfe1038f0, 0x00000004, 
      0x43028fea, 0xf38b1f6f, 0xfe1037f0, 0x00000003, 
      0x46027fea, 0xf3961e9f, 0xfe1037f0, 0x00000003, 
      0x49026fea, 0x03a01dcf, 0xfe1037f1, 0x00000003, 
      0x4c024feb, 0x13ab1cff, 0xfe1036f1, 0x00000003, 
      0x4f023feb, 0x23b51c2f, 0xfe1036f1, 0x00000003, 
      0x53023feb, 0x33bf1b4f, 0xfe1035f1, 0x00000003, 
      0x56022fec, 0x43c81a7f, 0xfe1035f1, 0x00000003, 
      0x5a020fec, 0x53d219bf, 0xfe1034f1, 0x00000003, 
      0x5d01ffed, 0x73db18ef, 0xfe1033f1, 0x00000003, 
      0x6001efee, 0x93e4181f, 0xfe1032f1, 0x00000003, 
      0x6401dfee, 0xa3ed174f, 0xfe1032f1, 0x00000003, 
      0x6801bfee, 0xd3f6167f, 0xfe1031f1, 0x00000003, 
      0x6b01bfee, 0xf3ff15af, 0xfe1030f1, 0x00000003, 
      0x6f01afef, 0x140714ef, 0xfe102ff2, 0x00000002, 
      0x72018ff0, 0x440f141f, 0xfe202ef2, 0x00000002, 
      0x76017ff0, 0x7417134f, 0xfe202df2, 0x00000002, 
      0x7a016ff1, 0x941f128f, 0xfe202bf2, 0x00000002, 
      0x7d015ff0, 0xd42711cf, 0xfe202af2, 0x00000002, 
      0x81013ff1, 0x042e10ff, 0xfe3029f3, 0x00000002, 
      0x85012ff2, 0x3435103f, 0xfe3027f3, 0x00000002, 
      0x88011ff2, 0x743c0f7f, 0xfe3026f3, 0x00000002, 
      0x8c010ff3, 0xb4430ebf, 0xfe3024f3, 0x00000001, 
      0x9000fff2, 0xf4490dff, 0xfe4023f3, 0x00000001, 
      0x9400eff3, 0x344f0d3f, 0xfe4021f4, 0x00000001, 
      0x9700dff4, 0x74550c7f, 0xfe501ff4, 0x00000001, 
      0x9b00bff4, 0xc45b0bbf, 0xfe501ef4, 0x00000001, 
      0x9f00aff5, 0x04600b0f, 0xfe501cf5, 0x00000001, 
      0xa2009ff5, 0x54660a5f, 0xfe601af5, 0x00000000, 
      0xa6008ff6, 0xa46b099f, 0xfe6018f5, 0x00000000, 
      0xaa007ff5, 0xf47008ef, 0xfe7016f5, 0x00000000, 
      0xad005ff7, 0x5474083f, 0xfe7014f6, 0x00000000, 
      0xb1004ff7, 0xa478078f, 0xfe8012f6, 0x00000000, 
      0xb5003ff7, 0x047c06df, 0xfe900ff7, 0x00000000, 
      0xb8003ff8, 0x6480062f, 0xfe900df7, 0x00000fff, 
      0xbc001ff7, 0xc484058f, 0xfea00bf7, 0x00000fff, 
      0xbf000ff8, 0x348704ef, 0xfea008f8, 0x00000fff, 
      0xc3fffff8, 0x948a043f, 0xfeb006f8, 0x00000fff, 
      0xc6ffeff9, 0x048d039f, 0xfec003f9, 0x00000ffe, 
      0xcaffdff9, 0x748f02ff, 0xfec001f9, 0x00000ffe, 
      0xcdffcff9, 0xe492025f, 0xfedffef9, 0x00000ffe, 
      0xd0ffaff9, 0x549401cf, 0xfeeffcfa, 0x00000ffe, 
      0xd4ffaffa, 0xc495012f, 0xfefff9fa, 0x00000ffd, 
      0xd7ff8ffb, 0x4497009f, 0xfefff6fb, 0x00000ffd, 
      0xdbff8ffa, 0xc498ffff, 0xff0ff3fb, 0x00000ffd, 
      0xdeff7ffb, 0x3499ff6f, 0xff1ff0fc, 0x00000ffd, 
      0xe1ff6ffc, 0xc499fedf, 0xff2fedfc, 0x00000ffc, 
      0xe4ff5ffb, 0x449afe5f, 0xff3feafd, 0x00000ffc, 
      0xe7ff4ffc, 0xc49afdcf, 0xff4fe7fd, 0x00000ffc, 
      0xeaff2ffc, 0x549afd4f, 0xff5fe4fe, 0x00000ffc, 
      0xedff2ffd, 0xd499fccf, 0xff6fe1fe, 0x00000ffb, 
      0xf0ff1ffd, 0x6499fc3f, 0xff7fdeff, 0x00000ffb, 
      0xf3ff0ffc, 0xf498fbcf, 0xff8fdbff, 0x00000ffb, 
      0xf6fefffe, 0x9497fb4f, 0xff8fd700, 0x00000ffa, 
      0xf9fefffe, 0x2495facf, 0xff9fd401, 0x00000ffa, 
      0xfbfedffd, 0xc494fa5f, 0xffbfd101, 0x00000ffa, 
      0xfefedffe, 0x5492f9ef, 0xffcfcd02, 0x00000ff9, 
      0x01fecffe, 0xf48ff970, 0xffdfca02, 0x00000ff9, 
      0x03fecffe, 0x948df900, 0xffefc603, 0x00000ff9, 
      0x06febfff, 0x348af890, 0xffffc304, 0x00000ff8, 
      0x08feafff, 0xe487f830, 0x000fbf04, 0x00000ff8, 
      0x0bfe9fff, 0x8484f7c0, 0x001fbc05, 0x00000ff8, 
      0x0dfea000, 0x2480f760, 0x002fb806, 0x00000ff7, 
      0x0ffe9000, 0xd47cf700, 0x003fb506, 0x00000ff7, 
      0x12fe8000, 0x8478f6b0, 0x004fb107, 0x00000ff6, 
      0x14fe8000, 0x3474f650, 0x005fad08, 0x00000ff6, 
      0x16fe6000, 0xe470f5f0, 0x007faa08, 0x00000ff6, 
      0x18fe6001, 0x946bf5a0, 0x008fa609, 0x00000ff5, 
      0x1afe6000, 0x5466f550, 0x009fa20a, 0x00000ff5, 
      0x1cfe5001, 0x0460f500, 0x00af9f0b, 0x00000ff5, 
      0x1efe5000, 0xc45bf4c0, 0x00bf9b0b, 0x00000ff4, 
      0x1ffe5002, 0x7455f470, 0x00cf970c, 0x00000ff4, 
      0x21fe4001, 0x344ff430, 0x00ef940d, 0x00000ff3, 
      0x23fe3001, 0xf449f3f0, 0x00ff900d, 0x00000ff3, 
      0x24fe3001, 0xb443f3b0, 0x010f8c0e, 0x00000ff3, 
      0x26fe3002, 0x743cf370, 0x011f880f, 0x00000ff2, 
      0x27fe3002, 0x3435f330, 0x012f8510, 0x00000ff2, 
      0x29fe3001, 0xf42ef300, 0x014f8110, 0x00000ff1, 
      0x2afe2002, 0xc427f2c0, 0x015f7d11, 0x00000ff1, 
      0x2bfe2003, 0x841ff290, 0x016f7a12, 0x00000ff0, 
      0x2dfe2002, 0x4417f270, 0x017f7613, 0x00000ff0, 
      0x2efe2002, 0x140ff240, 0x018f7214, 0x00000ff0, 
      0x2ffe1002, 0xe407f210, 0x01af6f14, 0x00000fef, 
      0x30fe1002, 0xa3fff1f0, 0x01bf6b15, 0x00000fef, 
      0x31fe1002, 0x73f6f1d0, 0x01cf6816, 0x00000fee, 
      0x32fe1003, 0x43edf1a0, 0x01df6417, 0x00000fee, 
      0x32fe1003, 0x13e4f190, 0x01ef6018, 0x00000fee, 
      0x33fe1003, 0xe3dbf170, 0x01ff5d18, 0x00000fed, 
      0x33fe0003, 0xb3d2f150, 0x021f5a19, 0x00000fed, 
      0x35fe1003, 0x73c8f140, 0x022f561a, 0x00000fec, 
      0x35fe0003, 0x43bff130, 0x023f531b, 0x00000fec, 
      0x36fe0003, 0x23b5f120, 0x024f4f1c, 0x00000feb, 
      0x36fe0003, 0xf3abf110, 0x025f4c1c, 0x00000feb, 
      0x37fe0003, 0xc3a0f100, 0x026f491d, 0x00000feb, 
      0x37fe1003, 0x9396f0f0, 0x027f461e, 0x00000fea, 
      0x37fe1003, 0x638bf0f0, 0x028f431f, 0x00000fea, 
      0x38fe1003, 0x3381f0e0, 0x029f4020, 0x00000fe9, 
      0x38fe1003, 0x0376f0e0, 0x02af3d21, 0x00000fe9, 
      0x38fe1003, 0xd36bf0e0, 0x02bf3a21, 0x00000fe9, 
      0x38fe1004, 0xa360f0e0, 0x02cf3722, 0x00000fe8, 
      0x38fe1004, 0x7355f0e0, 0x02df3423, 0x00000fe8, 
      0x38fe2004, 0x4349f0f0, 0x02ef3124, 0x00000fe7, 
      0x38fe2003, 0x133ef0f0, 0x02ff2f25, 0x00000fe7, 
      0x38fe2004, 0xe332f100, 0x02ff2c25, 0x00000fe7, 
      0x38fe2004, 0xb326f110, 0x030f2a26, 0x00000fe6, 
      0x37fe3004, 0x831af120, 0x031f2727, 0x00000fe6, 
      0x37fe2003, 0x530ff130, 0x032f2528, 0x00000fe6, 
      0x37fe3004, 0x2302f140, 0x032f2329, 0x00000fe5, 
      0x37fe3003, 0xf2f6f150, 0x033f2129, 0x00000fe5, 
      0x36fe3004, 0xb2eaf160, 0x034f1f2a, 0x00000fe5, 
      0x36fe3004, 0x82def180, 0x034f1d2b, 0x00000fe4, 
      0x35fe4004, 0x52d1f190, 0x035f1b2c, 0x00000fe4,
   },
   { /* Y scale factor = 1.17, phases = 127, taps = 9. */
      0x18035fe4, 0x62d52c8f, 0xfe3035f1, 0x00000004, 
      0x1a034fe3, 0x52e22bcf, 0xfe3035f1, 0x00000004, 
      0x1c033fe4, 0x32ee2aff, 0xfe3036f1, 0x00000004, 
      0x1e033fe5, 0x22fa2a2f, 0xfe2036f1, 0x00000004, 
      0x20032fe4, 0x1307295f, 0xfe2037f1, 0x00000004, 
      0x22031fe5, 0x0313288f, 0xfe2037f1, 0x00000004, 
      0x25030fe5, 0xf31f27bf, 0xfe2037f0, 0x00000004, 
      0x27030fe5, 0xe32b26ef, 0xfe2037f0, 0x00000004, 
      0x2a02ffe7, 0xd336261f, 0xfe1037f0, 0x00000004, 
      0x2c02efe7, 0xc342254f, 0xfe1038f0, 0x00000004, 
      0x2e02dfe7, 0xc34e247f, 0xfe1038f0, 0x00000004, 
      0x3102cfe8, 0xb35923af, 0xfe1038f0, 0x00000004, 
      0x3402bfe7, 0xb36522df, 0xfe1038f0, 0x00000004, 
      0x3702afe8, 0xb37021ff, 0xfe1038f0, 0x00000004, 
      0x3b02afe9, 0xb37b212f, 0xfe0037f0, 0x00000003, 
      0x3e029fe9, 0xb386205f, 0xfe0037f0, 0x00000003, 
      0x40028fe9, 0xc3911f8f, 0xfe0037f0, 0x00000003, 
      0x43027fea, 0xc39b1ebf, 0xfe0037f0, 0x00000003, 
      0x47025fea, 0xd3a61def, 0xfe0036f0, 0x00000003, 
      0x4a025fea, 0xe3b01d0f, 0xfe0036f0, 0x00000003, 
      0x4d023fec, 0xf3ba1c3f, 0xfe0035f0, 0x00000003, 
      0x50022fec, 0x03c41b6f, 0xfe0035f1, 0x00000003, 
      0x54021fec, 0x13ce1a9f, 0xfe0034f1, 0x00000003, 
      0x57020fed, 0x23d719cf, 0xfe0034f1, 0x00000003, 
      0x5b01ffec, 0x43e118ff, 0xfe0033f1, 0x00000003, 
      0x5e01efed, 0x63ea182f, 0xfe0032f1, 0x00000003, 
      0x6201dfed, 0x83f3175f, 0xfe0031f1, 0x00000003, 
      0x6501bfee, 0xa3fc168f, 0xfe1030f1, 0x00000003, 
      0x6901afef, 0xc40515bf, 0xfe102ff1, 0x00000002, 
      0x6d019fef, 0xe40d14ff, 0xfe102ef1, 0x00000002, 
      0x70018ff0, 0x1415142f, 0xfe102df2, 0x00000002, 
      0x74017ff0, 0x441d135f, 0xfe102cf2, 0x00000002, 
      0x78015ff0, 0x7425129f, 0xfe102bf2, 0x00000002, 
      0x7b014ff0, 0xa42d11cf, 0xfe202af2, 0x00000002, 
      0x7f013ff1, 0xd434110f, 0xfe2028f2, 0x00000002, 
      0x83012ff2, 0x043b103f, 0xfe2027f3, 0x00000002, 
      0x87011ff2, 0x44420f7f, 0xfe3025f3, 0x00000001, 
      0x8a010ff2, 0x84490ebf, 0xfe3024f3, 0x00000001, 
      0x8e00fff3, 0xc44f0dff, 0xfe3022f3, 0x00000001, 
      0x9200dff3, 0x04560d3f, 0xfe4020f4, 0x00000001, 
      0x9600cff3, 0x445c0c7f, 0xfe401ff4, 0x00000001, 
      0x9900bff4, 0x94620bbf, 0xfe401df4, 0x00000001, 
      0x9d009ff4, 0xe4670b0f, 0xfe501bf4, 0x00000001, 
      0xa1009ff5, 0x346c0a4f, 0xfe5019f5, 0x00000000, 
      0xa4007ff6, 0x8471099f, 0xfe6017f5, 0x00000000, 
      0xa8006ff6, 0xd47608ef, 0xfe6015f5, 0x00000000, 
      0xac005ff6, 0x247b082f, 0xfe7013f6, 0x00000000, 
      0xb0004ff6, 0x847f077f, 0xfe7011f6, 0x00000000, 
      0xb3003ff6, 0xe48306df, 0xfe800ff6, 0x00000fff, 
      0xb7002ff6, 0x4487062f, 0xfe900cf7, 0x00000fff, 
      0xba000ff8, 0xa48b057f, 0xfe900af7, 0x00000fff, 
      0xbefffff7, 0x048e04df, 0xfea008f8, 0x00000fff, 
      0xc2ffeff8, 0x7491042f, 0xfea005f8, 0x00000fff, 
      0xc5ffdff8, 0xe494038f, 0xfeb003f8, 0x00000ffe, 
      0xc9ffcff8, 0x549602ef, 0xfec000f9, 0x00000ffe, 
      0xccffbff9, 0xc498024f, 0xfedffdf9, 0x00000ffe, 
      0xcfffaffa, 0x349a01af, 0xfedffbfa, 0x00000ffe, 
      0xd3ff9ffa, 0xa49c011f, 0xfeeff8fa, 0x00000ffd, 
      0xd6ff8ffa, 0x249e007f, 0xfefff5fb, 0x00000ffd, 
      0xd9ff7ffa, 0xa49fffef, 0xff0ff2fb, 0x00000ffd, 
      0xddff6ffa, 0x24a0ff5f, 0xff1feffc, 0x00000ffc, 
      0xe0ff5ffc, 0xa4a0fecf, 0xff1fecfc, 0x00000ffc, 
      0xe3ff4ffc, 0x24a1fe3f, 0xff2fe9fd, 0x00000ffc, 
      0xe6ff3ffb, 0xb4a1fdbf, 0xff3fe6fd, 0x00000ffc, 
      0xe9ff3ffc, 0x34a1fd2f, 0xff4fe3fe, 0x00000ffb, 
      0xecff1ffd, 0xc4a0fcaf, 0xff5fe0fe, 0x00000ffb, 
      0xefff0ffc, 0x54a0fc2f, 0xff6fddff, 0x00000ffb, 
      0xf2ff0ffd, 0xe49ffbaf, 0xff7fd9ff, 0x00000ffa, 
      0xf5fefffd, 0x749efb2f, 0xff8fd600, 0x00000ffa, 
      0xf8feeffd, 0x149cfaaf, 0xff9fd301, 0x00000ffa, 
      0xfbfeeffe, 0xa49afa3f, 0xffafcf01, 0x00000ff9, 
      0xfdfedffe, 0x4498f9cf, 0xffbfcc02, 0x00000ff9, 
      0x00febffe, 0xe496f950, 0xffcfc902, 0x00000ff9, 
      0x03febffe, 0x8494f8e0, 0xffdfc503, 0x00000ff8, 
      0x05feafff, 0x2491f870, 0xffefc204, 0x00000ff8, 
      0x08feaffe, 0xd48ef800, 0xffffbe04, 0x00000ff8, 
      0x0afeafff, 0x748bf7a0, 0x000fba05, 0x00000ff7, 
      0x0cfe8fff, 0x2487f740, 0x002fb706, 0x00000ff7, 
      0x0ffe7fff, 0xd483f6e0, 0x003fb306, 0x00000ff7, 
      0x11fe7000, 0x747ff680, 0x004fb007, 0x00000ff6, 
      0x13fe7000, 0x247bf620, 0x005fac08, 0x00000ff6, 
      0x15fe7000, 0xe476f5d0, 0x006fa808, 0x00000ff5, 
      0x17fe6001, 0x9471f580, 0x007fa409, 0x00000ff5, 
      0x19fe5001, 0x446cf530, 0x008fa10a, 0x00000ff5, 
      0x1bfe5000, 0x0467f4e0, 0x00af9d0b, 0x00000ff4, 
      0x1dfe4001, 0xb462f490, 0x00bf990b, 0x00000ff4, 
      0x1ffe4001, 0x745cf440, 0x00cf960c, 0x00000ff3, 
      0x20fe4001, 0x3456f400, 0x00df920d, 0x00000ff3, 
      0x22fe3002, 0xf44ff3c0, 0x00ef8e0d, 0x00000ff3, 
      0x24fe3001, 0xb449f380, 0x010f8a0e, 0x00000ff2, 
      0x25fe3001, 0x7442f340, 0x011f870f, 0x00000ff2, 
      0x27fe3002, 0x343bf300, 0x012f8310, 0x00000ff1, 
      0x28fe2002, 0x0434f2d0, 0x013f7f11, 0x00000ff1, 
      0x2afe2001, 0xc42df2a0, 0x014f7b11, 0x00000ff1, 
      0x2afe1002, 0x9425f270, 0x016f7812, 0x00000ff0, 
      0x2cfe1002, 0x541df240, 0x017f7413, 0x00000ff0, 
      0x2dfe1003, 0x2415f210, 0x018f7014, 0x00000fef, 
      0x2efe1002, 0xf40df1e0, 0x019f6d14, 0x00000fef, 
      0x2ffe1003, 0xb405f1c0, 0x01af6915, 0x00000fee, 
      0x30fe1002, 0x83fcf1a0, 0x01cf6516, 0x00000fee, 
      0x31fe0002, 0x53f3f180, 0x01df6217, 0x00000fee, 
      0x32fe0003, 0x23eaf160, 0x01ef5e18, 0x00000fed, 
      0x33fe0002, 0xf3e1f140, 0x01ff5b18, 0x00000fed, 
      0x34fe1003, 0xc3d7f120, 0x020f5719, 0x00000fec, 
      0x34fe0003, 0x93cef110, 0x021f541a, 0x00000fec, 
      0x35fe0004, 0x63c4f100, 0x022f501b, 0x00000feb, 
      0x35fe0004, 0x33baf0f0, 0x023f4d1c, 0x00000feb, 
      0x35fe0003, 0x03b0f0e0, 0x025f4a1d, 0x00000feb, 
      0x36fe0003, 0xe3a6f0c0, 0x026f471d, 0x00000fea, 
      0x37fe0003, 0xb39bf0c0, 0x027f431e, 0x00000fea, 
      0x37fe0003, 0x8391f0c0, 0x028f401f, 0x00000fe9, 
      0x37fe0004, 0x5386f0b0, 0x029f3d20, 0x00000fe9, 
      0x37fe0004, 0x237bf0b0, 0x02af3a21, 0x00000fe9, 
      0x38fe0003, 0x0370f0b0, 0x02bf3722, 0x00000fe8, 
      0x38fe0003, 0xd365f0b0, 0x02cf3422, 0x00000fe8, 
      0x38fe1004, 0xa359f0c0, 0x02cf3123, 0x00000fe7, 
      0x38fe1003, 0x734ef0c0, 0x02df2f24, 0x00000fe7, 
      0x38fe1004, 0x4342f0c0, 0x02ef2c25, 0x00000fe7, 
      0x37fe2004, 0x1336f0d0, 0x02ff2a26, 0x00000fe6, 
      0x37fe2003, 0xe32bf0e0, 0x030f2726, 0x00000fe6, 
      0x37fe1003, 0xb31ff0f0, 0x031f2527, 0x00000fe6, 
      0x37fe2004, 0x8313f100, 0x031f2228, 0x00000fe5, 
      0x37fe2003, 0x5307f110, 0x032f2029, 0x00000fe5, 
      0x36fe2004, 0x22faf120, 0x033f1e2a, 0x00000fe5, 
      0x36fe3004, 0xf2eef130, 0x033f1c2a, 0x00000fe4, 
      0x35fe3003, 0xc2e2f150, 0x034f1a2b, 0x00000fe4, 
      0x35fe4004, 0x82d5f160, 0x034f182c, 0x00000fe4,
   },
   { /* Y scale factor = 1.18, phases = 127, taps = 9. */
      0x15034fe3, 0x42d82ccf, 0xfe3035f1, 0x00000004, 
      0x17034fe3, 0x22e52bff, 0xfe3035f1, 0x00000004, 
      0x19033fe4, 0x02f22b2f, 0xfe2036f1, 0x00000004, 
      0x1b032fe4, 0xf2fe2a6f, 0xfe2036f0, 0x00000004, 
      0x1d031fe4, 0xe30b299f, 0xfe2036f0, 0x00000004, 
      0x20030fe4, 0xd31728cf, 0xfe1037f0, 0x00000004, 
      0x22030fe5, 0xc32327ef, 0xfe1037f0, 0x00000004, 
      0x24030fe5, 0xb32f271f, 0xfe1037f0, 0x00000004, 
      0x2702ffe5, 0xa33b264f, 0xfe1037f0, 0x00000004, 
      0x2902efe6, 0x9347257f, 0xfe1037f0, 0x00000004, 
      0x2c02dfe7, 0x935224af, 0xfe0037f0, 0x00000004, 
      0x2f02cfe7, 0x835e23df, 0xfe0037f0, 0x00000004, 
      0x3202cfe8, 0x836922ff, 0xfe0037f0, 0x00000003, 
      0x3502afe8, 0x8375222f, 0xfe0037f0, 0x00000003, 
      0x38029fe8, 0x8380215f, 0xfe0037f0, 0x00000003, 
      0x3b028fe9, 0x838b207f, 0xfe0037f0, 0x00000003, 
      0x3e027fe8, 0x93961faf, 0xfe0037f0, 0x00000003, 
      0x41026fea, 0x93a01edf, 0xfe0036f0, 0x00000003, 
      0x44025fe9, 0xa3ab1e0f, 0xfe0036f0, 0x00000003, 
      0x47024feb, 0xb3b51d2f, 0xfe0035f0, 0x00000003, 
      0x4b023feb, 0xb3bf1c5f, 0xfe0035f0, 0x00000003, 
      0x4e022feb, 0xd3c91b8f, 0xfe0034f0, 0x00000003, 
      0x51021feb, 0xe3d31abf, 0xfe0034f0, 0x00000003, 
      0x55020feb, 0xf3dd19ef, 0xfe0033f0, 0x00000003, 
      0x5801ffed, 0x13e6190f, 0xfe0032f1, 0x00000003, 
      0x5c01dfec, 0x33f0183f, 0xfe0032f1, 0x00000003, 
      0x5f01cfed, 0x53f9176f, 0xfe0031f1, 0x00000003, 
      0x6301bfee, 0x7402169f, 0xfe0030f1, 0x00000002, 
      0x6701afef, 0x940a15cf, 0xfe002ff1, 0x00000002, 
      0x6a019fef, 0xb413150f, 0xfe002ef1, 0x00000002, 
      0x6e018fef, 0xe41b143f, 0xfe002df1, 0x00000002, 
      0x72016fef, 0x1423136f, 0xfe102cf2, 0x00000002, 
      0x76015ff0, 0x442b129f, 0xfe102af2, 0x00000002, 
      0x79014ff0, 0x743311df, 0xfe1029f2, 0x00000002, 
      0x7d013ff1, 0xa43a110f, 0xfe1028f2, 0x00000002, 
      0x80011ff1, 0xe442104f, 0xfe2026f2, 0x00000002, 
      0x85010ff1, 0x14490f8f, 0xfe2025f3, 0x00000001, 
      0x89010ff2, 0x544f0ebf, 0xfe2023f3, 0x00000001, 
      0x8c00eff2, 0x94560dff, 0xfe3022f3, 0x00000001, 
      0x9000dff3, 0xd45c0d3f, 0xfe3020f3, 0x00000001, 
      0x9400cff3, 0x24620c7f, 0xfe301ef4, 0x00000001, 
      0x9800aff4, 0x64680bbf, 0xfe401cf4, 0x00000001, 
      0x9b009ff5, 0xb46e0b0f, 0xfe401af4, 0x00000000, 
      0x9f008ff4, 0x04730a4f, 0xfe5019f5, 0x00000000, 
      0xa3007ff5, 0x5478099f, 0xfe5016f5, 0x00000000, 
      0xa7006ff5, 0xa47d08df, 0xfe6014f5, 0x00000000, 
      0xaa004ff6, 0x0482082f, 0xfe6012f6, 0x00000000, 
      0xae003ff6, 0x6486077f, 0xfe7010f6, 0x00000fff, 
      0xb2002ff7, 0xb48a06cf, 0xfe700ef6, 0x00000fff, 
      0xb5001ff7, 0x148e061f, 0xfe800cf7, 0x00000fff, 
      0xb9000ff7, 0x8491056f, 0xfe9009f7, 0x00000fff, 
      0xbcfffff7, 0xe49504cf, 0xfe9007f7, 0x00000fff, 
      0xc0ffeff8, 0x5498041f, 0xfea004f8, 0x00000ffe, 
      0xc4ffcff8, 0xb49b037f, 0xfeb002f8, 0x00000ffe, 
      0xc7ffcff9, 0x249d02df, 0xfebffff9, 0x00000ffe, 
      0xcbffaff9, 0xa49f023f, 0xfecffcf9, 0x00000ffe, 
      0xceff9ffa, 0x14a1019f, 0xfedffafa, 0x00000ffd, 
      0xd1ff8ffa, 0x84a3010f, 0xfeeff7fa, 0x00000ffd, 
      0xd5ff7ffa, 0x04a5006f, 0xfeeff4fb, 0x00000ffd, 
      0xd8ff6ffa, 0x84a6ffdf, 0xfefff1fb, 0x00000ffd, 
      0xdbff6ffb, 0x04a7ff3f, 0xff0feefc, 0x00000ffc, 
      0xdfff5ffa, 0x84a8feaf, 0xff1febfc, 0x00000ffc, 
      0xe2ff3ffb, 0x04a8fe2f, 0xff2fe8fd, 0x00000ffc, 
      0xe5ff3ffb, 0x94a8fd9f, 0xff3fe5fd, 0x00000ffb, 
      0xe8ff2ffb, 0x24a8fd0f, 0xff4fe2fe, 0x00000ffb, 
      0xebff0ffc, 0xa4a8fc8f, 0xff5fdffe, 0x00000ffb, 
      0xeeff0ffd, 0x34a7fc0f, 0xff5fdbff, 0x00000ffb, 
      0xf1fefffd, 0xd4a6fb8f, 0xff6fd8ff, 0x00000ffa, 
      0xf4feeffd, 0x64a5fb0f, 0xff7fd500, 0x00000ffa, 
      0xf7feeffd, 0x04a3fa8f, 0xff8fd101, 0x00000ffa, 
      0xfafedffe, 0x94a1fa1f, 0xff9fce01, 0x00000ff9, 
      0xfcfecffe, 0x349ff9af, 0xffafcb02, 0x00000ff9, 
      0xfffebffe, 0xd49df92f, 0xffcfc702, 0x00000ff9, 
      0x02feaffe, 0x749bf8b0, 0xffdfc403, 0x00000ff8, 
      0x04feaffe, 0x1498f850, 0xffefc004, 0x00000ff8, 
      0x07fe9fff, 0xc495f7e0, 0xffffbc04, 0x00000ff7, 
      0x09fe9fff, 0x6491f780, 0x000fb905, 0x00000ff7, 
      0x0cfe8fff, 0x148ef710, 0x001fb506, 0x00000ff7, 
      0x0efe7000, 0xc48af6b0, 0x002fb206, 0x00000ff6, 
      0x10fe7fff, 0x7486f660, 0x003fae07, 0x00000ff6, 
      0x12fe6000, 0x2482f600, 0x004faa08, 0x00000ff6, 
      0x14fe6000, 0xd47df5a0, 0x006fa708, 0x00000ff5, 
      0x16fe5000, 0x9478f550, 0x007fa309, 0x00000ff5, 
      0x19fe5000, 0x4473f500, 0x008f9f0a, 0x00000ff4, 
      0x1afe4001, 0x046ef4b0, 0x009f9b0b, 0x00000ff4, 
      0x1cfe4001, 0xb468f460, 0x00af980b, 0x00000ff4, 
      0x1efe3001, 0x7462f420, 0x00cf940c, 0x00000ff3, 
      0x20fe3001, 0x345cf3d0, 0x00df900d, 0x00000ff3, 
      0x22fe3001, 0xf456f390, 0x00ef8c0d, 0x00000ff2, 
      0x23fe3002, 0xb44ff350, 0x00ff880e, 0x00000ff2, 
      0x25fe1001, 0x8449f310, 0x010f850f, 0x00000ff2, 
      0x26fe1001, 0x4442f2e0, 0x012f8110, 0x00000ff1, 
      0x28fe1002, 0x043af2a0, 0x013f7d11, 0x00000ff1, 
      0x29fe1002, 0xd433f270, 0x014f7911, 0x00000ff0, 
      0x2afe1002, 0x942bf240, 0x015f7612, 0x00000ff0, 
      0x2cfe1002, 0x6423f210, 0x016f7213, 0x00000fef, 
      0x2dfe0002, 0x341bf1e0, 0x018f6e14, 0x00000fef, 
      0x2efe0002, 0x0413f1b0, 0x019f6a15, 0x00000fef, 
      0x2ffe0003, 0xc40af190, 0x01af6715, 0x00000fee, 
      0x30fe0002, 0x9402f170, 0x01bf6316, 0x00000fee, 
      0x31fe0002, 0x63f9f150, 0x01cf6017, 0x00000fed, 
      0x32fdf002, 0x33f0f130, 0x01ef5c18, 0x00000fed, 
      0x33fe0003, 0x03e6f110, 0x01ff5819, 0x00000fec, 
      0x33fe0002, 0xe3ddf0f0, 0x020f5519, 0x00000fec, 
      0x34fe0002, 0xb3d3f0e0, 0x021f511a, 0x00000fec, 
      0x34fe0003, 0x83c9f0d0, 0x022f4e1b, 0x00000feb, 
      0x35fe0003, 0x53bff0b0, 0x023f4b1c, 0x00000feb, 
      0x35fe0004, 0x23b5f0b0, 0x024f471d, 0x00000fea, 
      0x36fdf003, 0x03abf0a0, 0x025f441e, 0x00000fea, 
      0x36fe0004, 0xd3a0f090, 0x026f411e, 0x00000fe9, 
      0x37fdf003, 0xa396f090, 0x027f3e1f, 0x00000fe9, 
      0x37fe0003, 0x738bf080, 0x028f3b20, 0x00000fe9, 
      0x37fe0003, 0x5380f080, 0x029f3821, 0x00000fe8, 
      0x37fe0003, 0x2375f080, 0x02af3522, 0x00000fe8, 
      0x37fe1004, 0xf369f080, 0x02bf3222, 0x00000fe7, 
      0x37fe0004, 0xd35ef080, 0x02cf2f23, 0x00000fe7, 
      0x37fe0004, 0xa352f090, 0x02df2c24, 0x00000fe7, 
      0x37fe1004, 0x7347f090, 0x02ef2925, 0x00000fe6, 
      0x37fe1003, 0x433bf0a0, 0x02ff2726, 0x00000fe6, 
      0x37fe1004, 0x132ff0b0, 0x030f2427, 0x00000fe5, 
      0x37fe1004, 0xe323f0c0, 0x030f2227, 0x00000fe5, 
      0x36fe1003, 0xc317f0d0, 0x031f2028, 0x00000fe5, 
      0x36fe2003, 0x930bf0e0, 0x032f1d29, 0x00000fe4, 
      0x36fe2004, 0x62fef0f0, 0x032f1b2a, 0x00000fe4, 
      0x36fe2004, 0x22f2f100, 0x033f192b, 0x00000fe4, 
      0x35fe3004, 0xf2e5f120, 0x034f172b, 0x00000fe3, 
      0x35fe3003, 0xc2d9f140, 0x034f152c, 0x00000fe3,
   },
   { /* Y scale factor = 1.19, phases = 127, taps = 9. */
      0x12034fe2, 0x12dd2d0f, 0xfe2034f1, 0x00000004, 
      0x14033fe3, 0xf2e92c3f, 0xfe2035f0, 0x00000004, 
      0x16033fe3, 0xd2f62b6f, 0xfe2035f0, 0x00000004, 
      0x18032fe4, 0xc3022a9f, 0xfe1036f0, 0x00000004, 
      0x1a031fe4, 0xb30f29cf, 0xfe1036f0, 0x00000004, 
      0x1d030fe4, 0xa31b28ff, 0xfe1036f0, 0x00000004, 
      0x1f030fe4, 0x9327282f, 0xfe1036f0, 0x00000004, 
      0x2102ffe5, 0x8333274f, 0xfe1037f0, 0x00000004, 
      0x2402efe6, 0x733f267f, 0xfe0037f0, 0x00000004, 
      0x2702efe6, 0x634b25af, 0xfe0037f0, 0x00000003, 
      0x2902dfe6, 0x635724df, 0xfe0037f0, 0x00000003, 
      0x2c02cfe7, 0x536323ff, 0xfe0037f0, 0x00000003, 
      0x2f02bfe7, 0x536e232f, 0xfe0037f0, 0x00000003, 
      0x3202afe7, 0x537a225f, 0xfdf037f0, 0x00000003, 
      0x35029fe8, 0x5385217f, 0xfdf037f0, 0x00000003, 
      0x38028fe9, 0x539020af, 0xfdf036f0, 0x00000003, 
      0x3b027fe9, 0x639b1fcf, 0xfdf036f0, 0x00000003, 
      0x3e026fe9, 0x63a61eff, 0xfdf036f0, 0x00000003, 
      0x42025fe9, 0x73b01e2f, 0xfdf035f0, 0x00000003, 
      0x45024fea, 0x73bb1d4f, 0xfdf035f0, 0x00000003, 
      0x48023fea, 0x83c51c7f, 0xfdf035f0, 0x00000003, 
      0x4c021fea, 0xa3cf1baf, 0xfdf034f0, 0x00000003, 
      0x4f021feb, 0xb3d91acf, 0xfdf033f0, 0x00000003, 
      0x5301ffeb, 0xc3e319ff, 0xfdf033f0, 0x00000003, 
      0x5601efec, 0xe3ec192f, 0xfdf032f0, 0x00000003, 
      0x5901dfec, 0x03f6185f, 0xfdf031f1, 0x00000003, 
      0x5d01cfed, 0x23ff178f, 0xfdf030f1, 0x00000002, 
      0x6101bfee, 0x440816af, 0xfdf02ff1, 0x00000002, 
      0x6501afee, 0x641015ef, 0xfdf02ef1, 0x00000002, 
      0x68018fef, 0x8419151f, 0xfe002df1, 0x00000002, 
      0x6c017fef, 0xb421144f, 0xfe002cf1, 0x00000002, 
      0x6f016fef, 0xe42a137f, 0xfe002bf1, 0x00000002, 
      0x73015fef, 0x143212af, 0xfe002af2, 0x00000002, 
      0x78014ff0, 0x443911df, 0xfe0028f2, 0x00000002, 
      0x7b012ff0, 0x7441111f, 0xfe1027f2, 0x00000002, 
      0x7f011ff1, 0xb448104f, 0xfe1026f2, 0x00000001, 
      0x83010ff2, 0xe44f0f8f, 0xfe1024f2, 0x00000001, 
      0x8600fff1, 0x24560ecf, 0xfe2023f3, 0x00000001, 
      0x8a00eff3, 0x645c0dff, 0xfe2021f3, 0x00000001, 
      0x8e00cff3, 0xb4630d3f, 0xfe201ff3, 0x00000001, 
      0x9200bff3, 0xf4690c7f, 0xfe301df3, 0x00000001, 
      0x9600aff3, 0x446f0bbf, 0xfe301cf4, 0x00000000, 
      0x9a009ff4, 0x84740aff, 0xfe401af4, 0x00000000, 
      0x9d008ff4, 0xd47a0a4f, 0xfe4018f4, 0x00000000, 
      0xa1006ff4, 0x347f098f, 0xfe5016f5, 0x00000000, 
      0xa5005ff4, 0x848408df, 0xfe5014f5, 0x00000000, 
      0xa9003ff5, 0xd489081f, 0xfe6012f5, 0x00000000, 
      0xad003ff6, 0x348d076f, 0xfe600ff6, 0x00000fff, 
      0xb0002ff6, 0x949106bf, 0xfe700df6, 0x00000fff, 
      0xb4001ff6, 0xf495060f, 0xfe700bf6, 0x00000fff, 
      0xb7000ff7, 0x5498056f, 0xfe8008f7, 0x00000fff, 
      0xbbffeff7, 0xc49c04bf, 0xfe9006f7, 0x00000ffe, 
      0xbfffeff8, 0x249f040f, 0xfe9003f8, 0x00000ffe, 
      0xc2ffcff8, 0x94a2036f, 0xfea001f8, 0x00000ffe, 
      0xc6ffbff8, 0x04a402cf, 0xfebffef9, 0x00000ffe, 
      0xcaffaff9, 0x74a7022f, 0xfebffbf9, 0x00000ffd, 
      0xcdff9ff8, 0xf4a9018f, 0xfecff9f9, 0x00000ffd, 
      0xd0ff8ffa, 0x64aa00ef, 0xfedff6fa, 0x00000ffd, 
      0xd4ff6ff9, 0xe4ac005f, 0xfeeff3fa, 0x00000ffd, 
      0xd7ff6ffa, 0x64adffbf, 0xfefff0fb, 0x00000ffc, 
      0xdaff5ffb, 0xe4aeff2f, 0xfeffedfb, 0x00000ffc, 
      0xddff4ffb, 0x64affe9f, 0xff0feafc, 0x00000ffc, 
      0xe1ff3ffa, 0xf4affe0f, 0xff1fe7fc, 0x00000ffc, 
      0xe4ff2ffc, 0x74affd7f, 0xff2fe4fd, 0x00000ffb, 
      0xe7ff1ffb, 0x04affcff, 0xff3fe1fe, 0x00000ffb, 
      0xeaff0ffc, 0x94affc6f, 0xff4fddfe, 0x00000ffb, 
      0xedfefffd, 0x24aefbef, 0xff5fdaff, 0x00000ffa, 
      0xf0fefffc, 0xb4adfb6f, 0xff6fd7ff, 0x00000ffa, 
      0xf3fedffc, 0x54acfaef, 0xff7fd400, 0x00000ffa, 
      0xf6fedffd, 0xe4aafa7f, 0xff8fd000, 0x00000ff9, 
      0xf8fecffd, 0x84a9f9ff, 0xff9fcd01, 0x00000ff9, 
      0xfbfebffe, 0x24a7f97f, 0xffafc902, 0x00000ff9, 
      0xfefebffe, 0xc4a4f90f, 0xffbfc602, 0x00000ff8, 
      0x01feaffe, 0x64a2f890, 0xffcfc203, 0x00000ff8, 
      0x03fe9fff, 0x049ff820, 0xffdfbf04, 0x00000ff8, 
      0x06fe9ffe, 0xb49cf7c0, 0xffefbb04, 0x00000ff7, 
      0x08fe9fff, 0x6498f750, 0xffffb705, 0x00000ff7, 
      0x0bfe7fff, 0x0495f6f0, 0x001fb406, 0x00000ff6, 
      0x0dfe7fff, 0xb491f690, 0x002fb006, 0x00000ff6, 
      0x0ffe6000, 0x648df630, 0x003fac07, 0x00000ff6, 
      0x12fe6fff, 0x1489f5d0, 0x004fa908, 0x00000ff5, 
      0x14fe5fff, 0xd484f580, 0x005fa508, 0x00000ff5, 
      0x16fe5fff, 0x847ff530, 0x006fa109, 0x00000ff5, 
      0x18fe4000, 0x447af4d0, 0x008f9d0a, 0x00000ff4, 
      0x1afe4001, 0xf474f480, 0x009f990a, 0x00000ff4, 
      0x1cfe3000, 0xb46ff440, 0x00af960b, 0x00000ff3, 
      0x1dfe3001, 0x7469f3f0, 0x00bf920c, 0x00000ff3, 
      0x1ffe3001, 0x3463f3b0, 0x00cf8e0d, 0x00000ff2, 
      0x21fe3001, 0xf45cf360, 0x00ef8a0d, 0x00000ff2, 
      0x23fe1001, 0xc456f320, 0x00ff860e, 0x00000ff2, 
      0x24fe1002, 0x844ff2e0, 0x010f830f, 0x00000ff1, 
      0x26fe1001, 0x4448f2b0, 0x011f7f10, 0x00000ff1, 
      0x27fe1002, 0x1441f270, 0x012f7b11, 0x00000ff0, 
      0x28fe1002, 0xd439f240, 0x014f7711, 0x00000ff0, 
      0x2afe0001, 0xa432f210, 0x015f7312, 0x00000ff0, 
      0x2bfe0001, 0x742af1e0, 0x016f7013, 0x00000fef, 
      0x2cfe0002, 0x4421f1b0, 0x017f6c14, 0x00000fef, 
      0x2dfe0003, 0x1419f180, 0x018f6815, 0x00000fee, 
      0x2efdf003, 0xd410f160, 0x01af6515, 0x00000fee, 
      0x2ffdf003, 0xa408f140, 0x01bf6116, 0x00000fed, 
      0x30fdf002, 0x83fff120, 0x01cf5d17, 0x00000fed, 
      0x31fdf002, 0x53f6f100, 0x01df5a18, 0x00000fec, 
      0x32fdf003, 0x23ecf0e0, 0x01ef5619, 0x00000fec, 
      0x33fdf002, 0xf3e3f0c0, 0x01ff5319, 0x00000fec, 
      0x33fdf003, 0xc3d9f0b0, 0x021f4f1a, 0x00000feb, 
      0x34fde002, 0xa3cff0a0, 0x022f4c1b, 0x00000feb, 
      0x35fdf003, 0x73c5f080, 0x023f481c, 0x00000fea, 
      0x35fdf003, 0x43bbf070, 0x024f451d, 0x00000fea, 
      0x35fdf003, 0x23b0f070, 0x025f421e, 0x00000fe9, 
      0x36fdf003, 0xf3a6f060, 0x026f3e1e, 0x00000fe9, 
      0x36fdf003, 0xc39bf060, 0x027f3b1f, 0x00000fe9, 
      0x36fdf004, 0xa390f050, 0x028f3820, 0x00000fe8, 
      0x37fdf003, 0x7385f050, 0x029f3521, 0x00000fe8, 
      0x37fdf003, 0x537af050, 0x02af3222, 0x00000fe7, 
      0x37fe0003, 0x236ef050, 0x02bf2f23, 0x00000fe7, 
      0x37fe0003, 0xf363f050, 0x02cf2c23, 0x00000fe7, 
      0x37fe0003, 0xd357f060, 0x02df2924, 0x00000fe6, 
      0x37fe0003, 0xa34bf060, 0x02ef2725, 0x00000fe6, 
      0x37fe1004, 0x733ff070, 0x02ef2426, 0x00000fe5, 
      0x37fe1003, 0x4333f080, 0x02ff2227, 0x00000fe5, 
      0x36fe1003, 0x2327f090, 0x030f1f28, 0x00000fe5, 
      0x36fe1003, 0xf31bf0a0, 0x031f1d28, 0x00000fe4, 
      0x36fe1004, 0xc30ff0b0, 0x031f1a29, 0x00000fe4, 
      0x36fe1004, 0x9302f0c0, 0x032f182a, 0x00000fe4, 
      0x35fe2004, 0x62f6f0d0, 0x033f162b, 0x00000fe3, 
      0x35fe2004, 0x32e9f0f0, 0x033f142c, 0x00000fe3, 
      0x34fe2003, 0x02ddf110, 0x034f122d, 0x00000fe3,
   },
   { /* Y scale factor = 1.20, phases = 127, taps = 9. */
      0x0f033fe3, 0xe2e02d4f, 0xfe2034f0, 0x00000003, 
      0x11033fe3, 0xc2ed2c7f, 0xfe2034f0, 0x00000003, 
      0x13033fe3, 0xa2fa2baf, 0xfe1035f0, 0x00000003, 
      0x15032fe4, 0x93072acf, 0xfe1035f0, 0x00000003, 
      0x18031fe3, 0x831329ff, 0xfe1036f0, 0x00000003, 
      0x1a031fe4, 0x731f292f, 0xfe0036f0, 0x00000003, 
      0x1c030fe4, 0x632c285f, 0xfe0036f0, 0x00000003, 
      0x1f02ffe4, 0x5338278f, 0xfe0036f0, 0x00000003, 
      0x2102ffe5, 0x434426af, 0xfe0036f0, 0x00000003, 
      0x2402dfe5, 0x335025df, 0xfe0037f0, 0x00000003, 
      0x2702cfe6, 0x335c24ff, 0xfdf037f0, 0x00000003, 
      0x2902bfe7, 0x2368242f, 0xfdf037f0, 0x00000003, 
      0x2c02bfe6, 0x2373235f, 0xfdf037f0, 0x00000003, 
      0x2f02afe7, 0x237f227f, 0xfdf036f0, 0x00000003, 
      0x32029fe7, 0x238a21af, 0xfdf036f0, 0x00000003, 
      0x35028fe8, 0x239520cf, 0xfdf036f0, 0x00000003, 
      0x39026fe8, 0x23a01fff, 0xfdf036f0, 0x00000003, 
      0x3c026fe8, 0x33ab1f1f, 0xfdf035f0, 0x00000003, 
      0x3f024fe9, 0x43b61e4f, 0xfde035f0, 0x00000003, 
      0x42024fea, 0x43c01d6f, 0xfde035f0, 0x00000003, 
      0x46023fea, 0x53ca1c9f, 0xfde034f0, 0x00000003, 
      0x49021feb, 0x63d51bbf, 0xfde034f0, 0x00000003, 
      0x4d020fea, 0x83df1aef, 0xfde033f0, 0x00000003, 
      0x5001ffec, 0x93e81a1f, 0xfde032f0, 0x00000003, 
      0x5401efeb, 0xb3f2193f, 0xfde032f0, 0x00000003, 
      0x5701dfec, 0xd3fb186f, 0xfdf031f0, 0x00000002, 
      0x5b01cfec, 0xe405179f, 0xfdf030f0, 0x00000002, 
      0x5f01afec, 0x140e16cf, 0xfdf02ff1, 0x00000002, 
      0x62019fed, 0x341715ff, 0xfdf02ef1, 0x00000002, 
      0x66018fee, 0x541f152f, 0xfdf02df1, 0x00000002, 
      0x6a016fee, 0x8428145f, 0xfdf02cf1, 0x00000002, 
      0x6e015fee, 0xb430138f, 0xfdf02bf1, 0x00000002, 
      0x71014fef, 0xe43812bf, 0xfe0029f1, 0x00000002, 
      0x75013fef, 0x144011ef, 0xfe0028f2, 0x00000002, 
      0x79012ff1, 0x4447111f, 0xfe0027f2, 0x00000001, 
      0x7d011ff0, 0x844f105f, 0xfe0025f2, 0x00000001, 
      0x8100fff0, 0xc4560f8f, 0xfe1024f2, 0x00000001, 
      0x8400eff2, 0xf45d0ecf, 0xfe1022f2, 0x00000001, 
      0x8800dff2, 0x44630e0f, 0xfe1020f3, 0x00000001, 
      0x8c00bff2, 0x846a0d3f, 0xfe201ff3, 0x00000001, 
      0x9000bff2, 0xc4700c7f, 0xfe201df3, 0x00000001, 
      0x94009ff3, 0x14760bbf, 0xfe301bf4, 0x00000000, 
      0x98008ff4, 0x647b0aff, 0xfe3019f4, 0x00000000, 
      0x9b007ff3, 0xb4810a4f, 0xfe4017f4, 0x00000000, 
      0x9f006ff4, 0x0486098f, 0xfe4015f5, 0x00000000, 
      0xa3005ff4, 0x548b08cf, 0xfe5013f5, 0x00000000, 
      0xa7003ff6, 0xb48f081f, 0xfe5011f5, 0x00000fff, 
      0xaa002ff5, 0x1494076f, 0xfe600ff6, 0x00000fff, 
      0xae001ff6, 0x749806bf, 0xfe600cf6, 0x00000fff, 
      0xb2000ff6, 0xd49c05ff, 0xfe700af6, 0x00000fff, 
      0xb6fffff6, 0x34a0055f, 0xfe7007f7, 0x00000fff, 
      0xbaffeff7, 0x94a304af, 0xfe8005f7, 0x00000ffe, 
      0xbdffdff8, 0x04a603ff, 0xfe9002f8, 0x00000ffe, 
      0xc1ffcff7, 0x74a9035f, 0xfe9000f8, 0x00000ffe, 
      0xc4ffaff9, 0xe4ab02bf, 0xfeaffdf8, 0x00000ffe, 
      0xc8ff9ff9, 0x54ae021f, 0xfebffaf9, 0x00000ffd, 
      0xcbff8ff8, 0xd4b0017f, 0xfecff8f9, 0x00000ffd, 
      0xcfff7ff9, 0x44b200df, 0xfecff5fa, 0x00000ffd, 
      0xd2ff6ffa, 0xc4b3003f, 0xfedff2fa, 0x00000ffd, 
      0xd6ff5ffa, 0x44b4ffaf, 0xfeefeffb, 0x00000ffc, 
      0xd9ff4ffb, 0xc4b5ff0f, 0xfeffecfb, 0x00000ffc, 
      0xdcff3ffb, 0x44b6fe7f, 0xff0fe9fc, 0x00000ffc, 
      0xdfff3ffb, 0xd4b6fdef, 0xff1fe6fc, 0x00000ffb, 
      0xe3ff1ffb, 0x54b7fd5f, 0xff2fe3fd, 0x00000ffb, 
      0xe6ff1ffc, 0xe4b6fcdf, 0xff2fdffd, 0x00000ffb, 
      0xe9ff0ffc, 0x74b6fc5f, 0xff3fdcfe, 0x00000ffa, 
      0xecfefffc, 0x04b5fbdf, 0xff4fd9ff, 0x00000ffa, 
      0xeffeeffc, 0xa4b4fb4f, 0xff5fd6ff, 0x00000ffa, 
      0xf2feeffd, 0x34b3facf, 0xff6fd200, 0x00000ff9, 
      0xf5fecffd, 0xd4b2fa4f, 0xff7fcf00, 0x00000ff9, 
      0xf8febffd, 0x74b0f9df, 0xff8fcb01, 0x00000ff9, 
      0xfafebffe, 0x14aef95f, 0xff9fc802, 0x00000ff8, 
      0xfdfebffe, 0xb4abf8ef, 0xffafc402, 0x00000ff8, 
      0x00fe9ffd, 0x54a9f870, 0xffcfc103, 0x00000ff8, 
      0x02fe9fff, 0xf4a6f800, 0xffdfbd03, 0x00000ff7, 
      0x05fe8fff, 0xa4a3f790, 0xffefb904, 0x00000ff7, 
      0x07fe7ffe, 0x54a0f730, 0xffffb605, 0x00000ff7, 
      0x0afe7ffe, 0x049cf6d0, 0x000fb206, 0x00000ff6, 
      0x0cfe6fff, 0xb498f670, 0x001fae06, 0x00000ff6, 
      0x0ffe5fff, 0x6494f610, 0x002fab07, 0x00000ff5, 
      0x11fe5000, 0x148ff5b0, 0x003fa708, 0x00000ff5, 
      0x13fe5fff, 0xc48bf550, 0x005fa308, 0x00000ff5, 
      0x15fe4000, 0x8486f500, 0x006f9f09, 0x00000ff4, 
      0x17fe3fff, 0x4481f4b0, 0x007f9c0a, 0x00000ff4, 
      0x19fe3001, 0xf47bf460, 0x008f980a, 0x00000ff3, 
      0x1bfe3000, 0xb476f410, 0x009f940b, 0x00000ff3, 
      0x1dfe2000, 0x7470f3c0, 0x00bf900c, 0x00000ff3, 
      0x1ffe2000, 0x346af380, 0x00cf8c0d, 0x00000ff2, 
      0x20fe1001, 0x0463f340, 0x00df880e, 0x00000ff2, 
      0x22fe2001, 0xc45df2f0, 0x00ef840e, 0x00000ff1, 
      0x24fe0001, 0x8456f2c0, 0x00ff810f, 0x00000ff1, 
      0x25fe0001, 0x544ff280, 0x011f7d10, 0x00000ff0, 
      0x27fe0002, 0x1447f240, 0x012f7911, 0x00000ff0, 
      0x28fe0001, 0xe440f210, 0x013f7511, 0x00000ff0, 
      0x29fe0002, 0xb438f1e0, 0x014f7112, 0x00000fef, 
      0x2afdf001, 0x8430f1b0, 0x016f6e13, 0x00000fef, 
      0x2cfdf001, 0x5428f180, 0x017f6a14, 0x00000fee, 
      0x2dfdf002, 0x241ff150, 0x018f6615, 0x00000fee, 
      0x2efdf002, 0xf417f130, 0x019f6215, 0x00000fed, 
      0x2ffde002, 0xc40ef110, 0x01af5f16, 0x00000fed, 
      0x30fde002, 0x9405f0e0, 0x01cf5b17, 0x00000fed, 
      0x31fdf002, 0x63fbf0d0, 0x01df5718, 0x00000fec, 
      0x32fde002, 0x33f2f0b0, 0x01ef5419, 0x00000fec, 
      0x32fdf003, 0x13e8f090, 0x01ff501a, 0x00000feb, 
      0x33fde002, 0xe3dff080, 0x020f4d1a, 0x00000feb, 
      0x34fdf003, 0xb3d5f060, 0x021f491b, 0x00000fea, 
      0x34fdf003, 0x93caf050, 0x022f461c, 0x00000fea, 
      0x35fdf003, 0x63c0f040, 0x024f421d, 0x00000fe9, 
      0x35fde003, 0x43b6f030, 0x025f3f1e, 0x00000fe9, 
      0x35fde003, 0x13abf030, 0x026f3c1f, 0x00000fe9, 
      0x36fde003, 0xf3a0f020, 0x027f391f, 0x00000fe8, 
      0x36fdf003, 0xc395f020, 0x028f3520, 0x00000fe8, 
      0x36fdf003, 0xa38af020, 0x029f3221, 0x00000fe7, 
      0x36fdf003, 0x737ff020, 0x02af2f22, 0x00000fe7, 
      0x36fdf003, 0x5373f020, 0x02bf2c23, 0x00000fe7, 
      0x37fdf004, 0x2368f020, 0x02bf2924, 0x00000fe6, 
      0x37fdf003, 0xf35cf030, 0x02cf2724, 0x00000fe6, 
      0x37fe0003, 0xd350f030, 0x02df2425, 0x00000fe5, 
      0x36fe0004, 0xa344f040, 0x02ef2126, 0x00000fe5, 
      0x36fdf003, 0x8338f050, 0x02ff1f27, 0x00000fe5, 
      0x36fe0003, 0x532cf060, 0x030f1c28, 0x00000fe4, 
      0x36fe0004, 0x231ff070, 0x030f1a29, 0x00000fe4, 
      0x36fe1003, 0xf313f080, 0x031f1829, 0x00000fe3, 
      0x35fe1004, 0xc307f090, 0x032f152a, 0x00000fe3, 
      0x35fe1004, 0xa2faf0a0, 0x032f132b, 0x00000fe3, 
      0x34fe2004, 0x72edf0c0, 0x033f112c, 0x00000fe2, 
      0x34fe2004, 0x42e0f0e0, 0x033f0f2d, 0x00000fe2,
   },
   { /* Y scale factor = 1.21, phases = 127, taps = 9. */
      0x0c034fe2, 0xb2e42d7f, 0xfe1034f0, 0x00000003, 
      0x0f033fe2, 0x92f12caf, 0xfe1034f0, 0x00000003, 
      0x10032fe3, 0x72fe2bdf, 0xfe1035f0, 0x00000003, 
      0x12032fe3, 0x630b2b0f, 0xfe0035f0, 0x00000003, 
      0x15031fe3, 0x53172a3f, 0xfe0035f0, 0x00000003, 
      0x17030fe4, 0x3324295f, 0xfe0036f0, 0x00000003, 
      0x19030fe4, 0x2330288f, 0xfe0036f0, 0x00000003, 
      0x1c02ffe4, 0x133d27bf, 0xfdf036f0, 0x00000003, 
      0x1e02efe5, 0x134926df, 0xfdf036f0, 0x00000003, 
      0x2102dfe5, 0x0355260f, 0xfdf036f0, 0x00000003, 
      0x2402cfe6, 0xf361252f, 0xfdf036ef, 0x00000003, 
      0x2702bfe6, 0xf36c245f, 0xfdf036ef, 0x00000003, 
      0x2a02afe6, 0xf378237f, 0xfdf036ef, 0x00000003, 
      0x2d029fe6, 0xf38422af, 0xfde036ef, 0x00000003, 
      0x30028fe7, 0xf38f21cf, 0xfde036ef, 0x00000003, 
      0x33027fe8, 0xf39a20ef, 0xfde036ef, 0x00000003, 
      0x36027fe8, 0xf3a5201f, 0xfde035ef, 0x00000003, 
      0x39025fe9, 0x03b01f3f, 0xfde035f0, 0x00000003, 
      0x3c024fe9, 0x03bb1e6f, 0xfde035f0, 0x00000003, 
      0x40023fe9, 0x13c61d8f, 0xfde034f0, 0x00000003, 
      0x43022fe9, 0x23d01cbf, 0xfde034f0, 0x00000003, 
      0x47021fea, 0x33da1bdf, 0xfde033f0, 0x00000003, 
      0x4a01ffea, 0x53e41b0f, 0xfde033f0, 0x00000003, 
      0x4e01ffea, 0x63ee1a2f, 0xfde032f0, 0x00000003, 
      0x5101efeb, 0x83f8195f, 0xfde031f0, 0x00000002, 
      0x5501dfec, 0x9401188f, 0xfde030f0, 0x00000002, 
      0x5901bfed, 0xb40b17af, 0xfde02ff0, 0x00000002, 
      0x5c01afed, 0xe41416df, 0xfde02ef0, 0x00000002, 
      0x60019fed, 0x041d160f, 0xfde02df1, 0x00000002, 
      0x64018fee, 0x2425153f, 0xfde02cf1, 0x00000002, 
      0x68016fee, 0x542e145f, 0xfdf02bf1, 0x00000002, 
      0x6b015fef, 0x8436138f, 0xfdf02af1, 0x00000002, 
      0x6f014fef, 0xb43e12bf, 0xfdf029f1, 0x00000002, 
      0x73013ff0, 0xe44611ff, 0xfdf027f1, 0x00000001, 
      0x77012fef, 0x144e112f, 0xfe0026f2, 0x00000001, 
      0x7b010ff0, 0x5455105f, 0xfe0025f2, 0x00000001, 
      0x7f00fff0, 0x945c0f9f, 0xfe0023f2, 0x00000001, 
      0x8300eff1, 0xd4630ecf, 0xfe0021f2, 0x00000001, 
      0x8600cff1, 0x146a0e0f, 0xfe1020f3, 0x00000001, 
      0x8a00cff2, 0x54700d3f, 0xfe101ef3, 0x00000001, 
      0x8e00aff3, 0x94770c7f, 0xfe201cf3, 0x00000000, 
      0x92009ff3, 0xe47d0bbf, 0xfe201af3, 0x00000000, 
      0x96008ff4, 0x34820aff, 0xfe2018f4, 0x00000000, 
      0x9a007ff3, 0x84880a3f, 0xfe3016f4, 0x00000000, 
      0x9e005ff4, 0xd48d098f, 0xfe3014f4, 0x00000000, 
      0xa1004ff5, 0x349208cf, 0xfe4012f5, 0x00000fff, 
      0xa6003ff5, 0x8497080f, 0xfe4010f5, 0x00000fff, 
      0xa9002ff5, 0xe49b075f, 0xfe500ef5, 0x00000fff, 
      0xad001ff5, 0x449f06af, 0xfe600bf6, 0x00000fff, 
      0xb1000ff5, 0xa4a305ff, 0xfe6009f6, 0x00000fff, 
      0xb4ffeff7, 0x04a7054f, 0xfe7007f7, 0x00000ffe, 
      0xb8ffeff7, 0x74aa049f, 0xfe7004f7, 0x00000ffe, 
      0xbcffcff7, 0xe4ad03ef, 0xfe8002f7, 0x00000ffe, 
      0xbfffbff7, 0x54b0034f, 0xfe9ffff8, 0x00000ffe, 
      0xc3ffaff7, 0xc4b302af, 0xfeaffcf8, 0x00000ffd, 
      0xc7ff9ff9, 0x34b501ff, 0xfeaff9f9, 0x00000ffd, 
      0xcaff8ff9, 0xa4b7015f, 0xfebff7f9, 0x00000ffd, 
      0xcdff7ff8, 0x24b900cf, 0xfecff4fa, 0x00000ffd, 
      0xd1ff6ff9, 0xa4ba002f, 0xfedff1fa, 0x00000ffc, 
      0xd4ff5ffa, 0x24bcff8f, 0xfedfeefb, 0x00000ffc, 
      0xd8ff4ff9, 0xa4bdfeff, 0xfeefebfb, 0x00000ffc, 
      0xdbff3ffb, 0x24bdfe6f, 0xfeffe8fc, 0x00000ffb, 
      0xdeff2ffa, 0xb4befddf, 0xff0fe5fc, 0x00000ffb, 
      0xe2ff0ffa, 0x44befd4f, 0xff1fe2fd, 0x00000ffb, 
      0xe4ff0ffb, 0xd4befcbf, 0xff2fdefd, 0x00000ffb, 
      0xe8fefffc, 0x64bdfc2f, 0xff3fdbfe, 0x00000ffa, 
      0xebfeeffb, 0xf4bdfbaf, 0xff4fd8fe, 0x00000ffa, 
      0xeefedffc, 0x84bcfb2f, 0xff5fd4ff, 0x00000ffa, 
      0xf1fedffc, 0x24bafaaf, 0xff6fd100, 0x00000ff9, 
      0xf4fecffc, 0xc4b9fa2f, 0xff7fcd00, 0x00000ff9, 
      0xf7febffd, 0x54b7f9af, 0xff8fca01, 0x00000ff9, 
      0xf9febffe, 0xf4b5f93f, 0xff9fc601, 0x00000ff8, 
      0xfcfe9ffd, 0xa4b3f8cf, 0xffafc302, 0x00000ff8, 
      0xfffe9ffe, 0x44b0f85f, 0xffbfbf03, 0x00000ff7, 
      0x02fe8ffe, 0xe4adf7e0, 0xffcfbc03, 0x00000ff7, 
      0x04fe7fff, 0x94aaf770, 0xffdfb804, 0x00000ff7, 
      0x07fe7fff, 0x44a7f700, 0xffefb405, 0x00000ff6, 
      0x09fe6ffe, 0xf4a3f6a0, 0x000fb105, 0x00000ff6, 
      0x0bfe6ffe, 0xa49ff640, 0x001fad06, 0x00000ff6, 
      0x0efe5fff, 0x549bf5e0, 0x002fa907, 0x00000ff5, 
      0x10fe4000, 0x0497f580, 0x003fa508, 0x00000ff5, 
      0x12fe4000, 0xc492f530, 0x004fa108, 0x00000ff4, 
      0x14fe3000, 0x848df4d0, 0x005f9e09, 0x00000ff4, 
      0x16fe3fff, 0x3488f480, 0x007f9a0a, 0x00000ff4, 
      0x18fe2001, 0xf482f430, 0x008f960a, 0x00000ff3, 
      0x1afe2000, 0xb47df3e0, 0x009f920b, 0x00000ff3, 
      0x1cfe2001, 0x7477f390, 0x00af8e0c, 0x00000ff2, 
      0x1efe2001, 0x3470f350, 0x00bf8a0d, 0x00000ff2, 
      0x20fe1000, 0x046af310, 0x00df860e, 0x00000ff1, 
      0x21fe0001, 0xc463f2d0, 0x00ef830e, 0x00000ff1, 
      0x22fe0001, 0x945cf290, 0x00ff7f0f, 0x00000ff1, 
      0x25fe0001, 0x5455f250, 0x010f7b10, 0x00000ff0, 
      0x26fdf001, 0x244ef210, 0x012f7711, 0x00000ff0, 
      0x27fdf002, 0xf446f1e0, 0x013f7311, 0x00000fef, 
      0x29fdf002, 0xb43ef1b0, 0x014f6f12, 0x00000fef, 
      0x2bfdf002, 0x8436f180, 0x015f6b13, 0x00000fee, 
      0x2bfdf002, 0x542ef150, 0x016f6814, 0x00000fee, 
      0x2cfde002, 0x3425f120, 0x018f6415, 0x00000fee, 
      0x2dfde002, 0x041df100, 0x019f6016, 0x00000fed, 
      0x2efde002, 0xd414f0e0, 0x01af5c16, 0x00000fed, 
      0x2ffde003, 0xa40bf0b0, 0x01bf5917, 0x00000fec, 
      0x31fde003, 0x7401f090, 0x01cf5518, 0x00000fec, 
      0x31fde002, 0x53f8f080, 0x01ef5119, 0x00000feb, 
      0x32fde002, 0x23eef060, 0x01ff4e1a, 0x00000feb, 
      0x33fde002, 0x03e4f050, 0x020f4a1b, 0x00000fea, 
      0x33fde003, 0xd3daf030, 0x021f471b, 0x00000fea, 
      0x34fde002, 0xb3d0f020, 0x022f431c, 0x00000fea, 
      0x34fde003, 0x83c6f010, 0x023f401d, 0x00000fe9, 
      0x35fde003, 0x63bbf000, 0x024f3c1e, 0x00000fe9, 
      0x36fde003, 0x33b0f000, 0x025f391f, 0x00000fe8, 
      0x35fde004, 0x13a5eff0, 0x026f3620, 0x00000fe8, 
      0x36fde004, 0xe39aeff0, 0x027f3320, 0x00000fe7, 
      0x36fde003, 0xc38feff0, 0x028f3021, 0x00000fe7, 
      0x36fde003, 0xa384efe0, 0x029f2d22, 0x00000fe7, 
      0x36fdf003, 0x7378eff0, 0x02af2a23, 0x00000fe6, 
      0x36fdf003, 0x536ceff0, 0x02bf2724, 0x00000fe6, 
      0x36fdf004, 0x2361eff0, 0x02cf2425, 0x00000fe5, 
      0x36fdf003, 0x0355f000, 0x02df2126, 0x00000fe5, 
      0x36fdf004, 0xd349f010, 0x02ef1e26, 0x00000fe4, 
      0x36fdf003, 0xb33df010, 0x02ff1c27, 0x00000fe4, 
      0x36fe0004, 0x8330f020, 0x02ff1928, 0x00000fe4, 
      0x36fe0004, 0x5324f030, 0x030f1729, 0x00000fe3, 
      0x35fe0003, 0x3317f050, 0x031f152a, 0x00000fe3, 
      0x35fe0004, 0x030bf060, 0x031f122b, 0x00000fe3, 
      0x35fe1004, 0xd2fef070, 0x032f102b, 0x00000fe2, 
      0x34fe1004, 0xa2f1f090, 0x033f0e2c, 0x00000fe2, 
      0x34fe1004, 0x72e4f0b0, 0x033f0c2d, 0x00000fe2,
   },
   { /* Y scale factor = 1.22, phases = 127, taps = 9. */
      0x09033fe2, 0x82e82dbf, 0xfe1033f0, 0x00000003, 
      0x0b032fe2, 0x62f52cef, 0xfe1034f0, 0x00000003, 
      0x0e032fe2, 0x43022c1f, 0xfe0034f0, 0x00000003, 
      0x0f031fe2, 0x330f2b4f, 0xfe0035f0, 0x00000003, 
      0x12030fe2, 0x231c2a6f, 0xfe0035f0, 0x00000003, 
      0x14030fe3, 0x0329299f, 0xfdf035f0, 0x00000003, 
      0x1702ffe4, 0xf33528bf, 0xfdf035ef, 0x00000003, 
      0x1902efe4, 0xe34127ef, 0xfdf036ef, 0x00000003, 
      0x1c02dfe4, 0xe34d270f, 0xfdf036ef, 0x00000003, 
      0x1e02dfe4, 0xd35a263f, 0xfde036ef, 0x00000003, 
      0x2102cfe5, 0xc366255f, 0xfde036ef, 0x00000003, 
      0x2402bfe5, 0xc371248f, 0xfde036ef, 0x00000003, 
      0x2702afe5, 0xc37d23af, 0xfde036ef, 0x00000003, 
      0x2a028fe6, 0xc38922cf, 0xfde036ef, 0x00000003, 
      0x2d027fe6, 0xc39421ff, 0xfde036ef, 0x00000003, 
      0x30027fe6, 0xc3a0211f, 0xfde035ef, 0x00000003, 
      0x33026fe8, 0xc3ab203f, 0xfdd035ef, 0x00000003, 
      0x36025fe8, 0xd3b61f5f, 0xfdd035ef, 0x00000003, 
      0x3a024fe8, 0xd3c11e8f, 0xfdd034ef, 0x00000003, 
      0x3d023fe9, 0xe3cb1daf, 0xfdd034ef, 0x00000003, 
      0x41021fe9, 0xf3d61cdf, 0xfdd033ef, 0x00000003, 
      0x44021fe9, 0x03e01bff, 0xfdd033f0, 0x00000003, 
      0x4801ffeb, 0x13ea1b1f, 0xfdd032f0, 0x00000003, 
      0x4b01ffeb, 0x33f41a4f, 0xfdd031f0, 0x00000002, 
      0x4f01efeb, 0x43fe196f, 0xfdd031f0, 0x00000002, 
      0x5301cfeb, 0x6408189f, 0xfdd030f0, 0x00000002, 
      0x5701bfec, 0x841117bf, 0xfdd02ff0, 0x00000002, 
      0x5a01afec, 0xa41a16ef, 0xfde02ef0, 0x00000002, 
      0x5e018fec, 0xd423161f, 0xfde02df0, 0x00000002, 
      0x61017fed, 0xf42c154f, 0xfde02cf0, 0x00000002, 
      0x65016fee, 0x2434146f, 0xfde02bf1, 0x00000002, 
      0x69015fee, 0x543d139f, 0xfde029f1, 0x00000002, 
      0x6d014fef, 0x844512cf, 0xfde028f1, 0x00000001, 
      0x71012fef, 0xb44d11ff, 0xfdf027f1, 0x00000001, 
      0x75012ff0, 0xe454112f, 0xfdf025f1, 0x00000001, 
      0x79010fef, 0x245c106f, 0xfdf024f2, 0x00000001, 
      0x7d00eff0, 0x64630f9f, 0xfe0022f2, 0x00000001, 
      0x8000dff1, 0xa46a0ecf, 0xfe0021f2, 0x00000001, 
      0x8400cff1, 0xe4710e0f, 0xfe001ff2, 0x00000001, 
      0x8900bff2, 0x24770d3f, 0xfe101df3, 0x00000000, 
      0x8c00aff2, 0x747d0c7f, 0xfe101cf3, 0x00000000, 
      0x90009ff3, 0xb4830bbf, 0xfe101af3, 0x00000000, 
      0x94007ff3, 0x04890aff, 0xfe2018f4, 0x00000000, 
      0x98006ff3, 0x548f0a3f, 0xfe2016f4, 0x00000000, 
      0x9c004ff3, 0xb494097f, 0xfe3014f4, 0x00000000, 
      0xa0004ff4, 0x049908cf, 0xfe3011f5, 0x00000fff, 
      0xa3002ff5, 0x649e080f, 0xfe400ff5, 0x00000fff, 
      0xa7002ff5, 0xb4a2075f, 0xfe400df5, 0x00000fff, 
      0xab000ff6, 0x14a6069f, 0xfe500bf6, 0x00000fff, 
      0xaffffff6, 0x84aa05ef, 0xfe6008f6, 0x00000ffe, 
      0xb3ffeff6, 0xe4ae053f, 0xfe6006f6, 0x00000ffe, 
      0xb6ffdff7, 0x54b1048f, 0xfe7003f7, 0x00000ffe, 
      0xbaffcff6, 0xb4b503df, 0xfe8001f7, 0x00000ffe, 
      0xbeffaff7, 0x24b8033f, 0xfe8ffef8, 0x00000ffe, 
      0xc2ffaff8, 0x94ba028f, 0xfe9ffbf8, 0x00000ffd, 
      0xc5ff9ff8, 0x14bc01ef, 0xfeaff8f9, 0x00000ffd, 
      0xc9ff7ff8, 0x84bf014f, 0xfeaff6f9, 0x00000ffd, 
      0xccff7ff9, 0x04c000af, 0xfebff3fa, 0x00000ffc, 
      0xd0ff5ff9, 0x84c2000f, 0xfecff0fa, 0x00000ffc, 
      0xd3ff4ff9, 0x04c3ff7f, 0xfedfedfb, 0x00000ffc, 
      0xd6ff3ffa, 0x84c4fedf, 0xfeefeafb, 0x00000ffc, 
      0xd9ff2ffa, 0x14c5fe4f, 0xfeffe7fc, 0x00000ffb, 
      0xddff1ffb, 0x94c5fdbf, 0xfeffe4fc, 0x00000ffb, 
      0xe0ff1ffb, 0x24c5fd2f, 0xff0fe0fd, 0x00000ffb, 
      0xe4ff0ffb, 0xb4c5fc9f, 0xff1fddfd, 0x00000ffa, 
      0xe7feeffb, 0x44c5fc1f, 0xff2fdafe, 0x00000ffa, 
      0xeafeeffc, 0xd4c4fb8f, 0xff3fd6fe, 0x00000ffa, 
      0xedfedffc, 0x74c3fb0f, 0xff4fd3ff, 0x00000ff9, 
      0xf0fecffc, 0x04c2fa8f, 0xff5fd000, 0x00000ff9, 
      0xf3febffd, 0xa4c0fa0f, 0xff6fcc00, 0x00000ff9, 
      0xf6feaffd, 0x44bff98f, 0xff7fc901, 0x00000ff8, 
      0xf9feaffd, 0xe4bcf91f, 0xff8fc501, 0x00000ff8, 
      0xfcfe9ffe, 0x84baf89f, 0xff9fc102, 0x00000ff8, 
      0xfefe8ffd, 0x34b8f82f, 0xffbfbe03, 0x00000ff7, 
      0x01fe8ffd, 0xd4b5f7b0, 0xffcfba03, 0x00000ff7, 
      0x03fe7ffe, 0x84b1f750, 0xffdfb604, 0x00000ff7, 
      0x06fe6ffe, 0x34aef6e0, 0xffefb305, 0x00000ff6, 
      0x08fe6ffe, 0xe4aaf680, 0xffffaf05, 0x00000ff6, 
      0x0bfe5fff, 0x94a6f620, 0x000fab06, 0x00000ff5, 
      0x0dfe5fff, 0x54a2f5b0, 0x001fa707, 0x00000ff5, 
      0x0ffe4fff, 0x049ef560, 0x002fa308, 0x00000ff5, 
      0x11fe3fff, 0xc499f500, 0x004fa008, 0x00000ff4, 
      0x14fe2fff, 0x7494f4b0, 0x005f9c09, 0x00000ff4, 
      0x16fe2000, 0x348ff450, 0x006f980a, 0x00000ff3, 
      0x18fe2000, 0xf489f400, 0x007f940a, 0x00000ff3, 
      0x1afe2001, 0xb483f3b0, 0x008f900b, 0x00000ff2, 
      0x1cfe1000, 0x747df370, 0x00af8c0c, 0x00000ff2, 
      0x1dfe1001, 0x3477f320, 0x00bf880d, 0x00000ff2, 
      0x1ffe0001, 0x0471f2e0, 0x00cf840e, 0x00000ff1, 
      0x21fe0001, 0xc46af2a0, 0x00df800e, 0x00000ff1, 
      0x22fe0000, 0x9463f260, 0x00ff7d0f, 0x00000ff0, 
      0x23fdf001, 0x645cf220, 0x010f7910, 0x00000ff0, 
      0x26fdf002, 0x2454f1e0, 0x011f7511, 0x00000fef, 
      0x27fdf001, 0xf44df1b0, 0x012f7111, 0x00000fef, 
      0x28fde001, 0xc445f180, 0x014f6d12, 0x00000fef, 
      0x29fde002, 0x943df150, 0x015f6913, 0x00000fee, 
      0x2bfde002, 0x6434f120, 0x016f6514, 0x00000fee, 
      0x2cfde001, 0x442cf0f0, 0x017f6215, 0x00000fed, 
      0x2dfde001, 0x1423f0d0, 0x018f5e16, 0x00000fed, 
      0x2efde002, 0xe41af0a0, 0x01af5a16, 0x00000fec, 
      0x2ffdd003, 0xb411f080, 0x01bf5617, 0x00000fec, 
      0x30fdd002, 0x9408f060, 0x01cf5318, 0x00000feb, 
      0x31fdd003, 0x63fef040, 0x01df4f19, 0x00000feb, 
      0x31fde003, 0x43f4f030, 0x01ef4b1a, 0x00000fea, 
      0x32fde003, 0x13eaf010, 0x01ff481b, 0x00000fea, 
      0x33fdd002, 0xf3e0f000, 0x021f441b, 0x00000fea, 
      0x33fdd002, 0xd3d6eff0, 0x022f411c, 0x00000fe9, 
      0x34fdd003, 0xa3cbefe0, 0x023f3d1d, 0x00000fe9, 
      0x34fdd003, 0x83c1efd0, 0x024f3a1e, 0x00000fe8, 
      0x35fdd003, 0x53b6efd0, 0x025f361f, 0x00000fe8, 
      0x35fde003, 0x33abefc0, 0x026f3320, 0x00000fe7, 
      0x35fde002, 0x13a0efc0, 0x027f3021, 0x00000fe7, 
      0x35fdd003, 0xf394efc0, 0x028f2d21, 0x00000fe7, 
      0x36fdd003, 0xc389efc0, 0x029f2a22, 0x00000fe6, 
      0x36fdd003, 0xa37defc0, 0x02af2723, 0x00000fe6, 
      0x36fde003, 0x8371efc0, 0x02bf2424, 0x00000fe5, 
      0x36fde003, 0x5366efc0, 0x02cf2125, 0x00000fe5, 
      0x36fde003, 0x335aefd0, 0x02df1e26, 0x00000fe4, 
      0x36fdf003, 0x034defe0, 0x02df1c27, 0x00000fe4, 
      0x36fdf003, 0xe341efe0, 0x02ef1927, 0x00000fe4, 
      0x35fe0004, 0xb335eff0, 0x02ff1628, 0x00000fe3, 
      0x35fdf004, 0x9328f000, 0x030f1429, 0x00000fe3, 
      0x35fdf003, 0x631cf020, 0x030f122a, 0x00000fe3, 
      0x35fe0003, 0x430ff030, 0x031f0f2b, 0x00000fe2, 
      0x34fe0004, 0x1302f040, 0x032f0d2c, 0x00000fe2, 
      0x34fe1004, 0xe2f5f060, 0x032f0b2c, 0x00000fe1, 
      0x33fe1004, 0xb2e8f080, 0x033f092d, 0x00000fe1,
   },
   { /* Y scale factor = 1.23, phases = 127, taps = 9. */
      0x07033fe1, 0x42ec2dff, 0xfe0033f0, 0x00000003, 
      0x09032fe1, 0x32f92d2f, 0xfe0033f0, 0x00000003, 
      0x0a031fe2, 0x13062c5f, 0xfe0034f0, 0x00000003, 
      0x0d031fe2, 0x03132b7f, 0xfdf034f0, 0x00000003, 
      0x0f030fe2, 0xe3202aaf, 0xfdf035ef, 0x00000003, 
      0x1102ffe3, 0xd32d29cf, 0xfdf035ef, 0x00000003, 
      0x1302ffe3, 0xc33928ff, 0xfdf035ef, 0x00000003, 
      0x1602efe4, 0xb346281f, 0xfde035ef, 0x00000003, 
      0x1902efe4, 0xa352273f, 0xfde035ef, 0x00000003, 
      0x1b02cfe4, 0xa35e266f, 0xfde036ef, 0x00000003, 
      0x1e02bfe4, 0x936b258f, 0xfde036ef, 0x00000003, 
      0x2102afe5, 0x937624af, 0xfde036ef, 0x00000003, 
      0x2402afe5, 0x838223df, 0xfdd036ef, 0x00000003, 
      0x27029fe6, 0x838e22ff, 0xfdd035ef, 0x00000003, 
      0x2a028fe6, 0x839a221f, 0xfdd035ef, 0x00000003, 
      0x2d027fe7, 0x83a5213f, 0xfdd035ef, 0x00000003, 
      0x30026fe7, 0x93b0205f, 0xfdd035ef, 0x00000003, 
      0x34025fe7, 0x93bb1f8f, 0xfdd034ef, 0x00000003, 
      0x37023fe8, 0xa3c61eaf, 0xfdd034ef, 0x00000003, 
      0x3b022fe8, 0xb3d11dcf, 0xfdd033ef, 0x00000003, 
      0x3e021fe8, 0xc3dc1cef, 0xfdd033ef, 0x00000003, 
      0x41020fe9, 0xd3e61c1f, 0xfdd032ef, 0x00000003, 
      0x4501ffea, 0xe3f01b3f, 0xfdd032ef, 0x00000002, 
      0x4901efea, 0x03fa1a5f, 0xfdd031f0, 0x00000002, 
      0x4c01dfeb, 0x1404198f, 0xfdd030f0, 0x00000002, 
      0x5001cfeb, 0x340e18af, 0xfdd02ff0, 0x00000002, 
      0x5401afec, 0x541717df, 0xfdd02ef0, 0x00000002, 
      0x5801afec, 0x742016ff, 0xfdd02df0, 0x00000002, 
      0x5b018fed, 0xa429162f, 0xfdd02cf0, 0x00000002, 
      0x5f017fed, 0xc432155f, 0xfdd02bf0, 0x00000002, 
      0x63016fed, 0xf43b147f, 0xfdd02af0, 0x00000002, 
      0x67014fed, 0x244313af, 0xfde029f1, 0x00000002, 
      0x6b013fee, 0x544b12df, 0xfde028f1, 0x00000001, 
      0x6f012fef, 0x8453120f, 0xfde026f1, 0x00000001, 
      0x73011fef, 0xb45b113f, 0xfde025f1, 0x00000001, 
      0x7700ffef, 0xf463106f, 0xfdf023f1, 0x00000001, 
      0x7b00efef, 0x346a0f9f, 0xfdf022f2, 0x00000001, 
      0x7e00dff0, 0x74710edf, 0xfdf020f2, 0x00000001, 
      0x8200cff1, 0xb4780e0f, 0xfe001ef2, 0x00000000, 
      0x8600aff2, 0xf47e0d4f, 0xfe001df2, 0x00000000, 
      0x8a00aff2, 0x44840c7f, 0xfe001bf3, 0x00000000, 
      0x8e008ff2, 0x848b0bbf, 0xfe1019f3, 0x00000000, 
      0x92007ff3, 0xd4900aff, 0xfe1017f3, 0x00000000, 
      0x96005ff3, 0x24960a3f, 0xfe2015f4, 0x00000000, 
      0x9a004ff4, 0x849b097f, 0xfe2013f4, 0x00000fff, 
      0x9e003ff4, 0xd4a008bf, 0xfe3011f4, 0x00000fff, 
      0xa2002ff5, 0x34a507ff, 0xfe300ef5, 0x00000fff, 
      0xa6000ff4, 0x94aa074f, 0xfe400cf5, 0x00000fff, 
      0xa9fffff5, 0xf4ae069f, 0xfe400af5, 0x00000fff, 
      0xadfffff6, 0x54b205df, 0xfe5007f6, 0x00000ffe, 
      0xb1ffdff6, 0xc4b5052f, 0xfe6005f6, 0x00000ffe, 
      0xb5ffcff7, 0x24b9047f, 0xfe6002f7, 0x00000ffe, 
      0xb9ffbff6, 0x94bc03cf, 0xfe7000f7, 0x00000ffe, 
      0xbcffaff7, 0x04bf032f, 0xfe8ffdf8, 0x00000ffd, 
      0xc0ff9ff8, 0x74c2027f, 0xfe8ffaf8, 0x00000ffd, 
      0xc4ff8ff7, 0xf4c401df, 0xfe9ff7f8, 0x00000ffd, 
      0xc7ff6ff8, 0x64c6013f, 0xfeaff5f9, 0x00000ffd, 
      0xcbff5ff8, 0xe4c8009f, 0xfebff2f9, 0x00000ffc, 
      0xceff5ff9, 0x64c9ffff, 0xfebfeffa, 0x00000ffc, 
      0xd2ff3ff9, 0xe4cbff5f, 0xfecfecfa, 0x00000ffc, 
      0xd5ff3ff9, 0x64ccfecf, 0xfedfe9fb, 0x00000ffb, 
      0xd8ff2ffa, 0xf4ccfe2f, 0xfeefe6fb, 0x00000ffb, 
      0xdcff1ffa, 0x74cdfd9f, 0xfeffe2fc, 0x00000ffb, 
      0xdfff0ffb, 0x04cdfd0f, 0xff0fdffd, 0x00000ffa, 
      0xe2fefffb, 0x94cdfc7f, 0xff1fdcfd, 0x00000ffa, 
      0xe6feeffb, 0x24ccfbff, 0xff2fd8fe, 0x00000ffa, 
      0xe8fedffb, 0xc4ccfb6f, 0xff3fd5fe, 0x00000ffa, 
      0xecfecffb, 0x54cbfaef, 0xff4fd2ff, 0x00000ff9, 
      0xeffebffc, 0xf4c9fa6f, 0xff5fceff, 0x00000ff9, 
      0xf2feaffc, 0x94c8f9ef, 0xff6fcb00, 0x00000ff8, 
      0xf5feaffc, 0x34c6f96f, 0xff7fc701, 0x00000ff8, 
      0xf7fe9ffc, 0xd4c4f8ff, 0xff8fc401, 0x00000ff8, 
      0xfafe8ffe, 0x74c2f87f, 0xff9fc002, 0x00000ff7, 
      0xfdfe8ffd, 0x24bff80f, 0xffafbc03, 0x00000ff7, 
      0x00fe7ffd, 0xc4bcf790, 0xffbfb903, 0x00000ff7, 
      0x02fe7ffe, 0x74b9f720, 0xffcfb504, 0x00000ff6, 
      0x05fe6ffe, 0x24b5f6c0, 0xffdfb105, 0x00000ff6, 
      0x08fe5fff, 0xd4b2f650, 0xffefad05, 0x00000ff5, 
      0x0afe4ffe, 0x94aef5f0, 0x000fa906, 0x00000ff5, 
      0x0cfe3ffe, 0x44aaf590, 0x001fa607, 0x00000ff5, 
      0x0efe4fff, 0xf4a5f530, 0x002fa207, 0x00000ff4, 
      0x11fe3fff, 0xb4a0f4d0, 0x003f9e08, 0x00000ff4, 
      0x13fe2000, 0x749bf480, 0x004f9a09, 0x00000ff3, 
      0x15fe2fff, 0x3496f420, 0x006f960a, 0x00000ff3, 
      0x17fe1000, 0xf490f3d0, 0x007f920a, 0x00000ff3, 
      0x19fe1000, 0xb48bf380, 0x008f8e0b, 0x00000ff2, 
      0x1bfe0001, 0x7484f340, 0x009f8a0c, 0x00000ff2, 
      0x1dfe0001, 0x447ef2f0, 0x00af860d, 0x00000ff1, 
      0x1efe0000, 0x0478f2b0, 0x00cf820e, 0x00000ff1, 
      0x20fdf001, 0xd471f270, 0x00df7e0e, 0x00000ff0, 
      0x22fdf000, 0x946af230, 0x00ef7b0f, 0x00000ff0, 
      0x23fdf000, 0x6463f1f0, 0x00ff7710, 0x00000ff0, 
      0x25fde001, 0x345bf1b0, 0x011f7311, 0x00000fef, 
      0x26fde001, 0x0453f180, 0x012f6f12, 0x00000fef, 
      0x28fde001, 0xd44bf150, 0x013f6b12, 0x00000fee, 
      0x29fde001, 0xa443f120, 0x014f6713, 0x00000fee, 
      0x2afdd002, 0x743bf0f0, 0x016f6314, 0x00000fed, 
      0x2bfdd002, 0x5432f0c0, 0x017f5f15, 0x00000fed, 
      0x2cfde002, 0x2429f0a0, 0x018f5b16, 0x00000fec, 
      0x2efdd002, 0xf420f070, 0x019f5816, 0x00000fec, 
      0x2efdd003, 0xd417f050, 0x01af5417, 0x00000feb, 
      0x2ffdd002, 0xa40ef030, 0x01cf5018, 0x00000feb, 
      0x30fdd002, 0x8404f010, 0x01df4c19, 0x00000feb, 
      0x31fdd002, 0x53faf000, 0x01ef491a, 0x00000fea, 
      0x32fdd002, 0x33f0efe0, 0x01ff451b, 0x00000fea, 
      0x32fdd002, 0x13e6efd0, 0x020f421c, 0x00000fe9, 
      0x33fdd002, 0xe3dcefc0, 0x021f3e1c, 0x00000fe9, 
      0x33fdd003, 0xc3d1efb0, 0x022f3b1d, 0x00000fe8, 
      0x34fdd003, 0xa3c6efa0, 0x023f371e, 0x00000fe8, 
      0x34fdd003, 0x83bbef90, 0x025f341f, 0x00000fe7, 
      0x35fdd003, 0x53b0ef90, 0x026f3020, 0x00000fe7, 
      0x35fdd003, 0x33a5ef80, 0x027f2d21, 0x00000fe7, 
      0x35fdd003, 0x139aef80, 0x028f2a22, 0x00000fe6, 
      0x35fdd003, 0xf38eef80, 0x029f2722, 0x00000fe6, 
      0x36fdd003, 0xd382ef80, 0x02af2423, 0x00000fe5, 
      0x36fde003, 0xa376ef90, 0x02af2124, 0x00000fe5, 
      0x36fde003, 0x836bef90, 0x02bf1e25, 0x00000fe4, 
      0x36fde003, 0x635eefa0, 0x02cf1b26, 0x00000fe4, 
      0x35fde004, 0x3352efa0, 0x02df1927, 0x00000fe4, 
      0x35fde004, 0x1346efb0, 0x02ef1628, 0x00000fe3, 
      0x35fdf003, 0xf339efc0, 0x02ff1328, 0x00000fe3, 
      0x35fdf004, 0xc32defd0, 0x02ff1129, 0x00000fe2, 
      0x35fdf003, 0xa320efe0, 0x030f0f2a, 0x00000fe2, 
      0x34fdf004, 0x7313f000, 0x031f0c2b, 0x00000fe2, 
      0x34fe0004, 0x5306f010, 0x031f0a2c, 0x00000fe1, 
      0x33fe0004, 0x22f9f030, 0x032f082d, 0x00000fe1, 
      0x33fe0004, 0xf2ecf040, 0x033f062d, 0x00000fe1,
   },
   { /* Y scale factor = 1.24, phases = 127, taps = 9. */
      0x03032fe1, 0x12f02e3f, 0xfe0033f0, 0x00000003, 
      0x05032fe0, 0x02fe2d6f, 0xfdf033f0, 0x00000003, 
      0x07031fe1, 0xe30b2c8f, 0xfdf034ef, 0x00000003, 
      0x09030fe1, 0xd3182bbf, 0xfdf034ef, 0x00000003, 
      0x0c030fe1, 0xb3252adf, 0xfdf034ef, 0x00000003, 
      0x0e02ffe2, 0xa3312a0f, 0xfde035ef, 0x00000003, 
      0x1002efe3, 0x933e292f, 0xfde035ef, 0x00000003, 
      0x1302efe2, 0x834b284f, 0xfde035ef, 0x00000003, 
      0x1602cfe3, 0x7357277f, 0xfde035ef, 0x00000003, 
      0x1902cfe4, 0x6363269f, 0xfdd035ef, 0x00000003, 
      0x1b02bfe4, 0x637025bf, 0xfdd035ef, 0x00000003, 
      0x1e02afe5, 0x537c24df, 0xfdd035ef, 0x00000003, 
      0x21029fe5, 0x538823ff, 0xfdd035ef, 0x00000003, 
      0x24028fe6, 0x5393231f, 0xfdd035ef, 0x00000003, 
      0x27027fe5, 0x539f224f, 0xfdd035ef, 0x00000003, 
      0x2a026fe7, 0x53aa216f, 0xfdc035ef, 0x00000003, 
      0x2e025fe6, 0x63b6208f, 0xfdc034ef, 0x00000003, 
      0x31024fe7, 0x63c11faf, 0xfdc034ef, 0x00000003, 
      0x34023fe7, 0x73cc1ecf, 0xfdc034ef, 0x00000003, 
      0x38022fe8, 0x73d71def, 0xfdc033ef, 0x00000003, 
      0x3b021fe9, 0x83e11d0f, 0xfdc033ef, 0x00000003, 
      0x3f020fe8, 0xa3ec1c3f, 0xfdc032ef, 0x00000002, 
      0x4301ffe9, 0xb3f61b5f, 0xfdc031ef, 0x00000002, 
      0x4601efea, 0xc4001a7f, 0xfdc031ef, 0x00000002, 
      0x4a01cfeb, 0xe40a199f, 0xfdc030ef, 0x00000002, 
      0x4e01bfea, 0x041418cf, 0xfdc02ff0, 0x00000002, 
      0x5101afec, 0x241d17ef, 0xfdc02ef0, 0x00000002, 
      0x55019feb, 0x4427171f, 0xfdc02df0, 0x00000002, 
      0x59018fec, 0x6430163f, 0xfdc02cf0, 0x00000002, 
      0x5c016fec, 0x9439156f, 0xfdd02bf0, 0x00000002, 
      0x61015fec, 0xc441148f, 0xfdd02af0, 0x00000002, 
      0x65014fee, 0xe44a13bf, 0xfdd028f0, 0x00000001, 
      0x69013fed, 0x245212ef, 0xfdd027f1, 0x00000001, 
      0x6d011fee, 0x545a121f, 0xfdd026f1, 0x00000001, 
      0x70010fef, 0x8462114f, 0xfde024f1, 0x00000001, 
      0x7400ffef, 0xc469107f, 0xfde023f1, 0x00000001, 
      0x7800efef, 0x04710faf, 0xfde021f2, 0x00000001, 
      0x7c00cff0, 0x44780ecf, 0xfdf020f2, 0x00000001, 
      0x8000bff1, 0x847f0e0f, 0xfdf01ef2, 0x00000000, 
      0x8400aff2, 0xc4850d4f, 0xfdf01cf2, 0x00000000, 
      0x88009ff1, 0x148c0c7f, 0xfe001af3, 0x00000000, 
      0x8c008ff1, 0x64920bbf, 0xfe0018f3, 0x00000000, 
      0x90006ff2, 0xa4980aff, 0xfe1016f3, 0x00000000, 
      0x94006ff3, 0x049d0a2f, 0xfe1014f4, 0x00000fff, 
      0x98004ff3, 0x54a2097f, 0xfe2012f4, 0x00000fff, 
      0x9c003ff3, 0xa4a808bf, 0xfe2010f4, 0x00000fff, 
      0xa0001ff4, 0x04ac07ff, 0xfe300ef5, 0x00000fff, 
      0xa4000ff5, 0x64b1073f, 0xfe300bf5, 0x00000fff, 
      0xa8fffff5, 0xc4b5068f, 0xfe4009f5, 0x00000ffe, 
      0xacffeff5, 0x34b905df, 0xfe4006f6, 0x00000ffe, 
      0xafffdff6, 0x94bd051f, 0xfe5004f6, 0x00000ffe, 
      0xb3ffcff6, 0x04c0046f, 0xfe6001f7, 0x00000ffe, 
      0xb7ffbff6, 0x74c403bf, 0xfe6ffff7, 0x00000ffd, 
      0xbbff9ff6, 0xe4c7031f, 0xfe7ffcf7, 0x00000ffd, 
      0xbeff8ff8, 0x54c9026f, 0xfe8ff9f8, 0x00000ffd, 
      0xc2ff7ff8, 0xc4cc01cf, 0xfe8ff6f8, 0x00000ffd, 
      0xc6ff6ff8, 0x44ce011f, 0xfe9ff4f9, 0x00000ffc, 
      0xc9ff5ff9, 0xc4cf007f, 0xfeaff1f9, 0x00000ffc, 
      0xcdff4ff8, 0x44d1ffdf, 0xfebfeefa, 0x00000ffc, 
      0xd0ff3ff8, 0xc4d2ff4f, 0xfecfebfa, 0x00000ffc, 
      0xd4ff2ff9, 0x44d3feaf, 0xfedfe8fb, 0x00000ffb, 
      0xd7ff1ffa, 0xd4d4fe1f, 0xfedfe4fb, 0x00000ffb, 
      0xdbff1ffa, 0x54d4fd7f, 0xfeefe1fc, 0x00000ffb, 
      0xdefefffb, 0xe4d5fcef, 0xfeffdefc, 0x00000ffa, 
      0xe1fefffb, 0x74d4fc5f, 0xff0fdbfd, 0x00000ffa, 
      0xe4fedffb, 0x14d4fbdf, 0xff1fd7fe, 0x00000ffa, 
      0xe8fedffb, 0xa4d3fb4f, 0xff2fd4fe, 0x00000ff9, 
      0xebfecffb, 0x44d2facf, 0xff3fd0ff, 0x00000ff9, 
      0xeefebffb, 0xd4d1fa4f, 0xff4fcdff, 0x00000ff9, 
      0xf1feaffd, 0x74cff9cf, 0xff5fc900, 0x00000ff8, 
      0xf4fe9ffc, 0x14cef94f, 0xff6fc601, 0x00000ff8, 
      0xf6fe8ffd, 0xc4ccf8cf, 0xff7fc201, 0x00000ff8, 
      0xfafe8ffd, 0x64c9f85f, 0xff8fbe02, 0x00000ff7, 
      0xfcfe6ffd, 0x14c7f7ef, 0xff9fbb03, 0x00000ff7, 
      0xfffe6ffd, 0xb4c4f77f, 0xffbfb703, 0x00000ff6, 
      0x01fe6ffe, 0x64c0f700, 0xffcfb304, 0x00000ff6, 
      0x04fe5ffe, 0x14bdf690, 0xffdfaf05, 0x00000ff6, 
      0x06fe4ffe, 0xd4b9f630, 0xffefac05, 0x00000ff5, 
      0x09fe4ffe, 0x84b5f5c0, 0xffffa806, 0x00000ff5, 
      0x0bfe4fff, 0x34b1f560, 0x000fa407, 0x00000ff4, 
      0x0efe3fff, 0xf4acf500, 0x001fa007, 0x00000ff4, 
      0x0ffe2fff, 0xb4a8f4a0, 0x003f9c08, 0x00000ff4, 
      0x12fe2fff, 0x74a2f450, 0x004f9809, 0x00000ff3, 
      0x14fe1000, 0x249df400, 0x005f940a, 0x00000ff3, 
      0x16fe1000, 0xf498f3a0, 0x006f900a, 0x00000ff2, 
      0x18fe0fff, 0xb492f360, 0x008f8c0b, 0x00000ff2, 
      0x1afe0000, 0x748cf310, 0x009f880c, 0x00000ff1, 
      0x1cfdf001, 0x4485f2c0, 0x00af840d, 0x00000ff1, 
      0x1efdf000, 0x047ff280, 0x00bf800e, 0x00000ff1, 
      0x20fdf000, 0xd478f240, 0x00cf7c0e, 0x00000ff0, 
      0x21fde000, 0xa471f200, 0x00ef780f, 0x00000ff0, 
      0x23fde001, 0x7469f1c0, 0x00ff7410, 0x00000fef, 
      0x24fde001, 0x4462f180, 0x010f7011, 0x00000fef, 
      0x26fdd001, 0x145af150, 0x011f6d12, 0x00000fee, 
      0x27fdd001, 0xe452f110, 0x013f6912, 0x00000fee, 
      0x28fdd002, 0xb44af0e0, 0x014f6513, 0x00000fed, 
      0x2afdd001, 0x8441f0c0, 0x015f6114, 0x00000fed, 
      0x2bfdd001, 0x6439f090, 0x016f5d15, 0x00000fec, 
      0x2cfdc002, 0x3430f060, 0x018f5916, 0x00000fec, 
      0x2dfdc001, 0x1427f040, 0x019f5517, 0x00000fec, 
      0x2efdd002, 0xe41df020, 0x01af5117, 0x00000feb, 
      0x2efdc002, 0xc414f000, 0x01bf4e18, 0x00000feb, 
      0x30fdc003, 0x940aefe0, 0x01cf4a19, 0x00000fea, 
      0x31fdc002, 0x7400efc0, 0x01ef461a, 0x00000fea, 
      0x31fdc002, 0x53f6efb0, 0x01ff431b, 0x00000fe9, 
      0x31fdc002, 0x33ecefa0, 0x020f3f1c, 0x00000fe9, 
      0x33fdd003, 0x03e1ef80, 0x021f3b1d, 0x00000fe8, 
      0x33fdc003, 0xe3d7ef70, 0x022f381d, 0x00000fe8, 
      0x34fdc003, 0xc3ccef70, 0x023f341e, 0x00000fe7, 
      0x34fdc003, 0xa3c1ef60, 0x024f311f, 0x00000fe7, 
      0x34fdc002, 0x83b6ef60, 0x025f2e20, 0x00000fe7, 
      0x35fdd003, 0x63aaef50, 0x026f2a21, 0x00000fe6, 
      0x35fdd002, 0x439fef50, 0x027f2722, 0x00000fe6, 
      0x36fdd003, 0x1393ef50, 0x028f2423, 0x00000fe5, 
      0x35fdd003, 0xf388ef50, 0x029f2123, 0x00000fe5, 
      0x36fdd003, 0xd37cef50, 0x02af1e24, 0x00000fe4, 
      0x35fdd003, 0xb370ef60, 0x02bf1b25, 0x00000fe4, 
      0x35fdd004, 0x9363ef60, 0x02cf1826, 0x00000fe4, 
      0x35fdd003, 0x7357ef70, 0x02df1627, 0x00000fe3, 
      0x35fdd003, 0x434bef80, 0x02ef1328, 0x00000fe3, 
      0x35fde004, 0x233eef90, 0x02ef1029, 0x00000fe2, 
      0x35fde003, 0x0331efa0, 0x02ff0e2a, 0x00000fe2, 
      0x34fde003, 0xd325efb0, 0x030f0c2a, 0x00000fe2, 
      0x34fdf003, 0xb318efd0, 0x030f092b, 0x00000fe1, 
      0x34fdf003, 0x830befe0, 0x031f072c, 0x00000fe1, 
      0x33fdf003, 0x62fef000, 0x032f052d, 0x00000fe0, 
      0x33fe0004, 0x32f0f010, 0x032f032e, 0x00000fe0,
   },
   { /* Y scale factor = 1.25, phases = 127, taps = 9. */
      0x00032fe0, 0xe2f52e7f, 0xfdf032ef, 0x00000003, 
      0x02031fe0, 0xc3022daf, 0xfdf033ef, 0x00000003, 
      0x04031fe0, 0xb30f2ccf, 0xfdf033ef, 0x00000003, 
      0x06030fe1, 0x931c2bff, 0xfde034ef, 0x00000003, 
      0x0902ffe1, 0x83292b1f, 0xfde034ef, 0x00000003, 
      0x0b02ffe1, 0x73362a3f, 0xfde034ef, 0x00000003, 
      0x0d02efe2, 0x6343295f, 0xfde034ef, 0x00000003, 
      0x1002dfe2, 0x534f288f, 0xfdd035ef, 0x00000003, 
      0x1302cfe2, 0x435c27af, 0xfdd035ef, 0x00000003, 
      0x1502cfe3, 0x336826cf, 0xfdd035ef, 0x00000003, 
      0x1802afe3, 0x337525ef, 0xfdd035ef, 0x00000003, 
      0x1b02afe4, 0x2381250f, 0xfdc035ef, 0x00000003, 
      0x1e029fe4, 0x238d242f, 0xfdc035ef, 0x00000003, 
      0x21028fe4, 0x2399234f, 0xfdc035ef, 0x00000003, 
      0x24027fe6, 0x23a4226f, 0xfdc034ef, 0x00000003, 
      0x28026fe5, 0x23b0218f, 0xfdc034ef, 0x00000003, 
      0x2b025fe6, 0x23bb20af, 0xfdc034ef, 0x00000003, 
      0x2e023fe6, 0x33c71fcf, 0xfdc034ef, 0x00000003, 
      0x32023fe6, 0x33d21eef, 0xfdc033ef, 0x00000003, 
      0x35022fe8, 0x43dd1e0f, 0xfdb033ef, 0x00000002, 
      0x39021fe8, 0x53e71d3f, 0xfdb032ef, 0x00000002, 
      0x3c020fe9, 0x63f21c4f, 0xfdb032ef, 0x00000002, 
      0x4001efe9, 0x83fc1b7f, 0xfdb031ef, 0x00000002, 
      0x4401dfea, 0x94061a9f, 0xfdb030ef, 0x00000002, 
      0x4801cfea, 0xb41019bf, 0xfdb02fef, 0x00000002, 
      0x4b01bfea, 0xd41a18df, 0xfdc02eef, 0x00000002, 
      0x4f019fea, 0xf42417ff, 0xfdc02eef, 0x00000002, 
      0x52018feb, 0x142d172f, 0xfdc02df0, 0x00000002, 
      0x57017fec, 0x3436164f, 0xfdc02bf0, 0x00000002, 
      0x5b015fec, 0x643f157f, 0xfdc02af0, 0x00000002, 
      0x5f015fed, 0x8448149f, 0xfdc029f0, 0x00000001, 
      0x62013fee, 0xb45113cf, 0xfdc028f0, 0x00000001, 
      0x66012fee, 0xe45912ef, 0xfdd027f0, 0x00000001, 
      0x6a011fee, 0x2461121f, 0xfdd025f1, 0x00000001, 
      0x6e010fee, 0x5469114f, 0xfdd024f1, 0x00000001, 
      0x7200ffef, 0x9470107f, 0xfdd022f1, 0x00000001, 
      0x7600dfef, 0xd4770faf, 0xfde021f1, 0x00000001, 
      0x7a00cff0, 0x147f0edf, 0xfde01ff2, 0x00000000, 
      0x7e00bff1, 0x54860e0f, 0xfde01df2, 0x00000000, 
      0x8200aff1, 0x948c0d4f, 0xfdf01bf2, 0x00000000, 
      0x86008ff2, 0xe4930c7f, 0xfdf019f2, 0x00000000, 
      0x8a007ff1, 0x34990bbf, 0xfdf018f3, 0x00000000, 
      0x8e005ff2, 0x849f0aef, 0xfe0016f3, 0x00000000, 
      0x93005ff3, 0xd4a40a2f, 0xfe0013f3, 0x00000fff, 
      0x96004ff3, 0x24aa096f, 0xfe1011f4, 0x00000fff, 
      0x9a002ff4, 0x84af08af, 0xfe100ff4, 0x00000fff, 
      0x9e001ff4, 0xd4b407ef, 0xfe200df4, 0x00000fff, 
      0xa2000ff4, 0x34b8073f, 0xfe300bf5, 0x00000ffe, 
      0xa6fffff4, 0xa4bd067f, 0xfe3008f5, 0x00000ffe, 
      0xaaffdff4, 0x04c105cf, 0xfe4006f6, 0x00000ffe, 
      0xaeffdff6, 0x64c4050f, 0xfe4003f6, 0x00000ffe, 
      0xb2ffbff6, 0xd4c8045f, 0xfe5000f6, 0x00000ffe, 
      0xb5ffaff7, 0x44cb03af, 0xfe6ffef7, 0x00000ffd, 
      0xb9ff9ff7, 0xb4ce030f, 0xfe6ffbf7, 0x00000ffd, 
      0xbdff8ff7, 0x24d1025f, 0xfe7ff8f8, 0x00000ffd, 
      0xc1ff7ff8, 0xa4d301af, 0xfe8ff5f8, 0x00000ffc, 
      0xc4ff6ff7, 0x24d5010f, 0xfe9ff3f9, 0x00000ffc, 
      0xc8ff5ff8, 0x94d7006f, 0xfe9ff0f9, 0x00000ffc, 
      0xcbff3ff8, 0x24d9ffcf, 0xfeafedfa, 0x00000ffc, 
      0xcfff3ff9, 0xa4daff2f, 0xfebfe9fa, 0x00000ffb, 
      0xd2ff2ffa, 0x24dbfe8f, 0xfecfe6fb, 0x00000ffb, 
      0xd6ff0ff9, 0xb4dcfdff, 0xfedfe3fb, 0x00000ffb, 
      0xd9ff0ff9, 0x44dcfd6f, 0xfeefe0fc, 0x00000ffa, 
      0xdcfeeffa, 0xd4dcfcdf, 0xfeffddfc, 0x00000ffa, 
      0xe0fedffa, 0x64dcfc4f, 0xff0fd9fd, 0x00000ffa, 
      0xe3fedffa, 0xf4dcfbbf, 0xff1fd6fd, 0x00000ff9, 
      0xe6fecffc, 0x84dbfb2f, 0xff2fd2fe, 0x00000ff9, 
      0xe9febffc, 0x24dafaaf, 0xff2fcfff, 0x00000ff9, 
      0xedfeaffb, 0xc4d9fa2f, 0xff4fcbff, 0x00000ff8, 
      0xf0fe9ffc, 0x64d7f99f, 0xff5fc800, 0x00000ff8, 
      0xf3fe8ffc, 0x04d5f92f, 0xff6fc401, 0x00000ff8, 
      0xf5fe8ffd, 0xa4d3f8af, 0xff7fc101, 0x00000ff7, 
      0xf8fe7ffd, 0x54d1f82f, 0xff8fbd02, 0x00000ff7, 
      0xfbfe6ffd, 0x04cef7bf, 0xff9fb903, 0x00000ff7, 
      0xfefe6ffe, 0xa4cbf74f, 0xffafb503, 0x00000ff6, 
      0x00fe5ffe, 0x54c8f6d0, 0xffbfb204, 0x00000ff6, 
      0x04fe5ffe, 0x04c4f660, 0xffcfae05, 0x00000ff5, 
      0x06fe3ffe, 0xc4c1f600, 0xffdfaa05, 0x00000ff5, 
      0x08fe3ffe, 0x74bdf590, 0xffffa606, 0x00000ff5, 
      0x0bfe3ffe, 0x34b8f530, 0x000fa207, 0x00000ff4, 
      0x0dfe2fff, 0xe4b4f4d0, 0x001f9e07, 0x00000ff4, 
      0x0ffe2fff, 0xa4aff480, 0x002f9a08, 0x00000ff3, 
      0x11fe1000, 0x64aaf420, 0x003f9609, 0x00000ff3, 
      0x13fe1000, 0x24a4f3d0, 0x005f920a, 0x00000ff2, 
      0x16fe0fff, 0xe49ff380, 0x006f8e0a, 0x00000ff2, 
      0x18fdffff, 0xb499f330, 0x007f8a0b, 0x00000ff2, 
      0x19fe0000, 0x7493f2e0, 0x008f860c, 0x00000ff1, 
      0x1bfdf001, 0x448cf290, 0x009f820d, 0x00000ff1, 
      0x1dfde001, 0x0486f250, 0x00bf7e0e, 0x00000ff0, 
      0x1ffde000, 0xd47ff210, 0x00cf7a0e, 0x00000ff0, 
      0x21fde000, 0xa478f1d0, 0x00df760f, 0x00000fef, 
      0x22fde001, 0x7470f190, 0x00ef7210, 0x00000fef, 
      0x24fdd001, 0x4469f150, 0x010f6e11, 0x00000fee, 
      0x25fdd001, 0x1461f120, 0x011f6a12, 0x00000fee, 
      0x27fdd001, 0xe459f0e0, 0x012f6612, 0x00000fee, 
      0x28fdc002, 0xc451f0b0, 0x013f6213, 0x00000fed, 
      0x29fdc002, 0x9448f080, 0x015f5e14, 0x00000fed, 
      0x2afdc001, 0x743ff060, 0x016f5b15, 0x00000fec, 
      0x2bfdc002, 0x4436f030, 0x017f5716, 0x00000fec, 
      0x2dfdc001, 0x242df010, 0x018f5317, 0x00000feb, 
      0x2efdb001, 0xf424eff0, 0x01af4f17, 0x00000feb, 
      0x2efdc002, 0xd41aefd0, 0x01bf4b18, 0x00000fea, 
      0x2ffdb003, 0xb410efb0, 0x01cf4719, 0x00000fea, 
      0x30fdb003, 0x9406ef90, 0x01df441a, 0x00000fe9, 
      0x31fdb002, 0x73fcef80, 0x01ef401b, 0x00000fe9, 
      0x32fdc003, 0x43f2ef60, 0x01ff3c1c, 0x00000fe8, 
      0x32fdb003, 0x23e7ef50, 0x021f391d, 0x00000fe8, 
      0x33fdb003, 0x03ddef40, 0x022f351e, 0x00000fe7, 
      0x33fdc002, 0xe3d2ef30, 0x023f321e, 0x00000fe7, 
      0x34fdb002, 0xc3c7ef30, 0x024f2e1f, 0x00000fe7, 
      0x34fdc003, 0xa3bbef20, 0x025f2b20, 0x00000fe6, 
      0x34fdc002, 0x83b0ef20, 0x026f2821, 0x00000fe6, 
      0x35fdc003, 0x63a4ef20, 0x027f2422, 0x00000fe5, 
      0x35fdc002, 0x4399ef20, 0x028f2123, 0x00000fe5, 
      0x35fdc003, 0x238def20, 0x029f1e24, 0x00000fe4, 
      0x35fdc003, 0x0381ef20, 0x02af1b25, 0x00000fe4, 
      0x35fdd002, 0xe375ef30, 0x02bf1825, 0x00000fe3, 
      0x35fdd003, 0xc368ef30, 0x02cf1526, 0x00000fe3, 
      0x35fdd002, 0xa35cef40, 0x02cf1327, 0x00000fe3, 
      0x35fdd003, 0x834fef50, 0x02df1028, 0x00000fe2, 
      0x34fde003, 0x5343ef60, 0x02ef0d29, 0x00000fe2, 
      0x34fde003, 0x3336ef70, 0x02ff0b2a, 0x00000fe1, 
      0x34fde003, 0x1329ef80, 0x02ff092b, 0x00000fe1, 
      0x34fde003, 0xf31cef90, 0x030f062b, 0x00000fe1, 
      0x33fdf003, 0xc30fefb0, 0x031f042c, 0x00000fe0, 
      0x33fdf003, 0xa302efc0, 0x031f022d, 0x00000fe0, 
      0x32fdf003, 0x72f5efe0, 0x032f002e, 0x00000fe0,
   },
   { /* Y scale factor = 1.26, phases = 127, taps = 9. */
      0xfd031fdf, 0xb2f92ebe, 0xfdf032ef, 0x00000003, 
      0xff031fdf, 0x93062dee, 0xfde033ef, 0x00000003, 
      0x01030fe0, 0x83132d0f, 0xfde033ef, 0x00000003, 
      0x03030fe0, 0x63212c2f, 0xfde033ef, 0x00000003, 
      0x0502ffe0, 0x532e2b4f, 0xfde034ef, 0x00000003, 
      0x0802efe1, 0x333b2a7f, 0xfdd034ef, 0x00000003, 
      0x0a02efe2, 0x2347299f, 0xfdd034ef, 0x00000003, 
      0x0d02dfe2, 0x135428bf, 0xfdd034ef, 0x00000003, 
      0x1002cfe3, 0x036127df, 0xfdc034ef, 0x00000003, 
      0x1202bfe3, 0x036d26ff, 0xfdc035ef, 0x00000003, 
      0x1502afe3, 0xf37a261f, 0xfdc035ee, 0x00000003, 
      0x18029fe3, 0xf386253f, 0xfdc035ee, 0x00000003, 
      0x1b029fe4, 0xe392245f, 0xfdc034ee, 0x00000003, 
      0x1e028fe4, 0xe39e237f, 0xfdc034ee, 0x00000003, 
      0x22027fe4, 0xe3aa229f, 0xfdb034ee, 0x00000003, 
      0x25025fe5, 0xf3b521bf, 0xfdb034ee, 0x00000003, 
      0x28024fe5, 0xf3c120df, 0xfdb034ee, 0x00000003, 
      0x2c023fe6, 0xf3cc1fff, 0xfdb033ee, 0x00000003, 
      0x2f023fe7, 0x03d71f0f, 0xfdb033ef, 0x00000002, 
      0x33021fe8, 0x13e21e2f, 0xfdb032ef, 0x00000002, 
      0x36020fe8, 0x23ed1d4f, 0xfdb032ef, 0x00000002, 
      0x3a01ffe8, 0x33f81c6f, 0xfdb031ef, 0x00000002, 
      0x3e01efe9, 0x44021b8f, 0xfdb030ef, 0x00000002, 
      0x4101dfe8, 0x640d1aaf, 0xfdb030ef, 0x00000002, 
      0x4501cfe9, 0x741719cf, 0xfdb02fef, 0x00000002, 
      0x4901afe9, 0x942118ff, 0xfdb02eef, 0x00000002, 
      0x4c019feb, 0xb42a181f, 0xfdb02def, 0x00000002, 
      0x50018feb, 0xd434173f, 0xfdb02cef, 0x00000002, 
      0x54017feb, 0x043d165f, 0xfdb02bf0, 0x00000002, 
      0x58016fec, 0x2446158f, 0xfdb02af0, 0x00000001, 
      0x5c014fec, 0x544f14af, 0xfdc029f0, 0x00000001, 
      0x60013fed, 0x845713df, 0xfdc027f0, 0x00000001, 
      0x64012fed, 0xb46012ff, 0xfdc026f0, 0x00000001, 
      0x68011fed, 0xe468122f, 0xfdc025f0, 0x00000001, 
      0x6c00ffee, 0x2470115f, 0xfdc023f1, 0x00000001, 
      0x7000efee, 0x6477107f, 0xfdd022f1, 0x00000001, 
      0x7400dff0, 0x947f0faf, 0xfdd020f1, 0x00000000, 
      0x7900cff0, 0xd4860edf, 0xfdd01ef1, 0x00000000, 
      0x7c00afef, 0x248d0e1f, 0xfde01df2, 0x00000000, 
      0x80009ff0, 0x64940d4f, 0xfde01bf2, 0x00000000, 
      0x84008ff1, 0xb49a0c7f, 0xfde019f2, 0x00000000, 
      0x88006ff1, 0x04a00bbf, 0xfdf017f3, 0x00000000, 
      0x8c006ff2, 0x54a60aef, 0xfdf015f3, 0x00000fff, 
      0x90004ff2, 0xa4ac0a2f, 0xfe0013f3, 0x00000fff, 
      0x94003ff3, 0xf4b1096f, 0xfe0011f3, 0x00000fff, 
      0x98002ff3, 0x54b608af, 0xfe100ef4, 0x00000fff, 
      0x9c000ff4, 0xb4bb07ef, 0xfe100cf4, 0x00000fff, 
      0xa0fffff4, 0x14c0072f, 0xfe200af5, 0x00000ffe, 
      0xa4fffff5, 0x74c4066f, 0xfe2007f5, 0x00000ffe, 
      0xa8ffdff5, 0xd4c805bf, 0xfe3005f5, 0x00000ffe, 
      0xacffbff5, 0x44cc050f, 0xfe4002f6, 0x00000ffe, 
      0xb0ffbff5, 0xb4d0044f, 0xfe4000f6, 0x00000ffd, 
      0xb4ff9ff6, 0x24d3039f, 0xfe5ffdf7, 0x00000ffd, 
      0xb8ff8ff6, 0x94d602ef, 0xfe6ffaf7, 0x00000ffd, 
      0xbbff7ff7, 0x04d9024f, 0xfe6ff7f8, 0x00000ffd, 
      0xbfff6ff8, 0x84db019f, 0xfe7ff4f8, 0x00000ffc, 
      0xc3ff5ff8, 0xf4dd00ff, 0xfe8ff1f8, 0x00000ffc, 
      0xc6ff4ff8, 0x74df005f, 0xfe9feef9, 0x00000ffc, 
      0xcaff3ff9, 0xf4e1ffaf, 0xfeafebf9, 0x00000ffb, 
      0xceff2ff8, 0x84e2ff1f, 0xfeafe8fa, 0x00000ffb, 
      0xd1ff1ff9, 0x04e3fe7f, 0xfebfe5fb, 0x00000ffb, 
      0xd5fefff9, 0x94e4fddf, 0xfecfe2fb, 0x00000ffb, 
      0xd8fefff9, 0x24e4fd4f, 0xfedfdffc, 0x00000ffa, 
      0xdbfeeffa, 0xb4e4fcbf, 0xfeefdbfc, 0x00000ffa, 
      0xdefedffa, 0x44e4fc2f, 0xfeffd8fd, 0x00000ffa, 
      0xe2fecffa, 0xd4e4fb9f, 0xff0fd5fd, 0x00000ff9, 
      0xe5febffb, 0x74e3fb0f, 0xff1fd1fe, 0x00000ff9, 
      0xe8feaffb, 0x14e2fa7f, 0xff2fceff, 0x00000ff9, 
      0xebfeaffc, 0xa4e1f9ff, 0xff3fcaff, 0x00000ff8, 
      0xeefe9ffc, 0x54dff97f, 0xff4fc600, 0x00000ff8, 
      0xf1fe8ffd, 0xf4ddf8ff, 0xff5fc300, 0x00000ff7, 
      0xf4fe7ffd, 0x94dbf88f, 0xff6fbf01, 0x00000ff7, 
      0xf7fe6ffd, 0x44d9f80f, 0xff7fbb02, 0x00000ff7, 
      0xfafe6ffd, 0xe4d6f79f, 0xff8fb802, 0x00000ff6, 
      0xfdfe5ffd, 0x94d3f72f, 0xff9fb403, 0x00000ff6, 
      0xfffe4ffd, 0x44d0f6bf, 0xffbfb004, 0x00000ff6, 
      0x02fe4ffd, 0x04ccf640, 0xffcfac05, 0x00000ff5, 
      0x05fe3ffe, 0xb4c8f5d0, 0xffdfa805, 0x00000ff5, 
      0x07fe3fff, 0x64c4f570, 0xffefa406, 0x00000ff4, 
      0x0afe2ffe, 0x24c0f510, 0xffffa007, 0x00000ff4, 
      0x0cfe2fff, 0xe4bbf4b0, 0x000f9c07, 0x00000ff3, 
      0x0efe1fff, 0xa4b6f450, 0x002f9808, 0x00000ff3, 
      0x11fe0fff, 0x64b1f3f0, 0x003f9409, 0x00000ff3, 
      0x13fe0fff, 0x24acf3a0, 0x004f900a, 0x00000ff2, 
      0x15fdf000, 0xe4a6f350, 0x005f8c0a, 0x00000ff2, 
      0x17fdffff, 0xb4a0f300, 0x007f880b, 0x00000ff1, 
      0x19fde000, 0x749af2b0, 0x008f840c, 0x00000ff1, 
      0x1bfde000, 0x4494f260, 0x009f800d, 0x00000ff0, 
      0x1dfdd000, 0x148df220, 0x00af7c0e, 0x00000ff0, 
      0x1efde001, 0xd486f1d0, 0x00bf780e, 0x00000ff0, 
      0x20fdd001, 0xa47ff190, 0x00df740f, 0x00000fef, 
      0x22fdd000, 0x7477f160, 0x00ef7010, 0x00000fef, 
      0x23fdc001, 0x5470f120, 0x00ff6c11, 0x00000fee, 
      0x25fdc000, 0x2468f0e0, 0x011f6812, 0x00000fee, 
      0x26fdc001, 0xf460f0b0, 0x012f6412, 0x00000fed, 
      0x27fdc001, 0xd457f080, 0x013f6013, 0x00000fed, 
      0x29fdc001, 0xa44ff050, 0x014f5c14, 0x00000fec, 
      0x2afdb002, 0x8446f020, 0x015f5815, 0x00000fec, 
      0x2bfdb002, 0x543df000, 0x017f5416, 0x00000feb, 
      0x2cfdb002, 0x3434efd0, 0x018f5017, 0x00000feb, 
      0x2dfdc002, 0x142aefb0, 0x019f4c18, 0x00000fea, 
      0x2efdb001, 0xf421ef90, 0x01af4918, 0x00000fea, 
      0x2ffdb002, 0xc417ef70, 0x01cf4519, 0x00000fe9, 
      0x30fda002, 0xa40def60, 0x01df411a, 0x00000fe9, 
      0x31fdb003, 0x8402ef40, 0x01ef3d1b, 0x00000fe8, 
      0x31fdb002, 0x63f8ef30, 0x01ff3a1c, 0x00000fe8, 
      0x32fdb002, 0x43edef20, 0x020f361d, 0x00000fe8, 
      0x32fdb003, 0x23e2ef10, 0x021f331e, 0x00000fe7, 
      0x33fdb003, 0x03d7ef00, 0x022f2f1f, 0x00000fe7, 
      0x33fdb003, 0xf3cceef0, 0x023f2c1f, 0x00000fe6, 
      0x33fdb002, 0xd3c1eef0, 0x025f2820, 0x00000fe6, 
      0x34fdb002, 0xb3b5eef0, 0x026f2521, 0x00000fe5, 
      0x34fdb002, 0x93aaeee0, 0x027f2222, 0x00000fe5, 
      0x34fdc003, 0x739eeee0, 0x028f1e23, 0x00000fe4, 
      0x35fdc003, 0x5392eee0, 0x028f1b24, 0x00000fe4, 
      0x35fdc003, 0x3386eef0, 0x029f1825, 0x00000fe3, 
      0x35fdc003, 0x137aeef0, 0x02af1526, 0x00000fe3, 
      0x35fdc003, 0xf36def00, 0x02bf1226, 0x00000fe3, 
      0x34fdd003, 0xd361ef00, 0x02cf1027, 0x00000fe2, 
      0x34fdd003, 0xb354ef10, 0x02df0d28, 0x00000fe2, 
      0x35fdd003, 0x9347ef20, 0x02ef0a29, 0x00000fe1, 
      0x34fdd003, 0x733bef30, 0x02ef082a, 0x00000fe1, 
      0x34fdd002, 0x532eef50, 0x02ff052b, 0x00000fe1, 
      0x33fde003, 0x2321ef60, 0x030f032c, 0x00000fe0, 
      0x33fde003, 0x0313ef80, 0x030f012d, 0x00000fe0, 
      0x33fde003, 0xe306ef90, 0x031eff2d, 0x00000fdf, 
      0x32fdf002, 0xb2f9efb0, 0x032efd2e, 0x00000fdf,
   },
   { /* Y scale factor = 1.27, phases = 127, taps = 9. */
      0xfa031fde, 0x82fd2efe, 0xfde032ef, 0x00000003, 
      0xfc031fde, 0x630a2e2e, 0xfde032ef, 0x00000003, 
      0xfd030fdf, 0x43182d4e, 0xfde033ef, 0x00000003, 
      0x0002ffe0, 0x33252c6f, 0xfdd033ef, 0x00000003, 
      0x0202ffe1, 0x13322b8f, 0xfdd033ef, 0x00000003, 
      0x0502efe0, 0x033f2aaf, 0xfdd034ef, 0x00000003, 
      0x0702efe1, 0xf34c29cf, 0xfdc034ee, 0x00000003, 
      0x0a02dfe1, 0xe35928ef, 0xfdc034ee, 0x00000003, 
      0x0d02cfe1, 0xd366280f, 0xfdc034ee, 0x00000003, 
      0x0f02bfe3, 0xc372272f, 0xfdc034ee, 0x00000003, 
      0x1202afe3, 0xc37f264f, 0xfdb034ee, 0x00000003, 
      0x1502afe3, 0xb38b256f, 0xfdb034ee, 0x00000003, 
      0x18028fe4, 0xb397248f, 0xfdb034ee, 0x00000003, 
      0x1b027fe3, 0xb3a423af, 0xfdb034ee, 0x00000003, 
      0x1f026fe4, 0xb3af22bf, 0xfdb034ee, 0x00000003, 
      0x22025fe5, 0xb3bb21df, 0xfdb033ee, 0x00000003, 
      0x25024fe6, 0xb3c720ff, 0xfdb033ee, 0x00000002, 
      0x29023fe6, 0xc3d2201f, 0xfda033ee, 0x00000002, 
      0x2c022fe7, 0xd3dd1f3f, 0xfda032ee, 0x00000002, 
      0x30021fe7, 0xd3e81e5f, 0xfda032ee, 0x00000002, 
      0x34020fe8, 0xe3f31d6f, 0xfda031ee, 0x00000002, 
      0x3701ffe7, 0x03fe1c8f, 0xfda031ef, 0x00000002, 
      0x3b01dfe8, 0x14091baf, 0xfda030ef, 0x00000002, 
      0x3e01dfe9, 0x24131acf, 0xfda02fef, 0x00000002, 
      0x4201bfea, 0x441d19ef, 0xfda02eef, 0x00000002, 
      0x4601afea, 0x6427190f, 0xfda02def, 0x00000002, 
      0x4a019fe9, 0x8431182f, 0xfda02def, 0x00000002, 
      0x4e018fea, 0xa43a174f, 0xfda02cef, 0x00000002, 
      0x52016feb, 0xc444167f, 0xfdb02aef, 0x00000001, 
      0x56015feb, 0xf44d159f, 0xfdb029ef, 0x00000001, 
      0x5a014feb, 0x245614bf, 0xfdb028f0, 0x00000001, 
      0x5e012fec, 0x545e13ef, 0xfdb027f0, 0x00000001, 
      0x62011fed, 0x8467130f, 0xfdb025f0, 0x00000001, 
      0x65010fed, 0xb46f123f, 0xfdc024f0, 0x00000001, 
      0x6a00ffed, 0xf477115f, 0xfdc022f0, 0x00000001, 
      0x6e00efee, 0x247f108f, 0xfdc021f1, 0x00000000, 
      0x7200dfef, 0x64860fbf, 0xfdc01ff1, 0x00000000, 
      0x7600bfef, 0xa48d0eef, 0xfdd01ef1, 0x00000000, 
      0x7a00afef, 0xf4940e1f, 0xfdd01cf1, 0x00000000, 
      0x7e009ff0, 0x349b0d4f, 0xfdd01af2, 0x00000000, 
      0x82007ff1, 0x84a10c7f, 0xfde018f2, 0x00000000, 
      0x86006ff1, 0xd4a80bbf, 0xfde016f2, 0x00000fff, 
      0x8a005ff1, 0x24ae0aef, 0xfdf014f3, 0x00000fff, 
      0x8e004ff2, 0x74b30a2f, 0xfdf012f3, 0x00000fff, 
      0x93002ff2, 0xc4b9095f, 0xfe0010f3, 0x00000fff, 
      0x97001ff2, 0x24be089f, 0xfe000ef4, 0x00000fff, 
      0x9b000ff3, 0x84c307df, 0xfe100bf4, 0x00000ffe, 
      0x9ffffff3, 0xe4c8071f, 0xfe1009f4, 0x00000ffe, 
      0xa3ffdff4, 0x44cc066f, 0xfe2006f5, 0x00000ffe, 
      0xa6ffcff5, 0xb4d005af, 0xfe2004f5, 0x00000ffe, 
      0xaaffcff5, 0x14d404ff, 0xfe3001f6, 0x00000ffd, 
      0xaeffaff6, 0x84d7043f, 0xfe4ffff6, 0x00000ffd, 
      0xb2ff9ff6, 0xf4db038f, 0xfe4ffcf6, 0x00000ffd, 
      0xb6ff8ff6, 0x64de02df, 0xfe5ff9f7, 0x00000ffd, 
      0xbaff7ff6, 0xe4e0023f, 0xfe6ff6f7, 0x00000ffc, 
      0xbeff6ff6, 0x54e3018f, 0xfe7ff3f8, 0x00000ffc, 
      0xc1ff5ff8, 0xd4e500df, 0xfe7ff0f8, 0x00000ffc, 
      0xc5ff3ff8, 0x54e7003f, 0xfe8fedf9, 0x00000ffc, 
      0xc9ff3ff8, 0xd4e8ff9f, 0xfe9feaf9, 0x00000ffb, 
      0xccff1ff9, 0x54eafeff, 0xfeafe7fa, 0x00000ffb, 
      0xd0ff0ff8, 0xe4ebfe5f, 0xfebfe4fa, 0x00000ffb, 
      0xd3fefffa, 0x74ebfdbf, 0xfecfe1fb, 0x00000ffa, 
      0xd7feeffa, 0x04ecfd2f, 0xfecfddfc, 0x00000ffa, 
      0xdafedffa, 0x94ecfc9f, 0xfedfdafc, 0x00000ffa, 
      0xddfecffb, 0x24ecfc0f, 0xfeefd7fd, 0x00000ff9, 
      0xe1fecffb, 0xb4ebfb7f, 0xfeffd3fd, 0x00000ff9, 
      0xe4febffa, 0x54ebfaef, 0xff0fd0fe, 0x00000ff9, 
      0xe8feaffb, 0xf4eafa5f, 0xff1fccfe, 0x00000ff8, 
      0xeafe9ffc, 0x94e8f9df, 0xff2fc9ff, 0x00000ff8, 
      0xedfe8ffc, 0x34e7f95f, 0xff3fc500, 0x00000ff8, 
      0xf1fe8ffc, 0xd4e5f8df, 0xff4fc100, 0x00000ff7, 
      0xf3fe6ffc, 0x84e3f85f, 0xff6fbe01, 0x00000ff7, 
      0xf6fe6ffc, 0x34e0f7ef, 0xff7fba02, 0x00000ff6, 
      0xf9fe5ffd, 0xd4def76f, 0xff8fb602, 0x00000ff6, 
      0xfcfe4ffd, 0x84dbf6ff, 0xff9fb203, 0x00000ff6, 
      0xfffe4ffe, 0x34d7f68f, 0xffafae04, 0x00000ff5, 
      0x01fe3ffe, 0xf4d4f610, 0xffbfaa04, 0x00000ff5, 
      0x04fe3ffe, 0xa4d0f5b0, 0xffcfa605, 0x00000ff4, 
      0x06fe2ffe, 0x64ccf540, 0xffdfa306, 0x00000ff4, 
      0x08fe1ffe, 0x14c8f4e0, 0xffff9f07, 0x00000ff4, 
      0x0bfe1ffe, 0xd4c3f480, 0x000f9b07, 0x00000ff3, 
      0x0efe0ffe, 0x94bef420, 0x001f9708, 0x00000ff3, 
      0x10fe0fff, 0x54b9f3c0, 0x002f9309, 0x00000ff2, 
      0x12fdffff, 0x24b3f370, 0x004f8e0a, 0x00000ff2, 
      0x14fdffff, 0xe4aef320, 0x005f8a0a, 0x00000ff1, 
      0x16fdefff, 0xb4a8f2d0, 0x006f860b, 0x00000ff1, 
      0x18fde000, 0x74a1f280, 0x007f820c, 0x00000ff1, 
      0x1afdd000, 0x449bf230, 0x009f7e0d, 0x00000ff0, 
      0x1cfddfff, 0x1494f1f0, 0x00af7a0e, 0x00000ff0, 
      0x1efdd000, 0xe48df1a0, 0x00bf760e, 0x00000fef, 
      0x1ffdc001, 0xb486f160, 0x00cf720f, 0x00000fef, 
      0x21fdc000, 0x847ff120, 0x00ef6e10, 0x00000fee, 
      0x22fdc000, 0x5477f0f0, 0x00ff6a11, 0x00000fee, 
      0x24fdc000, 0x346ff0b0, 0x010f6612, 0x00000fed, 
      0x25fdb001, 0x0467f080, 0x011f6213, 0x00000fed, 
      0x26fdb001, 0xe45ef050, 0x013f5e13, 0x00000fec, 
      0x28fda001, 0xb456f020, 0x014f5a14, 0x00000fec, 
      0x29fdb001, 0x944deff0, 0x015f5615, 0x00000feb, 
      0x2afdb001, 0x7444efc0, 0x016f5216, 0x00000feb, 
      0x2cfda002, 0x443aefa0, 0x018f4e17, 0x00000fea, 
      0x2dfda001, 0x2431ef80, 0x019f4a18, 0x00000fea, 
      0x2dfdb002, 0x0427ef60, 0x01af4619, 0x00000fe9, 
      0x2efdb002, 0xe41def40, 0x01bf4219, 0x00000fe9, 
      0x2ffdb002, 0xc413ef20, 0x01cf3e1a, 0x00000fe9, 
      0x30fda002, 0xa409ef10, 0x01df3b1b, 0x00000fe8, 
      0x30fda002, 0x83feef00, 0x01ff371c, 0x00000fe8, 
      0x31fdb003, 0x63f3eee0, 0x020f331d, 0x00000fe7, 
      0x32fda002, 0x53e8eed0, 0x021f301e, 0x00000fe7, 
      0x32fda003, 0x33ddeed0, 0x022f2c1f, 0x00000fe6, 
      0x33fda002, 0x13d2eec0, 0x023f2920, 0x00000fe6, 
      0x33fdb003, 0xf3c7eeb0, 0x024f2520, 0x00000fe5, 
      0x33fdb003, 0xd3bbeeb0, 0x025f2221, 0x00000fe5, 
      0x34fdb003, 0xb3afeeb0, 0x026f1f22, 0x00000fe4, 
      0x34fdb002, 0xa3a4eeb0, 0x027f1b23, 0x00000fe4, 
      0x34fdc003, 0x8397eeb0, 0x028f1824, 0x00000fe3, 
      0x34fdc003, 0x638beeb0, 0x029f1525, 0x00000fe3, 
      0x34fdb003, 0x437feec0, 0x02af1226, 0x00000fe3, 
      0x35fdc003, 0x2372eec0, 0x02bf0f27, 0x00000fe2, 
      0x34fdc002, 0x0366eed0, 0x02cf0d28, 0x00000fe2, 
      0x34fdc003, 0xe359eee0, 0x02df0a28, 0x00000fe1, 
      0x34fdd003, 0xc34ceef0, 0x02df0729, 0x00000fe1, 
      0x34fdd003, 0xa33fef00, 0x02ef052a, 0x00000fe0, 
      0x34fdd003, 0x8332ef10, 0x02ff022b, 0x00000fe0, 
      0x33fdd003, 0x6325ef30, 0x02ff002c, 0x00000fe0, 
      0x33fde002, 0x4318ef40, 0x030efe2d, 0x00000fdf, 
      0x32fde002, 0x230aef60, 0x031efc2e, 0x00000fdf, 
      0x32fde002, 0xf2fdef80, 0x031efa2e, 0x00000fdf,
   },
   { /* Y scale factor = 1.28, phases = 127, taps = 9. */
      0xf6031fde, 0x43012f4e, 0xfde031ef, 0x00000003, 
      0xf8030fde, 0x330f2e6e, 0xfdd032ef, 0x00000003, 
      0xfa030fdf, 0x131c2d8e, 0xfdd032ef, 0x00000003, 
      0xfc02ffdf, 0xf32a2cae, 0xfdd033ee, 0x00000003, 
      0xff02efe0, 0xe3372bce, 0xfdc033ee, 0x00000003, 
      0x0102efe0, 0xd3442aef, 0xfdc033ee, 0x00000003, 
      0x0402dfe0, 0xc3512a0f, 0xfdc033ee, 0x00000003, 
      0x0702cfe0, 0xa35e292f, 0xfdc034ee, 0x00000003, 
      0x0902bfe1, 0xa36b284f, 0xfdb034ee, 0x00000003, 
      0x0c02bfe1, 0x9378275f, 0xfdb034ee, 0x00000003, 
      0x0f02afe2, 0x8384267f, 0xfdb034ee, 0x00000003, 
      0x12028fe2, 0x8391259f, 0xfdb034ee, 0x00000003, 
      0x15028fe2, 0x839d24bf, 0xfda034ee, 0x00000003, 
      0x18027fe4, 0x73a923cf, 0xfda034ee, 0x00000003, 
      0x1c026fe4, 0x73b522ef, 0xfda033ee, 0x00000003, 
      0x1f025fe4, 0x83c1220f, 0xfda033ee, 0x00000002, 
      0x22024fe4, 0x83cd212f, 0xfda033ee, 0x00000002, 
      0x26023fe6, 0x83d8203f, 0xfda032ee, 0x00000002, 
      0x29022fe6, 0x93e31f5f, 0xfda032ee, 0x00000002, 
      0x2d020fe6, 0xa3ef1e7f, 0xfda031ee, 0x00000002, 
      0x3101ffe6, 0xb3fa1d8f, 0xfda031ee, 0x00000002, 
      0x3401efe8, 0xc4041caf, 0xfda030ee, 0x00000002, 
      0x3801dfe8, 0xd40f1bcf, 0xfda02fee, 0x00000002, 
      0x3c01bfe8, 0xf4191aef, 0xfda02fee, 0x00000002, 
      0x3f01afe8, 0x14241a0f, 0xfda02eef, 0x00000002, 
      0x43019fe9, 0x242e192f, 0xfda02def, 0x00000002, 
      0x47018fea, 0x4437184f, 0xfda02cef, 0x00000002, 
      0x4b017fea, 0x7441176f, 0xfda02bef, 0x00000001, 
      0x4f016feb, 0x944a168f, 0xfda02aef, 0x00000001, 
      0x53014feb, 0xc45415af, 0xfda029ef, 0x00000001, 
      0x57014fec, 0xe45c14cf, 0xfda028ef, 0x00000001, 
      0x5b013fed, 0x146513ef, 0xfda026f0, 0x00000001, 
      0x5f010fec, 0x546e131f, 0xfdb025f0, 0x00000001, 
      0x63010fed, 0x8476123f, 0xfdb023f0, 0x00000001, 
      0x6800efed, 0xb47e116f, 0xfdb022f0, 0x00000001, 
      0x6c00efee, 0xf486108f, 0xfdb020f0, 0x00000000, 
      0x7000cfee, 0x348d0fbf, 0xfdc01ff1, 0x00000000, 
      0x7400bfee, 0x74950eef, 0xfdc01df1, 0x00000000, 
      0x78009ff0, 0xb49c0e1f, 0xfdc01bf1, 0x00000000, 
      0x7c008ff0, 0x04a20d4f, 0xfdd019f2, 0x00000000, 
      0x80007ff0, 0x54a90c7f, 0xfdd017f2, 0x00000000, 
      0x84006ff1, 0xa4af0baf, 0xfde015f2, 0x00000fff, 
      0x88004ff2, 0xf4b50aef, 0xfde013f2, 0x00000fff, 
      0x8c004ff2, 0x44bb0a1f, 0xfde011f3, 0x00000fff, 
      0x91001ff2, 0x94c1095f, 0xfdf00ff3, 0x00000fff, 
      0x95001ff2, 0xf4c6089f, 0xfdf00df3, 0x00000ffe, 
      0x99fffff3, 0x54cb07df, 0xfe000af4, 0x00000ffe, 
      0x9dffeff3, 0xb4cf071f, 0xfe1008f4, 0x00000ffe, 
      0xa1ffdff4, 0x14d4065f, 0xfe1005f5, 0x00000ffe, 
      0xa5ffbff4, 0x84d8059f, 0xfe2003f5, 0x00000ffe, 
      0xa9ffbff5, 0xe4dc04ef, 0xfe2000f5, 0x00000ffd, 
      0xadff9ff6, 0x54df042f, 0xfe3ffef6, 0x00000ffd, 
      0xb0ff8ff6, 0xc4e3037f, 0xfe4ffbf6, 0x00000ffd, 
      0xb4ff7ff6, 0x44e602cf, 0xfe4ff8f7, 0x00000ffd, 
      0xb8ff7ff7, 0xb4e8021f, 0xfe5ff5f7, 0x00000ffc, 
      0xbcff5ff6, 0x34eb017f, 0xfe6ff2f8, 0x00000ffc, 
      0xc0ff3ff7, 0xb4ed00cf, 0xfe7feff8, 0x00000ffc, 
      0xc3ff3ff7, 0x34ef002f, 0xfe8fecf9, 0x00000ffb, 
      0xc7ff2ff8, 0xb4f1ff7f, 0xfe8fe9f9, 0x00000ffb, 
      0xcbff1ff8, 0x34f2fedf, 0xfe9fe6fa, 0x00000ffb, 
      0xceff0ff9, 0xc4f3fe3f, 0xfeafe3fa, 0x00000ffa, 
      0xd2feeff8, 0x54f4fdaf, 0xfebfe0fb, 0x00000ffa, 
      0xd5feeff9, 0xe4f4fd0f, 0xfecfdcfb, 0x00000ffa, 
      0xd9fecff9, 0x74f4fc7f, 0xfedfd9fc, 0x00000ffa, 
      0xdcfecffa, 0x04f4fbef, 0xfeefd5fd, 0x00000ff9, 
      0xdffeaffa, 0xa4f4fb5f, 0xfeffd2fd, 0x00000ff9, 
      0xe3feaffb, 0x34f3facf, 0xff0fcefe, 0x00000ff8, 
      0xe6fe9ffb, 0xd4f2fa3f, 0xff1fcbfe, 0x00000ff8, 
      0xe9fe8ffb, 0x74f1f9bf, 0xff2fc7ff, 0x00000ff8, 
      0xecfe8ffb, 0x24eff93f, 0xff3fc300, 0x00000ff7, 
      0xeffe7ffb, 0xc4edf8bf, 0xff4fc000, 0x00000ff7, 
      0xf2fe6ffb, 0x74ebf83f, 0xff5fbc01, 0x00000ff7, 
      0xf5fe6ffd, 0x14e8f7bf, 0xff6fb802, 0x00000ff6, 
      0xf8fe4ffd, 0xc4e6f74f, 0xff7fb402, 0x00000ff6, 
      0xfbfe4ffd, 0x74e3f6df, 0xff8fb003, 0x00000ff5, 
      0xfefe3ffe, 0x24dff65f, 0xff9fad04, 0x00000ff5, 
      0x00fe2ffd, 0xe4dcf5e0, 0xffbfa904, 0x00000ff5, 
      0x03fe2ffd, 0x94d8f580, 0xffcfa505, 0x00000ff4, 
      0x05fe1ffe, 0x54d4f510, 0xffdfa106, 0x00000ff4, 
      0x08fe1ffe, 0x14cff4b0, 0xffef9d07, 0x00000ff3, 
      0x0afe0ffe, 0xd4cbf450, 0xffff9907, 0x00000ff3, 
      0x0cfdfffe, 0x94c6f3f0, 0x001f9508, 0x00000ff3, 
      0x0ffdfffe, 0x54c1f390, 0x002f9109, 0x00000ff2, 
      0x11fdffff, 0x14bbf340, 0x003f8c0a, 0x00000ff2, 
      0x13fde000, 0xe4b5f2f0, 0x004f880a, 0x00000ff1, 
      0x15fdefff, 0xa4aff2a0, 0x006f840b, 0x00000ff1, 
      0x17fdd000, 0x74a9f250, 0x007f800c, 0x00000ff0, 
      0x19fdd000, 0x44a2f200, 0x008f7c0d, 0x00000ff0, 
      0x1bfdd000, 0x149cf1b0, 0x009f780e, 0x00000fef, 
      0x1cfdc000, 0xe495f170, 0x00bf740e, 0x00000fef, 
      0x1ffdc000, 0xb48df130, 0x00cf700f, 0x00000fee, 
      0x20fdb001, 0x8486f0f0, 0x00df6c10, 0x00000fee, 
      0x22fdb001, 0x647ef0b0, 0x00ef6811, 0x00000fed, 
      0x23fdb001, 0x3476f080, 0x010f6312, 0x00000fed, 
      0x25fdb000, 0x146ef050, 0x011f5f13, 0x00000fec, 
      0x27fdb001, 0xe465f010, 0x012f5b13, 0x00000fec, 
      0x28fda002, 0xc45cefe0, 0x013f5714, 0x00000fec, 
      0x28fda001, 0xa454efc0, 0x015f5315, 0x00000feb, 
      0x2afda001, 0x844aef90, 0x016f4f16, 0x00000feb, 
      0x2bfda001, 0x6441ef70, 0x017f4b17, 0x00000fea, 
      0x2cfda002, 0x4437ef40, 0x018f4718, 0x00000fea, 
      0x2dfda001, 0x242eef20, 0x01af4319, 0x00000fe9, 
      0x2dfd9001, 0x0424ef10, 0x01bf401a, 0x00000fe9, 
      0x2ffda001, 0xe419eef0, 0x01cf3c1a, 0x00000fe8, 
      0x2ffda002, 0xc40feed0, 0x01df381b, 0x00000fe8, 
      0x30fda003, 0xa404eec0, 0x01ef341c, 0x00000fe7, 
      0x31fd9002, 0x83faeeb0, 0x01ff311d, 0x00000fe7, 
      0x31fd9002, 0x73efeea0, 0x021f2d1e, 0x00000fe6, 
      0x32fda002, 0x53e3ee90, 0x022f291f, 0x00000fe6, 
      0x32fda003, 0x33d8ee80, 0x023f2620, 0x00000fe5, 
      0x33fd9002, 0x23cdee80, 0x024f2221, 0x00000fe5, 
      0x33fda002, 0x03c1ee80, 0x025f1f22, 0x00000fe4, 
      0x33fda003, 0xe3b5ee70, 0x026f1c22, 0x00000fe4, 
      0x34fdb003, 0xc3a9ee70, 0x027f1823, 0x00000fe3, 
      0x34fda002, 0xb39dee80, 0x028f1524, 0x00000fe3, 
      0x34fdb002, 0x9391ee80, 0x029f1225, 0x00000fe2, 
      0x34fdb003, 0x7384ee80, 0x02af0f26, 0x00000fe2, 
      0x34fdb002, 0x5378ee90, 0x02bf0c27, 0x00000fe2, 
      0x34fdb003, 0x436beea0, 0x02bf0928, 0x00000fe1, 
      0x34fdc002, 0x235eeea0, 0x02cf0729, 0x00000fe1, 
      0x33fdc003, 0x0351eec0, 0x02df042a, 0x00000fe0, 
      0x33fdc003, 0xe344eed0, 0x02ef012a, 0x00000fe0, 
      0x33fdc003, 0xc337eee0, 0x02eeff2b, 0x00000fe0, 
      0x33fdd002, 0xa32aeef0, 0x02fefd2c, 0x00000fdf, 
      0x32fdd003, 0x831cef10, 0x030efa2d, 0x00000fdf, 
      0x32fdd003, 0x630fef30, 0x030ef82e, 0x00000fde, 
      0x31fde003, 0x4301ef40, 0x031ef62f, 0x00000fde,
   },
   { /* Y scale factor = 1.29, phases = 127, taps = 9. */
      0xf3030fdd, 0x13062f8e, 0xfdd031ef, 0x00000003, 
      0xf5030fde, 0xf3132eae, 0xfdd031ee, 0x00000003, 
      0xf702ffdf, 0xd3212dce, 0xfdc032ee, 0x00000003, 
      0xf902ffdf, 0xc32e2cee, 0xfdc032ee, 0x00000003, 
      0xfb02efdf, 0xb33c2bfe, 0xfdc033ee, 0x00000003, 
      0xfe02dfdf, 0x93492b2e, 0xfdc033ee, 0x00000003, 
      0x0102dfdf, 0x83562a4f, 0xfdb033ee, 0x00000003, 
      0x0302cfe1, 0x7363295f, 0xfdb033ee, 0x00000003, 
      0x0602bfe1, 0x6370287f, 0xfdb033ee, 0x00000003, 
      0x0902afe1, 0x537d279f, 0xfdb033ee, 0x00000003, 
      0x0c029fe2, 0x538a26af, 0xfda033ee, 0x00000003, 
      0x0f028fe3, 0x439625cf, 0xfda033ee, 0x00000003, 
      0x12027fe3, 0x43a224ef, 0xfda033ee, 0x00000003, 
      0x15027fe3, 0x43af23ff, 0xfda033ee, 0x00000002, 
      0x19025fe3, 0x43bb231f, 0xfda033ee, 0x00000002, 
      0x1c025fe4, 0x43c7222f, 0xfd9033ee, 0x00000002, 
      0x20024fe5, 0x43d2214f, 0xfd9032ee, 0x00000002, 
      0x23022fe5, 0x53de206f, 0xfd9032ee, 0x00000002, 
      0x26022fe6, 0x63e91f7f, 0xfd9031ee, 0x00000002, 
      0x2a020fe6, 0x63f51e9f, 0xfd9031ee, 0x00000002, 
      0x2e01ffe7, 0x74001daf, 0xfd9030ee, 0x00000002, 
      0x3101efe6, 0x940b1ccf, 0xfd9030ee, 0x00000002, 
      0x3501dfe7, 0xa4151bef, 0xfd902fee, 0x00000002, 
      0x3901bfe8, 0xb4201b0f, 0xfd902eee, 0x00000002, 
      0x3d01afe9, 0xd42a1a1f, 0xfd902dee, 0x00000002, 
      0x41019fe8, 0xf434193f, 0xfd902dee, 0x00000002, 
      0x45018fe9, 0x143e185f, 0xfd902cef, 0x00000001, 
      0x49017fea, 0x3448177f, 0xfd902aef, 0x00000001, 
      0x4d015feb, 0x6451169f, 0xfd9029ef, 0x00000001, 
      0x51015feb, 0x845a15bf, 0xfd9028ef, 0x00000001, 
      0x55013feb, 0xb46314df, 0xfda027ef, 0x00000001, 
      0x59012feb, 0xe46c13ff, 0xfda026ef, 0x00000001, 
      0x5d010fec, 0x1475132f, 0xfda024f0, 0x00000001, 
      0x6100ffec, 0x547d124f, 0xfda023f0, 0x00000001, 
      0x6600efee, 0x8485116f, 0xfda021f0, 0x00000000, 
      0x6900dfed, 0xc48d109f, 0xfdb020f0, 0x00000000, 
      0x6d00bfee, 0x04950fcf, 0xfdb01ef1, 0x00000000, 
      0x7200afef, 0x449c0eef, 0xfdb01cf1, 0x00000000, 
      0x76009fef, 0x84a30e1f, 0xfdc01af1, 0x00000000, 
      0x7a007fef, 0xd4aa0d4f, 0xfdc019f1, 0x00000000, 
      0x7e006ff0, 0x24b10c7f, 0xfdc017f2, 0x00000fff, 
      0x82005ff1, 0x64b70baf, 0xfdd015f2, 0x00000fff, 
      0x86004ff0, 0xc4bd0aef, 0xfdd013f2, 0x00000fff, 
      0x8a002ff2, 0x14c30a1f, 0xfde010f3, 0x00000fff, 
      0x8f001ff2, 0x64c8095f, 0xfde00ef3, 0x00000fff, 
      0x93000ff2, 0xc4ce088f, 0xfdf00cf3, 0x00000ffe, 
      0x97fffff2, 0x24d307cf, 0xfdf00af4, 0x00000ffe, 
      0x9bffeff3, 0x84d7070f, 0xfe0007f4, 0x00000ffe, 
      0x9fffcff3, 0xf4dc064f, 0xfe0005f4, 0x00000ffe, 
      0xa3ffcff4, 0x54e0058f, 0xfe1002f5, 0x00000ffd, 
      0xa7ffaff4, 0xc4e404df, 0xfe2ffff5, 0x00000ffd, 
      0xabff9ff5, 0x34e7041f, 0xfe2ffdf6, 0x00000ffd, 
      0xafff7ff5, 0xa4eb036f, 0xfe3ffaf6, 0x00000ffd, 
      0xb3ff7ff5, 0x14ee02bf, 0xfe4ff7f7, 0x00000ffc, 
      0xb6ff5ff6, 0x94f1020f, 0xfe5ff4f7, 0x00000ffc, 
      0xbaff5ff7, 0x04f3015f, 0xfe5ff1f8, 0x00000ffc, 
      0xbeff3ff7, 0x84f500bf, 0xfe6feef8, 0x00000ffc, 
      0xc2ff2ff8, 0x04f7000f, 0xfe7febf9, 0x00000ffb, 
      0xc5ff1ff7, 0x94f9ff6f, 0xfe8fe8f9, 0x00000ffb, 
      0xc9ff0ff7, 0x14fafecf, 0xfe9fe5fa, 0x00000ffb, 
      0xcdfefff8, 0xa4fbfe2f, 0xfe9fe2fa, 0x00000ffa, 
      0xd0feeff9, 0x34fcfd8f, 0xfeafdefb, 0x00000ffa, 
      0xd4fedff9, 0xc4fcfcef, 0xfebfdbfb, 0x00000ffa, 
      0xd7fedffa, 0x54fcfc5f, 0xfecfd7fc, 0x00000ff9, 
      0xdbfebffa, 0xe4fcfbcf, 0xfedfd4fc, 0x00000ff9, 
      0xdefeaffa, 0x84fcfb3f, 0xfeefd0fd, 0x00000ff9, 
      0xe2fe9ffa, 0x24fbfaaf, 0xfeffcdfe, 0x00000ff8, 
      0xe5fe9ffa, 0xc4fafa1f, 0xff0fc9fe, 0x00000ff8, 
      0xe8fe7ffa, 0x64f9f99f, 0xff1fc6ff, 0x00000ff8, 
      0xebfe7ffc, 0x04f7f90f, 0xff2fc200, 0x00000ff7, 
      0xeefe6ffc, 0xb4f5f88f, 0xff3fbe00, 0x00000ff7, 
      0xf2fe6ffc, 0x54f3f80f, 0xff4fba01, 0x00000ff6, 
      0xf4fe4ffc, 0x04f1f79f, 0xff5fb702, 0x00000ff6, 
      0xf7fe3ffc, 0xb4eef71f, 0xff7fb302, 0x00000ff6, 
      0xfafe3ffc, 0x64ebf6af, 0xff8faf03, 0x00000ff5, 
      0xfdfe2ffd, 0x14e7f63f, 0xff9fab04, 0x00000ff5, 
      0xfffe2ffd, 0xd4e4f5cf, 0xffafa704, 0x00000ff4, 
      0x02fe1ffe, 0x84e0f550, 0xffbfa305, 0x00000ff4, 
      0x05fe0ffd, 0x44dcf4f0, 0xffcf9f06, 0x00000ff4, 
      0x07fe0ffe, 0x04d7f480, 0xffef9b07, 0x00000ff3, 
      0x09fdfffe, 0xc4d3f420, 0xffff9707, 0x00000ff3, 
      0x0cfdfffe, 0x84cef3c0, 0x000f9308, 0x00000ff2, 
      0x0efdefff, 0x54c8f360, 0x001f8f09, 0x00000ff2, 
      0x11fdefff, 0x14c3f310, 0x002f8a0a, 0x00000ff1, 
      0x13fddffe, 0xe4bdf2c0, 0x004f860a, 0x00000ff1, 
      0x15fdd000, 0xa4b7f260, 0x005f820b, 0x00000ff0, 
      0x17fdcfff, 0x74b1f220, 0x006f7e0c, 0x00000ff0, 
      0x19fdcfff, 0x44aaf1d0, 0x008f7a0d, 0x00000fef, 
      0x1afdc000, 0x14a3f180, 0x009f760e, 0x00000fef, 
      0x1cfdb000, 0xe49cf140, 0x00af720e, 0x00000fef, 
      0x1efdb000, 0xc495f100, 0x00bf6d0f, 0x00000fee, 
      0x20fda000, 0x948df0c0, 0x00df6910, 0x00000fee, 
      0x21fdb001, 0x6485f080, 0x00ef6511, 0x00000fed, 
      0x23fda000, 0x447df050, 0x00ff6112, 0x00000fed, 
      0x24fda001, 0x2475f010, 0x010f5d13, 0x00000fec, 
      0x26fda000, 0xf46cefe0, 0x012f5913, 0x00000fec, 
      0x27fda001, 0xd463efb0, 0x013f5514, 0x00000feb, 
      0x28fd9002, 0xb45aef80, 0x014f5115, 0x00000feb, 
      0x29fd9002, 0x9451ef60, 0x015f4d16, 0x00000fea, 
      0x2afd9001, 0x7448ef30, 0x017f4917, 0x00000fea, 
      0x2cfd9001, 0x543eef10, 0x018f4518, 0x00000fe9, 
      0x2dfd9001, 0x3434eef0, 0x019f4119, 0x00000fe9, 
      0x2efd9002, 0x142aeed0, 0x01af3d1a, 0x00000fe8, 
      0x2efd9002, 0x0420eeb0, 0x01bf391b, 0x00000fe8, 
      0x2ffd9002, 0xe415eea0, 0x01df351b, 0x00000fe7, 
      0x30fd9001, 0xc40bee90, 0x01ef311c, 0x00000fe7, 
      0x30fd9003, 0xa400ee70, 0x01ff2e1d, 0x00000fe6, 
      0x31fd9002, 0x93f5ee60, 0x020f2a1e, 0x00000fe6, 
      0x31fda003, 0x73e9ee60, 0x021f261f, 0x00000fe5, 
      0x32fd9002, 0x63deee50, 0x022f2320, 0x00000fe5, 
      0x33fda003, 0x43d2ee40, 0x023f1f21, 0x00000fe4, 
      0x33fd9003, 0x23c7ee40, 0x024f1c22, 0x00000fe4, 
      0x33fda002, 0x13bbee40, 0x025f1923, 0x00000fe3, 
      0x33fda003, 0xf3afee40, 0x026f1523, 0x00000fe3, 
      0x34fda003, 0xe3a2ee40, 0x027f1224, 0x00000fe2, 
      0x33fdb003, 0xc396ee40, 0x028f0f25, 0x00000fe2, 
      0x33fda003, 0xa38aee50, 0x029f0c26, 0x00000fe2, 
      0x33fdb003, 0x937dee50, 0x02af0927, 0x00000fe1, 
      0x33fdb003, 0x7370ee60, 0x02bf0628, 0x00000fe1, 
      0x33fdc003, 0x5363ee70, 0x02cf0329, 0x00000fe0, 
      0x33fdb002, 0x4356ee80, 0x02df012a, 0x00000fe0, 
      0x33fdc003, 0x2349ee90, 0x02defe2b, 0x00000fdf, 
      0x33fdb002, 0x033ceeb0, 0x02eefc2c, 0x00000fdf, 
      0x32fdc003, 0xe32eeec0, 0x02fef92c, 0x00000fdf, 
      0x32fdd003, 0xc321eed0, 0x02fef72d, 0x00000fde, 
      0x31fdd003, 0xa313eef0, 0x030ef52e, 0x00000fde, 
      0x31fdd002, 0x8306ef00, 0x031ef32f, 0x00000fde,
   },
   { /* Y scale factor = 1.30, phases = 127, taps = 9. */
      0xef030fdc, 0xe30a2fce, 0xfdd031ee, 0x00000003, 
      0xf202ffdd, 0xc3182eee, 0xfdc031ee, 0x00000003, 
      0xf402ffdd, 0xa3252e0e, 0xfdc032ee, 0x00000003, 
      0xf602efde, 0x83332d2e, 0xfdc032ee, 0x00000003, 
      0xf802efdf, 0x73402c4e, 0xfdb032ee, 0x00000003, 
      0xfb02dfde, 0x634e2b5e, 0xfdb033ee, 0x00000003, 
      0xfd02cfdf, 0x535b2a7e, 0xfdb033ee, 0x00000003, 
      0x0002bfe0, 0x4368299f, 0xfda033ee, 0x00000003, 
      0x0302bfe0, 0x337528af, 0xfda033ee, 0x00000003, 
      0x0602afe0, 0x238227cf, 0xfda033ee, 0x00000003, 
      0x09028fe1, 0x138f26ef, 0xfda033ee, 0x00000003, 
      0x0c028fe2, 0x139c25ff, 0xfd9033ee, 0x00000002, 
      0x0f028fe2, 0x03a8251f, 0xfd9033ee, 0x00000002, 
      0x12027fe3, 0x03b4242f, 0xfd9033ee, 0x00000002, 
      0x16025fe2, 0x03c1234f, 0xfd9033ee, 0x00000002, 
      0x19024fe3, 0x13cd225f, 0xfd9032ee, 0x00000002, 
      0x1c023fe4, 0x13d8217f, 0xfd9032ee, 0x00000002, 
      0x20022fe4, 0x13e4208f, 0xfd9032ee, 0x00000002, 
      0x24021fe4, 0x23f01faf, 0xfd8031ee, 0x00000002, 
      0x27020fe5, 0x33fb1ebf, 0xfd8031ee, 0x00000002, 
      0x2b01ffe5, 0x44061ddf, 0xfd8030ee, 0x00000002, 
      0x2f01dfe7, 0x54111cef, 0xfd802fee, 0x00000002, 
      0x3201cfe7, 0x641c1c0f, 0xfd802fee, 0x00000002, 
      0x3601bfe8, 0x84261b1f, 0xfd802eee, 0x00000002, 
      0x3a01afe7, 0xa4311a3f, 0xfd802dee, 0x00000002, 
      0x3e019fe9, 0xb43b195f, 0xfd802cee, 0x00000001, 
      0x43018fe9, 0xd445186f, 0xfd802bee, 0x00000001, 
      0x46016fe9, 0x044f178f, 0xfd902aef, 0x00000001, 
      0x4a015fea, 0x245816af, 0xfd9029ef, 0x00000001, 
      0x4e014fea, 0x546115cf, 0xfd9028ef, 0x00000001, 
      0x52012feb, 0x846b14ef, 0xfd9026ef, 0x00000001, 
      0x56011fec, 0xb473140f, 0xfd9025ef, 0x00000001, 
      0x5b010feb, 0xe47c132f, 0xfd9024ef, 0x00000001, 
      0x5f00ffec, 0x1484125f, 0xfda022f0, 0x00000000, 
      0x6300dfec, 0x548d117f, 0xfda021f0, 0x00000000, 
      0x6700cfee, 0x9494109f, 0xfda01ff0, 0x00000000, 
      0x6c00bfee, 0xc49c0fcf, 0xfda01df0, 0x00000000, 
      0x6f009fee, 0x14a40eef, 0xfdb01cf1, 0x00000000, 
      0x74008fee, 0x54ab0e1f, 0xfdb01af1, 0x00000000, 
      0x78007fef, 0xa4b20d4f, 0xfdb018f1, 0x00000fff, 
      0x7c006ff0, 0xe4b80c7f, 0xfdc016f1, 0x00000fff, 
      0x80004ff1, 0x34bf0baf, 0xfdc014f2, 0x00000fff, 
      0x84003ff1, 0x84c50adf, 0xfdd012f2, 0x00000fff, 
      0x88001ff1, 0xe4cb0a1f, 0xfdd010f2, 0x00000fff, 
      0x8d001ff2, 0x34d0094f, 0xfde00df3, 0x00000ffe, 
      0x91000ff2, 0x94d5088f, 0xfde00bf3, 0x00000ffe, 
      0x94ffeff2, 0xf4db07cf, 0xfdf009f3, 0x00000ffe, 
      0x99ffeff3, 0x54df06ff, 0xfdf006f4, 0x00000ffe, 
      0x9dffbff3, 0xc4e4063f, 0xfe0004f4, 0x00000ffe, 
      0xa1ffbff4, 0x24e8058f, 0xfe0001f5, 0x00000ffd, 
      0xa5ff9ff5, 0x94ec04cf, 0xfe1ffef5, 0x00000ffd, 
      0xa9ff8ff4, 0x04f0040f, 0xfe2ffcf6, 0x00000ffd, 
      0xadff8ff5, 0x74f3035f, 0xfe2ff9f6, 0x00000ffc, 
      0xb1ff6ff5, 0xf4f602af, 0xfe3ff6f6, 0x00000ffc, 
      0xb5ff5ff5, 0x64f901ff, 0xfe4ff3f7, 0x00000ffc, 
      0xb9ff3ff6, 0xe4fb014f, 0xfe5ff0f7, 0x00000ffc, 
      0xbdff3ff7, 0x64fd009f, 0xfe5fedf8, 0x00000ffb, 
      0xc0ff2ff7, 0xe4ffffff, 0xfe6feaf8, 0x00000ffb, 
      0xc4ff1ff7, 0x6501ff4f, 0xfe7fe7f9, 0x00000ffb, 
      0xc8ff0ff7, 0xf502feaf, 0xfe8fe4f9, 0x00000ffa, 
      0xcbfeeff9, 0x8503fe0f, 0xfe9fe0fa, 0x00000ffa, 
      0xcffedff8, 0x1504fd6f, 0xfeafddfb, 0x00000ffa, 
      0xd3fedff8, 0xa504fccf, 0xfebfdafb, 0x00000ff9, 
      0xd6febff9, 0x3505fc3f, 0xfecfd6fc, 0x00000ff9, 
      0xdafeaff9, 0xc504fbaf, 0xfedfd3fc, 0x00000ff9, 
      0xddfeaffa, 0x6504fb1f, 0xfedfcffd, 0x00000ff8, 
      0xe0fe9ffb, 0x0503fa8f, 0xfeefcbfe, 0x00000ff8, 
      0xe4fe7ffa, 0xa502f9ff, 0xff0fc8fe, 0x00000ff8, 
      0xe7fe7ffb, 0x4501f96f, 0xff1fc4ff, 0x00000ff7, 
      0xeafe6ffb, 0xf4fff8ef, 0xff2fc0ff, 0x00000ff7, 
      0xedfe5ffb, 0x94fdf86f, 0xff3fbd00, 0x00000ff7, 
      0xf0fe5ffb, 0x44fbf7ef, 0xff4fb901, 0x00000ff6, 
      0xf3fe4ffb, 0xf4f9f76f, 0xff5fb501, 0x00000ff6, 
      0xf6fe3ffc, 0xa4f6f6ff, 0xff6fb102, 0x00000ff5, 
      0xf9fe2ffd, 0x54f3f67f, 0xff7fad03, 0x00000ff5, 
      0xfcfe2ffc, 0x04f0f60f, 0xff8fa904, 0x00000ff5, 
      0xfefe1ffe, 0xc4ecf59f, 0xff9fa504, 0x00000ff4, 
      0x01fe0ffd, 0x84e8f520, 0xffbfa105, 0x00000ff4, 
      0x04fe0ffd, 0x34e4f4c0, 0xffcf9d06, 0x00000ff3, 
      0x06fe0ffe, 0xf4dff450, 0xffdf9906, 0x00000ff3, 
      0x09fdfffd, 0xc4dbf3f0, 0xffef9507, 0x00000ff2, 
      0x0bfdefff, 0x84d5f390, 0xffff9108, 0x00000ff2, 
      0x0dfdefff, 0x44d0f330, 0x001f8d09, 0x00000ff1, 
      0x10fddffe, 0x14cbf2e0, 0x002f880a, 0x00000ff1, 
      0x12fddfff, 0xd4c5f280, 0x003f840a, 0x00000ff1, 
      0x14fdc000, 0xa4bff230, 0x004f800b, 0x00000ff0, 
      0x16fdcfff, 0x74b8f1e0, 0x006f7c0c, 0x00000ff0, 
      0x18fdbfff, 0x44b2f1a0, 0x007f780d, 0x00000fef, 
      0x1afdbfff, 0x14abf150, 0x008f740e, 0x00000fef, 
      0x1cfdafff, 0xf4a4f110, 0x00af6f0e, 0x00000fee, 
      0x1dfdb000, 0xc49cf0c0, 0x00bf6b0f, 0x00000fee, 
      0x1ffda001, 0x9494f090, 0x00cf6710, 0x00000fed, 
      0x21fd9000, 0x748df050, 0x00df6311, 0x00000fed, 
      0x22fda000, 0x5484f010, 0x00ff5f12, 0x00000fec, 
      0x24fd9000, 0x247cefe0, 0x010f5b13, 0x00000fec, 
      0x25fda001, 0x0473efb0, 0x011f5614, 0x00000feb, 
      0x26fd9001, 0xe46bef80, 0x012f5214, 0x00000feb, 
      0x28fd9001, 0xc461ef50, 0x014f4e15, 0x00000fea, 
      0x29fd9001, 0xa458ef20, 0x015f4a16, 0x00000fea, 
      0x2afd9001, 0x844fef00, 0x016f4617, 0x00000fe9, 
      0x2bfd9002, 0x6445eed0, 0x017f4218, 0x00000fe9, 
      0x2cfd8002, 0x543beeb0, 0x019f3e19, 0x00000fe8, 
      0x2dfd8001, 0x3431eea0, 0x01af3a1a, 0x00000fe8, 
      0x2efd9002, 0x1426ee80, 0x01bf361b, 0x00000fe7, 
      0x2ffd8002, 0x041cee60, 0x01cf321c, 0x00000fe7, 
      0x2ffd9002, 0xe411ee50, 0x01df2f1c, 0x00000fe6, 
      0x30fd8001, 0xd406ee40, 0x01ff2b1d, 0x00000fe6, 
      0x31fd8002, 0xb3fbee30, 0x020f271e, 0x00000fe5, 
      0x31fd8002, 0xa3f0ee10, 0x021f241f, 0x00000fe5, 
      0x32fd9002, 0x83e4ee10, 0x022f2020, 0x00000fe4, 
      0x32fd9002, 0x73d8ee10, 0x023f1c21, 0x00000fe4, 
      0x32fd9002, 0x53cdee10, 0x024f1922, 0x00000fe3, 
      0x33fd8002, 0x43c1ee00, 0x025f1623, 0x00000fe3, 
      0x33fda003, 0x23b4ee00, 0x026f1224, 0x00000fe2, 
      0x33fd9003, 0x13a8ee00, 0x027f0f25, 0x00000fe2, 
      0x33fd9002, 0xf39cee10, 0x028f0c25, 0x00000fe2, 
      0x33fda002, 0xe38fee10, 0x029f0926, 0x00000fe1, 
      0x33fda002, 0xc382ee20, 0x02af0627, 0x00000fe1, 
      0x33fda003, 0xa375ee30, 0x02bf0328, 0x00000fe0, 
      0x33fda003, 0x9368ee40, 0x02bf0029, 0x00000fe0, 
      0x33fdb002, 0x735bee50, 0x02cefe2a, 0x00000fdf, 
      0x33fdb002, 0x534eee60, 0x02defb2b, 0x00000fdf, 
      0x32fdb003, 0x4340ee70, 0x02eef82c, 0x00000fdf, 
      0x32fdc003, 0x2333ee80, 0x02eef62d, 0x00000fde, 
      0x32fdc002, 0x0325eea0, 0x02fef42e, 0x00000fde, 
      0x31fdc002, 0xe318eec0, 0x030ef22e, 0x00000fdd, 
      0x31fdc002, 0xc30aeee0, 0x030ef02f, 0x00000fdd,
   },
   { /* Y scale factor = 1.31, phases = 127, taps = 9. */
      0xec030fdd, 0xa30e300e, 0xfdc030ee, 0x00000003, 
      0xee02ffdd, 0x831c2f2e, 0xfdc031ee, 0x00000003, 
      0xf002ffdd, 0x732a2e4e, 0xfdb031ee, 0x00000003, 
      0xf202efdd, 0x53382d6e, 0xfdb032ee, 0x00000003, 
      0xf502dfdd, 0x43452c8e, 0xfdb032ee, 0x00000003, 
      0xf802dfde, 0x23532b9e, 0xfda032ee, 0x00000003, 
      0xfa02cfdf, 0x13602abe, 0xfda032ee, 0x00000003, 
      0xfd02bfdf, 0x036d29ce, 0xfda033ee, 0x00000003, 
      0x0002afdf, 0xf37b28ef, 0xfda033ed, 0x00000002, 
      0x03029fe1, 0xe38827ff, 0xfd9033ed, 0x00000002, 
      0x06029fe0, 0xe394271f, 0xfd9033ed, 0x00000002, 
      0x09028fe1, 0xd3a1262f, 0xfd9033ed, 0x00000002, 
      0x0c026fe1, 0xd3ae254f, 0xfd9033ed, 0x00000002, 
      0x10026fe2, 0xd3ba245f, 0xfd8032ed, 0x00000002, 
      0x13025fe3, 0xd3c6236f, 0xfd8032ed, 0x00000002, 
      0x16024fe2, 0xd3d3228f, 0xfd8032ed, 0x00000002, 
      0x19023fe4, 0xd3de219f, 0xfd8032ed, 0x00000002, 
      0x1d022fe4, 0xe3ea20af, 0xfd8031ed, 0x00000002, 
      0x21020fe4, 0xe3f61fcf, 0xfd8031ed, 0x00000002, 
      0x24020fe5, 0xf4011edf, 0xfd8030ed, 0x00000002, 
      0x2801efe5, 0x040c1dff, 0xfd8030ee, 0x00000002, 
      0x2c01dfe5, 0x14181d0f, 0xfd802fee, 0x00000002, 
      0x3001bfe6, 0x34221c2f, 0xfd802eee, 0x00000002, 
      0x3401bfe6, 0x442d1b3f, 0xfd802dee, 0x00000002, 
      0x37019fe8, 0x64381a5f, 0xfd802cee, 0x00000001, 
      0x3b018fe8, 0x8442196f, 0xfd802cee, 0x00000001, 
      0x3f017fe8, 0xa44c188f, 0xfd802bee, 0x00000001, 
      0x43016fe9, 0xc45617af, 0xfd8029ee, 0x00000001, 
      0x48015fe9, 0xf45f16bf, 0xfd8028ee, 0x00000001, 
      0x4c013fea, 0x146915df, 0xfd8027ef, 0x00000001, 
      0x50012fea, 0x447214ff, 0xfd8026ef, 0x00000001, 
      0x54011feb, 0x747b141f, 0xfd8024ef, 0x00000001, 
      0x58010fec, 0xa483133f, 0xfd9023ef, 0x00000000, 
      0x5c00efec, 0xe48c125f, 0xfd9022ef, 0x00000000, 
      0x6000dfed, 0x1494118f, 0xfd9020f0, 0x00000000, 
      0x6500cfed, 0x549c10af, 0xfd901ef0, 0x00000000, 
      0x6900afed, 0x94a40fcf, 0xfda01df0, 0x00000000, 
      0x6d009fee, 0xd4ab0eff, 0xfda01bf0, 0x00000000, 
      0x72008fef, 0x24b20e1f, 0xfda019f1, 0x00000fff, 
      0x76007fef, 0x64b90d4f, 0xfdb017f1, 0x00000fff, 
      0x7a005ff0, 0xb4c00c7f, 0xfdb015f1, 0x00000fff, 
      0x7e004ff0, 0x04c60baf, 0xfdc013f2, 0x00000fff, 
      0x82003ff0, 0x54cd0adf, 0xfdc011f2, 0x00000fff, 
      0x86001ff1, 0xb4d30a0f, 0xfdc00ff2, 0x00000fff, 
      0x8b000ff1, 0x04d8094f, 0xfdd00df3, 0x00000ffe, 
      0x8ffffff2, 0x64de087f, 0xfdd00af3, 0x00000ffe, 
      0x93ffdff2, 0xc4e307bf, 0xfde008f3, 0x00000ffe, 
      0x97ffcff3, 0x24e706ff, 0xfdf005f4, 0x00000ffe, 
      0x9bffbff3, 0x94ec063f, 0xfdf003f4, 0x00000ffd, 
      0x9fffaff4, 0xf4f0057f, 0xfe0000f4, 0x00000ffd, 
      0xa4ff9ff4, 0x64f404bf, 0xfe0ffdf5, 0x00000ffd, 
      0xa7ff8ff4, 0xd4f803ff, 0xfe1ffbf5, 0x00000ffd, 
      0xabff7ff5, 0x44fb034f, 0xfe2ff8f6, 0x00000ffc, 
      0xafff5ff6, 0xc4fe029f, 0xfe2ff5f6, 0x00000ffc, 
      0xb3ff4ff6, 0x450101df, 0xfe3ff2f7, 0x00000ffc, 
      0xb8ff4ff6, 0xb503012f, 0xfe4feff7, 0x00000ffb, 
      0xbbff2ff6, 0x3506008f, 0xfe5fecf8, 0x00000ffb, 
      0xbfff0ff6, 0xc508ffdf, 0xfe6fe9f8, 0x00000ffb, 
      0xc3fefff7, 0x4509ff3f, 0xfe6fe6f9, 0x00000ffb, 
      0xc6fefff8, 0xd50bfe8f, 0xfe7fe2f9, 0x00000ffa, 
      0xcafeeff8, 0x550cfdef, 0xfe8fdffa, 0x00000ffa, 
      0xcefedff8, 0xe50cfd4f, 0xfe9fdcfa, 0x00000ffa, 
      0xd1fecff9, 0x850dfcaf, 0xfeafd8fb, 0x00000ff9, 
      0xd5febff8, 0x150dfc1f, 0xfebfd5fc, 0x00000ff9, 
      0xd8feaff9, 0xa50dfb8f, 0xfecfd1fc, 0x00000ff9, 
      0xdcfe9ffa, 0x450cfaef, 0xfedfcefd, 0x00000ff8, 
      0xdffe8ffa, 0xe50cfa5f, 0xfeefcafd, 0x00000ff8, 
      0xe2fe7ffb, 0x850bf9df, 0xfeffc6fe, 0x00000ff7, 
      0xe6fe6ffa, 0x3509f94f, 0xff0fc3ff, 0x00000ff7, 
      0xe9fe5ffa, 0xd508f8cf, 0xff1fbfff, 0x00000ff7, 
      0xecfe5ffb, 0x8506f83f, 0xff2fbb00, 0x00000ff6, 
      0xf0fe4ffc, 0x2503f7bf, 0xff3fb701, 0x00000ff6, 
      0xf2fe3ffc, 0xd501f74f, 0xff4fb301, 0x00000ff6, 
      0xf5fe2ffd, 0x94fef6cf, 0xff5faf02, 0x00000ff5, 
      0xf8fe2ffc, 0x44fbf64f, 0xff7fab03, 0x00000ff5, 
      0xfbfe1ffd, 0xf4f8f5df, 0xff8fa703, 0x00000ff4, 
      0xfdfe1ffd, 0xb4f4f56f, 0xff9fa304, 0x00000ff4, 
      0x00fe0ffe, 0x74f0f4f0, 0xffaf9f05, 0x00000ff3, 
      0x03fdfffd, 0x34ecf490, 0xffbf9b06, 0x00000ff3, 
      0x05fdfffe, 0xf4e7f420, 0xffcf9706, 0x00000ff3, 
      0x08fdeffd, 0xb4e3f3c0, 0xffef9307, 0x00000ff2, 
      0x0afddffe, 0x74def360, 0xffff8f08, 0x00000ff2, 
      0x0dfddffe, 0x44d8f300, 0x000f8b09, 0x00000ff1, 
      0x0ffdcfff, 0x04d3f2b0, 0x001f860a, 0x00000ff1, 
      0x11fdcfff, 0xd4cdf250, 0x003f820a, 0x00000ff0, 
      0x13fdcfff, 0xa4c6f200, 0x004f7e0b, 0x00000ff0, 
      0x15fdb000, 0x74c0f1b0, 0x005f7a0c, 0x00000fef, 
      0x17fdb000, 0x44b9f160, 0x006f760d, 0x00000fef, 
      0x19fdb000, 0x14b2f120, 0x008f710e, 0x00000fee, 
      0x1bfda000, 0xf4abf0d0, 0x009f6d0e, 0x00000fee, 
      0x1dfda000, 0xc4a4f090, 0x00af690f, 0x00000fed, 
      0x1efd9000, 0xa49cf050, 0x00cf6510, 0x00000fed, 
      0x20fd9001, 0x8494f010, 0x00df6011, 0x00000fec, 
      0x22fd9000, 0x548cefe0, 0x00ef5c12, 0x00000fec, 
      0x24fd9001, 0x3483efa0, 0x00ff5813, 0x00000feb, 
      0x24fd8001, 0x147bef70, 0x011f5414, 0x00000feb, 
      0x26fd8001, 0xf472ef40, 0x012f5014, 0x00000fea, 
      0x27fd8001, 0xd469ef10, 0x013f4c15, 0x00000fea, 
      0x28fd8001, 0xb45feef0, 0x015f4816, 0x00000fe9, 
      0x29fd8001, 0xa456eec0, 0x016f4317, 0x00000fe9, 
      0x2bfd8001, 0x844ceea0, 0x017f3f18, 0x00000fe8, 
      0x2cfd8001, 0x6442ee80, 0x018f3b19, 0x00000fe8, 
      0x2cfd8002, 0x5438ee60, 0x019f371a, 0x00000fe7, 
      0x2dfd8001, 0x342dee40, 0x01bf341b, 0x00000fe7, 
      0x2efd8001, 0x2422ee30, 0x01cf301c, 0x00000fe6, 
      0x2ffd8001, 0x0418ee10, 0x01df2c1d, 0x00000fe6, 
      0x30fd8002, 0xf40cee00, 0x01ef281d, 0x00000fe5, 
      0x31fd8002, 0xd401edf0, 0x01ff241e, 0x00000fe5, 
      0x31fd8002, 0xc3f6ede0, 0x020f211f, 0x00000fe4, 
      0x31fd8002, 0xa3eaede0, 0x022f1d20, 0x00000fe4, 
      0x32fd8003, 0x93deedd0, 0x023f1921, 0x00000fe3, 
      0x31fd8002, 0x83d3edd0, 0x024f1622, 0x00000fe3, 
      0x32fd8003, 0x63c6edd0, 0x025f1323, 0x00000fe2, 
      0x32fd8003, 0x53baedd0, 0x026f0f24, 0x00000fe2, 
      0x32fd8002, 0x43aeedd0, 0x027f0c25, 0x00000fe2, 
      0x33fd9002, 0x23a1edd0, 0x028f0926, 0x00000fe1, 
      0x32fd9002, 0x1394ede0, 0x029f0627, 0x00000fe1, 
      0x33fd9003, 0xf388ede0, 0x029f0327, 0x00000fe0, 
      0x33fd9002, 0xe37bedf0, 0x02af0028, 0x00000fe0, 
      0x33fda003, 0xc36dee00, 0x02befd29, 0x00000fdf, 
      0x32fda003, 0xb360ee10, 0x02cefa2a, 0x00000fdf, 
      0x32fda003, 0x9353ee20, 0x02def82b, 0x00000fde, 
      0x32fdb002, 0x8345ee40, 0x02def52c, 0x00000fde, 
      0x31fdb002, 0x6338ee50, 0x02eef32d, 0x00000fde, 
      0x31fdb003, 0x432aee70, 0x02fef02e, 0x00000fdd, 
      0x31fdc003, 0x231cee80, 0x02feee2f, 0x00000fdd, 
      0x30fdd003, 0x030eeea0, 0x030eec30, 0x00000fdc,
   },
   { /* Y scale factor = 1.32, phases = 127, taps = 9. */
      0xe902ffdc, 0x7313305e, 0xfdb030ee, 0x00000002, 
      0xeb02ffdc, 0x53212f7e, 0xfdb030ee, 0x00000002, 
      0xed02efdd, 0x332f2e8e, 0xfdb031ee, 0x00000002, 
      0xef02efde, 0x133d2dae, 0xfda031ee, 0x00000002, 
      0xf202dfdd, 0x034a2cce, 0xfda032ee, 0x00000002, 
      0xf402cfde, 0xf3582bde, 0xfda032ed, 0x00000002, 
      0xf702cfde, 0xd3652afe, 0xfda032ed, 0x00000002, 
      0xfa02bfdf, 0xc3732a0e, 0xfd9032ed, 0x00000002, 
      0xfd02afe0, 0xb380291e, 0xfd9032ed, 0x00000002, 
      0xff029fe0, 0xb38d283e, 0xfd9032ed, 0x00000002, 
      0x02029fe1, 0xa39a274f, 0xfd8032ed, 0x00000002, 
      0x06027fe1, 0xa3a7265f, 0xfd8032ed, 0x00000002, 
      0x09026fe2, 0x93b3257f, 0xfd8032ed, 0x00000002, 
      0x0c025fe2, 0x93c0248f, 0xfd8032ed, 0x00000002, 
      0x0f025fe2, 0x93cc239f, 0xfd8032ed, 0x00000002, 
      0x13023fe3, 0x93d922af, 0xfd8031ed, 0x00000002, 
      0x16022fe3, 0xa3e521cf, 0xfd7031ed, 0x00000002, 
      0x1a021fe4, 0xa3f020df, 0xfd7031ed, 0x00000002, 
      0x1e020fe4, 0xb3fc1fef, 0xfd7030ed, 0x00000002, 
      0x2101ffe4, 0xc4081eff, 0xfd7030ed, 0x00000002, 
      0x2501efe4, 0xd4131e1f, 0xfd702fed, 0x00000002, 
      0x2901dfe5, 0xe41e1d2f, 0xfd702eed, 0x00000002, 
      0x2d01bfe6, 0xf4291c3f, 0xfd702eed, 0x00000002, 
      0x3101afe6, 0x14341b5f, 0xfd702dee, 0x00000001, 
      0x3501afe7, 0x243e1a6f, 0xfd702cee, 0x00000001, 
      0x39018fe7, 0x4449198f, 0xfd702bee, 0x00000001, 
      0x3d017fe8, 0x6453189f, 0xfd702aee, 0x00000001, 
      0x41015fe8, 0x945d17bf, 0xfd7029ee, 0x00000001, 
      0x45014fe9, 0xb46616df, 0xfd7028ee, 0x00000001, 
      0x49013fe9, 0xe47015ef, 0xfd7027ee, 0x00000001, 
      0x4d011fea, 0x1479150f, 0xfd8025ef, 0x00000001, 
      0x51010fea, 0x4482142f, 0xfd8024ef, 0x00000001, 
      0x5600ffeb, 0x748b134f, 0xfd8022ef, 0x00000000, 
      0x5a00efec, 0xa493126f, 0xfd8021ef, 0x00000000, 
      0x5e00cfed, 0xe49c118f, 0xfd801fef, 0x00000000, 
      0x6200bfec, 0x24a410af, 0xfd901ef0, 0x00000000, 
      0x67009fed, 0x64ab0fdf, 0xfd901cf0, 0x00000000, 
      0x6b009fed, 0xa4b30eff, 0xfd901af0, 0x00000000, 
      0x6f007fef, 0xe4ba0e2f, 0xfda018f0, 0x00000fff, 
      0x74006fef, 0x34c10d4f, 0xfda016f1, 0x00000fff, 
      0x78005fef, 0x84c80c7f, 0xfda014f1, 0x00000fff, 
      0x7c003ff0, 0xd4ce0baf, 0xfdb012f1, 0x00000fff, 
      0x80002ff0, 0x24d50adf, 0xfdb010f2, 0x00000fff, 
      0x84001ff0, 0x84db0a0f, 0xfdc00ef2, 0x00000ffe, 
      0x89000ff1, 0xd4e0093f, 0xfdc00cf2, 0x00000ffe, 
      0x8dffeff1, 0x34e6087f, 0xfdd009f3, 0x00000ffe, 
      0x91ffdff2, 0x94eb07af, 0xfdd007f3, 0x00000ffe, 
      0x95ffcff3, 0xf4f006ef, 0xfde004f3, 0x00000ffd, 
      0x99ffbff3, 0x64f4062f, 0xfde002f4, 0x00000ffd, 
      0x9dff9ff4, 0xd4f8056f, 0xfdfffff4, 0x00000ffd, 
      0xa2ff8ff4, 0x34fc04af, 0xfe0ffcf5, 0x00000ffd, 
      0xa6ff7ff5, 0xa50003ef, 0xfe0ffaf5, 0x00000ffc, 
      0xaaff6ff4, 0x2503033f, 0xfe1ff7f6, 0x00000ffc, 
      0xaeff5ff4, 0x9507027f, 0xfe2ff4f6, 0x00000ffc, 
      0xb2ff3ff5, 0x150901cf, 0xfe3ff1f7, 0x00000ffc, 
      0xb6ff3ff5, 0x950c011f, 0xfe3feef7, 0x00000ffb, 
      0xb9ff1ff7, 0x150e006f, 0xfe4febf8, 0x00000ffb, 
      0xbdff0ff7, 0x9510ffbf, 0xfe5fe8f8, 0x00000ffb, 
      0xc1fefff7, 0x2512ff1f, 0xfe6fe4f9, 0x00000ffa, 
      0xc5feeff7, 0xa513fe7f, 0xfe7fe1f9, 0x00000ffa, 
      0xc9fedff8, 0x3514fdcf, 0xfe7fdefa, 0x00000ffa, 
      0xcdfedff8, 0xc515fd2f, 0xfe8fdafa, 0x00000ff9, 
      0xd0febff9, 0x5515fc9f, 0xfe9fd7fb, 0x00000ff9, 
      0xd3febff9, 0xf515fbff, 0xfeafd3fb, 0x00000ff9, 
      0xd7fe9ffa, 0x9515fb5f, 0xfebfd0fc, 0x00000ff8, 
      0xdafe9ffa, 0x2515facf, 0xfecfccfd, 0x00000ff8, 
      0xdefe7ffa, 0xc514fa3f, 0xfedfc9fd, 0x00000ff8, 
      0xe1fe7ffa, 0x7513f9af, 0xfeefc5fe, 0x00000ff7, 
      0xe4fe6ffa, 0x1512f92f, 0xfeffc1ff, 0x00000ff7, 
      0xe8fe5ffb, 0xb510f8af, 0xff0fbdff, 0x00000ff6, 
      0xebfe5ffb, 0x650ef81f, 0xff1fb900, 0x00000ff6, 
      0xedfe3ffb, 0x150cf79f, 0xff3fb601, 0x00000ff6, 
      0xf1fe3ffb, 0xc509f71f, 0xff4fb201, 0x00000ff5, 
      0xf4fe2ffb, 0x7507f69f, 0xff5fae02, 0x00000ff5, 
      0xf7fe1ffc, 0x3503f62f, 0xff6faa03, 0x00000ff4, 
      0xfafe0ffd, 0xe500f5af, 0xff7fa603, 0x00000ff4, 
      0xfcfe0ffd, 0xa4fcf53f, 0xff8fa204, 0x00000ff4, 
      0xfffe0ffd, 0x64f8f4df, 0xff9f9d05, 0x00000ff3, 
      0x02fdeffd, 0x24f4f460, 0xffbf9906, 0x00000ff3, 
      0x04fdeffe, 0xe4f0f3f0, 0xffcf9506, 0x00000ff2, 
      0x07fddffe, 0xa4ebf390, 0xffdf9107, 0x00000ff2, 
      0x09fddffe, 0x74e6f330, 0xffef8d08, 0x00000ff1, 
      0x0cfdcffe, 0x34e0f2d0, 0x000f8909, 0x00000ff1, 
      0x0efdcffe, 0x04dbf280, 0x001f840a, 0x00000ff0, 
      0x10fdbfff, 0xd4d5f220, 0x002f800a, 0x00000ff0, 
      0x13fdbfff, 0xa4cef1d0, 0x003f7c0b, 0x00000fef, 
      0x14fdafff, 0x74c8f180, 0x005f780c, 0x00000fef, 
      0x16fda000, 0x44c1f130, 0x006f730d, 0x00000fef, 
      0x18fda000, 0x24baf0e0, 0x007f6f0e, 0x00000fee, 
      0x1afd9fff, 0xf4b3f0a0, 0x009f6b0e, 0x00000fee, 
      0x1cfd9fff, 0xd4abf060, 0x00af670f, 0x00000fed, 
      0x1efd9fff, 0xa4a4f020, 0x00bf6210, 0x00000fed, 
      0x1ffd8001, 0x849cefe0, 0x00cf5e11, 0x00000fec, 
      0x21fd8000, 0x6493efa0, 0x00ef5a12, 0x00000fec, 
      0x22fd8000, 0x448bef70, 0x00ff5613, 0x00000feb, 
      0x24fd8000, 0x2482ef40, 0x010f5114, 0x00000feb, 
      0x25fd8000, 0x0479ef10, 0x012f4d15, 0x00000fea, 
      0x27fd7000, 0xe470eee0, 0x013f4915, 0x00000fea, 
      0x28fd7001, 0xd466eeb0, 0x014f4516, 0x00000fe9, 
      0x28fd7001, 0xb45dee90, 0x015f4117, 0x00000fe9, 
      0x2afd7001, 0x9453ee60, 0x017f3d18, 0x00000fe8, 
      0x2bfd7001, 0x8449ee40, 0x018f3919, 0x00000fe7, 
      0x2cfd7002, 0x643eee20, 0x019f351a, 0x00000fe7, 
      0x2dfd7001, 0x5434ee10, 0x01af311b, 0x00000fe6, 
      0x2efd7002, 0x3429edf0, 0x01bf2d1c, 0x00000fe6, 
      0x2efd7002, 0x241eede0, 0x01df291d, 0x00000fe5, 
      0x2ffd7001, 0x1413edd0, 0x01ef251e, 0x00000fe5, 
      0x30fd7002, 0xf408edc0, 0x01ff211e, 0x00000fe4, 
      0x30fd7002, 0xe3fcedb0, 0x020f1e1f, 0x00000fe4, 
      0x31fd8002, 0xd3f0eda0, 0x021f1a20, 0x00000fe3, 
      0x31fd7002, 0xc3e5eda0, 0x022f1621, 0x00000fe3, 
      0x31fd8003, 0xa3d9ed90, 0x023f1322, 0x00000fe2, 
      0x32fd8003, 0x93cced90, 0x024f0f23, 0x00000fe2, 
      0x32fd8002, 0x83c0ed90, 0x025f0c24, 0x00000fe2, 
      0x32fd8003, 0x73b3ed90, 0x026f0925, 0x00000fe1, 
      0x32fd8002, 0x53a7eda0, 0x027f0626, 0x00000fe1, 
      0x32fd9003, 0x439aeda0, 0x028f0227, 0x00000fe0, 
      0x32fd9002, 0x338dedb0, 0x029eff28, 0x00000fe0, 
      0x32fd9003, 0x1380edb0, 0x02aefd29, 0x00000fdf, 
      0x32fd9002, 0x0373edc0, 0x02befa2a, 0x00000fdf, 
      0x32fda002, 0xf365edd0, 0x02cef72a, 0x00000fde, 
      0x32fda002, 0xd358edf0, 0x02cef42b, 0x00000fde, 
      0x32fda002, 0xc34aee00, 0x02def22c, 0x00000fdd, 
      0x31fda003, 0xa33dee10, 0x02eeef2d, 0x00000fdd, 
      0x31fdb002, 0x832fee30, 0x02eeed2e, 0x00000fdd, 
      0x30fdb002, 0x7321ee50, 0x02feeb2f, 0x00000fdc, 
      0x30fdb002, 0x5313ee70, 0x02fee930, 0x00000fdc,
   },
   { /* Y scale factor = 1.33, phases = 127, taps = 9. */
      0xe502ffdc, 0x3317309e, 0xfdb030ee, 0x00000002, 
      0xe702ffdb, 0x13262fbe, 0xfdb030ee, 0x00000002, 
      0xe902efdd, 0xf3342ede, 0xfda030ed, 0x00000002, 
      0xec02dfdd, 0xe3412dee, 0xfda031ed, 0x00000002, 
      0xee02dfdd, 0xc34f2d0e, 0xfda031ed, 0x00000002, 
      0xf102cfde, 0xb35d2c1e, 0xfd9031ed, 0x00000002, 
      0xf402bfdd, 0xa36b2b2e, 0xfd9032ed, 0x00000002, 
      0xf602afde, 0x93782a4e, 0xfd9032ed, 0x00000002, 
      0xf902afdf, 0x8385295e, 0xfd8032ed, 0x00000002, 
      0xfc029fdf, 0x7393286e, 0xfd8032ed, 0x00000002, 
      0xff028fe0, 0x63a0277e, 0xfd8032ed, 0x00000002, 
      0x02027fe0, 0x63ac269f, 0xfd8032ed, 0x00000002, 
      0x06026fe0, 0x63b925af, 0xfd7032ed, 0x00000002, 
      0x09025fe1, 0x53c624bf, 0xfd7032ed, 0x00000002, 
      0x0d024fe2, 0x53d223cf, 0xfd7031ed, 0x00000002, 
      0x10022fe2, 0x63df22df, 0xfd7031ed, 0x00000002, 
      0x13022fe2, 0x63eb21ef, 0xfd7031ed, 0x00000002, 
      0x17021fe3, 0x63f720ff, 0xfd7030ed, 0x00000002, 
      0x1a01ffe3, 0x7403201f, 0xfd7030ed, 0x00000002, 
      0x1e01ffe4, 0x840e1f2f, 0xfd602fed, 0x00000002, 
      0x2201dfe4, 0x941a1e3f, 0xfd602fed, 0x00000002, 
      0x2601cfe5, 0xa4251d4f, 0xfd602eed, 0x00000002, 
      0x2a01cfe6, 0xb4301c5f, 0xfd602ded, 0x00000001, 
      0x2e01afe6, 0xd43b1b7f, 0xfd602ced, 0x00000001, 
      0x32019fe7, 0xf4451a8f, 0xfd602bed, 0x00000001, 
      0x36017fe7, 0x1450199f, 0xfd602bee, 0x00000001, 
      0x3a016fe8, 0x345a18bf, 0xfd6029ee, 0x00000001, 
      0x3e015fe8, 0x546417cf, 0xfd7028ee, 0x00000001, 
      0x42014fe8, 0x746e16ef, 0xfd7027ee, 0x00000001, 
      0x46012fea, 0xa47715ff, 0xfd7026ee, 0x00000001, 
      0x4b011fe9, 0xd480151f, 0xfd7025ee, 0x00000001, 
      0x4f010feb, 0x0489143f, 0xfd7023ef, 0x00000000, 
      0x5300ffeb, 0x3492135f, 0xfd7022ef, 0x00000000, 
      0x5700dfec, 0x749b127f, 0xfd7020ef, 0x00000000, 
      0x5c00cfeb, 0xa4a3119f, 0xfd801fef, 0x00000000, 
      0x6000bfec, 0xe4ab10bf, 0xfd801def, 0x00000000, 
      0x6400afed, 0x24b30fdf, 0xfd801bf0, 0x00000000, 
      0x68008fed, 0x74bb0eff, 0xfd901af0, 0x00000fff, 
      0x6d007fed, 0xb4c20e2f, 0xfd9018f0, 0x00000fff, 
      0x71005fef, 0x04c90d4f, 0xfd9016f1, 0x00000fff, 
      0x75004fee, 0x54d00c7f, 0xfda014f1, 0x00000fff, 
      0x7a002fef, 0xa4d60baf, 0xfda012f1, 0x00000fff, 
      0x7e002fef, 0xf4dd0adf, 0xfdb00ff1, 0x00000ffe, 
      0x82000ff1, 0x44e30a0f, 0xfdb00df2, 0x00000ffe, 
      0x87fffff0, 0xa4e8093f, 0xfdc00bf2, 0x00000ffe, 
      0x8bffeff1, 0x04ee086f, 0xfdc008f3, 0x00000ffe, 
      0x8fffcff1, 0x64f307af, 0xfdd006f3, 0x00000ffe, 
      0x94ffcff2, 0xc4f806df, 0xfdd003f3, 0x00000ffd, 
      0x97ffaff3, 0x34fc061f, 0xfde001f4, 0x00000ffd, 
      0x9cff9ff2, 0xa501055f, 0xfdeffef4, 0x00000ffd, 
      0xa0ff8ff3, 0x0505049f, 0xfdfffbf5, 0x00000ffd, 
      0xa4ff7ff3, 0x850803df, 0xfe0ff9f5, 0x00000ffc, 
      0xa8ff5ff5, 0xf50c031f, 0xfe0ff6f5, 0x00000ffc, 
      0xacff4ff5, 0x650f026f, 0xfe1ff3f6, 0x00000ffc, 
      0xb0ff3ff5, 0xe51201bf, 0xfe2ff0f6, 0x00000ffb, 
      0xb4ff2ff5, 0x6514010f, 0xfe3fedf7, 0x00000ffb, 
      0xb8ff1ff5, 0xe517005f, 0xfe3feaf7, 0x00000ffb, 
      0xbcfefff6, 0x7519ffaf, 0xfe4fe6f8, 0x00000ffb, 
      0xc0fefff7, 0xf51afeff, 0xfe5fe3f8, 0x00000ffa, 
      0xc3fedff7, 0x851cfe5f, 0xfe6fe0f9, 0x00000ffa, 
      0xc7fecff7, 0x151dfdaf, 0xfe7fddfa, 0x00000ffa, 
      0xcbfecff8, 0xa51dfd0f, 0xfe8fd9fa, 0x00000ff9, 
      0xcefeaff8, 0x351efc7f, 0xfe9fd6fb, 0x00000ff9, 
      0xd2feaff8, 0xd51efbdf, 0xfeafd2fb, 0x00000ff8, 
      0xd6fe9ff8, 0x751efb3f, 0xfebfcefc, 0x00000ff8, 
      0xd9fe8ff9, 0x051dfaaf, 0xfecfcbfd, 0x00000ff8, 
      0xddfe7ff9, 0xa51dfa1f, 0xfedfc7fd, 0x00000ff7, 
      0xe0fe6ff9, 0x551cf98f, 0xfeefc3fe, 0x00000ff7, 
      0xe3fe5ffa, 0xf51af8ff, 0xfeffc0fe, 0x00000ff7, 
      0xe6fe4ffa, 0xa519f87f, 0xff0fbcff, 0x00000ff6, 
      0xeafe3ffa, 0x5517f7ef, 0xff1fb800, 0x00000ff6, 
      0xedfe3ffb, 0x0514f76f, 0xff2fb401, 0x00000ff5, 
      0xf0fe2ffb, 0xb512f6ef, 0xff3fb001, 0x00000ff5, 
      0xf3fe1ffc, 0x650ff66f, 0xff4fac02, 0x00000ff5, 
      0xf6fe1ffc, 0x150cf5ff, 0xff5fa803, 0x00000ff4, 
      0xf9fdfffc, 0xd508f58f, 0xff7fa403, 0x00000ff4, 
      0xfbfdfffd, 0x9505f50f, 0xff8fa004, 0x00000ff3, 
      0xfefdeffc, 0x5501f4af, 0xff9f9c05, 0x00000ff3, 
      0x01fdeffe, 0x14fcf430, 0xffaf9706, 0x00000ff2, 
      0x03fdeffe, 0xd4f8f3c0, 0xffbf9306, 0x00000ff2, 
      0x06fdcffd, 0xa4f3f360, 0xffdf8f07, 0x00000ff2, 
      0x08fdcffe, 0x64eef300, 0xffef8b08, 0x00000ff1, 
      0x0bfdbffe, 0x34e8f2a0, 0xffff8709, 0x00000ff1, 
      0x0dfdbfff, 0x04e3f240, 0x000f820a, 0x00000ff0, 
      0x0ffdaffe, 0xd4ddf1f0, 0x002f7e0a, 0x00000ff0, 
      0x12fdaffe, 0xa4d6f1a0, 0x003f7a0b, 0x00000fef, 
      0x14fdaffe, 0x74d0f150, 0x004f750c, 0x00000fef, 
      0x16fd9000, 0x44c9f100, 0x005f710d, 0x00000fee, 
      0x18fd8fff, 0x24c2f0b0, 0x007f6d0e, 0x00000fee, 
      0x1afd9fff, 0xf4bbf070, 0x008f680e, 0x00000fed, 
      0x1bfd9000, 0xd4b3f020, 0x009f640f, 0x00000fed, 
      0x1dfd8000, 0xb4abefe0, 0x00bf6010, 0x00000fec, 
      0x1ffd8fff, 0x94a3efa0, 0x00cf5c11, 0x00000fec, 
      0x20fd7001, 0x749bef70, 0x00df5712, 0x00000feb, 
      0x22fd7000, 0x5492ef30, 0x00ff5313, 0x00000feb, 
      0x23fd7001, 0x3489ef00, 0x010f4f14, 0x00000fea, 
      0x25fd7000, 0x1480eed0, 0x011f4b15, 0x00000fea, 
      0x26fd7001, 0xf477eeb0, 0x012f4615, 0x00000fe9, 
      0x27fd7000, 0xe46eee70, 0x014f4216, 0x00000fe9, 
      0x28fd7001, 0xc464ee50, 0x015f3e17, 0x00000fe8, 
      0x29fd6001, 0xb45aee30, 0x016f3a18, 0x00000fe8, 
      0x2bfd6001, 0x9450ee10, 0x017f3619, 0x00000fe7, 
      0x2bfd6001, 0x8445edf0, 0x019f321a, 0x00000fe7, 
      0x2cfd6001, 0x743bedd0, 0x01af2e1b, 0x00000fe6, 
      0x2dfd6002, 0x5430edb0, 0x01bf2a1c, 0x00000fe6, 
      0x2efd6002, 0x4425eda0, 0x01cf261d, 0x00000fe5, 
      0x2ffd6001, 0x341aed90, 0x01df221e, 0x00000fe5, 
      0x2ffd6002, 0x240eed80, 0x01ff1e1f, 0x00000fe4, 
      0x2ffd6001, 0x1403ed70, 0x020f1b20, 0x00000fe4, 
      0x30fd7002, 0xf3f7ed60, 0x021f1720, 0x00000fe3, 
      0x31fd7001, 0xe3ebed60, 0x022f1321, 0x00000fe3, 
      0x31fd6002, 0xd3dfed60, 0x023f1022, 0x00000fe2, 
      0x31fd7003, 0xc3d2ed50, 0x024f0c23, 0x00000fe2, 
      0x32fd7002, 0xb3c6ed50, 0x025f0924, 0x00000fe1, 
      0x31fd7002, 0xa3b9ed60, 0x026f0625, 0x00000fe1, 
      0x32fd8002, 0x93aced60, 0x027f0226, 0x00000fe0, 
      0x32fd8002, 0x73a0ed60, 0x028eff27, 0x00000fe0, 
      0x32fd8002, 0x6393ed70, 0x029efc28, 0x00000fdf, 
      0x32fd8002, 0x5385ed80, 0x02aef929, 0x00000fdf, 
      0x32fd9002, 0x4378ed90, 0x02aef62a, 0x00000fde, 
      0x32fd8002, 0x236beda0, 0x02bef42b, 0x00000fde, 
      0x31fd9003, 0x135dedb0, 0x02cef12c, 0x00000fdd, 
      0x31fda002, 0x034fedc0, 0x02deee2d, 0x00000fdd, 
      0x31fda003, 0xe341ede0, 0x02deec2d, 0x00000fdc, 
      0x30fda003, 0xd334edf0, 0x02eee92e, 0x00000fdc, 
      0x30fda002, 0xb326ee10, 0x02fee72f, 0x00000fdc, 
      0x30fdb003, 0x9317ee30, 0x02fee530, 0x00000fdb,
   },
   { /* Y scale factor = 1.34, phases = 127, taps = 9. */
      0xe202ffdb, 0xf31c30ee, 0xfda02fed, 0x00000002, 
      0xe402efdb, 0xe32a2ffe, 0xfda030ed, 0x00000002, 
      0xe602efdb, 0xc3382f1e, 0xfda030ed, 0x00000002, 
      0xe902dfdc, 0xa3462e3e, 0xfd9030ed, 0x00000002, 
      0xeb02cfdc, 0x93542d4e, 0xfd9031ed, 0x00000002, 
      0xed02cfdd, 0x73622c5e, 0xfd9031ed, 0x00000002, 
      0xf002bfde, 0x63702b6e, 0xfd8031ed, 0x00000002, 
      0xf302bfde, 0x537d2a7e, 0xfd8031ed, 0x00000002, 
      0xf5029fde, 0x438b299e, 0xfd8032ed, 0x00000002, 
      0xf9028fdf, 0x339828ae, 0xfd7032ed, 0x00000002, 
      0xfc027fdf, 0x33a527be, 0xfd7032ed, 0x00000002, 
      0xff027fe0, 0x23b226ce, 0xfd7031ed, 0x00000002, 
      0x02026fe0, 0x23bf25df, 0xfd7031ed, 0x00000002, 
      0x06024fe0, 0x23cc24ef, 0xfd7031ed, 0x00000002, 
      0x09024fe1, 0x23d823ff, 0xfd6031ed, 0x00000002, 
      0x0d022fe1, 0x23e5230f, 0xfd6031ed, 0x00000002, 
      0x10021fe3, 0x23f1221f, 0xfd6030ed, 0x00000002, 
      0x14020fe2, 0x33fd212f, 0xfd6030ed, 0x00000002, 
      0x1801ffe3, 0x3409203f, 0xfd602fed, 0x00000002, 
      0x1b01efe3, 0x44151f4f, 0xfd602fed, 0x00000002, 
      0x1f01dfe4, 0x54201e5f, 0xfd602eed, 0x00000002, 
      0x2301cfe5, 0x642c1d6f, 0xfd602ded, 0x00000001, 
      0x2701afe5, 0x84371c7f, 0xfd602ded, 0x00000001, 
      0x2b019fe5, 0x94421b9f, 0xfd602ced, 0x00000001, 
      0x2f018fe6, 0xb44c1aaf, 0xfd602bed, 0x00000001, 
      0x33017fe6, 0xd45719bf, 0xfd602aed, 0x00000001, 
      0x37016fe7, 0xf46118cf, 0xfd6029ed, 0x00000001, 
      0x3b014fe8, 0x146b17ef, 0xfd6028ee, 0x00000001, 
      0x3f013fe8, 0x447516ff, 0xfd6027ee, 0x00000001, 
      0x44012fe8, 0x647f161f, 0xfd6025ee, 0x00000001, 
      0x48011fea, 0x9488152f, 0xfd6024ee, 0x00000000, 
      0x4c010fea, 0xc491144f, 0xfd6023ee, 0x00000000, 
      0x5000efea, 0x049a136f, 0xfd7021ef, 0x00000000, 
      0x5500dfea, 0x34a3127f, 0xfd7020ef, 0x00000000, 
      0x5900bfec, 0x74ab119f, 0xfd701eef, 0x00000000, 
      0x5d00bfec, 0xb4b310bf, 0xfd701cef, 0x00000000, 
      0x62009fec, 0xf4bb0fdf, 0xfd801bef, 0x00000fff, 
      0x66008fec, 0x34c30f0f, 0xfd8019f0, 0x00000fff, 
      0x6a006fee, 0x84ca0e2f, 0xfd8017f0, 0x00000fff, 
      0x6f005fee, 0xc4d10d4f, 0xfd9015f0, 0x00000fff, 
      0x73004fee, 0x14d80c7f, 0xfd9013f1, 0x00000fff, 
      0x77002fef, 0x64df0baf, 0xfd9011f1, 0x00000fff, 
      0x7c001fef, 0xc4e50acf, 0xfda00ff1, 0x00000ffe, 
      0x81000ff0, 0x14eb09ff, 0xfda00cf2, 0x00000ffe, 
      0x84fffff0, 0x74f1092f, 0xfdb00af2, 0x00000ffe, 
      0x89ffdff0, 0xd4f6086f, 0xfdb008f2, 0x00000ffe, 
      0x8dffcff2, 0x34fb079f, 0xfdc005f3, 0x00000ffd, 
      0x91ffbff2, 0x950006df, 0xfdc003f3, 0x00000ffd, 
      0x95ffaff2, 0x0505060f, 0xfdd000f4, 0x00000ffd, 
      0x9aff8ff2, 0x7509054f, 0xfdeffdf4, 0x00000ffd, 
      0x9eff7ff4, 0xe50d048f, 0xfdeffaf4, 0x00000ffc, 
      0xa2ff6ff3, 0x551103cf, 0xfdfff8f5, 0x00000ffc, 
      0xa6ff5ff4, 0xc514030f, 0xfe0ff5f5, 0x00000ffc, 
      0xaaff3ff4, 0x4518025f, 0xfe0ff2f6, 0x00000ffc, 
      0xaeff2ff5, 0xc51b019f, 0xfe1feff6, 0x00000ffb, 
      0xb2ff1ff5, 0x451d00ef, 0xfe2fecf7, 0x00000ffb, 
      0xb6ff0ff6, 0xc51f003f, 0xfe3fe8f7, 0x00000ffb, 
      0xbafefff7, 0x4521ff8f, 0xfe4fe5f8, 0x00000ffa, 
      0xbefeeff7, 0xd523fedf, 0xfe4fe2f8, 0x00000ffa, 
      0xc2fedff6, 0x6524fe3f, 0xfe5fdff9, 0x00000ffa, 
      0xc6fecff7, 0xf525fd9f, 0xfe6fdbf9, 0x00000ff9, 
      0xc9febff8, 0x8526fcef, 0xfe7fd8fa, 0x00000ff9, 
      0xcdfeaff8, 0x1527fc4f, 0xfe8fd4fb, 0x00000ff9, 
      0xd1fe8ff8, 0xb527fbbf, 0xfe9fd1fb, 0x00000ff8, 
      0xd4fe8ff9, 0x4527fb1f, 0xfeafcdfc, 0x00000ff8, 
      0xd8fe7ff9, 0xe526fa8f, 0xfebfc9fc, 0x00000ff8, 
      0xdbfe6ff9, 0x9525f9ff, 0xfecfc6fd, 0x00000ff7, 
      0xdffe5ff9, 0x3524f96f, 0xfedfc2fe, 0x00000ff7, 
      0xe2fe4ffb, 0xd523f8df, 0xfeefbefe, 0x00000ff6, 
      0xe5fe4ffb, 0x8521f84f, 0xfeffbaff, 0x00000ff6, 
      0xe8fe3ffb, 0x351ff7cf, 0xff0fb600, 0x00000ff6, 
      0xecfe2ffb, 0xe51df74f, 0xff1fb200, 0x00000ff5, 
      0xeffe1ffb, 0x951bf6cf, 0xff2fae01, 0x00000ff5, 
      0xf2fe0ffb, 0x5518f64f, 0xff4faa02, 0x00000ff4, 
      0xf5fe0ffc, 0x0514f5cf, 0xff5fa603, 0x00000ff4, 
      0xf7fdfffc, 0xc511f55f, 0xff6fa203, 0x00000ff4, 
      0xfafdeffd, 0x850df4ef, 0xff7f9e04, 0x00000ff3, 
      0xfdfdeffc, 0x4509f47f, 0xff8f9a05, 0x00000ff3, 
      0x00fddffd, 0x0505f400, 0xffaf9506, 0x00000ff2, 
      0x03fdcffd, 0xd500f390, 0xffbf9106, 0x00000ff2, 
      0x05fdcffe, 0x94fbf330, 0xffcf8d07, 0x00000ff1, 
      0x08fdbffd, 0x64f6f2d0, 0xffdf8908, 0x00000ff1, 
      0x0afdbffe, 0x24f1f270, 0xffff8409, 0x00000ff0, 
      0x0cfdafff, 0xf4ebf210, 0x000f8009, 0x00000ff0, 
      0x0ffdaffe, 0xc4e5f1c0, 0x001f7c0a, 0x00000fef, 
      0x11fd9fff, 0xa4dff160, 0x002f770b, 0x00000fef, 
      0x13fd9fff, 0x74d8f110, 0x004f730c, 0x00000fee, 
      0x15fd9fff, 0x44d1f0c0, 0x005f6f0d, 0x00000fee, 
      0x17fd8000, 0x24caf080, 0x006f6a0e, 0x00000fed, 
      0x19fd7fff, 0x04c3f030, 0x008f660f, 0x00000fed, 
      0x1bfd8fff, 0xd4bbeff0, 0x009f620f, 0x00000fec, 
      0x1cfd8000, 0xb4b3efb0, 0x00af5d10, 0x00000fec, 
      0x1efd8000, 0x94abef70, 0x00bf5911, 0x00000feb, 
      0x20fd7fff, 0x74a3ef30, 0x00df5512, 0x00000feb, 
      0x21fd7000, 0x649aef00, 0x00ef5013, 0x00000fea, 
      0x23fd6001, 0x4491eec0, 0x00ff4c14, 0x00000fea, 
      0x24fd6001, 0x2488ee90, 0x011f4815, 0x00000fe9, 
      0x25fd6000, 0x147fee60, 0x012f4416, 0x00000fe9, 
      0x27fd6001, 0xf475ee40, 0x013f3f16, 0x00000fe8, 
      0x28fd6001, 0xe46bee10, 0x014f3b17, 0x00000fe8, 
      0x29fd6001, 0xc461edf0, 0x016f3718, 0x00000fe7, 
      0x2afd5001, 0xb457edd0, 0x017f3319, 0x00000fe7, 
      0x2bfd6001, 0xa44cedb0, 0x018f2f1a, 0x00000fe6, 
      0x2cfd5001, 0x9442ed90, 0x019f2b1b, 0x00000fe6, 
      0x2dfd5001, 0x7437ed80, 0x01bf271c, 0x00000fe5, 
      0x2dfd6001, 0x642ced60, 0x01cf231d, 0x00000fe5, 
      0x2efd6002, 0x5420ed50, 0x01df1f1e, 0x00000fe4, 
      0x2ffd6001, 0x4415ed40, 0x01ef1b1f, 0x00000fe4, 
      0x2ffd6002, 0x3409ed30, 0x01ff1820, 0x00000fe3, 
      0x30fd6001, 0x23fded30, 0x020f1421, 0x00000fe3, 
      0x30fd7002, 0x13f1ed20, 0x021f1022, 0x00000fe2, 
      0x30fd6001, 0x03e5ed20, 0x023f0d23, 0x00000fe2, 
      0x31fd6002, 0xf3d8ed20, 0x024f0923, 0x00000fe1, 
      0x31fd6002, 0xe3cced10, 0x025f0624, 0x00000fe1, 
      0x31fd7002, 0xd3bfed20, 0x026f0225, 0x00000fe0, 
      0x31fd7002, 0xc3b2ed20, 0x027eff26, 0x00000fe0, 
      0x32fd7002, 0xb3a5ed30, 0x027efc27, 0x00000fdf, 
      0x32fd7002, 0xa398ed30, 0x028ef928, 0x00000fdf, 
      0x32fd7002, 0x938bed40, 0x029ef629, 0x00000fde, 
      0x31fd8003, 0x737ded50, 0x02aef32a, 0x00000fde, 
      0x31fd8003, 0x6370ed60, 0x02bef02b, 0x00000fdd, 
      0x31fd9002, 0x5362ed70, 0x02ceed2c, 0x00000fdd, 
      0x31fd9002, 0x4354ed90, 0x02ceeb2d, 0x00000fdc, 
      0x30fda003, 0x2346eda0, 0x02dee82e, 0x00000fdc, 
      0x30fd9002, 0x1338edc0, 0x02eee62f, 0x00000fdc, 
      0x30fda002, 0xf32aede0, 0x02eee42f, 0x00000fdb, 
      0x2ffda003, 0xe31cedf0, 0x02fee130, 0x00000fdb,
   },
   { /* Y scale factor = 1.35, phases = 127, taps = 9. */
      0xde02efda, 0xc321312e, 0xfda02fed, 0x00000002, 
      0xe002efdb, 0xa32f304e, 0xfd902fed, 0x00000002, 
      0xe202efdb, 0x833d2f5e, 0xfd9030ed, 0x00000002, 
      0xe502dfdc, 0x634b2e6e, 0xfd9030ed, 0x00000002, 
      0xe802cfdc, 0x53592d8e, 0xfd8030ed, 0x00000002, 
      0xea02bfdc, 0x43672c9e, 0xfd8031ed, 0x00000002, 
      0xed02afdd, 0x23752bae, 0xfd8031ed, 0x00000002, 
      0xef02afde, 0x13832abe, 0xfd7031ed, 0x00000002, 
      0xf3029fde, 0x039029ce, 0xfd7031ed, 0x00000002, 
      0xf5028fdf, 0xf39e28de, 0xfd7031ec, 0x00000002, 
      0xf8027fdf, 0xf3ab27ee, 0xfd7031ec, 0x00000002, 
      0xfc026fe0, 0xe3b826fe, 0xfd6031ec, 0x00000002, 
      0xff025fe0, 0xe3c5260e, 0xfd6031ec, 0x00000002, 
      0x02024fe0, 0xe3d2251f, 0xfd6031ec, 0x00000002, 
      0x05023fe0, 0xe3df242f, 0xfd6031ec, 0x00000002, 
      0x09022fe1, 0xe3eb233f, 0xfd6030ec, 0x00000002, 
      0x0d021fe2, 0xe3f7224f, 0xfd5030ec, 0x00000002, 
      0x1101ffe2, 0xf404215f, 0xfd502fec, 0x00000002, 
      0x1401ffe3, 0xf410205f, 0xfd502fec, 0x00000002, 
      0x1801efe4, 0x041b1f6f, 0xfd502eed, 0x00000002, 
      0x1c01dfe4, 0x14271e7f, 0xfd502eed, 0x00000001, 
      0x2001cfe5, 0x24321d8f, 0xfd502ded, 0x00000001, 
      0x2401afe5, 0x443e1c9f, 0xfd502ced, 0x00000001, 
      0x28019fe6, 0x54491baf, 0xfd502bed, 0x00000001, 
      0x2c018fe6, 0x74531acf, 0xfd502aed, 0x00000001, 
      0x30016fe7, 0x945e19df, 0xfd5029ed, 0x00000001, 
      0x34016fe7, 0xb46818ef, 0xfd5028ed, 0x00000001, 
      0x39014fe8, 0xd47217ff, 0xfd5027ed, 0x00000001, 
      0x3d013fe8, 0x047c170f, 0xfd5026ee, 0x00000001, 
      0x41011fe9, 0x3486162f, 0xfd5025ee, 0x00000000, 
      0x45010fe9, 0x648f153f, 0xfd6024ee, 0x00000000, 
      0x4a00efe9, 0x9499145f, 0xfd6022ee, 0x00000000, 
      0x4e00efe9, 0xc4a2136f, 0xfd6021ee, 0x00000000, 
      0x5200cfeb, 0x04aa128f, 0xfd601fef, 0x00000000, 
      0x5700bfeb, 0x34b311af, 0xfd601def, 0x00000000, 
      0x5b009feb, 0x74bb10cf, 0xfd701cef, 0x00000000, 
      0x5f008fed, 0xb4c30fef, 0xfd701aef, 0x00000fff, 
      0x64007fec, 0x04cb0f0f, 0xfd7018f0, 0x00000fff, 
      0x68006fed, 0x44d20e2f, 0xfd8016f0, 0x00000fff, 
      0x6c004fee, 0x94d90d5f, 0xfd8014f0, 0x00000fff, 
      0x71003fee, 0xe4e00c7f, 0xfd8012f0, 0x00000fff, 
      0x75002fee, 0x34e70baf, 0xfd9010f1, 0x00000ffe, 
      0x7a001fef, 0x84ed0acf, 0xfd900ef1, 0x00000ffe, 
      0x7efffff0, 0xe4f309ff, 0xfda00bf1, 0x00000ffe, 
      0x82ffeff0, 0x44f9092f, 0xfda009f2, 0x00000ffe, 
      0x87ffcff0, 0xa4ff085f, 0xfdb007f2, 0x00000ffd, 
      0x8bffcff1, 0x0504078f, 0xfdb004f3, 0x00000ffd, 
      0x8fffaff1, 0x650906cf, 0xfdc002f3, 0x00000ffd, 
      0x94ff9ff2, 0xd50d05ff, 0xfdcffff3, 0x00000ffd, 
      0x98ff8ff2, 0x4512053f, 0xfddffcf4, 0x00000ffc, 
      0x9cff7ff2, 0xb516047f, 0xfdeff9f4, 0x00000ffc, 
      0xa0ff5ff3, 0x251a03bf, 0xfdeff7f5, 0x00000ffc, 
      0xa4ff4ff4, 0x951d02ff, 0xfdfff4f5, 0x00000ffc, 
      0xa8ff3ff5, 0x1520023f, 0xfe0ff1f6, 0x00000ffb, 
      0xacff2ff5, 0x9523018f, 0xfe0feef6, 0x00000ffb, 
      0xb1ff1ff4, 0x152600df, 0xfe1feaf7, 0x00000ffb, 
      0xb5ff0ff6, 0x9528001f, 0xfe2fe7f7, 0x00000ffa, 
      0xb8feeff6, 0x252aff7f, 0xfe3fe4f8, 0x00000ffa, 
      0xbcfedff6, 0xa52cfecf, 0xfe4fe1f8, 0x00000ffa, 
      0xc0fedff7, 0x352dfe1f, 0xfe5fddf9, 0x00000ff9, 
      0xc4fecff7, 0xc52efd7f, 0xfe5fdaf9, 0x00000ff9, 
      0xc8febff8, 0x552ffccf, 0xfe6fd6fa, 0x00000ff9, 
      0xccfeaff8, 0xf52ffc2f, 0xfe7fd3fa, 0x00000ff8, 
      0xcffe8ff8, 0x9530fb9f, 0xfe8fcffb, 0x00000ff8, 
      0xd3fe7ff9, 0x252ffaff, 0xfe9fccfc, 0x00000ff8, 
      0xd7fe7ff9, 0xc52ffa5f, 0xfeafc8fc, 0x00000ff7, 
      0xdafe5ffa, 0x752ef9cf, 0xfebfc4fd, 0x00000ff7, 
      0xddfe5ffa, 0x152df93f, 0xfecfc0fe, 0x00000ff7, 
      0xe1fe4ffa, 0xc52cf8af, 0xfedfbcfe, 0x00000ff6, 
      0xe4fe3ffa, 0x752af82f, 0xfeefb8ff, 0x00000ff6, 
      0xe7fe2ffb, 0x1528f79f, 0xff0fb500, 0x00000ff5, 
      0xeafe1ffa, 0xd526f71f, 0xff1fb100, 0x00000ff5, 
      0xeefe0ffb, 0x8523f69f, 0xff2fac01, 0x00000ff5, 
      0xf1fe0ffc, 0x3520f61f, 0xff3fa802, 0x00000ff4, 
      0xf4fdfffc, 0xf51df59f, 0xff4fa402, 0x00000ff4, 
      0xf7fdeffc, 0xb51af52f, 0xff5fa003, 0x00000ff3, 
      0xf9fddffc, 0x7516f4bf, 0xff7f9c04, 0x00000ff3, 
      0xfcfddffc, 0x3512f44f, 0xff8f9805, 0x00000ff2, 
      0xfffddffd, 0xf50df3df, 0xff9f9305, 0x00000ff2, 
      0x02fdcffd, 0xc509f360, 0xffaf8f06, 0x00000ff1, 
      0x04fdbffe, 0x8504f300, 0xffbf8b07, 0x00000ff1, 
      0x07fdaffd, 0x54fff2a0, 0xffdf8708, 0x00000ff0, 
      0x09fdaffe, 0x24f9f240, 0xffef8209, 0x00000ff0, 
      0x0bfdaffe, 0xf4f3f1e0, 0xffff7e09, 0x00000ff0, 
      0x0efd9ffe, 0xc4edf180, 0x001f7a0a, 0x00000fef, 
      0x10fd8ffe, 0xa4e7f130, 0x002f750b, 0x00000fef, 
      0x12fd8fff, 0x74e0f0e0, 0x003f710c, 0x00000fee, 
      0x14fd8fff, 0x54d9f090, 0x004f6c0d, 0x00000fee, 
      0x16fd8fff, 0x24d2f040, 0x006f680e, 0x00000fed, 
      0x18fd7fff, 0x04cbeff0, 0x007f640f, 0x00000fed, 
      0x1afd7000, 0xe4c3efb0, 0x008f5f0f, 0x00000fec, 
      0x1cfd6fff, 0xc4bbef70, 0x00af5b10, 0x00000fec, 
      0x1dfd6000, 0xa4b3ef30, 0x00bf5711, 0x00000feb, 
      0x1ffd7000, 0x84aaef00, 0x00cf5212, 0x00000fea, 
      0x21fd5000, 0x64a2eec0, 0x00ef4e13, 0x00000fea, 
      0x22fd5000, 0x5499ee90, 0x00ff4a14, 0x00000fe9, 
      0x24fd6000, 0x348fee60, 0x010f4515, 0x00000fe9, 
      0x25fd5001, 0x2486ee30, 0x011f4116, 0x00000fe8, 
      0x26fd5001, 0x047cee00, 0x013f3d17, 0x00000fe8, 
      0x27fd6001, 0xf472edd0, 0x014f3917, 0x00000fe7, 
      0x28fd6001, 0xe468edb0, 0x015f3418, 0x00000fe7, 
      0x29fd6001, 0xd45eed90, 0x016f3019, 0x00000fe6, 
      0x2afd5001, 0xc453ed70, 0x018f2c1a, 0x00000fe6, 
      0x2bfd5002, 0xa449ed50, 0x019f281b, 0x00000fe5, 
      0x2cfd5001, 0x943eed40, 0x01af241c, 0x00000fe5, 
      0x2dfd6002, 0x8432ed20, 0x01bf201d, 0x00000fe4, 
      0x2efd5001, 0x7427ed10, 0x01df1c1e, 0x00000fe4, 
      0x2efd6002, 0x641bed00, 0x01ef181f, 0x00000fe3, 
      0x2ffd5002, 0x5410ecf0, 0x01ff1420, 0x00000fe3, 
      0x2ffd5001, 0x5404ecf0, 0x020f1121, 0x00000fe2, 
      0x30fd5002, 0x43f7ece0, 0x021f0d22, 0x00000fe2, 
      0x30fd6002, 0x33ebece0, 0x022f0923, 0x00000fe1, 
      0x31fd5001, 0x23dfece0, 0x023f0624, 0x00000fe1, 
      0x31fd6002, 0x13d2ece0, 0x024f0225, 0x00000fe0, 
      0x31fd6002, 0x03c5ece0, 0x025eff26, 0x00000fe0, 
      0x31fd6003, 0xf3b8ece0, 0x026efc26, 0x00000fdf, 
      0x31fd7002, 0xe3abecf0, 0x027ef827, 0x00000fdf, 
      0x31fd7003, 0xd39eecf0, 0x028ef528, 0x00000fde, 
      0x31fd7003, 0xc390ed00, 0x029ef229, 0x00000fde, 
      0x31fd7003, 0xb383ed10, 0x02aeef2a, 0x00000fdd, 
      0x31fd8002, 0xa375ed20, 0x02aeed2b, 0x00000fdd, 
      0x31fd8002, 0x9367ed40, 0x02beea2c, 0x00000fdc, 
      0x30fd8003, 0x8359ed50, 0x02cee72d, 0x00000fdc, 
      0x30fd9003, 0x634bed60, 0x02dee52e, 0x00000fdb, 
      0x30fd9003, 0x533ded80, 0x02dee22f, 0x00000fdb, 
      0x2ffd9002, 0x432feda0, 0x02eee030, 0x00000fdb, 
      0x2ffda002, 0x2321edc0, 0x02eede31, 0x00000fda,
   },
   { /* Y scale factor = 1.36, phases = 127, taps = 9. */
      0xda02efda, 0x8325317e, 0xfd902fed, 0x00000002, 
      0xdc02efda, 0x6334308e, 0xfd902fed, 0x00000002, 
      0xdf02dfdb, 0x43422fae, 0xfd802fed, 0x00000002, 
      0xe102cfdb, 0x33502ebe, 0xfd8030ed, 0x00000002, 
      0xe402bfdb, 0x135f2dce, 0xfd8030ed, 0x00000002, 
      0xe602bfdc, 0x036d2cde, 0xfd7030ed, 0x00000002, 
      0xe902afdc, 0xe37b2bee, 0xfd7031ec, 0x00000002, 
      0xec029fdd, 0xd3882afe, 0xfd7031ec, 0x00000002, 
      0xef028fdd, 0xc3962a0e, 0xfd7031ec, 0x00000002, 
      0xf2027fdd, 0xc3a4291e, 0xfd6031ec, 0x00000002, 
      0xf5026fde, 0xb3b1282e, 0xfd6031ec, 0x00000002, 
      0xf8026fdf, 0xa3be272e, 0xfd6031ec, 0x00000002, 
      0xfc024fdf, 0xa3cb263e, 0xfd6031ec, 0x00000002, 
      0xff024fe0, 0xa3d8254e, 0xfd5030ec, 0x00000002, 
      0x03022fe0, 0xa3e5245f, 0xfd5030ec, 0x00000002, 
      0x06022fe0, 0xa3f1236f, 0xfd5030ec, 0x00000002, 
      0x0a021fe1, 0xa3fe226f, 0xfd502fec, 0x00000002, 
      0x0d020fe1, 0xb40a217f, 0xfd502fec, 0x00000002, 
      0x1101efe3, 0xb416208f, 0xfd502eec, 0x00000002, 
      0x1501efe3, 0xc4221f9f, 0xfd402eec, 0x00000001, 
      0x1901cfe4, 0xd42e1eaf, 0xfd402dec, 0x00000001, 
      0x1d01bfe4, 0xf4391dbf, 0xfd402cec, 0x00000001, 
      0x2101afe4, 0x04451cbf, 0xfd402ced, 0x00000001, 
      0x25019fe4, 0x24501bcf, 0xfd402bed, 0x00000001, 
      0x29017fe6, 0x345b1adf, 0xfd402aed, 0x00000001, 
      0x2d017fe6, 0x546519ef, 0xfd4029ed, 0x00000001, 
      0x31015fe7, 0x747018ff, 0xfd4028ed, 0x00000001, 
      0x36013fe6, 0xa47a181f, 0xfd4027ed, 0x00000001, 
      0x3a012fe7, 0xc484172f, 0xfd5026ed, 0x00000000, 
      0x3e011fe8, 0xf48e163f, 0xfd5024ed, 0x00000000, 
      0x43010fe8, 0x2497154f, 0xfd5023ee, 0x00000000, 
      0x4700efea, 0x54a0146f, 0xfd5021ee, 0x00000000, 
      0x4b00efea, 0x84a9137f, 0xfd5020ee, 0x00000000, 
      0x5000cfea, 0xc4b2129f, 0xfd501eee, 0x00000000, 
      0x5400afea, 0x04bb11af, 0xfd601def, 0x00000000, 
      0x58009fec, 0x44c310cf, 0xfd601bef, 0x00000fff, 
      0x5d008fec, 0x84cb0fef, 0xfd6019ef, 0x00000fff, 
      0x61006fed, 0xc4d30f0f, 0xfd7017ef, 0x00000fff, 
      0x66005fed, 0x14da0e2f, 0xfd7015f0, 0x00000fff, 
      0x6a004fed, 0x54e20d5f, 0xfd7013f0, 0x00000fff, 
      0x6f003fed, 0xa4e90c7f, 0xfd8011f0, 0x00000ffe, 
      0x73002fef, 0xf4ef0b9f, 0xfd800ff0, 0x00000ffe, 
      0x77000fef, 0x54f60acf, 0xfd800df1, 0x00000ffe, 
      0x7cffefef, 0xa4fc09ff, 0xfd900bf1, 0x00000ffe, 
      0x80ffdff0, 0x0502092f, 0xfd9008f2, 0x00000ffe, 
      0x85ffcff0, 0x6507085f, 0xfda006f2, 0x00000ffd, 
      0x89ffbff0, 0xd50c078f, 0xfdb003f2, 0x00000ffd, 
      0x8dffaff1, 0x351106bf, 0xfdb001f3, 0x00000ffd, 
      0x91ff8ff2, 0xa51605ef, 0xfdcffef3, 0x00000ffd, 
      0x96ff7ff2, 0x151b052f, 0xfdcffbf4, 0x00000ffc, 
      0x9aff6ff2, 0x851f046f, 0xfddff8f4, 0x00000ffc, 
      0x9eff5ff2, 0xf52203af, 0xfdeff6f4, 0x00000ffc, 
      0xa2ff4ff4, 0x652602ef, 0xfdeff3f5, 0x00000ffb, 
      0xa7ff2ff4, 0xe529022f, 0xfdfff0f5, 0x00000ffb, 
      0xabff1ff4, 0x652c017f, 0xfe0fecf6, 0x00000ffb, 
      0xafff0ff4, 0xe52f00bf, 0xfe1fe9f6, 0x00000ffb, 
      0xb3fefff6, 0x6531000f, 0xfe1fe6f7, 0x00000ffa, 
      0xb7feeff5, 0xf533ff5f, 0xfe2fe3f7, 0x00000ffa, 
      0xbbfedff5, 0x8535feaf, 0xfe3fdff8, 0x00000ffa, 
      0xbffecff6, 0x1536fdff, 0xfe4fdcf9, 0x00000ff9, 
      0xc3feaff6, 0xa537fd5f, 0xfe5fd9f9, 0x00000ff9, 
      0xc6feaff7, 0x3538fcaf, 0xfe6fd5fa, 0x00000ff9, 
      0xcafe9ff8, 0xd538fc0f, 0xfe7fd1fa, 0x00000ff8, 
      0xcefe8ff7, 0x6539fb6f, 0xfe8fcefb, 0x00000ff8, 
      0xd1fe7ff8, 0x0538fadf, 0xfe9fcafc, 0x00000ff8, 
      0xd5fe6ff9, 0xa538fa3f, 0xfeafc6fc, 0x00000ff7, 
      0xd9fe4ff8, 0x5537f9af, 0xfebfc3fd, 0x00000ff7, 
      0xdcfe4ff9, 0xf536f91f, 0xfecfbffd, 0x00000ff6, 
      0xdffe3ff9, 0xa535f88f, 0xfedfbbfe, 0x00000ff6, 
      0xe3fe2ff9, 0x5533f7ff, 0xfeefb7ff, 0x00000ff6, 
      0xe6fe1ffb, 0x0531f76f, 0xfeffb300, 0x00000ff5, 
      0xe9fe1ffa, 0xb52ff6ef, 0xff0faf00, 0x00000ff5, 
      0xecfe0ffb, 0x752cf66f, 0xff1fab01, 0x00000ff4, 
      0xf0fdfffb, 0x2529f5ef, 0xff2fa702, 0x00000ff4, 
      0xf3fdeffc, 0xe526f56f, 0xff4fa202, 0x00000ff3, 
      0xf6fdeffb, 0xa522f4ff, 0xff5f9e03, 0x00000ff3, 
      0xf8fdcffc, 0x651ff48f, 0xff6f9a04, 0x00000ff3, 
      0xfbfdcffc, 0x251bf41f, 0xff7f9605, 0x00000ff2, 
      0xfefdcffd, 0xe516f3af, 0xff8f9105, 0x00000ff2, 
      0x01fdbffd, 0xb511f330, 0xffaf8d06, 0x00000ff1, 
      0x03fdaffd, 0x850cf2d0, 0xffbf8907, 0x00000ff1, 
      0x06fdaffd, 0x5507f260, 0xffcf8508, 0x00000ff0, 
      0x08fd9ffe, 0x2502f200, 0xffdf8009, 0x00000ff0, 
      0x0bfd9ffd, 0xf4fcf1a0, 0xffff7c09, 0x00000fef, 
      0x0dfd8ffe, 0xc4f6f150, 0x000f770a, 0x00000fef, 
      0x0ffd9fff, 0x94eff0f0, 0x001f730b, 0x00000fee, 
      0x11fd7ffe, 0x74e9f0a0, 0x003f6f0c, 0x00000fee, 
      0x13fd7fff, 0x54e2f050, 0x004f6a0d, 0x00000fed, 
      0x15fd7fff, 0x24daf010, 0x005f660e, 0x00000fed, 
      0x17fd7000, 0x04d3efc0, 0x006f610f, 0x00000fec, 
      0x19fd6fff, 0xe4cbef80, 0x008f5d0f, 0x00000fec, 
      0x1bfd6000, 0xc4c3ef40, 0x009f5810, 0x00000feb, 
      0x1dfd5fff, 0xb4bbef00, 0x00af5411, 0x00000feb, 
      0x1efd5000, 0x94b2eec0, 0x00cf5012, 0x00000fea, 
      0x20fd6000, 0x74a9ee80, 0x00df4b13, 0x00000fea, 
      0x21fd5001, 0x64a0ee50, 0x00ef4714, 0x00000fe9, 
      0x23fd4000, 0x4497ee20, 0x010f4315, 0x00000fe9, 
      0x24fd5000, 0x348eedf0, 0x011f3e16, 0x00000fe8, 
      0x26fd5000, 0x2484edc0, 0x012f3a17, 0x00000fe7, 
      0x26fd4000, 0x147aeda0, 0x014f3618, 0x00000fe7, 
      0x28fd5001, 0xf470ed70, 0x015f3118, 0x00000fe6, 
      0x29fd5001, 0xe465ed50, 0x016f2d19, 0x00000fe6, 
      0x2afd5001, 0xd45bed30, 0x017f291a, 0x00000fe5, 
      0x2afd4001, 0xc450ed20, 0x019f251b, 0x00000fe5, 
      0x2cfd4001, 0xb445ed00, 0x01af211c, 0x00000fe4, 
      0x2cfd4002, 0xa439ecf0, 0x01bf1d1d, 0x00000fe4, 
      0x2dfd4002, 0xa42eecd0, 0x01cf191e, 0x00000fe3, 
      0x2efd4002, 0x9422ecc0, 0x01df151f, 0x00000fe3, 
      0x2ffd5002, 0x8416ecb0, 0x01ef1120, 0x00000fe2, 
      0x2ffd5001, 0x740aecb0, 0x020f0d21, 0x00000fe2, 
      0x2ffd5002, 0x63feeca0, 0x021f0a22, 0x00000fe1, 
      0x30fd5001, 0x63f1eca0, 0x022f0623, 0x00000fe1, 
      0x30fd5001, 0x53e5eca0, 0x023f0324, 0x00000fe0, 
      0x30fd5002, 0x43d8eca0, 0x024eff25, 0x00000fe0, 
      0x31fd6001, 0x33cbeca0, 0x025efc26, 0x00000fdf, 
      0x31fd6002, 0x23beeca0, 0x026ef827, 0x00000fdf, 
      0x31fd6001, 0x23b1ecb0, 0x027ef528, 0x00000fde, 
      0x30fd6002, 0x13a4ecb0, 0x028ef229, 0x00000fde, 
      0x31fd7002, 0x0396ecc0, 0x028eef2a, 0x00000fdd, 
      0x31fd7002, 0xf388ecd0, 0x029eec2a, 0x00000fdd, 
      0x31fd7002, 0xe37bece0, 0x02aee92b, 0x00000fdc, 
      0x30fd7002, 0xd36ded00, 0x02bee62c, 0x00000fdc, 
      0x30fd7002, 0xc35fed10, 0x02cee42d, 0x00000fdb, 
      0x30fd8002, 0xb350ed30, 0x02cee12e, 0x00000fdb, 
      0x2ffd8003, 0xa342ed40, 0x02dedf2f, 0x00000fda, 
      0x2ffd9003, 0x8334ed60, 0x02dedc30, 0x00000fda, 
      0x2ffd9002, 0x7325ed80, 0x02eeda31, 0x00000fda,
   },
   { /* Y scale factor = 1.37, phases = 127, taps = 9. */
      0xd602efd9, 0x432a31ce, 0xfd902eed, 0x00000002, 
      0xd902dfd9, 0x233930de, 0xfd802fed, 0x00000002, 
      0xdb02cfda, 0x13472fee, 0xfd802fed, 0x00000002, 
      0xdd02cfdb, 0xf3562efe, 0xfd702fec, 0x00000002, 
      0xe002bfdb, 0xd3642e0e, 0xfd7030ec, 0x00000002, 
      0xe302afdb, 0xc3722d1e, 0xfd7030ec, 0x00000002, 
      0xe502afdc, 0xb3802c2e, 0xfd6030ec, 0x00000002, 
      0xe8029fdd, 0x938e2b3e, 0xfd6030ec, 0x00000002, 
      0xeb028fdc, 0x939c2a4e, 0xfd6030ec, 0x00000002, 
      0xee027fde, 0x83a9294e, 0xfd6030ec, 0x00000002, 
      0xf2026fde, 0x73b7285e, 0xfd5030ec, 0x00000002, 
      0xf5025fde, 0x73c4276e, 0xfd5030ec, 0x00000002, 
      0xf8024fdf, 0x63d1267e, 0xfd5030ec, 0x00000002, 
      0xfc023fdf, 0x63de257e, 0xfd5030ec, 0x00000002, 
      0xff022fe0, 0x63eb248e, 0xfd4030ec, 0x00000002, 
      0x03021fe0, 0x63f8239f, 0xfd402fec, 0x00000002, 
      0x06021fe1, 0x6404229f, 0xfd402fec, 0x00000002, 
      0x0a01ffe1, 0x7411219f, 0xfd402fec, 0x00000002, 
      0x0e01efe2, 0x841d20af, 0xfd402eec, 0x00000001, 
      0x1201dfe3, 0x84291fbf, 0xfd402dec, 0x00000001, 
      0x1601cfe2, 0x94351ecf, 0xfd402dec, 0x00000001, 
      0x1a01afe3, 0xb4401ddf, 0xfd402cec, 0x00000001, 
      0x1e019fe4, 0xc44c1cdf, 0xfd402bec, 0x00000001, 
      0x22018fe4, 0xe4571bef, 0xfd402aec, 0x00000001, 
      0x26017fe5, 0xf4621aff, 0xfd4029ec, 0x00000001, 
      0x2a016fe5, 0x146d1a0f, 0xfd4028ed, 0x00000001, 
      0x2f014fe6, 0x3477191f, 0xfd4027ed, 0x00000001, 
      0x33013fe6, 0x6481182f, 0xfd4026ed, 0x00000001, 
      0x37012fe8, 0x848b173f, 0xfd4025ed, 0x00000000, 
      0x3b011fe8, 0xb495164f, 0xfd4024ed, 0x00000000, 
      0x4000ffe9, 0xe49f155f, 0xfd4022ed, 0x00000000, 
      0x4400efe9, 0x14a8147f, 0xfd4021ee, 0x00000000, 
      0x4900dfe9, 0x54b1138f, 0xfd401fee, 0x00000000, 
      0x4d00bfe9, 0x84ba12af, 0xfd501eee, 0x00000000, 
      0x5100afeb, 0xc4c311bf, 0xfd501cee, 0x00000fff, 
      0x56009feb, 0x04cb10df, 0xfd501aef, 0x00000fff, 
      0x5a007fec, 0x44d30fff, 0xfd5019ef, 0x00000fff, 
      0x5f006feb, 0x84db0f1f, 0xfd6017ef, 0x00000fff, 
      0x63004fec, 0xd4e30e3f, 0xfd6015ef, 0x00000fff, 
      0x68003fec, 0x24ea0d5f, 0xfd6013f0, 0x00000fff, 
      0x6c002fed, 0x74f10c7f, 0xfd7011f0, 0x00000ffe, 
      0x71001fee, 0xc4f80b9f, 0xfd700ef0, 0x00000ffe, 
      0x75ffffef, 0x14fe0acf, 0xfd800cf1, 0x00000ffe, 
      0x7affefef, 0x750409ef, 0xfd800af1, 0x00000ffe, 
      0x7effdff0, 0xd50a091f, 0xfd9007f1, 0x00000ffd, 
      0x82ffcff0, 0x3510084f, 0xfd9005f2, 0x00000ffd, 
      0x87ffaff1, 0x9515077f, 0xfda002f2, 0x00000ffd, 
      0x8bff9ff1, 0x051a06af, 0xfda000f3, 0x00000ffd, 
      0x8fff8ff1, 0x751f05ef, 0xfdbffdf3, 0x00000ffc, 
      0x94ff7ff2, 0xd523051f, 0xfdcffaf3, 0x00000ffc, 
      0x98ff5ff2, 0x5528045f, 0xfdcff7f4, 0x00000ffc, 
      0x9cff4ff3, 0xc52b039f, 0xfddff4f4, 0x00000ffc, 
      0xa1ff3ff3, 0x352f02df, 0xfdeff1f5, 0x00000ffb, 
      0xa5ff2ff4, 0xb532021f, 0xfdefeef5, 0x00000ffb, 
      0xa9ff1ff4, 0x3535015f, 0xfdffebf6, 0x00000ffb, 
      0xadfefff5, 0xb53800af, 0xfe0fe8f6, 0x00000ffa, 
      0xb1feeff5, 0x453affef, 0xfe1fe5f7, 0x00000ffa, 
      0xb5fedff6, 0xc53cff3f, 0xfe1fe2f7, 0x00000ffa, 
      0xb9fedff6, 0x553efe8f, 0xfe2fdef8, 0x00000ff9, 
      0xbdfebff7, 0xe53ffddf, 0xfe3fdbf8, 0x00000ff9, 
      0xc1feaff7, 0x7540fd3f, 0xfe4fd7f9, 0x00000ff9, 
      0xc5fe9ff7, 0x1541fc8f, 0xfe5fd4fa, 0x00000ff8, 
      0xc9fe8ff8, 0xa541fbef, 0xfe6fd0fa, 0x00000ff8, 
      0xccfe7ff8, 0x4542fb4f, 0xfe7fccfb, 0x00000ff8, 
      0xd0fe6ff9, 0xe541faaf, 0xfe8fc9fb, 0x00000ff7, 
      0xd4fe5ff8, 0x8541fa1f, 0xfe9fc5fc, 0x00000ff7, 
      0xd7fe4ff9, 0x3540f97f, 0xfeafc1fd, 0x00000ff7, 
      0xdbfe3ffa, 0xd53ff8ef, 0xfebfbdfd, 0x00000ff6, 
      0xdefe2ffa, 0x853ef85f, 0xfecfb9fe, 0x00000ff6, 
      0xe2fe2ffa, 0x353cf7cf, 0xfedfb5ff, 0x00000ff5, 
      0xe5fe1ffa, 0xe53af74f, 0xfeefb1ff, 0x00000ff5, 
      0xe8fe0ffb, 0xa538f6bf, 0xfeffad00, 0x00000ff4, 
      0xebfdfffb, 0x5535f63f, 0xff1fa901, 0x00000ff4, 
      0xeefdeffb, 0x1532f5bf, 0xff2fa502, 0x00000ff4, 
      0xf1fdeffb, 0xd52ff53f, 0xff3fa102, 0x00000ff3, 
      0xf4fddffc, 0x952bf4cf, 0xff4f9c03, 0x00000ff3, 
      0xf7fdcffc, 0x5528f45f, 0xff5f9804, 0x00000ff2, 
      0xfafdcffc, 0x1523f3df, 0xff7f9405, 0x00000ff2, 
      0xfdfdbffc, 0xe51ff37f, 0xff8f8f05, 0x00000ff1, 
      0x00fdaffd, 0xa51af300, 0xff9f8b06, 0x00000ff1, 
      0x03fdaffd, 0x7515f290, 0xffaf8707, 0x00000ff0, 
      0x05fd9ffd, 0x4510f230, 0xffcf8208, 0x00000ff0, 
      0x07fd9ffe, 0x150af1d0, 0xffdf7e09, 0x00000fef, 
      0x0afd8ffe, 0xe504f170, 0xffef7a09, 0x00000fef, 
      0x0dfd8ffe, 0xc4fef110, 0xffff750a, 0x00000fee, 
      0x0efd7ffe, 0x94f8f0c0, 0x001f710b, 0x00000fee, 
      0x11fd7ffe, 0x74f1f070, 0x002f6c0c, 0x00000fed, 
      0x13fd6ffe, 0x54eaf020, 0x003f680d, 0x00000fed, 
      0x15fd6ffe, 0x34e3efd0, 0x005f630e, 0x00000fec, 
      0x17fd6ffe, 0x14dbef80, 0x006f5f0f, 0x00000fec, 
      0x19fd5000, 0xf4d3ef40, 0x007f5a0f, 0x00000feb, 
      0x1afd5fff, 0xd4cbef00, 0x009f5610, 0x00000feb, 
      0x1cfd5000, 0xb4c3eec0, 0x00af5111, 0x00000fea, 
      0x1efd5fff, 0xa4baee80, 0x00bf4d12, 0x00000fea, 
      0x1ffd4000, 0x84b1ee50, 0x00df4913, 0x00000fe9, 
      0x21fd4000, 0x74a8ee10, 0x00ef4414, 0x00000fe9, 
      0x22fd4001, 0x549fede0, 0x00ff4015, 0x00000fe8, 
      0x24fd4001, 0x4495edb0, 0x010f3b16, 0x00000fe8, 
      0x25fd4001, 0x348bed80, 0x012f3717, 0x00000fe7, 
      0x26fd4000, 0x2481ed60, 0x013f3318, 0x00000fe7, 
      0x27fd4001, 0x1477ed30, 0x014f2f19, 0x00000fe6, 
      0x28fd4001, 0x046ded10, 0x016f2a1a, 0x00000fe5, 
      0x29fd4001, 0xf462ecf0, 0x017f261a, 0x00000fe5, 
      0x2afd4001, 0xe457ece0, 0x018f221b, 0x00000fe4, 
      0x2bfd4001, 0xd44cecc0, 0x019f1e1c, 0x00000fe4, 
      0x2cfd4001, 0xd440ecb0, 0x01af1a1d, 0x00000fe3, 
      0x2dfd3001, 0xc435ec90, 0x01cf161e, 0x00000fe3, 
      0x2dfd4002, 0xb429ec80, 0x01df121f, 0x00000fe2, 
      0x2efd4001, 0xa41dec80, 0x01ef0e20, 0x00000fe2, 
      0x2ffd4001, 0xa411ec70, 0x01ff0a21, 0x00000fe1, 
      0x2ffd5002, 0x9404ec60, 0x020f0622, 0x00000fe1, 
      0x2ffd4002, 0x93f8ec60, 0x021f0323, 0x00000fe0, 
      0x30fd4002, 0x83ebec60, 0x022eff24, 0x00000fe0, 
      0x30fd5002, 0x73deec60, 0x023efc25, 0x00000fdf, 
      0x30fd5002, 0x73d1ec60, 0x024ef826, 0x00000fdf, 
      0x30fd5002, 0x63c4ec70, 0x025ef527, 0x00000fde, 
      0x30fd5002, 0x53b7ec70, 0x026ef228, 0x00000fde, 
      0x31fd6002, 0x43a9ec80, 0x027eee29, 0x00000fdd, 
      0x30fd6001, 0x439cec90, 0x028eeb2a, 0x00000fdd, 
      0x30fd6003, 0x338eec90, 0x029ee82b, 0x00000fdc, 
      0x30fd6002, 0x2380ecb0, 0x02aee52c, 0x00000fdc, 
      0x30fd7002, 0x1372ecc0, 0x02aee32d, 0x00000fdb, 
      0x30fd7002, 0x0364ecd0, 0x02bee02e, 0x00000fdb, 
      0x2ffd7003, 0xf356ecf0, 0x02cedd2e, 0x00000fda, 
      0x2ffd8002, 0xe347ed10, 0x02cedb2f, 0x00000fda, 
      0x2ffd8002, 0xd339ed20, 0x02ded930, 0x00000fd9, 
      0x2efd9002, 0xc32aed40, 0x02eed631, 0x00000fd9,
   },
   { /* Y scale factor = 1.38, phases = 127, taps = 9. */
      0xd302dfd8, 0x132f320e, 0xfd802eed, 0x00000002, 
      0xd502dfd8, 0xf33e311e, 0xfd802eec, 0x00000002, 
      0xd702cfda, 0xd34c302e, 0xfd702fec, 0x00000002, 
      0xda02bfda, 0xb35b2f3e, 0xfd702fec, 0x00000002, 
      0xdc02bfdb, 0x93692e4e, 0xfd702fec, 0x00000002, 
      0xdf02afdb, 0x83772d5e, 0xfd6030ec, 0x00000002, 
      0xe1029fdb, 0x73862c6e, 0xfd6030ec, 0x00000002, 
      0xe4028fdb, 0x63942b7e, 0xfd6030ec, 0x00000002, 
      0xe8028fdc, 0x53a12a7e, 0xfd5030ec, 0x00000002, 
      0xeb027fdc, 0x43af298e, 0xfd5030ec, 0x00000002, 
      0xee025fdd, 0x33bd289e, 0xfd5030ec, 0x00000002, 
      0xf1025fde, 0x33ca279e, 0xfd4030ec, 0x00000002, 
      0xf5023fde, 0x23d826ae, 0xfd4030ec, 0x00000002, 
      0xf8023fde, 0x23e525ae, 0xfd4030ec, 0x00000002, 
      0xfc021fdf, 0x23f224be, 0xfd402fec, 0x00000002, 
      0xff021fe0, 0x23fe23be, 0xfd402fec, 0x00000002, 
      0x03020fe0, 0x240b22cf, 0xfd302fec, 0x00000002, 
      0x0701ffe1, 0x341821cf, 0xfd302eec, 0x00000001, 
      0x0b01dfe1, 0x442420df, 0xfd302eec, 0x00000001, 
      0x0f01cfe2, 0x44301fef, 0xfd302dec, 0x00000001, 
      0x1301bfe3, 0x543c1eef, 0xfd302cec, 0x00000001, 
      0x1701afe2, 0x74471dff, 0xfd302cec, 0x00000001, 
      0x1b019fe3, 0x84531cff, 0xfd302bec, 0x00000001, 
      0x1f018fe3, 0xa45e1c0f, 0xfd302aec, 0x00000001, 
      0x23016fe5, 0xb4691b1f, 0xfd3029ec, 0x00000001, 
      0x27015fe5, 0xd4741a2f, 0xfd3028ec, 0x00000001, 
      0x2b013fe5, 0x047f193f, 0xfd3027ed, 0x00000001, 
      0x30013fe6, 0x2489183f, 0xfd3026ed, 0x00000000, 
      0x35012fe7, 0x4493174f, 0xfd3024ed, 0x00000000, 
      0x39010fe8, 0x749d165f, 0xfd3023ed, 0x00000000, 
      0x3d00ffe7, 0xa4a7157f, 0xfd3022ed, 0x00000000, 
      0x4100dfe9, 0xd4b0148f, 0xfd4020ed, 0x00000000, 
      0x4600cfe8, 0x14b9139f, 0xfd401fee, 0x00000000, 
      0x4a00bfea, 0x44c212af, 0xfd401dee, 0x00000000, 
      0x4f00afea, 0x84cb11cf, 0xfd401bee, 0x00000fff, 
      0x53009feb, 0xc4d310df, 0xfd401aee, 0x00000fff, 
      0x58007fea, 0x04dc0fff, 0xfd5018ef, 0x00000fff, 
      0x5c005fec, 0x54e30f1f, 0xfd5016ef, 0x00000fff, 
      0x61004fec, 0x94eb0e3f, 0xfd5014ef, 0x00000fff, 
      0x65003fed, 0xe4f20d5f, 0xfd6012ef, 0x00000ffe, 
      0x6a001fed, 0x34fa0c7f, 0xfd6010f0, 0x00000ffe, 
      0x6e000fee, 0x85000b9f, 0xfd700ef0, 0x00000ffe, 
      0x73ffffee, 0xe5070abf, 0xfd700bf0, 0x00000ffe, 
      0x77ffefee, 0x450d09ef, 0xfd7009f1, 0x00000ffe, 
      0x7cffcfef, 0xa513091f, 0xfd8006f1, 0x00000ffd, 
      0x80ffbfef, 0x0519083f, 0xfd9004f2, 0x00000ffd, 
      0x85ffaff0, 0x651e076f, 0xfd9001f2, 0x00000ffd, 
      0x89ff8ff0, 0xd523069f, 0xfdaffff2, 0x00000ffd, 
      0x8dff7ff2, 0x352805df, 0xfdaffcf3, 0x00000ffc, 
      0x92ff6ff2, 0xa52c050f, 0xfdbff9f3, 0x00000ffc, 
      0x96ff5ff1, 0x1531044f, 0xfdcff6f4, 0x00000ffc, 
      0x9bff4ff3, 0x9534037f, 0xfdcff3f4, 0x00000ffb, 
      0x9fff3ff3, 0x053802bf, 0xfddff0f5, 0x00000ffb, 
      0xa3ff1ff4, 0x853b01ff, 0xfdefedf5, 0x00000ffb, 
      0xa7ff0ff4, 0x053e014f, 0xfdefeaf6, 0x00000ffb, 
      0xabfefff4, 0x9541008f, 0xfdffe7f6, 0x00000ffa, 
      0xaffeeff4, 0x1543ffdf, 0xfe0fe4f7, 0x00000ffa, 
      0xb3fedff5, 0xa545ff1f, 0xfe1fe0f7, 0x00000ffa, 
      0xb7febff6, 0x3547fe6f, 0xfe2fddf8, 0x00000ff9, 
      0xbbfeaff6, 0xc548fdcf, 0xfe3fd9f8, 0x00000ff9, 
      0xbffe9ff7, 0x5549fd1f, 0xfe3fd6f9, 0x00000ff9, 
      0xc4fe9ff7, 0xe54afc6f, 0xfe4fd2f9, 0x00000ff8, 
      0xc7fe7ff7, 0x854bfbcf, 0xfe5fcffa, 0x00000ff8, 
      0xcbfe6ff8, 0x254bfb2f, 0xfe6fcbfb, 0x00000ff7, 
      0xcffe5ff8, 0xc54bfa8f, 0xfe7fc7fb, 0x00000ff7, 
      0xd2fe5ff9, 0x654af9ef, 0xfe8fc3fc, 0x00000ff7, 
      0xd6fe4ff9, 0x1549f95f, 0xfe9fbffd, 0x00000ff6, 
      0xd9fe3ff9, 0xc548f8cf, 0xfeafbbfd, 0x00000ff6, 
      0xddfe2ffa, 0x6547f83f, 0xfebfb7fe, 0x00000ff5, 
      0xe0fe1ffa, 0x1545f7af, 0xfedfb3ff, 0x00000ff5, 
      0xe4fe0ff9, 0xd543f71f, 0xfeefafff, 0x00000ff5, 
      0xe7fdfffa, 0x8541f69f, 0xfeffab00, 0x00000ff4, 
      0xeafdeffb, 0x453ef60f, 0xff0fa701, 0x00000ff4, 
      0xeefdeffb, 0xf53bf58f, 0xff1fa301, 0x00000ff3, 
      0xf0fddffc, 0xb538f50f, 0xff2f9f02, 0x00000ff3, 
      0xf4fddffc, 0x7534f49f, 0xff3f9a03, 0x00000ff2, 
      0xf6fdcffb, 0x4531f41f, 0xff5f9604, 0x00000ff2, 
      0xf9fdbffc, 0x052cf3af, 0xff6f9205, 0x00000ff2, 
      0xfcfdaffd, 0xd528f33f, 0xff7f8d05, 0x00000ff1, 
      0xfffdaffc, 0x9523f2df, 0xff8f8906, 0x00000ff1, 
      0x01fd9ffd, 0x651ef260, 0xffaf8507, 0x00000ff0, 
      0x04fd8ffd, 0x3519f200, 0xffbf8008, 0x00000ff0, 
      0x06fd8ffd, 0x1513f1a0, 0xffcf7c09, 0x00000fef, 
      0x09fd7ffd, 0xe50df140, 0xffef7709, 0x00000fef, 
      0x0bfd7ffe, 0xb507f0e0, 0xffff730a, 0x00000fee, 
      0x0efd7ffe, 0x9500f080, 0x000f6e0b, 0x00000fee, 
      0x10fd6ffe, 0x74faf030, 0x001f6a0c, 0x00000fed, 
      0x12fd6ffe, 0x54f2efe0, 0x003f650d, 0x00000fed, 
      0x14fd5fff, 0x34ebef90, 0x004f610e, 0x00000fec, 
      0x16fd6fff, 0x14e3ef50, 0x005f5c0f, 0x00000feb, 
      0x18fd4fff, 0xf4dcef00, 0x007f580f, 0x00000feb, 
      0x1afd5000, 0xd4d3eec0, 0x008f5310, 0x00000fea, 
      0x1bfd4000, 0xc4cbee80, 0x009f4f11, 0x00000fea, 
      0x1efd4000, 0xa4c2ee40, 0x00bf4a12, 0x00000fe9, 
      0x1ffd4fff, 0x94b9ee10, 0x00cf4613, 0x00000fe9, 
      0x21fd4000, 0x84b0edd0, 0x00df4114, 0x00000fe8, 
      0x21fd3000, 0x74a7eda0, 0x00ff3d15, 0x00000fe8, 
      0x23fd3001, 0x549ded70, 0x010f3916, 0x00000fe7, 
      0x24fd4001, 0x4493ed40, 0x011f3417, 0x00000fe7, 
      0x26fd3000, 0x3489ed20, 0x013f3018, 0x00000fe6, 
      0x26fd2000, 0x347fed00, 0x014f2c19, 0x00000fe6, 
      0x28fd3001, 0x2474ecd0, 0x015f271a, 0x00000fe5, 
      0x29fd3001, 0x1469ecc0, 0x016f231b, 0x00000fe4, 
      0x2afd3000, 0x045eeca0, 0x018f1f1c, 0x00000fe4, 
      0x2bfd3001, 0xf453ec80, 0x019f1b1c, 0x00000fe3, 
      0x2cfd2001, 0xf447ec70, 0x01af171d, 0x00000fe3, 
      0x2cfd3002, 0xe43cec50, 0x01bf131e, 0x00000fe2, 
      0x2dfd3001, 0xe430ec40, 0x01cf0f1f, 0x00000fe2, 
      0x2dfd3001, 0xd424ec40, 0x01ef0b20, 0x00000fe1, 
      0x2efd3001, 0xc418ec30, 0x01ff0721, 0x00000fe1, 
      0x2ffd3002, 0xc40bec20, 0x020f0322, 0x00000fe0, 
      0x2ffd4002, 0xb3feec20, 0x021eff23, 0x00000fe0, 
      0x2ffd4001, 0xb3f2ec20, 0x022efc24, 0x00000fdf, 
      0x30fd4001, 0xa3e5ec20, 0x023ef825, 0x00000fdf, 
      0x30fd4001, 0xa3d8ec20, 0x024ef526, 0x00000fde, 
      0x30fd4002, 0x93caec30, 0x025ef127, 0x00000fde, 
      0x30fd5001, 0x93bdec30, 0x026eee28, 0x00000fdd, 
      0x30fd5001, 0x83afec40, 0x027eeb29, 0x00000fdd, 
      0x30fd5002, 0x73a1ec50, 0x028ee82a, 0x00000fdc, 
      0x2ffd5001, 0x7394ec60, 0x029ee52b, 0x00000fdc, 
      0x30fd6001, 0x6386ec70, 0x029ee22c, 0x00000fdb, 
      0x30fd6002, 0x5377ec80, 0x02aedf2d, 0x00000fdb, 
      0x30fd7002, 0x4369ec90, 0x02bedc2e, 0x00000fda, 
      0x2ffd7002, 0x335becb0, 0x02beda2f, 0x00000fda, 
      0x2ffd8002, 0x234cecd0, 0x02ced730, 0x00000fd9, 
      0x2efd8001, 0x133eecf0, 0x02ded531, 0x00000fd9, 
      0x2efd8002, 0x032fed10, 0x02ded332, 0x00000fd8,
   },
   { /* Y scale factor = 1.39, phases = 127, taps = 9. */
      0xcf02dfd8, 0xd334325e, 0xfd702dec, 0x00000002, 
      0xd102cfd8, 0xb343316e, 0xfd702eec, 0x00000002, 
      0xd302cfd8, 0x9352307e, 0xfd702eec, 0x00000002, 
      0xd602bfd9, 0x73602f8e, 0xfd602fec, 0x00000002, 
      0xd902afd9, 0x536f2e9e, 0xfd602fec, 0x00000002, 
      0xdb02afda, 0x437d2d9e, 0xfd602fec, 0x00000002, 
      0xde029fdb, 0x338b2cae, 0xfd502fec, 0x00000002, 
      0xe1028fdb, 0x23992bbe, 0xfd502fec, 0x00000002, 
      0xe4027fdb, 0x13a72abe, 0xfd5030ec, 0x00000002, 
      0xe7026fdc, 0x03b529ce, 0xfd4030ec, 0x00000002, 
      0xeb025fdc, 0xf3c328ce, 0xfd4030eb, 0x00000002, 
      0xee025fdd, 0xe3d027de, 0xfd402feb, 0x00000002, 
      0xf1024fdd, 0xe3de26de, 0xfd402feb, 0x00000002, 
      0xf5022fde, 0xe3eb25ee, 0xfd302feb, 0x00000002, 
      0xf8022fde, 0xe3f824ee, 0xfd302feb, 0x00000002, 
      0xfc021fe0, 0xe40523ee, 0xfd302eeb, 0x00000001, 
      0x0001ffe0, 0xe41222ff, 0xfd302eeb, 0x00000001, 
      0x0401efe0, 0xf41e21ff, 0xfd302eeb, 0x00000001, 
      0x0701dfe1, 0x042b210f, 0xfd202dec, 0x00000001, 
      0x0b01dfe2, 0x0437200f, 0xfd202cec, 0x00000001, 
      0x0f01bfe2, 0x14431f1f, 0xfd202cec, 0x00000001, 
      0x14019fe2, 0x344f1e1f, 0xfd202bec, 0x00000001, 
      0x18018fe3, 0x445a1d2f, 0xfd202aec, 0x00000001, 
      0x1c017fe3, 0x64661c2f, 0xfd2029ec, 0x00000001, 
      0x20016fe4, 0x74711b3f, 0xfd2028ec, 0x00000001, 
      0x24015fe5, 0x947c1a3f, 0xfd2027ec, 0x00000001, 
      0x29013fe6, 0xc486194f, 0xfd2026ec, 0x00000000, 
      0x2d012fe6, 0xe491185f, 0xfd2025ec, 0x00000000, 
      0x31011fe6, 0x149b176f, 0xfd2024ed, 0x00000000, 
      0x36010fe6, 0x34a5167f, 0xfd3022ed, 0x00000000, 
      0x3a00efe7, 0x64af158f, 0xfd3021ed, 0x00000000, 
      0x3f00dfe7, 0x94b8149f, 0xfd3020ed, 0x00000000, 
      0x4300bfe8, 0xd4c213af, 0xfd301eed, 0x00000000, 
      0x4800bfe9, 0x04cb12bf, 0xfd301cee, 0x00000fff, 
      0x4d009fea, 0x44d311cf, 0xfd301bee, 0x00000fff, 
      0x51007fea, 0x84dc10ef, 0xfd4019ee, 0x00000fff, 
      0x55006feb, 0xd4e40fff, 0xfd4017ee, 0x00000fff, 
      0x5a005feb, 0x14ec0f1f, 0xfd4015ef, 0x00000fff, 
      0x5e004feb, 0x64f40e3f, 0xfd5013ef, 0x00000ffe, 
      0x63002fec, 0xb4fb0d5f, 0xfd5011ef, 0x00000ffe, 
      0x67001fed, 0x05020c7f, 0xfd500ff0, 0x00000ffe, 
      0x6cffffed, 0x55090b9f, 0xfd600df0, 0x00000ffe, 
      0x70ffffee, 0xa5100abf, 0xfd600af0, 0x00000ffe, 
      0x75ffdfee, 0x051609ef, 0xfd7008f1, 0x00000ffd, 
      0x7affcfee, 0x651c090f, 0xfd7006f1, 0x00000ffd, 
      0x7effafef, 0xc522083f, 0xfd8003f1, 0x00000ffd, 
      0x82ff9ff0, 0x3527076f, 0xfd8000f2, 0x00000ffd, 
      0x87ff8ff0, 0x952c069f, 0xfd9ffef2, 0x00000ffc, 
      0x8bff7ff1, 0x053105cf, 0xfd9ffbf3, 0x00000ffc, 
      0x90ff5ff2, 0x753504ff, 0xfdaff8f3, 0x00000ffc, 
      0x94ff4ff1, 0xe53a043f, 0xfdbff5f3, 0x00000ffc, 
      0x98ff3ff3, 0x653e036f, 0xfdbff2f4, 0x00000ffb, 
      0x9dff2ff3, 0xd54102af, 0xfdcfeff4, 0x00000ffb, 
      0xa1ff0ff4, 0x554401ef, 0xfddfecf5, 0x00000ffb, 
      0xa5ff0ff4, 0xd547012f, 0xfdefe9f5, 0x00000ffa, 
      0xa9fefff4, 0x654a006f, 0xfdefe6f6, 0x00000ffa, 
      0xaefedff5, 0xe54cffbf, 0xfdffe2f6, 0x00000ffa, 
      0xb2fecff5, 0x754eff0f, 0xfe0fdff7, 0x00000ff9, 
      0xb6feaff5, 0x0550fe5f, 0xfe1fdcf8, 0x00000ff9, 
      0xbafe9ff5, 0x9552fdaf, 0xfe2fd8f8, 0x00000ff9, 
      0xbefe9ff6, 0x2553fcff, 0xfe3fd4f9, 0x00000ff8, 
      0xc2fe7ff6, 0xc554fc4f, 0xfe4fd1f9, 0x00000ff8, 
      0xc6fe6ff6, 0x6554fbaf, 0xfe5fcdfa, 0x00000ff8, 
      0xc9fe6ff7, 0x0554fb0f, 0xfe6fc9fb, 0x00000ff7, 
      0xcdfe4ff7, 0xa554fa6f, 0xfe7fc6fb, 0x00000ff7, 
      0xd1fe4ff7, 0x4554f9cf, 0xfe8fc2fc, 0x00000ff6, 
      0xd4fe3ff8, 0xf553f92f, 0xfe9fbefc, 0x00000ff6, 
      0xd8fe1ff8, 0xa552f89f, 0xfeafbafd, 0x00000ff6, 
      0xdcfe0ff9, 0x5550f80f, 0xfebfb6fe, 0x00000ff5, 
      0xdffe0ff9, 0x054ef77f, 0xfecfb2ff, 0x00000ff5, 
      0xe2fe0ffa, 0xb54cf6ef, 0xfedfaeff, 0x00000ff4, 
      0xe6fdeffb, 0x654af66f, 0xfeefa900, 0x00000ff4, 
      0xe9fdeffb, 0x2547f5df, 0xfeffa501, 0x00000ff4, 
      0xedfddffb, 0xe544f55f, 0xff0fa101, 0x00000ff3, 
      0xeffdcffb, 0xa541f4df, 0xff2f9d02, 0x00000ff3, 
      0xf2fdbffc, 0x653ef46f, 0xff3f9803, 0x00000ff2, 
      0xf5fdbffb, 0x353af3ef, 0xff4f9404, 0x00000ff2, 
      0xf8fdbffc, 0xf535f37f, 0xff5f9004, 0x00000ff1, 
      0xfbfd9ffc, 0xc531f30f, 0xff7f8b05, 0x00000ff1, 
      0xfefd9ffc, 0x952cf29f, 0xff8f8706, 0x00000ff0, 
      0x00fd8ffd, 0x6527f230, 0xff9f8207, 0x00000ff0, 
      0x03fd8ffd, 0x3522f1c0, 0xffaf7e08, 0x00000fef, 
      0x05fd7ffd, 0x051cf160, 0xffcf7a09, 0x00000fef, 
      0x08fd7ffd, 0xe516f100, 0xffdf7509, 0x00000fee, 
      0x0afd7ffe, 0xb510f0a0, 0xffef700a, 0x00000fee, 
      0x0dfd6ffd, 0x9509f050, 0x000f6c0b, 0x00000fed, 
      0x0ffd5ffe, 0x7502f000, 0x001f670c, 0x00000fed, 
      0x11fd5ffe, 0x54fbefb0, 0x002f630d, 0x00000fec, 
      0x13fd4ffe, 0x34f4ef60, 0x004f5e0e, 0x00000fec, 
      0x15fd4fff, 0x14ecef10, 0x005f5a0f, 0x00000feb, 
      0x17fd4fff, 0xf4e4eed0, 0x006f550f, 0x00000feb, 
      0x19fd3fff, 0xe4dcee80, 0x008f5110, 0x00000fea, 
      0x1bfd3000, 0xc4d3ee40, 0x009f4c11, 0x00000fea, 
      0x1cfd3000, 0xb4cbee00, 0x00af4812, 0x00000fe9, 
      0x1efd3fff, 0xa4c2edd0, 0x00cf4313, 0x00000fe8, 
      0x20fd3fff, 0x94b8ed90, 0x00df3f14, 0x00000fe8, 
      0x21fd3000, 0x84afed60, 0x00ef3a15, 0x00000fe7, 
      0x22fd2000, 0x74a5ed30, 0x010f3616, 0x00000fe7, 
      0x24fd2000, 0x649bed10, 0x011f3117, 0x00000fe6, 
      0x25fd2000, 0x5491ece0, 0x012f2d18, 0x00000fe6, 
      0x26fd2001, 0x4486ecc0, 0x013f2919, 0x00000fe5, 
      0x27fd2001, 0x347cec90, 0x015f241a, 0x00000fe5, 
      0x28fd2001, 0x3471ec70, 0x016f201b, 0x00000fe4, 
      0x29fd2001, 0x2466ec60, 0x017f1c1c, 0x00000fe3, 
      0x2afd2001, 0x245aec40, 0x018f181d, 0x00000fe3, 
      0x2bfd2001, 0x144fec20, 0x01af141e, 0x00000fe2, 
      0x2cfd2001, 0x1443ec10, 0x01bf0f1f, 0x00000fe2, 
      0x2cfd3002, 0x0437ec00, 0x01cf0b20, 0x00000fe1, 
      0x2dfd2001, 0x042bec00, 0x01df0721, 0x00000fe1, 
      0x2efd3001, 0xf41eebf0, 0x01ef0421, 0x00000fe0, 
      0x2efd3001, 0xf412ebe0, 0x01ff0022, 0x00000fe0, 
      0x2ffd3002, 0xe405ebe0, 0x020efc23, 0x00000fdf, 
      0x2ffd3001, 0xe3f8ebe0, 0x022ef824, 0x00000fdf, 
      0x2ffd3001, 0xe3ebebe0, 0x023ef525, 0x00000fde, 
      0x2ffd4001, 0xd3deebe0, 0x024ef126, 0x00000fde, 
      0x2ffd4002, 0xd3d0ebe0, 0x025eee27, 0x00000fdd, 
      0x30fd4001, 0xc3c3ebf0, 0x026eeb28, 0x00000fdc, 
      0x30fd4002, 0xc3b5ec00, 0x026ee729, 0x00000fdc, 
      0x30fd5002, 0xb3a7ec10, 0x027ee42a, 0x00000fdb, 
      0x2ffd5002, 0xb399ec20, 0x028ee12b, 0x00000fdb, 
      0x2ffd5002, 0xa38bec30, 0x029ede2c, 0x00000fdb, 
      0x2ffd6002, 0x937dec40, 0x02aedb2d, 0x00000fda, 
      0x2ffd6001, 0x936fec50, 0x02aed92e, 0x00000fda, 
      0x2ffd6002, 0x8360ec70, 0x02bed62f, 0x00000fd9, 
      0x2efd7001, 0x7352ec90, 0x02ced330, 0x00000fd9, 
      0x2efd7002, 0x6343ecb0, 0x02ced131, 0x00000fd8, 
      0x2dfd7002, 0x5334ecd0, 0x02decf32, 0x00000fd8,
   },
   { /* Y scale factor = 1.40, phases = 127, taps = 9. */
      0xcb02cfd7, 0x933932ae, 0xfd702dec, 0x00000002, 
      0xcd02cfd8, 0x734831be, 0xfd602dec, 0x00000002, 
      0xcf02bfd8, 0x535730ce, 0xfd602eec, 0x00000002, 
      0xd202bfd9, 0x33652fce, 0xfd602eec, 0x00000002, 
      0xd502afd9, 0x13742ede, 0xfd502fec, 0x00000002, 
      0xd7029fd9, 0x03832dee, 0xfd502fec, 0x00000002, 
      0xda029fd9, 0xf3912cee, 0xfd502feb, 0x00000002, 
      0xdd028fda, 0xe39f2bfe, 0xfd402feb, 0x00000002, 
      0xe0027fdb, 0xd3ad2afe, 0xfd402feb, 0x00000002, 
      0xe3026fdb, 0xc3bb2a0e, 0xfd402feb, 0x00000002, 
      0xe7025fdc, 0xb3c9290e, 0xfd302feb, 0x00000002, 
      0xea024fdd, 0xa3d7280e, 0xfd302feb, 0x00000002, 
      0xee023fdc, 0xa3e4271e, 0xfd302feb, 0x00000002, 
      0xf1022fdd, 0xa3f2260e, 0xfd302feb, 0x00000002, 
      0xf5021fdf, 0xa3ff251e, 0xfd202eeb, 0x00000001, 
      0xf9020fdf, 0xa40c241e, 0xfd202eeb, 0x00000001, 
      0xfc01ffdf, 0xa419232e, 0xfd202eeb, 0x00000001, 
      0x0001efe0, 0xb425222f, 0xfd202deb, 0x00000001, 
      0x0401dfe0, 0xb432212f, 0xfd202deb, 0x00000001, 
      0x0801cfe0, 0xc43e203f, 0xfd202ceb, 0x00000001, 
      0x0c01afe2, 0xd44a1f3f, 0xfd202beb, 0x00000001, 
      0x10019fe1, 0xf4561e3f, 0xfd202beb, 0x00000001, 
      0x14018fe2, 0x04621d4f, 0xfd102aec, 0x00000001, 
      0x19016fe3, 0x246d1c4f, 0xfd1029ec, 0x00000001, 
      0x1d015fe4, 0x34781b5f, 0xfd1028ec, 0x00000001, 
      0x21015fe5, 0x54831a5f, 0xfd1027ec, 0x00000000, 
      0x26012fe4, 0x848e196f, 0xfd2026ec, 0x00000000, 
      0x2a012fe5, 0xa499186f, 0xfd2024ec, 0x00000000, 
      0x2e010fe6, 0xd4a3177f, 0xfd2023ec, 0x00000000, 
      0x3300ffe6, 0xf4ad168f, 0xfd2022ec, 0x00000000, 
      0x3700efe7, 0x24b7159f, 0xfd2020ed, 0x00000000, 
      0x3c00cfe7, 0x64c014af, 0xfd201fed, 0x00000000, 
      0x4000bfe9, 0x94ca13bf, 0xfd201ded, 0x00000fff, 
      0x4500afe8, 0xd4d312cf, 0xfd201ced, 0x00000fff, 
      0x49008fea, 0x04dc11df, 0xfd301aee, 0x00000fff, 
      0x4e008fea, 0x44e410ef, 0xfd3018ee, 0x00000fff, 
      0x53005fea, 0x94ed100f, 0xfd3016ee, 0x00000fff, 
      0x57004feb, 0xd4f50f1f, 0xfd4014ee, 0x00000fff, 
      0x5c003fec, 0x24fc0e3f, 0xfd4012ef, 0x00000ffe, 
      0x60002fec, 0x75040d5f, 0xfd4010ef, 0x00000ffe, 
      0x65000fec, 0xc50b0c7f, 0xfd500eef, 0x00000ffe, 
      0x6affffec, 0x15120b9f, 0xfd500cf0, 0x00000ffe, 
      0x6effefee, 0x75180abf, 0xfd6009f0, 0x00000ffd, 
      0x73ffcfee, 0xd51f09df, 0xfd6007f0, 0x00000ffd, 
      0x77ffbfee, 0x352508ff, 0xfd7005f1, 0x00000ffd, 
      0x7cffafee, 0x952b082f, 0xfd7002f1, 0x00000ffd, 
      0x80ff8ff0, 0xf530075f, 0xfd8ffff1, 0x00000ffd, 
      0x85ff7ff0, 0x6535068f, 0xfd8ffdf2, 0x00000ffc, 
      0x89ff6ff0, 0xd53a05bf, 0xfd9ffaf2, 0x00000ffc, 
      0x8eff5ff0, 0x453f04ef, 0xfd9ff7f3, 0x00000ffc, 
      0x92ff4ff2, 0xb543041f, 0xfdaff4f3, 0x00000ffb, 
      0x96ff2ff2, 0x3547035f, 0xfdbff1f4, 0x00000ffb, 
      0x9bff1ff3, 0xa54a029f, 0xfdbfeef4, 0x00000ffb, 
      0x9fff0ff2, 0x254e01df, 0xfdcfebf5, 0x00000ffb, 
      0xa3fefff3, 0xa551011f, 0xfddfe8f5, 0x00000ffa, 
      0xa8fedff4, 0x3553005f, 0xfdefe4f6, 0x00000ffa, 
      0xacfecff4, 0xb556ff9f, 0xfdffe1f6, 0x00000ffa, 
      0xb0febff5, 0x4558feef, 0xfdffdef7, 0x00000ff9, 
      0xb4feaff5, 0xd55afe3f, 0xfe0fdaf7, 0x00000ff9, 
      0xb8fe9ff5, 0x755bfd7f, 0xfe1fd7f8, 0x00000ff9, 
      0xbcfe8ff6, 0x055cfcdf, 0xfe2fd3f9, 0x00000ff8, 
      0xc0fe7ff6, 0xa55dfc2f, 0xfe3fcff9, 0x00000ff8, 
      0xc4fe6ff7, 0x355dfb8f, 0xfe4fccfa, 0x00000ff7, 
      0xc8fe5ff7, 0xd55efadf, 0xfe5fc8fa, 0x00000ff7, 
      0xccfe4ff7, 0x855dfa3f, 0xfe6fc4fb, 0x00000ff7, 
      0xcffe3ff8, 0x255df9af, 0xfe7fc0fc, 0x00000ff6, 
      0xd3fe2ff8, 0xd55cf90f, 0xfe8fbcfc, 0x00000ff6, 
      0xd7fe1ff8, 0x855bf87f, 0xfe9fb8fd, 0x00000ff5, 
      0xdafe0ff9, 0x355af7df, 0xfeafb4fe, 0x00000ff5, 
      0xdefdfff9, 0xe558f74f, 0xfebfb0fe, 0x00000ff5, 
      0xe1fdfffa, 0x9556f6bf, 0xfecfacff, 0x00000ff4, 
      0xe4fdeffa, 0x5553f63f, 0xfedfa800, 0x00000ff4, 
      0xe8fddffa, 0x1551f5af, 0xfeffa301, 0x00000ff3, 
      0xebfdcffa, 0xd54ef52f, 0xff0f9f01, 0x00000ff3, 
      0xeefdcffb, 0x954af4af, 0xff1f9b02, 0x00000ff2, 
      0xf1fdbffb, 0x5547f43f, 0xff2f9603, 0x00000ff2, 
      0xf4fdbffc, 0x1543f3bf, 0xff3f9204, 0x00000ff1, 
      0xf7fd9ffb, 0xe53ff34f, 0xff5f8e04, 0x00000ff1, 
      0xfafd9ffc, 0xb53af2df, 0xff6f8905, 0x00000ff0, 
      0xfdfd8ffc, 0x8535f26f, 0xff7f8506, 0x00000ff0, 
      0x00fd8ffd, 0x5530f1f0, 0xff8f8007, 0x00000fef, 
      0x02fd7ffc, 0x252bf190, 0xffaf7c08, 0x00000fef, 
      0x05fd6ffd, 0x0525f130, 0xffbf7709, 0x00000fee, 
      0x07fd6ffd, 0xd51ff0d0, 0xffcf7309, 0x00000fee, 
      0x09fd6ffe, 0xb518f070, 0xffef6e0a, 0x00000fed, 
      0x0cfd5ffd, 0x9512f010, 0xffff6a0b, 0x00000fed, 
      0x0efd5ffe, 0x750befc0, 0x000f650c, 0x00000fec, 
      0x10fd4ffe, 0x5504ef70, 0x002f600d, 0x00000fec, 
      0x12fd4fff, 0x34fcef20, 0x003f5c0e, 0x00000feb, 
      0x14fd4fff, 0x14f5eed0, 0x004f570f, 0x00000feb, 
      0x16fd3ffe, 0x04edee90, 0x006f5310, 0x00000fea, 
      0x19fd3fff, 0xe4e4ee40, 0x007f4e10, 0x00000fea, 
      0x1afd3000, 0xd4dcee00, 0x008f4911, 0x00000fe9, 
      0x1bfd2fff, 0xc4d3edd0, 0x00af4512, 0x00000fe9, 
      0x1dfd2000, 0xb4caed90, 0x00bf4013, 0x00000fe8, 
      0x1ffd2000, 0xa4c0ed60, 0x00cf3c14, 0x00000fe7, 
      0x20fd2000, 0x94b7ed20, 0x00ef3715, 0x00000fe7, 
      0x22fd2000, 0x84adecf0, 0x00ff3316, 0x00000fe6, 
      0x23fd2000, 0x74a3ecd0, 0x010f2e17, 0x00000fe6, 
      0x24fd2000, 0x6499eca0, 0x012f2a18, 0x00000fe5, 
      0x25fd1000, 0x648eec80, 0x013f2619, 0x00000fe5, 
      0x27fd2001, 0x5483ec50, 0x014f211a, 0x00000fe4, 
      0x28fd1001, 0x5478ec30, 0x015f1d1b, 0x00000fe4, 
      0x29fd1000, 0x446dec20, 0x017f191c, 0x00000fe3, 
      0x2afd1001, 0x4462ec00, 0x018f141d, 0x00000fe2, 
      0x2bfd2000, 0x3456ebf0, 0x019f101e, 0x00000fe2, 
      0x2bfd2002, 0x344aebd0, 0x01af0c1f, 0x00000fe1, 
      0x2cfd1001, 0x343eebc0, 0x01cf0820, 0x00000fe1, 
      0x2dfd2001, 0x2432ebb0, 0x01df0421, 0x00000fe0, 
      0x2dfd2001, 0x2425ebb0, 0x01ef0022, 0x00000fe0, 
      0x2efd2001, 0x2419eba0, 0x01fefc23, 0x00000fdf, 
      0x2efd2001, 0x140ceba0, 0x020ef924, 0x00000fdf, 
      0x2efd2002, 0x13ffeba0, 0x021ef525, 0x00000fde, 
      0x2ffd2001, 0x13f2eba0, 0x022ef126, 0x00000fde, 
      0x2ffd3001, 0x13e4eba0, 0x023eee27, 0x00000fdd, 
      0x2ffd4002, 0x03d7eba0, 0x024eea28, 0x00000fdc, 
      0x2ffd3002, 0x03c9ebb0, 0x025ee729, 0x00000fdc, 
      0x2ffd4001, 0x03bbebc0, 0x026ee42a, 0x00000fdb, 
      0x2ffd4002, 0xf3adebd0, 0x027ee02a, 0x00000fdb, 
      0x2ffd4002, 0xf39febe0, 0x028edd2b, 0x00000fda, 
      0x2ffd5001, 0xe391ebf0, 0x029eda2c, 0x00000fda, 
      0x2ffd5001, 0xe383ec00, 0x029ed82d, 0x00000fd9, 
      0x2ffd5002, 0xd374ec10, 0x02aed52e, 0x00000fd9, 
      0x2efd6002, 0xc365ec30, 0x02bed22f, 0x00000fd9, 
      0x2efd6001, 0xc357ec50, 0x02bed030, 0x00000fd8, 
      0x2dfd6002, 0xb348ec70, 0x02cecd31, 0x00000fd8, 
      0x2dfd7001, 0xa339ec90, 0x02decb32, 0x00000fd7,
   },
   { /* Y scale factor = 1.41, phases = 127, taps = 9. */
      0xc702cfd6, 0x533e32fe, 0xfd602dec, 0x00000002, 
      0xc902bfd7, 0x334d320e, 0xfd602dec, 0x00000002, 
      0xcc02bfd8, 0x135c310e, 0xfd502dec, 0x00000002, 
      0xce02afd8, 0xf36b301e, 0xfd502eeb, 0x00000002, 
      0xd102afd8, 0xd37a2f1e, 0xfd502eeb, 0x00000002, 
      0xd4029fd9, 0xc3882e2e, 0xfd402eeb, 0x00000002, 
      0xd6028fd9, 0xb3972d2e, 0xfd402feb, 0x00000002, 
      0xda027fd9, 0x93a52c3e, 0xfd402feb, 0x00000002, 
      0xdd027fda, 0x83b32b3e, 0xfd302feb, 0x00000002, 
      0xe0026fda, 0x83c12a3e, 0xfd302feb, 0x00000002, 
      0xe3024fdb, 0x73cf294e, 0xfd302feb, 0x00000002, 
      0xe7024fdb, 0x63dd284e, 0xfd202feb, 0x00000002, 
      0xea023fdd, 0x63eb274e, 0xfd202eeb, 0x00000001, 
      0xee022fdd, 0x63f8264e, 0xfd202eeb, 0x00000001, 
      0xf1021fde, 0x6405254e, 0xfd202eeb, 0x00000001, 
      0xf501ffde, 0x6413244e, 0xfd202eeb, 0x00000001, 
      0xf901ffdf, 0x641f235e, 0xfd102deb, 0x00000001, 
      0xfd01dfdf, 0x742c225e, 0xfd102deb, 0x00000001, 
      0x0101cfe0, 0x7439215f, 0xfd102ceb, 0x00000001, 
      0x0501bfe1, 0x8445205f, 0xfd102beb, 0x00000001, 
      0x0901afe1, 0x94511f5f, 0xfd102beb, 0x00000001, 
      0x0d019fe2, 0xa45d1e5f, 0xfd102aeb, 0x00000001, 
      0x11018fe1, 0xc4691d6f, 0xfd1029eb, 0x00000001, 
      0x15016fe3, 0xd4751c6f, 0xfd1028eb, 0x00000001, 
      0x1a015fe4, 0xf4801b6f, 0xfd1027eb, 0x00000000, 
      0x1e014fe4, 0x148b1a7f, 0xfd1026ec, 0x00000000, 
      0x23012fe5, 0x3496197f, 0xfd1025ec, 0x00000000, 
      0x27011fe4, 0x64a1188f, 0xfd1024ec, 0x00000000, 
      0x2b010fe6, 0x84ab178f, 0xfd1023ec, 0x00000000, 
      0x3000ffe6, 0xb4b5169f, 0xfd1021ec, 0x00000000, 
      0x3400dfe7, 0xe4bf15af, 0xfd1020ec, 0x00000000, 
      0x3900bfe7, 0x24c914bf, 0xfd101eed, 0x00000000, 
      0x3e00afe7, 0x54d213cf, 0xfd201ded, 0x00000fff, 
      0x42009fe8, 0x94db12df, 0xfd201bed, 0x00000fff, 
      0x47008fe9, 0xc4e411ef, 0xfd2019ed, 0x00000fff, 
      0x4b006fe9, 0x14ed10ff, 0xfd2018ee, 0x00000fff, 
      0x50005fe9, 0x54f5100f, 0xfd3016ee, 0x00000fff, 
      0x55004fea, 0x94fd0f2f, 0xfd3014ee, 0x00000ffe, 
      0x59003feb, 0xe5050e3f, 0xfd3012ee, 0x00000ffe, 
      0x5e001feb, 0x350d0d5f, 0xfd400fef, 0x00000ffe, 
      0x62000fec, 0x85140c7f, 0xfd400def, 0x00000ffe, 
      0x67ffefec, 0xe51b0b9f, 0xfd400bef, 0x00000ffe, 
      0x6cffdfed, 0x35210abf, 0xfd5009f0, 0x00000ffd, 
      0x70ffcfee, 0x952809df, 0xfd5006f0, 0x00000ffd, 
      0x75ffafee, 0xf52e08ff, 0xfd6004f0, 0x00000ffd, 
      0x7aff9fee, 0x5534082f, 0xfd6001f1, 0x00000ffd, 
      0x7eff8ff0, 0xc539074f, 0xfd7ffef1, 0x00000ffc, 
      0x83ff7ff0, 0x253e067f, 0xfd7ffcf2, 0x00000ffc, 
      0x87ff5ff1, 0x954305af, 0xfd8ff9f2, 0x00000ffc, 
      0x8bff4ff0, 0x154804df, 0xfd9ff6f3, 0x00000ffc, 
      0x90ff3ff2, 0x854c040f, 0xfd9ff3f3, 0x00000ffb, 
      0x94ff2ff2, 0xf550034f, 0xfdaff0f3, 0x00000ffb, 
      0x99ff0ff2, 0x7554027f, 0xfdbfedf4, 0x00000ffb, 
      0x9dff0ff3, 0xf55701bf, 0xfdbfeaf4, 0x00000ffa, 
      0xa2feeff3, 0x855a00ff, 0xfdcfe6f5, 0x00000ffa, 
      0xa6fedff3, 0x055d003f, 0xfddfe3f6, 0x00000ffa, 
      0xaafecff3, 0x955fff8f, 0xfdefe0f6, 0x00000ff9, 
      0xaefebff5, 0x1561fecf, 0xfdffdcf7, 0x00000ff9, 
      0xb2fe9ff5, 0xb563fe1f, 0xfdffd9f7, 0x00000ff9, 
      0xb6fe8ff6, 0x4565fd6f, 0xfe0fd5f8, 0x00000ff8, 
      0xbafe7ff6, 0xd566fcbf, 0xfe1fd2f8, 0x00000ff8, 
      0xbefe6ff6, 0x7567fc0f, 0xfe2fcef9, 0x00000ff8, 
      0xc2fe6ff7, 0x1567fb5f, 0xfe3fcafa, 0x00000ff7, 
      0xc6fe5ff7, 0xb567fabf, 0xfe4fc6fa, 0x00000ff7, 
      0xcafe4ff8, 0x5567fa1f, 0xfe5fc2fb, 0x00000ff6, 
      0xcefe2ff8, 0x0567f97f, 0xfe6fbefc, 0x00000ff6, 
      0xd2fe1ff8, 0xb566f8df, 0xfe7fbafc, 0x00000ff6, 
      0xd5fe0ff9, 0x6565f84f, 0xfe8fb6fd, 0x00000ff5, 
      0xd9fdfff9, 0x1563f7bf, 0xfe9fb2fe, 0x00000ff5, 
      0xdcfdfffa, 0xc561f71f, 0xfebfaefe, 0x00000ff4, 
      0xe0fddff9, 0x855ff69f, 0xfecfaaff, 0x00000ff4, 
      0xe3fddffa, 0x355df60f, 0xfedfa600, 0x00000ff3, 
      0xe6fdcffa, 0xf55af58f, 0xfeefa200, 0x00000ff3, 
      0xeafdbffb, 0xb557f4ff, 0xfeff9d01, 0x00000ff3, 
      0xedfdbffb, 0x7554f47f, 0xff0f9902, 0x00000ff2, 
      0xf0fdaffb, 0x4550f3ff, 0xff2f9403, 0x00000ff2, 
      0xf3fd9ffc, 0x054cf38f, 0xff3f9004, 0x00000ff1, 
      0xf6fd8ffb, 0xd548f31f, 0xff4f8c04, 0x00000ff1, 
      0xf9fd9ffc, 0xa543f29f, 0xff5f8705, 0x00000ff0, 
      0xfcfd7ffc, 0x753ef22f, 0xff7f8306, 0x00000ff0, 
      0xfefd7ffd, 0x4539f1cf, 0xff8f7e07, 0x00000fef, 
      0x01fd6ffc, 0x2534f150, 0xff9f7a08, 0x00000fef, 
      0x04fd6ffd, 0xf52ef0f0, 0xffaf7508, 0x00000fee, 
      0x06fd5ffd, 0xd528f090, 0xffcf7009, 0x00000fee, 
      0x09fd5ffd, 0xb521f030, 0xffdf6c0a, 0x00000fed, 
      0x0bfd4ffd, 0x951befe0, 0xffef670b, 0x00000fed, 
      0x0dfd4ffe, 0x7514ef80, 0x000f620c, 0x00000fec, 
      0x0ffd3ffe, 0x550def30, 0x001f5e0d, 0x00000fec, 
      0x12fd3fff, 0x3505eee0, 0x002f590e, 0x00000feb, 
      0x14fd3ffe, 0x24fdee90, 0x004f550f, 0x00000fea, 
      0x16fd3ffe, 0x04f5ee50, 0x005f5010, 0x00000fea, 
      0x18fd2fff, 0xf4edee10, 0x006f4b10, 0x00000fe9, 
      0x19fd2fff, 0xe4e4edc0, 0x008f4711, 0x00000fe9, 
      0x1bfd2fff, 0xd4dbed90, 0x009f4212, 0x00000fe8, 
      0x1cfd1fff, 0xc4d2ed50, 0x00bf3e13, 0x00000fe8, 
      0x1efd1fff, 0xb4c9ed20, 0x00cf3914, 0x00000fe7, 
      0x20fd1000, 0xa4bfece0, 0x00df3415, 0x00000fe7, 
      0x21fd1000, 0x94b5ecb0, 0x00ff3016, 0x00000fe6, 
      0x23fd1000, 0x84abec90, 0x010f2b17, 0x00000fe5, 
      0x24fd0000, 0x84a1ec60, 0x011f2718, 0x00000fe5, 
      0x25fd1001, 0x7496ec30, 0x012f2319, 0x00000fe4, 
      0x26fd1000, 0x748bec10, 0x014f1e1a, 0x00000fe4, 
      0x27fd1001, 0x6480ebf0, 0x015f1a1b, 0x00000fe3, 
      0x28fd1001, 0x6475ebd0, 0x016f151c, 0x00000fe3, 
      0x29fd1000, 0x6469ebc0, 0x018f111d, 0x00000fe2, 
      0x2bfd1001, 0x545deba0, 0x019f0d1e, 0x00000fe1, 
      0x2bfd1001, 0x5451eb90, 0x01af091f, 0x00000fe1, 
      0x2bfd1002, 0x5445eb80, 0x01bf0520, 0x00000fe0, 
      0x2cfd1001, 0x5439eb70, 0x01cf0121, 0x00000fe0, 
      0x2dfd1001, 0x542ceb70, 0x01defd22, 0x00000fdf, 
      0x2dfd1001, 0x541feb60, 0x01fef923, 0x00000fdf, 
      0x2efd1001, 0x4413eb60, 0x020ef524, 0x00000fde, 
      0x2efd2001, 0x4405eb60, 0x021ef125, 0x00000fde, 
      0x2efd2001, 0x43f8eb60, 0x022eee26, 0x00000fdd, 
      0x2efd2002, 0x43ebeb60, 0x023eea27, 0x00000fdc, 
      0x2ffd2001, 0x43ddeb60, 0x024ee728, 0x00000fdc, 
      0x2ffd3001, 0x43cfeb70, 0x025ee329, 0x00000fdb, 
      0x2ffd3001, 0x33c1eb80, 0x026ee02a, 0x00000fdb, 
      0x2ffd3002, 0x33b3eb80, 0x027edd2b, 0x00000fda, 
      0x2ffd4001, 0x33a5eb90, 0x027eda2c, 0x00000fda, 
      0x2ffd4001, 0x2397ebb0, 0x028ed72d, 0x00000fd9, 
      0x2efd4002, 0x2388ebc0, 0x029ed42e, 0x00000fd9, 
      0x2efd5002, 0x137aebd0, 0x02aed12f, 0x00000fd8, 
      0x2efd5002, 0x136bebf0, 0x02aece30, 0x00000fd8, 
      0x2dfd5002, 0x035cec10, 0x02becc31, 0x00000fd8, 
      0x2dfd6001, 0x034dec30, 0x02cec932, 0x00000fd7, 
      0x2dfd6001, 0xf33eec50, 0x02cec732, 0x00000fd7,
   },
   { /* Y scale factor = 1.42, phases = 127, taps = 9. */
      0xc302bfd6, 0x1343334e, 0xfd602cec, 0x00000002, 
      0xc502bfd6, 0xf352325e, 0xfd502deb, 0x00000002, 
      0xc802bfd6, 0xd361315e, 0xfd502deb, 0x00000002, 
      0xca02afd8, 0xb370306e, 0xfd402deb, 0x00000002, 
      0xcd029fd8, 0x937f2f6e, 0xfd402eeb, 0x00000002, 
      0xd0028fd8, 0x838e2e6e, 0xfd402eeb, 0x00000002, 
      0xd3028fd8, 0x639d2d7e, 0xfd302eeb, 0x00000002, 
      0xd6027fd9, 0x53ab2c7e, 0xfd302eeb, 0x00000002, 
      0xd9026fda, 0x43b92b7e, 0xfd302eeb, 0x00000002, 
      0xdc025fdb, 0x33c82a7e, 0xfd202eeb, 0x00000002, 
      0xdf024fdb, 0x33d6297e, 0xfd202eeb, 0x00000002, 
      0xe3023fdc, 0x23e4287e, 0xfd202eeb, 0x00000001, 
      0xe6023fdc, 0x23f1277e, 0xfd202eeb, 0x00000001, 
      0xea022fdd, 0x13ff267e, 0xfd102eeb, 0x00000001, 
      0xee020fde, 0x140c257e, 0xfd102eeb, 0x00000001, 
      0xf201ffde, 0x2419247e, 0xfd102deb, 0x00000001, 
      0xf501efdf, 0x2426237e, 0xfd102deb, 0x00000001, 
      0xf901dfdf, 0x2433228e, 0xfd102ceb, 0x00000001, 
      0xfd01cfdf, 0x3440218e, 0xfd002ceb, 0x00000001, 
      0x0101bfe0, 0x444c208f, 0xfd002beb, 0x00000001, 
      0x06019fe0, 0x54591f8f, 0xfd002aeb, 0x00000001, 
      0x0a018fe0, 0x64651e8f, 0xfd002aeb, 0x00000001, 
      0x0d017fe1, 0x84711d8f, 0xfd0029eb, 0x00000001, 
      0x12016fe2, 0x947c1c8f, 0xfd0028eb, 0x00000001, 
      0x17015fe2, 0xb4881b8f, 0xfd0027eb, 0x00000000, 
      0x1b013fe3, 0xd4931a9f, 0xfd0026eb, 0x00000000, 
      0x1f012fe4, 0xf49e199f, 0xfd0025eb, 0x00000000, 
      0x24011fe4, 0x24a9189f, 0xfd0023ec, 0x00000000, 
      0x28010fe5, 0x44b317af, 0xfd0022ec, 0x00000000, 
      0x2d00efe6, 0x74bd16af, 0xfd0021ec, 0x00000000, 
      0x3100dfe7, 0xa4c715bf, 0xfd001fec, 0x00000000, 
      0x3600bfe7, 0xd4d114cf, 0xfd101eec, 0x00000fff, 
      0x3b00afe7, 0x14db13cf, 0xfd101ced, 0x00000fff, 
      0x3f009fe8, 0x54e412df, 0xfd101aed, 0x00000fff, 
      0x44007fe8, 0x94ed11ef, 0xfd1019ed, 0x00000fff, 
      0x49006fe8, 0xd4f610ff, 0xfd1017ed, 0x00000fff, 
      0x4d004fe9, 0x14fe101f, 0xfd2015ee, 0x00000fff, 
      0x52003feb, 0x55060f2f, 0xfd2013ee, 0x00000ffe, 
      0x57002feb, 0xa50e0e3f, 0xfd2011ee, 0x00000ffe, 
      0x5b000feb, 0xf5160d5f, 0xfd300fee, 0x00000ffe, 
      0x60ffffec, 0x451d0c7f, 0xfd300cef, 0x00000ffe, 
      0x65ffefec, 0xa5240b8f, 0xfd400aef, 0x00000ffd, 
      0x69ffdfed, 0xf52b0aaf, 0xfd4008ef, 0x00000ffd, 
      0x6effcfee, 0x553109cf, 0xfd4005f0, 0x00000ffd, 
      0x73ffafed, 0xb53708ff, 0xfd5003f0, 0x00000ffd, 
      0x77ff9fee, 0x253d081f, 0xfd6000f1, 0x00000ffc, 
      0x7cff7fef, 0x8543074f, 0xfd6ffdf1, 0x00000ffc, 
      0x80ff6fef, 0xf548066f, 0xfd7ffbf1, 0x00000ffc, 
      0x85ff5fef, 0x654d059f, 0xfd7ff8f2, 0x00000ffc, 
      0x89ff4ff1, 0xd55104cf, 0xfd8ff5f2, 0x00000ffb, 
      0x8eff2ff0, 0x555603ff, 0xfd9ff2f3, 0x00000ffb, 
      0x92ff1ff2, 0xc55a032f, 0xfd9feff3, 0x00000ffb, 
      0x97ff0ff2, 0x455d026f, 0xfdafecf4, 0x00000ffa, 
      0x9bfefff2, 0xc56101af, 0xfdbfe8f4, 0x00000ffa, 
      0xa0fedff3, 0x456400ef, 0xfdbfe5f5, 0x00000ffa, 
      0xa3fecff3, 0xd567002f, 0xfdcfe2f5, 0x00000ffa, 
      0xa8febff4, 0x6569ff6f, 0xfddfdef6, 0x00000ff9, 
      0xacfeaff4, 0xf56bfeaf, 0xfdefdbf6, 0x00000ff9, 
      0xb1fe9ff4, 0x856dfdff, 0xfdffd7f7, 0x00000ff8, 
      0xb5fe8ff4, 0x156efd4f, 0xfe0fd4f8, 0x00000ff8, 
      0xb9fe6ff5, 0xb56ffc9f, 0xfe1fd0f8, 0x00000ff8, 
      0xbdfe6ff5, 0x5570fbef, 0xfe2fccf9, 0x00000ff7, 
      0xc1fe4ff6, 0xf571fb3f, 0xfe2fc9f9, 0x00000ff7, 
      0xc5fe3ff6, 0x9571fa9f, 0xfe3fc5fa, 0x00000ff7, 
      0xc9fe2ff7, 0x3571f9ff, 0xfe4fc1fb, 0x00000ff6, 
      0xccfe1ff7, 0xe570f95f, 0xfe6fbdfb, 0x00000ff6, 
      0xd0fe1ff7, 0x956ff8bf, 0xfe7fb9fc, 0x00000ff5, 
      0xd4fdfff8, 0x456ef81f, 0xfe8fb5fd, 0x00000ff5, 
      0xd7fdeff8, 0xf56df78f, 0xfe9fb1fd, 0x00000ff5, 
      0xdbfdeff9, 0xa56bf6ff, 0xfeafacfe, 0x00000ff4, 
      0xdefddff9, 0x6569f66f, 0xfebfa8ff, 0x00000ff4, 
      0xe2fdcff9, 0x2567f5df, 0xfecfa400, 0x00000ff3, 
      0xe5fdbffa, 0xe564f54f, 0xfedfa000, 0x00000ff3, 
      0xe8fdbffa, 0xa561f4cf, 0xfeff9b01, 0x00000ff2, 
      0xecfdaffa, 0x655df44f, 0xff0f9702, 0x00000ff2, 
      0xeffdaffb, 0x255af3cf, 0xff1f9203, 0x00000ff1, 
      0xf2fd8ffb, 0xf556f35f, 0xff2f8e03, 0x00000ff1, 
      0xf5fd8ffc, 0xc551f2ef, 0xff3f8904, 0x00000ff0, 
      0xf8fd7ffb, 0x954df26f, 0xff5f8505, 0x00000ff0, 
      0xfbfd7ffc, 0x6548f1ff, 0xff6f8006, 0x00000fef, 
      0xfdfd6ffc, 0x4543f18f, 0xff7f7c07, 0x00000fef, 
      0x00fd6ffc, 0x153df120, 0xff9f7708, 0x00000fee, 
      0x03fd5ffc, 0xf537f0b0, 0xffaf7308, 0x00000fee, 
      0x06fd5ffd, 0xc531f050, 0xffbf6e09, 0x00000fed, 
      0x08fd4ffd, 0xa52beff0, 0xffdf690a, 0x00000fed, 
      0x0afd4ffd, 0x8524efa0, 0xffef650b, 0x00000fec, 
      0x0cfd3ffe, 0x751def40, 0xffff600c, 0x00000fec, 
      0x0ffd3ffd, 0x5516eef0, 0x001f5b0d, 0x00000feb, 
      0x11fd2ffe, 0x350eeea0, 0x002f570e, 0x00000feb, 
      0x13fd2fff, 0x2506ee50, 0x003f520f, 0x00000fea, 
      0x15fd1ffe, 0x14feee10, 0x005f4d10, 0x00000fea, 
      0x17fd1ffe, 0xf4f6edd0, 0x006f4910, 0x00000fe9, 
      0x19fd1fff, 0xe4eded90, 0x007f4411, 0x00000fe8, 
      0x1afd1fff, 0xd4e4ed50, 0x009f3f12, 0x00000fe8, 
      0x1cfd1fff, 0xc4dbed10, 0x00af3b13, 0x00000fe7, 
      0x1efd1fff, 0xc4d1ecd0, 0x00bf3614, 0x00000fe7, 
      0x1ffd1000, 0xb4c7eca0, 0x00df3115, 0x00000fe6, 
      0x21fd0000, 0xa4bdec70, 0x00ef2d16, 0x00000fe6, 
      0x22fd1000, 0xa4b3ec40, 0x00ff2817, 0x00000fe5, 
      0x23fd0000, 0x94a9ec20, 0x011f2418, 0x00000fe4, 
      0x25fd0000, 0x949eebf0, 0x012f1f19, 0x00000fe4, 
      0x26fd0000, 0x9493ebd0, 0x013f1b1a, 0x00000fe3, 
      0x27fcf000, 0x8488ebb0, 0x015f171b, 0x00000fe3, 
      0x28fd0001, 0x847ceb90, 0x016f121c, 0x00000fe2, 
      0x28fd0000, 0x8471eb80, 0x017f0e1d, 0x00000fe2, 
      0x2afd0000, 0x8465eb60, 0x018f0a1e, 0x00000fe1, 
      0x2afd0000, 0x8459eb50, 0x01af061f, 0x00000fe0, 
      0x2bfd0001, 0x844ceb40, 0x01bf0120, 0x00000fe0, 
      0x2cfd0001, 0x8440eb30, 0x01cefd21, 0x00000fdf, 
      0x2cfd1001, 0x8433eb20, 0x01def922, 0x00000fdf, 
      0x2dfd1002, 0x7426eb20, 0x01eef523, 0x00000fde, 
      0x2dfd1001, 0x7419eb20, 0x01fef224, 0x00000fde, 
      0x2efd1002, 0x740ceb10, 0x020eee25, 0x00000fdd, 
      0x2efd2002, 0x73ffeb10, 0x021eea26, 0x00000fdc, 
      0x2efd2002, 0x73f1eb20, 0x022ee627, 0x00000fdc, 
      0x2efd2002, 0x73e4eb20, 0x023ee328, 0x00000fdb, 
      0x2efd2002, 0x73d6eb30, 0x024edf29, 0x00000fdb, 
      0x2efd3002, 0x73c8eb30, 0x025edc2a, 0x00000fda, 
      0x2efd3002, 0x73b9eb40, 0x026ed92b, 0x00000fda, 
      0x2efd3002, 0x73abeb50, 0x027ed62c, 0x00000fd9, 
      0x2efd3001, 0x739deb60, 0x028ed32d, 0x00000fd9, 
      0x2efd4001, 0x638eeb80, 0x029ed02e, 0x00000fd8, 
      0x2efd4002, 0x637feb90, 0x029ecd2f, 0x00000fd8, 
      0x2dfd5002, 0x6370ebb0, 0x02aeca30, 0x00000fd7, 
      0x2dfd5001, 0x5361ebd0, 0x02bec831, 0x00000fd7, 
      0x2dfd5002, 0x5352ebf0, 0x02bec532, 0x00000fd6, 
      0x2cfd6001, 0x4343ec10, 0x02cec333, 0x00000fd6,
   },
   { /* Y scale factor = 1.43, phases = 127, taps = 9. */
      0xbf02bfd5, 0xd348339e, 0xfd502ceb, 0x00000002, 
      0xc102bfd5, 0xb358329e, 0xfd502ceb, 0x00000002, 
      0xc302afd6, 0x936731ae, 0xfd402deb, 0x00000002, 
      0xc602afd6, 0x737630ae, 0xfd402deb, 0x00000002, 
      0xc9029fd7, 0x53852fbe, 0xfd302deb, 0x00000002, 
      0xcb028fd7, 0x43942ebe, 0xfd302eeb, 0x00000002, 
      0xcf027fd8, 0x23a22dbe, 0xfd302eeb, 0x00000002, 
      0xd2027fd8, 0x13b12cbe, 0xfd202eeb, 0x00000002, 
      0xd5026fd9, 0x03c02bbe, 0xfd202eeb, 0x00000001, 
      0xd8025fda, 0xf3ce2abe, 0xfd202eea, 0x00000001, 
      0xdc024fdb, 0xe3dc29be, 0xfd102eea, 0x00000001, 
      0xdf023fdb, 0xe3ea28be, 0xfd102eea, 0x00000001, 
      0xe3022fdb, 0xd3f827be, 0xfd102eea, 0x00000001, 
      0xe6021fdc, 0xd40626be, 0xfd102dea, 0x00000001, 
      0xea020fdd, 0xd41325be, 0xfd002dea, 0x00000001, 
      0xee01ffdd, 0xd42024be, 0xfd002dea, 0x00000001, 
      0xf201efdd, 0xe42e23ae, 0xfd002cea, 0x00000001, 
      0xf601cfde, 0xe43b22ae, 0xfd002cea, 0x00000001, 
      0xfa01bfdf, 0xf44721ae, 0xfd002bea, 0x00000001, 
      0xfd01afdf, 0x045420ae, 0xfd002beb, 0x00000001, 
      0x02019fe0, 0x14601faf, 0xfcf02aeb, 0x00000001, 
      0x06018fe1, 0x246c1eaf, 0xfcf029eb, 0x00000001, 
      0x0b017fe1, 0x34781daf, 0xfcf028eb, 0x00000001, 
      0x0f016fe2, 0x54841caf, 0xfcf027eb, 0x00000000, 
      0x13014fe3, 0x74901baf, 0xfcf026eb, 0x00000000, 
      0x18013fe3, 0x949b1aaf, 0xfcf025eb, 0x00000000, 
      0x1c011fe4, 0xb4a619bf, 0xfcf024eb, 0x00000000, 
      0x21010fe4, 0xd4b118bf, 0xfcf023eb, 0x00000000, 
      0x2600ffe5, 0x04bb17bf, 0xfcf021ec, 0x00000000, 
      0x2900dfe5, 0x34c616cf, 0xfd0020ec, 0x00000000, 
      0x2e00cfe6, 0x64d015cf, 0xfd001fec, 0x00000fff, 
      0x3300bfe6, 0x94da14df, 0xfd001dec, 0x00000fff, 
      0x3800afe7, 0xd4e313df, 0xfd001bec, 0x00000fff, 
      0x3c008fe8, 0x14ec12ef, 0xfd001aed, 0x00000fff, 
      0x41007fe8, 0x44f611ff, 0xfd0018ed, 0x00000fff, 
      0x46005fe8, 0x94fe110f, 0xfd1016ed, 0x00000fff, 
      0x4b004fe9, 0xd507101f, 0xfd1014ed, 0x00000ffe, 
      0x4f003fea, 0x250f0f2f, 0xfd1012ee, 0x00000ffe, 
      0x54001fea, 0x65170e4f, 0xfd2010ee, 0x00000ffe, 
      0x59000fea, 0xb51f0d5f, 0xfd200eee, 0x00000ffe, 
      0x5dffefeb, 0x15260c7f, 0xfd200cef, 0x00000ffe, 
      0x62ffefec, 0x652d0b8f, 0xfd3009ef, 0x00000ffd, 
      0x67ffcfec, 0xc5340aaf, 0xfd3007ef, 0x00000ffd, 
      0x6cffbfec, 0x253a09cf, 0xfd4004f0, 0x00000ffd, 
      0x70ff9fed, 0x854108ef, 0xfd4002f0, 0x00000ffd, 
      0x75ff8fef, 0xe546080f, 0xfd5ffff0, 0x00000ffc, 
      0x7aff7fee, 0x554c073f, 0xfd5ffcf1, 0x00000ffc, 
      0x7eff5fef, 0xc551065f, 0xfd6ffaf1, 0x00000ffc, 
      0x83ff4fef, 0x3556058f, 0xfd6ff7f2, 0x00000ffc, 
      0x87ff3ff0, 0xa55b04bf, 0xfd7ff4f2, 0x00000ffb, 
      0x8cff2ff0, 0x155f03ef, 0xfd8ff1f3, 0x00000ffb, 
      0x90ff0ff2, 0x9563031f, 0xfd8feef3, 0x00000ffb, 
      0x95fefff1, 0x1567025f, 0xfd9febf4, 0x00000ffa, 
      0x99feeff3, 0x956a018f, 0xfdafe7f4, 0x00000ffa, 
      0x9efecff2, 0x156e00cf, 0xfdbfe4f5, 0x00000ffa, 
      0xa2fecff3, 0xa570000f, 0xfdbfe1f5, 0x00000ff9, 
      0xa6feaff4, 0x3573ff4f, 0xfdcfddf6, 0x00000ff9, 
      0xabfe9ff3, 0xc575fe8f, 0xfddfdaf6, 0x00000ff9, 
      0xaffe8ff4, 0x5577fddf, 0xfdefd6f7, 0x00000ff8, 
      0xb3fe7ff5, 0xe578fd2f, 0xfdffd2f7, 0x00000ff8, 
      0xb7fe6ff5, 0x8579fc6f, 0xfe0fcff8, 0x00000ff8, 
      0xbbfe5ff5, 0x257afbcf, 0xfe1fcbf9, 0x00000ff7, 
      0xbffe4ff5, 0xc57bfb1f, 0xfe2fc7f9, 0x00000ff7, 
      0xc3fe3ff7, 0x657bfa6f, 0xfe3fc3fa, 0x00000ff6, 
      0xc7fe2ff6, 0x157bf9cf, 0xfe4fbffb, 0x00000ff6, 
      0xcbfe0ff7, 0xc57af92f, 0xfe5fbbfb, 0x00000ff6, 
      0xcffe0ff8, 0x6579f88f, 0xfe6fb7fc, 0x00000ff5, 
      0xd2fdfff8, 0x2578f7ef, 0xfe7fb3fd, 0x00000ff5, 
      0xd6fdeff8, 0xd577f75f, 0xfe8faffd, 0x00000ff4, 
      0xdafddff8, 0x8575f6cf, 0xfe9fabfe, 0x00000ff4, 
      0xddfddff9, 0x4573f63f, 0xfeafa6ff, 0x00000ff3, 
      0xe1fdbffa, 0x0570f5af, 0xfebfa200, 0x00000ff3, 
      0xe4fdbff9, 0xc56ef51f, 0xfedf9e00, 0x00000ff2, 
      0xe8fdaffa, 0x856af49f, 0xfeef9901, 0x00000ff2, 
      0xeafd9ffa, 0x5567f41f, 0xfeff9502, 0x00000ff2, 
      0xeefd9ffb, 0x1563f39f, 0xff0f9003, 0x00000ff1, 
      0xf1fd8ffa, 0xe55ff31f, 0xff2f8c03, 0x00000ff1, 
      0xf4fd7ffb, 0xb55bf2af, 0xff3f8704, 0x00000ff0, 
      0xf7fd6ffb, 0x8556f23f, 0xff4f8305, 0x00000ff0, 
      0xfafd6ffc, 0x5551f1cf, 0xff5f7e06, 0x00000fef, 
      0xfcfd5ffc, 0x354cf14f, 0xff7f7a07, 0x00000fef, 
      0xfffd5ffd, 0x0546f0ef, 0xff8f7508, 0x00000fee, 
      0x02fd4ffc, 0xe541f080, 0xff9f7008, 0x00000fee, 
      0x04fd4ffc, 0xc53af020, 0xffbf6c09, 0x00000fed, 
      0x07fd3ffd, 0xa534efc0, 0xffcf670a, 0x00000fec, 
      0x09fd3ffe, 0x852def60, 0xffdf620b, 0x00000fec, 
      0x0cfd2ffd, 0x7526ef10, 0xffff5d0c, 0x00000feb, 
      0x0efd2ffd, 0x551feeb0, 0x000f590d, 0x00000feb, 
      0x10fd2ffe, 0x4517ee60, 0x001f540e, 0x00000fea, 
      0x12fd1ffe, 0x250fee20, 0x003f4f0f, 0x00000fea, 
      0x14fd1ffe, 0x1507edd0, 0x004f4b10, 0x00000fe9, 
      0x16fd1ffe, 0x04feed90, 0x005f4611, 0x00000fe9, 
      0x18fd0fff, 0xf4f6ed40, 0x007f4111, 0x00000fe8, 
      0x1afd1fff, 0xe4eced10, 0x008f3c12, 0x00000fe7, 
      0x1bfd0000, 0xd4e3ecd0, 0x009f3813, 0x00000fe7, 
      0x1dfd0fff, 0xd4daec90, 0x00bf3314, 0x00000fe6, 
      0x1ffd0fff, 0xc4d0ec60, 0x00cf2e15, 0x00000fe6, 
      0x20fcffff, 0xc4c6ec30, 0x00ef2a16, 0x00000fe5, 
      0x21fd0000, 0xb4bbec00, 0x00ff2517, 0x00000fe5, 
      0x23fcf000, 0xb4b1ebd0, 0x010f2118, 0x00000fe4, 
      0x24fcf001, 0xb4a6ebb0, 0x011f1c19, 0x00000fe3, 
      0x25fcf000, 0xa49beb90, 0x013f181a, 0x00000fe3, 
      0x26fcf001, 0xa490eb70, 0x014f131b, 0x00000fe2, 
      0x27fcf001, 0xa484eb50, 0x015f0f1c, 0x00000fe2, 
      0x28fcf001, 0xa478eb30, 0x017f0b1d, 0x00000fe1, 
      0x29fd0001, 0xa46ceb20, 0x018f061e, 0x00000fe0, 
      0x2afcf001, 0xa460eb10, 0x019f021f, 0x00000fe0, 
      0x2bfd0000, 0xa454eb00, 0x01aefe20, 0x00000fdf, 
      0x2bfd0001, 0xa447eaf0, 0x01befa21, 0x00000fdf, 
      0x2cfd0000, 0xa43beae0, 0x01def622, 0x00000fde, 
      0x2cfcf001, 0xa42eeae0, 0x01eef223, 0x00000fde, 
      0x2dfd0001, 0xb420ead0, 0x01feee24, 0x00000fdd, 
      0x2dfd0002, 0xb413ead0, 0x020eea25, 0x00000fdc, 
      0x2dfd1001, 0xb406ead0, 0x021ee626, 0x00000fdc, 
      0x2efd1001, 0xb3f8ead0, 0x022ee327, 0x00000fdb, 
      0x2efd1001, 0xb3eaeae0, 0x023edf28, 0x00000fdb, 
      0x2efd1002, 0xb3dceae0, 0x024edc29, 0x00000fda, 
      0x2efd2001, 0xb3ceeaf0, 0x025ed82a, 0x00000fda, 
      0x2efd2001, 0xb3c0eb00, 0x026ed52b, 0x00000fd9, 
      0x2efd2001, 0xb3b1eb10, 0x027ed22c, 0x00000fd9, 
      0x2efd3002, 0xb3a2eb20, 0x027ecf2d, 0x00000fd8, 
      0x2efd2001, 0xb394eb40, 0x028ecc2e, 0x00000fd8, 
      0x2dfd3002, 0xb385eb50, 0x029ec92f, 0x00000fd7, 
      0x2dfd4001, 0xa376eb70, 0x02aec630, 0x00000fd7, 
      0x2dfd4001, 0xa367eb90, 0x02aec431, 0x00000fd6, 
      0x2cfd5001, 0x9358ebb0, 0x02bec132, 0x00000fd6, 
      0x2cfd5002, 0x9348ebd0, 0x02bebf33, 0x00000fd5,
   },
   { /* Y scale factor = 1.44, phases = 127, taps = 9. */
      0xbb02bfd5, 0x834e33ee, 0xfd402beb, 0x00000002, 
      0xbd02afd5, 0x635d32fe, 0xfd402ceb, 0x00000002, 
      0xc002afd6, 0x436c31fe, 0xfd302ceb, 0x00000002, 
      0xc2029fd6, 0x337b30fe, 0xfd302deb, 0x00000002, 
      0xc5028fd6, 0x138b2ffe, 0xfd302deb, 0x00000002, 
      0xc8028fd8, 0xf39a2efe, 0xfd202dea, 0x00000001, 
      0xcb027fd8, 0xe3a92dfe, 0xfd202dea, 0x00000001, 
      0xce026fd9, 0xd3b72cfe, 0xfd202dea, 0x00000001, 
      0xd1025fd9, 0xc3c62bfe, 0xfd102eea, 0x00000001, 
      0xd4024fda, 0xb3d42afe, 0xfd102eea, 0x00000001, 
      0xd8024fd9, 0xa3e329fe, 0xfd102dea, 0x00000001, 
      0xdb023fdb, 0x93f128fe, 0xfd002dea, 0x00000001, 
      0xdf022fdb, 0x93ff27ee, 0xfd002dea, 0x00000001, 
      0xe3021fdb, 0x940c26ee, 0xfd002dea, 0x00000001, 
      0xe601ffdc, 0x941a25ee, 0xfd002dea, 0x00000001, 
      0xea01ffdd, 0x942724ee, 0xfcf02cea, 0x00000001, 
      0xee01dfde, 0x943523de, 0xfcf02cea, 0x00000001, 
      0xf201cfde, 0xa44222de, 0xfcf02bea, 0x00000001, 
      0xf601bfde, 0xa44f21de, 0xfcf02bea, 0x00000001, 
      0xfa01afdf, 0xb45b20de, 0xfcf02aea, 0x00000001, 
      0xff018fdf, 0xc4681fde, 0xfcf029ea, 0x00000001, 
      0x03017fe0, 0xe4741ecf, 0xfcf028ea, 0x00000001, 
      0x07016fe1, 0xf4801dcf, 0xfcf028ea, 0x00000000, 
      0x0c014fe1, 0x148c1ccf, 0xfcf027eb, 0x00000000, 
      0x10014fe2, 0x24981bcf, 0xfce026eb, 0x00000000, 
      0x14012fe3, 0x54a31acf, 0xfce025eb, 0x00000000, 
      0x19011fe3, 0x74ae19cf, 0xfcf023eb, 0x00000000, 
      0x1e010fe3, 0x94b918cf, 0xfcf022eb, 0x00000000, 
      0x2200efe4, 0xc4c417cf, 0xfcf021eb, 0x00000000, 
      0x2700dfe4, 0xf4ce16df, 0xfcf01feb, 0x00000000, 
      0x2b00cfe6, 0x24d815df, 0xfcf01eec, 0x00000fff, 
      0x3000bfe6, 0x54e214ef, 0xfcf01cec, 0x00000fff, 
      0x35009fe6, 0x94ec13ef, 0xfcf01bec, 0x00000fff, 
      0x3a008fe7, 0xc4f512ff, 0xfcf019ec, 0x00000fff, 
      0x3e006fe8, 0x04fe120f, 0xfd0017ed, 0x00000fff, 
      0x43005fe8, 0x5507111f, 0xfd0015ed, 0x00000ffe, 
      0x48004fe9, 0x9510101f, 0xfd0013ed, 0x00000ffe, 
      0x4c002fe9, 0xe5180f3f, 0xfd1011ed, 0x00000ffe, 
      0x51001fea, 0x25200e4f, 0xfd100fee, 0x00000ffe, 
      0x56ffffeb, 0x75280d5f, 0xfd100dee, 0x00000ffe, 
      0x5bffefeb, 0xd52f0c6f, 0xfd200bee, 0x00000ffd, 
      0x60ffdfec, 0x25360b8f, 0xfd2008ef, 0x00000ffd, 
      0x64ffbfed, 0x853d0aaf, 0xfd2006ef, 0x00000ffd, 
      0x69ffafec, 0xe54409cf, 0xfd3003ef, 0x00000ffd, 
      0x6eff9fed, 0x454a08ef, 0xfd3001f0, 0x00000ffc, 
      0x73ff7fee, 0xa550080f, 0xfd4ffef0, 0x00000ffc, 
      0x77ff6fee, 0x1556072f, 0xfd5ffbf1, 0x00000ffc, 
      0x7cff5fee, 0x855b064f, 0xfd5ff9f1, 0x00000ffc, 
      0x81ff3fef, 0xf560057f, 0xfd6ff6f1, 0x00000ffb, 
      0x85ff2ff0, 0x656504af, 0xfd6ff3f2, 0x00000ffb, 
      0x8aff0ff0, 0xe56903df, 0xfd7ff0f2, 0x00000ffb, 
      0x8eff0ff1, 0x656d030f, 0xfd8fecf3, 0x00000ffa, 
      0x93feeff2, 0xe571023f, 0xfd8fe9f3, 0x00000ffa, 
      0x97fedff2, 0x6574017f, 0xfd9fe6f4, 0x00000ffa, 
      0x9cfecff3, 0xe57700af, 0xfdafe3f4, 0x00000ff9, 
      0xa0febff3, 0x757affef, 0xfdbfdff5, 0x00000ff9, 
      0xa4fe9ff3, 0x057dff2f, 0xfdcfdcf6, 0x00000ff9, 
      0xa9fe9ff4, 0x957ffe6f, 0xfdcfd8f6, 0x00000ff8, 
      0xadfe7ff4, 0x2581fdbf, 0xfddfd5f7, 0x00000ff8, 
      0xb1fe6ff5, 0xc582fcff, 0xfdefd1f7, 0x00000ff8, 
      0xb6fe6ff5, 0x5583fc4f, 0xfdffcdf8, 0x00000ff7, 
      0xbafe4ff6, 0xf584fb9f, 0xfe0fc9f8, 0x00000ff7, 
      0xbefe3ff5, 0xa585faef, 0xfe1fc5f9, 0x00000ff7, 
      0xc1fe2ff6, 0x4585fa4f, 0xfe2fc2fa, 0x00000ff6, 
      0xc5fe1ff6, 0xe585f9af, 0xfe3fbefa, 0x00000ff6, 
      0xc9fe1ff7, 0x9584f8ff, 0xfe4fbafb, 0x00000ff5, 
      0xcdfe0ff8, 0x4583f85f, 0xfe5fb5fc, 0x00000ff5, 
      0xd1fdfff8, 0xf582f7cf, 0xfe6fb1fc, 0x00000ff4, 
      0xd5fddff8, 0xb581f72f, 0xfe7fadfd, 0x00000ff4, 
      0xd8fdcff9, 0x657ff69f, 0xfe8fa9fe, 0x00000ff4, 
      0xdcfdcff8, 0x257df60f, 0xfeafa4ff, 0x00000ff3, 
      0xdffdbff9, 0xe57af57f, 0xfebfa0ff, 0x00000ff3, 
      0xe3fdaffa, 0xa577f4ef, 0xfecf9c00, 0x00000ff2, 
      0xe6fd9ffa, 0x7574f46f, 0xfedf9701, 0x00000ff2, 
      0xe9fd8ffb, 0x3571f3ef, 0xfeef9302, 0x00000ff1, 
      0xecfd8ffa, 0x056df36f, 0xff0f8e03, 0x00000ff1, 
      0xf0fd7ffa, 0xd569f2ef, 0xff1f8a03, 0x00000ff0, 
      0xf3fd6ffb, 0xa565f26f, 0xff2f8504, 0x00000ff0, 
      0xf6fd6ffb, 0x7560f1ff, 0xff3f8105, 0x00000fef, 
      0xf9fd5ffb, 0x455bf18f, 0xff5f7c06, 0x00000fef, 
      0xfbfd5ffc, 0x2556f11f, 0xff6f7707, 0x00000fee, 
      0xfefd4ffc, 0x0550f0af, 0xff7f7308, 0x00000fee, 
      0x01fd3ffc, 0xe54af040, 0xff9f6e08, 0x00000fed, 
      0x03fd3ffc, 0xc544efe0, 0xffaf6909, 0x00000fed, 
      0x06fd3ffd, 0xa53def80, 0xffbf640a, 0x00000fec, 
      0x08fd2ffd, 0x8536ef20, 0xffdf600b, 0x00000fec, 
      0x0bfd2ffd, 0x652feed0, 0xffef5b0c, 0x00000feb, 
      0x0dfd2ffe, 0x5528ee70, 0xffff560d, 0x00000fea, 
      0x0ffd1ffe, 0x4520ee20, 0x001f510e, 0x00000fea, 
      0x11fd0ffe, 0x3518ede0, 0x002f4d0f, 0x00000fe9, 
      0x13fd0fff, 0x1510ed90, 0x003f4810, 0x00000fe9, 
      0x15fd0ffe, 0x1507ed50, 0x005f4311, 0x00000fe8, 
      0x17fd0fff, 0x04feed00, 0x006f3e12, 0x00000fe8, 
      0x19fcffff, 0xf4f5ecc0, 0x008f3a12, 0x00000fe7, 
      0x1bfcffff, 0xe4ecec90, 0x009f3513, 0x00000fe6, 
      0x1cfcf000, 0xe4e2ec50, 0x00af3014, 0x00000fe6, 
      0x1efcf000, 0xd4d8ec20, 0x00cf2b15, 0x00000fe5, 
      0x1ffcffff, 0xd4ceebf0, 0x00df2716, 0x00000fe5, 
      0x21fcffff, 0xd4c4ebc0, 0x00ef2217, 0x00000fe4, 
      0x22fcffff, 0xc4b9eb90, 0x010f1e18, 0x00000fe4, 
      0x23fcf000, 0xc4aeeb70, 0x011f1919, 0x00000fe3, 
      0x25fce001, 0xc4a3eb50, 0x012f141a, 0x00000fe2, 
      0x26fce000, 0xc498eb20, 0x014f101b, 0x00000fe2, 
      0x27fce000, 0xc48ceb10, 0x015f0c1c, 0x00000fe1, 
      0x28fcf000, 0xc480eaf0, 0x016f071d, 0x00000fe1, 
      0x28fcf001, 0xc474eae0, 0x017f031e, 0x00000fe0, 
      0x29fcf000, 0xd468eac0, 0x019eff1f, 0x00000fdf, 
      0x2afcf001, 0xd45beab0, 0x01aefa20, 0x00000fdf, 
      0x2bfcf001, 0xd44feaa0, 0x01bef621, 0x00000fde, 
      0x2bfcf001, 0xd442eaa0, 0x01cef222, 0x00000fde, 
      0x2cfd0001, 0xd435ea90, 0x01deee23, 0x00000fdd, 
      0x2cfcf002, 0xe427ea90, 0x01eeea24, 0x00000fdd, 
      0x2dfd0001, 0xe41aea90, 0x01fee625, 0x00000fdc, 
      0x2dfd0001, 0xe40cea90, 0x021ee326, 0x00000fdb, 
      0x2dfd0001, 0xe3ffea90, 0x022edf27, 0x00000fdb, 
      0x2dfd0002, 0xf3f1ea90, 0x023edb28, 0x00000fda, 
      0x2dfd0001, 0xf3e3eaa0, 0x024ed829, 0x00000fda, 
      0x2efd1002, 0xf3d4eab0, 0x024ed42a, 0x00000fd9, 
      0x2efd1001, 0xf3c6eac0, 0x025ed12b, 0x00000fd9, 
      0x2dfd2002, 0xf3b7ead0, 0x026ece2c, 0x00000fd8, 
      0x2dfd2001, 0xf3a9eae0, 0x027ecb2d, 0x00000fd8, 
      0x2dfd2002, 0xf39aeaf0, 0x028ec82e, 0x00000fd7, 
      0x2dfd3001, 0xf38beb10, 0x028ec52f, 0x00000fd7, 
      0x2dfd3001, 0xf37ceb30, 0x029ec230, 0x00000fd6, 
      0x2cfd3002, 0xf36ceb40, 0x02aec031, 0x00000fd6, 
      0x2cfd4002, 0xf35deb60, 0x02aebd32, 0x00000fd5, 
      0x2bfd4002, 0xe34eeb80, 0x02bebb33, 0x00000fd5,
   },
   { /* Y scale factor = 1.45, phases = 127, taps = 9. */
      0xb702bfd4, 0x4353343e, 0xfd402beb, 0x00000001, 
      0xb902afd4, 0x2363334e, 0xfd302ceb, 0x00000001, 
      0xbb029fd6, 0x0372324e, 0xfd302ceb, 0x00000001, 
      0xbf029fd6, 0xe381314e, 0xfd202cea, 0x00000001, 
      0xc0028fd6, 0xd391304e, 0xfd202dea, 0x00000001, 
      0xc4027fd6, 0xb3a02f4e, 0xfd202dea, 0x00000001, 
      0xc7026fd7, 0xa3af2e4e, 0xfd102dea, 0x00000001, 
      0xca026fd8, 0x83bd2d4e, 0xfd102dea, 0x00000001, 
      0xcd025fd9, 0x73cc2c3e, 0xfd102dea, 0x00000001, 
      0xd1024fd9, 0x63db2b3e, 0xfd002dea, 0x00000001, 
      0xd4023fd9, 0x63e92a3e, 0xfd002dea, 0x00000001, 
      0xd8022fda, 0x53f7292e, 0xfd002dea, 0x00000001, 
      0xdb021fdb, 0x5405282e, 0xfcf02dea, 0x00000001, 
      0xdf021fdb, 0x4413272e, 0xfcf02cea, 0x00000001, 
      0xe301ffdc, 0x4421261e, 0xfcf02cea, 0x00000001, 
      0xe701dfdc, 0x442f251e, 0xfcf02cea, 0x00000001, 
      0xeb01cfdc, 0x543c241e, 0xfcf02bea, 0x00000001, 
      0xef01cfdd, 0x5449230e, 0xfce02bea, 0x00000001, 
      0xf301bfdd, 0x6456220e, 0xfce02aea, 0x00000001, 
      0xf7019fde, 0x746320fe, 0xfce02aea, 0x00000001, 
      0xfb018fde, 0x84701ffe, 0xfce029ea, 0x00000001, 
      0xff017fe0, 0x947c1efe, 0xfce028ea, 0x00000000, 
      0x04015fe0, 0xb4881dff, 0xfce027ea, 0x00000000, 
      0x08015fe1, 0xc4941cef, 0xfce026ea, 0x00000000, 
      0x0d013fe1, 0xe4a01bef, 0xfce025ea, 0x00000000, 
      0x11012fe2, 0x04ab1aef, 0xfce024eb, 0x00000000, 
      0x16011fe2, 0x24b619ef, 0xfce023eb, 0x00000000, 
      0x1a00ffe4, 0x54c118ef, 0xfce021eb, 0x00000000, 
      0x1f00efe3, 0x84cc17ef, 0xfce020eb, 0x00000000, 
      0x2400cfe5, 0xa4d716ef, 0xfce01feb, 0x00000fff, 
      0x2800cfe5, 0xe4e115ef, 0xfce01deb, 0x00000fff, 
      0x2d00afe5, 0x14eb14ff, 0xfce01cec, 0x00000fff, 
      0x32008fe7, 0x44f513ff, 0xfce01aec, 0x00000fff, 
      0x37007fe6, 0x84fe130f, 0xfcf018ec, 0x00000fff, 
      0x3b006fe8, 0xc507120f, 0xfcf016ec, 0x00000fff, 
      0x40005fe8, 0x0510111f, 0xfcf015ed, 0x00000ffe, 
      0x45003fe8, 0x5519102f, 0xfcf013ed, 0x00000ffe, 
      0x4a002fe9, 0x95210f3f, 0xfd0010ed, 0x00000ffe, 
      0x4f000fea, 0xe5290e4f, 0xfd000eed, 0x00000ffe, 
      0x53ffffeb, 0x35310d5f, 0xfd000cee, 0x00000ffe, 
      0x58ffdfeb, 0x95390c6f, 0xfd100aee, 0x00000ffd, 
      0x5dffcfec, 0xe5400b8f, 0xfd1007ee, 0x00000ffd, 
      0x62ffbfeb, 0x45470a9f, 0xfd2005ef, 0x00000ffd, 
      0x67ff9fed, 0xa54d09bf, 0xfd2002ef, 0x00000ffd, 
      0x6bff8fed, 0x055408df, 0xfd3000f0, 0x00000ffc, 
      0x70ff7fed, 0x755a07ff, 0xfd3ffdf0, 0x00000ffc, 
      0x75ff6fee, 0xd55f071f, 0xfd4ffaf0, 0x00000ffc, 
      0x7aff4fef, 0x4565064f, 0xfd4ff7f1, 0x00000ffb, 
      0x7eff3fee, 0xc56a056f, 0xfd5ff5f1, 0x00000ffb, 
      0x83ff1fef, 0x356e049f, 0xfd6ff2f2, 0x00000ffb, 
      0x88ff0ff0, 0xa57303cf, 0xfd6feef2, 0x00000ffb, 
      0x8cfefff1, 0x257702ff, 0xfd7febf3, 0x00000ffa, 
      0x91feeff0, 0xa57b022f, 0xfd8fe8f3, 0x00000ffa, 
      0x95fecff2, 0x357e015f, 0xfd8fe5f4, 0x00000ffa, 
      0x9afecff2, 0xb581009f, 0xfd9fe1f4, 0x00000ff9, 
      0x9efeaff3, 0x4584ffcf, 0xfdafdef5, 0x00000ff9, 
      0xa3fe9ff2, 0xd587ff0f, 0xfdbfdaf5, 0x00000ff9, 
      0xa7fe8ff3, 0x6589fe4f, 0xfdcfd7f6, 0x00000ff8, 
      0xabfe7ff3, 0xf58bfd9f, 0xfddfd3f6, 0x00000ff8, 
      0xaffe6ff5, 0x958cfcdf, 0xfddfcff7, 0x00000ff8, 
      0xb4fe4ff5, 0x358dfc2f, 0xfdefccf8, 0x00000ff7, 
      0xb8fe3ff5, 0xd58efb7f, 0xfdffc8f8, 0x00000ff7, 
      0xbcfe2ff6, 0x758ffacf, 0xfe0fc4f9, 0x00000ff6, 
      0xc0fe2ff6, 0x158ffa1f, 0xfe1fc0fa, 0x00000ff6, 
      0xc4fe0ff6, 0xc58ff97f, 0xfe2fbcfa, 0x00000ff6, 
      0xc8fdfff7, 0x758ef8df, 0xfe3fb8fb, 0x00000ff5, 
      0xccfdeff7, 0x258df83f, 0xfe4fb4fc, 0x00000ff5, 
      0xcffdeff8, 0xd58cf79f, 0xfe6faffc, 0x00000ff4, 
      0xd3fddff7, 0x958bf6ff, 0xfe7fabfd, 0x00000ff4, 
      0xd7fdcff8, 0x4589f66f, 0xfe8fa7fe, 0x00000ff3, 
      0xdafdbff8, 0x0587f5df, 0xfe9fa3ff, 0x00000ff3, 
      0xdefdaff9, 0xc585f54f, 0xfeaf9eff, 0x00000ff2, 
      0xe1fd9ffa, 0x9581f4bf, 0xfebf9a00, 0x00000ff2, 
      0xe5fd9ffa, 0x557ef43f, 0xfecf9501, 0x00000ff1, 
      0xe8fd8ff9, 0x257bf3af, 0xfeef9102, 0x00000ff1, 
      0xebfd7ffb, 0xf577f32f, 0xfeff8c02, 0x00000ff0, 
      0xeefd6ffb, 0xc573f2af, 0xff0f8803, 0x00000ff0, 
      0xf2fd6ffb, 0x956ef23f, 0xff1f8304, 0x00000fef, 
      0xf5fd4ffb, 0x656af1cf, 0xff3f7e05, 0x00000fef, 
      0xf7fd4ffc, 0x4565f14f, 0xff4f7a06, 0x00000fee, 
      0xfbfd4ffc, 0x155ff0df, 0xff5f7507, 0x00000fee, 
      0xfdfd3ffc, 0xf55af07f, 0xff7f7007, 0x00000fed, 
      0x00fd3ffc, 0xd554f000, 0xff8f6b08, 0x00000fed, 
      0x02fd3ffd, 0xb54defa0, 0xff9f6709, 0x00000fec, 
      0x05fd2ffc, 0x9547ef40, 0xffbf620a, 0x00000fec, 
      0x07fd1ffe, 0x8540eee0, 0xffcf5d0b, 0x00000feb, 
      0x0afd1ffd, 0x6539ee90, 0xffdf580c, 0x00000feb, 
      0x0cfd1ffe, 0x5531ee30, 0xffff530d, 0x00000fea, 
      0x0efd0ffe, 0x4529ede0, 0x000f4f0e, 0x00000fea, 
      0x10fd0ffe, 0x3521ed90, 0x002f4a0f, 0x00000fe9, 
      0x13fcfffe, 0x2519ed50, 0x003f4510, 0x00000fe8, 
      0x15fcffff, 0x1510ed00, 0x004f4011, 0x00000fe8, 
      0x17fcffff, 0x0507ecc0, 0x006f3b12, 0x00000fe7, 
      0x18fcfffe, 0x04feec80, 0x007f3713, 0x00000fe7, 
      0x1afcffff, 0xf4f5ec40, 0x008f3213, 0x00000fe6, 
      0x1cfcefff, 0xf4ebec10, 0x00af2d14, 0x00000fe5, 
      0x1dfce000, 0xe4e1ebe0, 0x00bf2815, 0x00000fe5, 
      0x1ffce000, 0xe4d7eba0, 0x00cf2416, 0x00000fe4, 
      0x20fcefff, 0xe4cceb80, 0x00ef1f17, 0x00000fe4, 
      0x22fce000, 0xe4c1eb50, 0x00ff1a18, 0x00000fe3, 
      0x23fce000, 0xe4b6eb20, 0x011f1619, 0x00000fe2, 
      0x24fce000, 0xe4abeb00, 0x012f111a, 0x00000fe2, 
      0x25fce000, 0xe4a0eae0, 0x013f0d1b, 0x00000fe1, 
      0x26fce001, 0xe494eac0, 0x014f081c, 0x00000fe1, 
      0x27fcd000, 0xf488eab0, 0x016f041d, 0x00000fe0, 
      0x28fce000, 0xf47cea90, 0x017eff1e, 0x00000fe0, 
      0x29fce000, 0xf470ea80, 0x018efb1f, 0x00000fdf, 
      0x2afce001, 0xf463ea70, 0x019ef720, 0x00000fde, 
      0x2afce000, 0x0456ea60, 0x01bef322, 0x00000fde, 
      0x2bfce001, 0x0449ea50, 0x01ceef23, 0x00000fdd, 
      0x2bfce000, 0x143cea50, 0x01deeb24, 0x00000fdd, 
      0x2cfcf000, 0x142fea40, 0x01eee725, 0x00000fdc, 
      0x2cfcf002, 0x1421ea40, 0x01fee326, 0x00000fdb, 
      0x2cfcf002, 0x2413ea40, 0x020edf27, 0x00000fdb, 
      0x2dfcf002, 0x2405ea50, 0x021edb28, 0x00000fda, 
      0x2dfd0001, 0x23f7ea50, 0x022ed829, 0x00000fda, 
      0x2dfd0001, 0x33e9ea60, 0x023ed42a, 0x00000fd9, 
      0x2dfd0001, 0x33dbea60, 0x024ed12b, 0x00000fd9, 
      0x2dfd1002, 0x33ccea70, 0x025ecd2c, 0x00000fd8, 
      0x2dfd1002, 0x33bdea80, 0x026eca2d, 0x00000fd8, 
      0x2cfd1001, 0x43afeaa0, 0x027ec72e, 0x00000fd7, 
      0x2dfd1001, 0x43a0eab0, 0x027ec42f, 0x00000fd7, 
      0x2cfd2001, 0x4391ead0, 0x028ec130, 0x00000fd6, 
      0x2cfd2002, 0x4381eae0, 0x029ebe31, 0x00000fd6, 
      0x2cfd3002, 0x4372eb00, 0x029ebb32, 0x00000fd5, 
      0x2bfd3001, 0x4363eb20, 0x02aeb933, 0x00000fd5, 
      0x2bfd4001, 0x3353eb40, 0x02beb734, 0x00000fd4,
   },
   { /* Y scale factor = 1.46, phases = 127, taps = 9. */
      0xb202afd4, 0x0358349e, 0xfd302beb, 0x00000001, 
      0xb502afd3, 0xe368339e, 0xfd302bea, 0x00000001, 
      0xb7029fd4, 0xc378329e, 0xfd202cea, 0x00000001, 
      0xba028fd5, 0xa387319e, 0xfd202cea, 0x00000001, 
      0xbd028fd6, 0x8396309e, 0xfd102cea, 0x00000001, 
      0xc0027fd6, 0x73a62f8e, 0xfd102cea, 0x00000001, 
      0xc3026fd6, 0x53b52e8e, 0xfd102dea, 0x00000001, 
      0xc6025fd7, 0x43c42d8e, 0xfd002dea, 0x00000001, 
      0xc9025fd7, 0x33d32c7e, 0xfd002dea, 0x00000001, 
      0xcd023fd8, 0x23e12b7e, 0xfd002dea, 0x00000001, 
      0xd0023fd8, 0x13f02a7e, 0xfcf02dea, 0x00000001, 
      0xd4022fd9, 0x13fe296e, 0xfcf02cea, 0x00000001, 
      0xd7021fda, 0x040c286e, 0xfcf02cea, 0x00000001, 
      0xdb020fdb, 0x041a275e, 0xfce02cea, 0x00000001, 
      0xdf01ffda, 0x0428265e, 0xfce02cea, 0x00000001, 
      0xe301efdb, 0x0436254e, 0xfce02bea, 0x00000001, 
      0xe701cfdc, 0x0443244e, 0xfce02bea, 0x00000001, 
      0xeb01bfdc, 0x1451233e, 0xfce02aea, 0x00000001, 
      0xef01afdd, 0x145e223e, 0xfcd02aea, 0x00000001, 
      0xf3019fde, 0x246b212e, 0xfcd029ea, 0x00000001, 
      0xf8018fdf, 0x3477202e, 0xfcd028ea, 0x00000000, 
      0xfc016fe0, 0x54841f1e, 0xfcd027ea, 0x00000000, 
      0x00015fe0, 0x64901e1f, 0xfcd027ea, 0x00000000, 
      0x05014fe0, 0x849c1d0f, 0xfcd026ea, 0x00000000, 
      0x09013fe1, 0xa4a81c0f, 0xfcd024ea, 0x00000000, 
      0x0e011fe1, 0xc4b41b0f, 0xfcd023ea, 0x00000000, 
      0x12010fe2, 0xe4bf1a0f, 0xfcd022ea, 0x00000000, 
      0x1700ffe2, 0x04ca190f, 0xfcd021eb, 0x00000000, 
      0x1c00dfe4, 0x34d5180f, 0xfcd01feb, 0x00000fff, 
      0x2100cfe4, 0x64df170f, 0xfcd01eeb, 0x00000fff, 
      0x2500bfe4, 0x94ea160f, 0xfcd01deb, 0x00000fff, 
      0x2a009fe5, 0xd4f4150f, 0xfcd01beb, 0x00000fff, 
      0x2f008fe5, 0x04fe140f, 0xfce019ec, 0x00000fff, 
      0x34006fe6, 0x4507131f, 0xfce017ec, 0x00000fff, 
      0x38006fe7, 0x8510121f, 0xfce016ec, 0x00000ffe, 
      0x3d004fe8, 0xc519112f, 0xfce014ec, 0x00000ffe, 
      0x42002fe8, 0x1522102f, 0xfcf012ed, 0x00000ffe, 
      0x47001fe8, 0x552b0f3f, 0xfcf010ed, 0x00000ffe, 
      0x4c000fe9, 0xa5330e4f, 0xfcf00ded, 0x00000ffe, 
      0x51ffefea, 0xf53b0d5f, 0xfd000bed, 0x00000ffd, 
      0x56ffdfea, 0x55420c6f, 0xfd0009ee, 0x00000ffd, 
      0x5affcfeb, 0xa5490b8f, 0xfd0007ee, 0x00000ffd, 
      0x5fffafec, 0x05500a9f, 0xfd1004ef, 0x00000ffd, 
      0x65ff9fec, 0x655709bf, 0xfd1001ef, 0x00000ffc, 
      0x69ff8fed, 0xc55d08cf, 0xfd2fffef, 0x00000ffc, 
      0x6eff6fee, 0x356307ef, 0xfd2ffcf0, 0x00000ffc, 
      0x72ff5fee, 0xa569070f, 0xfd3ff9f0, 0x00000ffc, 
      0x77ff3fee, 0x156f063f, 0xfd4ff6f1, 0x00000ffb, 
      0x7cff2fef, 0x8574055f, 0xfd4ff3f1, 0x00000ffb, 
      0x81ff1fef, 0xf578048f, 0xfd5ff0f1, 0x00000ffb, 
      0x86ff0ff0, 0x757d03af, 0xfd5fedf2, 0x00000ffa, 
      0x8afeeff1, 0xf58102df, 0xfd6feaf2, 0x00000ffa, 
      0x8ffedff0, 0x7585020f, 0xfd7fe7f3, 0x00000ffa, 
      0x93fecff2, 0xf588014f, 0xfd8fe3f3, 0x00000ff9, 
      0x98febff1, 0x858c007f, 0xfd8fe0f4, 0x00000ff9, 
      0x9cfe9ff2, 0x158effbf, 0xfd9fddf5, 0x00000ff9, 
      0xa1fe8ff2, 0xa591feff, 0xfdafd9f5, 0x00000ff8, 
      0xa5fe7ff3, 0x3593fe3f, 0xfdbfd5f6, 0x00000ff8, 
      0xa9fe6ff3, 0xc595fd7f, 0xfdcfd2f6, 0x00000ff8, 
      0xaefe5ff4, 0x6596fcbf, 0xfddfcef7, 0x00000ff7, 
      0xb2fe3ff4, 0x0598fc0f, 0xfdefcaf8, 0x00000ff7, 
      0xb6fe3ff4, 0xa598fb5f, 0xfdffc6f8, 0x00000ff7, 
      0xbafe2ff5, 0x4599faaf, 0xfe0fc2f9, 0x00000ff6, 
      0xbefe1ff5, 0xf599f9ff, 0xfe1fbef9, 0x00000ff6, 
      0xc2fe0ff6, 0xa599f94f, 0xfe2fbafa, 0x00000ff5, 
      0xc6fdfff6, 0x5598f8af, 0xfe3fb6fb, 0x00000ff5, 
      0xcafdeff6, 0x0598f80f, 0xfe4fb2fc, 0x00000ff4, 
      0xcefddff7, 0xb596f76f, 0xfe5faefc, 0x00000ff4, 
      0xd2fdcff7, 0x7595f6cf, 0xfe6fa9fd, 0x00000ff4, 
      0xd5fdbff8, 0x3593f63f, 0xfe7fa5fe, 0x00000ff3, 
      0xd9fdaff8, 0xf591f59f, 0xfe8fa1fe, 0x00000ff3, 
      0xddfd9ff9, 0xb58ef51f, 0xfe9f9cff, 0x00000ff2, 
      0xe0fd8ff9, 0x758cf47f, 0xfebf9800, 0x00000ff2, 
      0xe3fd8ffa, 0x4588f3ff, 0xfecf9301, 0x00000ff1, 
      0xe7fd7ff9, 0x0585f37f, 0xfedf8f02, 0x00000ff1, 
      0xeafd6ffb, 0xd581f2ff, 0xfeef8a02, 0x00000ff0, 
      0xedfd5ffb, 0xa57df27f, 0xff0f8503, 0x00000ff0, 
      0xf0fd5ffb, 0x8578f1ff, 0xff1f8104, 0x00000fef, 
      0xf3fd4ffb, 0x5574f18f, 0xff2f7c05, 0x00000fef, 
      0xf6fd4ffb, 0x356ff11f, 0xff3f7706, 0x00000fee, 
      0xf9fd3ffc, 0x0569f0af, 0xff5f7207, 0x00000fee, 
      0xfcfd3ffc, 0xe563f03f, 0xff6f6e07, 0x00000fed, 
      0xfffd2ffd, 0xc55defcf, 0xff7f6908, 0x00000fed, 
      0x01fd1ffd, 0xb557ef60, 0xff9f6409, 0x00000fec, 
      0x05fd1ffd, 0x9550ef00, 0xffaf5f0a, 0x00000feb, 
      0x07fd1ffd, 0x8549eea0, 0xffbf5a0b, 0x00000feb, 
      0x09fd0ffd, 0x6542ee50, 0xffdf560c, 0x00000fea, 
      0x0bfd0ffd, 0x553bedf0, 0xffef510d, 0x00000fea, 
      0x0dfcfffe, 0x4533eda0, 0x000f4c0e, 0x00000fe9, 
      0x10fcfffd, 0x352bed50, 0x001f470f, 0x00000fe9, 
      0x12fcfffe, 0x2522ed10, 0x002f4210, 0x00000fe8, 
      0x14fcefff, 0x2519ecc0, 0x004f3d11, 0x00000fe7, 
      0x16fcefff, 0x1510ec80, 0x005f3812, 0x00000fe7, 
      0x17fceffe, 0x1507ec40, 0x007f3413, 0x00000fe6, 
      0x19fceffe, 0x04feec00, 0x008f2f14, 0x00000fe6, 
      0x1bfcdfff, 0x04f4ebd0, 0x009f2a15, 0x00000fe5, 
      0x1dfcdfff, 0x04eaeb90, 0x00bf2516, 0x00000fe4, 
      0x1efcd000, 0x04dfeb60, 0x00cf2017, 0x00000fe4, 
      0x1ffcd000, 0x04d5eb30, 0x00df1c18, 0x00000fe3, 
      0x21fcdfff, 0x04caeb00, 0x00ff1719, 0x00000fe3, 
      0x22fcd000, 0x04bfeae0, 0x010f121a, 0x00000fe2, 
      0x23fcd000, 0x04b4eac0, 0x011f0e1b, 0x00000fe1, 
      0x24fcd000, 0x04a8eaa0, 0x013f091c, 0x00000fe1, 
      0x26fcd000, 0x049cea80, 0x014f051d, 0x00000fe0, 
      0x27fcd000, 0x1490ea60, 0x015f001e, 0x00000fe0, 
      0x27fcd001, 0x1484ea50, 0x016efc1f, 0x00000fdf, 
      0x28fcd001, 0x2477ea30, 0x018ef820, 0x00000fde, 
      0x29fcd001, 0x246bea20, 0x019ef321, 0x00000fde, 
      0x2afcd001, 0x345eea10, 0x01aeef22, 0x00000fdd, 
      0x2afce000, 0x3451ea10, 0x01beeb23, 0x00000fdd, 
      0x2bfce001, 0x4443ea00, 0x01cee724, 0x00000fdc, 
      0x2bfce001, 0x4436ea00, 0x01eee325, 0x00000fdb, 
      0x2cfce000, 0x5428ea00, 0x01fedf26, 0x00000fdb, 
      0x2cfce002, 0x541aea00, 0x020edb27, 0x00000fda, 
      0x2cfcf001, 0x640cea00, 0x021ed728, 0x00000fda, 
      0x2cfcf001, 0x63feea10, 0x022ed429, 0x00000fd9, 
      0x2cfcf001, 0x73f0ea10, 0x023ed02a, 0x00000fd9, 
      0x2dfcf001, 0x73e1ea20, 0x024ecd2b, 0x00000fd8, 
      0x2dfcf001, 0x73d3ea30, 0x025ec92c, 0x00000fd8, 
      0x2dfd0001, 0x83c4ea40, 0x025ec62d, 0x00000fd7, 
      0x2dfd1001, 0x83b5ea50, 0x026ec32e, 0x00000fd6, 
      0x2cfd1001, 0x83a6ea70, 0x027ec02f, 0x00000fd6, 
      0x2cfd1002, 0x9396ea80, 0x028ebd30, 0x00000fd5, 
      0x2cfd2001, 0x9387eaa0, 0x028eba31, 0x00000fd5, 
      0x2cfd2001, 0x9378eac0, 0x029eb732, 0x00000fd4, 
      0x2bfd2001, 0x9368eae0, 0x02aeb533, 0x00000fd4, 
      0x2bfd3001, 0x9358eb00, 0x02aeb234, 0x00000fd4,
   },
   { /* Y scale factor = 1.47, phases = 127, taps = 9. */
      0xae02afd3, 0xc35e34ee, 0xfd202aea, 0x00000001, 
      0xb0029fd4, 0x936e33ee, 0xfd202bea, 0x00000001, 
      0xb3029fd4, 0x737d32ee, 0xfd202bea, 0x00000001, 
      0xb6028fd4, 0x638d31ee, 0xfd102bea, 0x00000001, 
      0xb9027fd5, 0x439c30de, 0xfd102cea, 0x00000001, 
      0xbc027fd5, 0x23ac2fde, 0xfd002cea, 0x00000001, 
      0xbf026fd5, 0x13bb2ede, 0xfd002cea, 0x00000001, 
      0xc2025fd6, 0x03ca2dce, 0xfd002cea, 0x00000001, 
      0xc5025fd7, 0xe3d92cce, 0xfcf02ce9, 0x00000001, 
      0xc9023fd8, 0xd3e82bbe, 0xfcf02ce9, 0x00000001, 
      0xcc022fd8, 0xd3f72aae, 0xfcf02ce9, 0x00000001, 
      0xd0021fd9, 0xc40529ae, 0xfce02ce9, 0x00000001, 
      0xd3020fda, 0xc413289e, 0xfce02ce9, 0x00000001, 
      0xd701ffda, 0xb421279e, 0xfce02ce9, 0x00000001, 
      0xdb01ffdb, 0xb42f268e, 0xfcd02be9, 0x00000001, 
      0xdf01efdb, 0xb43d257e, 0xfcd02be9, 0x00000001, 
      0xe301cfdb, 0xc44b247e, 0xfcd02ae9, 0x00000001, 
      0xe701bfdc, 0xc458236e, 0xfcd02ae9, 0x00000001, 
      0xeb01afdd, 0xd465225e, 0xfcd029e9, 0x00000001, 
      0xf0018fde, 0xe472215e, 0xfcd028e9, 0x00000000, 
      0xf4018fde, 0xf47f204e, 0xfcc028e9, 0x00000000, 
      0xf8016fdf, 0x048c1f4e, 0xfcc027ea, 0x00000000, 
      0xfd015fdf, 0x24981e3e, 0xfcc026ea, 0x00000000, 
      0x01014fe0, 0x34a41d3f, 0xfcc025ea, 0x00000000, 
      0x06012fe1, 0x54b01c2f, 0xfcc024ea, 0x00000000, 
      0x0a011fe1, 0x74bc1b2f, 0xfcc023ea, 0x00000000, 
      0x0f010fe1, 0xa4c71a1f, 0xfcc022ea, 0x00000000, 
      0x1400efe2, 0xc4d3191f, 0xfcc020ea, 0x00000000, 
      0x1900dfe2, 0xf4de181f, 0xfcc01fea, 0x00000fff, 
      0x1d00cfe4, 0x24e8171f, 0xfcc01deb, 0x00000fff, 
      0x2200afe4, 0x54f3160f, 0xfcd01ceb, 0x00000fff, 
      0x27009fe4, 0x84fd151f, 0xfcd01aeb, 0x00000fff, 
      0x2b007fe5, 0xc507141f, 0xfcd019eb, 0x00000fff, 
      0x31006fe5, 0x0510131f, 0xfcd017ec, 0x00000fff, 
      0x35005fe6, 0x451a122f, 0xfcd015ec, 0x00000ffe, 
      0x3a003fe7, 0x8523112f, 0xfce013ec, 0x00000ffe, 
      0x3f002fe7, 0xc52c103f, 0xfce011ec, 0x00000ffe, 
      0x44000fe9, 0x15340f3f, 0xfce00fed, 0x00000ffe, 
      0x49000fe9, 0x653c0e4f, 0xfce00ded, 0x00000ffd, 
      0x4effefea, 0xb5440d5f, 0xfcf00aed, 0x00000ffd, 
      0x53ffcfea, 0x154c0c6f, 0xfcf008ee, 0x00000ffd, 
      0x58ffbfea, 0x65530b7f, 0xfd0006ee, 0x00000ffd, 
      0x5dff9feb, 0xc55a0a9f, 0xfd0003ee, 0x00000ffd, 
      0x62ff8fec, 0x256109af, 0xfd1000ef, 0x00000ffc, 
      0x66ff7fec, 0x956708cf, 0xfd1ffeef, 0x00000ffc, 
      0x6bff5fed, 0xf56d07ef, 0xfd2ffbef, 0x00000ffc, 
      0x70ff4fee, 0x6573070f, 0xfd2ff8f0, 0x00000ffb, 
      0x75ff3fed, 0xd579062f, 0xfd3ff5f0, 0x00000ffb, 
      0x7aff1fef, 0x457e054f, 0xfd3ff2f1, 0x00000ffb, 
      0x7eff0fef, 0xc583046f, 0xfd4feff1, 0x00000ffb, 
      0x83fefff0, 0x3587039f, 0xfd5fecf2, 0x00000ffa, 
      0x88feeff0, 0xb58b02cf, 0xfd5fe9f2, 0x00000ffa, 
      0x8cfecff0, 0x458f01ff, 0xfd6fe6f3, 0x00000ffa, 
      0x91febff1, 0xc593012f, 0xfd7fe2f3, 0x00000ff9, 
      0x96fe9ff1, 0x5596005f, 0xfd8fdff4, 0x00000ff9, 
      0x9afe9ff2, 0xd599ff9f, 0xfd8fdbf4, 0x00000ff9, 
      0x9ffe7ff2, 0x759bfedf, 0xfd9fd8f5, 0x00000ff8, 
      0xa3fe6ff3, 0x059dfe1f, 0xfdafd4f6, 0x00000ff8, 
      0xa7fe5ff4, 0x959ffd5f, 0xfdbfd0f6, 0x00000ff8, 
      0xacfe4ff4, 0x35a1fc9f, 0xfdcfccf7, 0x00000ff7, 
      0xb0fe2ff4, 0xd5a2fbef, 0xfddfc9f7, 0x00000ff7, 
      0xb4fe2ff5, 0x75a3fb2f, 0xfdefc5f8, 0x00000ff6, 
      0xb9fe0ff5, 0x25a3fa7f, 0xfdffc1f9, 0x00000ff6, 
      0xbdfe0ff5, 0xc5a3f9cf, 0xfe0fbdf9, 0x00000ff6, 
      0xc1fdfff5, 0x75a3f92f, 0xfe1fb9fa, 0x00000ff5, 
      0xc5fdeff6, 0x25a3f87f, 0xfe2fb4fb, 0x00000ff5, 
      0xc9fddff6, 0xe5a2f7df, 0xfe3fb0fb, 0x00000ff4, 
      0xccfdcff7, 0x95a1f73f, 0xfe4facfc, 0x00000ff4, 
      0xd0fdcff8, 0x559ff69f, 0xfe5fa7fd, 0x00000ff3, 
      0xd4fdaff8, 0x159df60f, 0xfe6fa3fe, 0x00000ff3, 
      0xd7fd9ff8, 0xd59bf57f, 0xfe8f9ffe, 0x00000ff2, 
      0xdbfd8ff9, 0x9599f4df, 0xfe9f9aff, 0x00000ff2, 
      0xdffd8ff8, 0x5596f45f, 0xfeaf9600, 0x00000ff1, 
      0xe2fd7ff9, 0x2593f3cf, 0xfebf9101, 0x00000ff1, 
      0xe6fd6ffa, 0xf58ff34f, 0xfecf8c01, 0x00000ff0, 
      0xe9fd5ffa, 0xc58bf2bf, 0xfeef8802, 0x00000ff0, 
      0xecfd5ffb, 0x9587f23f, 0xfeff8303, 0x00000fef, 
      0xeffd4ffb, 0x6583f1cf, 0xff0f7e04, 0x00000fef, 
      0xf2fd4ffb, 0x457ef14f, 0xff1f7a05, 0x00000fee, 
      0xf5fd2ffb, 0x2579f0df, 0xff3f7506, 0x00000fee, 
      0xf8fd2ffc, 0x0573f06f, 0xff4f7007, 0x00000fed, 
      0xfbfd2ffc, 0xe56defff, 0xff5f6b07, 0x00000fed, 
      0xfefd1ffc, 0xc567ef9f, 0xff7f6608, 0x00000fec, 
      0x00fd1ffc, 0xa561ef20, 0xff8f6209, 0x00000fec, 
      0x03fd0ffd, 0x955aeec0, 0xff9f5d0a, 0x00000feb, 
      0x06fd0ffc, 0x7553ee60, 0xffbf580b, 0x00000feb, 
      0x08fcfffd, 0x654cee10, 0xffcf530c, 0x00000fea, 
      0x0afcfffe, 0x5544edb0, 0xffef4e0d, 0x00000fe9, 
      0x0dfceffe, 0x453ced60, 0xffff490e, 0x00000fe9, 
      0x0ffcfffe, 0x3534ed10, 0x000f440f, 0x00000fe8, 
      0x11fceffd, 0x352cecc0, 0x002f3f10, 0x00000fe8, 
      0x13fceffe, 0x2523ec80, 0x003f3a11, 0x00000fe7, 
      0x15fcdffe, 0x251aec40, 0x005f3512, 0x00000fe6, 
      0x17fcdffe, 0x1510ec00, 0x006f3113, 0x00000fe6, 
      0x19fcdffe, 0x1507ebc0, 0x007f2c14, 0x00000fe5, 
      0x1afcdffe, 0x14fdeb80, 0x009f2715, 0x00000fe5, 
      0x1cfccfff, 0x14f3eb50, 0x00af2216, 0x00000fe4, 
      0x1dfcd000, 0x14e8eb20, 0x00bf1d17, 0x00000fe3, 
      0x1efccfff, 0x14deeaf0, 0x00df1918, 0x00000fe3, 
      0x20fcc000, 0x14d3eac0, 0x00ef1419, 0x00000fe2, 
      0x22fccfff, 0x14c7eaa0, 0x010f0f1a, 0x00000fe2, 
      0x23fcc000, 0x24bcea70, 0x011f0a1b, 0x00000fe1, 
      0x24fcd000, 0x24b0ea50, 0x012f061c, 0x00000fe0, 
      0x25fcc001, 0x34a4ea30, 0x013f011d, 0x00000fe0, 
      0x26fcc000, 0x3498ea20, 0x015efd1e, 0x00000fdf, 
      0x27fcc000, 0x448cea00, 0x016ef81f, 0x00000fdf, 
      0x28fcc001, 0x447fe9f0, 0x017ef420, 0x00000fde, 
      0x28fcd001, 0x5472e9e0, 0x018ef021, 0x00000fdd, 
      0x29fcd001, 0x5465e9d0, 0x01aeeb22, 0x00000fdd, 
      0x2afcd001, 0x6458e9c0, 0x01bee723, 0x00000fdc, 
      0x2afcd000, 0x744be9c0, 0x01cee324, 0x00000fdc, 
      0x2bfce001, 0x743de9b0, 0x01dedf25, 0x00000fdb, 
      0x2cfce001, 0x842fe9b0, 0x01eedb26, 0x00000fda, 
      0x2cfce001, 0x9421e9b0, 0x01fed727, 0x00000fda, 
      0x2cfce002, 0x9413e9c0, 0x020ed328, 0x00000fd9, 
      0x2cfce001, 0xa405e9c0, 0x021ed029, 0x00000fd9, 
      0x2cfce001, 0xb3f7e9d0, 0x022ecc2a, 0x00000fd8, 
      0x2cfcf002, 0xb3e8e9d0, 0x023ec92b, 0x00000fd7, 
      0x2cfcf002, 0xc3d9e9e0, 0x024ec52c, 0x00000fd7, 
      0x2cfd0001, 0xc3caea00, 0x025ec22d, 0x00000fd6, 
      0x2cfcf001, 0xd3bbea10, 0x026ebf2e, 0x00000fd6, 
      0x2cfd0001, 0xd3acea20, 0x027ebc2f, 0x00000fd5, 
      0x2cfd1001, 0xd39cea40, 0x027eb930, 0x00000fd5, 
      0x2bfd1001, 0xe38dea60, 0x028eb631, 0x00000fd4, 
      0x2bfd2001, 0xe37dea70, 0x029eb332, 0x00000fd4, 
      0x2bfd2002, 0xe36eea90, 0x029eb033, 0x00000fd3, 
      0x2afd2001, 0xe35eeac0, 0x02aeae34, 0x00000fd3,
   },
   { /* Y scale factor = 1.48, phases = 127, taps = 9. */
      0xaa029fd3, 0x7363353e, 0xfd202aea, 0x00000001, 
      0xad029fd3, 0x5373343e, 0xfd102aea, 0x00000001, 
      0xaf028fd3, 0x3383333e, 0xfd102bea, 0x00000001, 
      0xb1028fd4, 0x1393323e, 0xfd002bea, 0x00000001, 
      0xb4027fd5, 0xf3a3312e, 0xfd002be9, 0x00000001, 
      0xb7026fd4, 0xe3b2302e, 0xfd002ce9, 0x00000001, 
      0xba026fd6, 0xc3c12f1e, 0xfcf02ce9, 0x00000001, 
      0xbe024fd5, 0xb3d12e1e, 0xfcf02ce9, 0x00000001, 
      0xc1024fd6, 0xa3e02d0e, 0xfce02ce9, 0x00000001, 
      0xc4023fd7, 0x93ef2bfe, 0xfce02ce9, 0x00000001, 
      0xc8022fd7, 0x83fd2afe, 0xfce02ce9, 0x00000001, 
      0xcb020fd8, 0x840c29ee, 0xfce02ce9, 0x00000001, 
      0xd0020fd9, 0x741a28de, 0xfcd02be9, 0x00000001, 
      0xd301ffd9, 0x742927ce, 0xfcd02be9, 0x00000001, 
      0xd701dfd9, 0x743726ce, 0xfcd02be9, 0x00000001, 
      0xdb01dfda, 0x744525be, 0xfcc02ae9, 0x00000001, 
      0xdf01cfdb, 0x745224ae, 0xfcc02ae9, 0x00000001, 
      0xe301afdc, 0x8460239e, 0xfcc029e9, 0x00000001, 
      0xe8019fdd, 0x846d228e, 0xfcc029e9, 0x00000000, 
      0xec018fdd, 0x947a218e, 0xfcc028e9, 0x00000000, 
      0xf0017fde, 0xa487207e, 0xfcc027e9, 0x00000000, 
      0xf5015fde, 0xc4941f6e, 0xfcc026e9, 0x00000000, 
      0xfa015fdf, 0xd4a01e5e, 0xfcb025e9, 0x00000000, 
      0xfe013fdf, 0xf4ad1d5e, 0xfcb024e9, 0x00000000, 
      0x02012fe0, 0x14b91c4f, 0xfcb023ea, 0x00000000, 
      0x07010fe0, 0x34c51b4f, 0xfcb022ea, 0x00000000, 
      0x0c00ffe1, 0x54d01a3f, 0xfcb021ea, 0x00000000, 
      0x1100efe2, 0x74db193f, 0xfcb020ea, 0x00000fff, 
      0x1500cfe3, 0xa4e6183f, 0xfcc01eea, 0x00000fff, 
      0x1a00bfe3, 0xd4f1172f, 0xfcc01dea, 0x00000fff, 
      0x1f00afe3, 0x04fc162f, 0xfcc01beb, 0x00000fff, 
      0x23008fe4, 0x4506152f, 0xfcc01aeb, 0x00000fff, 
      0x29007fe4, 0x7510142f, 0xfcc018eb, 0x00000fff, 
      0x2e005fe6, 0xb51a132f, 0xfcc016eb, 0x00000ffe, 
      0x33004fe7, 0xf523122f, 0xfcc014eb, 0x00000ffe, 
      0x37003fe6, 0x452c113f, 0xfcd012ec, 0x00000ffe, 
      0x3c001fe8, 0x8535103f, 0xfcd010ec, 0x00000ffe, 
      0x41000fe7, 0xd53e0f4f, 0xfcd00eec, 0x00000ffe, 
      0x46ffefe9, 0x25460e4f, 0xfce00ced, 0x00000ffd, 
      0x4bffdfea, 0x754e0d5f, 0xfce009ed, 0x00000ffd, 
      0x50ffcfe9, 0xd5560c6f, 0xfce007ed, 0x00000ffd, 
      0x55ffafea, 0x255d0b7f, 0xfcf005ee, 0x00000ffd, 
      0x5bff9feb, 0x85640a8f, 0xfcf002ee, 0x00000ffc, 
      0x5fff7fec, 0xe56b09af, 0xfd0fffee, 0x00000ffc, 
      0x64ff6fec, 0x557108bf, 0xfd0ffdef, 0x00000ffc, 
      0x69ff5fec, 0xb57707df, 0xfd1ffaef, 0x00000ffc, 
      0x6eff4fed, 0x257d06ff, 0xfd1ff7f0, 0x00000ffb, 
      0x72ff2fee, 0x9583061f, 0xfd2ff4f0, 0x00000ffb, 
      0x77ff0fee, 0x1588053f, 0xfd3ff1f1, 0x00000ffb, 
      0x7cff0fef, 0x858d045f, 0xfd3feef1, 0x00000ffa, 
      0x81feefef, 0x0591038f, 0xfd4febf2, 0x00000ffa, 
      0x86fecfef, 0x859602af, 0xfd5fe8f2, 0x00000ffa, 
      0x8bfecff1, 0x059901df, 0xfd5fe4f3, 0x00000ff9, 
      0x8ffeaff1, 0x959d010f, 0xfd6fe1f3, 0x00000ff9, 
      0x94fe9ff1, 0x15a0004f, 0xfd7fddf4, 0x00000ff9, 
      0x98fe8ff2, 0xa5a3ff7f, 0xfd8fdaf4, 0x00000ff8, 
      0x9dfe7ff2, 0x35a6febf, 0xfd8fd6f5, 0x00000ff8, 
      0xa1fe5ff2, 0xd5a8fdff, 0xfd9fd3f5, 0x00000ff8, 
      0xa6fe4ff3, 0x65aafd3f, 0xfdafcff6, 0x00000ff7, 
      0xaafe3ff4, 0x05abfc7f, 0xfdbfcbf7, 0x00000ff7, 
      0xaefe3ff4, 0xa5acfbbf, 0xfdcfc7f7, 0x00000ff7, 
      0xb3fe1ff4, 0x55adfb0f, 0xfddfc3f8, 0x00000ff6, 
      0xb7fe0ff4, 0xf5aefa5f, 0xfdefbff8, 0x00000ff6, 
      0xbbfdfff5, 0xa5aef9af, 0xfdffbbf9, 0x00000ff5, 
      0xbffdeff5, 0x55aef8ff, 0xfe0fb7fa, 0x00000ff5, 
      0xc3fddff6, 0x05adf85f, 0xfe1fb3fb, 0x00000ff4, 
      0xc7fddff7, 0xb5acf7af, 0xfe2faefb, 0x00000ff4, 
      0xcbfdbff7, 0x75abf70f, 0xfe3faafc, 0x00000ff4, 
      0xcffdaff7, 0x35aaf66f, 0xfe4fa6fd, 0x00000ff3, 
      0xd2fd9ff7, 0xf5a8f5df, 0xfe6fa1fd, 0x00000ff3, 
      0xd6fd8ff8, 0xb5a6f53f, 0xfe7f9dfe, 0x00000ff2, 
      0xdafd8ff8, 0x75a3f4af, 0xfe8f98ff, 0x00000ff2, 
      0xddfd7ff9, 0x45a0f41f, 0xfe9f9400, 0x00000ff1, 
      0xe1fd6ff9, 0x059df39f, 0xfeaf8f01, 0x00000ff1, 
      0xe4fd6ffa, 0xd599f30f, 0xfecf8a01, 0x00000ff0, 
      0xe8fd4ff9, 0xa596f28f, 0xfedf8602, 0x00000ff0, 
      0xebfd4ffa, 0x8591f20f, 0xfeef8103, 0x00000fef, 
      0xeefd3ffb, 0x558df18f, 0xfeff7c04, 0x00000fef, 
      0xf1fd3ffa, 0x3588f11f, 0xff1f7705, 0x00000fee, 
      0xf4fd2ffb, 0x1583f09f, 0xff2f7206, 0x00000fee, 
      0xf7fd1ffc, 0xf57df02f, 0xff3f6e06, 0x00000fed, 
      0xfafd1ffc, 0xd577efbf, 0xff5f6907, 0x00000fec, 
      0xfdfd0ffc, 0xb571ef5f, 0xff6f6408, 0x00000fec, 
      0xfffd0ffd, 0xa56beeef, 0xff7f5f09, 0x00000feb, 
      0x02fcfffd, 0x8564ee80, 0xff9f5a0a, 0x00000feb, 
      0x05fcfffd, 0x755dee20, 0xffaf550b, 0x00000fea, 
      0x07fceffc, 0x6556edd0, 0xffcf500c, 0x00000fea, 
      0x09fceffe, 0x554eed70, 0xffdf4b0d, 0x00000fe9, 
      0x0cfceffe, 0x4546ed20, 0xffef460e, 0x00000fe8, 
      0x0efcdffd, 0x453eecd0, 0x000f410f, 0x00000fe8, 
      0x10fceffe, 0x3535ec80, 0x001f3c10, 0x00000fe7, 
      0x12fccffe, 0x352cec40, 0x003f3711, 0x00000fe7, 
      0x14fcdfff, 0x2523ebf0, 0x004f3212, 0x00000fe6, 
      0x16fccfff, 0x251aebb0, 0x005f2e13, 0x00000fe5, 
      0x18fccffe, 0x2510eb70, 0x007f2914, 0x00000fe5, 
      0x1afccffe, 0x2506eb40, 0x008f2415, 0x00000fe4, 
      0x1bfccffe, 0x24fceb00, 0x00af1f16, 0x00000fe4, 
      0x1dfccfff, 0x24f1ead0, 0x00bf1a17, 0x00000fe3, 
      0x1efcc000, 0x34e6eaa0, 0x00cf1518, 0x00000fe2, 
      0x20fcb000, 0x34dbea70, 0x00ef1019, 0x00000fe2, 
      0x21fcb000, 0x34d0ea50, 0x00ff0c1a, 0x00000fe1, 
      0x22fcbfff, 0x44c5ea30, 0x010f071b, 0x00000fe1, 
      0x23fcb000, 0x44b9ea10, 0x012f021c, 0x00000fe0, 
      0x24fcb000, 0x54ade9f0, 0x013efe1d, 0x00000fdf, 
      0x25fcc001, 0x54a0e9d0, 0x014ef91e, 0x00000fdf, 
      0x26fcb000, 0x6494e9c0, 0x016ef51f, 0x00000fde, 
      0x27fcc001, 0x7487e9a0, 0x017ef020, 0x00000fdd, 
      0x28fcc000, 0x847ae990, 0x018eec21, 0x00000fdd, 
      0x29fcc001, 0x846de980, 0x019ee822, 0x00000fdc, 
      0x29fcc001, 0x9460e980, 0x01aee323, 0x00000fdc, 
      0x2afcc001, 0xa452e970, 0x01cedf24, 0x00000fdb, 
      0x2afcc001, 0xb445e970, 0x01dedb25, 0x00000fda, 
      0x2bfcc000, 0xc437e970, 0x01eed726, 0x00000fda, 
      0x2bfcd001, 0xc429e970, 0x01fed327, 0x00000fd9, 
      0x2bfce001, 0xd41ae970, 0x020ecf28, 0x00000fd9, 
      0x2cfcd000, 0xe40ce980, 0x021ecc29, 0x00000fd8, 
      0x2cfce001, 0xf3fde980, 0x022ec82a, 0x00000fd7, 
      0x2cfce001, 0xf3efe990, 0x023ec42b, 0x00000fd7, 
      0x2cfce001, 0x03e0e9a0, 0x024ec12d, 0x00000fd6, 
      0x2bfce001, 0x13d1e9b0, 0x025ebe2e, 0x00000fd6, 
      0x2cfd0002, 0x13c1e9c0, 0x025eba2f, 0x00000fd5, 
      0x2cfcf001, 0x23b2e9e0, 0x026eb730, 0x00000fd5, 
      0x2bfd0002, 0x23a3e9f0, 0x027eb431, 0x00000fd4, 
      0x2bfd0001, 0x3393ea10, 0x028eb132, 0x00000fd4, 
      0x2bfd1001, 0x3383ea30, 0x028eaf33, 0x00000fd3, 
      0x2afd1002, 0x3373ea50, 0x029eac34, 0x00000fd3, 
      0x2afd2002, 0x3363ea70, 0x029eaa35, 0x00000fd2,
   },
   { /* Y scale factor = 1.49, phases = 127, taps = 9. */
      0xa5029fd2, 0x3369359e, 0xfd1029ea, 0x00000001, 
      0xa7028fd2, 0x1379349e, 0xfd102aea, 0x00000001, 
      0xab028fd3, 0xe389338e, 0xfd002ae9, 0x00000001, 
      0xad027fd3, 0xd399327e, 0xfd002be9, 0x00000001, 
      0xb0026fd4, 0xb3a9317e, 0xfcf02be9, 0x00000001, 
      0xb3026fd4, 0x93b8307e, 0xfcf02be9, 0x00000001, 
      0xb6025fd4, 0x83c82f6e, 0xfcf02be9, 0x00000001, 
      0xb9025fd6, 0x63d72e5e, 0xfce02be9, 0x00000001, 
      0xbd024fd6, 0x53e62d4e, 0xfce02be9, 0x00000001, 
      0xc0023fd7, 0x43f52c4e, 0xfcd02be9, 0x00000001, 
      0xc4022fd7, 0x34042b3e, 0xfcd02be9, 0x00000001, 
      0xc8020fd7, 0x34132a2e, 0xfcd02be9, 0x00000001, 
      0xcb01ffd8, 0x2422291e, 0xfcd02be9, 0x00000001, 
      0xcf01efd9, 0x2430280e, 0xfcc02be9, 0x00000001, 
      0xd301dfda, 0x243e26fe, 0xfcc02ae9, 0x00000001, 
      0xd701cfda, 0x244c25ee, 0xfcc02ae9, 0x00000001, 
      0xdb01bfdb, 0x245a24de, 0xfcc029e9, 0x00000001, 
      0xe001afdb, 0x346823ce, 0xfcb029e9, 0x00000000, 
      0xe4019fdc, 0x447522be, 0xfcb028e9, 0x00000000, 
      0xe9018fdd, 0x448221ae, 0xfcb027e9, 0x00000000, 
      0xed016fdd, 0x648f209e, 0xfcb027e9, 0x00000000, 
      0xf1015fdd, 0x749c1f9e, 0xfcb026e9, 0x00000000, 
      0xf6013fde, 0x84a91e8e, 0xfcb025e9, 0x00000000, 
      0xfa012fdf, 0xa4b51d7e, 0xfcb024e9, 0x00000000, 
      0xff011fdf, 0xc4c11c6e, 0xfcb023e9, 0x00000000, 
      0x0300ffe0, 0xe4cd1b6f, 0xfcb022e9, 0x00000000, 
      0x0800ffe1, 0x04d91a5f, 0xfcb020ea, 0x00000fff, 
      0x0d00dfe2, 0x34e4194f, 0xfcb01fea, 0x00000fff, 
      0x1200cfe1, 0x64ef184f, 0xfcb01eea, 0x00000fff, 
      0x1700afe2, 0x94fa174f, 0xfcb01cea, 0x00000fff, 
      0x1c009fe3, 0xc505163f, 0xfcb01aea, 0x00000fff, 
      0x21008fe3, 0xf50f153f, 0xfcb019ea, 0x00000fff, 
      0x25007fe5, 0x3519143f, 0xfcb017eb, 0x00000ffe, 
      0x2a005fe6, 0x7523133f, 0xfcb015eb, 0x00000ffe, 
      0x2f004fe6, 0xb52c123f, 0xfcc013eb, 0x00000ffe, 
      0x34002fe7, 0xf536113f, 0xfcc011eb, 0x00000ffe, 
      0x39001fe6, 0x453f104f, 0xfcc00fec, 0x00000ffe, 
      0x3effffe8, 0x95470f4f, 0xfcd00dec, 0x00000ffd, 
      0x43ffdfe8, 0xe5500e5f, 0xfcd00bec, 0x00000ffd, 
      0x48ffcfe9, 0x35580d5f, 0xfcd009ed, 0x00000ffd, 
      0x4dffbfea, 0x855f0c6f, 0xfce006ed, 0x00000ffd, 
      0x52ffafe9, 0xe5670b7f, 0xfce004ed, 0x00000ffd, 
      0x57ff9feb, 0x456e0a8f, 0xfce001ee, 0x00000ffc, 
      0x5dff7feb, 0xa575099f, 0xfcfffeee, 0x00000ffc, 
      0x61ff5fec, 0x157b08bf, 0xfcfffcef, 0x00000ffc, 
      0x66ff4fed, 0x758207cf, 0xfd0ff9ef, 0x00000ffb, 
      0x6bff3fec, 0xe58806ef, 0xfd1ff6ef, 0x00000ffb, 
      0x70ff1fee, 0x558d060f, 0xfd1ff3f0, 0x00000ffb, 
      0x75ff0fed, 0xd592052f, 0xfd2ff0f0, 0x00000ffb, 
      0x7afeffef, 0x4597044f, 0xfd2fedf1, 0x00000ffa, 
      0x7ffeefee, 0xc59c036f, 0xfd3feaf1, 0x00000ffa, 
      0x83fecff0, 0x45a0029f, 0xfd4fe6f2, 0x00000ffa, 
      0x88febff0, 0xd5a401cf, 0xfd4fe3f2, 0x00000ff9, 
      0x8dfe9ff0, 0x55a800ff, 0xfd5fe0f3, 0x00000ff9, 
      0x91fe8ff1, 0xe5ab002f, 0xfd6fdcf3, 0x00000ff9, 
      0x96fe7ff2, 0x75aeff5f, 0xfd7fd8f4, 0x00000ff8, 
      0x9bfe6ff1, 0x05b0fe9f, 0xfd8fd5f5, 0x00000ff8, 
      0x9ffe5ff3, 0xa5b2fdcf, 0xfd9fd1f5, 0x00000ff7, 
      0xa4fe4ff3, 0x35b4fd1f, 0xfd9fcdf6, 0x00000ff7, 
      0xa8fe3ff3, 0xd5b6fc5f, 0xfdafc9f6, 0x00000ff7, 
      0xadfe2ff4, 0x75b7fb9f, 0xfdbfc5f7, 0x00000ff6, 
      0xb1fe0ff5, 0x25b8fadf, 0xfdcfc1f8, 0x00000ff6, 
      0xb6fe0ff5, 0xc5b8fa2f, 0xfddfbdf8, 0x00000ff5, 
      0xb9fdeff6, 0x75b9f97f, 0xfdefb9f9, 0x00000ff5, 
      0xbdfdeff6, 0x25b8f8cf, 0xfdffb5fa, 0x00000ff5, 
      0xc1fddff6, 0xd5b8f82f, 0xfe0fb1fa, 0x00000ff4, 
      0xc5fdcff7, 0x95b7f77f, 0xfe1facfb, 0x00000ff4, 
      0xc9fdaff7, 0x55b6f6df, 0xfe3fa8fc, 0x00000ff3, 
      0xcdfd9ff8, 0x05b4f63f, 0xfe4fa4fd, 0x00000ff3, 
      0xd1fd9ff8, 0xc5b2f5af, 0xfe5f9ffd, 0x00000ff2, 
      0xd5fd8ff7, 0x95b0f50f, 0xfe6f9bfe, 0x00000ff2, 
      0xd8fd7ff9, 0x55aef47f, 0xfe7f96ff, 0x00000ff1, 
      0xdcfd6ff9, 0x25abf3ef, 0xfe8f9100, 0x00000ff1, 
      0xe0fd5ff8, 0xf5a8f35f, 0xfeaf8d00, 0x00000ff0, 
      0xe3fd4ff9, 0xc5a4f2df, 0xfebf8801, 0x00000ff0, 
      0xe7fd4ffa, 0x95a0f24f, 0xfecf8302, 0x00000fef, 
      0xeafd3ff9, 0x659cf1cf, 0xfeef7f03, 0x00000fef, 
      0xedfd2ffb, 0x4597f14f, 0xfeff7a04, 0x00000fee, 
      0xf0fd2ffa, 0x2592f0df, 0xff0f7505, 0x00000fee, 
      0xf3fd2ffb, 0x058df05f, 0xff1f7006, 0x00000fed, 
      0xf6fd0ffb, 0xe588efef, 0xff3f6b06, 0x00000fed, 
      0xf9fd0ffc, 0xc582ef7f, 0xff4f6607, 0x00000fec, 
      0xfcfcfffc, 0xb57bef1f, 0xff5f6108, 0x00000fec, 
      0xfefcfffd, 0x9575eeaf, 0xff7f5c09, 0x00000feb, 
      0x01fcfffd, 0x856eee40, 0xff8f570a, 0x00000fea, 
      0x04fceffc, 0x7567ede0, 0xffaf520b, 0x00000fea, 
      0x07fceffd, 0x655fed80, 0xffbf4d0c, 0x00000fe9, 
      0x09fcdffd, 0x5558ed30, 0xffcf480d, 0x00000fe9, 
      0x0bfccffd, 0x5550ece0, 0xffef430e, 0x00000fe8, 
      0x0dfcdffe, 0x4547ec90, 0xffff3e0f, 0x00000fe7, 
      0x0ffccffd, 0x453fec40, 0x001f3910, 0x00000fe7, 
      0x12fccffe, 0x3536ebf0, 0x002f3411, 0x00000fe6, 
      0x13fccfff, 0x352cebb0, 0x003f2f12, 0x00000fe6, 
      0x15fcbfff, 0x3523eb70, 0x005f2a13, 0x00000fe5, 
      0x17fccfff, 0x3519eb30, 0x006f2514, 0x00000fe4, 
      0x19fcbffe, 0x350feaf0, 0x008f2115, 0x00000fe4, 
      0x1afcbfff, 0x3505eac0, 0x009f1c16, 0x00000fe3, 
      0x1cfcafff, 0x44faea90, 0x00af1717, 0x00000fe3, 
      0x1efcafff, 0x44efea60, 0x00cf1218, 0x00000fe2, 
      0x1ffcb000, 0x44e4ea30, 0x00df0d19, 0x00000fe1, 
      0x20fcb000, 0x54d9ea00, 0x00ef081a, 0x00000fe1, 
      0x22fcafff, 0x64cde9e0, 0x010f041b, 0x00000fe0, 
      0x23fcb000, 0x64c1e9c0, 0x011eff1c, 0x00000fdf, 
      0x24fcb000, 0x74b5e9a0, 0x012efa1d, 0x00000fdf, 
      0x25fcbfff, 0x84a9e980, 0x014ef61e, 0x00000fde, 
      0x26fca000, 0x949ce970, 0x015ef11f, 0x00000fde, 
      0x27fcb000, 0x948fe960, 0x016eed20, 0x00000fdd, 
      0x27fcc001, 0xa482e940, 0x018ee821, 0x00000fdc, 
      0x28fcb000, 0xb475e940, 0x019ee422, 0x00000fdc, 
      0x29fcb000, 0xc468e930, 0x01aee023, 0x00000fdb, 
      0x2afcc001, 0xd45ae920, 0x01bedb24, 0x00000fda, 
      0x2afcc001, 0xe44ce920, 0x01ced725, 0x00000fda, 
      0x2bfcc001, 0xf43ee920, 0x01ded326, 0x00000fd9, 
      0x2bfcc001, 0x0430e920, 0x01eecf28, 0x00000fd9, 
      0x2bfcd001, 0x1422e920, 0x01fecb29, 0x00000fd8, 
      0x2bfcd001, 0x2413e930, 0x020ec82a, 0x00000fd7, 
      0x2bfce001, 0x3404e930, 0x021ec42b, 0x00000fd7, 
      0x2bfce002, 0x43f5e940, 0x022ec02c, 0x00000fd6, 
      0x2bfce002, 0x43e6e950, 0x023ebd2d, 0x00000fd6, 
      0x2bfcf002, 0x53d7e960, 0x024eb92e, 0x00000fd5, 
      0x2bfce001, 0x63c8e980, 0x025eb62f, 0x00000fd5, 
      0x2bfcf001, 0x73b8e990, 0x026eb330, 0x00000fd4, 
      0x2bfcf001, 0x73a9e9b0, 0x026eb031, 0x00000fd4, 
      0x2bfcf001, 0x8399e9d0, 0x027ead32, 0x00000fd3, 
      0x2afd0002, 0x8389e9e0, 0x028eaa33, 0x00000fd3, 
      0x2afd0001, 0x9379ea10, 0x028ea834, 0x00000fd2, 
      0x29fd1001, 0x9369ea30, 0x029ea535, 0x00000fd2,
   },
   { /* Y scale factor = 1.50, phases = 127, taps = 9. */
      0xa1029fd1, 0xe36f35ee, 0xfd0029e9, 0x00000001, 
      0xa3028fd2, 0xc37f34ee, 0xfd0029e9, 0x00000001, 
      0xa6028fd2, 0xa38f33de, 0xfcf02ae9, 0x00000001, 
      0xa9027fd2, 0x839f32de, 0xfcf02ae9, 0x00000001, 
      0xac026fd3, 0x63af31ce, 0xfcf02ae9, 0x00000001, 
      0xaf025fd3, 0x53bf30be, 0xfce02be9, 0x00000001, 
      0xb2024fd4, 0x33ce2fbe, 0xfce02be9, 0x00000001, 
      0xb5024fd4, 0x23de2eae, 0xfcd02be9, 0x00000001, 
      0xb9022fd5, 0x13ed2d9e, 0xfcd02be9, 0x00000001, 
      0xbc022fd5, 0x03fc2c8e, 0xfcd02be9, 0x00000001, 
      0xc0021fd6, 0xf40b2b7e, 0xfcc02be8, 0x00000001, 
      0xc3020fd7, 0xe41a2a6e, 0xfcc02be8, 0x00000001, 
      0xc701ffd7, 0xe429295e, 0xfcc02ae8, 0x00000001, 
      0xcb01efd9, 0xd437284e, 0xfcb02ae8, 0x00000001, 
      0xcf01dfd8, 0xd446273e, 0xfcb02ae8, 0x00000001, 
      0xd301cfda, 0xd454261e, 0xfcb029e8, 0x00000001, 
      0xd701bfda, 0xe462250e, 0xfcb029e8, 0x00000000, 
      0xdc019fdb, 0xe47023fe, 0xfcb028e8, 0x00000000, 
      0xe0018fdc, 0xf47d22ee, 0xfca028e8, 0x00000000, 
      0xe4017fdc, 0x048b21de, 0xfca027e9, 0x00000000, 
      0xe9016fdc, 0x149820ce, 0xfca026e9, 0x00000000, 
      0xed015fdd, 0x24a51fbe, 0xfca025e9, 0x00000000, 
      0xf2013fde, 0x44b11eae, 0xfca024e9, 0x00000000, 
      0xf7012fde, 0x54be1d9e, 0xfca023e9, 0x00000000, 
      0xfb011fdf, 0x74ca1c8e, 0xfca022e9, 0x00000000, 
      0x0000ffdf, 0x94d61b8f, 0xfca021e9, 0x00000000, 
      0x0500dfe0, 0xc4e21a7f, 0xfca020e9, 0x00000fff, 
      0x0a00dfe1, 0xe4ed196f, 0xfca01ee9, 0x00000fff, 
      0x0e00bfe2, 0x14f8186f, 0xfca01dea, 0x00000fff, 
      0x1300afe3, 0x4503175f, 0xfca01bea, 0x00000fff, 
      0x18008fe3, 0x750e165f, 0xfca01aea, 0x00000fff, 
      0x1d007fe4, 0xb518154f, 0xfca018ea, 0x00000fff, 
      0x23006fe4, 0xe523144f, 0xfca016ea, 0x00000ffe, 
      0x27004fe5, 0x252d134f, 0xfcb014eb, 0x00000ffe, 
      0x2c003fe5, 0x6536124f, 0xfcb013eb, 0x00000ffe, 
      0x31001fe6, 0xb53f114f, 0xfcb011eb, 0x00000ffe, 
      0x36001fe7, 0xf548104f, 0xfcb00eeb, 0x00000ffe, 
      0x3bffffe8, 0x45510f4f, 0xfcc00cec, 0x00000ffd, 
      0x40ffdfe8, 0x955a0e5f, 0xfcc00aec, 0x00000ffd, 
      0x45ffcfe8, 0xf5620d5f, 0xfcc008ec, 0x00000ffd, 
      0x4bffafe8, 0x456a0c6f, 0xfcd005ed, 0x00000ffd, 
      0x50ff9fe9, 0xa5710b7f, 0xfcd003ed, 0x00000ffc, 
      0x55ff7fea, 0x05780a8f, 0xfce000ee, 0x00000ffc, 
      0x5aff6feb, 0x657f099f, 0xfceffdee, 0x00000ffc, 
      0x5eff4feb, 0xd58608af, 0xfcfffbee, 0x00000ffc, 
      0x64ff4fec, 0x358c07bf, 0xfcfff8ef, 0x00000ffb, 
      0x69ff2fec, 0xa59206df, 0xfd0ff5ef, 0x00000ffb, 
      0x6eff1fec, 0x159805ff, 0xfd0ff2f0, 0x00000ffb, 
      0x72feffee, 0x959d051f, 0xfd1feff0, 0x00000ffa, 
      0x77feefed, 0x15a2043f, 0xfd2fecf1, 0x00000ffa, 
      0x7dfedfef, 0x85a6035f, 0xfd2fe8f1, 0x00000ffa, 
      0x81febfef, 0x15ab028f, 0xfd3fe5f2, 0x00000ff9, 
      0x86feafef, 0x95af01af, 0xfd4fe2f2, 0x00000ff9, 
      0x8bfe9ff0, 0x25b200df, 0xfd4fdef3, 0x00000ff9, 
      0x90fe8ff1, 0xa5b5000f, 0xfd5fdbf3, 0x00000ff8, 
      0x94fe7ff1, 0x45b8ff3f, 0xfd6fd7f4, 0x00000ff8, 
      0x99fe5ff1, 0xd5bbfe7f, 0xfd7fd3f4, 0x00000ff8, 
      0x9dfe4ff3, 0x65bdfdaf, 0xfd8fd0f5, 0x00000ff7, 
      0xa2fe3ff2, 0x05bffcef, 0xfd9fccf6, 0x00000ff7, 
      0xa6fe1ff3, 0xa5c1fc2f, 0xfdafc8f6, 0x00000ff7, 
      0xabfe1ff3, 0x45c2fb6f, 0xfdbfc4f7, 0x00000ff6, 
      0xaffe0ff3, 0xf5c3fabf, 0xfdbfc0f7, 0x00000ff6, 
      0xb3fdfff4, 0xa5c3fa0f, 0xfdcfbcf8, 0x00000ff5, 
      0xb8fdeff5, 0x45c3f94f, 0xfdefb7f9, 0x00000ff5, 
      0xbcfdcff5, 0x05c3f8af, 0xfdffb3fa, 0x00000ff4, 
      0xc0fdbff5, 0xb5c3f7ff, 0xfe0faffa, 0x00000ff4, 
      0xc4fdaff6, 0x65c2f74f, 0xfe1fabfb, 0x00000ff4, 
      0xc8fdaff6, 0x25c1f6af, 0xfe2fa6fc, 0x00000ff3, 
      0xccfd9ff6, 0xe5bff60f, 0xfe3fa2fc, 0x00000ff3, 
      0xd0fd8ff8, 0xa5bdf56f, 0xfe4f9dfd, 0x00000ff2, 
      0xd3fd7ff7, 0x75bbf4df, 0xfe5f99fe, 0x00000ff2, 
      0xd7fd6ff8, 0x35b8f44f, 0xfe7f94ff, 0x00000ff1, 
      0xdbfd5ff9, 0x05b5f3af, 0xfe8f8f00, 0x00000ff1, 
      0xdefd4ff9, 0xd5b2f32f, 0xfe9f8b00, 0x00000ff0, 
      0xe2fd3ff9, 0xa5aff29f, 0xfeaf8601, 0x00000ff0, 
      0xe5fd2ff9, 0x85abf21f, 0xfecf8102, 0x00000fef, 
      0xe8fd3ffa, 0x55a6f18f, 0xfedf7c03, 0x00000fef, 
      0xecfd1ffa, 0x35a2f11f, 0xfeef7704, 0x00000fee, 
      0xeffd1ffb, 0x159df09f, 0xfeff7205, 0x00000fed, 
      0xf2fd0ffa, 0xf598f01f, 0xff1f6e05, 0x00000fed, 
      0xf5fd0ffb, 0xd592efaf, 0xff2f6906, 0x00000fec, 
      0xf8fcfffc, 0xb58cef3f, 0xff3f6407, 0x00000fec, 
      0xfbfceffb, 0xa586eedf, 0xff5f5f08, 0x00000feb, 
      0xfdfceffc, 0x957fee6f, 0xff6f5a09, 0x00000feb, 
      0x00fcdffc, 0x8578ee00, 0xff8f550a, 0x00000fea, 
      0x03fcdffc, 0x7571eda0, 0xff9f500b, 0x00000fe9, 
      0x05fcdffc, 0x656aed40, 0xffaf4b0c, 0x00000fe9, 
      0x08fccffd, 0x5562ecf0, 0xffcf450d, 0x00000fe8, 
      0x0afccffd, 0x555aec90, 0xffdf400e, 0x00000fe8, 
      0x0cfccffe, 0x4551ec40, 0xffff3b0f, 0x00000fe7, 
      0x0ffccffe, 0x4548ebf0, 0x000f3610, 0x00000fe6, 
      0x11fcbffe, 0x453febb0, 0x001f3111, 0x00000fe6, 
      0x13fcbffe, 0x4536eb60, 0x003f2c12, 0x00000fe5, 
      0x14fcbffe, 0x452deb20, 0x004f2713, 0x00000fe5, 
      0x16fcafff, 0x4523eae0, 0x006f2214, 0x00000fe4, 
      0x18fcbfff, 0x4518eab0, 0x007f1d15, 0x00000fe3, 
      0x1afcafff, 0x550eea70, 0x008f1816, 0x00000fe3, 
      0x1bfcbfff, 0x5503ea40, 0x00af1317, 0x00000fe2, 
      0x1dfca000, 0x64f8ea10, 0x00bf0e18, 0x00000fe1, 
      0x1efcafff, 0x64ede9e0, 0x00df0a19, 0x00000fe1, 
      0x20fc9fff, 0x74e2e9c0, 0x00ef051a, 0x00000fe0, 
      0x21fcafff, 0x84d6e990, 0x00ff001b, 0x00000fe0, 
      0x22fca000, 0x84cae970, 0x011efb1c, 0x00000fdf, 
      0x23fca000, 0x94bee950, 0x012ef71d, 0x00000fde, 
      0x24fca000, 0xa4b1e940, 0x013ef21e, 0x00000fde, 
      0x25fca000, 0xb4a5e920, 0x015eed1f, 0x00000fdd, 
      0x26fca000, 0xc498e910, 0x016ee920, 0x00000fdc, 
      0x27fca000, 0xd48be900, 0x017ee421, 0x00000fdc, 
      0x28fca001, 0xe47de8f0, 0x018ee022, 0x00000fdb, 
      0x28fcb000, 0xf470e8e0, 0x019edc23, 0x00000fdb, 
      0x29fcb000, 0x0462e8e0, 0x01bed725, 0x00000fda, 
      0x2afcb001, 0x1454e8d0, 0x01ced326, 0x00000fd9, 
      0x2afcb000, 0x3446e8d0, 0x01decf27, 0x00000fd9, 
      0x2afcc001, 0x4437e8d0, 0x01eecb28, 0x00000fd8, 
      0x2afcc001, 0x5429e8e0, 0x01fec729, 0x00000fd7, 
      0x2bfcc001, 0x641ae8e0, 0x020ec32a, 0x00000fd7, 
      0x2bfcc001, 0x740be8f0, 0x021ec02b, 0x00000fd6, 
      0x2bfcd000, 0x83fce900, 0x022ebc2c, 0x00000fd6, 
      0x2bfcd000, 0x93ede910, 0x023eb92d, 0x00000fd5, 
      0x2afcd001, 0xa3dee920, 0x024eb52e, 0x00000fd5, 
      0x2bfcd001, 0xb3cee930, 0x025eb22f, 0x00000fd4, 
      0x2bfce001, 0xb3bfe950, 0x025eaf30, 0x00000fd3, 
      0x2afcf001, 0xc3afe960, 0x026eac31, 0x00000fd3, 
      0x2afcf001, 0xd39fe980, 0x027ea932, 0x00000fd2, 
      0x2afcf002, 0xd38fe9a0, 0x027ea633, 0x00000fd2, 
      0x29fd0002, 0xe37fe9c0, 0x028ea334, 0x00000fd1, 
      0x29fd0001, 0xe36fe9e0, 0x029ea135, 0x00000fd1,
   }
};


/** Default scaler coefficients for UV components. */
static const uint32_t _vpp_scaler_default_coeff_table_uv_hsc
   [150][VPP_SCALER_DEFAULT_TABLE_SIZE_UV] = {
   { /* UV scale factor = 0.01, phases = 127, taps = 5. */
      0x5b15a096, 0x001e0971, 
      0x5c159094, 0x001e0991, 
      0x5d158092, 0x001e09b1, 
      0x5e157091, 0x001e09c1, 
      0x5f15608f, 0x001e09e1, 
      0x6015408d, 0x001f0a01, 
      0x6115308c, 0x001f0a11, 
      0x6215208a, 0x001f0a31, 
      0x62151089, 0x001f0a51, 
      0x63150088, 0x001f0a61, 
      0x6414f086, 0x001f0a81, 
      0x6514e084, 0x001f0aa1, 
      0x6614d082, 0x00200ab1, 
      0x6714b081, 0x00200ad1, 
      0x6814a07f, 0x00200af1, 
      0x6814907e, 0x00200b11, 
      0x6914807c, 0x00210b21, 
      0x6a14607b, 0x00210b41, 
      0x6b145079, 0x00210b61, 
      0x6c144078, 0x00210b71, 
      0x6c143076, 0x00220b91, 
      0x6d141075, 0x00220bb1, 
      0x6e140073, 0x00220bd1, 
      0x6e13f072, 0x00230be1, 
      0x6f13d071, 0x00230c01, 
      0x7013c06e, 0x00240c21, 
      0x7013b06d, 0x00240c41, 
      0x7113906c, 0x00250c51, 
      0x7113806b, 0x00250c71, 
      0x72136069, 0x00260c91, 
      0x73135068, 0x00260ca1, 
      0x73134066, 0x00270cc1, 
      0x74133064, 0x00270ce1, 
      0x74131063, 0x00280d01, 
      0x75130062, 0x00280d11, 
      0x7512e061, 0x00290d31, 
      0x7612d05f, 0x00290d51, 
      0x7612b05e, 0x002a0d71, 
      0x7712a05c, 0x002b0d81, 
      0x7712805c, 0x002b0da1, 
      0x7712705a, 0x002c0dc1, 
      0x78125059, 0x002d0dd1, 
      0x78124058, 0x002d0df1, 
      0x78122057, 0x002e0e11, 
      0x79121054, 0x002f0e31, 
      0x79120054, 0x002f0e41, 
      0x7911e053, 0x00300e61, 
      0x7a11c051, 0x00310e81, 
      0x7a11a050, 0x00320ea1, 
      0x7a11904f, 0x00330eb1, 
      0x7a11804e, 0x00330ed1, 
      0x7b11604c, 0x00340ef1, 
      0x7b11504b, 0x00350f01, 
      0x7b11304a, 0x00360f21, 
      0x7b111049, 0x00370f41, 
      0x7b110048, 0x00380f51, 
      0x7b10e047, 0x00390f71, 
      0x7c10d045, 0x00390f91, 
      0x7c10b045, 0x003a0fa1, 
      0x7c109044, 0x003b0fc1, 
      0x7c108042, 0x003c0fe1, 
      0x7c106042, 0x003d0ff1, 
      0x7c104041, 0x003e1011, 
      0x7c10303f, 0x003f1031, 
      0x7c10103f, 0x00401041, 
      0x7c0ff03e, 0x00411061, 
      0x7c0fe03c, 0x00421081, 
      0x7c0fc03c, 0x00431091, 
      0x7c0fa03a, 0x004510b1, 
      0x7c0f8039, 0x004610d1, 
      0x7b0f7039, 0x004710e1, 
      0x7b0f5038, 0x00481101, 
      0x7b0f4037, 0x00491111, 
      0x7b0f2036, 0x004a1131, 
      0x7b0f0035, 0x004b1151, 
      0x7b0ef034, 0x004c1161, 
      0x7a0ed033, 0x004e1181, 
      0x7a0eb033, 0x004f1191, 
      0x7a0ea031, 0x005011b1, 
      0x7a0e8031, 0x005111c1, 
      0x790e6031, 0x005211e1, 
      0x790e4030, 0x005411f1, 
      0x790e302e, 0x00551211, 
      0x790e102e, 0x00561221, 
      0x780df02e, 0x00571241, 
      0x780dd02d, 0x00591251, 
      0x770dc02c, 0x005a1271, 
      0x770da02c, 0x005b1281, 
      0x770d802a, 0x005d12a1, 
      0x760d702a, 0x005e12b1, 
      0x760d5029, 0x005f12d1, 
      0x750d3029, 0x006112e1, 
      0x750d1028, 0x00621301, 
      0x740d0028, 0x00631311, 
      0x740cd027, 0x00651331, 
      0x730cc027, 0x00661341, 
      0x730ca026, 0x00681351, 
      0x720c9025, 0x00691371, 
      0x710c7026, 0x006a1381, 
      0x710c5025, 0x006c1391, 
      0x700c4024, 0x006d13b1, 
      0x700c2023, 0x006f13c1, 
      0x6f0c0024, 0x007013d1, 
      0x6e0be023, 0x007213f1, 
      0x6e0bd022, 0x00731401, 
      0x6d0bb022, 0x00751411, 
      0x6c0b9022, 0x00761431, 
      0x6b0b7022, 0x00781441, 
      0x6b0b6021, 0x00791451, 
      0x6a0b4021, 0x007b1461, 
      0x690b2021, 0x007c1481, 
      0x680b1020, 0x007e1491, 
      0x680af020, 0x007f14a1, 
      0x670ad020, 0x008114b1, 
      0x660ab020, 0x008214d1, 
      0x650aa01f, 0x008414e1, 
      0x640a801f, 0x008614f1, 
      0x630a6020, 0x00871501, 
      0x620a501f, 0x00891511, 
      0x620a301f, 0x008a1521, 
      0x610a101f, 0x008c1531, 
      0x600a001e, 0x008e1541, 
      0x5f09e01e, 0x008f1561, 
      0x5e09c01e, 0x00911571, 
      0x5d09b01e, 0x00921581, 
      0x5c09901e, 0x00941591, 
      0x5b09701e, 0x009615a1,
   },
   { /* UV scale factor = 0.02, phases = 127, taps = 5. */
      0x5b15a096, 0x001e0971, 
      0x5c159094, 0x001e0991, 
      0x5d158092, 0x001e09b1, 
      0x5e157091, 0x001e09c1, 
      0x5f15608f, 0x001e09e1, 
      0x6015508d, 0x001e0a01, 
      0x6115408b, 0x001f0a11, 
      0x6215208a, 0x001f0a31, 
      0x63151088, 0x001f0a51, 
      0x63150088, 0x001f0a61, 
      0x6414f086, 0x001f0a81, 
      0x6514e084, 0x001f0aa1, 
      0x6614d082, 0x00200ab1, 
      0x6714b081, 0x00200ad1, 
      0x6814a07f, 0x00200af1, 
      0x6914907d, 0x00200b11, 
      0x6914807d, 0x00200b21, 
      0x6a14707a, 0x00210b41, 
      0x6b145079, 0x00210b61, 
      0x6c144078, 0x00210b71, 
      0x6c143076, 0x00220b91, 
      0x6d141075, 0x00220bb1, 
      0x6e140073, 0x00220bd1, 
      0x6e13f072, 0x00230be1, 
      0x6f13e070, 0x00230c01, 
      0x7013c06e, 0x00240c21, 
      0x7013b06e, 0x00240c31, 
      0x7113a06c, 0x00240c51, 
      0x7213806a, 0x00250c71, 
      0x72137069, 0x00250c91, 
      0x73135068, 0x00260ca1, 
      0x73134067, 0x00260cc1, 
      0x74133064, 0x00270ce1, 
      0x74131063, 0x00280d01, 
      0x75130062, 0x00280d11, 
      0x7512e061, 0x00290d31, 
      0x7612d05f, 0x00290d51, 
      0x7612b05e, 0x002a0d71, 
      0x7712a05c, 0x002b0d81, 
      0x7712805c, 0x002b0da1, 
      0x78127059, 0x002c0dc1, 
      0x78126059, 0x002c0dd1, 
      0x78124058, 0x002d0df1, 
      0x79122056, 0x002e0e11, 
      0x79121054, 0x002f0e31, 
      0x79120054, 0x002f0e41, 
      0x7a11e052, 0x00300e61, 
      0x7a11c051, 0x00310e81, 
      0x7a11b050, 0x00320e91, 
      0x7a11a04f, 0x00320eb1, 
      0x7b11804d, 0x00330ed1, 
      0x7b11604c, 0x00340ef1, 
      0x7b11504b, 0x00350f01, 
      0x7b11304a, 0x00360f21, 
      0x7b111049, 0x00370f41, 
      0x7c110047, 0x00380f51, 
      0x7c10e047, 0x00380f71, 
      0x7c10d045, 0x00390f91, 
      0x7c10b045, 0x003a0fa1, 
      0x7c109044, 0x003b0fc1, 
      0x7c108042, 0x003c0fe1, 
      0x7c106042, 0x003d0ff1, 
      0x7c104041, 0x003e1011, 
      0x7c10303f, 0x003f1031, 
      0x7c10103f, 0x00401041, 
      0x7c0ff03e, 0x00411061, 
      0x7c0fe03c, 0x00421081, 
      0x7c0fc03c, 0x00431091, 
      0x7c0fa03b, 0x004410b1, 
      0x7c0f8039, 0x004610d1, 
      0x7c0f7038, 0x004710e1, 
      0x7c0f5037, 0x00481101, 
      0x7b0f4037, 0x00491111, 
      0x7b0f2036, 0x004a1131, 
      0x7b0f0035, 0x004b1151, 
      0x7b0ef034, 0x004c1161, 
      0x7b0ec033, 0x004e1181, 
      0x7a0eb033, 0x004f1191, 
      0x7a0e9032, 0x005011b1, 
      0x7a0e8031, 0x005111c1, 
      0x7a0e6030, 0x005211e1, 
      0x790e4030, 0x005411f1, 
      0x790e302e, 0x00551211, 
      0x790e102e, 0x00561221, 
      0x780df02e, 0x00571241, 
      0x780dd02d, 0x00591251, 
      0x780dc02b, 0x005a1271, 
      0x770da02c, 0x005b1281, 
      0x770d802a, 0x005d12a1, 
      0x760d702a, 0x005e12b1, 
      0x760d5029, 0x005f12d1, 
      0x750d3029, 0x006112e1, 
      0x750d1028, 0x00621301, 
      0x740d0028, 0x00631311, 
      0x740ce026, 0x00651331, 
      0x730cc027, 0x00661341, 
      0x730ca026, 0x00681351, 
      0x720c9025, 0x00691371, 
      0x720c7025, 0x006a1381, 
      0x710c5024, 0x006c13a1, 
      0x700c3025, 0x006d13b1, 
      0x700c2023, 0x006f13c1, 
      0x6f0c0023, 0x007013e1, 
      0x6e0be023, 0x007213f1, 
      0x6e0bd022, 0x00731401, 
      0x6d0bb022, 0x00751411, 
      0x6c0b9022, 0x00761431, 
      0x6c0b7021, 0x00781441, 
      0x6b0b6021, 0x00791451, 
      0x6a0b4020, 0x007b1471, 
      0x690b2021, 0x007c1481, 
      0x690b0020, 0x007e1491, 
      0x680af020, 0x007f14a1, 
      0x670ad020, 0x008114b1, 
      0x660ab020, 0x008214d1, 
      0x650aa01f, 0x008414e1, 
      0x640a801f, 0x008614f1, 
      0x630a701f, 0x00871501, 
      0x630a501e, 0x00891511, 
      0x620a301f, 0x008a1521, 
      0x610a101e, 0x008c1541, 
      0x600a001e, 0x008d1551, 
      0x5f09e01e, 0x008f1561, 
      0x5e09c01e, 0x00911571, 
      0x5d09b01e, 0x00921581, 
      0x5c09901e, 0x00941591, 
      0x5b09701e, 0x009615a1,
   },
   { /* UV scale factor = 0.03, phases = 127, taps = 5. */
      0x5b15a096, 0x001e0971, 
      0x5c159094, 0x001e0991, 
      0x5d158093, 0x001e09a1, 
      0x5e157091, 0x001e09c1, 
      0x5f15608f, 0x001e09e1, 
      0x6015508e, 0x001e09f1, 
      0x6115408c, 0x001e0a11, 
      0x6215208a, 0x001f0a31, 
      0x63151089, 0x001f0a41, 
      0x64150087, 0x001f0a61, 
      0x6514f085, 0x001f0a81, 
      0x6514e084, 0x001f0aa1, 
      0x6614d083, 0x001f0ab1, 
      0x6714c080, 0x00200ad1, 
      0x6814a07f, 0x00200af1, 
      0x6914907e, 0x00200b01, 
      0x6a14807c, 0x00200b21, 
      0x6a14707a, 0x00210b41, 
      0x6b145079, 0x00210b61, 
      0x6c144078, 0x00210b71, 
      0x6d143075, 0x00220b91, 
      0x6d142074, 0x00220bb1, 
      0x6e141073, 0x00220bc1, 
      0x6f13f071, 0x00230be1, 
      0x6f13e070, 0x00230c01, 
      0x7013c06f, 0x00230c21, 
      0x7113b06d, 0x00240c31, 
      0x7113a06c, 0x00240c51, 
      0x7213806a, 0x00250c71, 
      0x72137069, 0x00250c91, 
      0x73136067, 0x00260ca1, 
      0x74134066, 0x00260cc1, 
      0x74133064, 0x00270ce1, 
      0x75131063, 0x00270d01, 
      0x75130062, 0x00280d11, 
      0x7612e060, 0x00290d31, 
      0x7612d05f, 0x00290d51, 
      0x7712b05e, 0x002a0d61, 
      0x7712a05d, 0x002a0d81, 
      0x7712905b, 0x002b0da1, 
      0x78127059, 0x002c0dc1, 
      0x78126059, 0x002c0dd1, 
      0x79124057, 0x002d0df1, 
      0x79123055, 0x002e0e11, 
      0x79121055, 0x002e0e31, 
      0x7a120053, 0x002f0e41, 
      0x7a11e052, 0x00300e61, 
      0x7a11c051, 0x00310e81, 
      0x7a11b050, 0x00320e91, 
      0x7b11904f, 0x00320eb1, 
      0x7b11804d, 0x00330ed1, 
      0x7b11604c, 0x00340ef1, 
      0x7b11504b, 0x00350f01, 
      0x7c113049, 0x00360f21, 
      0x7c111048, 0x00370f41, 
      0x7c110048, 0x00370f51, 
      0x7c10e047, 0x00380f71, 
      0x7c10d045, 0x00390f91, 
      0x7c10b045, 0x003a0fa1, 
      0x7c109044, 0x003b0fc1, 
      0x7c108042, 0x003c0fe1, 
      0x7c106042, 0x003d0ff1, 
      0x7c104041, 0x003e1011, 
      0x7c10303f, 0x003f1031, 
      0x7c10103f, 0x00401041, 
      0x7c0ff03e, 0x00411061, 
      0x7c0fe03c, 0x00421081, 
      0x7c0fc03c, 0x00431091, 
      0x7c0fa03b, 0x004410b1, 
      0x7c0f9039, 0x004510d1, 
      0x7c0f7039, 0x004610e1, 
      0x7c0f5037, 0x00481101, 
      0x7c0f4036, 0x00491111, 
      0x7c0f2035, 0x004a1131, 
      0x7b0f0035, 0x004b1151, 
      0x7b0ef034, 0x004c1161, 
      0x7b0ed033, 0x004d1181, 
      0x7b0eb032, 0x004f1191, 
      0x7a0e9032, 0x005011b1, 
      0x7a0e8031, 0x005111c1, 
      0x7a0e6030, 0x005211e1, 
      0x7a0e402f, 0x00531201, 
      0x790e302e, 0x00551211, 
      0x790e102d, 0x00561231, 
      0x790df02d, 0x00571241, 
      0x780dd02d, 0x00581261, 
      0x780dc02b, 0x005a1271, 
      0x770da02b, 0x005b1291, 
      0x770d802b, 0x005c12a1, 
      0x770d602a, 0x005e12b1, 
      0x760d5029, 0x005f12d1, 
      0x760d3029, 0x006012e1, 
      0x750d1028, 0x00621301, 
      0x750d0027, 0x00631311, 
      0x740ce026, 0x00651331, 
      0x740cc026, 0x00661341, 
      0x730ca026, 0x00671361, 
      0x720c9025, 0x00691371, 
      0x720c7025, 0x006a1381, 
      0x710c5024, 0x006c13a1, 
      0x710c3024, 0x006d13b1, 
      0x700c2023, 0x006f13c1, 
      0x6f0c0023, 0x007013e1, 
      0x6f0be023, 0x007113f1, 
      0x6e0bc023, 0x00731401, 
      0x6d0bb022, 0x00741421, 
      0x6d0b9021, 0x00761431, 
      0x6c0b7022, 0x00771441, 
      0x6b0b6021, 0x00791451, 
      0x6a0b4021, 0x007a1471, 
      0x6a0b2020, 0x007c1481, 
      0x690b0020, 0x007e1491, 
      0x680af020, 0x007f14a1, 
      0x670ad01f, 0x008114c1, 
      0x660ab020, 0x008214d1, 
      0x650aa01f, 0x008414e1, 
      0x650a801f, 0x008514f1, 
      0x640a601f, 0x00871501, 
      0x630a401f, 0x00891511, 
      0x620a301e, 0x008a1531, 
      0x610a101e, 0x008c1541, 
      0x6009f01f, 0x008d1551, 
      0x5f09e01e, 0x008f1561, 
      0x5e09c01e, 0x00911571, 
      0x5d09a01f, 0x00921581, 
      0x5c09901e, 0x00941591, 
      0x5b09701f, 0x009515a1,
   },
   { /* UV scale factor = 0.04, phases = 127, taps = 5. */
      0x5b15a096, 0x001e0971, 
      0x5c159094, 0x001e0991, 
      0x5d159092, 0x001e09a1, 
      0x5e157091, 0x001e09c1, 
      0x5f15608f, 0x001e09e1, 
      0x6015508e, 0x001e09f1, 
      0x6115408c, 0x001e0a11, 
      0x6215308a, 0x001e0a31, 
      0x63152088, 0x001f0a41, 
      0x64151086, 0x001f0a61, 
      0x6514f085, 0x001f0a81, 
      0x6614e084, 0x001f0a91, 
      0x6714d082, 0x001f0ab1, 
      0x6814c080, 0x001f0ad1, 
      0x6814b07f, 0x00200ae1, 
      0x6914907e, 0x00200b01, 
      0x6a14807c, 0x00200b21, 
      0x6b14707a, 0x00200b41, 
      0x6c146078, 0x00210b51, 
      0x6c144078, 0x00210b71, 
      0x6d143076, 0x00210b91, 
      0x6e141074, 0x00220bb1, 
      0x6e141073, 0x00220bc1, 
      0x6f13f071, 0x00230be1, 
      0x7013e06f, 0x00230c01, 
      0x7013d06f, 0x00230c11, 
      0x7113b06d, 0x00240c31, 
      0x7213a06b, 0x00240c51, 
      0x7213806a, 0x00250c71, 
      0x73137069, 0x00250c81, 
      0x73136067, 0x00260ca1, 
      0x74134066, 0x00260cc1, 
      0x75132064, 0x00270ce1, 
      0x75132063, 0x00270cf1, 
      0x76130061, 0x00280d11, 
      0x7612f060, 0x00280d31, 
      0x7712d05e, 0x00290d51, 
      0x7712c05d, 0x002a0d61, 
      0x7712a05d, 0x002a0d81, 
      0x7812905a, 0x002b0da1, 
      0x7812705a, 0x002b0dc1, 
      0x79126058, 0x002c0dd1, 
      0x79124057, 0x002d0df1, 
      0x79123055, 0x002e0e11, 
      0x7a121055, 0x002e0e21, 
      0x7a120053, 0x002f0e41, 
      0x7a11e052, 0x00300e61, 
      0x7b11c050, 0x00310e81, 
      0x7b11b050, 0x00310e91, 
      0x7b11904f, 0x00320eb1, 
      0x7b11804d, 0x00330ed1, 
      0x7c11604b, 0x00340ef1, 
      0x7c11504a, 0x00350f01, 
      0x7c11304a, 0x00350f21, 
      0x7c111049, 0x00360f41, 
      0x7c110048, 0x00370f51, 
      0x7c10e047, 0x00380f71, 
      0x7c10d045, 0x00390f91, 
      0x7d10b044, 0x003a0fa1, 
      0x7d109043, 0x003b0fc1, 
      0x7d108041, 0x003c0fe1, 
      0x7d106041, 0x003d0ff1, 
      0x7d104040, 0x003e1011, 
      0x7d10303e, 0x003f1031, 
      0x7d10103e, 0x00401041, 
      0x7d0ff03d, 0x00411061, 
      0x7d0fe03b, 0x00421081, 
      0x7d0fc03b, 0x00431091, 
      0x7d0fa03a, 0x004410b1, 
      0x7c0f9039, 0x004510d1, 
      0x7c0f7039, 0x004610e1, 
      0x7c0f5038, 0x00471101, 
      0x7c0f4037, 0x00481111, 
      0x7c0f2035, 0x004a1131, 
      0x7c0f0034, 0x004b1151, 
      0x7c0ef033, 0x004c1161, 
      0x7b0ed033, 0x004d1181, 
      0x7b0eb033, 0x004e1191, 
      0x7b0e9032, 0x004f11b1, 
      0x7b0e7030, 0x005111d1, 
      0x7a0e6030, 0x005211e1, 
      0x7a0e402f, 0x00531201, 
      0x7a0e202f, 0x00541211, 
      0x790e102d, 0x00561231, 
      0x790df02d, 0x00571241, 
      0x790dd02c, 0x00581261, 
      0x780dc02b, 0x005a1271, 
      0x780da02a, 0x005b1291, 
      0x770d802b, 0x005c12a1, 
      0x770d602a, 0x005d12c1, 
      0x770d5028, 0x005f12d1, 
      0x760d3028, 0x006012f1, 
      0x760d1027, 0x00621301, 
      0x750cf028, 0x00631311, 
      0x750ce026, 0x00641331, 
      0x740cc026, 0x00661341, 
      0x730ca026, 0x00671361, 
      0x730c8025, 0x00691371, 
      0x720c7025, 0x006a1381, 
      0x720c5024, 0x006b13a1, 
      0x710c3024, 0x006d13b1, 
      0x700c1024, 0x006e13d1, 
      0x700c0022, 0x007013e1, 
      0x6f0be023, 0x007113f1, 
      0x6e0bc022, 0x00731411, 
      0x6e0bb021, 0x00741421, 
      0x6d0b9021, 0x00761431, 
      0x6c0b7022, 0x00771441, 
      0x6c0b5020, 0x00791461, 
      0x6b0b4020, 0x007a1471, 
      0x6a0b2020, 0x007c1481, 
      0x690b1020, 0x007d1491, 
      0x680ae020, 0x007f14b1, 
      0x680ad01f, 0x008014c1, 
      0x670ab01f, 0x008214d1, 
      0x660a901f, 0x008414e1, 
      0x650a801f, 0x008514f1, 
      0x640a601e, 0x00871511, 
      0x630a401f, 0x00881521, 
      0x620a301e, 0x008a1531, 
      0x610a101f, 0x008b1541, 
      0x6009f01f, 0x008d1551, 
      0x5f09e01e, 0x008f1561, 
      0x5e09c01f, 0x00901571, 
      0x5d09a01f, 0x00921581, 
      0x5c09901e, 0x00941591, 
      0x5c09701e, 0x009515a1,
   },
   { /* UV scale factor = 0.05, phases = 127, taps = 5. */
      0x5c15b094, 0x001e0971, 
      0x5d15a093, 0x001e0981, 
      0x5e159091, 0x001e09a1, 
      0x5f157090, 0x001e09c1, 
      0x6015708e, 0x001e09d1, 
      0x6115508d, 0x001e09f1, 
      0x6215408b, 0x001e0a11, 
      0x6315308a, 0x001e0a21, 
      0x64152088, 0x001e0a41, 
      0x65151086, 0x001e0a61, 
      0x65150085, 0x001f0a71, 
      0x6614f083, 0x001f0a91, 
      0x6714d082, 0x001f0ab1, 
      0x6814c080, 0x001f0ad1, 
      0x6914b07f, 0x001f0ae1, 
      0x6a14a07c, 0x00200b01, 
      0x6a14807c, 0x00200b21, 
      0x6b14807a, 0x00200b31, 
      0x6c146078, 0x00210b51, 
      0x6d145076, 0x00210b71, 
      0x6d143076, 0x00210b91, 
      0x6e142074, 0x00220ba1, 
      0x6f141072, 0x00220bc1, 
      0x7013f071, 0x00220be1, 
      0x7013e06f, 0x00230c01, 
      0x7113d06e, 0x00230c11, 
      0x7213b06c, 0x00240c31, 
      0x7213a06b, 0x00240c51, 
      0x73139069, 0x00240c71, 
      0x73137069, 0x00250c81, 
      0x74136067, 0x00250ca1, 
      0x74134066, 0x00260cc1, 
      0x75134064, 0x00260cd1, 
      0x76132062, 0x00270cf1, 
      0x76130061, 0x00280d11, 
      0x7712f05f, 0x00280d31, 
      0x7712d05f, 0x00290d41, 
      0x7712c05e, 0x00290d61, 
      0x7812a05c, 0x002a0d81, 
      0x7812905a, 0x002b0da1, 
      0x7912705a, 0x002b0db1, 
      0x79126058, 0x002c0dd1, 
      0x7a124056, 0x002d0df1, 
      0x7a123055, 0x002d0e11, 
      0x7a121055, 0x002e0e21, 
      0x7b120052, 0x002f0e41, 
      0x7b11e051, 0x00300e61, 
      0x7b11d050, 0x00300e81, 
      0x7b11b050, 0x00310e91, 
      0x7c11904e, 0x00320eb1, 
      0x7c11804c, 0x00330ed1, 
      0x7c11604c, 0x00340ee1, 
      0x7c11504b, 0x00340f01, 
      0x7c11304a, 0x00350f21, 
      0x7d111048, 0x00360f41, 
      0x7d110047, 0x00370f51, 
      0x7d10e046, 0x00380f71, 
      0x7d10d044, 0x00390f91, 
      0x7d10b044, 0x003a0fa1, 
      0x7d109043, 0x003b0fc1, 
      0x7d108041, 0x003c0fe1, 
      0x7d106041, 0x003d0ff1, 
      0x7d104040, 0x003e1011, 
      0x7d10303e, 0x003f1031, 
      0x7d10103e, 0x00401041, 
      0x7d0ff03d, 0x00411061, 
      0x7d0fe03b, 0x00421081, 
      0x7d0fc03b, 0x00431091, 
      0x7d0fa03a, 0x004410b1, 
      0x7d0f9038, 0x004510d1, 
      0x7d0f7038, 0x004610e1, 
      0x7d0f5037, 0x00471101, 
      0x7d0f3036, 0x00481121, 
      0x7c0f2036, 0x00491131, 
      0x7c0f0035, 0x004a1151, 
      0x7c0ee034, 0x004c1161, 
      0x7c0ed032, 0x004d1181, 
      0x7c0eb032, 0x004e1191, 
      0x7b0e9032, 0x004f11b1, 
      0x7b0e8030, 0x005011d1, 
      0x7b0e602f, 0x005211e1, 
      0x7b0e402e, 0x00531201, 
      0x7a0e202f, 0x00541211, 
      0x7a0e102d, 0x00551231, 
      0x7a0df02c, 0x00571241, 
      0x790dd02c, 0x00581261, 
      0x790db02c, 0x00591271, 
      0x780da02a, 0x005b1291, 
      0x780d802a, 0x005c12a1, 
      0x770d602a, 0x005d12c1, 
      0x770d4029, 0x005f12d1, 
      0x770d2028, 0x006012f1, 
      0x760d1028, 0x00611301, 
      0x760cf026, 0x00631321, 
      0x750cd027, 0x00641331, 
      0x750cc026, 0x00651341, 
      0x740ca025, 0x00671361, 
      0x730c9025, 0x00681371, 
      0x730c6024, 0x006a1391, 
      0x720c5024, 0x006b13a1, 
      0x720c3023, 0x006d13b1, 
      0x710c1023, 0x006e13d1, 
      0x700c0023, 0x006f13e1, 
      0x700be022, 0x007113f1, 
      0x6f0bc022, 0x00721411, 
      0x6e0ba022, 0x00741421, 
      0x6d0b9022, 0x00751431, 
      0x6d0b7020, 0x00771451, 
      0x6c0b5021, 0x00781461, 
      0x6b0b3021, 0x007a1471, 
      0x6b0b2020, 0x007b1481, 
      0x6a0b001f, 0x007d14a1, 
      0x690ae01f, 0x007f14b1, 
      0x680ad01f, 0x008014c1, 
      0x670ab01f, 0x008214d1, 
      0x660a901f, 0x008314f1, 
      0x650a701f, 0x00851501, 
      0x650a601e, 0x00861511, 
      0x640a401e, 0x00881521, 
      0x630a201e, 0x008a1531, 
      0x620a101e, 0x008b1541, 
      0x6109f01e, 0x008d1551, 
      0x6009d01e, 0x008e1571, 
      0x5f09c01d, 0x00901581, 
      0x5e09a01d, 0x00921591, 
      0x5d09801e, 0x009315a1, 
      0x5c09701d, 0x009515b1,
   },
   { /* UV scale factor = 0.06, phases = 127, taps = 5. */
      0x5c15c095, 0x001d0961, 
      0x5d15b093, 0x001d0981, 
      0x5e159092, 0x001d09a1, 
      0x5f158090, 0x001e09b1, 
      0x6015708e, 0x001e09d1, 
      0x6115608c, 0x001e09f1, 
      0x6215508b, 0x001e0a01, 
      0x63154089, 0x001e0a21, 
      0x64152088, 0x001e0a41, 
      0x65151087, 0x001e0a51, 
      0x66150085, 0x001e0a71, 
      0x6714f082, 0x001f0a91, 
      0x6814d081, 0x001f0ab1, 
      0x6914d07f, 0x001f0ac1, 
      0x6914b07f, 0x001f0ae1, 
      0x6a14a07d, 0x001f0b01, 
      0x6b14907b, 0x00200b11, 
      0x6c148079, 0x00200b31, 
      0x6d146078, 0x00200b51, 
      0x6d145076, 0x00210b71, 
      0x6e144075, 0x00210b81, 
      0x6f142074, 0x00210ba1, 
      0x6f141072, 0x00220bc1, 
      0x70140070, 0x00220be1, 
      0x7113e070, 0x00220bf1, 
      0x7213d06d, 0x00230c11, 
      0x7213c06c, 0x00230c31, 
      0x7313a06a, 0x00240c51, 
      0x7313906a, 0x00240c61, 
      0x74138067, 0x00250c81, 
      0x75136066, 0x00250ca1, 
      0x75134065, 0x00260cc1, 
      0x76133064, 0x00260cd1, 
      0x76132062, 0x00270cf1, 
      0x77130061, 0x00270d11, 
      0x7712f05f, 0x00280d31, 
      0x7812d05f, 0x00280d41, 
      0x7812c05d, 0x00290d61, 
      0x7912a05b, 0x002a0d81, 
      0x7912905a, 0x002a0da1, 
      0x79128059, 0x002b0db1, 
      0x7a126057, 0x002c0dd1, 
      0x7a124057, 0x002c0df1, 
      0x7b123055, 0x002d0e01, 
      0x7b121054, 0x002e0e21, 
      0x7b120053, 0x002e0e41, 
      0x7c11e051, 0x002f0e61, 
      0x7c11d050, 0x00300e71, 
      0x7c11b04f, 0x00310e91, 
      0x7c11a04d, 0x00320eb1, 
      0x7d11804c, 0x00320ed1, 
      0x7d11604c, 0x00330ee1, 
      0x7d11504a, 0x00340f01, 
      0x7d113049, 0x00350f21, 
      0x7d112047, 0x00360f41, 
      0x7d110047, 0x00370f51, 
      0x7e10e045, 0x00380f71, 
      0x7e10d044, 0x00380f91, 
      0x7e10b044, 0x00390fa1, 
      0x7e109043, 0x003a0fc1, 
      0x7e108041, 0x003b0fe1, 
      0x7e106041, 0x003c0ff1, 
      0x7e104040, 0x003d1011, 
      0x7e10303e, 0x003e1031, 
      0x7e10103e, 0x003f1041, 
      0x7e0ff03d, 0x00401061, 
      0x7e0fe03b, 0x00411081, 
      0x7e0fc03b, 0x00421091, 
      0x7e0fa03a, 0x004310b1, 
      0x7e0f8038, 0x004510d1, 
      0x7e0f7037, 0x004610e1, 
      0x7d0f5037, 0x00471101, 
      0x7d0f4035, 0x00481121, 
      0x7d0f2035, 0x00491131, 
      0x7d0f0034, 0x004a1151, 
      0x7d0ee034, 0x004b1161, 
      0x7d0ed032, 0x004c1181, 
      0x7c0eb031, 0x004e11a1, 
      0x7c0e9031, 0x004f11b1, 
      0x7c0e7030, 0x005011d1, 
      0x7c0e602f, 0x005111e1, 
      0x7b0e402f, 0x00521201, 
      0x7b0e202e, 0x00541211, 
      0x7b0e002d, 0x00551231, 
      0x7a0df02d, 0x00561241, 
      0x7a0dd02b, 0x00581261, 
      0x790dc02b, 0x00591271, 
      0x790da02a, 0x005a1291, 
      0x790d802a, 0x005b12a1, 
      0x780d6029, 0x005d12c1, 
      0x780d4029, 0x005e12d1, 
      0x770d3028, 0x005f12f1, 
      0x770d1027, 0x00611301, 
      0x760cf027, 0x00621321, 
      0x760cd026, 0x00641331, 
      0x750cc025, 0x00651351, 
      0x750ca025, 0x00661361, 
      0x740c8024, 0x00681381, 
      0x730c6025, 0x00691391, 
      0x730c5023, 0x006b13a1, 
      0x720c3023, 0x006c13c1, 
      0x720c1022, 0x006e13d1, 
      0x710bf023, 0x006f13e1, 
      0x700bd022, 0x00711401, 
      0x6f0bc022, 0x00721411, 
      0x6f0ba022, 0x00731421, 
      0x6e0b8021, 0x00751441, 
      0x6d0b7020, 0x00771451, 
      0x6d0b5020, 0x00781461, 
      0x6c0b301f, 0x007a1481, 
      0x6b0b1020, 0x007b1491, 
      0x6a0b001f, 0x007d14a1, 
      0x690ae020, 0x007e14b1, 
      0x690ac01e, 0x008014d1, 
      0x680ab01e, 0x008114e1, 
      0x670a901e, 0x008314f1, 
      0x660a701f, 0x00841501, 
      0x650a501f, 0x00861511, 
      0x640a401e, 0x00881521, 
      0x630a201e, 0x00891541, 
      0x620a001e, 0x008b1551, 
      0x6109f01e, 0x008c1561, 
      0x6009d01e, 0x008e1571, 
      0x5f09b01e, 0x00901581, 
      0x5e09a01e, 0x00911591, 
      0x5d09801e, 0x009315a1, 
      0x5c09601e, 0x009515b1,
   },
   { /* UV scale factor = 0.07, phases = 127, taps = 5. */
      0x5d15c094, 0x001d0961, 
      0x5e15b092, 0x001d0981, 
      0x5f15a091, 0x001d0991, 
      0x6015908f, 0x001d09b1, 
      0x6115808d, 0x001d09d1, 
      0x6215608d, 0x001d09e1, 
      0x6315508b, 0x001d0a01, 
      0x64154088, 0x001e0a21, 
      0x65153087, 0x001e0a31, 
      0x66152085, 0x001e0a51, 
      0x67150084, 0x001e0a71, 
      0x67150083, 0x001e0a81, 
      0x6814f081, 0x001e0aa1, 
      0x6914d07f, 0x001f0ac1, 
      0x6a14c07d, 0x001f0ae1, 
      0x6b14b07c, 0x001f0af1, 
      0x6c14907b, 0x001f0b11, 
      0x6c148079, 0x00200b31, 
      0x6d147077, 0x00200b51, 
      0x6e145077, 0x00200b61, 
      0x6f144074, 0x00210b81, 
      0x6f143073, 0x00210ba1, 
      0x70141072, 0x00210bc1, 
      0x71140070, 0x00220bd1, 
      0x7213f06e, 0x00220bf1, 
      0x7213d06e, 0x00220c11, 
      0x7313c06c, 0x00230c21, 
      0x7413b06a, 0x00230c41, 
      0x74139069, 0x00240c61, 
      0x75138067, 0x00240c81, 
      0x75136066, 0x00250ca1, 
      0x76135065, 0x00250cb1, 
      0x76134063, 0x00260cd1, 
      0x77132062, 0x00260cf1, 
      0x77131060, 0x00270d11, 
      0x7812f05f, 0x00280d21, 
      0x7812e05e, 0x00280d41, 
      0x7912c05c, 0x00290d61, 
      0x7912b05b, 0x00290d81, 
      0x7a12905a, 0x002a0d91, 
      0x7a128058, 0x002b0db1, 
      0x7b126057, 0x002b0dd1, 
      0x7b125055, 0x002c0df1, 
      0x7b123055, 0x002d0e01, 
      0x7c122053, 0x002d0e21, 
      0x7c120052, 0x002e0e41, 
      0x7c11e051, 0x002f0e61, 
      0x7d11d04f, 0x00300e71, 
      0x7d11b04f, 0x00300e91, 
      0x7d11a04d, 0x00310eb1, 
      0x7d11804c, 0x00320ed1, 
      0x7e11604b, 0x00330ee1, 
      0x7e115049, 0x00340f01, 
      0x7e113049, 0x00340f21, 
      0x7e112048, 0x00350f31, 
      0x7e110047, 0x00360f51, 
      0x7e10e046, 0x00370f71, 
      0x7f10c044, 0x00380f91, 
      0x7f10b043, 0x00390fa1, 
      0x7f109042, 0x003a0fc1, 
      0x7f108040, 0x003b0fe1, 
      0x7f106040, 0x003c0ff1, 
      0x7f10403f, 0x003d1011, 
      0x7f10303d, 0x003e1031, 
      0x7f10103d, 0x003f1041, 
      0x7f0ff03c, 0x00401061, 
      0x7f0fe03a, 0x00411081, 
      0x7f0fc03a, 0x00421091, 
      0x7f0fa039, 0x004310b1, 
      0x7f0f8038, 0x004410d1, 
      0x7e0f7038, 0x004510e1, 
      0x7e0f5037, 0x00461101, 
      0x7e0f3036, 0x00471121, 
      0x7e0f2034, 0x00491131, 
      0x7e0f0033, 0x004a1151, 
      0x7e0ee033, 0x004b1161, 
      0x7d0ed032, 0x004c1181, 
      0x7d0eb031, 0x004d11a1, 
      0x7d0e9031, 0x004e11b1, 
      0x7d0e702f, 0x005011d1, 
      0x7c0e602f, 0x005111e1, 
      0x7c0e402e, 0x00521201, 
      0x7c0e202d, 0x00531221, 
      0x7b0e002d, 0x00551231, 
      0x7b0df02b, 0x00561251, 
      0x7b0dd02b, 0x00571261, 
      0x7a0db02b, 0x00581281, 
      0x7a0d902a, 0x005a1291, 
      0x790d8029, 0x005b12b1, 
      0x790d6029, 0x005c12c1, 
      0x780d4028, 0x005e12e1, 
      0x780d2028, 0x005f12f1, 
      0x770d1027, 0x00601311, 
      0x770cf026, 0x00621321, 
      0x760cd026, 0x00631341, 
      0x760cb025, 0x00651351, 
      0x750ca025, 0x00661361, 
      0x750c8024, 0x00671381, 
      0x740c6024, 0x00691391, 
      0x740c4023, 0x006a13b1, 
      0x730c2023, 0x006c13c1, 
      0x720c1023, 0x006d13d1, 
      0x720be022, 0x006f13f1, 
      0x710bd022, 0x00701401, 
      0x700bc021, 0x00721411, 
      0x6f0ba021, 0x00731431, 
      0x6f0b8020, 0x00751441, 
      0x6e0b6021, 0x00761451, 
      0x6d0b501f, 0x00781471, 
      0x6c0b3020, 0x00791481, 
      0x6c0b101f, 0x007b1491, 
      0x6b0af01f, 0x007c14b1, 
      0x6a0ae01e, 0x007e14c1, 
      0x690ac01f, 0x007f14d1, 
      0x680aa01f, 0x008114e1, 
      0x670a901f, 0x008214f1, 
      0x670a601e, 0x00841511, 
      0x660a501d, 0x00861521, 
      0x650a301e, 0x00871531, 
      0x640a201d, 0x00891541, 
      0x630a001e, 0x008a1551, 
      0x6209e01e, 0x008c1561, 
      0x6109c01d, 0x008e1581, 
      0x6009b01d, 0x008f1591, 
      0x5f09901d, 0x009115a1, 
      0x5e09701d, 0x009315b1, 
      0x5d09601d, 0x009415c1,
   },
   { /* UV scale factor = 0.08, phases = 127, taps = 5. */
      0x5e15d093, 0x001d0951, 
      0x5f15b092, 0x001d0971, 
      0x6015a090, 0x001d0991, 
      0x6115908f, 0x001d09a1, 
      0x6215808d, 0x001d09c1, 
      0x6315708b, 0x001d09e1, 
      0x64156089, 0x001d0a01, 
      0x65155088, 0x001d0a11, 
      0x65154087, 0x001d0a31, 
      0x66152086, 0x001d0a51, 
      0x67151084, 0x001e0a61, 
      0x68150082, 0x001e0a81, 
      0x6914f080, 0x001e0aa1, 
      0x6a14e07f, 0x001e0ab1, 
      0x6b14c07e, 0x001e0ad1, 
      0x6c14b07b, 0x001f0af1, 
      0x6c14a07a, 0x001f0b11, 
      0x6d149079, 0x001f0b21, 
      0x6e147077, 0x00200b41, 
      0x6f146075, 0x00200b61, 
      0x70144074, 0x00200b81, 
      0x70143073, 0x00210b91, 
      0x71142071, 0x00210bb1, 
      0x7214106f, 0x00210bd1, 
      0x7213f06e, 0x00220bf1, 
      0x7313e06d, 0x00220c01, 
      0x7413c06b, 0x00230c21, 
      0x7413b06a, 0x00230c41, 
      0x7513a068, 0x00230c61, 
      0x76138067, 0x00240c71, 
      0x76137066, 0x00240c91, 
      0x77135064, 0x00250cb1, 
      0x77134063, 0x00250cd1, 
      0x78132061, 0x00260cf1, 
      0x78131060, 0x00270d01, 
      0x7912f05f, 0x00270d21, 
      0x7912e05d, 0x00280d41, 
      0x7a12c05c, 0x00280d61, 
      0x7a12b05b, 0x00290d71, 
      0x7b129059, 0x002a0d91, 
      0x7b128058, 0x002a0db1, 
      0x7b126057, 0x002b0dd1, 
      0x7c125055, 0x002c0de1, 
      0x7c123055, 0x002c0e01, 
      0x7d122052, 0x002d0e21, 
      0x7d120051, 0x002e0e41, 
      0x7d11f051, 0x002e0e51, 
      0x7e11d04f, 0x002f0e71, 
      0x7e11b04e, 0x00300e91, 
      0x7e11a04c, 0x00310eb1, 
      0x7e11804c, 0x00320ec1, 
      0x7f11704a, 0x00320ee1, 
      0x7f115049, 0x00330f01, 
      0x7f113048, 0x00340f21, 
      0x7f112047, 0x00350f31, 
      0x7f110046, 0x00360f51, 
      0x7f10e045, 0x00370f71, 
      0x7f10d043, 0x00380f91, 
      0x8010b042, 0x00390fa1, 
      0x80109042, 0x00390fc1, 
      0x80108040, 0x003a0fe1, 
      0x80106040, 0x003b0ff1, 
      0x8010403f, 0x003c1011, 
      0x8010303d, 0x003d1031, 
      0x8010103d, 0x003e1041, 
      0x800ff03c, 0x003f1061, 
      0x800fe03a, 0x00401081, 
      0x800fc03a, 0x00411091, 
      0x800fa038, 0x004310b1, 
      0x7f0f9037, 0x004410d1, 
      0x7f0f7037, 0x004510e1, 
      0x7f0f5036, 0x00461101, 
      0x7f0f3035, 0x00471121, 
      0x7f0f2034, 0x00481131, 
      0x7f0f0033, 0x00491151, 
      0x7f0ee032, 0x004a1171, 
      0x7e0ec032, 0x004c1181, 
      0x7e0eb030, 0x004d11a1, 
      0x7e0e9030, 0x004e11b1, 
      0x7e0e702f, 0x004f11d1, 
      0x7d0e502f, 0x005011f1, 
      0x7d0e402d, 0x00521201, 
      0x7d0e202c, 0x00531221, 
      0x7c0e002d, 0x00541231, 
      0x7c0de02c, 0x00551251, 
      0x7b0dd02b, 0x00571261, 
      0x7b0db02a, 0x00581281, 
      0x7b0d902a, 0x00591291, 
      0x7a0d7029, 0x005b12b1, 
      0x7a0d6028, 0x005c12c1, 
      0x790d4028, 0x005d12e1, 
      0x790d2027, 0x005f12f1, 
      0x780d0027, 0x00601311, 
      0x780cf026, 0x00611321, 
      0x770cd025, 0x00631341, 
      0x770cb025, 0x00641351, 
      0x760c9025, 0x00651371, 
      0x760c7024, 0x00671381, 
      0x750c6023, 0x006813a1, 
      0x740c4023, 0x006a13b1, 
      0x740c2023, 0x006b13c1, 
      0x730c0022, 0x006d13e1, 
      0x720bf022, 0x006e13f1, 
      0x720bc021, 0x00701411, 
      0x710bb021, 0x00711421, 
      0x700b9021, 0x00731431, 
      0x700b7020, 0x00741451, 
      0x6f0b601f, 0x00761461, 
      0x6e0b4020, 0x00771471, 
      0x6d0b2020, 0x00791481, 
      0x6c0b101f, 0x007a14a1, 
      0x6c0af01e, 0x007c14b1, 
      0x6b0ad01f, 0x007d14c1, 
      0x6a0ab01e, 0x007f14e1, 
      0x690aa01e, 0x008014f1, 
      0x680a801e, 0x00821501, 
      0x670a601e, 0x00841511, 
      0x660a501e, 0x00851521, 
      0x650a301d, 0x00871541, 
      0x650a101d, 0x00881551, 
      0x6409f01d, 0x008a1561, 
      0x6309e01c, 0x008c1571, 
      0x6209c01d, 0x008d1581, 
      0x6109a01d, 0x008f1591, 
      0x6009901d, 0x009015a1, 
      0x5f09701d, 0x009215b1, 
      0x5e09501c, 0x009415d1,
   },
   { /* UV scale factor = 0.09, phases = 127, taps = 5. */
      0x5e15d094, 0x001c0951, 
      0x5f15c092, 0x001c0971, 
      0x6015c090, 0x001c0981, 
      0x6115a08f, 0x001c09a1, 
      0x6215908d, 0x001c09c1, 
      0x6315808b, 0x001d09d1, 
      0x64157089, 0x001d09f1, 
      0x65155088, 0x001d0a11, 
      0x66154087, 0x001d0a21, 
      0x67153085, 0x001d0a41, 
      0x68152083, 0x001d0a61, 
      0x69151081, 0x001d0a81, 
      0x6a14f080, 0x001e0a91, 
      0x6b14e07e, 0x001e0ab1, 
      0x6c14d07c, 0x001e0ad1, 
      0x6c14c07b, 0x001e0af1, 
      0x6d14a07a, 0x001f0b01, 
      0x6e149078, 0x001f0b21, 
      0x6f148076, 0x001f0b41, 
      0x70147075, 0x001f0b51, 
      0x70145074, 0x00200b71, 
      0x71144072, 0x00200b91, 
      0x72142070, 0x00210bb1, 
      0x7314106e, 0x00210bd1, 
      0x7314006e, 0x00210be1, 
      0x7413e06c, 0x00220c01, 
      0x7513d06a, 0x00220c21, 
      0x7513b069, 0x00230c41, 
      0x7613a068, 0x00230c51, 
      0x77139066, 0x00230c71, 
      0x77137065, 0x00240c91, 
      0x78136063, 0x00240cb1, 
      0x78134063, 0x00250cc1, 
      0x79133060, 0x00260ce1, 
      0x79131060, 0x00260d01, 
      0x7a13005d, 0x00270d21, 
      0x7a12e05d, 0x00270d41, 
      0x7b12d05b, 0x00280d51, 
      0x7b12c05a, 0x00280d71, 
      0x7c12a058, 0x00290d91, 
      0x7c128057, 0x002a0db1, 
      0x7d127056, 0x002a0dc1, 
      0x7d125055, 0x002b0de1, 
      0x7d124053, 0x002c0e01, 
      0x7e122052, 0x002c0e21, 
      0x7e121051, 0x002d0e31, 
      0x7e11f050, 0x002e0e51, 
      0x7f11d04e, 0x002f0e71, 
      0x7f11c04d, 0x002f0e91, 
      0x7f11a04d, 0x00300ea1, 
      0x7f11904b, 0x00310ec1, 
      0x80117049, 0x00320ee1, 
      0x80115048, 0x00330f01, 
      0x80113048, 0x00340f11, 
      0x80112047, 0x00340f31, 
      0x80110046, 0x00350f51, 
      0x8010f044, 0x00360f71, 
      0x8110d043, 0x00370f81, 
      0x8110b042, 0x00380fa1, 
      0x8110a040, 0x00390fc1, 
      0x8110803f, 0x003a0fe1, 
      0x8110603f, 0x003b0ff1, 
      0x8110403e, 0x003c1011, 
      0x8110303c, 0x003d1031, 
      0x8110103c, 0x003e1041, 
      0x810ff03b, 0x003f1061, 
      0x810fe039, 0x00401081, 
      0x810fc038, 0x004110a1, 
      0x810fa038, 0x004210b1, 
      0x810f8037, 0x004310d1, 
      0x800f7036, 0x004410f1, 
      0x800f5036, 0x00451101, 
      0x800f3035, 0x00461121, 
      0x800f2034, 0x00471131, 
      0x800f0032, 0x00491151, 
      0x800ee031, 0x004a1171, 
      0x7f0ec032, 0x004b1181, 
      0x7f0ea031, 0x004c11a1, 
      0x7f0e902f, 0x004d11c1, 
      0x7f0e702e, 0x004f11d1, 
      0x7e0e502e, 0x005011f1, 
      0x7e0e302e, 0x00511201, 
      0x7e0e202c, 0x00521221, 
      0x7d0e002c, 0x00531241, 
      0x7d0de02b, 0x00551251, 
      0x7d0dc02a, 0x00561271, 
      0x7c0db02a, 0x00571281, 
      0x7c0d8029, 0x005912a1, 
      0x7b0d7029, 0x005a12b1, 
      0x7b0d5028, 0x005b12d1, 
      0x7a0d4027, 0x005d12e1, 
      0x7a0d2026, 0x005e1301, 
      0x790d0027, 0x005f1311, 
      0x790ce025, 0x00611331, 
      0x780cc026, 0x00621341, 
      0x780cb024, 0x00631361, 
      0x770c9024, 0x00651371, 
      0x770c7023, 0x00661391, 
      0x760c5023, 0x006813a1, 
      0x750c4023, 0x006913b1, 
      0x750c1022, 0x006b13d1, 
      0x740c0022, 0x006c13e1, 
      0x730be022, 0x006d1401, 
      0x730bd020, 0x006f1411, 
      0x720bb021, 0x00701421, 
      0x710b9020, 0x00721441, 
      0x700b8020, 0x00731451, 
      0x700b5020, 0x00751461, 
      0x6f0b401f, 0x00761481, 
      0x6e0b201f, 0x00781491, 
      0x6d0b001f, 0x007a14a1, 
      0x6c0af01e, 0x007b14c1, 
      0x6c0ac01e, 0x007d14d1, 
      0x6b0ab01e, 0x007e14e1, 
      0x6a0a901e, 0x008014f1, 
      0x690a801d, 0x00811511, 
      0x680a601d, 0x00831521, 
      0x670a401d, 0x00851531, 
      0x660a301d, 0x00861541, 
      0x650a101d, 0x00881551, 
      0x6409f01d, 0x00891571, 
      0x6309d01d, 0x008b1581, 
      0x6209c01c, 0x008d1591, 
      0x6109a01d, 0x008e15a1, 
      0x6009801d, 0x009015b1, 
      0x5f09701c, 0x009215c1, 
      0x5e09501d, 0x009315d1,
   },
   { /* UV scale factor = 0.10, phases = 127, taps = 5. */
      0x5f15e093, 0x001c0941, 
      0x6015d091, 0x001c0961, 
      0x6115c08f, 0x001c0981, 
      0x6215b08e, 0x001c0991, 
      0x6315a08c, 0x001c09b1, 
      0x6415808b, 0x001c09d1, 
      0x65158089, 0x001c09e1, 
      0x66156088, 0x001c0a01, 
      0x67155086, 0x001c0a21, 
      0x68154083, 0x001d0a41, 
      0x69152083, 0x001d0a51, 
      0x6a151081, 0x001d0a71, 
      0x6b15007f, 0x001d0a91, 
      0x6c14f07d, 0x001d0ab1, 
      0x6d14d07c, 0x001e0ac1, 
      0x6d14c07b, 0x001e0ae1, 
      0x6e14b079, 0x001e0b01, 
      0x6f14a078, 0x001e0b11, 
      0x70148076, 0x001f0b31, 
      0x71147074, 0x001f0b51, 
      0x71146073, 0x001f0b71, 
      0x72144071, 0x00200b91, 
      0x73143070, 0x00200ba1, 
      0x7414206e, 0x00200bc1, 
      0x7414006d, 0x00210be1, 
      0x7513f06b, 0x00210c01, 
      0x7613d06a, 0x00220c11, 
      0x7613c069, 0x00220c31, 
      0x7713a067, 0x00230c51, 
      0x78139065, 0x00230c71, 
      0x78138064, 0x00240c81, 
      0x79136063, 0x00240ca1, 
      0x79135061, 0x00250cc1, 
      0x7a133060, 0x00250ce1, 
      0x7a13205e, 0x00260d01, 
      0x7b13005e, 0x00260d11, 
      0x7b12f05c, 0x00270d31, 
      0x7c12d05b, 0x00270d51, 
      0x7c12c059, 0x00280d71, 
      0x7d12a057, 0x00290d91, 
      0x7d129057, 0x00290da1, 
      0x7e127055, 0x002a0dc1, 
      0x7e125054, 0x002b0de1, 
      0x7e124053, 0x002b0e01, 
      0x7f122052, 0x002c0e11, 
      0x7f121050, 0x002d0e31, 
      0x7f11f050, 0x002d0e51, 
      0x8011d04e, 0x002e0e71, 
      0x8011c04c, 0x002f0e91, 
      0x8011a04c, 0x00300ea1, 
      0x8111804a, 0x00310ec1, 
      0x81117049, 0x00310ee1, 
      0x81115048, 0x00320f01, 
      0x81114047, 0x00330f11, 
      0x81112046, 0x00340f31, 
      0x81110045, 0x00350f51, 
      0x8210e043, 0x00360f71, 
      0x8210d042, 0x00370f81, 
      0x8210b042, 0x00370fa1, 
      0x8210a040, 0x00380fc1, 
      0x8210803f, 0x00390fe1, 
      0x8210603f, 0x003a0ff1, 
      0x8210403e, 0x003b1011, 
      0x8210303c, 0x003c1031, 
      0x8210103c, 0x003d1041, 
      0x820ff03b, 0x003e1061, 
      0x820fe039, 0x003f1081, 
      0x820fc038, 0x004010a1, 
      0x820fa038, 0x004110b1, 
      0x820f8037, 0x004210d1, 
      0x820f6035, 0x004410f1, 
      0x810f5035, 0x00451101, 
      0x810f3034, 0x00461121, 
      0x810f1033, 0x00471141, 
      0x810f0032, 0x00481151, 
      0x810ee031, 0x00491171, 
      0x810ec030, 0x004a1191, 
      0x800ea030, 0x004c11a1, 
      0x800e902e, 0x004d11c1, 
      0x800e702e, 0x004e11d1, 
      0x7f0e502e, 0x004f11f1, 
      0x7f0e302d, 0x00501211, 
      0x7f0e102c, 0x00521221, 
      0x7e0e002b, 0x00531241, 
      0x7e0de02b, 0x00541251, 
      0x7e0dc02a, 0x00551271, 
      0x7d0da02a, 0x00571281, 
      0x7d0d9028, 0x005812a1, 
      0x7c0d7028, 0x005912c1, 
      0x7c0d5027, 0x005b12d1, 
      0x7b0d3027, 0x005c12f1, 
      0x7b0d1027, 0x005d1301, 
      0x7a0d0025, 0x005f1321, 
      0x7a0ce025, 0x00601331, 
      0x790cc025, 0x00611351, 
      0x790ca024, 0x00631361, 
      0x780c8024, 0x00641381, 
      0x780c6023, 0x00661391, 
      0x770c5023, 0x006713a1, 
      0x760c3023, 0x006813c1, 
      0x760c1022, 0x006a13d1, 
      0x750c0021, 0x006b13f1, 
      0x740be021, 0x006d1401, 
      0x740bc020, 0x006e1421, 
      0x730ba020, 0x00701431, 
      0x720b9020, 0x00711441, 
      0x710b701f, 0x00731461, 
      0x710b501f, 0x00741471, 
      0x700b301f, 0x00761481, 
      0x6f0b101f, 0x007714a1, 
      0x6e0b001e, 0x007914b1, 
      0x6e0ae01e, 0x007a14c1, 
      0x6d0ac01e, 0x007c14d1, 
      0x6c0aa01d, 0x007e14f1, 
      0x6b0a901d, 0x007f1501, 
      0x6a0a701d, 0x00811511, 
      0x690a601d, 0x00821521, 
      0x680a401c, 0x00841541, 
      0x670a201c, 0x00861551, 
      0x660a001d, 0x00871561, 
      0x6509e01d, 0x00891571, 
      0x6409d01d, 0x008a1581, 
      0x6309b01c, 0x008c15a1, 
      0x6209901c, 0x008e15b1, 
      0x6109801c, 0x008f15c1, 
      0x6009601c, 0x009115d1, 
      0x5f09401c, 0x009315e1,
   },
   { /* UV scale factor = 0.11, phases = 127, taps = 5. */
      0x6015f092, 0x001b0941, 
      0x6115e091, 0x001b0951, 
      0x6215d08f, 0x001b0971, 
      0x6315c08d, 0x001b0991, 
      0x6415a08c, 0x001c09a1, 
      0x6515908a, 0x001c09c1, 
      0x66158088, 0x001c09e1, 
      0x67157086, 0x001c0a01, 
      0x68156085, 0x001c0a11, 
      0x69154084, 0x001c0a31, 
      0x6a153082, 0x001c0a51, 
      0x6b152081, 0x001c0a61, 
      0x6c15107e, 0x001d0a81, 
      0x6d14f07d, 0x001d0aa1, 
      0x6e14e07b, 0x001d0ac1, 
      0x6f14d07a, 0x001d0ad1, 
      0x6f14c078, 0x001e0af1, 
      0x7014a077, 0x001e0b11, 
      0x71149075, 0x001e0b31, 
      0x72148073, 0x001f0b41, 
      0x73146072, 0x001f0b61, 
      0x73145071, 0x001f0b81, 
      0x7414306f, 0x00200ba1, 
      0x7514206d, 0x00200bc1, 
      0x7614106c, 0x00200bd1, 
      0x7613f06b, 0x00210bf1, 
      0x7713e069, 0x00210c11, 
      0x7813c067, 0x00220c31, 
      0x7813b067, 0x00220c41, 
      0x7913a065, 0x00220c61, 
      0x79138064, 0x00230c81, 
      0x7a137062, 0x00230ca1, 
      0x7b135060, 0x00240cc1, 
      0x7b13405f, 0x00250cd1, 
      0x7c13205e, 0x00250cf1, 
      0x7c13105c, 0x00260d11, 
      0x7d12f05b, 0x00260d31, 
      0x7d12d05a, 0x00270d51, 
      0x7e12c059, 0x00270d61, 
      0x7e12a058, 0x00280d81, 
      0x7f129055, 0x00290da1, 
      0x7f127055, 0x00290dc1, 
      0x7f126053, 0x002a0de1, 
      0x80124052, 0x002b0df1, 
      0x80123051, 0x002b0e11, 
      0x80121050, 0x002c0e31, 
      0x8111f04e, 0x002d0e51, 
      0x8111d04d, 0x002e0e71, 
      0x8111c04d, 0x002e0e81, 
      0x8211a04b, 0x002f0ea1, 
      0x82119049, 0x00300ec1, 
      0x82117048, 0x00310ee1, 
      0x82115048, 0x00320ef1, 
      0x82114047, 0x00320f11, 
      0x83112045, 0x00330f31, 
      0x83110044, 0x00340f51, 
      0x8310f043, 0x00350f61, 
      0x8310d042, 0x00360f81, 
      0x8310b041, 0x00370fa1, 
      0x8310a03f, 0x00380fc1, 
      0x8310803f, 0x00390fd1, 
      0x8310603e, 0x003a0ff1, 
      0x8310403d, 0x003b1011, 
      0x8310303b, 0x003c1031, 
      0x8310103b, 0x003d1041, 
      0x830ff03a, 0x003e1061, 
      0x830fd039, 0x003f1081, 
      0x830fc037, 0x004010a1, 
      0x830fa037, 0x004110b1, 
      0x830f8036, 0x004210d1, 
      0x830f6035, 0x004310f1, 
      0x830f5034, 0x00441101, 
      0x830f3033, 0x00451121, 
      0x820f1033, 0x00461141, 
      0x820f0032, 0x00471151, 
      0x820ee031, 0x00481171, 
      0x820ec02f, 0x004a1191, 
      0x820ea02f, 0x004b11a1, 
      0x810e802f, 0x004c11c1, 
      0x810e702d, 0x004d11e1, 
      0x810e502d, 0x004e11f1, 
      0x800e302c, 0x00501211, 
      0x800e102c, 0x00511221, 
      0x800df02b, 0x00521241, 
      0x7f0de02a, 0x00531261, 
      0x7f0dc029, 0x00551271, 
      0x7f0da028, 0x00561291, 
      0x7e0d8029, 0x005712a1, 
      0x7e0d6027, 0x005912c1, 
      0x7d0d5027, 0x005a12d1, 
      0x7d0d3026, 0x005b12f1, 
      0x7c0d1025, 0x005d1311, 
      0x7c0cf025, 0x005e1321, 
      0x7b0cd025, 0x005f1341, 
      0x7b0cc023, 0x00611351, 
      0x7a0ca023, 0x00621371, 
      0x790c9023, 0x00631381, 
      0x790c6022, 0x006513a1, 
      0x780c4023, 0x006613b1, 
      0x780c3021, 0x006813c1, 
      0x770c1021, 0x006913e1, 
      0x760bf021, 0x006b13f1, 
      0x760bd020, 0x006c1411, 
      0x750bc01f, 0x006e1421, 
      0x740ba020, 0x006f1431, 
      0x730b801f, 0x00711451, 
      0x730b601f, 0x00721461, 
      0x720b401e, 0x00741481, 
      0x710b301e, 0x00751491, 
      0x700b101e, 0x007714a1, 
      0x6f0af01e, 0x007814c1, 
      0x6f0ad01d, 0x007a14d1, 
      0x6e0ac01d, 0x007b14e1, 
      0x6d0aa01d, 0x007d14f1, 
      0x6c0a801d, 0x007e1511, 
      0x6b0a601d, 0x00801521, 
      0x6a0a501c, 0x00821531, 
      0x690a301d, 0x00831541, 
      0x680a101c, 0x00851561, 
      0x670a001c, 0x00861571, 
      0x6609e01c, 0x00881581, 
      0x6509c01c, 0x008a1591, 
      0x6409b01c, 0x008b15a1, 
      0x6309901b, 0x008d15c1, 
      0x6209701b, 0x008f15d1, 
      0x6109501c, 0x009015e1, 
      0x6009401b, 0x009215f1,
   },
   { /* UV scale factor = 0.12, phases = 127, taps = 5. */
      0x61160091, 0x001b0931, 
      0x6215f08f, 0x001b0951, 
      0x6315e08e, 0x001b0961, 
      0x6415d08c, 0x001b0981, 
      0x6515b08b, 0x001b09a1, 
      0x6615b089, 0x001b09b1, 
      0x67159088, 0x001b09d1, 
      0x68158086, 0x001b09f1, 
      0x69157084, 0x001b0a11, 
      0x6a155083, 0x001c0a21, 
      0x6b154081, 0x001c0a41, 
      0x6c15307f, 0x001c0a61, 
      0x6d15207d, 0x001c0a81, 
      0x6e15007d, 0x001c0a91, 
      0x6f14f07a, 0x001d0ab1, 
      0x7014e078, 0x001d0ad1, 
      0x7114c077, 0x001d0af1, 
      0x7114c076, 0x001d0b01, 
      0x7214a074, 0x001e0b21, 
      0x73148073, 0x001e0b41, 
      0x74147071, 0x001e0b61, 
      0x7514606f, 0x001f0b71, 
      0x7514406f, 0x001f0b91, 
      0x7614306d, 0x001f0bb1, 
      0x7714106b, 0x00200bd1, 
      0x7714006a, 0x00200bf1, 
      0x7813e069, 0x00210c01, 
      0x7913d067, 0x00210c21, 
      0x7913c066, 0x00210c41, 
      0x7a13a064, 0x00220c61, 
      0x7b139062, 0x00220c81, 
      0x7b137062, 0x00230c91, 
      0x7c136060, 0x00230cb1, 
      0x7c13405f, 0x00240cd1, 
      0x7d13305d, 0x00240cf1, 
      0x7e13105b, 0x00250d11, 
      0x7e12f05b, 0x00260d21, 
      0x7f12e059, 0x00260d41, 
      0x7f12c058, 0x00270d61, 
      0x7f12b057, 0x00270d81, 
      0x80129055, 0x00280da1, 
      0x80128054, 0x00290db1, 
      0x81126053, 0x00290dd1, 
      0x81124052, 0x002a0df1, 
      0x81123050, 0x002b0e11, 
      0x8212104f, 0x002b0e31, 
      0x8212004e, 0x002c0e41, 
      0x8211e04d, 0x002d0e61, 
      0x8311c04b, 0x002e0e81, 
      0x8311b04a, 0x002e0ea1, 
      0x83119049, 0x002f0ec1, 
      0x84117048, 0x00300ed1, 
      0x84116046, 0x00310ef1, 
      0x84114045, 0x00320f11, 
      0x84112044, 0x00330f31, 
      0x84110044, 0x00330f51, 
      0x8410f043, 0x00340f61, 
      0x8510d041, 0x00350f81, 
      0x8510b040, 0x00360fa1, 
      0x8510a03e, 0x00370fc1, 
      0x8510803e, 0x00380fd1, 
      0x8510603d, 0x00390ff1, 
      0x8510403c, 0x003a1011, 
      0x8510303a, 0x003b1031, 
      0x8510103a, 0x003c1041, 
      0x850ff039, 0x003d1061, 
      0x850fd038, 0x003e1081, 
      0x850fb037, 0x003f10a1, 
      0x850fa036, 0x004010b1, 
      0x850f8035, 0x004110d1, 
      0x840f6035, 0x004210f1, 
      0x840f5034, 0x00431101, 
      0x840f3033, 0x00441121, 
      0x840f1032, 0x00451141, 
      0x840ef030, 0x00471161, 
      0x840ed030, 0x00481171, 
      0x830ec02f, 0x00491191, 
      0x830ea02e, 0x004a11b1, 
      0x830e802e, 0x004b11c1, 
      0x820e702d, 0x004c11e1, 
      0x820e402c, 0x004e1201, 
      0x820e302b, 0x004f1211, 
      0x810e102b, 0x00501231, 
      0x810df02b, 0x00511241, 
      0x810dd029, 0x00531261, 
      0x800db029, 0x00541281, 
      0x800da028, 0x00551291, 
      0x7f0d8028, 0x005612b1, 
      0x7f0d6027, 0x005812c1, 
      0x7f0d4026, 0x005912e1, 
      0x7e0d3026, 0x005a12f1, 
      0x7e0d0025, 0x005c1311, 
      0x7d0cf024, 0x005d1331, 
      0x7c0cd024, 0x005f1341, 
      0x7c0cb023, 0x00601361, 
      0x7b0ca023, 0x00611371, 
      0x7b0c7022, 0x00631391, 
      0x7a0c6022, 0x006413a1, 
      0x790c4021, 0x006613c1, 
      0x790c2021, 0x006713d1, 
      0x780c1021, 0x006813e1, 
      0x770bf020, 0x006a1401, 
      0x770bd020, 0x006b1411, 
      0x760bb01f, 0x006d1431, 
      0x750ba01f, 0x006e1441, 
      0x750b701e, 0x00701461, 
      0x740b601e, 0x00711471, 
      0x730b401e, 0x00731481, 
      0x720b201e, 0x007414a1, 
      0x710b001e, 0x007614b1, 
      0x710af01d, 0x007714c1, 
      0x700ad01c, 0x007914e1, 
      0x6f0ab01c, 0x007b14f1, 
      0x6e0a901d, 0x007c1501, 
      0x6d0a701c, 0x007e1521, 
      0x6c0a601c, 0x007f1531, 
      0x6b0a401c, 0x00811541, 
      0x6a0a301c, 0x00821551, 
      0x690a101b, 0x00841571, 
      0x6809f01b, 0x00861581, 
      0x6709d01c, 0x00871591, 
      0x6609b01c, 0x008915a1, 
      0x6509a01b, 0x008b15b1, 
      0x6409801b, 0x008c15d1, 
      0x6309601b, 0x008e15e1, 
      0x6209501a, 0x009015f1, 
      0x6109301b, 0x00911601,
   },
   { /* UV scale factor = 0.13, phases = 127, taps = 5. */
      0x62161091, 0x001a0921, 
      0x6316008f, 0x001a0941, 
      0x6415f08d, 0x001a0961, 
      0x6515e08c, 0x001a0971, 
      0x6615d08a, 0x001a0991, 
      0x6715b089, 0x001a09b1, 
      0x6915a086, 0x001b09c1, 
      0x6a159084, 0x001b09e1, 
      0x6b157083, 0x001b0a01, 
      0x6b156082, 0x001b0a21, 
      0x6c155081, 0x001b0a31, 
      0x6d15407f, 0x001b0a51, 
      0x6e15207d, 0x001c0a71, 
      0x6f15107b, 0x001c0a91, 
      0x7015007a, 0x001c0aa1, 
      0x7114e079, 0x001c0ac1, 
      0x7214d077, 0x001c0ae1, 
      0x7314b075, 0x001d0b01, 
      0x7414a074, 0x001d0b11, 
      0x7414a072, 0x001d0b31, 
      0x75148070, 0x001e0b51, 
      0x7614606f, 0x001e0b71, 
      0x7714506d, 0x001e0b91, 
      0x7714406c, 0x001f0ba1, 
      0x7814206b, 0x001f0bc1, 
      0x79141068, 0x00200be1, 
      0x7a13f067, 0x00200c01, 
      0x7a13e066, 0x00200c21, 
      0x7b13c065, 0x00210c31, 
      0x7c13b063, 0x00210c51, 
      0x7c139062, 0x00220c71, 
      0x7d138060, 0x00220c91, 
      0x7d13605f, 0x00230cb1, 
      0x7e13505d, 0x00230cd1, 
      0x7e13305d, 0x00240ce1, 
      0x7f13205b, 0x00240d01, 
      0x80130059, 0x00250d21, 
      0x8012e058, 0x00260d41, 
      0x8112d056, 0x00260d61, 
      0x8112b056, 0x00270d71, 
      0x8112a055, 0x00270d91, 
      0x82128053, 0x00280db1, 
      0x82126052, 0x00290dd1, 
      0x83125050, 0x00290df1, 
      0x8312304f, 0x002a0e11, 
      0x8312104f, 0x002b0e21, 
      0x8412004c, 0x002c0e41, 
      0x8411e04c, 0x002c0e61, 
      0x8411c04b, 0x002d0e81, 
      0x8511a049, 0x002e0ea1, 
      0x85119048, 0x002f0eb1, 
      0x85118047, 0x002f0ed1, 
      0x85116046, 0x00300ef1, 
      0x85114045, 0x00310f11, 
      0x86112043, 0x00320f31, 
      0x86111042, 0x00330f41, 
      0x8610f041, 0x00340f61, 
      0x8610d041, 0x00340f81, 
      0x8610b040, 0x00350fa1, 
      0x8610a03e, 0x00360fc1, 
      0x8610803e, 0x00370fd1, 
      0x8610603d, 0x00380ff1, 
      0x8610403c, 0x00391011, 
      0x8610303a, 0x003a1031, 
      0x8610103a, 0x003b1041, 
      0x860ff039, 0x003c1061, 
      0x860fd038, 0x003d1081, 
      0x860fc036, 0x003e10a1, 
      0x860fa036, 0x003f10b1, 
      0x860f8035, 0x004010d1, 
      0x860f6034, 0x004110f1, 
      0x860f4033, 0x00421111, 
      0x860f3031, 0x00441121, 
      0x850f1031, 0x00451141, 
      0x850ef030, 0x00461161, 
      0x850ed030, 0x00471171, 
      0x850eb02f, 0x00481191, 
      0x850ea02d, 0x004911b1, 
      0x840e802e, 0x004a11c1, 
      0x840e602c, 0x004c11e1, 
      0x840e402b, 0x004d1201, 
      0x830e302b, 0x004e1211, 
      0x830e102a, 0x004f1231, 
      0x830de029, 0x00511251, 
      0x820dd029, 0x00521261, 
      0x820db028, 0x00531281, 
      0x810d9028, 0x005412a1, 
      0x810d7027, 0x005612b1, 
      0x810d5026, 0x005712d1, 
      0x800d4026, 0x005812e1, 
      0x800d2024, 0x005a1301, 
      0x7f0d0025, 0x005b1311, 
      0x7e0cf024, 0x005c1331, 
      0x7e0cc023, 0x005e1351, 
      0x7d0cb023, 0x005f1361, 
      0x7d0c9022, 0x00601381, 
      0x7c0c7022, 0x00621391, 
      0x7c0c5021, 0x006313b1, 
      0x7b0c3021, 0x006513c1, 
      0x7a0c2020, 0x006613e1, 
      0x7a0c001f, 0x006813f1, 
      0x790be01f, 0x00691411, 
      0x780bc020, 0x006a1421, 
      0x770bb01f, 0x006c1431, 
      0x770b901e, 0x006d1451, 
      0x760b701e, 0x006f1461, 
      0x750b501e, 0x00701481, 
      0x740b301e, 0x00721491, 
      0x740b101e, 0x007314a1, 
      0x730b001c, 0x007514c1, 
      0x720ae01c, 0x007714d1, 
      0x710ac01d, 0x007814e1, 
      0x700aa01c, 0x007a1501, 
      0x6f0a901c, 0x007b1511, 
      0x6e0a701c, 0x007d1521, 
      0x6d0a501c, 0x007e1541, 
      0x6c0a301c, 0x00801551, 
      0x6b0a201b, 0x00821561, 
      0x6b0a001a, 0x00831581, 
      0x6a09e01a, 0x00851591, 
      0x6909c01a, 0x008715a1, 
      0x6709b01b, 0x008815b1, 
      0x6609901b, 0x008a15c1, 
      0x6509701b, 0x008b15e1, 
      0x6409601a, 0x008d15f1, 
      0x6309401a, 0x008f1601, 
      0x6209201a, 0x00911611,
   },
   { /* UV scale factor = 0.14, phases = 127, taps = 5. */
      0x63163090, 0x00190911, 
      0x6416208e, 0x00190931, 
      0x6615f08c, 0x001a0951, 
      0x6715f08a, 0x001a0961, 
      0x6815d089, 0x001a0981, 
      0x6915c087, 0x001a09a1, 
      0x6a15b085, 0x001a09c1, 
      0x6b15a084, 0x001a09d1, 
      0x6c159082, 0x001a09f1, 
      0x6d157081, 0x001a0a11, 
      0x6d15607f, 0x001b0a31, 
      0x6f15507d, 0x001b0a41, 
      0x7015307c, 0x001b0a61, 
      0x7115207a, 0x001b0a81, 
      0x71151079, 0x001b0aa1, 
      0x7214f078, 0x001c0ab1, 
      0x7314e076, 0x001c0ad1, 
      0x7414d074, 0x001c0af1, 
      0x7514b073, 0x001c0b11, 
      0x76149071, 0x001d0b31, 
      0x77148070, 0x001d0b41, 
      0x7714806e, 0x001d0b61, 
      0x7814606c, 0x001e0b81, 
      0x7914406b, 0x001e0ba1, 
      0x7a142069, 0x001f0bc1, 
      0x7a141069, 0x001f0bd1, 
      0x7b140067, 0x001f0bf1, 
      0x7c13e065, 0x00200c11, 
      0x7c13d064, 0x00200c31, 
      0x7d13b062, 0x00210c51, 
      0x7e13a060, 0x00210c71, 
      0x7e138060, 0x00220c81, 
      0x7f13705e, 0x00220ca1, 
      0x8013505c, 0x00230cc1, 
      0x8013405b, 0x00230ce1, 
      0x81132059, 0x00240d01, 
      0x81130059, 0x00240d21, 
      0x8212f057, 0x00250d31, 
      0x8212d057, 0x00250d51, 
      0x8312c054, 0x00260d71, 
      0x8312a053, 0x00270d91, 
      0x83128053, 0x00270db1, 
      0x84127050, 0x00280dd1, 
      0x84125050, 0x00290de1, 
      0x8512304f, 0x00290e01, 
      0x8512204d, 0x002a0e21, 
      0x8512004c, 0x002b0e41, 
      0x8611e04a, 0x002c0e61, 
      0x8611d049, 0x002c0e81, 
      0x8611b049, 0x002d0e91, 
      0x87119047, 0x002e0eb1, 
      0x87117046, 0x002f0ed1, 
      0x87116045, 0x002f0ef1, 
      0x87114044, 0x00300f11, 
      0x87113043, 0x00310f21, 
      0x88111041, 0x00320f41, 
      0x8810f040, 0x00330f61, 
      0x8810d03f, 0x00340f81, 
      0x8810b03e, 0x00350fa1, 
      0x8810a03e, 0x00350fb1, 
      0x8810803d, 0x00360fd1, 
      0x8810603c, 0x00370ff1, 
      0x8810403b, 0x00381011, 
      0x88103039, 0x00391031, 
      0x88101039, 0x003a1041, 
      0x880ff038, 0x003b1061, 
      0x880fd037, 0x003c1081, 
      0x880fb036, 0x003d10a1, 
      0x880fa035, 0x003e10b1, 
      0x880f8034, 0x003f10d1, 
      0x880f6033, 0x004010f1, 
      0x880f4031, 0x00421111, 
      0x870f2032, 0x00431121, 
      0x870f1030, 0x00441141, 
      0x870ef02f, 0x00451161, 
      0x870ed02e, 0x00461181, 
      0x870eb02e, 0x00471191, 
      0x860e902e, 0x004811b1, 
      0x860e702c, 0x004a11d1, 
      0x860e602b, 0x004b11e1, 
      0x850e402b, 0x004c1201, 
      0x850e202a, 0x004d1221, 
      0x850e002a, 0x004e1231, 
      0x840de029, 0x00501251, 
      0x840dc028, 0x00511271, 
      0x830db028, 0x00521281, 
      0x830d9027, 0x005312a1, 
      0x820d7026, 0x005512c1, 
      0x820d5026, 0x005612d1, 
      0x820d3025, 0x005712f1, 
      0x810d2024, 0x00591301, 
      0x810d0023, 0x005a1321, 
      0x800ce023, 0x005b1341, 
      0x800cc022, 0x005d1351, 
      0x7f0ca022, 0x005e1371, 
      0x7e0c9022, 0x005f1381, 
      0x7e0c6021, 0x006113a1, 
      0x7d0c5021, 0x006213b1, 
      0x7c0c3020, 0x006413d1, 
      0x7c0c1020, 0x006513e1, 
      0x7b0bf01f, 0x00671401, 
      0x7a0be01f, 0x00681411, 
      0x7a0bb01e, 0x006a1431, 
      0x790ba01e, 0x006b1441, 
      0x780b801e, 0x006c1461, 
      0x770b601e, 0x006e1471, 
      0x770b401e, 0x006f1481, 
      0x760b301c, 0x007114a1, 
      0x750b101c, 0x007314b1, 
      0x740af01c, 0x007414d1, 
      0x730ad01c, 0x007614e1, 
      0x720ac01c, 0x007714f1, 
      0x710aa01b, 0x00791511, 
      0x710a801b, 0x007a1521, 
      0x700a601b, 0x007c1531, 
      0x6f0a401a, 0x007e1551, 
      0x6e0a301a, 0x007f1561, 
      0x6d0a101a, 0x00811571, 
      0x6c09f01a, 0x00821591, 
      0x6b09d01a, 0x008415a1, 
      0x6a09c019, 0x008615b1, 
      0x6909a01a, 0x008715c1, 
      0x6809801a, 0x008915d1, 
      0x67096019, 0x008b15f1, 
      0x66095019, 0x008c1601, 
      0x6409301a, 0x008e1611, 
      0x6309101a, 0x00901621,
   },
   { /* UV scale factor = 0.15, phases = 127, taps = 5. */
      0x6516308f, 0x00190901, 
      0x6616208d, 0x00190921, 
      0x6716108b, 0x00190941, 
      0x68160089, 0x00190961, 
      0x6915f088, 0x00190971, 
      0x6a15d087, 0x00190991, 
      0x6b15c085, 0x001909b1, 
      0x6c15b084, 0x001909c1, 
      0x6d15a081, 0x001a09e1, 
      0x6e158080, 0x001a0a01, 
      0x6f15707e, 0x001a0a21, 
      0x7015607c, 0x001a0a41, 
      0x7115507b, 0x001a0a51, 
      0x7215307a, 0x001a0a71, 
      0x73152077, 0x001b0a91, 
      0x74150076, 0x001b0ab1, 
      0x7514f075, 0x001b0ac1, 
      0x7614e073, 0x001b0ae1, 
      0x7614c072, 0x001c0b01, 
      0x7714b070, 0x001c0b21, 
      0x7814906f, 0x001c0b41, 
      0x7914806d, 0x001d0b51, 
      0x7a14606c, 0x001d0b71, 
      0x7b14506a, 0x001d0b91, 
      0x7b143069, 0x001e0bb1, 
      0x7c142067, 0x001e0bd1, 
      0x7d140065, 0x001f0bf1, 
      0x7d13f065, 0x001f0c01, 
      0x7e13e063, 0x001f0c21, 
      0x7f13c061, 0x00200c41, 
      0x7f13b060, 0x00200c61, 
      0x8013905e, 0x00210c81, 
      0x8113705d, 0x00210ca1, 
      0x8113605c, 0x00220cb1, 
      0x8213405b, 0x00220cd1, 
      0x82133059, 0x00230cf1, 
      0x83131057, 0x00240d11, 
      0x8312f057, 0x00240d31, 
      0x8412d055, 0x00250d51, 
      0x8412c054, 0x00250d71, 
      0x8512a053, 0x00260d81, 
      0x85129051, 0x00270da1, 
      0x86127050, 0x00270dc1, 
      0x8612504f, 0x00280de1, 
      0x8612404d, 0x00290e01, 
      0x8712204c, 0x00290e21, 
      0x8712004b, 0x002a0e41, 
      0x8711f04a, 0x002b0e51, 
      0x8811d049, 0x002b0e71, 
      0x8811b048, 0x002c0e91, 
      0x8811a046, 0x002d0eb1, 
      0x89117045, 0x002e0ed1, 
      0x89116043, 0x002f0ef1, 
      0x89115043, 0x002f0f01, 
      0x89113042, 0x00300f21, 
      0x89111041, 0x00310f41, 
      0x8a10f03f, 0x00320f61, 
      0x8a10d03e, 0x00330f81, 
      0x8a10b03d, 0x00340fa1, 
      0x8a10a03c, 0x00350fb1, 
      0x8a10803b, 0x00360fd1, 
      0x8a10603b, 0x00360ff1, 
      0x8a10403a, 0x00371011, 
      0x8a103038, 0x00381031, 
      0x8a101038, 0x00391041, 
      0x8a0ff037, 0x003a1061, 
      0x8a0fd036, 0x003b1081, 
      0x8a0fb035, 0x003c10a1, 
      0x8a0fa033, 0x003d10c1, 
      0x8a0f8033, 0x003e10d1, 
      0x8a0f6031, 0x004010f1, 
      0x890f4031, 0x00411111, 
      0x890f2030, 0x00421131, 
      0x890f0030, 0x00431141, 
      0x890ef02e, 0x00441161, 
      0x890ed02d, 0x00451181, 
      0x880eb02d, 0x004611a1, 
      0x880e902d, 0x004711b1, 
      0x880e702b, 0x004911d1, 
      0x870e502b, 0x004a11f1, 
      0x870e402a, 0x004b1201, 
      0x870e2029, 0x004c1221, 
      0x860e0029, 0x004d1241, 
      0x860de028, 0x004f1251, 
      0x860dc027, 0x00501271, 
      0x850da027, 0x00511291, 
      0x850d9026, 0x005212a1, 
      0x840d7025, 0x005412c1, 
      0x840d5024, 0x005512e1, 
      0x830d3025, 0x005612f1, 
      0x830d1023, 0x00581311, 
      0x820cf023, 0x00591331, 
      0x820cd023, 0x005a1341, 
      0x810cb022, 0x005c1361, 
      0x810ca021, 0x005d1371, 
      0x800c8021, 0x005e1391, 
      0x7f0c6021, 0x006013a1, 
      0x7f0c4020, 0x006113c1, 
      0x7e0c2020, 0x006313d1, 
      0x7d0c0020, 0x006413f1, 
      0x7d0bf01e, 0x00661401, 
      0x7c0bd01e, 0x00671421, 
      0x7b0bb01e, 0x00691431, 
      0x7b0b901d, 0x006a1451, 
      0x7a0b701e, 0x006b1461, 
      0x790b501d, 0x006d1481, 
      0x780b401d, 0x006e1491, 
      0x770b201c, 0x007014b1, 
      0x760b001c, 0x007214c1, 
      0x760ae01b, 0x007314e1, 
      0x750ac01b, 0x007514f1, 
      0x740ab01b, 0x00761501, 
      0x730a901a, 0x00781521, 
      0x720a701b, 0x00791531, 
      0x710a501b, 0x007b1541, 
      0x700a301a, 0x007d1561, 
      0x6f0a201a, 0x007e1571, 
      0x6e0a001a, 0x00801581, 
      0x6d09e01a, 0x008115a1, 
      0x6c09c01a, 0x008315b1, 
      0x6b09b019, 0x008515c1, 
      0x6a09901a, 0x008615d1, 
      0x69097019, 0x008815f1, 
      0x68096018, 0x008a1601, 
      0x67094019, 0x008b1611, 
      0x66092019, 0x008d1621, 
      0x65090019, 0x008f1631,
   },
   { /* UV scale factor = 0.16, phases = 127, taps = 5. */
      0x6616508e, 0x001808f1, 
      0x6716408c, 0x00180911, 
      0x6816208b, 0x00180931, 
      0x69161089, 0x00180951, 
      0x6b160087, 0x00180961, 
      0x6c15f085, 0x00180981, 
      0x6d15d083, 0x001909a1, 
      0x6d15c082, 0x001909c1, 
      0x6f15b080, 0x001909d1, 
      0x7015a07e, 0x001909f1, 
      0x7115807d, 0x00190a11, 
      0x7215707b, 0x00190a31, 
      0x7315507a, 0x001a0a41, 
      0x74154078, 0x001a0a61, 
      0x75153076, 0x001a0a81, 
      0x75151076, 0x001a0aa1, 
      0x76150074, 0x001a0ac1, 
      0x7714f072, 0x001b0ad1, 
      0x7814d071, 0x001b0af1, 
      0x7914c06f, 0x001b0b11, 
      0x7a14a06d, 0x001c0b31, 
      0x7b14906b, 0x001c0b51, 
      0x7b14706b, 0x001c0b71, 
      0x7c146069, 0x001d0b81, 
      0x7d144068, 0x001d0ba1, 
      0x7e143066, 0x001d0bc1, 
      0x7e141065, 0x001e0be1, 
      0x7f140063, 0x001e0c01, 
      0x8013e061, 0x001f0c21, 
      0x8113d060, 0x001f0c31, 
      0x8113b05f, 0x00200c51, 
      0x8213905e, 0x00200c71, 
      0x8213805c, 0x00210c91, 
      0x8313605b, 0x00210cb1, 
      0x84134059, 0x00220cd1, 
      0x84133058, 0x00220cf1, 
      0x85131057, 0x00230d01, 
      0x85130056, 0x00230d21, 
      0x8612e054, 0x00240d41, 
      0x8612d052, 0x00250d61, 
      0x8712b051, 0x00250d81, 
      0x87129050, 0x00260da1, 
      0x8812804e, 0x00260dc1, 
      0x8812604d, 0x00270de1, 
      0x8812404d, 0x00280df1, 
      0x8912204c, 0x00280e11, 
      0x8912104a, 0x00290e31, 
      0x8911f049, 0x002a0e51, 
      0x8a11d047, 0x002b0e71, 
      0x8a11c046, 0x002b0e91, 
      0x8a11a045, 0x002c0eb1, 
      0x8b118044, 0x002d0ec1, 
      0x8b116043, 0x002e0ee1, 
      0x8b115041, 0x002f0f01, 
      0x8b113041, 0x002f0f21, 
      0x8b111040, 0x00300f41, 
      0x8b10f03f, 0x00310f61, 
      0x8c10d03d, 0x00320f81, 
      0x8c10c03c, 0x00330f91, 
      0x8c10a03b, 0x00340fb1, 
      0x8c10803a, 0x00350fd1, 
      0x8c106039, 0x00360ff1, 
      0x8c104038, 0x00371011, 
      0x8c103037, 0x00371031, 
      0x8c101037, 0x00381041, 
      0x8c0ff036, 0x00391061, 
      0x8c0fd035, 0x003a1081, 
      0x8c0fb034, 0x003b10a1, 
      0x8c0f9033, 0x003c10c1, 
      0x8c0f8031, 0x003e10d1, 
      0x8b0f6031, 0x003f10f1, 
      0x8b0f4030, 0x00401111, 
      0x8b0f202f, 0x00411131, 
      0x8b0f002e, 0x00421151, 
      0x8b0ee02e, 0x00431161, 
      0x8b0ec02d, 0x00441181, 
      0x8a0eb02c, 0x004511a1, 
      0x8a0e902b, 0x004611c1, 
      0x8a0e702a, 0x004811d1, 
      0x890e502a, 0x004911f1, 
      0x890e3029, 0x004a1211, 
      0x890e1029, 0x004b1221, 
      0x880e0028, 0x004c1241, 
      0x880dd027, 0x004e1261, 
      0x880db026, 0x004f1281, 
      0x870da026, 0x00501291, 
      0x870d8025, 0x005112b1, 
      0x860d6024, 0x005312d1, 
      0x860d4024, 0x005412e1, 
      0x850d2024, 0x00551301, 
      0x850d0023, 0x00571311, 
      0x840cf022, 0x00581331, 
      0x840cd021, 0x00591351, 
      0x830cb021, 0x005b1361, 
      0x820c9021, 0x005c1381, 
      0x820c7021, 0x005d1391, 
      0x810c5020, 0x005f13b1, 
      0x810c301f, 0x006013d1, 
      0x800c201e, 0x006213e1, 
      0x7f0c001e, 0x00631401, 
      0x7e0be01e, 0x00651411, 
      0x7e0bc01d, 0x00661431, 
      0x7d0ba01e, 0x00671441, 
      0x7c0b801d, 0x00691461, 
      0x7b0b701d, 0x006a1471, 
      0x7b0b401c, 0x006c1491, 
      0x7a0b301c, 0x006d14a1, 
      0x790b101b, 0x006f14c1, 
      0x780af01c, 0x007014d1, 
      0x770ad01b, 0x007214f1, 
      0x760ac01a, 0x00741501, 
      0x750aa01b, 0x00751511, 
      0x750a8019, 0x00771531, 
      0x740a601a, 0x00781541, 
      0x730a401a, 0x007a1551, 
      0x720a2019, 0x007c1571, 
      0x710a1019, 0x007d1581, 
      0x7009f018, 0x007f15a1, 
      0x6f09d019, 0x008015b1, 
      0x6e09c018, 0x008215c1, 
      0x6d09a018, 0x008415d1, 
      0x6c098018, 0x008515f1, 
      0x6a096019, 0x00871601, 
      0x69095018, 0x00891611, 
      0x68093019, 0x008a1621, 
      0x67091018, 0x008c1641, 
      0x6608f018, 0x008e1651,
   },
   { /* UV scale factor = 0.17, phases = 127, taps = 5. */
      0x6716708d, 0x001708e1, 
      0x6916508b, 0x00170901, 
      0x6a164089, 0x00170921, 
      0x6b163087, 0x00170941, 
      0x6c161086, 0x00180951, 
      0x6d160084, 0x00180971, 
      0x6e15f082, 0x00180991, 
      0x6f15d081, 0x001809b1, 
      0x7015c080, 0x001809c1, 
      0x7115b07e, 0x001809e1, 
      0x7215907d, 0x00180a01, 
      0x7315807a, 0x00190a21, 
      0x74157079, 0x00190a31, 
      0x75155078, 0x00190a51, 
      0x76154076, 0x00190a71, 
      0x77152075, 0x00190a91, 
      0x78151072, 0x001a0ab1, 
      0x79150070, 0x001a0ad1, 
      0x7a14e070, 0x001a0ae1, 
      0x7b14d06d, 0x001b0b01, 
      0x7c14b06c, 0x001b0b21, 
      0x7c14a06b, 0x001b0b41, 
      0x7d148069, 0x001c0b61, 
      0x7e147067, 0x001c0b81, 
      0x7f145067, 0x001c0b91, 
      0x80144064, 0x001d0bb1, 
      0x80142064, 0x001d0bd1, 
      0x81141061, 0x001e0bf1, 
      0x8213f060, 0x001e0c11, 
      0x8213d060, 0x001e0c31, 
      0x8313c05d, 0x001f0c51, 
      0x8413a05d, 0x001f0c61, 
      0x8413905b, 0x00200c81, 
      0x8513705a, 0x00200ca1, 
      0x86135058, 0x00210cc1, 
      0x86134057, 0x00210ce1, 
      0x87132055, 0x00220d01, 
      0x87130054, 0x00230d21, 
      0x8812f052, 0x00230d41, 
      0x8812d052, 0x00240d51, 
      0x8912b051, 0x00240d71, 
      0x8912a04f, 0x00250d91, 
      0x8a12804d, 0x00260db1, 
      0x8a12604d, 0x00260dd1, 
      0x8a12504b, 0x00270df1, 
      0x8b12204a, 0x00280e11, 
      0x8b121049, 0x00280e31, 
      0x8b11f048, 0x00290e51, 
      0x8c11e046, 0x002a0e61, 
      0x8c11c046, 0x002a0e81, 
      0x8c11a045, 0x002b0ea1, 
      0x8d118043, 0x002c0ec1, 
      0x8d116042, 0x002d0ee1, 
      0x8d115040, 0x002e0f01, 
      0x8d113040, 0x002e0f21, 
      0x8d11103f, 0x002f0f41, 
      0x8e10f03e, 0x00300f51, 
      0x8e10d03d, 0x00310f71, 
      0x8e10c03b, 0x00320f91, 
      0x8e10a03a, 0x00330fb1, 
      0x8e108039, 0x00340fd1, 
      0x8e106038, 0x00350ff1, 
      0x8e104037, 0x00361011, 
      0x8e103037, 0x00361021, 
      0x8e101036, 0x00371041, 
      0x8e0ff035, 0x00381061, 
      0x8e0fd034, 0x00391081, 
      0x8e0fb033, 0x003a10a1, 
      0x8e0f9032, 0x003b10c1, 
      0x8e0f8031, 0x003c10d1, 
      0x8e0f5030, 0x003e10f1, 
      0x8d0f402f, 0x003f1111, 
      0x8d0f202e, 0x00401131, 
      0x8d0f002d, 0x00411151, 
      0x8d0ee02d, 0x00421161, 
      0x8d0ec02c, 0x00431181, 
      0x8c0ea02c, 0x004411a1, 
      0x8c0e802b, 0x004511c1, 
      0x8c0e602a, 0x004611e1, 
      0x8b0e5029, 0x004811f1, 
      0x8b0e3028, 0x00491211, 
      0x8b0e1027, 0x004a1231, 
      0x8a0df027, 0x004b1251, 
      0x8a0dd027, 0x004c1261, 
      0x8a0db025, 0x004e1281, 
      0x890d9025, 0x004f12a1, 
      0x890d7025, 0x005012b1, 
      0x880d5024, 0x005212d1, 
      0x880d3023, 0x005312f1, 
      0x870d2023, 0x00541301, 
      0x870d0022, 0x00551321, 
      0x860ce021, 0x00571341, 
      0x860cc021, 0x00581351, 
      0x850ca020, 0x005a1371, 
      0x840c8020, 0x005b1391, 
      0x840c6020, 0x005c13a1, 
      0x830c501e, 0x005e13c1, 
      0x820c301f, 0x005f13d1, 
      0x820c101e, 0x006013f1, 
      0x810bf01d, 0x00621411, 
      0x800bd01e, 0x00631421, 
      0x800bb01c, 0x00651441, 
      0x7f0b901d, 0x00661451, 
      0x7e0b801b, 0x00681471, 
      0x7d0b601c, 0x00691481, 
      0x7c0b401b, 0x006b14a1, 
      0x7c0b201b, 0x006c14b1, 
      0x7b0b001a, 0x006e14d1, 
      0x7a0ae01b, 0x006f14e1, 
      0x790ac01a, 0x00711501, 
      0x780ab01a, 0x00721511, 
      0x770a901a, 0x00741521, 
      0x760a7019, 0x00761541, 
      0x750a6019, 0x00771551, 
      0x740a3019, 0x00791571, 
      0x730a2019, 0x007a1581, 
      0x720a0019, 0x007c1591, 
      0x7109e018, 0x007e15b1, 
      0x7009c019, 0x007f15c1, 
      0x6f09b018, 0x008115d1, 
      0x6e099017, 0x008315f1, 
      0x6d097018, 0x00841601, 
      0x6c095018, 0x00861611, 
      0x6b093017, 0x00881631, 
      0x6a092017, 0x00891641, 
      0x69090017, 0x008b1651, 
      0x6708e018, 0x008d1661,
   },
   { /* UV scale factor = 0.18, phases = 127, taps = 5. */
      0x6916808c, 0x001608d1, 
      0x6a16708a, 0x001608f1, 
      0x6b165088, 0x00170911, 
      0x6c164087, 0x00170921, 
      0x6e163084, 0x00170941, 
      0x6f161083, 0x00170961, 
      0x70160081, 0x00170981, 
      0x7115f07f, 0x001709a1, 
      0x7215d07f, 0x001709b1, 
      0x7315c07d, 0x001709d1, 
      0x7415b07a, 0x001809f1, 
      0x75159079, 0x00180a11, 
      0x76158078, 0x00180a21, 
      0x77157076, 0x00180a41, 
      0x78155075, 0x00180a61, 
      0x79154072, 0x00190a81, 
      0x7a152071, 0x00190aa1, 
      0x7b15106f, 0x00190ac1, 
      0x7c14f06f, 0x00190ad1, 
      0x7d14e06c, 0x001a0af1, 
      0x7d14c06c, 0x001a0b11, 
      0x7e14b06a, 0x001a0b31, 
      0x7f149068, 0x001b0b51, 
      0x80148066, 0x001b0b71, 
      0x80146065, 0x001c0b91, 
      0x82145063, 0x001c0ba1, 
      0x82143063, 0x001c0bc1, 
      0x83141061, 0x001d0be1, 
      0x8414005f, 0x001d0c01, 
      0x8413e05e, 0x001e0c21, 
      0x8513d05c, 0x001e0c41, 
      0x8613a05b, 0x001f0c61, 
      0x8613905a, 0x001f0c81, 
      0x87138058, 0x00200c91, 
      0x88136057, 0x00200cb1, 
      0x88134056, 0x00210cd1, 
      0x89133054, 0x00210cf1, 
      0x89131053, 0x00220d11, 
      0x8a12f052, 0x00220d31, 
      0x8a12e050, 0x00230d51, 
      0x8b12c04f, 0x00230d71, 
      0x8b12a04e, 0x00240d91, 
      0x8c12804c, 0x00250db1, 
      0x8c12704b, 0x00250dd1, 
      0x8d12504a, 0x00260de1, 
      0x8d123049, 0x00270e01, 
      0x8d122048, 0x00270e21, 
      0x8e120046, 0x00280e41, 
      0x8e11e045, 0x00290e61, 
      0x8e11c044, 0x002a0e81, 
      0x8f11a043, 0x002a0ea1, 
      0x8f118042, 0x002b0ec1, 
      0x8f117040, 0x002c0ee1, 
      0x8f11503f, 0x002d0f01, 
      0x8f11403f, 0x002d0f11, 
      0x9011103e, 0x002e0f31, 
      0x9010f03d, 0x002f0f51, 
      0x9010e03b, 0x00300f71, 
      0x9010c03a, 0x00310f91, 
      0x9010a039, 0x00320fb1, 
      0x90108038, 0x00330fd1, 
      0x90106037, 0x00340ff1, 
      0x90104037, 0x00341011, 
      0x90103036, 0x00351021, 
      0x90101035, 0x00361041, 
      0x900ff034, 0x00371061, 
      0x900fd033, 0x00381081, 
      0x900fb032, 0x003910a1, 
      0x900f9031, 0x003a10c1, 
      0x900f7030, 0x003b10e1, 
      0x900f5030, 0x003c10f1, 
      0x900f302f, 0x003d1111, 
      0x8f0f102e, 0x003f1131, 
      0x8f0f002c, 0x00401151, 
      0x8f0ee02b, 0x00411171, 
      0x8f0ec02b, 0x00421181, 
      0x8f0ea02a, 0x004311a1, 
      0x8e0e802a, 0x004411c1, 
      0x8e0e6029, 0x004511e1, 
      0x8e0e4028, 0x00461201, 
      0x8d0e2028, 0x00481211, 
      0x8d0e0027, 0x00491231, 
      0x8d0de026, 0x004a1251, 
      0x8c0dd025, 0x004b1271, 
      0x8c0db024, 0x004d1281, 
      0x8b0d9024, 0x004e12a1, 
      0x8b0d7023, 0x004f12c1, 
      0x8a0d5023, 0x005012e1, 
      0x8a0d3022, 0x005212f1, 
      0x890d1022, 0x00531311, 
      0x890cf021, 0x00541331, 
      0x880cd021, 0x00561341, 
      0x880cb020, 0x00571361, 
      0x870c9020, 0x00581381, 
      0x860c801f, 0x005a1391, 
      0x860c601e, 0x005b13b1, 
      0x850c401e, 0x005c13d1, 
      0x840c201e, 0x005e13e1, 
      0x840c001d, 0x005f1401, 
      0x830be01d, 0x00611411, 
      0x820bc01d, 0x00621431, 
      0x820ba01b, 0x00641451, 
      0x810b901b, 0x00651461, 
      0x800b601b, 0x00671481, 
      0x7f0b501b, 0x00681491, 
      0x7e0b301a, 0x006a14b1, 
      0x7d0b101b, 0x006b14c1, 
      0x7d0af019, 0x006d14e1, 
      0x7c0ad01a, 0x006e14f1, 
      0x7b0ab019, 0x00701511, 
      0x7a0aa019, 0x00711521, 
      0x790a8018, 0x00731541, 
      0x780a6019, 0x00741551, 
      0x770a4019, 0x00761561, 
      0x760a2018, 0x00781581, 
      0x750a1018, 0x00791591, 
      0x7409f017, 0x007b15b1, 
      0x7309d018, 0x007c15c1, 
      0x7209b018, 0x007e15d1, 
      0x71099017, 0x008015f1, 
      0x70098017, 0x00811601, 
      0x6f096017, 0x00831611, 
      0x6e094016, 0x00851631, 
      0x6c093017, 0x00861641, 
      0x6b091017, 0x00881651, 
      0x6a08f017, 0x008a1661, 
      0x6908d016, 0x008c1681,
   },
   { /* UV scale factor = 0.19, phases = 127, taps = 5. */
      0x6b16908a, 0x001608c1, 
      0x6c168088, 0x001608e1, 
      0x6d167086, 0x00160901, 
      0x6e165086, 0x00160911, 
      0x6f164084, 0x00160931, 
      0x70163082, 0x00160951, 
      0x72161080, 0x00160971, 
      0x7316007f, 0x00160981, 
      0x7415f07d, 0x001609a1, 
      0x7515d07b, 0x001709c1, 
      0x7615c079, 0x001709e1, 
      0x7715b077, 0x00170a01, 
      0x78159077, 0x00170a11, 
      0x79158075, 0x00170a31, 
      0x7a156073, 0x00180a51, 
      0x7b155071, 0x00180a71, 
      0x7c153070, 0x00180a91, 
      0x7d15206e, 0x00180ab1, 
      0x7e15006d, 0x00190ac1, 
      0x7f14f06b, 0x00190ae1, 
      0x7f14e06a, 0x00190b01, 
      0x8014c068, 0x001a0b21, 
      0x8114a067, 0x001a0b41, 
      0x82149065, 0x001a0b61, 
      0x83147063, 0x001b0b81, 
      0x84145062, 0x001b0ba1, 
      0x85144061, 0x001b0bb1, 
      0x85142060, 0x001c0bd1, 
      0x8614105e, 0x001c0bf1, 
      0x8713f05c, 0x001d0c11, 
      0x8713d05c, 0x001d0c31, 
      0x8813c059, 0x001e0c51, 
      0x8913a058, 0x001e0c71, 
      0x89138057, 0x001f0c91, 
      0x8a137055, 0x001f0cb1, 
      0x8a135054, 0x00200cd1, 
      0x8b133054, 0x00200ce1, 
      0x8c132051, 0x00210d01, 
      0x8c130051, 0x00210d21, 
      0x8d12e04f, 0x00220d41, 
      0x8d12d04e, 0x00220d61, 
      0x8e12b04c, 0x00230d81, 
      0x8e12904b, 0x00240da1, 
      0x8e12704b, 0x00240dc1, 
      0x8f125049, 0x00250de1, 
      0x8f124047, 0x00260e01, 
      0x90122046, 0x00260e21, 
      0x90120045, 0x00270e41, 
      0x9011e044, 0x00280e61, 
      0x9111c042, 0x00290e81, 
      0x9111b042, 0x00290e91, 
      0x91119041, 0x002a0eb1, 
      0x91117040, 0x002b0ed1, 
      0x9211503e, 0x002c0ef1, 
      0x9211303e, 0x002c0f11, 
      0x9211103d, 0x002d0f31, 
      0x9210f03c, 0x002e0f51, 
      0x9210e03a, 0x002f0f71, 
      0x9210c039, 0x00300f91, 
      0x93109038, 0x00310fb1, 
      0x92108037, 0x00320fd1, 
      0x93106036, 0x00320ff1, 
      0x93104036, 0x00331001, 
      0x93102035, 0x00341021, 
      0x93100034, 0x00351041, 
      0x930ff032, 0x00361061, 
      0x930fd031, 0x00371081, 
      0x930fb030, 0x003810a1, 
      0x920f9030, 0x003910c1, 
      0x920f702f, 0x003a10e1, 
      0x920f502f, 0x003b10f1, 
      0x920f302e, 0x003c1111, 
      0x920f102d, 0x003d1131, 
      0x920ef02c, 0x003e1151, 
      0x910ed02b, 0x00401171, 
      0x910eb02a, 0x00411191, 
      0x910e9029, 0x004211b1, 
      0x910e8028, 0x004311c1, 
      0x900e6028, 0x004411e1, 
      0x900e4027, 0x00451201, 
      0x900e2026, 0x00461221, 
      0x8f0e0025, 0x00481241, 
      0x8f0de025, 0x00491251, 
      0x8e0dc025, 0x004a1271, 
      0x8e0da024, 0x004b1291, 
      0x8d0d8023, 0x004d12b1, 
      0x8d0d6023, 0x004e12c1, 
      0x8d0d4022, 0x004f12e1, 
      0x8c0d2022, 0x00501301, 
      0x8c0d0020, 0x00521321, 
      0x8b0ce021, 0x00531331, 
      0x8a0cd020, 0x00541351, 
      0x8a0ca01f, 0x00561371, 
      0x890c901f, 0x00571381, 
      0x890c701e, 0x005813a1, 
      0x880c501d, 0x005a13c1, 
      0x870c301e, 0x005b13d1, 
      0x870c101c, 0x005d13f1, 
      0x860bf01c, 0x005e1411, 
      0x850be01c, 0x005f1421, 
      0x840bb01c, 0x00611441, 
      0x840ba01b, 0x00621451, 
      0x830b801a, 0x00641471, 
      0x820b601a, 0x00651491, 
      0x810b401a, 0x006714a1, 
      0x800b201a, 0x006814c1, 
      0x7f0b001a, 0x006a14d1, 
      0x7f0ae019, 0x006b14f1, 
      0x7e0ac019, 0x006d1501, 
      0x7d0ab018, 0x006e1521, 
      0x7c0a9018, 0x00701531, 
      0x7b0a7017, 0x00721551, 
      0x7a0a5018, 0x00731561, 
      0x790a3017, 0x00751581, 
      0x780a1018, 0x00761591, 
      0x770a0016, 0x007815b1, 
      0x7609e016, 0x007a15c1, 
      0x7509c017, 0x007b15d1, 
      0x7409a016, 0x007d15f1, 
      0x73098016, 0x007f1601, 
      0x72096016, 0x00801621, 
      0x70095016, 0x00821631, 
      0x6f093016, 0x00841641, 
      0x6e092016, 0x00851651, 
      0x6d090015, 0x00871671, 
      0x6c08e015, 0x00891681, 
      0x6b08c016, 0x008a1691,
   },
   { /* UV scale factor = 0.20, phases = 127, taps = 5. */
      0x6c16b089, 0x001508b1, 
      0x6e169087, 0x001508d1, 
      0x6f168086, 0x001508e1, 
      0x70167084, 0x00150901, 
      0x71166082, 0x00150921, 
      0x72164081, 0x00150941, 
      0x7316407f, 0x00150951, 
      0x7516207d, 0x00150971, 
      0x7616007b, 0x00160991, 
      0x7715f079, 0x001609b1, 
      0x7815d078, 0x001609d1, 
      0x7915c077, 0x001609e1, 
      0x7a15b075, 0x00160a01, 
      0x7b159073, 0x00170a21, 
      0x7c158071, 0x00170a41, 
      0x7d156070, 0x00170a61, 
      0x7e15506e, 0x00170a81, 
      0x7e15306d, 0x00180aa1, 
      0x8015206b, 0x00180ab1, 
      0x8115006a, 0x00180ad1, 
      0x8214e069, 0x00180af1, 
      0x8214d067, 0x00190b11, 
      0x8314b066, 0x00190b31, 
      0x8414a064, 0x00190b51, 
      0x85148062, 0x001a0b71, 
      0x86146061, 0x001a0b91, 
      0x8714505f, 0x001b0ba1, 
      0x8714305f, 0x001b0bc1, 
      0x8814205d, 0x001b0be1, 
      0x8914005b, 0x001c0c01, 
      0x8a13e05a, 0x001c0c21, 
      0x8a13d058, 0x001d0c41, 
      0x8b13b057, 0x001d0c61, 
      0x8c139055, 0x001e0c81, 
      0x8c137055, 0x001e0ca1, 
      0x8d135053, 0x001f0cc1, 
      0x8d134052, 0x001f0ce1, 
      0x8e132050, 0x00200d01, 
      0x8e130050, 0x00200d21, 
      0x8f12f04d, 0x00210d41, 
      0x8f12d04c, 0x00220d61, 
      0x9012b04c, 0x00220d71, 
      0x9012904b, 0x00230d91, 
      0x91128049, 0x00230db1, 
      0x91126048, 0x00240dd1, 
      0x92124046, 0x00250df1, 
      0x92122046, 0x00250e11, 
      0x92121044, 0x00260e31, 
      0x9311e043, 0x00270e51, 
      0x9311d042, 0x00270e71, 
      0x9311b041, 0x00280e91, 
      0x9411903f, 0x00290eb1, 
      0x9411703e, 0x002a0ed1, 
      0x9411503d, 0x002b0ef1, 
      0x9411303d, 0x002b0f11, 
      0x9511103b, 0x002c0f31, 
      0x9510f03a, 0x002d0f51, 
      0x9510d039, 0x002e0f71, 
      0x9510b038, 0x002f0f91, 
      0x95109037, 0x00300fb1, 
      0x95108037, 0x00300fc1, 
      0x95106036, 0x00310fe1, 
      0x95104035, 0x00321001, 
      0x95102034, 0x00331021, 
      0x95100033, 0x00341041, 
      0x950fe032, 0x00351061, 
      0x950fc031, 0x00361081, 
      0x950fb02f, 0x003710a1, 
      0x950f902e, 0x003810c1, 
      0x950f702d, 0x003910e1, 
      0x950f502c, 0x003a1101, 
      0x950f302c, 0x003b1111, 
      0x940f102c, 0x003c1131, 
      0x940ef02b, 0x003d1151, 
      0x940ed02a, 0x003e1171, 
      0x940eb029, 0x003f1191, 
      0x930e9028, 0x004111b1, 
      0x930e7027, 0x004211d1, 
      0x930e5027, 0x004311e1, 
      0x920e3027, 0x00441201, 
      0x920e1026, 0x00451221, 
      0x920df025, 0x00461241, 
      0x910dd024, 0x00481261, 
      0x910db023, 0x00491281, 
      0x900da023, 0x004a1291, 
      0x900d7023, 0x004b12b1, 
      0x8f0d6021, 0x004d12d1, 
      0x8f0d4020, 0x004e12f1, 
      0x8e0d2021, 0x004f1301, 
      0x8e0d0020, 0x00501321, 
      0x8d0ce01f, 0x00521341, 
      0x8d0cc01e, 0x00531361, 
      0x8c0ca01f, 0x00541371, 
      0x8c0c801d, 0x00561391, 
      0x8b0c601d, 0x005713b1, 
      0x8a0c401d, 0x005813d1, 
      0x8a0c201c, 0x005a13e1, 
      0x890c001c, 0x005b1401, 
      0x880be01b, 0x005d1421, 
      0x870bd01b, 0x005e1431, 
      0x870ba01a, 0x00601451, 
      0x860b901a, 0x00611461, 
      0x850b701a, 0x00621481, 
      0x840b5019, 0x006414a1, 
      0x830b301a, 0x006514b1, 
      0x820b1019, 0x006714d1, 
      0x820af019, 0x006814e1, 
      0x810ad018, 0x006a1501, 
      0x800ab017, 0x006c1521, 
      0x7f0aa017, 0x006d1531, 
      0x7e0a7017, 0x006f1551, 
      0x7d0a6017, 0x00701561, 
      0x7c0a4016, 0x00721581, 
      0x7b0a2017, 0x00731591, 
      0x7a0a0016, 0x007515b1, 
      0x7909e016, 0x007715c1, 
      0x7809d016, 0x007815d1, 
      0x7709b015, 0x007a15f1, 
      0x76099015, 0x007c1601, 
      0x75097015, 0x007d1621, 
      0x73095016, 0x007f1631, 
      0x72094015, 0x00811641, 
      0x71092015, 0x00821661, 
      0x70090015, 0x00841671, 
      0x6f08e015, 0x00861681, 
      0x6e08d014, 0x008716a1, 
      0x6c08b015, 0x008916b1,
   },
   { /* UV scale factor = 0.21, phases = 127, taps = 5. */
      0x6e16d087, 0x001408a1, 
      0x6f16b087, 0x001408b1, 
      0x7116a084, 0x001408d1, 
      0x72169082, 0x001408f1, 
      0x73167081, 0x00140911, 
      0x74166080, 0x00140921, 
      0x7516507e, 0x00140941, 
      0x7616307c, 0x00150961, 
      0x7816107a, 0x00150981, 
      0x79160078, 0x001509a1, 
      0x7a15f077, 0x001509b1, 
      0x7b15d076, 0x001509d1, 
      0x7c15c074, 0x001509f1, 
      0x7d15a072, 0x00160a11, 
      0x7e159070, 0x00160a31, 
      0x7f15706f, 0x00160a51, 
      0x8015606d, 0x00160a71, 
      0x8115406c, 0x00170a81, 
      0x8215306a, 0x00170aa1, 
      0x83151069, 0x00170ac1, 
      0x8414f067, 0x00180ae1, 
      0x8514e065, 0x00180b01, 
      0x8614c064, 0x00180b21, 
      0x8614b062, 0x00190b41, 
      0x87149061, 0x00190b61, 
      0x88147060, 0x00190b81, 
      0x8914505e, 0x001a0ba1, 
      0x8a14405d, 0x001a0bb1, 
      0x8a14305c, 0x001a0bd1, 
      0x8b14105a, 0x001b0bf1, 
      0x8c13f059, 0x001b0c11, 
      0x8d13d057, 0x001c0c31, 
      0x8d13c056, 0x001c0c51, 
      0x8e13a054, 0x001d0c71, 
      0x8f138053, 0x001d0c91, 
      0x8f136052, 0x001e0cb1, 
      0x90135050, 0x001e0cd1, 
      0x9013304f, 0x001f0cf1, 
      0x9113104e, 0x001f0d11, 
      0x9112f04d, 0x00200d31, 
      0x9212e04b, 0x00200d51, 
      0x9312c049, 0x00210d71, 
      0x9312a048, 0x00220d91, 
      0x93128048, 0x00220db1, 
      0x94126046, 0x00230dd1, 
      0x94124045, 0x00240df1, 
      0x95123043, 0x00240e11, 
      0x95121042, 0x00250e31, 
      0x9511f041, 0x00260e51, 
      0x9611d040, 0x00260e71, 
      0x9611b03f, 0x00270e91, 
      0x9611903e, 0x00280eb1, 
      0x9611703d, 0x00290ed1, 
      0x9711503c, 0x00290ef1, 
      0x9711403b, 0x002a0f01, 
      0x9711203a, 0x002b0f21, 
      0x97110039, 0x002c0f41, 
      0x9710e038, 0x002d0f61, 
      0x9810c037, 0x002d0f81, 
      0x9810a036, 0x002e0fa1, 
      0x98108035, 0x002f0fc1, 
      0x98106034, 0x00300fe1, 
      0x98104033, 0x00311001, 
      0x98102032, 0x00321021, 
      0x98100031, 0x00331041, 
      0x980fe030, 0x00341061, 
      0x980fc02f, 0x00351081, 
      0x980fa02e, 0x003610a1, 
      0x980f802d, 0x003710c1, 
      0x970f602d, 0x003810e1, 
      0x970f402c, 0x00391101, 
      0x970f202b, 0x003a1121, 
      0x970f002b, 0x003b1131, 
      0x970ef029, 0x003c1151, 
      0x970ed028, 0x003d1171, 
      0x960eb028, 0x003e1191, 
      0x960e9027, 0x003f11b1, 
      0x960e7026, 0x004011d1, 
      0x950e5025, 0x004211f1, 
      0x950e3024, 0x00431211, 
      0x950e0024, 0x00441231, 
      0x940df024, 0x00451241, 
      0x940dd023, 0x00461261, 
      0x930db023, 0x00471281, 
      0x930d9021, 0x004912a1, 
      0x930d6021, 0x004a12c1, 
      0x920d5020, 0x004b12e1, 
      0x920d3020, 0x004c12f1, 
      0x910d101f, 0x004e1311, 
      0x900cf01f, 0x004f1331, 
      0x900cd01e, 0x00501351, 
      0x8f0cb01e, 0x00521361, 
      0x8f0c901d, 0x00531381, 
      0x8e0c701d, 0x005413a1, 
      0x8d0c501c, 0x005613c1, 
      0x8d0c301c, 0x005713d1, 
      0x8c0c101c, 0x005813f1, 
      0x8b0bf01b, 0x005a1411, 
      0x8a0be01b, 0x005b1421, 
      0x8a0bb01a, 0x005d1441, 
      0x890ba019, 0x005e1461, 
      0x880b8019, 0x00601471, 
      0x870b6019, 0x00611491, 
      0x860b4018, 0x006314b1, 
      0x860b2018, 0x006414c1, 
      0x850b0017, 0x006614e1, 
      0x840ae017, 0x00671501, 
      0x830ac017, 0x00691511, 
      0x820aa017, 0x006a1531, 
      0x810a8017, 0x006c1541, 
      0x800a7016, 0x006d1561, 
      0x7f0a5016, 0x006f1571, 
      0x7e0a3016, 0x00701591, 
      0x7d0a1016, 0x007215a1, 
      0x7c09f015, 0x007415c1, 
      0x7b09d016, 0x007515d1, 
      0x7a09b015, 0x007715f1, 
      0x7909a014, 0x00791601, 
      0x78098014, 0x007a1621, 
      0x76096015, 0x007c1631, 
      0x75094014, 0x007e1651, 
      0x74092015, 0x007f1661, 
      0x73091014, 0x00811671, 
      0x7208e014, 0x00831691, 
      0x7108d014, 0x008416a1, 
      0x6f08c014, 0x008616b1, 
      0x6e08a013, 0x008816d1,
   },
   { /* UV scale factor = 0.22, phases = 127, taps = 5. */
      0x7016f086, 0x00130881, 
      0x7116d085, 0x001308a1, 
      0x7216c083, 0x001308c1, 
      0x7416b081, 0x001308d1, 
      0x75169080, 0x001308f1, 
      0x7616807e, 0x00130911, 
      0x7716607d, 0x00130931, 
      0x7916407a, 0x00140951, 
      0x7a163079, 0x00140961, 
      0x7b162077, 0x00140981, 
      0x7c160076, 0x001409a1, 
      0x7d15f074, 0x001409c1, 
      0x7e15d072, 0x001509e1, 
      0x7f15c070, 0x00150a01, 
      0x8015a06f, 0x00150a21, 
      0x8115906e, 0x00150a31, 
      0x8215806c, 0x00150a51, 
      0x8315606a, 0x00160a71, 
      0x84154069, 0x00160a91, 
      0x85152068, 0x00160ab1, 
      0x86151065, 0x00170ad1, 
      0x8714f064, 0x00170af1, 
      0x8814e062, 0x00170b11, 
      0x8914b061, 0x00180b31, 
      0x8a14a05f, 0x00180b51, 
      0x8b14805e, 0x00180b71, 
      0x8b14705d, 0x00190b81, 
      0x8c14505c, 0x00190ba1, 
      0x8d14405a, 0x00190bc1, 
      0x8e142058, 0x001a0be1, 
      0x8e141057, 0x001a0c01, 
      0x8f13e056, 0x001b0c21, 
      0x9013d054, 0x001b0c41, 
      0x9113b052, 0x001c0c61, 
      0x91139052, 0x001c0c81, 
      0x92137050, 0x001d0ca1, 
      0x9213604f, 0x001d0cc1, 
      0x9313404d, 0x001e0ce1, 
      0x9413204c, 0x001e0d01, 
      0x9413004b, 0x001f0d21, 
      0x9512e04a, 0x001f0d41, 
      0x9512c049, 0x00200d61, 
      0x9612a047, 0x00210d81, 
      0x96129046, 0x00210da1, 
      0x97127044, 0x00220dc1, 
      0x97125043, 0x00230de1, 
      0x97123043, 0x00230e01, 
      0x98121041, 0x00240e21, 
      0x9811f040, 0x00250e41, 
      0x9811e03f, 0x00250e61, 
      0x9911b03e, 0x00260e81, 
      0x9911903d, 0x00270ea1, 
      0x9911803c, 0x00270ec1, 
      0x9a11603a, 0x00280ee1, 
      0x9a114039, 0x00290f01, 
      0x9a112038, 0x002a0f21, 
      0x9a110037, 0x002b0f41, 
      0x9a10e037, 0x002b0f61, 
      0x9a10c036, 0x002c0f81, 
      0x9a10a035, 0x002d0fa1, 
      0x9b108033, 0x002e0fc1, 
      0x9b106032, 0x002f0fe1, 
      0x9b104031, 0x00301001, 
      0x9b102030, 0x00311021, 
      0x9b10002f, 0x00321041, 
      0x9b0fe02e, 0x00331061, 
      0x9b0fc02e, 0x00331081, 
      0x9a0fa02e, 0x003410a1, 
      0x9a0f802d, 0x003510c1, 
      0x9a0f602c, 0x003610e1, 
      0x9a0f402b, 0x00371101, 
      0x9a0f202a, 0x00381121, 
      0x990f0029, 0x003a1141, 
      0x990ee028, 0x003b1161, 
      0x990ec027, 0x003c1181, 
      0x990ea027, 0x003d1191, 
      0x990e8026, 0x003e11b1, 
      0x980e6026, 0x003f11d1, 
      0x980e4025, 0x004011f1, 
      0x980e2024, 0x00411211, 
      0x970e0024, 0x00421231, 
      0x970de022, 0x00441251, 
      0x970dc021, 0x00451271, 
      0x960da021, 0x00461291, 
      0x960d8021, 0x004712a1, 
      0x950d6021, 0x004812c1, 
      0x950d401f, 0x004a12e1, 
      0x940d201f, 0x004b1301, 
      0x940d001e, 0x004c1321, 
      0x930ce01d, 0x004e1341, 
      0x920cc01e, 0x004f1351, 
      0x920ca01d, 0x00501371, 
      0x910c801d, 0x00511391, 
      0x910c601b, 0x005313b1, 
      0x900c401b, 0x005413d1, 
      0x8f0c201b, 0x005613e1, 
      0x8e0c001b, 0x00571401, 
      0x8e0be01a, 0x00581421, 
      0x8d0bc01a, 0x005a1431, 
      0x8c0ba01a, 0x005b1451, 
      0x8b0b8019, 0x005d1471, 
      0x8b0b6018, 0x005e1491, 
      0x8a0b5017, 0x006014a1, 
      0x890b3017, 0x006114c1, 
      0x880b0017, 0x006314e1, 
      0x870af017, 0x006414f1, 
      0x860ad016, 0x00661511, 
      0x850ab017, 0x00671521, 
      0x840a9016, 0x00691541, 
      0x830a7016, 0x006a1561, 
      0x820a5016, 0x006c1571, 
      0x810a3016, 0x006d1591, 
      0x800a2015, 0x006f15a1, 
      0x7f0a0014, 0x007115c1, 
      0x7e09e015, 0x007215d1, 
      0x7d09c014, 0x007415f1, 
      0x7c09a015, 0x00751601, 
      0x7b098014, 0x00771621, 
      0x7a096014, 0x00791631, 
      0x79095013, 0x007a1651, 
      0x77093014, 0x007c1661, 
      0x76091013, 0x007e1681, 
      0x7508f014, 0x007f1691, 
      0x7408d013, 0x008116b1, 
      0x7208c013, 0x008316c1, 
      0x7108a013, 0x008516d1, 
      0x70088013, 0x008616f1,
   },
   { /* UV scale factor = 0.23, phases = 127, taps = 5. */
      0x72171084, 0x00120871, 
      0x7316f084, 0x00120881, 
      0x7416e082, 0x001208a1, 
      0x7616c080, 0x001208c1, 
      0x7716b07e, 0x001208e1, 
      0x7816907d, 0x00120901, 
      0x7916807b, 0x00130911, 
      0x7b167078, 0x00130931, 
      0x7c165077, 0x00130951, 
      0x7d164075, 0x00130971, 
      0x7e162074, 0x00130991, 
      0x7f161072, 0x001309b1, 
      0x8015f071, 0x001409c1, 
      0x8115e06f, 0x001409e1, 
      0x8315c06d, 0x00140a01, 
      0x8415a06c, 0x00140a21, 
      0x8515806a, 0x00150a41, 
      0x86157068, 0x00150a61, 
      0x87155067, 0x00150a81, 
      0x88154065, 0x00150aa1, 
      0x89152063, 0x00160ac1, 
      0x8a150062, 0x00160ae1, 
      0x8a14f061, 0x00160b01, 
      0x8b14d060, 0x00170b11, 
      0x8c14c05e, 0x00170b31, 
      0x8d14a05d, 0x00170b51, 
      0x8e14805b, 0x00180b71, 
      0x8f14605a, 0x00180b91, 
      0x90144059, 0x00180bb1, 
      0x90143057, 0x00190bd1, 
      0x91141056, 0x00190bf1, 
      0x9213f054, 0x001a0c11, 
      0x9313d053, 0x001a0c31, 
      0x9313c051, 0x001b0c51, 
      0x9413a050, 0x001b0c71, 
      0x9513804e, 0x001c0c91, 
      0x9513604e, 0x001c0cb1, 
      0x9613404c, 0x001d0cd1, 
      0x9613304b, 0x001d0cf1, 
      0x97131049, 0x001e0d11, 
      0x9712f049, 0x001e0d31, 
      0x9812d047, 0x001f0d51, 
      0x9812b046, 0x00200d71, 
      0x99129045, 0x00200d91, 
      0x99127044, 0x00210db1, 
      0x9a125043, 0x00210dd1, 
      0x9a124041, 0x00220df1, 
      0x9b121040, 0x00230e11, 
      0x9b11f03f, 0x00230e41, 
      0x9b11e03d, 0x00240e61, 
      0x9c11b03c, 0x00250e81, 
      0x9c11903b, 0x00260ea1, 
      0x9c11803a, 0x00260ec1, 
      0x9c116039, 0x00270ee1, 
      0x9d113038, 0x00280f01, 
      0x9d111037, 0x00290f21, 
      0x9d110036, 0x00290f41, 
      0x9d10e035, 0x002a0f61, 
      0x9d10c034, 0x002b0f81, 
      0x9d10a033, 0x002c0fa1, 
      0x9d108032, 0x002d0fc1, 
      0x9e105031, 0x002e0fe1, 
      0x9e104030, 0x002e1001, 
      0x9e10202f, 0x002f1021, 
      0x9e10002e, 0x00301041, 
      0x9e0fe02d, 0x00311061, 
      0x9d0fc02d, 0x00321081, 
      0x9d0fa02c, 0x003310a1, 
      0x9d0f802b, 0x003410c1, 
      0x9d0f602a, 0x003510e1, 
      0x9d0f4029, 0x00361101, 
      0x9d0f2028, 0x00371121, 
      0x9d0f0027, 0x00381141, 
      0x9c0ee027, 0x00391161, 
      0x9c0ec026, 0x003a1181, 
      0x9c0ea025, 0x003b11a1, 
      0x9c0e8024, 0x003c11c1, 
      0x9b0e5024, 0x003e11e1, 
      0x9b0e4023, 0x003f11f1, 
      0x9b0e1023, 0x00401211, 
      0x9a0df023, 0x00411231, 
      0x9a0dd022, 0x00421251, 
      0x990dc021, 0x00431271, 
      0x990d9020, 0x00451291, 
      0x980d7020, 0x004612b1, 
      0x980d501f, 0x004712d1, 
      0x970d301f, 0x004812f1, 
      0x970d101e, 0x00491311, 
      0x960cf01e, 0x004b1321, 
      0x960cd01d, 0x004c1341, 
      0x950cb01d, 0x004d1361, 
      0x950c901b, 0x004f1381, 
      0x940c701b, 0x005013a1, 
      0x930c501b, 0x005113c1, 
      0x930c301a, 0x005313d1, 
      0x920c101a, 0x005413f1, 
      0x910bf01a, 0x00551411, 
      0x900bd019, 0x00571431, 
      0x900bb019, 0x00581441, 
      0x8f0b9018, 0x005a1461, 
      0x8e0b7018, 0x005b1481, 
      0x8d0b5017, 0x005d14a1, 
      0x8c0b4017, 0x005e14b1, 
      0x8b0b2017, 0x005f14d1, 
      0x8a0b0016, 0x006114f1, 
      0x8a0ae016, 0x00621501, 
      0x890ac015, 0x00641521, 
      0x880a9015, 0x00661541, 
      0x870a8015, 0x00671551, 
      0x860a6014, 0x00691571, 
      0x850a4014, 0x006a1591, 
      0x840a2014, 0x006c15a1, 
      0x830a0014, 0x006d15c1, 
      0x8109f014, 0x006f15d1, 
      0x8009c014, 0x007115f1, 
      0x7f09b013, 0x00721611, 
      0x7e099013, 0x00741621, 
      0x7d097012, 0x00761641, 
      0x7c095013, 0x00771651, 
      0x7b093012, 0x00791671, 
      0x79091013, 0x007b1681, 
      0x78090013, 0x007c1691, 
      0x7708e012, 0x007e16b1, 
      0x7608c012, 0x008016c1, 
      0x7408a013, 0x008116e1, 
      0x73089012, 0x008316f1, 
      0x72087011, 0x00851711,
   },
   { /* UV scale factor = 0.24, phases = 127, taps = 5. */
      0x74173083, 0x00110851, 
      0x75171082, 0x00110871, 
      0x7717007f, 0x00110891, 
      0x7816e07e, 0x001108b1, 
      0x7916d07d, 0x001108c1, 
      0x7a16c07b, 0x001108e1, 
      0x7c16a078, 0x00120901, 
      0x7d168077, 0x00120921, 
      0x7e167075, 0x00120941, 
      0x7f166074, 0x00120951, 
      0x80164073, 0x00120971, 
      0x82162071, 0x00120991, 
      0x8316106e, 0x001309b1, 
      0x8415f06d, 0x001309d1, 
      0x8515d06c, 0x001309f1, 
      0x8615c06a, 0x00130a11, 
      0x8715a068, 0x00140a31, 
      0x88158067, 0x00140a51, 
      0x89157065, 0x00140a71, 
      0x8a156064, 0x00140a81, 
      0x8b153063, 0x00150aa1, 
      0x8c152061, 0x00150ac1, 
      0x8d150060, 0x00150ae1, 
      0x8e14e05e, 0x00160b01, 
      0x8f14d05c, 0x00160b21, 
      0x9014b05b, 0x00160b41, 
      0x91149059, 0x00170b61, 
      0x91147059, 0x00170b81, 
      0x92146057, 0x00170ba1, 
      0x93144055, 0x00180bc1, 
      0x94142054, 0x00180be1, 
      0x95140052, 0x00190c01, 
      0x9513e052, 0x00190c21, 
      0x9613c050, 0x001a0c41, 
      0x9713b04e, 0x001a0c61, 
      0x9713904d, 0x001b0c81, 
      0x9813704c, 0x001b0ca1, 
      0x9913504a, 0x001c0cc1, 
      0x9913304a, 0x001c0ce1, 
      0x9a131048, 0x001d0d01, 
      0x9a130047, 0x001d0d21, 
      0x9b12d045, 0x001e0d51, 
      0x9b12c044, 0x001e0d71, 
      0x9c12a042, 0x001f0d91, 
      0x9c128041, 0x00200db1, 
      0x9d126040, 0x00200dd1, 
      0x9d12403f, 0x00210df1, 
      0x9e12103e, 0x00220e11, 
      0x9e12003d, 0x00220e31, 
      0x9e11e03c, 0x00230e51, 
      0x9f11c03a, 0x00240e71, 
      0x9f11a03a, 0x00240e91, 
      0x9f118039, 0x00250eb1, 
      0x9f116038, 0x00260ed1, 
      0xa0114036, 0x00270ef1, 
      0xa0112036, 0x00270f11, 
      0xa0110035, 0x00280f31, 
      0xa010e034, 0x00290f51, 
      0xa010c033, 0x002a0f71, 
      0xa010a031, 0x002b0fa1, 
      0xa1108030, 0x002b0fc1, 
      0xa110602f, 0x002c0fe1, 
      0xa110402e, 0x002d1001, 
      0xa110202d, 0x002e1021, 
      0xa10ff02d, 0x002f1041, 
      0xa10fd02c, 0x00301061, 
      0xa10fb02b, 0x00311081, 
      0xa00fa02a, 0x003210a1, 
      0xa00f702a, 0x003310c1, 
      0xa00f5029, 0x003410e1, 
      0xa00f3028, 0x00351101, 
      0xa00f1027, 0x00361121, 
      0xa00ef026, 0x00371141, 
      0x9f0ed026, 0x00381161, 
      0x9f0eb025, 0x00391181, 
      0x9f0e9024, 0x003a11a1, 
      0x9f0e7023, 0x003b11c1, 
      0x9e0e5023, 0x003c11e1, 
      0x9e0e3022, 0x003d1201, 
      0x9e0e1021, 0x003e1221, 
      0x9d0df021, 0x003f1241, 
      0x9d0dc020, 0x00411261, 
      0x9c0db01f, 0x00421281, 
      0x9c0d901e, 0x004312a1, 
      0x9b0d701e, 0x004412c1, 
      0x9b0d501e, 0x004512d1, 
      0x9a0d201e, 0x004712f1, 
      0x9a0d001d, 0x00481311, 
      0x990ce01d, 0x00491331, 
      0x990cc01c, 0x004a1351, 
      0x980ca01b, 0x004c1371, 
      0x970c801b, 0x004d1391, 
      0x970c601a, 0x004e13b1, 
      0x960c401a, 0x005013c1, 
      0x950c201a, 0x005113e1, 
      0x950c0019, 0x00521401, 
      0x940be018, 0x00541421, 
      0x930bc018, 0x00551441, 
      0x920ba017, 0x00571461, 
      0x910b8018, 0x00581471, 
      0x910b6017, 0x00591491, 
      0x900b4016, 0x005b14b1, 
      0x8f0b2016, 0x005c14d1, 
      0x8e0b0016, 0x005e14e1, 
      0x8d0ae016, 0x005f1501, 
      0x8c0ac015, 0x00611521, 
      0x8b0ab015, 0x00621531, 
      0x8a0a8015, 0x00641551, 
      0x890a7014, 0x00651571, 
      0x880a5014, 0x00671581, 
      0x870a3013, 0x006915a1, 
      0x860a1013, 0x006a15c1, 
      0x8509f013, 0x006c15d1, 
      0x8409d013, 0x006d15f1, 
      0x8309b012, 0x006f1611, 
      0x82099012, 0x00711621, 
      0x80097013, 0x00721641, 
      0x7f095013, 0x00741651, 
      0x7e094011, 0x00761671, 
      0x7d092012, 0x00771681, 
      0x7c090011, 0x007916a1, 
      0x7a08e012, 0x007b16b1, 
      0x7908c012, 0x007c16d1, 
      0x7808b011, 0x007e16e1, 
      0x77088011, 0x00801701, 
      0x75087011, 0x00821711, 
      0x74085011, 0x00831731,
   },
   { /* UV scale factor = 0.25, phases = 127, taps = 5. */
      0x76175081, 0x00100841, 
      0x77173081, 0x00100851, 
      0x7917207e, 0x00100871, 
      0x7a17007d, 0x00100891, 
      0x7b16f07b, 0x001008b1, 
      0x7d16d079, 0x001008d1, 
      0x7e16c077, 0x001108e1, 
      0x7f16a076, 0x00110901, 
      0x80169074, 0x00110921, 
      0x82167072, 0x00110941, 
      0x83165071, 0x00110961, 
      0x8416406f, 0x00110981, 
      0x8516206d, 0x001209a1, 
      0x8616106b, 0x001209c1, 
      0x8715f06b, 0x001209d1, 
      0x8915d069, 0x001209f1, 
      0x8a15c066, 0x00130a11, 
      0x8b15a065, 0x00130a31, 
      0x8c158064, 0x00130a51, 
      0x8d157062, 0x00130a71, 
      0x8e155060, 0x00140a91, 
      0x8f15305f, 0x00140ab1, 
      0x9015105e, 0x00140ad1, 
      0x9114f05c, 0x00150af1, 
      0x9214e05a, 0x00150b11, 
      0x9314c059, 0x00150b31, 
      0x9314a058, 0x00160b51, 
      0x94148057, 0x00160b71, 
      0x95147055, 0x00160b91, 
      0x96145053, 0x00170bb1, 
      0x97143052, 0x00170bd1, 
      0x97141051, 0x00180bf1, 
      0x9813f050, 0x00180c11, 
      0x9913d04e, 0x00190c31, 
      0x9a13b04d, 0x00190c51, 
      0x9a13a04c, 0x00190c71, 
      0x9b13804a, 0x001a0c91, 
      0x9c136049, 0x001a0cb1, 
      0x9c134048, 0x001b0cd1, 
      0x9d132046, 0x001c0cf1, 
      0x9d130045, 0x001c0d21, 
      0x9e12e043, 0x001d0d41, 
      0x9e12c043, 0x001d0d61, 
      0x9f12a041, 0x001e0d81, 
      0x9f128041, 0x001e0da1, 
      0xa012603f, 0x001f0dc1, 
      0xa012403e, 0x00200de1, 
      0xa112203d, 0x00200e01, 
      0xa112003c, 0x00210e21, 
      0xa111e03b, 0x00220e41, 
      0xa211c03a, 0x00220e61, 
      0xa211a039, 0x00230e81, 
      0xa2118037, 0x00240eb1, 
      0xa3116036, 0x00240ed1, 
      0xa3114035, 0x00250ef1, 
      0xa3112034, 0x00260f11, 
      0xa3110033, 0x00270f31, 
      0xa310e032, 0x00280f51, 
      0xa410c031, 0x00280f71, 
      0xa410a030, 0x00290f91, 
      0xa410802f, 0x002a0fb1, 
      0xa410602e, 0x002b0fd1, 
      0xa410402d, 0x002c0ff1, 
      0xa410102c, 0x002d1021, 
      0xa40ff02c, 0x002d1041, 
      0xa40fd02b, 0x002e1061, 
      0xa40fb02a, 0x002f1081, 
      0xa40f9029, 0x003010a1, 
      0xa40f7028, 0x003110c1, 
      0xa30f5028, 0x003210e1, 
      0xa30f3027, 0x00331101, 
      0xa30f1026, 0x00341121, 
      0xa30ef025, 0x00351141, 
      0xa30ed024, 0x00361161, 
      0xa20eb024, 0x00371181, 
      0xa20e9023, 0x003811a1, 
      0xa20e6023, 0x003911c1, 
      0xa10e5022, 0x003a11e1, 
      0xa10e2021, 0x003c1201, 
      0xa10e0020, 0x003d1221, 
      0xa00de020, 0x003e1241, 
      0xa00dc01f, 0x003f1261, 
      0x9f0da01f, 0x00401281, 
      0x9f0d801e, 0x004112a1, 
      0x9e0d601d, 0x004312c1, 
      0x9e0d401c, 0x004412e1, 
      0x9d0d201c, 0x00451301, 
      0x9d0cf01c, 0x00461321, 
      0x9c0cd01b, 0x00481341, 
      0x9c0cb01a, 0x00491361, 
      0x9b0c901a, 0x004a1381, 
      0x9a0c701a, 0x004b13a1, 
      0x9a0c5019, 0x004d13b1, 
      0x990c3019, 0x004e13d1, 
      0x980c1019, 0x004f13f1, 
      0x970bf018, 0x00511411, 
      0x970bd017, 0x00521431, 
      0x960bb017, 0x00531451, 
      0x950b9016, 0x00551471, 
      0x940b7017, 0x00561481, 
      0x930b5016, 0x005814a1, 
      0x930b3015, 0x005914c1, 
      0x920b1014, 0x005b14e1, 
      0x910af014, 0x005c1501, 
      0x900ad014, 0x005e1511, 
      0x8f0ab014, 0x005f1531, 
      0x8e0a9013, 0x00611551, 
      0x8d0a7013, 0x00621571, 
      0x8c0a5013, 0x00641581, 
      0x8b0a3013, 0x006515a1, 
      0x8a0a1012, 0x006715c1, 
      0x8909f013, 0x006815d1, 
      0x8709d013, 0x006a15f1, 
      0x8609c011, 0x006c1611, 
      0x8509a012, 0x006d1621, 
      0x84098011, 0x006f1641, 
      0x83096011, 0x00711651, 
      0x82094011, 0x00721671, 
      0x80092011, 0x00741691, 
      0x7f090011, 0x007616a1, 
      0x7e08e011, 0x007716c1, 
      0x7d08d010, 0x007916d1, 
      0x7b08b010, 0x007b16f1, 
      0x7a089011, 0x007c1701, 
      0x79087010, 0x007e1721, 
      0x77086010, 0x00801731, 
      0x7608400f, 0x00821751,
   },
   { /* UV scale factor = 0.26, phases = 127, taps = 5. */
      0x78177080, 0x000f0821, 
      0x7a17507e, 0x000f0841, 
      0x7b17407d, 0x000f0851, 
      0x7c17307b, 0x000f0871, 
      0x7e171079, 0x000f0891, 
      0x7f16f078, 0x000f08b1, 
      0x8016e075, 0x001008d1, 
      0x8216c073, 0x001008f1, 
      0x8316b072, 0x00100901, 
      0x84169071, 0x00100921, 
      0x8516806f, 0x00100941, 
      0x8716606d, 0x00100961, 
      0x8816406b, 0x00110981, 
      0x8916206a, 0x001109a1, 
      0x8a161068, 0x001109c1, 
      0x8b15f067, 0x001109e1, 
      0x8c15d065, 0x00120a01, 
      0x8d15c063, 0x00120a21, 
      0x8f15a061, 0x00120a41, 
      0x90158060, 0x00120a61, 
      0x9115605e, 0x00130a81, 
      0x9215405d, 0x00130aa1, 
      0x9315305b, 0x00130ac1, 
      0x9415005a, 0x00140ae1, 
      0x9514f058, 0x00140b01, 
      0x9514d058, 0x00140b21, 
      0x9614b056, 0x00150b41, 
      0x9714a054, 0x00150b61, 
      0x98148053, 0x00150b81, 
      0x99146051, 0x00160ba1, 
      0x9a144050, 0x00160bc1, 
      0x9b14204e, 0x00170be1, 
      0x9b14004e, 0x00170c01, 
      0x9c13e04d, 0x00170c21, 
      0x9d13c04b, 0x00180c41, 
      0x9d13b04a, 0x00180c61, 
      0x9e138049, 0x00190c81, 
      0x9f137047, 0x00190ca1, 
      0x9f135046, 0x001a0cc1, 
      0xa0133044, 0x001a0cf1, 
      0xa1130043, 0x001b0d11, 
      0xa112f042, 0x001b0d31, 
      0xa212d040, 0x001c0d51, 
      0xa212b03f, 0x001d0d71, 
      0xa312903e, 0x001d0d91, 
      0xa312703d, 0x001e0db1, 
      0xa412503c, 0x001e0dd1, 
      0xa412303b, 0x001f0df1, 
      0xa412103a, 0x00200e11, 
      0xa511e039, 0x00200e41, 
      0xa511c038, 0x00210e61, 
      0xa511a037, 0x00220e81, 
      0xa6118036, 0x00220ea1, 
      0xa6116035, 0x00230ec1, 
      0xa6114034, 0x00240ee1, 
      0xa6112033, 0x00250f01, 
      0xa7110032, 0x00250f21, 
      0xa710e030, 0x00260f51, 
      0xa710c02f, 0x00270f71, 
      0xa710a02e, 0x00280f91, 
      0xa710802d, 0x00290fb1, 
      0xa710602d, 0x00290fd1, 
      0xa710302d, 0x002a0ff1, 
      0xa710102c, 0x002b1011, 
      0xa70ff02b, 0x002c1031, 
      0xa70fd029, 0x002d1061, 
      0xa70fb028, 0x002e1081, 
      0xa70f9027, 0x002f10a1, 
      0xa70f7026, 0x003010c1, 
      0xa70f4026, 0x003110e1, 
      0xa70f2025, 0x00321101, 
      0xa60f0025, 0x00331121, 
      0xa60ee024, 0x00341141, 
      0xa60ec023, 0x00351161, 
      0xa60ea022, 0x00361181, 
      0xa50e8022, 0x003711a1, 
      0xa50e6021, 0x003811c1, 
      0xa50e4020, 0x003911e1, 
      0xa40e1020, 0x003a1211, 
      0xa40df01f, 0x003b1231, 
      0xa40dd01e, 0x003c1251, 
      0xa30db01e, 0x003d1271, 
      0xa20d901d, 0x003f1291, 
      0xa20d701c, 0x004012b1, 
      0xa20d501b, 0x004112d1, 
      0xa10d301b, 0x004212f1, 
      0xa10d101a, 0x00431311, 
      0xa00ce01a, 0x00451331, 
      0x9f0cc01a, 0x00461351, 
      0x9f0ca019, 0x00471371, 
      0x9e0c9019, 0x00481381, 
      0x9d0c6019, 0x004a13a1, 
      0x9d0c4018, 0x004b13c1, 
      0x9c0c2018, 0x004c13e1, 
      0x9b0c0017, 0x004e1401, 
      0x9b0be016, 0x004f1421, 
      0x9a0bc016, 0x00501441, 
      0x990ba015, 0x00521461, 
      0x980b8015, 0x00531481, 
      0x970b6014, 0x005514a1, 
      0x960b4015, 0x005614b1, 
      0x950b2015, 0x005714d1, 
      0x950b0013, 0x005914f1, 
      0x940ae013, 0x005a1511, 
      0x930ab013, 0x005c1531, 
      0x920aa012, 0x005d1551, 
      0x910a8012, 0x005f1561, 
      0x900a6012, 0x00601581, 
      0x8f0a3012, 0x006215a1, 
      0x8d0a2011, 0x006415c1, 
      0x8c0a0012, 0x006515d1, 
      0x8b09e011, 0x006715f1, 
      0x8a09c011, 0x00681611, 
      0x8909a011, 0x006a1621, 
      0x88098010, 0x006c1641, 
      0x87096010, 0x006d1661, 
      0x85094011, 0x006f1671, 
      0x84092011, 0x00701691, 
      0x83090010, 0x007216b1, 
      0x8208f00f, 0x007416c1, 
      0x8008d00f, 0x007616e1, 
      0x7f08b010, 0x007716f1, 
      0x7e08900f, 0x00791711, 
      0x7c087010, 0x007b1721, 
      0x7b08500f, 0x007d1741, 
      0x7a08400f, 0x007e1751, 
      0x7808200f, 0x00801771,
   },
   { /* UV scale factor = 0.27, phases = 127, taps = 5. */
      0x7b17907e, 0x000e0801, 
      0x7c17807c, 0x000e0821, 
      0x7d17607b, 0x000e0841, 
      0x7f175078, 0x000e0861, 
      0x80173078, 0x000e0871, 
      0x82171076, 0x000e0891, 
      0x83170073, 0x000f08b1, 
      0x8416e072, 0x000f08d1, 
      0x8516d070, 0x000f08f1, 
      0x8716b06e, 0x000f0911, 
      0x8816906d, 0x000f0931, 
      0x8916806b, 0x000f0951, 
      0x8a16606a, 0x00100961, 
      0x8c164068, 0x00100981, 
      0x8d162067, 0x001009a1, 
      0x8e161065, 0x001009c1, 
      0x8f15f064, 0x001009e1, 
      0x9015d062, 0x00110a01, 
      0x9115b061, 0x00110a21, 
      0x9215a05f, 0x00110a41, 
      0x9415705d, 0x00120a61, 
      0x9515605b, 0x00120a81, 
      0x9615405a, 0x00120aa1, 
      0x97152059, 0x00120ac1, 
      0x98150057, 0x00130ae1, 
      0x9814f056, 0x00130b01, 
      0x9914d055, 0x00130b21, 
      0x9a14b053, 0x00140b41, 
      0x9b149052, 0x00140b61, 
      0x9c147050, 0x00150b81, 
      0x9d14504e, 0x00150bb1, 
      0x9e14304d, 0x00150bd1, 
      0x9e14104c, 0x00160bf1, 
      0x9f13f04b, 0x00160c11, 
      0xa013d049, 0x00170c31, 
      0xa113b048, 0x00170c51, 
      0xa1139047, 0x00180c71, 
      0xa2137046, 0x00180c91, 
      0xa3135044, 0x00190cb1, 
      0xa3134043, 0x00190cd1, 
      0xa4131041, 0x001a0d01, 
      0xa412f041, 0x001a0d21, 
      0xa512d03f, 0x001b0d41, 
      0xa612b03e, 0x001b0d61, 
      0xa612903d, 0x001c0d81, 
      0xa712703c, 0x001c0da1, 
      0xa712503b, 0x001d0dc1, 
      0xa7123039, 0x001e0df1, 
      0xa8121038, 0x001e0e11, 
      0xa811f037, 0x001f0e31, 
      0xa811d036, 0x00200e51, 
      0xa911b035, 0x00200e71, 
      0xa9118035, 0x00210e91, 
      0xa9116033, 0x00220ec1, 
      0xaa114032, 0x00220ee1, 
      0xaa112031, 0x00230f01, 
      0xaa110030, 0x00240f21, 
      0xaa10e02f, 0x00250f41, 
      0xaa10c02f, 0x00250f61, 
      0xaa10a02e, 0x00260f81, 
      0xab10702c, 0x00270fb1, 
      0xab10502b, 0x00280fd1, 
      0xab10302a, 0x00290ff1, 
      0xab101029, 0x002a1011, 
      0xab0ff029, 0x002a1031, 
      0xab0fd028, 0x002b1051, 
      0xab0fb027, 0x002c1071, 
      0xaa0f8027, 0x002d10a1, 
      0xaa0f6026, 0x002e10c1, 
      0xaa0f4025, 0x002f10e1, 
      0xaa0f2024, 0x00301101, 
      0xaa0f0023, 0x00311121, 
      0xaa0ee022, 0x00321141, 
      0xa90ec022, 0x00331161, 
      0xa90e9022, 0x00341181, 
      0xa90e7020, 0x003511b1, 
      0xa80e5020, 0x003611d1, 
      0xa80e301f, 0x003711f1, 
      0xa80e101e, 0x00381211, 
      0xa70df01e, 0x00391231, 
      0xa70dc01d, 0x003b1251, 
      0xa70da01c, 0x003c1271, 
      0xa60d801c, 0x003d1291, 
      0xa60d601b, 0x003e12b1, 
      0xa50d401b, 0x003f12d1, 
      0xa40d201b, 0x004012f1, 
      0xa40d0019, 0x00421311, 
      0xa30cd01a, 0x00431331, 
      0xa30cb019, 0x00441351, 
      0xa20c9019, 0x00451371, 
      0xa10c7018, 0x00471391, 
      0xa10c5017, 0x004813b1, 
      0xa00c3017, 0x004913d1, 
      0x9f0c1017, 0x004a13f1, 
      0x9e0bf016, 0x004c1411, 
      0x9e0bd015, 0x004d1431, 
      0x9d0bb014, 0x004f1451, 
      0x9c0b8015, 0x00501471, 
      0x9b0b6015, 0x00511491, 
      0x9a0b4014, 0x005314b1, 
      0x990b2014, 0x005414d1, 
      0x980b0013, 0x005614f1, 
      0x980ae013, 0x00571501, 
      0x970ac012, 0x00591521, 
      0x960aa012, 0x005a1541, 
      0x950a8011, 0x005c1561, 
      0x940a6011, 0x005d1581, 
      0x920a4011, 0x005f15a1, 
      0x910a3011, 0x006015b1, 
      0x900a0011, 0x006215d1, 
      0x8f09e011, 0x006315f1, 
      0x8e09c010, 0x00651611, 
      0x8d09a011, 0x00661621, 
      0x8c098010, 0x00681641, 
      0x8a096010, 0x006a1661, 
      0x8909500f, 0x006b1681, 
      0x8809300f, 0x006d1691, 
      0x8709000f, 0x006f16b1, 
      0x8508f00f, 0x007016d1, 
      0x8408d00f, 0x007216e1, 
      0x8308b00e, 0x00741701, 
      0x8208900f, 0x00751711, 
      0x8008700f, 0x00771731, 
      0x7f08500e, 0x00791751, 
      0x7d08400e, 0x007b1761, 
      0x7c08200d, 0x007d1781, 
      0x7b08000e, 0x007e1791,
   },
   { /* UV scale factor = 0.28, phases = 127, taps = 5. */
      0x7d17b07d, 0x000d07e1, 
      0x7e17a07b, 0x000d0801, 
      0x80178079, 0x000d0821, 
      0x81177077, 0x000d0841, 
      0x83175075, 0x000d0861, 
      0x84174074, 0x000d0871, 
      0x86172072, 0x000d0891, 
      0x87170070, 0x000e08b1, 
      0x8816f06e, 0x000e08d1, 
      0x8916d06d, 0x000e08f1, 
      0x8b16b06b, 0x000e0911, 
      0x8c16906a, 0x000e0931, 
      0x8d168067, 0x000f0951, 
      0x8e166066, 0x000f0971, 
      0x90164064, 0x000f0991, 
      0x91162063, 0x000f09b1, 
      0x92161061, 0x000f09d1, 
      0x9315f05f, 0x001009f1, 
      0x9415d05e, 0x00100a11, 
      0x9515b05d, 0x00100a31, 
      0x9715905b, 0x00100a51, 
      0x98157059, 0x00110a71, 
      0x99155058, 0x00110a91, 
      0x9a154056, 0x00110ab1, 
      0x9b151055, 0x00120ad1, 
      0x9c150053, 0x00120af1, 
      0x9d14e052, 0x00120b11, 
      0x9d14c051, 0x00130b31, 
      0x9e14a050, 0x00130b51, 
      0x9f14804f, 0x00130b71, 
      0xa014604d, 0x00140b91, 
      0xa114404c, 0x00140bb1, 
      0xa214204a, 0x00150bd1, 
      0xa3140048, 0x00150c01, 
      0xa313e048, 0x00150c21, 
      0xa413c046, 0x00160c41, 
      0xa513a045, 0x00160c61, 
      0xa5138044, 0x00170c81, 
      0xa6136043, 0x00170ca1, 
      0xa7134041, 0x00180cc1, 
      0xa7132040, 0x00180cf1, 
      0xa813003e, 0x00190d11, 
      0xa812e03e, 0x00190d31, 
      0xa912c03c, 0x001a0d51, 
      0xaa12903b, 0x001b0d71, 
      0xaa12803a, 0x001b0d91, 
      0xaa125039, 0x001c0dc1, 
      0xab123038, 0x001c0de1, 
      0xab121037, 0x001d0e01, 
      0xac11f035, 0x001e0e21, 
      0xac11d035, 0x001e0e41, 
      0xac11b034, 0x001f0e61, 
      0xad118032, 0x00200e91, 
      0xad116032, 0x00200eb1, 
      0xad114031, 0x00210ed1, 
      0xad112030, 0x00220ef1, 
      0xae11002f, 0x00220f11, 
      0xae10e02d, 0x00230f41, 
      0xae10c02c, 0x00240f61, 
      0xae10a02b, 0x00250f81, 
      0xae10702b, 0x00260fa1, 
      0xae10602a, 0x00260fc1, 
      0xae103029, 0x00270ff1, 
      0xae101028, 0x00281011, 
      0xae0ff027, 0x00291031, 
      0xae0fc027, 0x002a1051, 
      0xae0fa026, 0x002b1071, 
      0xae0f8024, 0x002c10a1, 
      0xae0f5024, 0x002d10c1, 
      0xae0f4023, 0x002d10e1, 
      0xae0f1023, 0x002e1101, 
      0xad0f0022, 0x002f1121, 
      0xad0ed022, 0x00301141, 
      0xad0eb021, 0x00311161, 
      0xad0e901f, 0x00321191, 
      0xac0e701f, 0x003311b1, 
      0xac0e401f, 0x003411d1, 
      0xac0e201e, 0x003511f1, 
      0xab0e001d, 0x00371211, 
      0xab0de01c, 0x00381231, 
      0xaa0dc01c, 0x00391251, 
      0xaa0d901b, 0x003a1281, 
      0xaa0d701a, 0x003b12a1, 
      0xa90d501a, 0x003c12c1, 
      0xa80d301a, 0x003d12e1, 
      0xa80d1018, 0x003f1301, 
      0xa70cf018, 0x00401321, 
      0xa70cc018, 0x00411341, 
      0xa60ca018, 0x00421361, 
      0xa50c9017, 0x00431381, 
      0xa50c6016, 0x004513a1, 
      0xa40c4016, 0x004613c1, 
      0xa30c2016, 0x004713e1, 
      0xa30bf015, 0x00491401, 
      0xa20bd015, 0x004a1421, 
      0xa10bb015, 0x004b1441, 
      0xa00b9014, 0x004d1461, 
      0x9f0b7014, 0x004e1481, 
      0x9e0b5014, 0x004f14a1, 
      0x9d0b3013, 0x005114c1, 
      0x9d0b1012, 0x005214e1, 
      0x9c0ae012, 0x00541501, 
      0x9b0ad011, 0x00551521, 
      0x9a0aa011, 0x00571541, 
      0x990a8011, 0x00581561, 
      0x980a7010, 0x005a1571, 
      0x970a5010, 0x005b1591, 
      0x950a3010, 0x005d15b1, 
      0x940a1010, 0x005e15d1, 
      0x9309f00f, 0x006015f1, 
      0x9209d00f, 0x00611611, 
      0x9109b00f, 0x00631621, 
      0x9009900e, 0x00651641, 
      0x8e09700f, 0x00661661, 
      0x8d09500e, 0x00681681, 
      0x8c09300f, 0x00691691, 
      0x8b09100e, 0x006b16b1, 
      0x8908f00e, 0x006d16d1, 
      0x8808d00e, 0x006e16f1, 
      0x8708b00e, 0x00701701, 
      0x8508900e, 0x00721721, 
      0x8408700d, 0x00741741, 
      0x8308600d, 0x00751751, 
      0x8108400d, 0x00771771, 
      0x8008200d, 0x00791781, 
      0x7e08000d, 0x007b17a1, 
      0x7d07f00d, 0x007c17b1,
   },
   { /* UV scale factor = 0.29, phases = 127, taps = 5. */
      0x7f17e07b, 0x000c07c1, 
      0x8117c079, 0x000c07e1, 
      0x8217b077, 0x000c0801, 
      0x84179075, 0x000c0821, 
      0x85177074, 0x000c0841, 
      0x87176071, 0x000c0861, 
      0x88175070, 0x000c0871, 
      0x8a17206e, 0x000d0891, 
      0x8b17106c, 0x000d08b1, 
      0x8c16f06b, 0x000d08d1, 
      0x8e16d069, 0x000d08f1, 
      0x8f16b068, 0x000d0911, 
      0x9016a066, 0x000d0931, 
      0x91168064, 0x000e0951, 
      0x93166062, 0x000e0971, 
      0x94164061, 0x000e0991, 
      0x95162060, 0x000e09b1, 
      0x9616105d, 0x000f09d1, 
      0x9715f05c, 0x000f09f1, 
      0x9915d05a, 0x000f0a11, 
      0x9a15b059, 0x000f0a31, 
      0x9b159057, 0x00100a51, 
      0x9c157056, 0x00100a71, 
      0x9d155055, 0x00100a91, 
      0x9e153053, 0x00110ab1, 
      0x9f151052, 0x00110ad1, 
      0xa014f051, 0x00110af1, 
      0xa114d04f, 0x00120b11, 
      0xa214b04d, 0x00120b41, 
      0xa314904c, 0x00120b61, 
      0xa314704b, 0x00130b81, 
      0xa414504a, 0x00130ba1, 
      0xa5143049, 0x00130bc1, 
      0xa6141047, 0x00140be1, 
      0xa713f046, 0x00140c01, 
      0xa713d044, 0x00150c31, 
      0xa813b043, 0x00150c51, 
      0xa9139041, 0x00160c71, 
      0xaa137040, 0x00160c91, 
      0xaa13503f, 0x00170cb1, 
      0xab13303e, 0x00170cd1, 
      0xac13003c, 0x00180d01, 
      0xac12e03c, 0x00180d21, 
      0xad12c03a, 0x00190d41, 
      0xad12a03a, 0x00190d61, 
      0xae128038, 0x001a0d81, 
      0xae126037, 0x001a0db1, 
      0xaf124035, 0x001b0dd1, 
      0xaf122034, 0x001c0df1, 
      0xaf120034, 0x001c0e11, 
      0xb011d032, 0x001d0e41, 
      0xb011b031, 0x001e0e61, 
      0xb0119031, 0x001e0e81, 
      0xb111702f, 0x001f0ea1, 
      0xb111402f, 0x00200ec1, 
      0xb111202e, 0x00200ef1, 
      0xb111002d, 0x00210f11, 
      0xb210e02b, 0x00220f31, 
      0xb210c02b, 0x00220f51, 
      0xb210902a, 0x00230f81, 
      0xb2107029, 0x00240fa1, 
      0xb2105028, 0x00250fc1, 
      0xb2103027, 0x00260fe1, 
      0xb2101027, 0x00261001, 
      0xb20fe026, 0x00271031, 
      0xb20fc025, 0x00281051, 
      0xb20fa024, 0x00291071, 
      0xb20f8023, 0x002a1091, 
      0xb20f5022, 0x002b10c1, 
      0xb20f3021, 0x002c10e1, 
      0xb10f1021, 0x002d1101, 
      0xb10ef020, 0x002e1121, 
      0xb10ec020, 0x002f1141, 
      0xb10ea01e, 0x00301171, 
      0xb00e801e, 0x00311191, 
      0xb00e601d, 0x003211b1, 
      0xb00e401c, 0x003311d1, 
      0xaf0e101d, 0x003411f1, 
      0xaf0df01b, 0x00351221, 
      0xaf0dd01a, 0x00361241, 
      0xae0db01a, 0x00371261, 
      0xae0d801a, 0x00381281, 
      0xad0d601a, 0x003912a1, 
      0xad0d4019, 0x003a12c1, 
      0xac0d2018, 0x003c12e1, 
      0xac0cf017, 0x003d1311, 
      0xab0cd017, 0x003e1331, 
      0xaa0cb017, 0x003f1351, 
      0xaa0c9016, 0x00401371, 
      0xa90c7015, 0x00421391, 
      0xa80c5015, 0x004313b1, 
      0xa80c3014, 0x004413d1, 
      0xa70c0015, 0x004513f1, 
      0xa60be014, 0x00471411, 
      0xa50bc014, 0x00481431, 
      0xa40ba014, 0x00491451, 
      0xa30b8013, 0x004b1471, 
      0xa30b6012, 0x004c1491, 
      0xa20b4012, 0x004d14b1, 
      0xa10b1012, 0x004f14d1, 
      0xa00af012, 0x005014f1, 
      0x9f0ad011, 0x00521511, 
      0x9e0ab011, 0x00531531, 
      0x9d0a9010, 0x00551551, 
      0x9c0a7010, 0x00561571, 
      0x9b0a500f, 0x00581591, 
      0x9a0a300f, 0x005915b1, 
      0x990a000f, 0x005b15d1, 
      0x9709f00f, 0x005c15f1, 
      0x9609d00e, 0x005e1611, 
      0x9509b00f, 0x005f1621, 
      0x9409900e, 0x00611641, 
      0x9309700d, 0x00631661, 
      0x9109500e, 0x00641681, 
      0x9009300d, 0x006616a1, 
      0x8f09100e, 0x006716b1, 
      0x8e08f00d, 0x006916d1, 
      0x8c08d00d, 0x006b16f1, 
      0x8b08b00d, 0x006c1711, 
      0x8a08900d, 0x006e1721, 
      0x8808700d, 0x00701741, 
      0x8708500c, 0x00721761, 
      0x8508400d, 0x00731771, 
      0x8408200c, 0x00751791, 
      0x8208000c, 0x007717b1, 
      0x8107e00c, 0x007917c1, 
      0x7f07c00c, 0x007b17e1,
   },
   { /* UV scale factor = 0.30, phases = 127, taps = 5. */
      0x82180079, 0x000b07a1, 
      0x8417f076, 0x000b07c1, 
      0x8517d075, 0x000b07e1, 
      0x8717b073, 0x000b0801, 
      0x8817a071, 0x000b0821, 
      0x89178070, 0x000b0841, 
      0x8b17606e, 0x000b0861, 
      0x8c17506c, 0x000c0871, 
      0x8e17306a, 0x000c0891, 
      0x8f171069, 0x000c08b1, 
      0x9016f068, 0x000c08d1, 
      0x9216d066, 0x000c08f1, 
      0x9316c064, 0x000c0911, 
      0x9416a062, 0x000d0931, 
      0x96168060, 0x000d0951, 
      0x9716605f, 0x000d0971, 
      0x9816405e, 0x000d0991, 
      0x9916305c, 0x000d09b1, 
      0x9b16005a, 0x000e09d1, 
      0x9c15e059, 0x000e09f1, 
      0x9d15c058, 0x000e0a11, 
      0x9e15b055, 0x000f0a31, 
      0x9f159054, 0x000f0a51, 
      0xa0157052, 0x000f0a81, 
      0xa1155051, 0x000f0aa1, 
      0xa215304f, 0x00100ac1, 
      0xa315104e, 0x00100ae1, 
      0xa414f04d, 0x00100b01, 
      0xa514d04b, 0x00110b21, 
      0xa614a04b, 0x00110b41, 
      0xa7149049, 0x00110b61, 
      0xa8146047, 0x00120b91, 
      0xa9144046, 0x00120bb1, 
      0xaa142044, 0x00130bd1, 
      0xaa140044, 0x00130bf1, 
      0xab13e043, 0x00130c11, 
      0xac13c041, 0x00140c31, 
      0xad13a03f, 0x00140c61, 
      0xad13803e, 0x00150c81, 
      0xae13503e, 0x00150ca1, 
      0xaf13303c, 0x00160cc1, 
      0xaf13203b, 0x00160ce1, 
      0xb012f039, 0x00170d11, 
      0xb012d039, 0x00170d31, 
      0xb112b037, 0x00180d51, 
      0xb1129037, 0x00180d71, 
      0xb2126035, 0x00190da1, 
      0xb2124034, 0x001a0dc1, 
      0xb3122033, 0x001a0de1, 
      0xb3120032, 0x001b0e01, 
      0xb411d031, 0x001b0e31, 
      0xb411b030, 0x001c0e51, 
      0xb411902f, 0x001d0e71, 
      0xb511702e, 0x001d0e91, 
      0xb511402d, 0x001e0ec1, 
      0xb511202c, 0x001f0ee1, 
      0xb611002b, 0x001f0f01, 
      0xb510e02a, 0x00200f31, 
      0xb610b029, 0x00210f51, 
      0xb6109028, 0x00220f71, 
      0xb6107028, 0x00220f91, 
      0xb6105026, 0x00230fc1, 
      0xb6102026, 0x00240fe1, 
      0xb6100025, 0x00251001, 
      0xb60fe024, 0x00261021, 
      0xb60fb023, 0x00271051, 
      0xb60f9023, 0x00271071, 
      0xb60f7022, 0x00281091, 
      0xb60f5021, 0x002910b1, 
      0xb50f3020, 0x002a10e1, 
      0xb50f0020, 0x002b1101, 
      0xb50ee01f, 0x002c1121, 
      0xb50ec01e, 0x002d1141, 
      0xb50e901d, 0x002e1171, 
      0xb40e701d, 0x002f1191, 
      0xb40e501c, 0x003011b1, 
      0xb40e301b, 0x003111d1, 
      0xb30e001b, 0x00321201, 
      0xb30de01a, 0x00331221, 
      0xb20dc01a, 0x00341241, 
      0xb20da019, 0x00351261, 
      0xb10d8019, 0x00361281, 
      0xb10d5018, 0x003712b1, 
      0xb00d3018, 0x003812d1, 
      0xb00d1016, 0x003a12f1, 
      0xaf0ce017, 0x003b1311, 
      0xaf0cc016, 0x003c1331, 
      0xae0ca016, 0x003d1351, 
      0xad0c8015, 0x003e1381, 
      0xad0c5014, 0x004013a1, 
      0xac0c3014, 0x004113c1, 
      0xab0c1014, 0x004213e1, 
      0xaa0bf014, 0x00431401, 
      0xaa0bd012, 0x00451421, 
      0xa90bb012, 0x00461441, 
      0xa80b9012, 0x00471461, 
      0xa70b6012, 0x00491481, 
      0xa60b4012, 0x004a14a1, 
      0xa50b2011, 0x004b14d1, 
      0xa40b0010, 0x004d14f1, 
      0xa30ae010, 0x004e1511, 
      0xa20ac00f, 0x00501531, 
      0xa10aa00f, 0x00511551, 
      0xa00a700f, 0x00531571, 
      0x9f0a500f, 0x00541591, 
      0x9e0a300e, 0x005615b1, 
      0x9d0a100f, 0x005715c1, 
      0x9c09f00e, 0x005915e1, 
      0x9b09d00e, 0x005a1601, 
      0x9909b00e, 0x005c1621, 
      0x9809900e, 0x005d1641, 
      0x9709700d, 0x005f1661, 
      0x9609500d, 0x00601681, 
      0x9409300d, 0x006216a1, 
      0x9309100c, 0x006416c1, 
      0x9208f00d, 0x006516d1, 
      0x9008d00d, 0x006716f1, 
      0x8f08b00c, 0x00691711, 
      0x8e08900c, 0x006a1731, 
      0x8c08700c, 0x006c1751, 
      0x8b08600b, 0x006e1761, 
      0x8908400b, 0x00701781, 
      0x8808200b, 0x007117a1, 
      0x8708000b, 0x007317b1, 
      0x8507e00b, 0x007517d1, 
      0x8407c00a, 0x007717f1, 
      0x8207a00b, 0x00791801,
   },
   { /* UV scale factor = 0.31, phases = 127, taps = 5. */
      0x85183076, 0x000a0781, 
      0x86181075, 0x000a07a1, 
      0x88180072, 0x000a07c1, 
      0x8917e071, 0x000a07e1, 
      0x8b17c06f, 0x000a0801, 
      0x8c17a06e, 0x000a0821, 
      0x8e17906b, 0x000a0841, 
      0x8f17706b, 0x000a0851, 
      0x91175068, 0x000b0871, 
      0x92173067, 0x000b0891, 
      0x93172065, 0x000b08b1, 
      0x9516f064, 0x000b08d1, 
      0x9616e062, 0x000b08f1, 
      0x9816c05f, 0x000c0911, 
      0x9916a05e, 0x000c0931, 
      0x9a16805d, 0x000c0951, 
      0x9b16605c, 0x000c0971, 
      0x9d16405a, 0x000c0991, 
      0x9e162058, 0x000d09b1, 
      0x9f160057, 0x000d09d1, 
      0xa015e055, 0x000d0a01, 
      0xa115c054, 0x000d0a21, 
      0xa315a051, 0x000e0a41, 
      0xa4158050, 0x000e0a61, 
      0xa515604f, 0x000e0a81, 
      0xa615404d, 0x000f0aa1, 
      0xa715204c, 0x000f0ac1, 
      0xa815004b, 0x000f0ae1, 
      0xa914e049, 0x00100b01, 
      0xaa14b048, 0x00100b31, 
      0xab14a046, 0x00100b51, 
      0xac147045, 0x00110b71, 
      0xac146044, 0x00110b91, 
      0xad144043, 0x00110bb1, 
      0xae141041, 0x00120be1, 
      0xaf13f040, 0x00120c01, 
      0xb013d03e, 0x00130c21, 
      0xb013b03e, 0x00130c41, 
      0xb113803c, 0x00140c71, 
      0xb213603b, 0x00140c91, 
      0xb313403a, 0x00140cb1, 
      0xb3132039, 0x00150cd1, 
      0xb4130037, 0x00150d01, 
      0xb412d037, 0x00160d21, 
      0xb512b035, 0x00170d41, 
      0xb5129035, 0x00170d61, 
      0xb6126033, 0x00180d91, 
      0xb6124033, 0x00180db1, 
      0xb7122031, 0x00190dd1, 
      0xb7120031, 0x00190df1, 
      0xb811d02f, 0x001a0e21, 
      0xb811b02e, 0x001b0e41, 
      0xb811902e, 0x001b0e61, 
      0xb911602c, 0x001c0e91, 
      0xb911402b, 0x001d0eb1, 
      0xb911202b, 0x001d0ed1, 
      0xb9110029, 0x001e0f01, 
      0xba10d028, 0x001f0f21, 
      0xba10b028, 0x001f0f41, 
      0xba109026, 0x00200f71, 
      0xba107025, 0x00210f91, 
      0xba104025, 0x00220fb1, 
      0xba102025, 0x00220fd1, 
      0xba100023, 0x00231001, 
      0xba0fd023, 0x00241021, 
      0xba0fb022, 0x00251041, 
      0xba0f9020, 0x00261071, 
      0xba0f6020, 0x00271091, 
      0xba0f4020, 0x002710b1, 
      0xba0f201e, 0x002810e1, 
      0xb90f001e, 0x00291101, 
      0xb90ed01e, 0x002a1121, 
      0xb90eb01d, 0x002b1141, 
      0xb90e901b, 0x002c1171, 
      0xb80e601c, 0x002d1191, 
      0xb80e401b, 0x002e11b1, 
      0xb80e2019, 0x002f11e1, 
      0xb70df01a, 0x00301201, 
      0xb70dd019, 0x00311221, 
      0xb60db019, 0x00321241, 
      0xb60d9017, 0x00331271, 
      0xb50d6018, 0x00341291, 
      0xb50d4017, 0x003512b1, 
      0xb40d2016, 0x003712d1, 
      0xb40cf015, 0x00381301, 
      0xb30cd015, 0x00391321, 
      0xb30cb014, 0x003a1341, 
      0xb20c9014, 0x003b1361, 
      0xb10c7014, 0x003c1381, 
      0xb00c4013, 0x003e13b1, 
      0xb00c2012, 0x003f13d1, 
      0xaf0c0012, 0x004013f1, 
      0xae0be012, 0x00411411, 
      0xad0bb012, 0x00431431, 
      0xac0b9012, 0x00441451, 
      0xac0b7011, 0x00451471, 
      0xab0b4010, 0x004714a1, 
      0xaa0b300f, 0x004814c1, 
      0xa90b0010, 0x004914e1, 
      0xa80ae00f, 0x004b1501, 
      0xa70ac00f, 0x004c1521, 
      0xa60aa00e, 0x004e1541, 
      0xa50a800e, 0x004f1561, 
      0xa40a600e, 0x00501581, 
      0xa30a400d, 0x005215a1, 
      0xa10a200e, 0x005315c1, 
      0xa00a000d, 0x005515e1, 
      0x9f09e00d, 0x00561601, 
      0x9e09b00d, 0x00581621, 
      0x9d09900c, 0x005a1641, 
      0x9b09700d, 0x005b1661, 
      0x9a09500c, 0x005d1681, 
      0x9909300c, 0x005e16a1, 
      0x9809100b, 0x006016c1, 
      0x9608f00b, 0x006216e1, 
      0x9508d00c, 0x006316f1, 
      0x9308c00b, 0x00651711, 
      0x9208900b, 0x00671731, 
      0x9108700b, 0x00681751, 
      0x8f08500b, 0x006a1771, 
      0x8e08300a, 0x006c1791, 
      0x8c08200a, 0x006e17a1, 
      0x8b08000a, 0x006f17c1, 
      0x8907e00a, 0x007117e1, 
      0x8807c009, 0x00731801, 
      0x8607a00a, 0x00751811, 
      0x85078009, 0x00771831,
   },
   { /* UV scale factor = 0.32, phases = 127, taps = 5. */
      0x87186075, 0x00080761, 
      0x89184072, 0x00090781, 
      0x8b182070, 0x000907a1, 
      0x8c18006f, 0x000907c1, 
      0x8e17e06d, 0x000907e1, 
      0x8f17d06b, 0x00090801, 
      0x9117b06a, 0x00090811, 
      0x9217a068, 0x00090831, 
      0x94177066, 0x000a0851, 
      0x95175065, 0x000a0871, 
      0x97174062, 0x000a0891, 
      0x98172061, 0x000a08b1, 
      0x99170060, 0x000a08d1, 
      0x9b16e05e, 0x000a08f1, 
      0x9c16c05c, 0x000b0911, 
      0x9d16a05b, 0x000b0931, 
      0x9f168059, 0x000b0951, 
      0xa0166058, 0x000b0971, 
      0xa1164056, 0x000c0991, 
      0xa3161054, 0x000c09c1, 
      0xa4160052, 0x000c09e1, 
      0xa515e051, 0x000c0a01, 
      0xa615c04f, 0x000d0a21, 
      0xa715a04e, 0x000d0a41, 
      0xa815804d, 0x000d0a61, 
      0xa915604c, 0x000d0a81, 
      0xaa15304b, 0x000e0aa1, 
      0xab151049, 0x000e0ad1, 
      0xac14f048, 0x000e0af1, 
      0xad14d046, 0x000f0b11, 
      0xae14b045, 0x000f0b31, 
      0xaf149044, 0x000f0b51, 
      0xb0146042, 0x00100b81, 
      0xb1144041, 0x00100ba1, 
      0xb214203f, 0x00110bc1, 
      0xb314003e, 0x00110be1, 
      0xb413e03c, 0x00110c11, 
      0xb413b03c, 0x00120c31, 
      0xb513903b, 0x00120c51, 
      0xb6137039, 0x00130c71, 
      0xb7135037, 0x00130ca1, 
      0xb7132037, 0x00140cc1, 
      0xb8130036, 0x00140ce1, 
      0xb812e034, 0x00150d11, 
      0xb912c033, 0x00150d31, 
      0xba129032, 0x00160d51, 
      0xba127031, 0x00160d81, 
      0xbb124030, 0x00170da1, 
      0xbb122030, 0x00170dc1, 
      0xbb12002f, 0x00180de1, 
      0xbc11e02d, 0x00180e11, 
      0xbc11b02d, 0x00190e31, 
      0xbc11902c, 0x001a0e51, 
      0xbd11702a, 0x001a0e81, 
      0xbd11402a, 0x001b0ea1, 
      0xbd112028, 0x001c0ed1, 
      0xbe110027, 0x001c0ef1, 
      0xbe10d027, 0x001d0f11, 
      0xbe10b025, 0x001e0f41, 
      0xbe109025, 0x001e0f61, 
      0xbe107024, 0x001f0f81, 
      0xbe104023, 0x00200fb1, 
      0xbe102022, 0x00210fd1, 
      0xbe100022, 0x00210ff1, 
      0xbe0fd021, 0x00221021, 
      0xbe0fb020, 0x00231041, 
      0xbe0f8020, 0x00241061, 
      0xbe0f601e, 0x00251091, 
      0xbe0f401d, 0x002610b1, 
      0xbe0f101d, 0x002710d1, 
      0xbe0ef01c, 0x00271101, 
      0xbd0ed01c, 0x00281121, 
      0xbd0eb01b, 0x00291141, 
      0xbd0e801a, 0x002a1171, 
      0xbc0e601a, 0x002b1191, 
      0xbc0e301a, 0x002c11b1, 
      0xbc0e1018, 0x002d11e1, 
      0xbb0df018, 0x002e1201, 
      0xbb0dc018, 0x002f1221, 
      0xbb0da016, 0x00301251, 
      0xba0d8016, 0x00311271, 
      0xba0d5016, 0x00321291, 
      0xb90d3015, 0x003312c1, 
      0xb80d1014, 0x003512e1, 
      0xb80ce014, 0x00361301, 
      0xb70cc014, 0x00371321, 
      0xb70c9013, 0x00381351, 
      0xb60c7013, 0x00391371, 
      0xb50c5013, 0x003a1391, 
      0xb40c3012, 0x003c13b1, 
      0xb40c0011, 0x003d13e1, 
      0xb30be011, 0x003e1401, 
      0xb20bc011, 0x003f1421, 
      0xb10ba010, 0x00411441, 
      0xb00b8010, 0x00421461, 
      0xaf0b5010, 0x00431491, 
      0xae0b300f, 0x004514b1, 
      0xad0b100f, 0x004614d1, 
      0xac0af00f, 0x004714f1, 
      0xab0ad00e, 0x00491511, 
      0xaa0ab00e, 0x004a1531, 
      0xa90a900e, 0x004b1551, 
      0xa80a600d, 0x004d1581, 
      0xa70a400d, 0x004e15a1, 
      0xa60a200c, 0x005015c1, 
      0xa50a000c, 0x005115e1, 
      0xa409d00c, 0x00531601, 
      0xa309c00b, 0x00541621, 
      0xa109900c, 0x00561641, 
      0xa009700c, 0x00571661, 
      0x9f09500b, 0x00591681, 
      0x9d09300b, 0x005b16a1, 
      0x9c09100b, 0x005c16c1, 
      0x9b08f00a, 0x005e16e1, 
      0x9908d00b, 0x005f1701, 
      0x9808b00a, 0x00611721, 
      0x97089009, 0x00631741, 
      0x9508800a, 0x00641751, 
      0x9408500a, 0x00661771, 
      0x9208300a, 0x00681791, 
      0x91081009, 0x006a17b1, 
      0x8f080009, 0x006b17d1, 
      0x8e07e008, 0x006d17f1, 
      0x8c07c009, 0x006f1801, 
      0x8b07a008, 0x00711821, 
      0x89078008, 0x00731841, 
      0x87076009, 0x00741861,
   },
   { /* UV scale factor = 0.33, phases = 127, taps = 5. */
      0x8a188073, 0x00070741, 
      0x8c187070, 0x00070761, 
      0x8d18506e, 0x00080781, 
      0x8f18306c, 0x000807a1, 
      0x9118106b, 0x000807b1, 
      0x9217f06a, 0x000807d1, 
      0x9417d068, 0x000807f1, 
      0x9517c066, 0x00080811, 
      0x9717a064, 0x00080831, 
      0x98178062, 0x00090851, 
      0x9a176060, 0x00090871, 
      0x9b17405f, 0x00090891, 
      0x9d17205d, 0x000908b1, 
      0x9e17005c, 0x000908d1, 
      0x9f16e05a, 0x000a08f1, 
      0xa116c058, 0x000a0911, 
      0xa216a057, 0x000a0931, 
      0xa4168055, 0x000a0951, 
      0xa5166053, 0x000a0981, 
      0xa6163052, 0x000b09a1, 
      0xa7162050, 0x000b09c1, 
      0xa915f04f, 0x000b09e1, 
      0xaa15d04e, 0x000b0a01, 
      0xab15b04c, 0x000c0a21, 
      0xac15904b, 0x000c0a41, 
      0xad15704a, 0x000c0a61, 
      0xae155047, 0x000d0a91, 
      0xaf153046, 0x000d0ab1, 
      0xb0150046, 0x000d0ad1, 
      0xb114f044, 0x000d0af1, 
      0xb214c042, 0x000e0b21, 
      0xb314a041, 0x000e0b41, 
      0xb414803f, 0x000f0b61, 
      0xb514503f, 0x000f0b81, 
      0xb614303d, 0x000f0bb1, 
      0xb714103b, 0x00100bd1, 
      0xb813f03a, 0x00100bf1, 
      0xb813d03a, 0x00100c11, 
      0xb913a038, 0x00110c41, 
      0xba138037, 0x00110c61, 
      0xbb135036, 0x00120c81, 
      0xbb133035, 0x00120cb1, 
      0xbc131033, 0x00130cd1, 
      0xbd12e033, 0x00130cf1, 
      0xbd12c031, 0x00140d21, 
      0xbe12a030, 0x00140d41, 
      0xbe127030, 0x00150d61, 
      0xbf12502e, 0x00150d91, 
      0xbf12302d, 0x00160db1, 
      0xc012002d, 0x00160dd1, 
      0xc011e02b, 0x00170e01, 
      0xc011c02a, 0x00180e21, 
      0xc1119029, 0x00180e51, 
      0xc1117028, 0x00190e71, 
      0xc1115028, 0x00190e91, 
      0xc2112026, 0x001a0ec1, 
      0xc2110025, 0x001b0ee1, 
      0xc210d025, 0x001b0f11, 
      0xc210b024, 0x001c0f31, 
      0xc2109023, 0x001d0f51, 
      0xc2106022, 0x001e0f81, 
      0xc3104021, 0x001e0fa1, 
      0xc3101020, 0x001f0fd1, 
      0xc30ff01f, 0x00200ff1, 
      0xc30fd01e, 0x00211011, 
      0xc30fa01e, 0x00211041, 
      0xc30f801d, 0x00221061, 
      0xc20f501d, 0x00231091, 
      0xc20f301c, 0x002410b1, 
      0xc20f101b, 0x002510d1, 
      0xc20ee01a, 0x00261101, 
      0xc20ec01a, 0x00261121, 
      0xc10ea01a, 0x00271141, 
      0xc10e7019, 0x00281171, 
      0xc10e5018, 0x00291191, 
      0xc00e2018, 0x002a11c1, 
      0xc00e0017, 0x002b11e1, 
      0xc00dd017, 0x002c1201, 
      0xbf0db016, 0x002d1231, 
      0xbf0d9015, 0x002e1251, 
      0xbe0d7015, 0x002f1271, 
      0xbe0d4014, 0x003012a1, 
      0xbd0d2014, 0x003112c1, 
      0xbd0cf013, 0x003312e1, 
      0xbc0cd012, 0x00341311, 
      0xbb0cb012, 0x00351331, 
      0xbb0c8012, 0x00361351, 
      0xba0c6011, 0x00371381, 
      0xb90c4011, 0x003813a1, 
      0xb80c2011, 0x003913c1, 
      0xb70bf010, 0x003b13f1, 
      0xb70bd00f, 0x003c1411, 
      0xb60bb00f, 0x003d1431, 
      0xb50b900f, 0x003e1451, 
      0xb40b600e, 0x00401481, 
      0xb30b400e, 0x004114a1, 
      0xb20b200e, 0x004214c1, 
      0xb10af00e, 0x004414e1, 
      0xb00ad00e, 0x00451501, 
      0xaf0ab00d, 0x00461531, 
      0xae0a900c, 0x00481551, 
      0xad0a600d, 0x00491571, 
      0xac0a400c, 0x004b1591, 
      0xab0a200c, 0x004c15b1, 
      0xaa0a000b, 0x004e15d1, 
      0xa909e00b, 0x004f15f1, 
      0xa709c00a, 0x00511621, 
      0xa609a00a, 0x00521641, 
      0xa509700a, 0x00541661, 
      0xa409500a, 0x00551681, 
      0xa209300a, 0x005716a1, 
      0xa109100a, 0x005816c1, 
      0x9f08f00a, 0x005a16e1, 
      0x9e08d00a, 0x005b1701, 
      0x9d08b009, 0x005d1721, 
      0x9b089009, 0x005f1741, 
      0x9a087009, 0x00601761, 
      0x98085009, 0x00621781, 
      0x97083008, 0x006417a1, 
      0x95081008, 0x006617c1, 
      0x9407f009, 0x006717d1, 
      0x9207e008, 0x006917f1, 
      0x9107b008, 0x006b1811, 
      0x8f07a007, 0x006d1831, 
      0x8d078008, 0x006e1851, 
      0x8c076007, 0x00701871, 
      0x8a074008, 0x00721881,
   },
   { /* UV scale factor = 0.34, phases = 127, taps = 5. */
      0x8d18b070, 0x00060721, 
      0x8f18906e, 0x00060741, 
      0x9018806c, 0x00070751, 
      0x9218606a, 0x00070771, 
      0x94184068, 0x00070791, 
      0x95182067, 0x000707b1, 
      0x97180065, 0x000707d1, 
      0x9917e063, 0x000707f1, 
      0x9a17c062, 0x00070811, 
      0x9c17a05f, 0x00080831, 
      0x9d17805e, 0x00080851, 
      0x9f17605c, 0x00080871, 
      0xa017405b, 0x00080891, 
      0xa2172059, 0x000808b1, 
      0xa3170058, 0x000808d1, 
      0xa416e056, 0x000908f1, 
      0xa616c054, 0x00090911, 
      0xa716a053, 0x00090931, 
      0xa8168052, 0x00090951, 
      0xaa165050, 0x00090981, 
      0xab16304e, 0x000a09a1, 
      0xac16104d, 0x000a09c1, 
      0xad15f04c, 0x000a09e1, 
      0xaf15d04a, 0x000a0a01, 
      0xb015b048, 0x000b0a21, 
      0xb1158047, 0x000b0a51, 
      0xb2156046, 0x000b0a71, 
      0xb3154044, 0x000c0a91, 
      0xb4152043, 0x000c0ab1, 
      0xb5150041, 0x000c0ae1, 
      0xb614d040, 0x000d0b01, 
      0xb714b03f, 0x000d0b21, 
      0xb814903e, 0x000d0b41, 
      0xb914603c, 0x000e0b71, 
      0xba14403b, 0x000e0b91, 
      0xbb14203a, 0x000e0bb1, 
      0xbc13f038, 0x000f0be1, 
      0xbd13d037, 0x000f0c01, 
      0xbd13b036, 0x00100c21, 
      0xbe138035, 0x00100c51, 
      0xbf136034, 0x00100c71, 
      0xc0134032, 0x00110c91, 
      0xc0131032, 0x00110cc1, 
      0xc112f030, 0x00120ce1, 
      0xc212d02f, 0x00120d01, 
      0xc212a02e, 0x00130d31, 
      0xc312802d, 0x00130d51, 
      0xc312502c, 0x00140d81, 
      0xc412302b, 0x00140da1, 
      0xc412102a, 0x00150dc1, 
      0xc511e029, 0x00150df1, 
      0xc511c028, 0x00160e11, 
      0xc5119027, 0x00170e41, 
      0xc6117026, 0x00170e61, 
      0xc6114026, 0x00180e81, 
      0xc6112025, 0x00180eb1, 
      0xc6110024, 0x00190ed1, 
      0xc710d022, 0x001a0f01, 
      0xc710b022, 0x001a0f21, 
      0xc7108021, 0x001b0f51, 
      0xc7106020, 0x001c0f71, 
      0xc710301f, 0x001d0fa1, 
      0xc710101f, 0x001d0fc1, 
      0xc70fe01f, 0x001e0fe1, 
      0xc70fc01d, 0x001f1011, 
      0xc70fa01c, 0x00201031, 
      0xc70f701c, 0x00201061, 
      0xc70f501b, 0x00211081, 
      0xc70f201a, 0x002210b1, 
      0xc70f0019, 0x002310d1, 
      0xc60ed019, 0x00241101, 
      0xc60eb018, 0x00251121, 
      0xc60e9018, 0x00251141, 
      0xc60e6017, 0x00261171, 
      0xc50e4017, 0x00271191, 
      0xc50e1016, 0x002811c1, 
      0xc50df015, 0x002911e1, 
      0xc40dc015, 0x002a1211, 
      0xc40da014, 0x002b1231, 
      0xc30d8014, 0x002c1251, 
      0xc30d5013, 0x002d1281, 
      0xc20d3013, 0x002e12a1, 
      0xc20d0012, 0x002f12d1, 
      0xc10ce012, 0x003012f1, 
      0xc00cc011, 0x00321311, 
      0xc00c9010, 0x00331341, 
      0xbf0c7010, 0x00341361, 
      0xbe0c5010, 0x00351381, 
      0xbd0c2010, 0x003613b1, 
      0xbd0c000f, 0x003713d1, 
      0xbc0be00f, 0x003813f1, 
      0xbb0bb00e, 0x003a1421, 
      0xba0b900e, 0x003b1441, 
      0xb90b700e, 0x003c1461, 
      0xb80b400e, 0x003d1491, 
      0xb70b200d, 0x003f14b1, 
      0xb60b000d, 0x004014d1, 
      0xb50ae00c, 0x00411501, 
      0xb40ab00c, 0x00431521, 
      0xb30a900c, 0x00441541, 
      0xb20a700b, 0x00461561, 
      0xb10a500b, 0x00471581, 
      0xb00a200b, 0x004815b1, 
      0xaf0a000a, 0x004a15d1, 
      0xad09e00b, 0x004b15f1, 
      0xac09c00a, 0x004d1611, 
      0xab09a00a, 0x004e1631, 
      0xaa098009, 0x00501651, 
      0xa809500a, 0x00511681, 
      0xa7093009, 0x005316a1, 
      0xa6091009, 0x005416c1, 
      0xa408f009, 0x005616e1, 
      0xa308d008, 0x00581701, 
      0xa208b008, 0x00591721, 
      0xa0089008, 0x005b1741, 
      0x9f087008, 0x005c1761, 
      0x9d085008, 0x005e1781, 
      0x9c083007, 0x006017a1, 
      0x9a081007, 0x006217c1, 
      0x9907f007, 0x006317e1, 
      0x9707d007, 0x00651801, 
      0x9507b007, 0x00671821, 
      0x94079006, 0x00691841, 
      0x92077007, 0x006a1861, 
      0x90075007, 0x006c1881, 
      0x8f074006, 0x006e1891, 
      0x8d072006, 0x007018b1,
   },
   { /* UV scale factor = 0.35, phases = 127, taps = 5. */
      0x9018e06e, 0x000506f1, 
      0x9218c06c, 0x00050711, 
      0x9318b06a, 0x00050731, 
      0x95188068, 0x00060751, 
      0x97186066, 0x00060771, 
      0x99184064, 0x00060791, 
      0x9a183062, 0x000607b1, 
      0x9c181060, 0x000607d1, 
      0x9d17f05f, 0x000607f1, 
      0x9f17d05d, 0x00060811, 
      0xa117a05b, 0x00070831, 
      0xa217805a, 0x00070851, 
      0xa4176058, 0x00070871, 
      0xa5174057, 0x00070891, 
      0xa7172055, 0x000708b1, 
      0xa8170053, 0x000808d1, 
      0xa916e052, 0x000808f1, 
      0xab16c050, 0x00080911, 
      0xac16a04f, 0x00080931, 
      0xae16704e, 0x00080951, 
      0xaf16504b, 0x00090981, 
      0xb016304a, 0x000909a1, 
      0xb1161049, 0x000909c1, 
      0xb315e048, 0x000909e1, 
      0xb415c046, 0x000a0a01, 
      0xb515a044, 0x000a0a31, 
      0xb6158043, 0x000a0a51, 
      0xb7156042, 0x000a0a71, 
      0xb8153041, 0x000b0a91, 
      0xb915103f, 0x000b0ac1, 
      0xbb14e03e, 0x000b0ae1, 
      0xbc14c03c, 0x000c0b01, 
      0xbd14903b, 0x000c0b31, 
      0xbd14803a, 0x000c0b51, 
      0xbe145039, 0x000d0b71, 
      0xbf143037, 0x000d0ba1, 
      0xc0140037, 0x000d0bc1, 
      0xc113e035, 0x000e0be1, 
      0xc213c033, 0x000e0c11, 
      0xc3139032, 0x000f0c31, 
      0xc3137032, 0x000f0c51, 
      0xc4134031, 0x000f0c81, 
      0xc513202f, 0x00100ca1, 
      0xc512f02f, 0x00100cd1, 
      0xc612d02d, 0x00110cf1, 
      0xc712b02c, 0x00110d11, 
      0xc712802b, 0x00120d41, 
      0xc812602a, 0x00120d61, 
      0xc8123029, 0x00130d91, 
      0xc9121028, 0x00130db1, 
      0xc911e027, 0x00140de1, 
      0xca11c026, 0x00140e01, 
      0xca119025, 0x00150e31, 
      0xca117024, 0x00160e51, 
      0xcb114024, 0x00160e71, 
      0xcb112022, 0x00170ea1, 
      0xcb110022, 0x00170ec1, 
      0xcb10d021, 0x00180ef1, 
      0xcb10a021, 0x00190f11, 
      0xcc10801f, 0x00190f41, 
      0xcc10501f, 0x001a0f61, 
      0xcc10301d, 0x001b0f91, 
      0xcc10101d, 0x001b0fb1, 
      0xcc0fe01c, 0x001c0fe1, 
      0xcc0fb01c, 0x001d1001, 
      0xcc0f901a, 0x001e1031, 
      0xcc0f601a, 0x001f1051, 
      0xcc0f4019, 0x001f1081, 
      0xcb0f2019, 0x002010a1, 
      0xcb0ef018, 0x002110d1, 
      0xcb0ec018, 0x002210f1, 
      0xcb0ea016, 0x00231121, 
      0xcb0e7016, 0x00241141, 
      0xca0e5016, 0x00241171, 
      0xca0e3015, 0x00251191, 
      0xca0e0014, 0x002611c1, 
      0xc90de014, 0x002711e1, 
      0xc90db013, 0x00281211, 
      0xc80d9013, 0x00291231, 
      0xc80d6012, 0x002a1261, 
      0xc70d4012, 0x002b1281, 
      0xc70d1011, 0x002c12b1, 
      0xc60cf011, 0x002d12d1, 
      0xc50cd011, 0x002e12f1, 
      0xc50ca010, 0x002f1321, 
      0xc40c8010, 0x00301341, 
      0xc30c500f, 0x00321371, 
      0xc30c300e, 0x00331391, 
      0xc20c000e, 0x003413c1, 
      0xc10be00e, 0x003513e1, 
      0xc00bc00e, 0x00361401, 
      0xbf0ba00d, 0x00371431, 
      0xbe0b700d, 0x00391451, 
      0xbd0b500d, 0x003a1471, 
      0xbd0b300b, 0x003b14a1, 
      0xbc0b000c, 0x003c14c1, 
      0xbb0ae00b, 0x003e14e1, 
      0xb90ac00b, 0x003f1511, 
      0xb80aa00b, 0x00401531, 
      0xb70a700b, 0x00421551, 
      0xb60a500a, 0x00431581, 
      0xb50a3009, 0x004515a1, 
      0xb40a000a, 0x004615c1, 
      0xb309e00a, 0x004715e1, 
      0xb109c009, 0x00491611, 
      0xb009a009, 0x004a1631, 
      0xaf098008, 0x004c1651, 
      0xae095009, 0x004d1671, 
      0xac093008, 0x004f16a1, 
      0xab091008, 0x005016c1, 
      0xa908f008, 0x005216e1, 
      0xa808d007, 0x00541701, 
      0xa708b007, 0x00551721, 
      0xa5089007, 0x00571741, 
      0xa4087007, 0x00581761, 
      0xa2085007, 0x005a1781, 
      0xa1083006, 0x005c17a1, 
      0x9f081006, 0x005d17d1, 
      0x9d07f006, 0x005f17f1, 
      0x9c07c006, 0x00611811, 
      0x9a07b005, 0x00631831, 
      0x99079005, 0x00641851, 
      0x97077006, 0x00661861, 
      0x95075006, 0x00681881, 
      0x93073006, 0x006a18a1, 
      0x92071005, 0x006c18c1, 
      0x9006f006, 0x006d18e1,
   },
   { /* UV scale factor = 0.36, phases = 127, taps = 5. */
      0x9319106b, 0x000406d1, 
      0x9518f069, 0x000406f1, 
      0x9718d067, 0x00040711, 
      0x9818b065, 0x00050731, 
      0x9a189064, 0x00050741, 
      0x9c187062, 0x00050761, 
      0x9d185061, 0x00050781, 
      0x9f18305f, 0x000507a1, 
      0xa118105d, 0x000507c1, 
      0xa317f05b, 0x000507e1, 
      0xa417d059, 0x00060801, 
      0xa617b057, 0x00060821, 
      0xa7179056, 0x00060841, 
      0xa9176054, 0x00060871, 
      0xaa174053, 0x00060891, 
      0xac172051, 0x000608b1, 
      0xad17004f, 0x000708d1, 
      0xaf16e04d, 0x000708f1, 
      0xb016b04d, 0x00070911, 
      0xb116a04b, 0x00070931, 
      0xb316704a, 0x00070951, 
      0xb4165047, 0x00080981, 
      0xb5162047, 0x000809a1, 
      0xb7160045, 0x000809c1, 
      0xb815e044, 0x000809e1, 
      0xb915b042, 0x00090a11, 
      0xba159041, 0x00090a31, 
      0xbb157040, 0x00090a51, 
      0xbd15403f, 0x00090a71, 
      0xbe15203c, 0x000a0aa1, 
      0xbf15003b, 0x000a0ac1, 
      0xc014d03b, 0x000a0ae1, 
      0xc114b038, 0x000b0b11, 
      0xc2149037, 0x000b0b31, 
      0xc3146037, 0x000b0b51, 
      0xc4143035, 0x000c0b81, 
      0xc5141034, 0x000c0ba1, 
      0xc513f033, 0x000c0bd1, 
      0xc613c032, 0x000d0bf1, 
      0xc713a031, 0x000d0c11, 
      0xc813702f, 0x000e0c41, 
      0xc913502e, 0x000e0c61, 
      0xc913202e, 0x000e0c91, 
      0xca13002c, 0x000f0cb1, 
      0xcb12d02b, 0x000f0ce1, 
      0xcb12b02a, 0x00100d01, 
      0xcc12802a, 0x00100d21, 
      0xcc126028, 0x00110d51, 
      0xcd123028, 0x00110d71, 
      0xcd121026, 0x00120da1, 
      0xce11e026, 0x00120dc1, 
      0xce11c024, 0x00130df1, 
      0xcf119024, 0x00130e11, 
      0xcf117022, 0x00140e41, 
      0xcf114022, 0x00150e61, 
      0xd0112020, 0x00150e91, 
      0xd010f020, 0x00160eb1, 
      0xd010d01f, 0x00160ee1, 
      0xd010a01e, 0x00170f11, 
      0xd010701e, 0x00180f31, 
      0xd110501c, 0x00180f61, 
      0xd110201c, 0x00190f81, 
      0xd10ff01b, 0x001a0fb1, 
      0xd10fd01b, 0x001a0fd1, 
      0xd10fb019, 0x001b1001, 
      0xd10f8019, 0x001c1021, 
      0xd10f5018, 0x001d1051, 
      0xd00f4018, 0x001d1071, 
      0xd00f1017, 0x001e10a1, 
      0xd00ee016, 0x001f10d1, 
      0xd00eb016, 0x002010f1, 
      0xd00e8015, 0x00211121, 
      0xcf0e6015, 0x00221141, 
      0xcf0e4014, 0x00221171, 
      0xcf0e1014, 0x00231191, 
      0xce0df013, 0x002411c1, 
      0xce0dc013, 0x002511e1, 
      0xcd0da012, 0x00261211, 
      0xcd0d7012, 0x00271231, 
      0xcc0d5011, 0x00281261, 
      0xcc0d2011, 0x00291281, 
      0xcb0d0010, 0x002a12b1, 
      0xcb0ce00f, 0x002b12d1, 
      0xca0cb00f, 0x002c1301, 
      0xc90c900f, 0x002d1321, 
      0xc90c600e, 0x002e1351, 
      0xc80c400e, 0x002f1371, 
      0xc70c100e, 0x003013a1, 
      0xc60bf00d, 0x003213c1, 
      0xc50bd00c, 0x003313f1, 
      0xc50ba00c, 0x00341411, 
      0xc40b800b, 0x00351441, 
      0xc30b500c, 0x00361461, 
      0xc10b300b, 0x00381491, 
      0xc10b100a, 0x003914b1, 
      0xc00ae00b, 0x003a14d1, 
      0xbf0ac00a, 0x003b1501, 
      0xbe0aa009, 0x003d1521, 
      0xbd0a700a, 0x003e1541, 
      0xbb0a500a, 0x003f1571, 
      0xba0a3009, 0x00411591, 
      0xb90a1008, 0x004215c1, 
      0xb809e008, 0x004415e1, 
      0xb709c008, 0x00451601, 
      0xb609a008, 0x00461621, 
      0xb4098007, 0x00481651, 
      0xb3095008, 0x00491671, 
      0xb1093008, 0x004b1691, 
      0xb0091008, 0x004c16b1, 
      0xaf08f006, 0x004e16e1, 
      0xad08d007, 0x004f1701, 
      0xac08b006, 0x00511721, 
      0xaa089006, 0x00531741, 
      0xa9087006, 0x00541761, 
      0xa7084006, 0x00561791, 
      0xa6082005, 0x005817b1, 
      0xa4080006, 0x005917d1, 
      0xa207e006, 0x005b17f1, 
      0xa107c005, 0x005d1811, 
      0x9f07a006, 0x005e1831, 
      0x9d079005, 0x00601851, 
      0x9c076005, 0x00621871, 
      0x9a074005, 0x00641891, 
      0x98073005, 0x006518b1, 
      0x97071004, 0x006718d1, 
      0x9506f004, 0x006918f1, 
      0x9306d004, 0x006b1911,
   },
   { /* UV scale factor = 0.37, phases = 127, taps = 5. */
      0x96194069, 0x000306a1, 
      0x98192067, 0x000306c1, 
      0x9a190065, 0x000306e1, 
      0x9c18e063, 0x00030701, 
      0x9d18c061, 0x00040721, 
      0x9f18a05f, 0x00040741, 
      0xa118805d, 0x00040761, 
      0xa318605b, 0x00040781, 
      0xa418405a, 0x000407a1, 
      0xa6181059, 0x000407c1, 
      0xa817f057, 0x000407e1, 
      0xa917d055, 0x00050801, 
      0xab17b053, 0x00050821, 
      0xac179052, 0x00050841, 
      0xae177050, 0x00050861, 
      0xb017404f, 0x00050881, 
      0xb117204d, 0x000608a1, 
      0xb316f04b, 0x000608d1, 
      0xb416d04a, 0x000608f1, 
      0xb516b049, 0x00060911, 
      0xb7169047, 0x00060931, 
      0xb8167045, 0x00070951, 
      0xba164043, 0x00070981, 
      0xbb162042, 0x000709a1, 
      0xbc15f042, 0x000709c1, 
      0xbd15e040, 0x000709e1, 
      0xbf15a03e, 0x00080a11, 
      0xc015803d, 0x00080a31, 
      0xc115603c, 0x00080a51, 
      0xc215303a, 0x00090a81, 
      0xc3151039, 0x00090aa1, 
      0xc414f038, 0x00090ac1, 
      0xc514c037, 0x00090af1, 
      0xc614a035, 0x000a0b11, 
      0xc7147035, 0x000a0b31, 
      0xc8145033, 0x000a0b61, 
      0xc9142032, 0x000b0b81, 
      0xca140030, 0x000b0bb1, 
      0xcb13d030, 0x000b0bd1, 
      0xcc13a02e, 0x000c0c01, 
      0xcd13802d, 0x000c0c21, 
      0xcd13502c, 0x000d0c51, 
      0xce13302b, 0x000d0c71, 
      0xcf13002a, 0x000d0ca1, 
      0xcf12e029, 0x000e0cc1, 
      0xd012b028, 0x000e0cf1, 
      0xd1129026, 0x000f0d11, 
      0xd1126026, 0x000f0d41, 
      0xd2124024, 0x00100d61, 
      0xd2121024, 0x00100d91, 
      0xd311e023, 0x00110db1, 
      0xd311c022, 0x00110de1, 
      0xd4119021, 0x00120e01, 
      0xd4117020, 0x00120e31, 
      0xd4114020, 0x00130e51, 
      0xd511101f, 0x00130e81, 
      0xd510f01d, 0x00140eb1, 
      0xd510c01d, 0x00150ed1, 
      0xd510a01c, 0x00150f01, 
      0xd510701c, 0x00160f21, 
      0xd510401b, 0x00170f51, 
      0xd610201a, 0x00170f71, 
      0xd60ff019, 0x00180fa1, 
      0xd60fc018, 0x00190fd1, 
      0xd60fa018, 0x00190ff1, 
      0xd60f7017, 0x001a1021, 
      0xd50f5017, 0x001b1041, 
      0xd50f3016, 0x001b1071, 
      0xd50f0015, 0x001c10a1, 
      0xd50ed015, 0x001d10c1, 
      0xd50ea014, 0x001e10f1, 
      0xd50e8013, 0x001f1111, 
      0xd40e5013, 0x00201141, 
      0xd40e3012, 0x00201171, 
      0xd40e0012, 0x00211191, 
      0xd30de011, 0x002211c1, 
      0xd30db011, 0x002311e1, 
      0xd20d9010, 0x00241211, 
      0xd20d600f, 0x00251241, 
      0xd10d400f, 0x00261261, 
      0xd10d100e, 0x00271291, 
      0xd00cf00e, 0x002812b1, 
      0xcf0cc00e, 0x002912e1, 
      0xcf0ca00d, 0x002a1301, 
      0xce0c700d, 0x002b1331, 
      0xcd0c500d, 0x002c1351, 
      0xcd0c200c, 0x002d1381, 
      0xcc0c000b, 0x002e13b1, 
      0xcb0bd00c, 0x002f13d1, 
      0xca0bb00b, 0x00301401, 
      0xc90b800b, 0x00321421, 
      0xc80b600a, 0x00331451, 
      0xc70b300b, 0x00341471, 
      0xc60b100a, 0x003514a1, 
      0xc50af00a, 0x003614c1, 
      0xc40ac009, 0x003814f1, 
      0xc30aa009, 0x00391511, 
      0xc20a8009, 0x003a1531, 
      0xc10a5008, 0x003c1561, 
      0xc00a3008, 0x003d1581, 
      0xbf0a1007, 0x003e15b1, 
      0xbd09e008, 0x004015d1, 
      0xbc09c008, 0x004115f1, 
      0xbb09a007, 0x00421621, 
      0xba098006, 0x00441641, 
      0xb8095007, 0x00451671, 
      0xb7093006, 0x00471691, 
      0xb5091007, 0x004816b1, 
      0xb408f006, 0x004a16d1, 
      0xb308d005, 0x004b1701, 
      0xb108a006, 0x004d1721, 
      0xb0088005, 0x004f1741, 
      0xae086005, 0x00501771, 
      0xac084005, 0x00521791, 
      0xab082005, 0x005317b1, 
      0xa9080005, 0x005517d1, 
      0xa807e004, 0x005717f1, 
      0xa607c005, 0x00581811, 
      0xa407a004, 0x005a1841, 
      0xa3077004, 0x005c1861, 
      0xa1076003, 0x005e1881, 
      0x9f074004, 0x005f18a1, 
      0x9d072004, 0x006118c1, 
      0x9c070003, 0x006318e1, 
      0x9a06e003, 0x00651901, 
      0x9806c003, 0x00671921, 
      0x9606a004, 0x00681941,
   },
   { /* UV scale factor = 0.38, phases = 127, taps = 5. */
      0x99197066, 0x00020681, 
      0x9b195064, 0x000206a1, 
      0x9d193063, 0x000206b1, 
      0x9f191061, 0x000206d1, 
      0xa118f05e, 0x000306f1, 
      0xa318d05c, 0x00030711, 
      0xa418b05b, 0x00030731, 
      0xa618805a, 0x00030751, 
      0xa8186058, 0x00030771, 
      0xaa184056, 0x00030791, 
      0xab182055, 0x000307b1, 
      0xad180052, 0x000407d1, 
      0xaf17d050, 0x00040801, 
      0xb017b04f, 0x00040821, 
      0xb217904d, 0x00040841, 
      0xb317704c, 0x00040861, 
      0xb517404b, 0x00040881, 
      0xb7172048, 0x000508a1, 
      0xb816f048, 0x000508c1, 
      0xba16d045, 0x000508f1, 
      0xbb16b044, 0x00050911, 
      0xbc169043, 0x00050931, 
      0xbe166041, 0x00060951, 
      0xbf16403f, 0x00060981, 
      0xc016103f, 0x000609a1, 
      0xc215f03d, 0x000609c1, 
      0xc315c03b, 0x000709f1, 
      0xc415a03a, 0x00070a11, 
      0xc515703a, 0x00070a31, 
      0xc7155037, 0x00070a61, 
      0xc8152036, 0x00080a81, 
      0xc9150035, 0x00080aa1, 
      0xca14d034, 0x00080ad1, 
      0xcb14b033, 0x00080af1, 
      0xcc148031, 0x00090b21, 
      0xcd146030, 0x00090b41, 
      0xce143030, 0x00090b61, 
      0xcf14002e, 0x000a0b91, 
      0xd013e02d, 0x000a0bb1, 
      0xd113b02c, 0x000a0be1, 
      0xd113902b, 0x000b0c01, 
      0xd213602a, 0x000b0c31, 
      0xd3133029, 0x000c0c51, 
      0xd4131027, 0x000c0c81, 
      0xd412f027, 0x000c0ca1, 
      0xd512c025, 0x000d0cd1, 
      0xd6129025, 0x000d0cf1, 
      0xd6126024, 0x000e0d21, 
      0xd7124022, 0x000e0d51, 
      0xd7121022, 0x000f0d71, 
      0xd811e021, 0x000f0da1, 
      0xd811c020, 0x00100dc1, 
      0xd911901f, 0x00100df1, 
      0xd911601e, 0x00110e21, 
      0xd911401e, 0x00110e41, 
      0xda11101c, 0x00120e71, 
      0xda10f01c, 0x00120e91, 
      0xda10c01b, 0x00130ec1, 
      0xda10901b, 0x00130ef1, 
      0xda10701a, 0x00140f11, 
      0xdb104018, 0x00150f41, 
      0xdb101018, 0x00150f71, 
      0xdb0ff017, 0x00160f91, 
      0xdb0fc016, 0x00170fc1, 
      0xdb0f9016, 0x00170ff1, 
      0xdb0f7015, 0x00181011, 
      0xdb0f4014, 0x00191041, 
      0xda0f1014, 0x001a1071, 
      0xda0ef014, 0x001a1091, 
      0xda0ec013, 0x001b10c1, 
      0xda0e9013, 0x001c10e1, 
      0xda0e7011, 0x001d1111, 
      0xd90e4012, 0x001d1141, 
      0xd90e2011, 0x001e1161, 
      0xd90df010, 0x001f1191, 
      0xd80dc010, 0x002011c1, 
      0xd80da00f, 0x002111e1, 
      0xd70d700f, 0x00221211, 
      0xd70d400e, 0x00231241, 
      0xd60d200e, 0x00241261, 
      0xd60cf00d, 0x00251291, 
      0xd50cd00c, 0x002612c1, 
      0xd40ca00d, 0x002712e1, 
      0xd40c800b, 0x00281311, 
      0xd30c500c, 0x00291331, 
      0xd20c300b, 0x002a1361, 
      0xd10c000b, 0x002b1391, 
      0xd10be00a, 0x002c13b1, 
      0xd00bb00a, 0x002d13e1, 
      0xcf0b900a, 0x002e1401, 
      0xce0b600a, 0x002f1431, 
      0xcd0b4009, 0x00301461, 
      0xcc0b2008, 0x00321481, 
      0xcb0af008, 0x003314b1, 
      0xca0ad008, 0x003414d1, 
      0xc90aa008, 0x00351501, 
      0xc80a8007, 0x00371521, 
      0xc70a5007, 0x00381551, 
      0xc50a3008, 0x00391571, 
      0xc40a1007, 0x003a15a1, 
      0xc309f006, 0x003c15c1, 
      0xc209c006, 0x003d15f1, 
      0xc009a006, 0x003f1611, 
      0xbf098005, 0x00401641, 
      0xbe095006, 0x00411661, 
      0xbc093006, 0x00431681, 
      0xbb091005, 0x004416b1, 
      0xba08f004, 0x004616d1, 
      0xb808d005, 0x004716f1, 
      0xb708a004, 0x00491721, 
      0xb5088005, 0x004a1741, 
      0xb3086005, 0x004c1761, 
      0xb2084004, 0x004d1791, 
      0xb0082004, 0x004f17b1, 
      0xaf080003, 0x005117d1, 
      0xad07d004, 0x00521801, 
      0xab07b004, 0x00541821, 
      0xaa079003, 0x00561841, 
      0xa8077004, 0x00571861, 
      0xa6076003, 0x00591881, 
      0xa4073003, 0x005b18b1, 
      0xa3071002, 0x005d18d1, 
      0xa106f003, 0x005e18f1, 
      0x9f06d003, 0x00601911, 
      0x9d06b003, 0x00621931, 
      0x9b06a002, 0x00641951, 
      0x99068002, 0x00661971,
   },
   { /* UV scale factor = 0.39, phases = 127, taps = 5. */
      0x9c19a064, 0x00010651, 
      0x9e198062, 0x00010671, 
      0xa0196060, 0x00010691, 
      0xa219405e, 0x000106b1, 
      0xa419205b, 0x000206d1, 
      0xa6190059, 0x000206f1, 
      0xa818d058, 0x00020711, 
      0xaa18b056, 0x00020731, 
      0xac189054, 0x00020751, 
      0xad187053, 0x00020771, 
      0xaf184052, 0x00020791, 
      0xb118204f, 0x000307b1, 
      0xb317f04e, 0x000307d1, 
      0xb417d04d, 0x000307f1, 
      0xb617b04b, 0x00030811, 
      0xb8179049, 0x00030831, 
      0xb9176048, 0x00030861, 
      0xbb173046, 0x00040881, 
      0xbc172044, 0x000408a1, 
      0xbe16f043, 0x000408c1, 
      0xbf16d042, 0x000408e1, 
      0xc116a040, 0x00040911, 
      0xc216803f, 0x00040931, 
      0xc416503d, 0x00050951, 
      0xc516303b, 0x00050981, 
      0xc616003b, 0x000509a1, 
      0xc815e039, 0x000509c1, 
      0xc915b037, 0x000609f1, 
      0xca159036, 0x00060a11, 
      0xcb156036, 0x00060a31, 
      0xcc153035, 0x00060a61, 
      0xce151032, 0x00070a81, 
      0xcf14e031, 0x00070ab1, 
      0xd014c030, 0x00070ad1, 
      0xd1149030, 0x00070af1, 
      0xd214602e, 0x00080b21, 
      0xd314402d, 0x00080b41, 
      0xd414102c, 0x00080b71, 
      0xd513f02a, 0x00090b91, 
      0xd613c029, 0x00090bc1, 
      0xd613a029, 0x00090be1, 
      0xd7137027, 0x000a0c11, 
      0xd8134026, 0x000a0c41, 
      0xd9131025, 0x000b0c61, 
      0xd912f024, 0x000b0c91, 
      0xda12c024, 0x000b0cb1, 
      0xdb129022, 0x000c0ce1, 
      0xdb127021, 0x000c0d11, 
      0xdc124020, 0x000d0d31, 
      0xdc121020, 0x000d0d61, 
      0xdd11e01f, 0x000e0d81, 
      0xdd11c01e, 0x000e0db1, 
      0xde11901d, 0x000e0de1, 
      0xde11601d, 0x000f0e01, 
      0xdf11301b, 0x00100e31, 
      0xdf11101a, 0x00100e61, 
      0xdf10e01a, 0x00110e81, 
      0xdf10b01a, 0x00110eb1, 
      0xe0108018, 0x00120ee1, 
      0xe0106018, 0x00120f01, 
      0xe0103017, 0x00130f31, 
      0xe0100016, 0x00140f61, 
      0xe00fe016, 0x00140f81, 
      0xe00fb015, 0x00150fb1, 
      0xe00f8015, 0x00150fe1, 
      0xe00f6013, 0x00161011, 
      0xe00f3013, 0x00171031, 
      0xe00f0012, 0x00181061, 
      0xe00ee011, 0x00181091, 
      0xdf0eb012, 0x001910b1, 
      0xdf0e8011, 0x001a10e1, 
      0xdf0e5010, 0x001b1111, 
      0xdf0e300f, 0x001b1141, 
      0xde0e100f, 0x001c1161, 
      0xde0de00e, 0x001d1191, 
      0xdd0db00e, 0x001e11c1, 
      0xdd0d800e, 0x001f11e1, 
      0xdc0d600d, 0x00201211, 
      0xdc0d300c, 0x00211241, 
      0xdb0d100c, 0x00211271, 
      0xdb0ce00c, 0x00221291, 
      0xda0cb00c, 0x002312c1, 
      0xd90c900b, 0x002412f1, 
      0xd90c600b, 0x00251311, 
      0xd80c400a, 0x00261341, 
      0xd70c100a, 0x00271371, 
      0xd60bf00a, 0x00281391, 
      0xd60bb009, 0x002a13c1, 
      0xd50b9008, 0x002b13f1, 
      0xd40b7008, 0x002c1411, 
      0xd30b4008, 0x002d1441, 
      0xd20b2008, 0x002e1461, 
      0xd10af008, 0x002f1491, 
      0xd00ad007, 0x003014c1, 
      0xcf0ab006, 0x003214e1, 
      0xce0a8006, 0x00331511, 
      0xcc0a6007, 0x00341531, 
      0xcb0a3007, 0x00351561, 
      0xca0a1005, 0x00371591, 
      0xc909f005, 0x003815b1, 
      0xc809c005, 0x003915e1, 
      0xc609a005, 0x003b1601, 
      0xc5098004, 0x003c1631, 
      0xc4095005, 0x003d1651, 
      0xc2093004, 0x003f1681, 
      0xc1091004, 0x004016a1, 
      0xbf08e004, 0x004216d1, 
      0xbe08c004, 0x004316f1, 
      0xbc08a003, 0x00451721, 
      0xbb088003, 0x00461741, 
      0xb9086003, 0x00481761, 
      0xb8083003, 0x00491791, 
      0xb6081003, 0x004b17b1, 
      0xb4080003, 0x004c17d1, 
      0xb307d002, 0x004e1801, 
      0xb107b002, 0x00501821, 
      0xaf079003, 0x00511841, 
      0xad077002, 0x00531871, 
      0xac074002, 0x00551891, 
      0xaa073002, 0x005618b1, 
      0xa8071002, 0x005818d1, 
      0xa606f001, 0x005a1901, 
      0xa406d001, 0x005c1921, 
      0xa206b001, 0x005e1941, 
      0xa0069002, 0x005f1961, 
      0x9e067002, 0x00611981, 
      0x9c065002, 0x006319a1,
   },
   { /* UV scale factor = 0.40, phases = 127, taps = 5. */
      0xa019e060, 0x00000621, 
      0xa219b05f, 0x00000641, 
      0xa419905d, 0x00000661, 
      0xa619705b, 0x00000681, 
      0xa8195058, 0x000106a1, 
      0xaa192057, 0x000106c1, 
      0xac190055, 0x000106e1, 
      0xad18e054, 0x00010701, 
      0xaf18c052, 0x00010721, 
      0xb1189051, 0x00010741, 
      0xb318704f, 0x00010761, 
      0xb518504c, 0x00020781, 
      0xb718204b, 0x000207a1, 
      0xb818004a, 0x000207c1, 
      0xba17d048, 0x000207f1, 
      0xbc17b046, 0x00020811, 
      0xbd179045, 0x00020831, 
      0xbf176044, 0x00020851, 
      0xc1174041, 0x00030871, 
      0xc2171040, 0x000308a1, 
      0xc416f03e, 0x000308c1, 
      0xc516c03e, 0x000308e1, 
      0xc716a03c, 0x00030901, 
      0xc816703a, 0x00040931, 
      0xc916403a, 0x00040951, 
      0xcb162038, 0x00040971, 
      0xcc15f037, 0x000409a1, 
      0xcd15d036, 0x000409c1, 
      0xcf15a033, 0x000509f1, 
      0xd0157033, 0x00050a11, 
      0xd1155032, 0x00050a31, 
      0xd2152031, 0x00050a61, 
      0xd414f02f, 0x00060a81, 
      0xd514d02d, 0x00060ab1, 
      0xd614a02d, 0x00060ad1, 
      0xd714702c, 0x00060b01, 
      0xd814502a, 0x00070b21, 
      0xd9142029, 0x00070b51, 
      0xda13f029, 0x00070b71, 
      0xdb13c027, 0x00080ba1, 
      0xdc139026, 0x00080bd1, 
      0xdc137026, 0x00080bf1, 
      0xdd134024, 0x00090c21, 
      0xde132023, 0x00090c41, 
      0xdf12f022, 0x00090c71, 
      0xdf12c021, 0x000a0ca1, 
      0xe0129021, 0x000a0cc1, 
      0xe112601f, 0x000b0cf1, 
      0xe112401e, 0x000b0d21, 
      0xe212101e, 0x000b0d41, 
      0xe211e01d, 0x000c0d71, 
      0xe311c01b, 0x000c0da1, 
      0xe311901b, 0x000d0dc1, 
      0xe411601a, 0x000d0df1, 
      0xe4113019, 0x000e0e21, 
      0xe4111019, 0x000e0e41, 
      0xe510e017, 0x000f0e71, 
      0xe510b017, 0x000f0ea1, 
      0xe5108016, 0x00100ed1, 
      0xe5105016, 0x00110ef1, 
      0xe5103015, 0x00110f21, 
      0xe5100014, 0x00120f51, 
      0xe50fd014, 0x00120f81, 
      0xe50fb013, 0x00130fa1, 
      0xe50f8012, 0x00140fd1, 
      0xe50f5012, 0x00141001, 
      0xe50f2011, 0x00151031, 
      0xe50ef011, 0x00161051, 
      0xe50ed010, 0x00161081, 
      0xe50ea00f, 0x001710b1, 
      0xe50e700e, 0x001810e1, 
      0xe40e400f, 0x00191101, 
      0xe40e200e, 0x00191131, 
      0xe40df00d, 0x001a1161, 
      0xe30dc00d, 0x001b1191, 
      0xe30d900c, 0x001c11c1, 
      0xe20d700c, 0x001d11e1, 
      0xe20d400c, 0x001d1211, 
      0xe10d200b, 0x001e1241, 
      0xe10cf00a, 0x001f1271, 
      0xe00cc00b, 0x00201291, 
      0xdf0ca00a, 0x002112c1, 
      0xdf0c7009, 0x002212f1, 
      0xde0c4009, 0x00231321, 
      0xdd0c2009, 0x00241341, 
      0xdc0bf009, 0x00251371, 
      0xdc0bd007, 0x002613a1, 
      0xdb0ba007, 0x002713d1, 
      0xda0b7008, 0x002813f1, 
      0xd90b5007, 0x00291421, 
      0xd80b2007, 0x002a1451, 
      0xd70b0007, 0x002b1471, 
      0xd60ad006, 0x002d14a1, 
      0xd50ab005, 0x002e14d1, 
      0xd40a8006, 0x002f14f1, 
      0xd20a6006, 0x00301521, 
      0xd10a3006, 0x00311551, 
      0xd00a1005, 0x00331571, 
      0xcf09f004, 0x003415a1, 
      0xcd09c005, 0x003515d1, 
      0xcc09a004, 0x003715f1, 
      0xcb097004, 0x00381621, 
      0xc9096004, 0x00391641, 
      0xc8093003, 0x003b1671, 
      0xc7090003, 0x003c16a1, 
      0xc508e004, 0x003d16c1, 
      0xc408c002, 0x003f16f1, 
      0xc208a003, 0x00401711, 
      0xc1087002, 0x00421741, 
      0xbf085003, 0x00431761, 
      0xbd083002, 0x00451791, 
      0xbc081002, 0x004617b1, 
      0xba07f002, 0x004817d1, 
      0xb807c002, 0x004a1801, 
      0xb707a002, 0x004b1821, 
      0xb5078001, 0x004d1851, 
      0xb3076001, 0x004f1871, 
      0xb1074002, 0x00501891, 
      0xaf072001, 0x005218c1, 
      0xad070001, 0x005418e1, 
      0xac06e001, 0x00551901, 
      0xaa06c000, 0x00571931, 
      0xa806a000, 0x00591951, 
      0xa6068000, 0x005b1971, 
      0xa4066000, 0x005d1991, 
      0xa2064001, 0x005e19b1, 
      0xa0062000, 0x006019e1,
   },
   { /* UV scale factor = 0.41, phases = 127, taps = 5. */
      0xa31a105e, 0x0fff05f1, 
      0xa519f05c, 0x0fff0611, 
      0xa719d05a, 0x0fff0631, 
      0xa919b058, 0x0fff0651, 
      0xab198056, 0x00000671, 
      0xad196054, 0x00000691, 
      0xaf193053, 0x000006b1, 
      0xb1191051, 0x000006d1, 
      0xb318e050, 0x000006f1, 
      0xb518c04e, 0x00000711, 
      0xb718a04c, 0x00000731, 
      0xb918704b, 0x00000751, 
      0xbb184048, 0x00010781, 
      0xbc182047, 0x000107a1, 
      0xbe180045, 0x000107c1, 
      0xc017d044, 0x000107e1, 
      0xc217b042, 0x00010801, 
      0xc3179041, 0x00010821, 
      0xc517503f, 0x00020851, 
      0xc717303d, 0x00020871, 
      0xc817103c, 0x00020891, 
      0xca16e03a, 0x000208c1, 
      0xcb16b03a, 0x000208e1, 
      0xcd169038, 0x00020901, 
      0xce166036, 0x00030931, 
      0xd0163035, 0x00030951, 
      0xd1161034, 0x00030971, 
      0xd215e033, 0x000309a1, 
      0xd415b032, 0x000309c1, 
      0xd5158030, 0x000409f1, 
      0xd615602f, 0x00040a11, 
      0xd715302e, 0x00040a41, 
      0xd915102c, 0x00040a61, 
      0xda14d02b, 0x00050a91, 
      0xdb14b02a, 0x00050ab1, 
      0xdc148029, 0x00050ae1, 
      0xdd146028, 0x00050b01, 
      0xde143026, 0x00060b31, 
      0xdf140026, 0x00060b51, 
      0xe013d025, 0x00060b81, 
      0xe113a023, 0x00070bb1, 
      0xe2138022, 0x00070bd1, 
      0xe2135022, 0x00070c01, 
      0xe3132021, 0x00080c21, 
      0xe412f020, 0x00080c51, 
      0xe512c01f, 0x00080c81, 
      0xe512a01e, 0x00090ca1, 
      0xe612701d, 0x00090cd1, 
      0xe712401c, 0x00090d01, 
      0xe712101b, 0x000a0d31, 
      0xe811e01b, 0x000a0d51, 
      0xe811b01a, 0x000b0d81, 
      0xe9119018, 0x000b0db1, 
      0xe9116017, 0x000c0de1, 
      0xe9113018, 0x000c0e01, 
      0xea110016, 0x000d0e31, 
      0xea10d016, 0x000d0e61, 
      0xea10a015, 0x000e0e91, 
      0xeb108014, 0x000e0eb1, 
      0xeb105013, 0x000f0ee1, 
      0xeb102013, 0x000f0f11, 
      0xeb0ff012, 0x00100f41, 
      0xeb0fc012, 0x00100f71, 
      0xeb0f9012, 0x00110f91, 
      0xeb0f7010, 0x00120fc1, 
      0xeb0f4010, 0x00120ff1, 
      0xeb0f100f, 0x00131021, 
      0xeb0ee00e, 0x00141051, 
      0xeb0eb00e, 0x00141081, 
      0xea0e900e, 0x001510a1, 
      0xea0e600d, 0x001610d1, 
      0xea0e300d, 0x00161101, 
      0xe90e000d, 0x00171131, 
      0xe90de00b, 0x00181161, 
      0xe90da00b, 0x00191191, 
      0xe80d800b, 0x001a11b1, 
      0xe80d500b, 0x001a11e1, 
      0xe70d300a, 0x001b1211, 
      0xe70d0009, 0x001c1241, 
      0xe60cd009, 0x001d1271, 
      0xe50ca009, 0x001e12a1, 
      0xe50c8008, 0x001f12c1, 
      0xe40c5008, 0x002012f1, 
      0xe30c2008, 0x00211321, 
      0xe20c0007, 0x00221351, 
      0xe20bd006, 0x00231381, 
      0xe10bb006, 0x002413a1, 
      0xe00b8006, 0x002513d1, 
      0xdf0b5006, 0x00261401, 
      0xde0b3005, 0x00271431, 
      0xdd0b0005, 0x00281461, 
      0xdc0ae005, 0x00291481, 
      0xdb0ab005, 0x002a14b1, 
      0xda0a9004, 0x002b14e1, 
      0xd90a6004, 0x002c1511, 
      0xd70a4004, 0x002e1531, 
      0xd60a1004, 0x002f1561, 
      0xd509f003, 0x00301591, 
      0xd409c004, 0x003115b1, 
      0xd209a003, 0x003315e1, 
      0xd1097003, 0x00341611, 
      0xd0095003, 0x00351631, 
      0xce093002, 0x00371661, 
      0xcd090002, 0x00381691, 
      0xcb08e003, 0x003916b1, 
      0xca08b002, 0x003b16e1, 
      0xc8089002, 0x003c1711, 
      0xc7087001, 0x003e1731, 
      0xc5085001, 0x003f1761, 
      0xc3082002, 0x00411781, 
      0xc2080001, 0x004217b1, 
      0xc007e001, 0x004417d1, 
      0xbe07c001, 0x00451801, 
      0xbc07a001, 0x00471821, 
      0xbb078000, 0x00481851, 
      0xb9075001, 0x004a1871, 
      0xb7073000, 0x004c18a1, 
      0xb5071001, 0x004d18c1, 
      0xb306f001, 0x004f18e1, 
      0xb106d000, 0x00511911, 
      0xaf06b000, 0x00531931, 
      0xad069000, 0x00541961, 
      0xab067000, 0x00561981, 
      0xa9065000, 0x005819a1, 
      0xa7063000, 0x005a19c1, 
      0xa5061fff, 0x005c19f1, 
      0xa305f000, 0x005d1a11,
   },
   { /* UV scale factor = 0.42, phases = 127, taps = 5. */
      0xa71a405b, 0x0ffe05c1, 
      0xa91a2059, 0x0ffe05e1, 
      0xab1a0057, 0x0ffe0601, 
      0xad19d055, 0x0fff0621, 
      0xaf19b053, 0x0fff0641, 
      0xb1199051, 0x0fff0661, 
      0xb3196050, 0x0fff0681, 
      0xb519404e, 0x0fff06a1, 
      0xb719104d, 0x0fff06c1, 
      0xb918f04b, 0x0fff06e1, 
      0xbb18d049, 0x0fff0701, 
      0xbd189047, 0x00000731, 
      0xbf187045, 0x00000751, 
      0xc1185043, 0x00000771, 
      0xc2182043, 0x00000791, 
      0xc4180041, 0x000007b1, 
      0xc617d040, 0x000007d1, 
      0xc817a03e, 0x00000801, 
      0xc917803d, 0x00000821, 
      0xcb17503b, 0x00010841, 
      0xcd172039, 0x00010871, 
      0xce170038, 0x00010891, 
      0xd016d037, 0x000108b1, 
      0xd116a036, 0x000108e1, 
      0xd3168034, 0x00010901, 
      0xd4165033, 0x00020921, 
      0xd6162031, 0x00020951, 
      0xd7160030, 0x00020971, 
      0xd915d02e, 0x000209a1, 
      0xda15a02e, 0x000209c1, 
      0xdb15702c, 0x000309f1, 
      0xdc15502b, 0x00030a11, 
      0xde152029, 0x00030a41, 
      0xdf14f029, 0x00030a61, 
      0xe014c027, 0x00040a91, 
      0xe1149027, 0x00040ab1, 
      0xe2146026, 0x00040ae1, 
      0xe3144024, 0x00040b11, 
      0xe4141023, 0x00050b31, 
      0xe513e022, 0x00050b61, 
      0xe613b022, 0x00050b81, 
      0xe7138020, 0x00060bb1, 
      0xe813501f, 0x00060be1, 
      0xe913201f, 0x00060c01, 
      0xea12f01e, 0x00060c31, 
      0xea12d01c, 0x00070c61, 
      0xeb12a01b, 0x00070c91, 
      0xec12701a, 0x00080cb1, 
      0xec12401a, 0x00080ce1, 
      0xed121019, 0x00080d11, 
      0xed11e018, 0x00090d41, 
      0xee11b018, 0x00090d61, 
      0xee118017, 0x000a0d91, 
      0xef115016, 0x000a0dc1, 
      0xef112016, 0x000a0df1, 
      0xf010f014, 0x000b0e21, 
      0xf010d014, 0x000b0e41, 
      0xf010a013, 0x000c0e71, 
      0xf0107013, 0x000c0ea1, 
      0xf0104012, 0x000d0ed1, 
      0xf1101011, 0x000d0f01, 
      0xf10fe010, 0x000e0f31, 
      0xf10fb00f, 0x000f0f61, 
      0xf10f8010, 0x000f0f81, 
      0xf10f600e, 0x00100fb1, 
      0xf10f300e, 0x00100fe1, 
      0xf10f000d, 0x00111011, 
      0xf00ed00d, 0x00121041, 
      0xf00ea00d, 0x00121071, 
      0xf00e700c, 0x001310a1, 
      0xf00e400b, 0x001410d1, 
      0xf00e200a, 0x00141101, 
      0xef0df00b, 0x00151121, 
      0xef0dc00a, 0x00161151, 
      0xee0d900a, 0x00171181, 
      0xee0d600a, 0x001711b1, 
      0xed0d4009, 0x001811e1, 
      0xed0d1008, 0x00191211, 
      0xec0ce008, 0x001a1241, 
      0xec0cb007, 0x001b1271, 
      0xeb0c8007, 0x001c12a1, 
      0xea0c6007, 0x001c12d1, 
      0xea0c3007, 0x001d12f1, 
      0xe90c0007, 0x001e1321, 
      0xe80be006, 0x001f1351, 
      0xe70bb006, 0x00201381, 
      0xe60b8006, 0x002113b1, 
      0xe50b6005, 0x002213e1, 
      0xe40b3005, 0x00231411, 
      0xe30b1004, 0x00241441, 
      0xe20ae005, 0x00251461, 
      0xe10ac004, 0x00261491, 
      0xe00a9003, 0x002814c1, 
      0xdf0a6003, 0x002914f1, 
      0xde0a3003, 0x002a1521, 
      0xdc0a2003, 0x002b1541, 
      0xdb09f003, 0x002c1571, 
      0xda09c003, 0x002d15a1, 
      0xd9099002, 0x002f15d1, 
      0xd7097002, 0x00301601, 
      0xd6095002, 0x00311621, 
      0xd4092002, 0x00331651, 
      0xd3090001, 0x00341681, 
      0xd108e002, 0x003516a1, 
      0xd008b001, 0x003716d1, 
      0xce089001, 0x00381701, 
      0xcd087000, 0x00391731, 
      0xcb084001, 0x003b1751, 
      0xc9082001, 0x003c1781, 
      0xc8080000, 0x003e17a1, 
      0xc607d001, 0x003f17d1, 
      0xc407b000, 0x00411801, 
      0xc207a000, 0x00421821, 
      0xc1077fff, 0x00441851, 
      0xbf075fff, 0x00461871, 
      0xbd073fff, 0x004718a1, 
      0xbb070000, 0x004918c1, 
      0xb906e000, 0x004a18f1, 
      0xb706c000, 0x004c1911, 
      0xb506afff, 0x004e1941, 
      0xb3068fff, 0x00501961, 
      0xb1066fff, 0x00511991, 
      0xaf064fff, 0x005319b1, 
      0xad062fff, 0x005519d1, 
      0xab060ffe, 0x00571a01, 
      0xa905effe, 0x00591a21, 
      0xa705cffe, 0x005b1a41,
   },
   { /* UV scale factor = 0.43, phases = 127, taps = 5. */
      0xaa1a8058, 0x0ffd0591, 
      0xac1a6056, 0x0ffd05b1, 
      0xae1a3054, 0x0ffe05d1, 
      0xb11a1051, 0x0ffe05f1, 
      0xb319e050, 0x0ffe0611, 
      0xb519c04e, 0x0ffe0631, 
      0xb719904d, 0x0ffe0651, 
      0xb919704b, 0x0ffe0671, 
      0xbb19404a, 0x0ffe0691, 
      0xbd192048, 0x0ffe06b1, 
      0xbf190046, 0x0ffe06d1, 
      0xc118c044, 0x0fff0701, 
      0xc318a042, 0x0fff0721, 
      0xc5187041, 0x0fff0741, 
      0xc718503f, 0x0fff0761, 
      0xc918203e, 0x0fff0781, 
      0xca17f03d, 0x0fff07b1, 
      0xcc17d03b, 0x0fff07d1, 
      0xce17a03a, 0x0fff07f1, 
      0xd0177038, 0x00000811, 
      0xd1175036, 0x00000841, 
      0xd3172035, 0x00000861, 
      0xd516f034, 0x00000881, 
      0xd616c033, 0x000008b1, 
      0xd8169032, 0x000008d1, 
      0xd916702f, 0x00010901, 
      0xdb16402e, 0x00010921, 
      0xdc16102d, 0x00010951, 
      0xde15e02c, 0x00010971, 
      0xdf15b02b, 0x000109a1, 
      0xe015902a, 0x000109c1, 
      0xe2155028, 0x000209f1, 
      0xe3153027, 0x00020a11, 
      0xe4150026, 0x00020a41, 
      0xe614d025, 0x00020a61, 
      0xe714a023, 0x00030a91, 
      0xe8147022, 0x00030ac1, 
      0xe9144022, 0x00030ae1, 
      0xea141021, 0x00030b11, 
      0xeb13e01f, 0x00040b41, 
      0xec13b01f, 0x00040b61, 
      0xed13901d, 0x00040b91, 
      0xee13601c, 0x00040bc1, 
      0xee13301c, 0x00050be1, 
      0xef13001b, 0x00050c11, 
      0xf012d01a, 0x00050c41, 
      0xf1129019, 0x00060c71, 
      0xf1127019, 0x00060c91, 
      0xf2124018, 0x00060cc1, 
      0xf3121016, 0x00070cf1, 
      0xf311e016, 0x00070d21, 
      0xf411a015, 0x00080d51, 
      0xf4118014, 0x00080d81, 
      0xf5115014, 0x00080da1, 
      0xf5112013, 0x00090dd1, 
      0xf510f013, 0x00090e01, 
      0xf610c011, 0x000a0e31, 
      0xf6109011, 0x000a0e61, 
      0xf6106010, 0x000b0e91, 
      0xf6103010, 0x000b0ec1, 
      0xf710000e, 0x000c0ef1, 
      0xf70fd00e, 0x000c0f21, 
      0xf70fa00e, 0x000d0f41, 
      0xf70f700e, 0x000d0f71, 
      0xf70f400d, 0x000e0fa1, 
      0xf70f200c, 0x000e0fd1, 
      0xf70ef00b, 0x000f1001, 
      0xf60ec00b, 0x00101031, 
      0xf60e900b, 0x00101061, 
      0xf60e600a, 0x00111091, 
      0xf60e3009, 0x001210c1, 
      0xf50e000a, 0x001210f1, 
      0xf50dd009, 0x00131121, 
      0xf50da008, 0x00141151, 
      0xf40d8008, 0x00141181, 
      0xf40d5007, 0x001511b1, 
      0xf30d2007, 0x001611e1, 
      0xf30cf006, 0x00171211, 
      0xf20cc006, 0x00181241, 
      0xf10c9007, 0x00181271, 
      0xf10c7005, 0x001912a1, 
      0xf00c4005, 0x001a12d1, 
      0xef0c1005, 0x001b1301, 
      0xee0be005, 0x001c1331, 
      0xee0bb004, 0x001d1361, 
      0xed0b8004, 0x001e1391, 
      0xec0b6004, 0x001f13b1, 
      0xeb0b4003, 0x002013e1, 
      0xea0b1003, 0x00211411, 
      0xe90ae003, 0x00221441, 
      0xe80ac002, 0x00231471, 
      0xe70a9002, 0x002414a1, 
      0xe50a6003, 0x002514d1, 
      0xe40a4002, 0x00261501, 
      0xe30a1002, 0x00271531, 
      0xe209f001, 0x00281561, 
      0xe009c002, 0x00291591, 
      0xdf09a001, 0x002b15b1, 
      0xde097001, 0x002c15e1, 
      0xdc095001, 0x002d1611, 
      0xdb092001, 0x002e1641, 
      0xd9090000, 0x00301671, 
      0xd808d001, 0x00311691, 
      0xd608b001, 0x003216c1, 
      0xd5088000, 0x003416f1, 
      0xd3086000, 0x00351721, 
      0xd1084fff, 0x00371751, 
      0xd0081000, 0x00381771, 
      0xce07f000, 0x003917a1, 
      0xcc07dfff, 0x003b17d1, 
      0xca07b000, 0x003c17f1, 
      0xc9078fff, 0x003e1821, 
      0xc7076fff, 0x003f1851, 
      0xc5074fff, 0x00411871, 
      0xc3072ffe, 0x004318a1, 
      0xc1070ffe, 0x004418d1, 
      0xbf06dfff, 0x004618f1, 
      0xbd06bfff, 0x00471921, 
      0xbb069fff, 0x00491941, 
      0xb9067ffe, 0x004b1971, 
      0xb7065ffe, 0x004d1991, 
      0xb5063ffe, 0x004e19c1, 
      0xb3061ffe, 0x005019e1, 
      0xb105fffd, 0x00521a11, 
      0xae05dffe, 0x00541a31, 
      0xac05bffe, 0x00561a51, 
      0xaa059ffd, 0x00581a81,
   },
   { /* UV scale factor = 0.44, phases = 127, taps = 5. */
      0xae1ab055, 0x0ffc0561, 
      0xb01a9052, 0x0ffd0581, 
      0xb21a6051, 0x0ffd05a1, 
      0xb41a404f, 0x0ffd05c1, 
      0xb71a104d, 0x0ffd05e1, 
      0xb919f04b, 0x0ffd0601, 
      0xbb19c04a, 0x0ffd0621, 
      0xbd19a048, 0x0ffd0641, 
      0xbf197047, 0x0ffd0661, 
      0xc1195045, 0x0ffd0681, 
      0xc3192043, 0x0ffe06a1, 
      0xc518f041, 0x0ffe06d1, 
      0xc718d03f, 0x0ffe06f1, 
      0xc918a03e, 0x0ffe0711, 
      0xcb18703d, 0x0ffe0731, 
      0xcd18503b, 0x0ffe0751, 
      0xcf182039, 0x0ffe0781, 
      0xd117f038, 0x0ffe07a1, 
      0xd317c037, 0x0ffe07c1, 
      0xd4179035, 0x0fff07f1, 
      0xd6177033, 0x0fff0811, 
      0xd8174032, 0x0fff0831, 
      0xda171030, 0x0fff0861, 
      0xdb16e030, 0x0fff0881, 
      0xdd16b02f, 0x0fff08a1, 
      0xde16902d, 0x0fff08d1, 
      0xe016502c, 0x000008f1, 
      0xe116202b, 0x00000921, 
      0xe3160029, 0x00000941, 
      0xe415d028, 0x00000971, 
      0xe615a027, 0x00000991, 
      0xe7157026, 0x000009c1, 
      0xe8154024, 0x000109f1, 
      0xea151023, 0x00010a11, 
      0xeb14e022, 0x00010a41, 
      0xec14b021, 0x00010a71, 
      0xed148020, 0x00020a91, 
      0xee14501f, 0x00020ac1, 
      0xef14201e, 0x00020af1, 
      0xf013f01e, 0x00020b11, 
      0xf113c01d, 0x00020b41, 
      0xf213901b, 0x00030b71, 
      0xf313601b, 0x00030b91, 
      0xf413301a, 0x00030bc1, 
      0xf5130018, 0x00040bf1, 
      0xf612d017, 0x00040c21, 
      0xf712a016, 0x00040c51, 
      0xf7127017, 0x00040c71, 
      0xf8124015, 0x00050ca1, 
      0xf9121014, 0x00050cd1, 
      0xf911e013, 0x00060d01, 
      0xfa11b012, 0x00060d31, 
      0xfa118012, 0x00060d61, 
      0xfb114011, 0x00070d91, 
      0xfb111011, 0x00070dc1, 
      0xfb10e011, 0x00070df1, 
      0xfc10b00f, 0x00080e21, 
      0xfc10900f, 0x00080e41, 
      0xfc10500f, 0x00090e71, 
      0xfc10300e, 0x00090ea1, 
      0xfd0ff00d, 0x000a0ed1, 
      0xfd0fc00d, 0x000a0f01, 
      0xfd0f900c, 0x000b0f31, 
      0xfd0f600c, 0x000b0f61, 
      0xfd0f300b, 0x000c0f91, 
      0xfd0f000b, 0x000c0fc1, 
      0xfd0ed00a, 0x000d0ff1, 
      0xfc0ea00a, 0x000e1021, 
      0xfc0e8009, 0x000e1051, 
      0xfc0e4009, 0x000f1081, 
      0xfc0e2008, 0x000f10b1, 
      0xfb0df008, 0x001010e1, 
      0xfb0dc007, 0x00111111, 
      0xfb0d9006, 0x00111151, 
      0xfa0d6006, 0x00121181, 
      0xfa0d3005, 0x001311b1, 
      0xf90d0005, 0x001411e1, 
      0xf90cd005, 0x00141211, 
      0xf80ca005, 0x00151241, 
      0xf70c7005, 0x00161271, 
      0xf70c4004, 0x001712a1, 
      0xf60c2003, 0x001812d1, 
      0xf50bf003, 0x00191301, 
      0xf40bc004, 0x00191331, 
      0xf30ba003, 0x001a1361, 
      0xf20b7003, 0x001b1391, 
      0xf10b4003, 0x001c13c1, 
      0xf00b1003, 0x001d13f1, 
      0xef0af002, 0x001e1421, 
      0xee0ac002, 0x001f1451, 
      0xed0a9002, 0x00201481, 
      0xec0a7001, 0x002114b1, 
      0xeb0a4001, 0x002214e1, 
      0xea0a1001, 0x00231511, 
      0xe809f001, 0x00241541, 
      0xe709c000, 0x00261571, 
      0xe6099000, 0x002715a1, 
      0xe4097000, 0x002815d1, 
      0xe3094000, 0x00291601, 
      0xe2092000, 0x002a1621, 
      0xe008f000, 0x002c1651, 
      0xde08d000, 0x002d1681, 
      0xdd08a000, 0x002e16b1, 
      0xdb088000, 0x002f16e1, 
      0xda085fff, 0x00311711, 
      0xd8083fff, 0x00321741, 
      0xd6081ffe, 0x00341771, 
      0xd507fffe, 0x00351791, 
      0xd307cfff, 0x003617c1, 
      0xd107affe, 0x003817f1, 
      0xcf078ffe, 0x00391821, 
      0xcd075fff, 0x003b1841, 
      0xcb074ffe, 0x003c1871, 
      0xc9071ffe, 0x003e18a1, 
      0xc706fffd, 0x004018d1, 
      0xc506dffe, 0x004118f1, 
      0xc306affe, 0x00431921, 
      0xc1069ffe, 0x00441941, 
      0xbf066ffe, 0x00461971, 
      0xbd064ffd, 0x004819a1, 
      0xbb062ffd, 0x004a19c1, 
      0xb9060ffd, 0x004b19f1, 
      0xb705effd, 0x004d1a11, 
      0xb405cffd, 0x004f1a41, 
      0xb205affd, 0x00511a61, 
      0xb0058ffc, 0x00531a91, 
      0xae056ffd, 0x00541ab1,
   },
   { /* UV scale factor = 0.45, phases = 127, taps = 5. */
      0xb11af051, 0x0ffc0531, 
      0xb41ac04f, 0x0ffc0551, 
      0xb61aa04d, 0x0ffc0571, 
      0xb81a704c, 0x0ffc0591, 
      0xbb1a5049, 0x0ffc05b1, 
      0xbd1a2048, 0x0ffc05d1, 
      0xbf19f047, 0x0ffc05f1, 
      0xc119d045, 0x0ffc0611, 
      0xc319a044, 0x0ffc0631, 
      0xc6197041, 0x0ffd0651, 
      0xc819503f, 0x0ffd0671, 
      0xca19203e, 0x0ffd0691, 
      0xcc18f03c, 0x0ffd06c1, 
      0xce18c03b, 0x0ffd06e1, 
      0xd018a039, 0x0ffd0701, 
      0xd2187038, 0x0ffd0721, 
      0xd4184036, 0x0ffd0751, 
      0xd6181035, 0x0ffd0771, 
      0xd817e034, 0x0ffd0791, 
      0xd917b032, 0x0ffe07c1, 
      0xdb179030, 0x0ffe07e1, 
      0xdd17602f, 0x0ffe0801, 
      0xdf17302d, 0x0ffe0831, 
      0xe017002d, 0x0ffe0851, 
      0xe216d02b, 0x0ffe0881, 
      0xe416a02a, 0x0ffe08a1, 
      0xe5167028, 0x0fff08d1, 
      0xe7164027, 0x0fff08f1, 
      0xe8161026, 0x0fff0921, 
      0xea15e025, 0x0fff0941, 
      0xeb15b024, 0x0fff0971, 
      0xed158023, 0x0fff0991, 
      0xee155022, 0x0fff09c1, 
      0xef152020, 0x000009f1, 
      0xf014f020, 0x00000a11, 
      0xf214c01e, 0x00000a41, 
      0xf314901d, 0x00000a71, 
      0xf414601d, 0x00000a91, 
      0xf514301b, 0x00010ac1, 
      0xf613f01b, 0x00010af1, 
      0xf713c01a, 0x00010b21, 
      0xf813a019, 0x00010b41, 
      0xf9136018, 0x00020b71, 
      0xfa133017, 0x00020ba1, 
      0xfb130016, 0x00020bd1, 
      0xfc12d015, 0x00020c01, 
      0xfd129014, 0x00030c31, 
      0xfd127014, 0x00030c51, 
      0xfe124013, 0x00030c81, 
      0xff120012, 0x00040cb1, 
      0xff11d012, 0x00040ce1, 
      0x0011a011, 0x00040d12, 
      0x00117010, 0x00050d42, 
      0x0111400f, 0x00050d72, 
      0x0111100f, 0x00050da2, 
      0x0210e00d, 0x00060dd2, 
      0x0210b00d, 0x00060e02, 
      0x0210800c, 0x00070e32, 
      0x0210400d, 0x00070e62, 
      0x0310100c, 0x00070e92, 
      0x030fe00b, 0x00080ec2, 
      0x030fb00b, 0x00080ef2, 
      0x030f800a, 0x00090f22, 
      0x030f500a, 0x00090f52, 
      0x030f2009, 0x000a0f82, 
      0x030ef009, 0x000a0fb2, 
      0x030ec008, 0x000b0fe2, 
      0x030e9007, 0x000c1012, 
      0x020e6008, 0x000c1042, 
      0x020e3006, 0x000d1082, 
      0x020e0006, 0x000d10b2, 
      0x020dd005, 0x000e10e2, 
      0x010da005, 0x000f1112, 
      0x010d7005, 0x000f1142, 
      0x000d4005, 0x00101172, 
      0x000d1004, 0x001111a2, 
      0xff0cf004, 0x001111d1, 
      0xff0cb004, 0x00121201, 
      0xfe0c8003, 0x00131241, 
      0xfd0c5003, 0x00141271, 
      0xfd0c3002, 0x001412a1, 
      0xfc0c0002, 0x001512d1, 
      0xfb0bd002, 0x00161301, 
      0xfa0ba002, 0x00171331, 
      0xf90b7002, 0x00181361, 
      0xf80b4002, 0x00191391, 
      0xf70b2001, 0x001a13c1, 
      0xf60af001, 0x001b13f1, 
      0xf50ac000, 0x001c1431, 
      0xf40a9000, 0x001d1461, 
      0xf30a6000, 0x001e1491, 
      0xf20a3000, 0x001f14c1, 
      0xf00a1000, 0x002014f1, 
      0xef09ffff, 0x00211521, 
      0xee09cfff, 0x00221551, 
      0xed099fff, 0x00231581, 
      0xeb097fff, 0x002415b1, 
      0xea094fff, 0x002515e1, 
      0xe8092fff, 0x00261611, 
      0xe708fffe, 0x00281641, 
      0xe508dffe, 0x00291671, 
      0xe408affe, 0x002a16a1, 
      0xe2088ffe, 0x002b16d1, 
      0xe0085ffe, 0x002d1701, 
      0xdf083ffd, 0x002e1731, 
      0xdd080ffe, 0x002f1761, 
      0xdb07effd, 0x00311791, 
      0xd907cffe, 0x003217b1, 
      0xd8079ffe, 0x003317e1, 
      0xd6077ffd, 0x00351811, 
      0xd4075ffd, 0x00361841, 
      0xd2072ffd, 0x00381871, 
      0xd0070ffd, 0x003918a1, 
      0xce06effd, 0x003b18c1, 
      0xcc06cffd, 0x003c18f1, 
      0xca069ffd, 0x003e1921, 
      0xc8067ffc, 0x00401951, 
      0xc6065ffd, 0x00411971, 
      0xc3063ffd, 0x004319a1, 
      0xc1061ffc, 0x004519d1, 
      0xbf05fffd, 0x004619f1, 
      0xbd05dffc, 0x00481a21, 
      0xbb05affc, 0x004a1a51, 
      0xb8059ffc, 0x004c1a71, 
      0xb6057ffb, 0x004e1aa1, 
      0xb4055ffc, 0x004f1ac1, 
      0xb1053ffc, 0x00511af1,
   },
   { /* UV scale factor = 0.46, phases = 127, taps = 5. */
      0xb51b204e, 0x0ffb0501, 
      0xb71b004c, 0x0ffb0521, 
      0xba1ad04a, 0x0ffb0541, 
      0xbc1ab048, 0x0ffb0561, 
      0xbf1a8046, 0x0ffb0581, 
      0xc11a5045, 0x0ffb05a1, 
      0xc31a2044, 0x0ffb05c1, 
      0xc51a0042, 0x0ffb05e1, 
      0xc819d03f, 0x0ffc0601, 
      0xca19a03e, 0x0ffc0621, 
      0xcc19703d, 0x0ffc0641, 
      0xce19503b, 0x0ffc0661, 
      0xd019203a, 0x0ffc0681, 
      0xd318f037, 0x0ffc06b1, 
      0xd518c036, 0x0ffc06d1, 
      0xd7189035, 0x0ffc06f1, 
      0xd9186034, 0x0ffc0711, 
      0xdb183032, 0x0ffc0741, 
      0xdc180031, 0x0ffd0761, 
      0xde17e02f, 0x0ffd0781, 
      0xe017b02d, 0x0ffd07b1, 
      0xe217802c, 0x0ffd07d1, 
      0xe417502a, 0x0ffd0801, 
      0xe6172029, 0x0ffd0821, 
      0xe716f028, 0x0ffd0851, 
      0xe916b028, 0x0ffd0871, 
      0xeb168026, 0x0ffd08a1, 
      0xec165025, 0x0ffe08c1, 
      0xee162023, 0x0ffe08f1, 
      0xef15f023, 0x0ffe0911, 
      0xf115c021, 0x0ffe0941, 
      0xf2159020, 0x0ffe0971, 
      0xf415601f, 0x0ffe0991, 
      0xf515301e, 0x0ffe09c1, 
      0xf615001c, 0x0fff09f1, 
      0xf814d01b, 0x0fff0a11, 
      0xf914901b, 0x0fff0a41, 
      0xfa14601a, 0x0fff0a71, 
      0xfb143019, 0x0fff0aa1, 
      0xfc140018, 0x00000ac1, 
      0xfd13d017, 0x00000af1, 
      0xfe13a016, 0x00000b21, 
      0xff136016, 0x00000b51, 
      0x00133015, 0x00000b82, 
      0x01130013, 0x00010bb2, 
      0x0212d013, 0x00010bd2, 
      0x0312a012, 0x00010c02, 
      0x03126012, 0x00020c32, 
      0x04123011, 0x00020c62, 
      0x05120010, 0x00020c92, 
      0x0511d010, 0x00020cc2, 
      0x0611a00e, 0x00030cf2, 
      0x0711700d, 0x00030d22, 
      0x0711300e, 0x00030d52, 
      0x0711000d, 0x00040d82, 
      0x0810d00c, 0x00040db2, 
      0x0810a00c, 0x00040de2, 
      0x0910700a, 0x00050e12, 
      0x0910400a, 0x00050e42, 
      0x0910000a, 0x00060e72, 
      0x090fd009, 0x00060eb2, 
      0x090fa008, 0x00070ee2, 
      0x090f7008, 0x00070f12, 
      0x090f4008, 0x00070f42, 
      0x090f1007, 0x00080f72, 
      0x090ee007, 0x00080fa2, 
      0x090eb006, 0x00090fd2, 
      0x090e7006, 0x000a1002, 
      0x090e4005, 0x000a1042, 
      0x090e1004, 0x000b1072, 
      0x080de005, 0x000b10a2, 
      0x080db004, 0x000c10d2, 
      0x070d9004, 0x000c1102, 
      0x070d5004, 0x000d1132, 
      0x060d2003, 0x000e1172, 
      0x060cf003, 0x000e11a2, 
      0x050cc003, 0x000f11d2, 
      0x050c9002, 0x00101202, 
      0x040c6002, 0x00111232, 
      0x030c4002, 0x00111262, 
      0x030c0001, 0x001212a2, 
      0x020bd001, 0x001312d2, 
      0x010bb000, 0x00141302, 
      0x000b8001, 0x00141332, 
      0xff0b5001, 0x00151361, 
      0xfe0b2000, 0x001613a1, 
      0xfd0af000, 0x001713d1, 
      0xfc0ac000, 0x00181401, 
      0xfb0aafff, 0x00191431, 
      0xfa0a7fff, 0x001a1461, 
      0xf90a4fff, 0x001b1491, 
      0xf80a1ffe, 0x001c14d1, 
      0xf609fffe, 0x001d1501, 
      0xf509cffe, 0x001e1531, 
      0xf4099ffe, 0x001f1561, 
      0xf2097ffe, 0x00201591, 
      0xf1094ffe, 0x002115c1, 
      0xef092ffe, 0x002215f1, 
      0xee08fffe, 0x00231621, 
      0xec08cffe, 0x00251651, 
      0xeb08affd, 0x00261681, 
      0xe9087ffe, 0x002716b1, 
      0xe7085ffd, 0x002816f1, 
      0xe5082ffd, 0x002a1721, 
      0xe4080ffc, 0x002b1751, 
      0xe207dffd, 0x002c1781, 
      0xe007bffc, 0x002e17b1, 
      0xde078ffd, 0x002f17e1, 
      0xdc077ffd, 0x00301801, 
      0xdb074ffc, 0x00321831, 
      0xd9071ffd, 0x00331861, 
      0xd706fffc, 0x00351891, 
      0xd506dffc, 0x003618c1, 
      0xd306affc, 0x003818f1, 
      0xd0069ffc, 0x00391921, 
      0xce066ffc, 0x003b1951, 
      0xcc064ffc, 0x003d1971, 
      0xca062ffc, 0x003e19a1, 
      0xc8060ffb, 0x004019d1, 
      0xc505effb, 0x00421a01, 
      0xc305cffc, 0x00431a21, 
      0xc105affb, 0x00451a51, 
      0xbf057ffb, 0x00471a81, 
      0xbc055ffb, 0x00491ab1, 
      0xba054ffb, 0x004a1ad1, 
      0xb7052ffb, 0x004c1b01, 
      0xb5050ffb, 0x004e1b21,
   },
   { /* UV scale factor = 0.47, phases = 127, taps = 5. */
      0xb91b604a, 0x0ffa04d1, 
      0xbb1b3049, 0x0ffa04f1, 
      0xbe1b1047, 0x0ffa0501, 
      0xc01ae046, 0x0ffa0521, 
      0xc31ab044, 0x0ffa0541, 
      0xc51a8042, 0x0ffb0561, 
      0xc71a6040, 0x0ffb0581, 
      0xca1a303e, 0x0ffb05a1, 
      0xcc1a003c, 0x0ffb05d1, 
      0xce19d03b, 0x0ffb05f1, 
      0xd119a039, 0x0ffb0611, 
      0xd3197038, 0x0ffb0631, 
      0xd5194037, 0x0ffb0651, 
      0xd7192035, 0x0ffb0671, 
      0xd918f033, 0x0ffb06a1, 
      0xdb18c032, 0x0ffb06c1, 
      0xdd189031, 0x0ffb06e1, 
      0xe018502e, 0x0ffc0711, 
      0xe218202d, 0x0ffc0731, 
      0xe318002c, 0x0ffc0751, 
      0xe517d02a, 0x0ffc0781, 
      0xe717902a, 0x0ffc07a1, 
      0xe9176028, 0x0ffc07d1, 
      0xeb173027, 0x0ffc07f1, 
      0xed170025, 0x0ffc0821, 
      0xee16d025, 0x0ffc0841, 
      0xf016a023, 0x0ffc0871, 
      0xf2167021, 0x0ffd0891, 
      0xf3164020, 0x0ffd08c1, 
      0xf5160020, 0x0ffd08e1, 
      0xf615d01f, 0x0ffd0911, 
      0xf815a01d, 0x0ffd0941, 
      0xf915701d, 0x0ffd0961, 
      0xfb15401b, 0x0ffd0991, 
      0xfc15001b, 0x0ffd09c1, 
      0xfd14d019, 0x0ffe09f1, 
      0xff14a018, 0x0ffe0a11, 
      0x00147017, 0x0ffe0a42, 
      0x01144016, 0x0ffe0a72, 
      0x02140016, 0x0ffe0aa2, 
      0x0313d014, 0x0fff0ad2, 
      0x0413a014, 0x0fff0af2, 
      0x05137013, 0x0fff0b22, 
      0x06133013, 0x0fff0b52, 
      0x07130012, 0x0fff0b82, 
      0x0812d010, 0x00000bb2, 
      0x0912a00f, 0x00000be2, 
      0x0a12600f, 0x00000c12, 
      0x0b12300e, 0x00000c42, 
      0x0b12000d, 0x00010c72, 
      0x0c11c00d, 0x00010ca2, 
      0x0c11900d, 0x00010cd2, 
      0x0d11600c, 0x00010d02, 
      0x0d11300b, 0x00020d32, 
      0x0e10f00b, 0x00020d62, 
      0x0e10d00a, 0x00020d92, 
      0x0f109009, 0x00030dc2, 
      0x0f106008, 0x00030e02, 
      0x0f102008, 0x00040e32, 
      0x0f0ff008, 0x00040e62, 
      0x100fc007, 0x00040e92, 
      0x100f9006, 0x00050ec2, 
      0x100f6006, 0x00050ef2, 
      0x100f2006, 0x00060f22, 
      0x100ef005, 0x00060f62, 
      0x100ec004, 0x00070f92, 
      0x100e9004, 0x00070fc2, 
      0x0f0e6004, 0x00080ff2, 
      0x0f0e3003, 0x00081032, 
      0x0f0df003, 0x00091062, 
      0x0f0dc003, 0x00091092, 
      0x0e0d9003, 0x000a10c2, 
      0x0e0d6003, 0x000a10f2, 
      0x0d0d3002, 0x000b1132, 
      0x0d0d0001, 0x000c1162, 
      0x0c0cd002, 0x000c1192, 
      0x0c0ca001, 0x000d11c2, 
      0x0b0c7000, 0x000e1202, 
      0x0b0c4000, 0x000e1232, 
      0x0a0c1000, 0x000f1262, 
      0x090befff, 0x001012a2, 
      0x080bb000, 0x001012d2, 
      0x070b8000, 0x00111302, 
      0x060b5000, 0x00121332, 
      0x050b2fff, 0x00131372, 
      0x040affff, 0x001413a2, 
      0x030adffe, 0x001513d2, 
      0x020aafff, 0x00151402, 
      0x010a7ffe, 0x00161442, 
      0x000a4ffe, 0x00171472, 
      0xff0a1ffe, 0x001814a1, 
      0xfd09fffe, 0x001914d1, 
      0xfc09cffe, 0x001a1501, 
      0xfb099ffd, 0x001b1541, 
      0xf9096ffe, 0x001c1571, 
      0xf8094ffd, 0x001d15a1, 
      0xf7091ffd, 0x001e15d1, 
      0xf508fffd, 0x001f1601, 
      0xf308cffc, 0x00211641, 
      0xf2089ffc, 0x00221671, 
      0xf0087ffc, 0x002316a1, 
      0xee084ffd, 0x002416d1, 
      0xed082ffc, 0x00251701, 
      0xeb07fffc, 0x00271731, 
      0xe907dffc, 0x00281761, 
      0xe707bffc, 0x00291791, 
      0xe5078ffb, 0x002b17d1, 
      0xe3075ffc, 0x002c1801, 
      0xe2073ffb, 0x002d1831, 
      0xe0070ffb, 0x002f1861, 
      0xdd06effc, 0x00301891, 
      0xdb06cffb, 0x003218c1, 
      0xd906affb, 0x003318f1, 
      0xd7067ffb, 0x00351921, 
      0xd5065ffc, 0x00361941, 
      0xd3063ffb, 0x00381971, 
      0xd1061ffb, 0x003919a1, 
      0xce05fffb, 0x003b19d1, 
      0xcc05dffa, 0x003d1a01, 
      0xca05affb, 0x003e1a31, 
      0xc7058ffb, 0x00401a61, 
      0xc5056ffb, 0x00421a81, 
      0xc3054ffb, 0x00431ab1, 
      0xc0052ffb, 0x00451ae1, 
      0xbe050ffa, 0x00471b11, 
      0xbb04fffa, 0x00491b31, 
      0xb904cffa, 0x004b1b61,
   },
   { /* UV scale factor = 0.48, phases = 127, taps = 5. */
      0xbc1ba048, 0x0ff90491, 
      0xbf1b7046, 0x0ff904b1, 
      0xc21b4043, 0x0ffa04d1, 
      0xc41b1042, 0x0ffa04f1, 
      0xc71ae040, 0x0ffa0511, 
      0xc91ac03e, 0x0ffa0531, 
      0xcc1a903c, 0x0ffa0551, 
      0xce1a603b, 0x0ffa0571, 
      0xd01a303a, 0x0ffa0591, 
      0xd31a0038, 0x0ffa05b1, 
      0xd519d037, 0x0ffa05d1, 
      0xd719a035, 0x0ffa0601, 
      0xda197033, 0x0ffa0621, 
      0xdc194032, 0x0ffa0641, 
      0xde192030, 0x0ffa0661, 
      0xe018e02e, 0x0ffb0691, 
      0xe218b02d, 0x0ffb06b1, 
      0xe518802b, 0x0ffb06d1, 
      0xe718402a, 0x0ffb0701, 
      0xe9182028, 0x0ffb0721, 
      0xeb17f027, 0x0ffb0741, 
      0xed17b026, 0x0ffb0771, 
      0xee179025, 0x0ffb0791, 
      0xf0175024, 0x0ffb07c1, 
      0xf2172023, 0x0ffb07e1, 
      0xf416f021, 0x0ffb0811, 
      0xf616c020, 0x0ffb0831, 
      0xf716801f, 0x0ffc0861, 
      0xf916501d, 0x0ffc0891, 
      0xfb16201c, 0x0ffc08b1, 
      0xfc15e01c, 0x0ffc08e1, 
      0xfe15b01a, 0x0ffc0911, 
      0xff15801a, 0x0ffc0931, 
      0x01155018, 0x0ffc0962, 
      0x02151018, 0x0ffc0992, 
      0x0314e017, 0x0ffc09c2, 
      0x0514b015, 0x0ffd09e2, 
      0x06147015, 0x0ffd0a12, 
      0x07144014, 0x0ffd0a42, 
      0x08141013, 0x0ffd0a72, 
      0x0a13d012, 0x0ffd0aa2, 
      0x0b13a011, 0x0ffd0ad2, 
      0x0c136010, 0x0ffe0b02, 
      0x0d13300f, 0x0ffe0b32, 
      0x0e13000e, 0x0ffe0b62, 
      0x0f12d00d, 0x0ffe0b92, 
      0x0f12900e, 0x0ffe0bc2, 
      0x1012600c, 0x0fff0bf2, 
      0x1112300b, 0x0fff0c22, 
      0x1211f00b, 0x0fff0c52, 
      0x1211c00b, 0x0fff0c82, 
      0x13119009, 0x00000cb2, 
      0x14115009, 0x00000ce2, 
      0x14112009, 0x00000d12, 
      0x1510f008, 0x00000d42, 
      0x1510b008, 0x00010d72, 
      0x15108007, 0x00010db2, 
      0x16105006, 0x00010de2, 
      0x16101006, 0x00020e12, 
      0x160fe006, 0x00020e42, 
      0x160fb005, 0x00030e72, 
      0x160f8004, 0x00030eb2, 
      0x170f4004, 0x00030ee2, 
      0x170f1003, 0x00040f12, 
      0x170ee003, 0x00040f42, 
      0x160eb002, 0x00050f82, 
      0x160e7003, 0x00050fb2, 
      0x160e4002, 0x00060fe2, 
      0x160e1002, 0x00061012, 
      0x160dd001, 0x00071052, 
      0x150db001, 0x00071082, 
      0x150d7001, 0x000810b2, 
      0x150d4000, 0x000810f2, 
      0x140d1000, 0x00091122, 
      0x140ce000, 0x00091152, 
      0x130cbfff, 0x000a1192, 
      0x120c8fff, 0x000b11c2, 
      0x120c5fff, 0x000b11f2, 
      0x110c2ffe, 0x000c1232, 
      0x100bfffe, 0x000d1262, 
      0x0f0bcfff, 0x000d1292, 
      0x0f0b8ffe, 0x000e12d2, 
      0x0e0b6ffd, 0x000f1302, 
      0x0d0b3ffd, 0x00101332, 
      0x0c0b0ffd, 0x00101372, 
      0x0b0adffd, 0x001113a2, 
      0x0a0aaffd, 0x001213d2, 
      0x080a7ffd, 0x00131412, 
      0x070a4ffd, 0x00141442, 
      0x060a1ffd, 0x00151472, 
      0x0509effd, 0x001514b2, 
      0x0309cffd, 0x001614e2, 
      0x02099ffd, 0x00171512, 
      0x01096ffc, 0x00181552, 
      0xff093ffd, 0x00191581, 
      0xfe091ffc, 0x001a15b1, 
      0xfc08effc, 0x001c15e1, 
      0xfb08bffb, 0x001d1621, 
      0xf9089ffb, 0x001e1651, 
      0xf7086ffc, 0x001f1681, 
      0xf6083ffc, 0x002016b1, 
      0xf4081ffb, 0x002116f1, 
      0xf207effc, 0x00221721, 
      0xf007cffb, 0x00241751, 
      0xee079ffc, 0x00251781, 
      0xed077ffb, 0x002617b1, 
      0xeb074ffb, 0x002717f1, 
      0xe9072ffa, 0x00291821, 
      0xe7070ffa, 0x002a1851, 
      0xe506dffa, 0x002c1881, 
      0xe206bffb, 0x002d18b1, 
      0xe0069ffb, 0x002e18e1, 
      0xde066ffb, 0x00301911, 
      0xdc064ffb, 0x00311941, 
      0xda062ffa, 0x00331971, 
      0xd7060ffb, 0x003419a1, 
      0xd505dffb, 0x003619d1, 
      0xd305bffa, 0x00381a01, 
      0xd0059ffb, 0x00391a31, 
      0xce057ffa, 0x003b1a61, 
      0xcc055ff9, 0x003d1a91, 
      0xc9053ffa, 0x003e1ac1, 
      0xc7051ff9, 0x00401af1, 
      0xc404fffa, 0x00421b11, 
      0xc204dff9, 0x00441b41, 
      0xbf04bffa, 0x00451b71, 
      0xbc049ffa, 0x00471ba1,
   },
   { /* UV scale factor = 0.49, phases = 127, taps = 5. */
      0xc01bd044, 0x0ff90461, 
      0xc31ba042, 0x0ff90481, 
      0xc61b7040, 0x0ff904a1, 
      0xc81b503e, 0x0ff904c1, 
      0xcb1b203c, 0x0ff904e1, 
      0xcd1af03b, 0x0ff90501, 
      0xd01ac039, 0x0ff90521, 
      0xd21a9038, 0x0ff90541, 
      0xd51a6036, 0x0ff90561, 
      0xd71a3035, 0x0ff90581, 
      0xda1a0033, 0x0ff905a1, 
      0xdc19d031, 0x0ffa05c1, 
      0xdf19a02f, 0x0ffa05e1, 
      0xe119602e, 0x0ffa0611, 
      0xe319402c, 0x0ffa0631, 
      0xe519102b, 0x0ffa0651, 
      0xe818d029, 0x0ffa0681, 
      0xea18a028, 0x0ffa06a1, 
      0xec187027, 0x0ffa06c1, 
      0xee184025, 0x0ffa06f1, 
      0xf0181024, 0x0ffa0711, 
      0xf217d023, 0x0ffa0741, 
      0xf417a022, 0x0ffa0761, 
      0xf6177020, 0x0ffa0791, 
      0xf8173020, 0x0ffa07b1, 
      0xfa17001e, 0x0ffa07e1, 
      0xfb16d01d, 0x0ffb0801, 
      0xfd16a01b, 0x0ffb0831, 
      0xff16601b, 0x0ffb0851, 
      0x01163019, 0x0ffb0882, 
      0x02160018, 0x0ffb08b2, 
      0x0415c017, 0x0ffb08e2, 
      0x05159017, 0x0ffb0902, 
      0x07155016, 0x0ffb0932, 
      0x08152015, 0x0ffb0962, 
      0x0a14f013, 0x0ffb0992, 
      0x0b14c013, 0x0ffb09b2, 
      0x0c148012, 0x0ffc09e2, 
      0x0e144011, 0x0ffc0a12, 
      0x0f141010, 0x0ffc0a42, 
      0x1013e00f, 0x0ffc0a72, 
      0x1113a00f, 0x0ffc0aa2, 
      0x1213700e, 0x0ffc0ad2, 
      0x1313300e, 0x0ffc0b02, 
      0x1413000c, 0x0ffd0b32, 
      0x1512c00c, 0x0ffd0b62, 
      0x1612900b, 0x0ffd0b92, 
      0x1712600a, 0x0ffd0bc2, 
      0x1812200a, 0x0ffd0bf2, 
      0x1811f009, 0x0ffe0c22, 
      0x1911b009, 0x0ffe0c52, 
      0x1a118007, 0x0ffe0c92, 
      0x1a115007, 0x0ffe0cc2, 
      0x1b111006, 0x0fff0cf2, 
      0x1b10e006, 0x0fff0d22, 
      0x1c10a006, 0x0fff0d52, 
      0x1c107005, 0x0fff0d92, 
      0x1c104004, 0x00000dc2, 
      0x1d100004, 0x00000df2, 
      0x1d0fd004, 0x00000e22, 
      0x1d0f9003, 0x00010e62, 
      0x1d0f6003, 0x00010e92, 
      0x1d0f3003, 0x00010ec2, 
      0x1d0f0002, 0x00020ef2, 
      0x1d0ec002, 0x00020f32, 
      0x1d0e9001, 0x00030f62, 
      0x1d0e6001, 0x00030f92, 
      0x1d0e2000, 0x00040fd2, 
      0x1d0df000, 0x00041002, 
      0x1c0dc000, 0x00041042, 
      0x1c0d9fff, 0x00051072, 
      0x1c0d5000, 0x000510a2, 
      0x1b0d2fff, 0x000610e2, 
      0x1b0cfffe, 0x00071112, 
      0x1a0ccffe, 0x00071152, 
      0x1a0c8ffe, 0x00081182, 
      0x190c6ffe, 0x000811b2, 
      0x180c2ffe, 0x000911f2, 
      0x180bfffd, 0x000a1222, 
      0x170bcffd, 0x000a1262, 
      0x160b9ffd, 0x000b1292, 
      0x150b6ffd, 0x000c12c2, 
      0x140b3ffd, 0x000c1302, 
      0x130b0ffd, 0x000d1332, 
      0x120adffc, 0x000e1372, 
      0x110aaffc, 0x000f13a2, 
      0x100a7ffc, 0x000f13e2, 
      0x0f0a4ffc, 0x00101412, 
      0x0e0a1ffc, 0x00111442, 
      0x0c09effc, 0x00121482, 
      0x0b09bffc, 0x001314b2, 
      0x0a098ffb, 0x001414f2, 
      0x08096ffb, 0x00151522, 
      0x07093ffb, 0x00161552, 
      0x05090ffb, 0x00171592, 
      0x0408effa, 0x001815c2, 
      0x0208bffa, 0x00191602, 
      0x01088ffa, 0x001a1632, 
      0xff085ffb, 0x001b1661, 
      0xfd083ffa, 0x001c16a1, 
      0xfb080ffb, 0x001d16d1, 
      0xfa07effa, 0x001e1701, 
      0xf807bffb, 0x001f1731, 
      0xf6078ffa, 0x00211771, 
      0xf4076ffa, 0x002217a1, 
      0xf2074ffa, 0x002317d1, 
      0xf0071ffa, 0x00241811, 
      0xee06effa, 0x00261841, 
      0xec06cffa, 0x00271871, 
      0xea06affa, 0x002818a1, 
      0xe8068ff9, 0x002a18d1, 
      0xe5065ffa, 0x002b1911, 
      0xe3063ff9, 0x002d1941, 
      0xe1061ff9, 0x002e1971, 
      0xdf05eff9, 0x003019a1, 
      0xdc05cffa, 0x003119d1, 
      0xda05aff9, 0x00331a01, 
      0xd7058ffa, 0x00341a31, 
      0xd5056ff9, 0x00361a61, 
      0xd2054ff9, 0x00381a91, 
      0xd0052ff9, 0x00391ac1, 
      0xcd050ff9, 0x003b1af1, 
      0xcb04dff9, 0x003d1b21, 
      0xc804cff9, 0x003e1b51, 
      0xc604aff8, 0x00401b81, 
      0xc3048ff8, 0x00421bb1, 
      0xc0046ff9, 0x00441bd1,
   },
   { /* UV scale factor = 0.50, phases = 127, taps = 5. */
      0xc41c1041, 0x0ff80421, 
      0xc71be03f, 0x0ff80441, 
      0xca1bb03d, 0x0ff80461, 
      0xcc1b903b, 0x0ff80481, 
      0xcf1b503a, 0x0ff804a1, 
      0xd21b2038, 0x0ff804c1, 
      0xd41af036, 0x0ff904e1, 
      0xd71ac034, 0x0ff90501, 
      0xd91a9033, 0x0ff90521, 
      0xdc1a6031, 0x0ff90541, 
      0xde1a3030, 0x0ff90561, 
      0xe11a002d, 0x0ff90591, 
      0xe319d02c, 0x0ff905b1, 
      0xe619902b, 0x0ff905d1, 
      0xe819602a, 0x0ff905f1, 
      0xea193028, 0x0ff90621, 
      0xed190026, 0x0ff90641, 
      0xef18c026, 0x0ff90661, 
      0xf1189024, 0x0ff90691, 
      0xf3186023, 0x0ff906b1, 
      0xf5183021, 0x0ff906e1, 
      0xf7180020, 0x0ff90701, 
      0xfa17c01e, 0x0ff90731, 
      0xfc17801e, 0x0ff90751, 
      0xfd17501d, 0x0ff90781, 
      0xff17201b, 0x0ffa07a1, 
      0x0116e01a, 0x0ffa07d2, 
      0x0316b018, 0x0ffa0802, 
      0x05167018, 0x0ffa0822, 
      0x07164016, 0x0ffa0852, 
      0x08161015, 0x0ffa0882, 
      0x0a15d015, 0x0ffa08a2, 
      0x0b15a014, 0x0ffa08d2, 
      0x0d156013, 0x0ffa0902, 
      0x0f153011, 0x0ffa0932, 
      0x1014f011, 0x0ffa0962, 
      0x1114c011, 0x0ffa0982, 
      0x13148010, 0x0ffa09b2, 
      0x1414500e, 0x0ffb09e2, 
      0x1514100e, 0x0ffb0a12, 
      0x1713e00c, 0x0ffb0a42, 
      0x1813a00c, 0x0ffb0a72, 
      0x1913700b, 0x0ffb0aa2, 
      0x1a13300b, 0x0ffb0ad2, 
      0x1b13000a, 0x0ffb0b02, 
      0x1c12c009, 0x0ffc0b32, 
      0x1d129008, 0x0ffc0b62, 
      0x1e125007, 0x0ffc0ba2, 
      0x1e122007, 0x0ffc0bd2, 
      0x1f11e007, 0x0ffc0c02, 
      0x2011b006, 0x0ffc0c32, 
      0x21117005, 0x0ffd0c62, 
      0x21114005, 0x0ffd0c92, 
      0x22110004, 0x0ffd0cd2, 
      0x2210d004, 0x0ffd0d02, 
      0x23109003, 0x0ffe0d32, 
      0x23106003, 0x0ffe0d62, 
      0x23102003, 0x0ffe0da2, 
      0x240ff002, 0x0ffe0dd2, 
      0x240fb002, 0x0fff0e02, 
      0x240f8001, 0x0fff0e42, 
      0x240f5001, 0x0fff0e72, 
      0x240f1001, 0x00000ea2, 
      0x240ee000, 0x00000ee2, 
      0x240eb000, 0x00000f12, 
      0x240e7fff, 0x00010f52, 
      0x240e4fff, 0x00010f82, 
      0x240e0fff, 0x00020fb2, 
      0x240ddffe, 0x00020ff2, 
      0x230dafff, 0x00021022, 
      0x230d6ffe, 0x00031062, 
      0x230d3ffe, 0x00031092, 
      0x220d0ffd, 0x000410d2, 
      0x220cdffd, 0x00041102, 
      0x210c9ffd, 0x00051142, 
      0x210c6ffd, 0x00051172, 
      0x200c3ffc, 0x000611b2, 
      0x1f0c0ffc, 0x000711e2, 
      0x1e0bdffc, 0x00071222, 
      0x1e0baffb, 0x00081252, 
      0x1d0b6ffc, 0x00081292, 
      0x1c0b3ffc, 0x000912c2, 
      0x1b0b0ffb, 0x000a1302, 
      0x1a0adffb, 0x000b1332, 
      0x190aaffb, 0x000b1372, 
      0x180a7ffb, 0x000c13a2, 
      0x170a4ffa, 0x000d13e2, 
      0x150a1ffb, 0x000e1412, 
      0x1409effb, 0x000e1452, 
      0x1309bffb, 0x000f1482, 
      0x11098ffb, 0x001014c2, 
      0x10096ffa, 0x001114f2, 
      0x0f092ffa, 0x00121532, 
      0x0d090ffa, 0x00131562, 
      0x0b08dffa, 0x001415a2, 
      0x0a08affa, 0x001515d2, 
      0x08088ff9, 0x00161612, 
      0x07085ff9, 0x00171642, 
      0x05082ffa, 0x00181672, 
      0x03080ff9, 0x001916b2, 
      0x0107dffa, 0x001a16e2, 
      0xff07affa, 0x001b1721, 
      0xfd078ffa, 0x001c1751, 
      0xfc075ffa, 0x001d1781, 
      0xfa072ff9, 0x001f17c1, 
      0xf7070ffa, 0x002017f1, 
      0xf506eff9, 0x00211831, 
      0xf306bffa, 0x00221861, 
      0xf1069ff9, 0x00241891, 
      0xef066ffa, 0x002518c1, 
      0xec064ff9, 0x00271901, 
      0xea062ff9, 0x00281931, 
      0xe8060ff9, 0x00291961, 
      0xe605dff9, 0x002b1991, 
      0xe305bff9, 0x002c19d1, 
      0xe1059ff8, 0x002e1a01, 
      0xde057ff9, 0x002f1a31, 
      0xdc054ff9, 0x00311a61, 
      0xd9052ff9, 0x00331a91, 
      0xd7050ff9, 0x00341ac1, 
      0xd404eff9, 0x00361af1, 
      0xd204cff9, 0x00371b21, 
      0xcf04aff9, 0x00391b51, 
      0xcc048ff9, 0x003b1b81, 
      0xca046ff8, 0x003d1bb1, 
      0xc7044ff8, 0x003f1be1, 
      0xc4042ff9, 0x00401c11,
   },
   { /* UV scale factor = 0.51, phases = 127, taps = 5. */
      0xc81c503c, 0x0ff803f1, 
      0xcb1c203a, 0x0ff80411, 
      0xce1bf039, 0x0ff80421, 
      0xd01bc038, 0x0ff80441, 
      0xd31b9036, 0x0ff80461, 
      0xd61b6034, 0x0ff80481, 
      0xd91b3032, 0x0ff804a1, 
      0xdb1b0031, 0x0ff804c1, 
      0xde1ac02f, 0x0ff804f1, 
      0xe11a902d, 0x0ff80511, 
      0xe31a602c, 0x0ff80531, 
      0xe61a302a, 0x0ff80551, 
      0xe81a0029, 0x0ff80571, 
      0xeb19c027, 0x0ff805a1, 
      0xed199026, 0x0ff805c1, 
      0xf0195025, 0x0ff805e1, 
      0xf2192024, 0x0ff80601, 
      0xf418f022, 0x0ff80631, 
      0xf718b021, 0x0ff80651, 
      0xf918801f, 0x0ff80681, 
      0xfb18501e, 0x0ff806a1, 
      0xfd18101c, 0x0ff906d1, 
      0xff17e01b, 0x0ff906f1, 
      0x0117a01a, 0x0ff90722, 
      0x03177019, 0x0ff90742, 
      0x05173018, 0x0ff90772, 
      0x07170017, 0x0ff90792, 
      0x0916c016, 0x0ff907c2, 
      0x0b169014, 0x0ff907f2, 
      0x0d165013, 0x0ff90822, 
      0x0e162013, 0x0ff90842, 
      0x1015e012, 0x0ff90872, 
      0x1215a011, 0x0ff908a2, 
      0x13157010, 0x0ff908d2, 
      0x1515300f, 0x0ff90902, 
      0x1615000f, 0x0ff90922, 
      0x1814c00e, 0x0ff90952, 
      0x1914900d, 0x0ff90982, 
      0x1b14500c, 0x0ff909b2, 
      0x1c14100b, 0x0ffa09e2, 
      0x1d13e00a, 0x0ffa0a12, 
      0x1e13a00a, 0x0ffa0a42, 
      0x20137008, 0x0ffa0a72, 
      0x21133008, 0x0ffa0aa2, 
      0x2212f008, 0x0ffa0ad2, 
      0x2312c006, 0x0ffa0b12, 
      0x24128006, 0x0ffa0b42, 
      0x25125005, 0x0ffa0b72, 
      0x25121005, 0x0ffb0ba2, 
      0x2611d005, 0x0ffb0bd2, 
      0x2711a004, 0x0ffb0c02, 
      0x28116003, 0x0ffb0c42, 
      0x28113003, 0x0ffb0c72, 
      0x2910f002, 0x0ffc0ca2, 
      0x2910c001, 0x0ffc0ce2, 
      0x2a108001, 0x0ffc0d12, 
      0x2a105001, 0x0ffc0d42, 
      0x2a101001, 0x0ffc0d82, 
      0x2b0fd000, 0x0ffd0db2, 
      0x2b0fa000, 0x0ffd0de2, 
      0x2b0f7fff, 0x0ffd0e22, 
      0x2b0f3fff, 0x0ffe0e52, 
      0x2b0f0ffe, 0x0ffe0e92, 
      0x2b0ecfff, 0x0ffe0ec2, 
      0x2b0e9ffd, 0x0fff0f02, 
      0x2b0e5ffe, 0x0fff0f32, 
      0x2b0e2ffd, 0x0fff0f72, 
      0x2b0deffd, 0x00000fa2, 
      0x2b0dbffc, 0x00000fe2, 
      0x2a0d8ffd, 0x00001012, 
      0x2a0d4ffc, 0x00011052, 
      0x2a0d1ffc, 0x00011082, 
      0x290ceffb, 0x000210c2, 
      0x290caffc, 0x000210f2, 
      0x280c7ffb, 0x00031132, 
      0x280c4ffb, 0x00031162, 
      0x270c0ffb, 0x000411a2, 
      0x260beffb, 0x000411d2, 
      0x250baffb, 0x00051212, 
      0x250b7ffa, 0x00051252, 
      0x240b4ffa, 0x00061282, 
      0x230b0ffa, 0x000712c2, 
      0x220adffb, 0x000712f2, 
      0x210aaffa, 0x00081332, 
      0x200a7ff9, 0x00091372, 
      0x1e0a5ffa, 0x000913a2, 
      0x1d0a1ffa, 0x000a13e2, 
      0x1c09effa, 0x000b1412, 
      0x1b09bff9, 0x000c1452, 
      0x19098ff9, 0x000d1492, 
      0x18095ffa, 0x000d14c2, 
      0x16092ffa, 0x000e1502, 
      0x15090ff9, 0x000f1532, 
      0x1308dff9, 0x00101572, 
      0x1208aff9, 0x001115a2, 
      0x10087ff9, 0x001215e2, 
      0x0e084ff9, 0x00131622, 
      0x0d082ff8, 0x00141652, 
      0x0b07fff8, 0x00151692, 
      0x0907cff9, 0x001616c2, 
      0x07079ff9, 0x00171702, 
      0x05077ff9, 0x00181732, 
      0x03074ff9, 0x00191772, 
      0x01072ff9, 0x001a17a2, 
      0xff06fff8, 0x001c17e1, 
      0xfd06dff8, 0x001d1811, 
      0xfb06aff9, 0x001e1841, 
      0xf9068ff8, 0x001f1881, 
      0xf7065ff8, 0x002118b1, 
      0xf4063ff8, 0x002218f1, 
      0xf2060ff9, 0x00231921, 
      0xf005eff8, 0x00251951, 
      0xed05cff8, 0x00261991, 
      0xeb05aff8, 0x002719c1, 
      0xe8057ff9, 0x002919f1, 
      0xe6055ff8, 0x002a1a31, 
      0xe3053ff8, 0x002c1a61, 
      0xe1051ff8, 0x002d1a91, 
      0xde04fff8, 0x002f1ac1, 
      0xdb04dff8, 0x00311af1, 
      0xd904aff8, 0x00321b31, 
      0xd6048ff8, 0x00341b61, 
      0xd3046ff8, 0x00361b91, 
      0xd0045ff8, 0x00371bc1, 
      0xce042ff8, 0x00391bf1, 
      0xcb041ff7, 0x003b1c21, 
      0xc803fff7, 0x003d1c51,
   },
   { /* UV scale factor = 0.52, phases = 127, taps = 5. */
      0xcc1c9039, 0x0ff703b1, 
      0xcf1c6037, 0x0ff703d1, 
      0xd21c3035, 0x0ff703f1, 
      0xd51bf034, 0x0ff70411, 
      0xd81bc032, 0x0ff70431, 
      0xda1b9031, 0x0ff70451, 
      0xdd1b602f, 0x0ff70471, 
      0xe01b302d, 0x0ff70491, 
      0xe31af02c, 0x0ff704b1, 
      0xe51ad02a, 0x0ff704d1, 
      0xe81a9028, 0x0ff804f1, 
      0xeb1a5027, 0x0ff80511, 
      0xed1a2025, 0x0ff80541, 
      0xf019e024, 0x0ff80561, 
      0xf219b023, 0x0ff80581, 
      0xf5198021, 0x0ff805a1, 
      0xf7194020, 0x0ff805d1, 
      0xfa19101e, 0x0ff805f1, 
      0xfc18d01d, 0x0ff80621, 
      0xfe18a01c, 0x0ff80641, 
      0x0118601b, 0x0ff80662, 
      0x03183019, 0x0ff80692, 
      0x0517f019, 0x0ff806b2, 
      0x0717c017, 0x0ff806e2, 
      0x09178016, 0x0ff80712, 
      0x0b175015, 0x0ff80732, 
      0x0d171014, 0x0ff80762, 
      0x0f16d013, 0x0ff80792, 
      0x1116a012, 0x0ff807b2, 
      0x13166011, 0x0ff807e2, 
      0x1516300f, 0x0ff80812, 
      0x1615f00f, 0x0ff80842, 
      0x1815b00f, 0x0ff80862, 
      0x1a15800d, 0x0ff80892, 
      0x1b15400d, 0x0ff808c2, 
      0x1d15000c, 0x0ff808f2, 
      0x1e14d00b, 0x0ff80922, 
      0x2014900a, 0x0ff80952, 
      0x2114500a, 0x0ff80982, 
      0x23142008, 0x0ff809b2, 
      0x2413e007, 0x0ff909e2, 
      0x2513a007, 0x0ff90a12, 
      0x26136007, 0x0ff90a42, 
      0x28133005, 0x0ff90a72, 
      0x2912f005, 0x0ff90aa2, 
      0x2a12b004, 0x0ff90ae2, 
      0x2b128003, 0x0ff90b12, 
      0x2c124003, 0x0ff90b42, 
      0x2c121003, 0x0ff90b72, 
      0x2d11d002, 0x0ff90bb2, 
      0x2e119001, 0x0ffa0be2, 
      0x2f115001, 0x0ffa0c12, 
      0x2f112001, 0x0ffa0c42, 
      0x3010e000, 0x0ffa0c82, 
      0x3010b000, 0x0ffa0cb2, 
      0x31107fff, 0x0ffa0cf2, 
      0x31103fff, 0x0ffb0d22, 
      0x32100ffe, 0x0ffb0d52, 
      0x320fcffe, 0x0ffb0d92, 
      0x320f9ffe, 0x0ffb0dc2, 
      0x320f5ffd, 0x0ffc0e02, 
      0x330f1ffd, 0x0ffc0e32, 
      0x330eeffc, 0x0ffc0e72, 
      0x330eaffd, 0x0ffc0ea2, 
      0x330e6ffc, 0x0ffd0ee2, 
      0x330e3ffc, 0x0ffd0f12, 
      0x320e0ffc, 0x0ffd0f52, 
      0x320dcffc, 0x0ffe0f82, 
      0x320d9ffb, 0x0ffe0fc2, 
      0x320d5ffb, 0x0ffe1002, 
      0x310d2ffb, 0x0fff1032, 
      0x310cfffa, 0x0fff1072, 
      0x300cbffb, 0x000010a2, 
      0x300c8ffa, 0x000010e2, 
      0x2f0c4ffa, 0x00011122, 
      0x2f0c1ffa, 0x00011152, 
      0x2e0beff9, 0x00021192, 
      0x2d0bbff9, 0x000211d2, 
      0x2c0b7ffa, 0x00031202, 
      0x2c0b4ff9, 0x00031242, 
      0x2b0b0ff9, 0x00041282, 
      0x2a0aeff9, 0x000412b2, 
      0x290aaff9, 0x000512f2, 
      0x280a7ff8, 0x00061332, 
      0x260a5ff9, 0x00061362, 
      0x250a1ff9, 0x000713a2, 
      0x2409eff8, 0x000813e2, 
      0x2309bff8, 0x00081422, 
      0x21098ff9, 0x00091452, 
      0x20095ff8, 0x000a1492, 
      0x1e092ff8, 0x000b14d2, 
      0x1d08fff9, 0x000b1502, 
      0x1b08cff9, 0x000c1542, 
      0x1a089ff8, 0x000d1582, 
      0x18086ff9, 0x000e15b2, 
      0x16084ff8, 0x000f15f2, 
      0x15080ff8, 0x00101632, 
      0x1307eff8, 0x00111662, 
      0x1107bff8, 0x001216a2, 
      0x0f079ff8, 0x001316d2, 
      0x0d076ff8, 0x00141712, 
      0x0b073ff8, 0x00151752, 
      0x09071ff8, 0x00161782, 
      0x0706eff8, 0x001717c2, 
      0x0506cff8, 0x001817f2, 
      0x03069ff7, 0x001a1832, 
      0x01066ff8, 0x001b1862, 
      0xfe064ff8, 0x001c18a1, 
      0xfc062ff8, 0x001d18d1, 
      0xfa05fff7, 0x001f1911, 
      0xf705dff8, 0x00201941, 
      0xf505aff8, 0x00211981, 
      0xf2058ff8, 0x002319b1, 
      0xf0056ff7, 0x002419f1, 
      0xed054ff8, 0x00251a21, 
      0xeb051ff8, 0x00271a51, 
      0xe804fff8, 0x00281a91, 
      0xe504dff8, 0x002a1ac1, 
      0xe304bff7, 0x002c1af1, 
      0xe0049ff7, 0x002d1b31, 
      0xdd047ff7, 0x002f1b61, 
      0xda045ff8, 0x00301b91, 
      0xd8043ff7, 0x00321bc1, 
      0xd5041ff7, 0x00341bf1, 
      0xd203eff7, 0x00361c31, 
      0xcf03dff7, 0x00371c61, 
      0xcc03bff7, 0x00391c91,
   },
   { /* UV scale factor = 0.53, phases = 127, taps = 5. */
      0xd01cd035, 0x0ff70371, 
      0xd31ca033, 0x0ff70391, 
      0xd61c6032, 0x0ff703b1, 
      0xd91c3030, 0x0ff703d1, 
      0xdc1c002e, 0x0ff703f1, 
      0xdf1bd02c, 0x0ff70411, 
      0xe21b902b, 0x0ff70431, 
      0xe51b6029, 0x0ff70451, 
      0xe71b3028, 0x0ff70471, 
      0xea1af027, 0x0ff70491, 
      0xed1ac025, 0x0ff704b1, 
      0xf01a8023, 0x0ff704e1, 
      0xf21a5022, 0x0ff70501, 
      0xf51a1021, 0x0ff70521, 
      0xf819e01f, 0x0ff70541, 
      0xfa19a01e, 0x0ff70571, 
      0xfd19701c, 0x0ff70591, 
      0xff19301c, 0x0ff705b1, 
      0x02190019, 0x0ff705e2, 
      0x0418c019, 0x0ff70602, 
      0x06188018, 0x0ff70632, 
      0x09185016, 0x0ff70652, 
      0x0b181015, 0x0ff70682, 
      0x0d17d015, 0x0ff706a2, 
      0x0f17a013, 0x0ff706d2, 
      0x11176012, 0x0ff70702, 
      0x13173011, 0x0ff70722, 
      0x1516f010, 0x0ff70752, 
      0x1716b00f, 0x0ff70782, 
      0x1916800e, 0x0ff707a2, 
      0x1b16400d, 0x0ff707d2, 
      0x1d16000c, 0x0ff70802, 
      0x1f15c00b, 0x0ff70832, 
      0x2015800b, 0x0ff70862, 
      0x2215400a, 0x0ff70892, 
      0x24151008, 0x0ff708c2, 
      0x2514d008, 0x0ff708f2, 
      0x27149007, 0x0ff70922, 
      0x28145007, 0x0ff70952, 
      0x2a142005, 0x0ff70982, 
      0x2b13e005, 0x0ff709b2, 
      0x2c13a004, 0x0ff809e2, 
      0x2d136004, 0x0ff80a12, 
      0x2f132003, 0x0ff80a42, 
      0x3012f002, 0x0ff80a72, 
      0x3112b001, 0x0ff80ab2, 
      0x32127001, 0x0ff80ae2, 
      0x33123001, 0x0ff80b12, 
      0x34120000, 0x0ff80b42, 
      0x3411c000, 0x0ff80b82, 
      0x35118000, 0x0ff80bb2, 
      0x36115fff, 0x0ff80be2, 
      0x37110ffe, 0x0ff90c22, 
      0x3710dffe, 0x0ff90c52, 
      0x38109ffd, 0x0ff90c92, 
      0x38105ffe, 0x0ff90cc2, 
      0x39102ffc, 0x0ff90d02, 
      0x390feffd, 0x0ff90d32, 
      0x390faffd, 0x0ffa0d62, 
      0x3a0f7ffb, 0x0ffa0da2, 
      0x3a0f3ffb, 0x0ffa0de2, 
      0x3a0efffc, 0x0ffa0e12, 
      0x3a0ecffb, 0x0ffa0e52, 
      0x3a0e8ffb, 0x0ffb0e82, 
      0x3a0e5ffa, 0x0ffb0ec2, 
      0x3a0e1ffb, 0x0ffb0ef2, 
      0x3a0deffa, 0x0ffb0f32, 
      0x3a0daff9, 0x0ffc0f72, 
      0x390d7ffa, 0x0ffc0fa2, 
      0x390d3ffa, 0x0ffc0fe2, 
      0x390cfff9, 0x0ffd1022, 
      0x380cdff9, 0x0ffd1052, 
      0x380c9ff8, 0x0ffe1092, 
      0x370c5ff9, 0x0ffe10d2, 
      0x370c2ff8, 0x0ffe1112, 
      0x360beff9, 0x0fff1142, 
      0x350bbff9, 0x0fff1182, 
      0x340b8ff8, 0x000011c2, 
      0x340b4ff8, 0x00001202, 
      0x330b1ff8, 0x00011232, 
      0x320aeff8, 0x00011272, 
      0x310abff7, 0x000212b2, 
      0x300a7ff7, 0x000312f2, 
      0x2f0a4ff8, 0x00031322, 
      0x2d0a1ff8, 0x00041362, 
      0x2c09eff8, 0x000413a2, 
      0x2b09bff7, 0x000513e2, 
      0x2a097ff7, 0x00061422, 
      0x28095ff8, 0x00061452, 
      0x27092ff7, 0x00071492, 
      0x2508fff7, 0x000814d2, 
      0x2408bff7, 0x00091512, 
      0x22089ff7, 0x000a1542, 
      0x20086ff8, 0x000a1582, 
      0x1f083ff7, 0x000b15c2, 
      0x1d080ff7, 0x000c1602, 
      0x1b07dff8, 0x000d1632, 
      0x1907aff8, 0x000e1672, 
      0x17078ff7, 0x000f16b2, 
      0x15075ff7, 0x001016f2, 
      0x13072ff8, 0x00111722, 
      0x11070ff7, 0x00121762, 
      0x0f06dff7, 0x001317a2, 
      0x0d06aff8, 0x001417d2, 
      0x0b068ff7, 0x00151812, 
      0x09065ff7, 0x00161852, 
      0x06063ff7, 0x00181882, 
      0x04060ff7, 0x001918c2, 
      0x0205dff7, 0x001a1902, 
      0xff05bff8, 0x001b1931, 
      0xfc059ff7, 0x001d1971, 
      0xfa057ff7, 0x001e19a1, 
      0xf8054ff7, 0x001f19e1, 
      0xf5052ff7, 0x00211a11, 
      0xf2050ff7, 0x00221a51, 
      0xf004eff7, 0x00231a81, 
      0xed04bff7, 0x00251ac1, 
      0xea04aff7, 0x00261af1, 
      0xe7048ff7, 0x00281b21, 
      0xe5045ff6, 0x002a1b61, 
      0xe2043ff7, 0x002b1b91, 
      0xdf041ff6, 0x002d1bd1, 
      0xdc03fff7, 0x002e1c01, 
      0xd903dff7, 0x00301c31, 
      0xd603bff7, 0x00321c61, 
      0xd3039ff6, 0x00341ca1, 
      0xd0037ff7, 0x00351cd1,
   },
   { /* UV scale factor = 0.54, phases = 127, taps = 5. */
      0xd41d1031, 0x0ff60341, 
      0xd71ce030, 0x0ff60351, 
      0xda1ca02f, 0x0ff60371, 
      0xdd1c702d, 0x0ff60391, 
      0xe01c402b, 0x0ff603b1, 
      0xe31c002a, 0x0ff603d1, 
      0xe61bd028, 0x0ff603f1, 
      0xe91ba026, 0x0ff60411, 
      0xec1b6025, 0x0ff60431, 
      0xef1b2023, 0x0ff70451, 
      0xf21ae021, 0x0ff70481, 
      0xf51ab01f, 0x0ff704a1, 
      0xf81a701e, 0x0ff704c1, 
      0xfa1a401d, 0x0ff704e1, 
      0xfd1a001c, 0x0ff70501, 
      0x0019c01a, 0x0ff70532, 
      0x02199019, 0x0ff70552, 
      0x05195018, 0x0ff60582, 
      0x07192017, 0x0ff605a2, 
      0x0a18e016, 0x0ff605c2, 
      0x0c18a015, 0x0ff605f2, 
      0x0e187014, 0x0ff60612, 
      0x11183012, 0x0ff60642, 
      0x1317f011, 0x0ff60672, 
      0x1517c010, 0x0ff60692, 
      0x1717800f, 0x0ff606c2, 
      0x1a17400d, 0x0ff606f2, 
      0x1c17000d, 0x0ff60712, 
      0x1e16c00c, 0x0ff60742, 
      0x2016800b, 0x0ff60772, 
      0x2216400a, 0x0ff607a2, 
      0x2416000a, 0x0ff607c2, 
      0x2515d009, 0x0ff607f2, 
      0x27159008, 0x0ff60822, 
      0x29155007, 0x0ff60852, 
      0x2a152006, 0x0ff60882, 
      0x2c14d006, 0x0ff608b2, 
      0x2e149005, 0x0ff608e2, 
      0x2f146004, 0x0ff60912, 
      0x31142003, 0x0ff60942, 
      0x3213e003, 0x0ff60972, 
      0x3313a002, 0x0ff609b2, 
      0x35136001, 0x0ff609e2, 
      0x36132000, 0x0ff70a12, 
      0x3712e000, 0x0ff70a42, 
      0x3812a000, 0x0ff70a72, 
      0x39126fff, 0x0ff70ab2, 
      0x3a123ffe, 0x0ff70ae2, 
      0x3b11fffe, 0x0ff70b12, 
      0x3c11bffd, 0x0ff70b52, 
      0x3d117ffd, 0x0ff70b82, 
      0x3d113ffd, 0x0ff70bc2, 
      0x3e10fffd, 0x0ff70bf2, 
      0x3f10cffc, 0x0ff70c22, 
      0x3f108ffc, 0x0ff70c62, 
      0x40104ffb, 0x0ff80c92, 
      0x40100ffb, 0x0ff80cd2, 
      0x410fcffa, 0x0ff80d12, 
      0x410f9ffa, 0x0ff80d42, 
      0x410f5ffa, 0x0ff80d82, 
      0x410f2ffa, 0x0ff80db2, 
      0x420edff9, 0x0ff90df2, 
      0x420e9ff9, 0x0ff90e32, 
      0x420e6ff9, 0x0ff90e62, 
      0x420e3ff8, 0x0ff90ea2, 
      0x420dfff8, 0x0ff90ee2, 
      0x410dbff9, 0x0ffa0f12, 
      0x410d8ff8, 0x0ffa0f52, 
      0x410d4ff8, 0x0ffa0f92, 
      0x410d1ff7, 0x0ffb0fc2, 
      0x400cdff8, 0x0ffb1002, 
      0x400c9ff8, 0x0ffb1042, 
      0x3f0c6ff7, 0x0ffc1082, 
      0x3f0c2ff7, 0x0ffc10c2, 
      0x3e0bfff8, 0x0ffc10f2, 
      0x3d0bcff7, 0x0ffd1132, 
      0x3d0b8ff7, 0x0ffd1172, 
      0x3c0b5ff6, 0x0ffe11b2, 
      0x3b0b1ff7, 0x0ffe11f2, 
      0x3a0aeff6, 0x0fff1232, 
      0x390abff7, 0x0fff1262, 
      0x380a7ff7, 0x000012a2, 
      0x370a4ff7, 0x000012e2, 
      0x360a1ff6, 0x00011322, 
      0x3509eff6, 0x00011362, 
      0x3309bff6, 0x000213a2, 
      0x32097ff7, 0x000213e2, 
      0x31094ff6, 0x00031422, 
      0x2f091ff7, 0x00041452, 
      0x2e08eff6, 0x00051492, 
      0x2c08bff7, 0x000514d2, 
      0x2a088ff7, 0x00061512, 
      0x29085ff6, 0x00071552, 
      0x27082ff6, 0x00081592, 
      0x2507fff7, 0x000815d2, 
      0x2407cff7, 0x00091602, 
      0x2207aff6, 0x000a1642, 
      0x20077ff6, 0x000b1682, 
      0x1e074ff6, 0x000c16c2, 
      0x1c071ff6, 0x000d1702, 
      0x1a06eff6, 0x000e1742, 
      0x1706cff7, 0x000f1772, 
      0x15069ff7, 0x001017b2, 
      0x13067ff6, 0x001117f2, 
      0x11064ff6, 0x00121832, 
      0x0e062ff7, 0x00131862, 
      0x0c05fff7, 0x001418a2, 
      0x0a05cff7, 0x001518e2, 
      0x0705aff6, 0x00171922, 
      0x05058ff6, 0x00181952, 
      0x02055ff7, 0x00191992, 
      0x00053ff6, 0x001a19d2, 
      0xfd050ff7, 0x001c1a01, 
      0xfa04eff7, 0x001d1a41, 
      0xf804cff6, 0x001f1a71, 
      0xf504aff6, 0x00201ab1, 
      0xf2048ff6, 0x00211af1, 
      0xef045ff7, 0x00231b21, 
      0xec043ff7, 0x00241b61, 
      0xe9041ff7, 0x00261b91, 
      0xe603fff6, 0x00281bd1, 
      0xe303dff7, 0x00291c01, 
      0xe003bff7, 0x002b1c31, 
      0xdd039ff7, 0x002c1c71, 
      0xda037ff7, 0x002e1ca1, 
      0xd7035ff7, 0x00301cd1, 
      0xd4033ff6, 0x00321d11,
   },
   { /* UV scale factor = 0.55, phases = 127, taps = 5. */
      0xd81d502d, 0x0ff60301, 
      0xdb1d102c, 0x0ff60321, 
      0xde1ce02b, 0x0ff60331, 
      0xe21ca029, 0x0ff60351, 
      0xe51c7027, 0x0ff60371, 
      0xe81c3026, 0x0ff60391, 
      0xeb1c0024, 0x0ff603b1, 
      0xee1bc023, 0x0ff603d1, 
      0xf11b9021, 0x0ff603f1, 
      0xf41b5020, 0x0ff60411, 
      0xf71b101e, 0x0ff60441, 
      0xfa1ae01c, 0x0ff60461, 
      0xfd1aa01b, 0x0ff60481, 
      0x001a601a, 0x0ff604a2, 
      0x021a3018, 0x0ff604d2, 
      0x0519f017, 0x0ff604f2, 
      0x0819b016, 0x0ff60512, 
      0x0a198014, 0x0ff60542, 
      0x0d194013, 0x0ff60562, 
      0x1018f012, 0x0ff60592, 
      0x1218c011, 0x0ff605b2, 
      0x14188010, 0x0ff605e2, 
      0x1718400f, 0x0ff60602, 
      0x1918100d, 0x0ff60632, 
      0x1c17d00c, 0x0ff60652, 
      0x1e17900b, 0x0ff60682, 
      0x2017500a, 0x0ff606b2, 
      0x2217100a, 0x0ff606d2, 
      0x2416d009, 0x0ff60702, 
      0x26169008, 0x0ff60732, 
      0x28165007, 0x0ff60762, 
      0x2a161006, 0x0ff60792, 
      0x2c15d005, 0x0ff607c2, 
      0x2e159004, 0x0ff607f2, 
      0x30155003, 0x0ff60822, 
      0x31151003, 0x0ff60852, 
      0x3314d003, 0x0ff50882, 
      0x35149002, 0x0ff508b2, 
      0x36145002, 0x0ff508e2, 
      0x38141001, 0x0ff50912, 
      0x3913e000, 0x0ff50942, 
      0x3b139000, 0x0ff50972, 
      0x3c136fff, 0x0ff509a2, 
      0x3d132ffe, 0x0ff509e2, 
      0x3e12effe, 0x0ff50a12, 
      0x3f12affd, 0x0ff60a42, 
      0x40126ffc, 0x0ff60a82, 
      0x42121ffc, 0x0ff60ab2, 
      0x4211effc, 0x0ff60ae2, 
      0x4311affb, 0x0ff60b22, 
      0x44116ffb, 0x0ff60b52, 
      0x45112ffa, 0x0ff60b92, 
      0x4610effa, 0x0ff60bc2, 
      0x4610affa, 0x0ff60c02, 
      0x47106ffa, 0x0ff60c32, 
      0x47102ffa, 0x0ff60c72, 
      0x480ffff9, 0x0ff60ca2, 
      0x480fbff9, 0x0ff60ce2, 
      0x490f7ff8, 0x0ff60d22, 
      0x490f3ff8, 0x0ff70d52, 
      0x490efff8, 0x0ff70d92, 
      0x490ecff7, 0x0ff70dd2, 
      0x490e8ff8, 0x0ff70e02, 
      0x490e4ff8, 0x0ff70e42, 
      0x490e0ff8, 0x0ff70e82, 
      0x490ddff6, 0x0ff80ec2, 
      0x490d9ff7, 0x0ff80ef2, 
      0x490d5ff7, 0x0ff80f32, 
      0x490d2ff6, 0x0ff80f72, 
      0x480ceff6, 0x0ff90fb2, 
      0x480caff6, 0x0ff90ff2, 
      0x470c7ff7, 0x0ff91022, 
      0x470c3ff6, 0x0ffa1062, 
      0x460c0ff6, 0x0ffa10a2, 
      0x460bcff6, 0x0ffa10e2, 
      0x450b9ff5, 0x0ffb1122, 
      0x440b5ff6, 0x0ffb1162, 
      0x430b2ff6, 0x0ffb11a2, 
      0x420aeff6, 0x0ffc11e2, 
      0x420abff5, 0x0ffc1222, 
      0x400a8ff5, 0x0ffd1262, 
      0x3f0a4ff6, 0x0ffd12a2, 
      0x3e0a1ff5, 0x0ffe12e2, 
      0x3d09eff5, 0x0ffe1322, 
      0x3c09aff6, 0x0fff1352, 
      0x3b097ff6, 0x0fff1392, 
      0x39094ff6, 0x000013d2, 
      0x38091ff5, 0x00011412, 
      0x3608eff6, 0x00011452, 
      0x3508bff5, 0x00021492, 
      0x33088ff5, 0x000314d2, 
      0x31085ff6, 0x00031512, 
      0x30082ff5, 0x00041552, 
      0x2e07fff5, 0x00051592, 
      0x2c07cff5, 0x000615d2, 
      0x2a079ff6, 0x00061612, 
      0x28076ff6, 0x00071652, 
      0x26073ff6, 0x00081692, 
      0x24070ff6, 0x000916d2, 
      0x2206dff6, 0x000a1712, 
      0x2006bff5, 0x000b1752, 
      0x1e068ff5, 0x000c1792, 
      0x1c065ff5, 0x000d17d2, 
      0x19063ff5, 0x000e1812, 
      0x17060ff6, 0x000f1842, 
      0x1405eff6, 0x00101882, 
      0x1205bff6, 0x001118c2, 
      0x10059ff5, 0x00121902, 
      0x0d056ff6, 0x00131942, 
      0x0a054ff5, 0x00151982, 
      0x08051ff6, 0x001619b2, 
      0x0504fff6, 0x001719f2, 
      0x0204dff6, 0x00181a32, 
      0x0004aff6, 0x001a1a62, 
      0xfd048ff6, 0x001b1aa1, 
      0xfa046ff6, 0x001c1ae1, 
      0xf7044ff6, 0x001e1b11, 
      0xf4041ff7, 0x001f1b51, 
      0xf103fff6, 0x00211b91, 
      0xee03dff7, 0x00221bc1, 
      0xeb03bff6, 0x00241c01, 
      0xe8039ff7, 0x00251c31, 
      0xe5037ff6, 0x00271c71, 
      0xe2035ff6, 0x00291ca1, 
      0xde033ff7, 0x002a1ce1, 
      0xdb032ff6, 0x002c1d11, 
      0xd8030ff5, 0x002e1d51,
   },
   { /* UV scale factor = 0.56, phases = 127, taps = 5. */
      0xdc1d802a, 0x0ff602c1, 
      0xdf1d5028, 0x0ff602e1, 
      0xe31d1026, 0x0ff60301, 
      0xe61ce025, 0x0ff60311, 
      0xe91ca024, 0x0ff60331, 
      0xec1c7022, 0x0ff60351, 
      0xf01c3020, 0x0ff60371, 
      0xf31c001e, 0x0ff60391, 
      0xf61bc01d, 0x0ff603b1, 
      0xf91b801c, 0x0ff603d1, 
      0xfc1b401a, 0x0ff60401, 
      0xff1b1018, 0x0ff60421, 
      0x021ad017, 0x0ff60442, 
      0x051a9016, 0x0ff60462, 
      0x081a5014, 0x0ff60492, 
      0x0b1a1013, 0x0ff604b2, 
      0x0d19e012, 0x0ff604d2, 
      0x10199011, 0x0ff60502, 
      0x13196010, 0x0ff50522, 
      0x1519200f, 0x0ff50552, 
      0x1818e00e, 0x0ff50572, 
      0x1b18a00c, 0x0ff505a2, 
      0x1d18600c, 0x0ff505c2, 
      0x1f18200b, 0x0ff505f2, 
      0x2217e00a, 0x0ff50612, 
      0x2417a009, 0x0ff50642, 
      0x26176008, 0x0ff50672, 
      0x29172006, 0x0ff506a2, 
      0x2b16e006, 0x0ff506c2, 
      0x2d16a005, 0x0ff506f2, 
      0x2f166004, 0x0ff50722, 
      0x31162003, 0x0ff50752, 
      0x3315e002, 0x0ff50782, 
      0x3515a001, 0x0ff507b2, 
      0x37155001, 0x0ff507e2, 
      0x38152000, 0x0ff50812, 
      0x3a14d000, 0x0ff50842, 
      0x3c149fff, 0x0ff50872, 
      0x3d145fff, 0x0ff508a2, 
      0x3f141ffe, 0x0ff508d2, 
      0x4013dffe, 0x0ff50902, 
      0x42139ffc, 0x0ff50942, 
      0x43135ffd, 0x0ff40972, 
      0x45131ffc, 0x0ff409a2, 
      0x4612dffb, 0x0ff409e2, 
      0x47129ffb, 0x0ff40a12, 
      0x48125ffb, 0x0ff40a42, 
      0x49121ffa, 0x0ff40a82, 
      0x4a11dffa, 0x0ff40ab2, 
      0x4b119ff9, 0x0ff40af2, 
      0x4c115ff8, 0x0ff50b22, 
      0x4d110ff8, 0x0ff50b62, 
      0x4d10dff8, 0x0ff50b92, 
      0x4e109ff7, 0x0ff50bd2, 
      0x4f105ff7, 0x0ff50c02, 
      0x4f101ff7, 0x0ff50c42, 
      0x500fcff7, 0x0ff50c82, 
      0x500f9ff7, 0x0ff50cb2, 
      0x510f5ff6, 0x0ff50cf2, 
      0x510f1ff6, 0x0ff50d32, 
      0x510edff7, 0x0ff50d62, 
      0x510eaff6, 0x0ff50da2, 
      0x510e6ff6, 0x0ff50de2, 
      0x510e2ff5, 0x0ff60e22, 
      0x510deff5, 0x0ff60e62, 
      0x510daff6, 0x0ff60e92, 
      0x510d6ff6, 0x0ff60ed2, 
      0x510d3ff5, 0x0ff60f12, 
      0x510ceff5, 0x0ff70f52, 
      0x500cbff5, 0x0ff70f92, 
      0x500c8ff4, 0x0ff70fd2, 
      0x4f0c4ff5, 0x0ff71012, 
      0x4f0c0ff4, 0x0ff81052, 
      0x4e0bdff4, 0x0ff81092, 
      0x4d0b9ff5, 0x0ff810d2, 
      0x4d0b5ff4, 0x0ff91112, 
      0x4c0b2ff4, 0x0ff91152, 
      0x4b0afff4, 0x0ff91192, 
      0x4a0abff4, 0x0ffa11d2, 
      0x490a8ff4, 0x0ffa1212, 
      0x480a4ff5, 0x0ffa1252, 
      0x470a1ff4, 0x0ffb1292, 
      0x4609eff4, 0x0ffb12d2, 
      0x4509aff4, 0x0ffc1312, 
      0x43097ff5, 0x0ffc1352, 
      0x42094ff4, 0x0ffd1392, 
      0x40091ff5, 0x0ffd13d2, 
      0x3f08dff5, 0x0ffe1412, 
      0x3d08aff5, 0x0fff1452, 
      0x3c087ff5, 0x0fff1492, 
      0x3a084ff5, 0x000014d2, 
      0x38081ff4, 0x00011522, 
      0x3707eff4, 0x00011562, 
      0x3507bff4, 0x000215a2, 
      0x33078ff4, 0x000315e2, 
      0x31075ff5, 0x00031622, 
      0x2f072ff5, 0x00041662, 
      0x2d06fff5, 0x000516a2, 
      0x2b06cff5, 0x000616e2, 
      0x29069ff5, 0x00071722, 
      0x26067ff5, 0x00081762, 
      0x24064ff5, 0x000917a2, 
      0x22061ff5, 0x000a17e2, 
      0x1f05fff5, 0x000b1822, 
      0x1d05cff5, 0x000c1862, 
      0x1b059ff5, 0x000d18a2, 
      0x18057ff5, 0x000e18e2, 
      0x15055ff5, 0x000f1922, 
      0x13052ff5, 0x00101962, 
      0x10050ff5, 0x001119a2, 
      0x0d04dff6, 0x001219e2, 
      0x0b04bff5, 0x00141a12, 
      0x08049ff5, 0x00151a52, 
      0x05046ff6, 0x00161a92, 
      0x02044ff6, 0x00171ad2, 
      0xff042ff5, 0x00191b11, 
      0xfc040ff6, 0x001a1b41, 
      0xf903dff6, 0x001c1b81, 
      0xf603bff6, 0x001d1bc1, 
      0xf3039ff5, 0x001f1c01, 
      0xf0037ff6, 0x00201c31, 
      0xec035ff6, 0x00221c71, 
      0xe9034ff6, 0x00231ca1, 
      0xe6031ff6, 0x00251ce1, 
      0xe3030ff5, 0x00271d11, 
      0xdf02eff6, 0x00281d51, 
      0xdc02cff6, 0x002a1d81,
   },
   { /* UV scale factor = 0.57, phases = 127, taps = 5. */
      0xe01dc026, 0x0ff60281, 
      0xe31d9024, 0x0ff602a1, 
      0xe71d5022, 0x0ff602c1, 
      0xea1d2021, 0x0ff602d1, 
      0xee1ce01f, 0x0ff602f1, 
      0xf11ca01e, 0x0ff60311, 
      0xf41c601d, 0x0ff60331, 
      0xf81c301b, 0x0ff50351, 
      0xfb1bf01a, 0x0ff50371, 
      0xfe1bb019, 0x0ff50391, 
      0x011b7017, 0x0ff503c2, 
      0x041b3016, 0x0ff503e2, 
      0x071b0014, 0x0ff50402, 
      0x0a1ac013, 0x0ff50422, 
      0x0d1a8012, 0x0ff50442, 
      0x101a4010, 0x0ff50472, 
      0x131a000f, 0x0ff50492, 
      0x1619c00d, 0x0ff504c2, 
      0x1919800c, 0x0ff504e2, 
      0x1b19400c, 0x0ff50502, 
      0x1e19000a, 0x0ff50532, 
      0x2118c009, 0x0ff50552, 
      0x23188008, 0x0ff50582, 
      0x26183007, 0x0ff505b2, 
      0x2817f007, 0x0ff505d2, 
      0x2b17b005, 0x0ff50602, 
      0x2d177004, 0x0ff50632, 
      0x2f173004, 0x0ff40662, 
      0x3216f003, 0x0ff40682, 
      0x3416b002, 0x0ff406b2, 
      0x36166002, 0x0ff406e2, 
      0x38162001, 0x0ff40712, 
      0x3a15e000, 0x0ff40742, 
      0x3c15afff, 0x0ff40772, 
      0x3e156ffe, 0x0ff407a2, 
      0x40152ffd, 0x0ff407d2, 
      0x4114dffe, 0x0ff40802, 
      0x43149ffd, 0x0ff40832, 
      0x45145ffc, 0x0ff40862, 
      0x46141ffb, 0x0ff408a2, 
      0x4813dffa, 0x0ff408d2, 
      0x49139ffa, 0x0ff40902, 
      0x4b134ffa, 0x0ff40932, 
      0x4c130ff9, 0x0ff40972, 
      0x4d12cff9, 0x0ff409a2, 
      0x4f128ff9, 0x0ff309d2, 
      0x50124ff8, 0x0ff30a12, 
      0x51120ff8, 0x0ff30a42, 
      0x5211cff7, 0x0ff30a82, 
      0x53117ff8, 0x0ff30ab2, 
      0x54113ff7, 0x0ff30af2, 
      0x5510fff7, 0x0ff30b22, 
      0x5510bff7, 0x0ff30b62, 
      0x56107ff6, 0x0ff30ba2, 
      0x57103ff6, 0x0ff30bd2, 
      0x570ffff6, 0x0ff30c12, 
      0x580faff5, 0x0ff40c52, 
      0x580f7ff5, 0x0ff40c82, 
      0x580f3ff5, 0x0ff40cc2, 
      0x590efff4, 0x0ff40d02, 
      0x590ebff4, 0x0ff40d42, 
      0x590e7ff4, 0x0ff40d82, 
      0x590e3ff5, 0x0ff40db2, 
      0x590dfff5, 0x0ff40df2, 
      0x590dcff4, 0x0ff40e32, 
      0x590d8ff4, 0x0ff40e72, 
      0x590d4ff4, 0x0ff40eb2, 
      0x590d0ff3, 0x0ff50ef2, 
      0x580ccff4, 0x0ff50f32, 
      0x580c8ff4, 0x0ff50f72, 
      0x580c5ff3, 0x0ff50fb2, 
      0x570c1ff4, 0x0ff50ff2, 
      0x570bdff3, 0x0ff61032, 
      0x560baff3, 0x0ff61072, 
      0x550b6ff4, 0x0ff610b2, 
      0x550b2ff3, 0x0ff710f2, 
      0x540afff3, 0x0ff71132, 
      0x530abff4, 0x0ff71172, 
      0x520a8ff3, 0x0ff711c2, 
      0x510a4ff3, 0x0ff81202, 
      0x500a1ff3, 0x0ff81242, 
      0x4f09dff3, 0x0ff91282, 
      0x4d09aff4, 0x0ff912c2, 
      0x4c097ff4, 0x0ff91302, 
      0x4b093ff4, 0x0ffa1342, 
      0x49090ff4, 0x0ffa1392, 
      0x4808dff3, 0x0ffb13d2, 
      0x4608aff4, 0x0ffb1412, 
      0x45086ff4, 0x0ffc1452, 
      0x43083ff4, 0x0ffd1492, 
      0x41081ff4, 0x0ffd14d2, 
      0x4007dff3, 0x0ffe1522, 
      0x3e07aff4, 0x0ffe1562, 
      0x3c077ff4, 0x0fff15a2, 
      0x3a074ff4, 0x000015e2, 
      0x38071ff4, 0x00011622, 
      0x3606eff5, 0x00011662, 
      0x3406bff4, 0x000216b2, 
      0x32068ff4, 0x000316f2, 
      0x2f066ff4, 0x00041732, 
      0x2d063ff4, 0x00051772, 
      0x2b060ff4, 0x000617b2, 
      0x2805eff5, 0x000617f2, 
      0x2605bff5, 0x00071832, 
      0x23058ff5, 0x00081882, 
      0x21055ff5, 0x000918c2, 
      0x1e053ff5, 0x000a1902, 
      0x1b050ff5, 0x000c1942, 
      0x1904dff5, 0x000d1982, 
      0x1604bff5, 0x000e19c2, 
      0x13049ff5, 0x000f1a02, 
      0x10047ff5, 0x00101a42, 
      0x0d044ff6, 0x00111a82, 
      0x0a042ff5, 0x00131ac2, 
      0x07040ff5, 0x00141b02, 
      0x0403eff6, 0x00151b32, 
      0x0103cff5, 0x00171b72, 
      0xfe039ff6, 0x00181bb1, 
      0xfb037ff6, 0x00191bf1, 
      0xf8035ff5, 0x001b1c31, 
      0xf4034ff6, 0x001c1c61, 
      0xf1031ff6, 0x001e1ca1, 
      0xee02fff5, 0x00201ce1, 
      0xea02dff6, 0x00211d21, 
      0xe702cff5, 0x00231d51, 
      0xe302aff6, 0x00241d91, 
      0xe0028ff6, 0x00261dc1,
   },
   { /* UV scale factor = 0.58, phases = 127, taps = 5. */
      0xe41e0023, 0x0ff50241, 
      0xe81dd020, 0x0ff50261, 
      0xeb1d901f, 0x0ff50281, 
      0xef1d501e, 0x0ff50291, 
      0xf21d201c, 0x0ff502b1, 
      0xf61ce01a, 0x0ff502d1, 
      0xf91ca019, 0x0ff502f1, 
      0xfc1c6018, 0x0ff50311, 
      0x001c2016, 0x0ff50332, 
      0x031be015, 0x0ff50352, 
      0x061bb013, 0x0ff50372, 
      0x0a1b6011, 0x0ff503a2, 
      0x0d1b2010, 0x0ff503c2, 
      0x101ae00f, 0x0ff503e2, 
      0x131aa00e, 0x0ff50402, 
      0x161a600c, 0x0ff50432, 
      0x191a200b, 0x0ff50452, 
      0x1c19e00a, 0x0ff50472, 
      0x1f199009, 0x0ff504a2, 
      0x21196008, 0x0ff504c2, 
      0x24191007, 0x0ff504f2, 
      0x2718d007, 0x0ff40512, 
      0x2a189005, 0x0ff40542, 
      0x2c185004, 0x0ff40572, 
      0x2f181003, 0x0ff40592, 
      0x3117c003, 0x0ff405c2, 
      0x34178001, 0x0ff405f2, 
      0x36174001, 0x0ff40612, 
      0x38170000, 0x0ff40642, 
      0x3b16bfff, 0x0ff40672, 
      0x3d167ffe, 0x0ff406a2, 
      0x3f163ffd, 0x0ff406d2, 
      0x4115effd, 0x0ff40702, 
      0x4315affd, 0x0ff30732, 
      0x45156ffc, 0x0ff30762, 
      0x47152ffb, 0x0ff30792, 
      0x4914dffb, 0x0ff307c2, 
      0x4a149ffb, 0x0ff307f2, 
      0x4c145ffa, 0x0ff30822, 
      0x4e141ff8, 0x0ff30862, 
      0x4f13cff9, 0x0ff30892, 
      0x51138ff8, 0x0ff308c2, 
      0x52134ff7, 0x0ff30902, 
      0x5412fff7, 0x0ff30932, 
      0x5512bff7, 0x0ff30962, 
      0x56127ff6, 0x0ff309a2, 
      0x58123ff6, 0x0ff209d2, 
      0x5911eff6, 0x0ff20a12, 
      0x5a11aff6, 0x0ff20a42, 
      0x5b116ff5, 0x0ff20a82, 
      0x5c112ff5, 0x0ff20ab2, 
      0x5c10eff5, 0x0ff20af2, 
      0x5d109ff5, 0x0ff20b32, 
      0x5e105ff5, 0x0ff20b62, 
      0x5f101ff4, 0x0ff20ba2, 
      0x5f0fdff4, 0x0ff20be2, 
      0x600f9ff3, 0x0ff20c22, 
      0x600f5ff4, 0x0ff20c52, 
      0x610f1ff3, 0x0ff20c92, 
      0x610edff3, 0x0ff20cd2, 
      0x610e9ff3, 0x0ff20d12, 
      0x610e5ff3, 0x0ff20d52, 
      0x610e1ff3, 0x0ff20d92, 
      0x610ddff2, 0x0ff30dd2, 
      0x610d9ff2, 0x0ff30e12, 
      0x610d5ff2, 0x0ff30e52, 
      0x610d1ff2, 0x0ff30e92, 
      0x610cdff2, 0x0ff30ed2, 
      0x610c9ff2, 0x0ff30f12, 
      0x600c5ff3, 0x0ff30f52, 
      0x600c2ff2, 0x0ff30f92, 
      0x5f0beff2, 0x0ff40fd2, 
      0x5f0baff2, 0x0ff41012, 
      0x5e0b6ff3, 0x0ff41052, 
      0x5d0b3ff3, 0x0ff41092, 
      0x5c0afff2, 0x0ff510e2, 
      0x5c0abff2, 0x0ff51122, 
      0x5b0a8ff2, 0x0ff51162, 
      0x5a0a4ff3, 0x0ff511a2, 
      0x590a1ff2, 0x0ff611e2, 
      0x5809dff2, 0x0ff61232, 
      0x5609aff3, 0x0ff61272, 
      0x55096ff3, 0x0ff712b2, 
      0x54093ff3, 0x0ff712f2, 
      0x52090ff2, 0x0ff81342, 
      0x5108cff3, 0x0ff81382, 
      0x4f089ff3, 0x0ff913c2, 
      0x4e086ff2, 0x0ff91412, 
      0x4c082ff3, 0x0ffa1452, 
      0x4a07fff4, 0x0ffa1492, 
      0x4907cff3, 0x0ffb14d2, 
      0x47079ff3, 0x0ffb1522, 
      0x45076ff3, 0x0ffc1562, 
      0x43073ff4, 0x0ffc15a2, 
      0x41070ff3, 0x0ffd15f2, 
      0x3f06dff3, 0x0ffe1632, 
      0x3d06aff4, 0x0ffe1672, 
      0x3b067ff4, 0x0fff16b2, 
      0x38064ff4, 0x00001702, 
      0x36061ff4, 0x00011742, 
      0x3405eff4, 0x00021782, 
      0x3105cff5, 0x000217c2, 
      0x2f059ff4, 0x00031812, 
      0x2c057ff4, 0x00041852, 
      0x2a054ff4, 0x00051892, 
      0x27051ff5, 0x000618d2, 
      0x2404fff5, 0x00071912, 
      0x2104cff5, 0x00081962, 
      0x1f04aff4, 0x000919a2, 
      0x1c047ff5, 0x000a19e2, 
      0x19045ff5, 0x000b1a22, 
      0x16043ff4, 0x000d1a62, 
      0x13040ff5, 0x000e1aa2, 
      0x1003eff5, 0x000f1ae2, 
      0x0d03cff5, 0x00101b22, 
      0x0a039ff5, 0x00121b62, 
      0x06037ff6, 0x00131ba2, 
      0x03035ff6, 0x00141be2, 
      0x00033ff5, 0x00161c22, 
      0xfc031ff6, 0x00171c61, 
      0xf902fff5, 0x00191ca1, 
      0xf602dff5, 0x001a1ce1, 
      0xf202bff6, 0x001c1d11, 
      0xef029ff6, 0x001d1d51, 
      0xeb028ff5, 0x001f1d91, 
      0xe8025ff5, 0x00211dd1, 
      0xe4024ff6, 0x00221e01,
   },
   { /* UV scale factor = 0.59, phases = 127, taps = 5. */
      0xe81e401f, 0x0ff50201, 
      0xec1e101c, 0x0ff50221, 
      0xef1dd01b, 0x0ff50241, 
      0xf31d901a, 0x0ff50251, 
      0xf71d5018, 0x0ff50271, 
      0xfa1d1017, 0x0ff50291, 
      0xfe1cd015, 0x0ff502b1, 
      0x011c9014, 0x0ff502d2, 
      0x051c5012, 0x0ff502f2, 
      0x081c1011, 0x0ff50312, 
      0x0c1bd00f, 0x0ff50332, 
      0x0f1b900e, 0x0ff50352, 
      0x121b500c, 0x0ff50382, 
      0x151b100b, 0x0ff503a2, 
      0x181ac00b, 0x0ff503c2, 
      0x1c1a8009, 0x0ff503e2, 
      0x1e1a4008, 0x0ff50412, 
      0x221a0007, 0x0ff40432, 
      0x2519c005, 0x0ff40462, 
      0x28197005, 0x0ff40482, 
      0x2a193004, 0x0ff404b2, 
      0x2d18f003, 0x0ff404d2, 
      0x3018a002, 0x0ff40502, 
      0x33186001, 0x0ff40522, 
      0x35182000, 0x0ff40552, 
      0x3817dfff, 0x0ff40582, 
      0x3a179fff, 0x0ff405a2, 
      0x3d175ffd, 0x0ff405d2, 
      0x3f170ffe, 0x0ff30602, 
      0x4216cffc, 0x0ff30632, 
      0x44168ffb, 0x0ff30662, 
      0x46163ffb, 0x0ff30692, 
      0x4815fffa, 0x0ff306c2, 
      0x4a15affa, 0x0ff306f2, 
      0x4c156ff9, 0x0ff30722, 
      0x4e152ff8, 0x0ff30752, 
      0x5014dff8, 0x0ff30782, 
      0x52149ff8, 0x0ff207b2, 
      0x54144ff7, 0x0ff207f2, 
      0x55140ff7, 0x0ff20822, 
      0x5713cff6, 0x0ff20852, 
      0x59137ff6, 0x0ff20882, 
      0x5a133ff5, 0x0ff208c2, 
      0x5c12fff4, 0x0ff208f2, 
      0x5d12aff4, 0x0ff20932, 
      0x5e126ff4, 0x0ff20962, 
      0x5f121ff4, 0x0ff209a2, 
      0x6111dff3, 0x0ff209d2, 
      0x62119ff3, 0x0ff10a12, 
      0x63115ff3, 0x0ff10a42, 
      0x64110ff3, 0x0ff10a82, 
      0x6510cff2, 0x0ff10ac2, 
      0x65108ff3, 0x0ff10af2, 
      0x66103ff3, 0x0ff10b32, 
      0x670ffff2, 0x0ff10b72, 
      0x670fbff2, 0x0ff10bb2, 
      0x680f7ff2, 0x0ff10be2, 
      0x680f3ff2, 0x0ff10c22, 
      0x690eeff2, 0x0ff10c62, 
      0x690eaff2, 0x0ff10ca2, 
      0x690e6ff2, 0x0ff10ce2, 
      0x6a0e2ff1, 0x0ff10d22, 
      0x6a0deff1, 0x0ff10d62, 
      0x6a0daff1, 0x0ff10da2, 
      0x6a0d6ff1, 0x0ff10de2, 
      0x6a0d2ff1, 0x0ff10e22, 
      0x690ceff2, 0x0ff10e62, 
      0x690caff2, 0x0ff10ea2, 
      0x690c6ff2, 0x0ff10ee2, 
      0x680c2ff1, 0x0ff20f32, 
      0x680beff1, 0x0ff20f72, 
      0x670bbff1, 0x0ff20fb2, 
      0x670b7ff1, 0x0ff20ff2, 
      0x660b3ff2, 0x0ff21032, 
      0x650afff2, 0x0ff21082, 
      0x650abff1, 0x0ff310c2, 
      0x640a8ff1, 0x0ff31102, 
      0x630a4ff1, 0x0ff31152, 
      0x620a1ff1, 0x0ff31192, 
      0x6109dff1, 0x0ff411d2, 
      0x5f09aff2, 0x0ff41212, 
      0x5e096ff2, 0x0ff41262, 
      0x5d093ff1, 0x0ff512a2, 
      0x5c08fff1, 0x0ff512f2, 
      0x5a08cff2, 0x0ff51332, 
      0x59088ff2, 0x0ff61372, 
      0x57085ff2, 0x0ff613c2, 
      0x55082ff2, 0x0ff71402, 
      0x5407fff2, 0x0ff71442, 
      0x5207bff3, 0x0ff71492, 
      0x50078ff3, 0x0ff814d2, 
      0x4e075ff2, 0x0ff91522, 
      0x4c072ff3, 0x0ff91562, 
      0x4a06fff3, 0x0ffa15a2, 
      0x4806cff3, 0x0ffa15f2, 
      0x46069ff3, 0x0ffb1632, 
      0x44065ff3, 0x0ffc1682, 
      0x42063ff3, 0x0ffc16c2, 
      0x3f060ff4, 0x0ffd1702, 
      0x3d05dff3, 0x0ffe1752, 
      0x3a05aff4, 0x0fff1792, 
      0x38058ff4, 0x0fff17d2, 
      0x35055ff4, 0x00001822, 
      0x33052ff4, 0x00011862, 
      0x30050ff4, 0x000218a2, 
      0x2d04dff4, 0x000318f2, 
      0x2a04bff4, 0x00041932, 
      0x28048ff4, 0x00051972, 
      0x25045ff4, 0x000619c2, 
      0x22043ff4, 0x00071a02, 
      0x1f041ff4, 0x00081a42, 
      0x1c03eff5, 0x00091a82, 
      0x1803dff5, 0x000a1ac2, 
      0x1503aff4, 0x000c1b12, 
      0x12038ff4, 0x000d1b52, 
      0x0f035ff5, 0x000e1b92, 
      0x0c033ff5, 0x000f1bd2, 
      0x08031ff5, 0x00111c12, 
      0x0502fff5, 0x00121c52, 
      0x0102dff6, 0x00131c92, 
      0xfe02bff5, 0x00151cd1, 
      0xfa029ff6, 0x00161d11, 
      0xf7027ff5, 0x00181d51, 
      0xf3025ff6, 0x00191d91, 
      0xef024ff5, 0x001b1dd1, 
      0xec021ff5, 0x001d1e11, 
      0xe8020ff6, 0x001e1e41,
   },
   { /* UV scale factor = 0.60, phases = 127, taps = 5. */
      0xec1e801b, 0x0ff501c1, 
      0xf01e4019, 0x0ff501e1, 
      0xf41e0018, 0x0ff501f1, 
      0xf81dc016, 0x0ff50211, 
      0xfb1d9014, 0x0ff50231, 
      0xff1d4013, 0x0ff50251, 
      0x031d0011, 0x0ff50272, 
      0x061cc010, 0x0ff50292, 
      0x0a1c800e, 0x0ff502b2, 
      0x0d1c400d, 0x0ff502d2, 
      0x111c000b, 0x0ff502f2, 
      0x141bc00a, 0x0ff50312, 
      0x181b7009, 0x0ff50332, 
      0x1b1b3007, 0x0ff50362, 
      0x1e1af006, 0x0ff50382, 
      0x211ab006, 0x0ff403a2, 
      0x251a6005, 0x0ff403c2, 
      0x281a2003, 0x0ff403f2, 
      0x2b19d003, 0x0ff40412, 
      0x2e199001, 0x0ff40442, 
      0x31195000, 0x0ff40462, 
      0x34190fff, 0x0ff40492, 
      0x3618cfff, 0x0ff404b2, 
      0x39187ffe, 0x0ff404e2, 
      0x3c183ffd, 0x0ff30512, 
      0x3f17effd, 0x0ff30532, 
      0x4117affc, 0x0ff30562, 
      0x44175ffb, 0x0ff30592, 
      0x46171ffa, 0x0ff305c2, 
      0x4916cff9, 0x0ff305f2, 
      0x4b168ff8, 0x0ff30622, 
      0x4d163ff8, 0x0ff30652, 
      0x4f15fff8, 0x0ff20682, 
      0x5215aff7, 0x0ff206b2, 
      0x54156ff6, 0x0ff206e2, 
      0x56151ff6, 0x0ff20712, 
      0x5814dff5, 0x0ff20742, 
      0x5a148ff5, 0x0ff20772, 
      0x5b144ff5, 0x0ff207a2, 
      0x5d13fff4, 0x0ff207e2, 
      0x5f13bff4, 0x0ff10812, 
      0x60137ff4, 0x0ff10842, 
      0x62132ff3, 0x0ff10882, 
      0x6312eff3, 0x0ff108b2, 
      0x65129ff2, 0x0ff108f2, 
      0x66125ff2, 0x0ff10922, 
      0x68120ff1, 0x0ff10962, 
      0x6911cff1, 0x0ff10992, 
      0x6a117ff1, 0x0ff109d2, 
      0x6b113ff1, 0x0ff00a12, 
      0x6c10fff1, 0x0ff00a42, 
      0x6d10aff1, 0x0ff00a82, 
      0x6e106ff0, 0x0ff00ac2, 
      0x6e101ff1, 0x0ff00b02, 
      0x6f0fdff1, 0x0ff00b32, 
      0x700f9ff0, 0x0ff00b72, 
      0x700f5ff0, 0x0ff00bb2, 
      0x710f0ff0, 0x0ff00bf2, 
      0x710ecff0, 0x0ff00c32, 
      0x720e8fef, 0x0ff00c72, 
      0x720e4fef, 0x0ff00cb2, 
      0x720dfff0, 0x0ff00cf2, 
      0x720dbff0, 0x0ff00d32, 
      0x720d7ff0, 0x0ff00d72, 
      0x720d3ff0, 0x0ff00db2, 
      0x720cfff0, 0x0ff00df2, 
      0x720cbfef, 0x0ff00e42, 
      0x720c7fef, 0x0ff00e82, 
      0x710c3ff0, 0x0ff00ec2, 
      0x710bfff0, 0x0ff00f02, 
      0x700bbff0, 0x0ff00f52, 
      0x700b7ff0, 0x0ff00f92, 
      0x6f0b3ff1, 0x0ff00fd2, 
      0x6e0b0ff1, 0x0ff01012, 
      0x6e0abff0, 0x0ff11062, 
      0x6d0a8ff0, 0x0ff110a2, 
      0x6c0a4ff0, 0x0ff110f2, 
      0x6b0a1ff0, 0x0ff11132, 
      0x6a09dff1, 0x0ff11172, 
      0x69099ff0, 0x0ff211c2, 
      0x68096ff0, 0x0ff21202, 
      0x66092ff1, 0x0ff21252, 
      0x6508fff1, 0x0ff21292, 
      0x6308bff2, 0x0ff312d2, 
      0x62088ff1, 0x0ff31322, 
      0x60085ff2, 0x0ff31362, 
      0x5f081ff1, 0x0ff413b2, 
      0x5d07eff2, 0x0ff413f2, 
      0x5b07aff2, 0x0ff51442, 
      0x5a077ff2, 0x0ff51482, 
      0x58074ff2, 0x0ff514d2, 
      0x56071ff2, 0x0ff61512, 
      0x5406eff2, 0x0ff61562, 
      0x5206bff2, 0x0ff715a2, 
      0x4f068ff2, 0x0ff815f2, 
      0x4d065ff3, 0x0ff81632, 
      0x4b062ff2, 0x0ff91682, 
      0x4905fff3, 0x0ff916c2, 
      0x4605cff3, 0x0ffa1712, 
      0x44059ff3, 0x0ffb1752, 
      0x41056ff3, 0x0ffc17a2, 
      0x3f053ff4, 0x0ffc17e2, 
      0x3c051ff3, 0x0ffd1832, 
      0x3904eff4, 0x0ffe1872, 
      0x3604bff4, 0x0fff18c2, 
      0x34049ff3, 0x00001902, 
      0x31046ff3, 0x00011952, 
      0x2e043ff4, 0x00021992, 
      0x2b041ff4, 0x000319d2, 
      0x2803eff4, 0x00041a22, 
      0x2503cff4, 0x00051a62, 
      0x2103aff5, 0x00061aa2, 
      0x1e038ff4, 0x00071af2, 
      0x1b036ff4, 0x00081b32, 
      0x18033ff5, 0x00091b72, 
      0x14031ff5, 0x000a1bc2, 
      0x1102fff4, 0x000c1c02, 
      0x0d02dff5, 0x000d1c42, 
      0x0a02bff5, 0x000e1c82, 
      0x06029ff5, 0x00101cc2, 
      0x03027ff5, 0x00111d02, 
      0xff025ff5, 0x00131d41, 
      0xfb023ff6, 0x00141d81, 
      0xf8021ff5, 0x00161dc1, 
      0xf401fff6, 0x00171e01, 
      0xf001eff5, 0x00191e41, 
      0xec01cff6, 0x001a1e81,
   },
   { /* UV scale factor = 0.61, phases = 127, taps = 5. */
      0xf01ec017, 0x0ff50181, 
      0xf41e8015, 0x0ff501a1, 
      0xf81e4014, 0x0ff501b1, 
      0xfc1e0012, 0x0ff501d1, 
      0x001dc010, 0x0ff501f2, 
      0x041d800e, 0x0ff50212, 
      0x071d400d, 0x0ff50232, 
      0x0b1cf00c, 0x0ff50252, 
      0x0f1cb00a, 0x0ff50272, 
      0x121c7009, 0x0ff50292, 
      0x161c3007, 0x0ff502b2, 
      0x1a1be006, 0x0ff502d2, 
      0x1d1ba005, 0x0ff502f2, 
      0x201b6005, 0x0ff40312, 
      0x241b1004, 0x0ff40332, 
      0x271ad002, 0x0ff40362, 
      0x2a1a8002, 0x0ff40382, 
      0x2e1a4000, 0x0ff403a2, 
      0x3119ffff, 0x0ff403d2, 
      0x3419bffe, 0x0ff403f2, 
      0x37196ffd, 0x0ff40422, 
      0x3a192ffc, 0x0ff40442, 
      0x3d18dffc, 0x0ff30472, 
      0x40188ffb, 0x0ff304a2, 
      0x43184ffa, 0x0ff304c2, 
      0x4517fffa, 0x0ff304f2, 
      0x4817bff8, 0x0ff30522, 
      0x4b176ff7, 0x0ff30552, 
      0x4d172ff7, 0x0ff30572, 
      0x5016dff6, 0x0ff305a2, 
      0x52168ff7, 0x0ff205d2, 
      0x54164ff6, 0x0ff20602, 
      0x5715fff5, 0x0ff20632, 
      0x5915aff5, 0x0ff20662, 
      0x5b156ff4, 0x0ff20692, 
      0x5d151ff3, 0x0ff206d2, 
      0x5f14dff3, 0x0ff10702, 
      0x61148ff3, 0x0ff10732, 
      0x63143ff3, 0x0ff10762, 
      0x6513fff1, 0x0ff107a2, 
      0x6713aff1, 0x0ff107d2, 
      0x68136ff1, 0x0ff10802, 
      0x6a131ff0, 0x0ff10842, 
      0x6c12cff1, 0x0ff00872, 
      0x6d128ff0, 0x0ff008b2, 
      0x6e124ff0, 0x0ff008e2, 
      0x7011ffef, 0x0ff00922, 
      0x7111aff0, 0x0ff00952, 
      0x72116fef, 0x0ff00992, 
      0x73111fef, 0x0ff009d2, 
      0x7410dfef, 0x0fef0a12, 
      0x75109fef, 0x0fef0a42, 
      0x76104fef, 0x0fef0a82, 
      0x770fffef, 0x0fef0ac2, 
      0x780fbfee, 0x0fef0b02, 
      0x780f7fee, 0x0fef0b42, 
      0x790f2fee, 0x0fef0b82, 
      0x790eefee, 0x0fef0bc2, 
      0x7a0e9fee, 0x0fef0c02, 
      0x7a0e5fee, 0x0fef0c42, 
      0x7a0e1fee, 0x0fef0c82, 
      0x7a0ddfef, 0x0fee0cc2, 
      0x7b0d8fef, 0x0fee0d02, 
      0x7b0d4fef, 0x0fee0d42, 
      0x7b0d0fef, 0x0fee0d82, 
      0x7a0ccfef, 0x0fee0dd2, 
      0x7a0c8fef, 0x0fee0e12, 
      0x7a0c4fef, 0x0fee0e52, 
      0x7a0c0fef, 0x0fee0e92, 
      0x790bcfef, 0x0fee0ee2, 
      0x790b8fef, 0x0fee0f22, 
      0x780b4fee, 0x0fef0f72, 
      0x780affef, 0x0fef0fb2, 
      0x770acfef, 0x0fef0ff2, 
      0x760a8fef, 0x0fef1042, 
      0x750a4ff0, 0x0fef1082, 
      0x740a1fef, 0x0fef10d2, 
      0x7309dff0, 0x0fef1112, 
      0x72099ff0, 0x0fef1162, 
      0x71095ff0, 0x0ff011a2, 
      0x70092fef, 0x0ff011f2, 
      0x6e08eff1, 0x0ff01232, 
      0x6d08bff0, 0x0ff01282, 
      0x6c087ff0, 0x0ff112c2, 
      0x6a084ff0, 0x0ff11312, 
      0x68080ff1, 0x0ff11362, 
      0x6707dff1, 0x0ff113a2, 
      0x65079ff1, 0x0ff213f2, 
      0x63076ff2, 0x0ff21432, 
      0x61073ff1, 0x0ff31482, 
      0x5f070ff1, 0x0ff314d2, 
      0x5d06dff2, 0x0ff31512, 
      0x5b069ff2, 0x0ff41562, 
      0x59067ff2, 0x0ff415a2, 
      0x57063ff2, 0x0ff515f2, 
      0x54060ff3, 0x0ff51642, 
      0x5205dff3, 0x0ff61682, 
      0x5005aff2, 0x0ff716d2, 
      0x4d057ff3, 0x0ff71722, 
      0x4b055ff2, 0x0ff81762, 
      0x48052ff2, 0x0ff917b2, 
      0x4504fff4, 0x0ff917f2, 
      0x4304cff3, 0x0ffa1842, 
      0x4004aff3, 0x0ffb1882, 
      0x3d047ff3, 0x0ffc18d2, 
      0x3a044ff3, 0x0ffd1922, 
      0x37042ff4, 0x0ffd1962, 
      0x3403fff4, 0x0ffe19b2, 
      0x3103dff4, 0x0fff19f2, 
      0x2e03aff4, 0x00001a42, 
      0x2a038ff5, 0x00011a82, 
      0x27036ff4, 0x00021ad2, 
      0x24033ff5, 0x00031b12, 
      0x20032ff5, 0x00041b52, 
      0x1d02fff4, 0x00061ba2, 
      0x1a02dff4, 0x00071be2, 
      0x1602bff4, 0x00081c32, 
      0x12029ff5, 0x00091c72, 
      0x0f027ff4, 0x000b1cb2, 
      0x0b025ff5, 0x000c1cf2, 
      0x07023ff5, 0x000d1d42, 
      0x04020ff5, 0x000f1d82, 
      0x0001fff5, 0x00101dc2, 
      0xfc01dff5, 0x00121e01, 
      0xf801bff6, 0x00131e41, 
      0xf401aff5, 0x00151e81, 
      0xf0018ff6, 0x00161ec1,
   },
   { /* UV scale factor = 0.62, phases = 127, taps = 5. */
      0xf41f0012, 0x0ff60141, 
      0xf81ec011, 0x0ff50161, 
      0xfc1e8010, 0x0ff50171, 
      0x001e400e, 0x0ff50192, 
      0x041df00d, 0x0ff501b2, 
      0x081db00b, 0x0ff501d2, 
      0x0c1d700a, 0x0ff501e2, 
      0x101d2009, 0x0ff50202, 
      0x141ce007, 0x0ff50222, 
      0x181ca005, 0x0ff50242, 
      0x1b1c5005, 0x0ff50262, 
      0x1f1c1003, 0x0ff50282, 
      0x221bc002, 0x0ff502b2, 
      0x261b8001, 0x0ff402d2, 
      0x2a1b3000, 0x0ff402f2, 
      0x2d1affff, 0x0ff40312, 
      0x301aaffe, 0x0ff40342, 
      0x341a6ffc, 0x0ff40362, 
      0x371a1ffc, 0x0ff40382, 
      0x3a19cffb, 0x0ff403b2, 
      0x3d198ffa, 0x0ff403d2, 
      0x40193ffa, 0x0ff30402, 
      0x4318fff9, 0x0ff30422, 
      0x4618aff8, 0x0ff30452, 
      0x49185ff7, 0x0ff30482, 
      0x4c180ff7, 0x0ff304a2, 
      0x4f17bff6, 0x0ff304d2, 
      0x52176ff5, 0x0ff30502, 
      0x54172ff5, 0x0ff20532, 
      0x5716dff4, 0x0ff20562, 
      0x59169ff3, 0x0ff20592, 
      0x5c164ff2, 0x0ff205c2, 
      0x5e15fff2, 0x0ff205f2, 
      0x6115aff1, 0x0ff20622, 
      0x63156ff1, 0x0ff10652, 
      0x65151ff1, 0x0ff10682, 
      0x6714cff1, 0x0ff106b2, 
      0x69147ff0, 0x0ff106f2, 
      0x6b143fef, 0x0ff10722, 
      0x6d13efef, 0x0ff10752, 
      0x6f139fef, 0x0ff00792, 
      0x70135fef, 0x0ff007c2, 
      0x72130fee, 0x0ff00802, 
      0x7412bfee, 0x0ff00832, 
      0x75126fee, 0x0ff00872, 
      0x77122fee, 0x0fef08a2, 
      0x7811dfee, 0x0fef08e2, 
      0x79119fee, 0x0fef0912, 
      0x7a114fee, 0x0fef0952, 
      0x7c10ffed, 0x0fef0992, 
      0x7d10afed, 0x0fef09d2, 
      0x7d106fed, 0x0fef0a12, 
      0x7f102fed, 0x0fee0a42, 
      0x7f0fdfee, 0x0fee0a82, 
      0x800f9fed, 0x0fee0ac2, 
      0x810f4fed, 0x0fee0b02, 
      0x810f0fed, 0x0fee0b42, 
      0x820ebfed, 0x0fee0b82, 
      0x820e7fed, 0x0fee0bc2, 
      0x830e3fed, 0x0fed0c02, 
      0x830defed, 0x0fed0c52, 
      0x830dafed, 0x0fed0c92, 
      0x830d5fee, 0x0fed0cd2, 
      0x830d1fee, 0x0fed0d12, 
      0x830cdfee, 0x0fed0d52, 
      0x830c9fed, 0x0fed0da2, 
      0x830c5fed, 0x0fed0de2, 
      0x830c0fee, 0x0fed0e22, 
      0x820bcfee, 0x0fed0e72, 
      0x820b8fee, 0x0fed0eb2, 
      0x810b4fee, 0x0fed0f02, 
      0x810b0fee, 0x0fed0f42, 
      0x800acfee, 0x0fed0f92, 
      0x7f0a8fef, 0x0fed0fd2, 
      0x7f0a4fee, 0x0fed1022, 
      0x7e0a1fee, 0x0fed1062, 
      0x7d09dfee, 0x0fed10b2, 
      0x7c099fef, 0x0fed10f2, 
      0x7a096fef, 0x0fed1142, 
      0x79091ff0, 0x0fee1182, 
      0x7808efef, 0x0fee11d2, 
      0x7708afef, 0x0fee1222, 
      0x75087ff0, 0x0fee1262, 
      0x74083ff0, 0x0fee12b2, 
      0x72080fef, 0x0fef1302, 
      0x7007cff1, 0x0fef1342, 
      0x6f079ff0, 0x0fef1392, 
      0x6d075ff1, 0x0fef13e2, 
      0x6b072ff0, 0x0ff01432, 
      0x6906fff1, 0x0ff01472, 
      0x6706bff1, 0x0ff114c2, 
      0x65068ff1, 0x0ff11512, 
      0x63065ff1, 0x0ff11562, 
      0x61062ff1, 0x0ff215a2, 
      0x5e05fff2, 0x0ff215f2, 
      0x5c05cff1, 0x0ff31642, 
      0x59059ff2, 0x0ff31692, 
      0x57056ff2, 0x0ff416d2, 
      0x54053ff3, 0x0ff41722, 
      0x52050ff2, 0x0ff51772, 
      0x4f04dff3, 0x0ff617b2, 
      0x4c04bff3, 0x0ff61802, 
      0x49048ff3, 0x0ff71852, 
      0x46045ff3, 0x0ff818a2, 
      0x43042ff4, 0x0ff918e2, 
      0x40040ff4, 0x0ff91932, 
      0x3d03dff4, 0x0ffa1982, 
      0x3a03bff4, 0x0ffb19c2, 
      0x37038ff4, 0x0ffc1a12, 
      0x34036ff3, 0x0ffd1a62, 
      0x30034ff4, 0x0ffe1aa2, 
      0x2d031ff4, 0x0fff1af2, 
      0x2a02fff4, 0x00001b32, 
      0x2602dff4, 0x00011b82, 
      0x2302bff4, 0x00021bc2, 
      0x1f028ff5, 0x00031c12, 
      0x1b027ff5, 0x00041c52, 
      0x18024ff4, 0x00061ca2, 
      0x14022ff5, 0x00071ce2, 
      0x10020ff6, 0x00081d22, 
      0x0c01eff6, 0x00091d72, 
      0x0801dff5, 0x000b1db2, 
      0x0401bff6, 0x000c1df2, 
      0x00019ff5, 0x000e1e42, 
      0xfc017ff6, 0x000f1e81, 
      0xf8016ff5, 0x00111ec1, 
      0xf4014ff6, 0x00121f01,
   },
   { /* UV scale factor = 0.63, phases = 127, taps = 5. */
      0xf81f400e, 0x0ff60101, 
      0xfd1f000c, 0x0ff60111, 
      0x011eb00b, 0x0ff60132, 
      0x051e700a, 0x0ff50152, 
      0x091e3008, 0x0ff50172, 
      0x0d1df007, 0x0ff50182, 
      0x111da006, 0x0ff501a2, 
      0x151d5005, 0x0ff501c2, 
      0x191d1003, 0x0ff501e2, 
      0x1d1cc002, 0x0ff50202, 
      0x211c8000, 0x0ff50222, 
      0x241c3000, 0x0ff50242, 
      0x281bfffe, 0x0ff50262, 
      0x2c1baffe, 0x0ff40282, 
      0x2f1b5ffd, 0x0ff402b2, 
      0x331b1ffb, 0x0ff402d2, 
      0x361acffb, 0x0ff402f2, 
      0x3a1a7ffa, 0x0ff40312, 
      0x3d1a3ff8, 0x0ff40342, 
      0x4119eff7, 0x0ff40362, 
      0x44199ff7, 0x0ff30392, 
      0x47194ff7, 0x0ff303b2, 
      0x4a18fff6, 0x0ff303e2, 
      0x4d18bff4, 0x0ff30412, 
      0x50186ff4, 0x0ff30432, 
      0x53181ff3, 0x0ff30462, 
      0x5617cff2, 0x0ff30492, 
      0x59177ff3, 0x0ff204b2, 
      0x5b173ff2, 0x0ff204e2, 
      0x5e16eff1, 0x0ff20512, 
      0x61169ff0, 0x0ff20542, 
      0x63164ff0, 0x0ff20572, 
      0x6615fff0, 0x0ff105a2, 
      0x6815aff0, 0x0ff105d2, 
      0x6a156fef, 0x0ff10602, 
      0x6d150fee, 0x0ff10642, 
      0x6f14bfee, 0x0ff10672, 
      0x71147fee, 0x0ff006a2, 
      0x73142fee, 0x0ff006d2, 
      0x7513dfed, 0x0ff00712, 
      0x77138fed, 0x0ff00742, 
      0x79133fec, 0x0ff00782, 
      0x7a12ffed, 0x0fef07b2, 
      0x7c12afec, 0x0fef07f2, 
      0x7d125fed, 0x0fef0822, 
      0x7f120fec, 0x0fef0862, 
      0x8011bfec, 0x0fef08a2, 
      0x82117fec, 0x0fee08d2, 
      0x83112fec, 0x0fee0912, 
      0x8410dfec, 0x0fee0952, 
      0x85109feb, 0x0fee0992, 
      0x86104feb, 0x0fee09d2, 
      0x870fffeb, 0x0fee0a12, 
      0x880fbfec, 0x0fed0a42, 
      0x890f6fec, 0x0fed0a82, 
      0x890f2fec, 0x0fed0ac2, 
      0x8a0edfeb, 0x0fed0b12, 
      0x8b0e8feb, 0x0fed0b52, 
      0x8b0e4feb, 0x0fed0b92, 
      0x8b0e0fec, 0x0fec0bd2, 
      0x8c0dbfec, 0x0fec0c12, 
      0x8c0d7fec, 0x0fec0c52, 
      0x8c0d2fec, 0x0fec0ca2, 
      0x8c0cefec, 0x0fec0ce2, 
      0x8c0cafec, 0x0fec0d22, 
      0x8c0c5fec, 0x0fec0d72, 
      0x8c0c1fec, 0x0fec0db2, 
      0x8b0bdfec, 0x0fec0e02, 
      0x8b0b9fec, 0x0fec0e42, 
      0x8b0b5fec, 0x0fec0e82, 
      0x8a0b1fed, 0x0feb0ed2, 
      0x890acfee, 0x0feb0f22, 
      0x890a8fee, 0x0feb0f62, 
      0x880a4fee, 0x0feb0fb2, 
      0x870a1fee, 0x0feb0ff2, 
      0x8609dfee, 0x0feb1042, 
      0x85099fed, 0x0fec1092, 
      0x84095fee, 0x0fec10d2, 
      0x83091fee, 0x0fec1122, 
      0x8208dfee, 0x0fec1172, 
      0x8008afef, 0x0fec11b2, 
      0x7f086fef, 0x0fec1202, 
      0x7d082ff0, 0x0fec1252, 
      0x7c07ffef, 0x0fec12a2, 
      0x7a07bff0, 0x0fed12e2, 
      0x79078fef, 0x0fed1332, 
      0x77074ff0, 0x0fed1382, 
      0x75071ff0, 0x0fed13d2, 
      0x7306dff0, 0x0fee1422, 
      0x7106aff0, 0x0fee1472, 
      0x6f067ff1, 0x0fee14b2, 
      0x6d064ff1, 0x0fee1502, 
      0x6a060ff2, 0x0fef1552, 
      0x6805dff2, 0x0fef15a2, 
      0x6605aff1, 0x0ff015f2, 
      0x63057ff2, 0x0ff01642, 
      0x61054ff1, 0x0ff11692, 
      0x5e051ff2, 0x0ff116e2, 
      0x5b04eff3, 0x0ff21722, 
      0x5904bff3, 0x0ff21772, 
      0x56049ff2, 0x0ff317c2, 
      0x53046ff3, 0x0ff31812, 
      0x50043ff3, 0x0ff41862, 
      0x4d040ff3, 0x0ff518b2, 
      0x4a03eff4, 0x0ff518f2, 
      0x4703bff4, 0x0ff61942, 
      0x44039ff3, 0x0ff71992, 
      0x41036ff3, 0x0ff819e2, 
      0x3d034ff3, 0x0ff91a32, 
      0x3a031ff4, 0x0ffa1a72, 
      0x3602fff5, 0x0ffa1ac2, 
      0x3302dff4, 0x0ffb1b12, 
      0x2f02bff5, 0x0ffc1b52, 
      0x2c028ff5, 0x0ffd1ba2, 
      0x28026ff5, 0x0ffe1bf2, 
      0x24024ff5, 0x00001c32, 
      0x21022ff4, 0x00011c82, 
      0x1d020ff5, 0x00021cc2, 
      0x1901eff5, 0x00031d12, 
      0x1501cff6, 0x00041d52, 
      0x1101aff5, 0x00061da2, 
      0x0d018ff6, 0x00071de2, 
      0x09017ff5, 0x00081e32, 
      0x05015ff5, 0x000a1e72, 
      0x01013ff6, 0x000b1eb2, 
      0xfd011ff5, 0x000d1f01, 
      0xf8010ff6, 0x000e1f41,
   },
   { /* UV scale factor = 0.64, phases = 127, taps = 5. */
      0xfc1f800a, 0x0ff600c1, 
      0x011f4008, 0x0ff600d2, 
      0x051ef007, 0x0ff600f2, 
      0x091eb005, 0x0ff60112, 
      0x0e1e6004, 0x0ff60122, 
      0x121e2003, 0x0ff50142, 
      0x161dd002, 0x0ff50162, 
      0x1a1d8001, 0x0ff50182, 
      0x1e1d4fff, 0x0ff501a2, 
      0x221cfffe, 0x0ff501c2, 
      0x261caffd, 0x0ff501e2, 
      0x2a1c6ffb, 0x0ff50202, 
      0x2e1c1ffa, 0x0ff50222, 
      0x311bcffa, 0x0ff50242, 
      0x351b8ff9, 0x0ff40262, 
      0x391b3ff8, 0x0ff40282, 
      0x3c1aeff7, 0x0ff402b2, 
      0x401a9ff6, 0x0ff402d2, 
      0x431a4ff6, 0x0ff402f2, 
      0x4719fff4, 0x0ff40322, 
      0x4a19bff4, 0x0ff30342, 
      0x4e195ff3, 0x0ff30372, 
      0x51190ff3, 0x0ff30392, 
      0x5418bff2, 0x0ff303c2, 
      0x57186ff1, 0x0ff303f2, 
      0x5a182ff0, 0x0ff30412, 
      0x5d17dff0, 0x0ff20442, 
      0x60178fef, 0x0ff20472, 
      0x63173fee, 0x0ff204a2, 
      0x6616dfee, 0x0ff204d2, 
      0x68169fed, 0x0ff20502, 
      0x6b164fed, 0x0ff10532, 
      0x6d15ffed, 0x0ff10562, 
      0x7015afec, 0x0ff10592, 
      0x72155fec, 0x0ff105c2, 
      0x7514ffec, 0x0ff105f2, 
      0x7714bfec, 0x0ff00622, 
      0x79146feb, 0x0ff00662, 
      0x7b141feb, 0x0ff00692, 
      0x7d13cfeb, 0x0ff006c2, 
      0x7f137feb, 0x0fef0702, 
      0x81132feb, 0x0fef0732, 
      0x8312dfea, 0x0fef0772, 
      0x84128feb, 0x0fef07a2, 
      0x86123fea, 0x0fef07e2, 
      0x8711efeb, 0x0fee0822, 
      0x8911afea, 0x0fee0852, 
      0x8a115fea, 0x0fee0892, 
      0x8c110fe9, 0x0fee08d2, 
      0x8d10bfea, 0x0fed0912, 
      0x8e106fea, 0x0fed0952, 
      0x8f102fe9, 0x0fed0992, 
      0x900fdfea, 0x0fed09c2, 
      0x910f8fea, 0x0fed0a02, 
      0x920f3fea, 0x0fec0a52, 
      0x920effea, 0x0fec0a92, 
      0x930eafea, 0x0fec0ad2, 
      0x930e6fea, 0x0fec0b12, 
      0x940e1fea, 0x0fec0b52, 
      0x940dcfeb, 0x0fec0b92, 
      0x950d8fea, 0x0feb0be2, 
      0x950d4fea, 0x0feb0c22, 
      0x950cffeb, 0x0feb0c62, 
      0x950cbfea, 0x0feb0cb2, 
      0x950c6feb, 0x0feb0cf2, 
      0x950c1feb, 0x0feb0d42, 
      0x950befeb, 0x0fea0d82, 
      0x940bafec, 0x0fea0dc2, 
      0x940b5fec, 0x0fea0e12, 
      0x930b1fec, 0x0fea0e62, 
      0x930adfec, 0x0fea0ea2, 
      0x920a9fec, 0x0fea0ef2, 
      0x920a5fec, 0x0fea0f32, 
      0x910a0fed, 0x0fea0f82, 
      0x9009cfed, 0x0fea0fd2, 
      0x8f098fed, 0x0fea1022, 
      0x8e095fed, 0x0fea1062, 
      0x8d091fed, 0x0fea10b2, 
      0x8c08dfed, 0x0fea1102, 
      0x8a089fee, 0x0fea1152, 
      0x89085fee, 0x0fea11a2, 
      0x87082fef, 0x0fea11e2, 
      0x8607efef, 0x0fea1232, 
      0x8407bfef, 0x0fea1282, 
      0x83076fef, 0x0feb12d2, 
      0x81073fef, 0x0feb1322, 
      0x7f070fef, 0x0feb1372, 
      0x7d06cff0, 0x0feb13c2, 
      0x7b069ff0, 0x0feb1412, 
      0x79065ff0, 0x0fec1462, 
      0x77062ff0, 0x0fec14b2, 
      0x7505fff0, 0x0fec1502, 
      0x7205cff1, 0x0fec1552, 
      0x70058ff1, 0x0fed15a2, 
      0x6d056ff1, 0x0fed15f2, 
      0x6b052ff1, 0x0fee1642, 
      0x68050ff1, 0x0fee1692, 
      0x6604dff1, 0x0fee16e2, 
      0x63049ff2, 0x0fef1732, 
      0x60047ff2, 0x0fef1782, 
      0x5d044ff2, 0x0ff017d2, 
      0x5a041ff2, 0x0ff11822, 
      0x5703fff2, 0x0ff11872, 
      0x5403cff3, 0x0ff218b2, 
      0x51039ff4, 0x0ff21902, 
      0x4e037ff3, 0x0ff31952, 
      0x4a034ff4, 0x0ff419a2, 
      0x47032ff3, 0x0ff519f2, 
      0x43030ff4, 0x0ff51a42, 
      0x4002dff4, 0x0ff61a92, 
      0x3c02bff4, 0x0ff71ae2, 
      0x39028ff4, 0x0ff81b32, 
      0x35026ff5, 0x0ff91b72, 
      0x31024ff5, 0x0ffa1bc2, 
      0x2e022ff4, 0x0ffb1c12, 
      0x2a020ff4, 0x0ffc1c62, 
      0x2601eff4, 0x0ffd1cb2, 
      0x2201cff5, 0x0ffe1cf2, 
      0x1e01aff5, 0x0fff1d42, 
      0x1a018ff5, 0x00011d82, 
      0x16016ff5, 0x00021dd2, 
      0x12014ff5, 0x00031e22, 
      0x0e012ff6, 0x00041e62, 
      0x09011ff5, 0x00061eb2, 
      0x0500fff6, 0x00071ef2, 
      0x0100dff5, 0x00091f42, 
      0xfc00cff6, 0x000a1f81,
   },
   { /* UV scale factor = 0.65, phases = 127, taps = 5. */
      0x001fc006, 0x0ff60082, 
      0x051f7005, 0x0ff60092, 
      0x091f3003, 0x0ff600b2, 
      0x0e1ee002, 0x0ff600c2, 
      0x121ea000, 0x0ff600e2, 
      0x161e5fff, 0x0ff60102, 
      0x1b1e0ffd, 0x0ff60122, 
      0x1f1dcffd, 0x0ff50132, 
      0x231d7ffc, 0x0ff50152, 
      0x271d2ffb, 0x0ff50172, 
      0x2b1cdffa, 0x0ff50192, 
      0x2f1c8ff9, 0x0ff501b2, 
      0x331c3ff8, 0x0ff501d2, 
      0x371beff7, 0x0ff501f2, 
      0x3b1baff5, 0x0ff50212, 
      0x3f1b5ff4, 0x0ff40242, 
      0x431b0ff3, 0x0ff40262, 
      0x461abff3, 0x0ff40282, 
      0x4a1a5ff2, 0x0ff402b2, 
      0x4d1a1ff1, 0x0ff402d2, 
      0x5119cff0, 0x0ff402f2, 
      0x54196ff1, 0x0ff30322, 
      0x58191fef, 0x0ff30352, 
      0x5b18cfef, 0x0ff30372, 
      0x5e187fee, 0x0ff303a2, 
      0x61182fed, 0x0ff303d2, 
      0x6417dfee, 0x0ff203f2, 
      0x67178fed, 0x0ff20422, 
      0x6a173fec, 0x0ff20452, 
      0x6d16efeb, 0x0ff20482, 
      0x70168feb, 0x0ff204b2, 
      0x72163fec, 0x0ff104e2, 
      0x7515efeb, 0x0ff10512, 
      0x78159fea, 0x0ff10542, 
      0x7a154fea, 0x0ff10572, 
      0x7d14ffea, 0x0ff005a2, 
      0x7f14afe9, 0x0ff005e2, 
      0x81145fe9, 0x0ff00612, 
      0x83140fe9, 0x0ff00642, 
      0x8513bfe9, 0x0fef0682, 
      0x87136fe9, 0x0fef06b2, 
      0x89131fe8, 0x0fef06f2, 
      0x8b12cfe8, 0x0fef0722, 
      0x8d127fe8, 0x0fee0762, 
      0x8e122fe8, 0x0fee07a2, 
      0x9011dfe8, 0x0fee07d2, 
      0x91118fe8, 0x0fee0812, 
      0x93113fe8, 0x0fed0852, 
      0x9410efe8, 0x0fed0892, 
      0x95109fe9, 0x0fed08c2, 
      0x97104fe8, 0x0fed0902, 
      0x980fffe9, 0x0fec0942, 
      0x990fafe9, 0x0fec0982, 
      0x9a0f5fe9, 0x0fec09c2, 
      0x9a0f1fe9, 0x0fec0a02, 
      0x9b0ecfe8, 0x0fec0a52, 
      0x9c0e7fe9, 0x0feb0a92, 
      0x9c0e3fe9, 0x0feb0ad2, 
      0x9d0defe9, 0x0feb0b12, 
      0x9d0d9fe9, 0x0feb0b62, 
      0x9e0d5fe9, 0x0fea0ba2, 
      0x9e0d0fea, 0x0fea0be2, 
      0x9e0ccfe9, 0x0fea0c32, 
      0x9e0c7fea, 0x0fea0c72, 
      0x9e0c2fea, 0x0fea0cc2, 
      0x9e0befea, 0x0fea0d02, 
      0x9e0bafea, 0x0fe90d52, 
      0x9d0b6feb, 0x0fe90d92, 
      0x9d0b1feb, 0x0fe90de2, 
      0x9c0adfeb, 0x0fe90e32, 
      0x9c0a9feb, 0x0fe90e72, 
      0x9b0a5feb, 0x0fe90ec2, 
      0x9a0a0fec, 0x0fe90f12, 
      0x9a09cfec, 0x0fe90f52, 
      0x99098fed, 0x0fe80fa2, 
      0x98094fed, 0x0fe80ff2, 
      0x97090fed, 0x0fe81042, 
      0x9508dfed, 0x0fe81092, 
      0x94089fed, 0x0fe810e2, 
      0x93085fed, 0x0fe81132, 
      0x91081fee, 0x0fe81182, 
      0x9007dfee, 0x0fe811d2, 
      0x8e07afee, 0x0fe81222, 
      0x8d076fee, 0x0fe81272, 
      0x8b072fee, 0x0fe912c2, 
      0x8906ffee, 0x0fe91312, 
      0x8706bfef, 0x0fe91362, 
      0x85068fef, 0x0fe913b2, 
      0x83064ff0, 0x0fe91402, 
      0x81061ff0, 0x0fe91452, 
      0x7f05dff0, 0x0fea14a2, 
      0x7c05aff1, 0x0fea14f2, 
      0x7a057ff1, 0x0fea1542, 
      0x78054ff1, 0x0fea1592, 
      0x75051ff1, 0x0feb15e2, 
      0x7204eff2, 0x0feb1632, 
      0x7004bff1, 0x0feb1692, 
      0x6d048ff1, 0x0fec16e2, 
      0x6a045ff2, 0x0fec1732, 
      0x67042ff2, 0x0fed1782, 
      0x6403fff3, 0x0fed17d2, 
      0x6103dff2, 0x0fee1822, 
      0x5e03aff3, 0x0fee1872, 
      0x5b037ff3, 0x0fef18c2, 
      0x58035ff3, 0x0fef1912, 
      0x54032ff4, 0x0ff01962, 
      0x5102fff3, 0x0ff119c2, 
      0x4d02dff4, 0x0ff11a12, 
      0x4a02bff3, 0x0ff21a62, 
      0x46028ff4, 0x0ff31ab2, 
      0x43025ff4, 0x0ff41b02, 
      0x3f023ff4, 0x0ff51b52, 
      0x3b021ff5, 0x0ff51ba2, 
      0x37020ff5, 0x0ff61be2, 
      0x3301eff5, 0x0ff71c32, 
      0x2f01cff5, 0x0ff81c82, 
      0x2b019ff6, 0x0ff91cd2, 
      0x27017ff6, 0x0ffa1d22, 
      0x23015ff5, 0x0ffc1d72, 
      0x1f013ff6, 0x0ffd1db2, 
      0x1b012ff5, 0x0ffe1e02, 
      0x16010ff6, 0x0fff1e52, 
      0x1200eff6, 0x00001ea2, 
      0x0e00cff6, 0x00021ee2, 
      0x0900bff6, 0x00031f32, 
      0x05009ff6, 0x00051f72, 
      0x00008ff6, 0x00061fc2,
   },
   { /* UV scale factor = 0.66, phases = 127, taps = 5. */
      0x04200002, 0x0ff70032, 
      0x091fb000, 0x0ff70052, 
      0x0e1f6fff, 0x0ff60072, 
      0x121f2ffe, 0x0ff60082, 
      0x171edffc, 0x0ff600a2, 
      0x1b1e8ffc, 0x0ff600b2, 
      0x201e3ffa, 0x0ff600d2, 
      0x241deff9, 0x0ff600f2, 
      0x281d9ff8, 0x0ff60112, 
      0x2c1d5ff7, 0x0ff50132, 
      0x311d0ff5, 0x0ff50152, 
      0x351cbff4, 0x0ff50172, 
      0x391c6ff3, 0x0ff50192, 
      0x3d1c1ff2, 0x0ff501b2, 
      0x411bbff2, 0x0ff501d2, 
      0x451b6ff1, 0x0ff501f2, 
      0x491b1ff1, 0x0ff40212, 
      0x4c1acff0, 0x0ff40242, 
      0x501a7fef, 0x0ff40262, 
      0x541a2fee, 0x0ff40282, 
      0x5719dfed, 0x0ff402b2, 
      0x5b197fee, 0x0ff302d2, 
      0x5e192fed, 0x0ff30302, 
      0x6218dfec, 0x0ff30322, 
      0x65188feb, 0x0ff30352, 
      0x68183fea, 0x0ff30382, 
      0x6b17efeb, 0x0ff203a2, 
      0x6e179fea, 0x0ff203d2, 
      0x71173fea, 0x0ff20402, 
      0x7416efe9, 0x0ff20432, 
      0x77169fe9, 0x0ff10462, 
      0x7a163fe9, 0x0ff10492, 
      0x7d15efe8, 0x0ff104c2, 
      0x7f159fe8, 0x0ff104f2, 
      0x82154fe8, 0x0ff00522, 
      0x8414efe8, 0x0ff00562, 
      0x87149fe7, 0x0ff00592, 
      0x89144fe7, 0x0ff005c2, 
      0x8b13ffe7, 0x0fef0602, 
      0x8d13afe7, 0x0fef0632, 
      0x90134fe6, 0x0fef0672, 
      0x9212ffe6, 0x0fef06a2, 
      0x9312afe7, 0x0fee06e2, 
      0x95125fe7, 0x0fee0712, 
      0x97120fe6, 0x0fee0752, 
      0x9911afe6, 0x0fee0792, 
      0x9a116fe7, 0x0fed07c2, 
      0x9c110fe7, 0x0fed0802, 
      0x9d10bfe7, 0x0fed0842, 
      0x9e107fe7, 0x0fec0882, 
      0x9f102fe7, 0x0fec08c2, 
      0xa10fcfe7, 0x0fec0902, 
      0xa20f7fe7, 0x0fec0942, 
      0xa30f3fe7, 0x0feb0982, 
      0xa30eefe8, 0x0feb09c2, 
      0xa40e9fe8, 0x0feb0a02, 
      0xa50e4fe7, 0x0feb0a52, 
      0xa50e0fe8, 0x0fea0a92, 
      0xa60dbfe8, 0x0fea0ad2, 
      0xa60d6fe8, 0x0fea0b22, 
      0xa70d1fe8, 0x0fea0b62, 
      0xa70cdfe8, 0x0fe90bb2, 
      0xa70c8fe9, 0x0fe90bf2, 
      0xa70c4fe8, 0x0fe90c42, 
      0xa70bffe9, 0x0fe90c82, 
      0xa70bafe9, 0x0fe90cd2, 
      0xa70b6fea, 0x0fe80d12, 
      0xa60b2fea, 0x0fe80d62, 
      0xa60adfea, 0x0fe80db2, 
      0xa50a9feb, 0x0fe80df2, 
      0xa50a5fea, 0x0fe80e42, 
      0xa40a1feb, 0x0fe70e92, 
      0xa309cfec, 0x0fe70ee2, 
      0xa3098feb, 0x0fe70f32, 
      0xa2094feb, 0x0fe70f82, 
      0xa1090fec, 0x0fe70fc2, 
      0x9f08cfed, 0x0fe71012, 
      0x9e088fed, 0x0fe71062, 
      0x9d084fed, 0x0fe710b2, 
      0x9c080fed, 0x0fe71102, 
      0x9a07cfee, 0x0fe71152, 
      0x99078fed, 0x0fe711b2, 
      0x97075fed, 0x0fe71202, 
      0x95071fee, 0x0fe71252, 
      0x9306efee, 0x0fe712a2, 
      0x9206afee, 0x0fe712f2, 
      0x90067fee, 0x0fe71342, 
      0x8d063ff0, 0x0fe71392, 
      0x8b060fef, 0x0fe713f2, 
      0x8905cff0, 0x0fe71442, 
      0x87059ff0, 0x0fe71492, 
      0x84056ff0, 0x0fe814e2, 
      0x82052ff1, 0x0fe81532, 
      0x7f04fff1, 0x0fe81592, 
      0x7d04cff1, 0x0fe815e2, 
      0x7a049ff1, 0x0fe91632, 
      0x77046ff2, 0x0fe91682, 
      0x74043ff2, 0x0fe916e2, 
      0x71040ff2, 0x0fea1732, 
      0x6e03dff3, 0x0fea1782, 
      0x6b03bff3, 0x0fea17d2, 
      0x68038ff2, 0x0feb1832, 
      0x65035ff3, 0x0feb1882, 
      0x62032ff3, 0x0fec18d2, 
      0x5e030ff4, 0x0fec1922, 
      0x5b02dff4, 0x0fed1972, 
      0x5702bff3, 0x0fee19d2, 
      0x54028ff4, 0x0fee1a22, 
      0x50026ff4, 0x0fef1a72, 
      0x4c024ff4, 0x0ff01ac2, 
      0x49021ff5, 0x0ff01b12, 
      0x4501fff5, 0x0ff11b62, 
      0x4101dff5, 0x0ff21bb2, 
      0x3d01bff4, 0x0ff31c12, 
      0x39018ff5, 0x0ff41c62, 
      0x35016ff5, 0x0ff51cb2, 
      0x31014ff5, 0x0ff61d02, 
      0x2c013ff5, 0x0ff71d52, 
      0x28011ff6, 0x0ff81d92, 
      0x2400fff6, 0x0ff91de2, 
      0x2000dff6, 0x0ffa1e32, 
      0x1b00bff7, 0x0ffb1e82, 
      0x17009ff6, 0x0ffd1ed2, 
      0x12008ff6, 0x0ffe1f22, 
      0x0e007ff6, 0x0fff1f62, 
      0x09005ff6, 0x00011fb2, 
      0x04003ff7, 0x00022002,
   },
   { /* UV scale factor = 0.67, phases = 127, taps = 5. */
      0x08204ffe, 0x0ff7fff2, 
      0x0d1ffffc, 0x0ff70012, 
      0x121faffb, 0x0ff70022, 
      0x161f5ffa, 0x0ff70042, 
      0x1b1f0ff9, 0x0ff70052, 
      0x201ebff8, 0x0ff60072, 
      0x241e6ff7, 0x0ff60092, 
      0x291e1ff5, 0x0ff600b2, 
      0x2d1dcff5, 0x0ff600c2, 
      0x321d7ff3, 0x0ff600e2, 
      0x361d2ff2, 0x0ff60102, 
      0x3a1cdff2, 0x0ff50122, 
      0x3e1c8ff1, 0x0ff50142, 
      0x431c3fef, 0x0ff50162, 
      0x471bdfef, 0x0ff50182, 
      0x4b1b8fee, 0x0ff501a2, 
      0x4f1b2fed, 0x0ff501d2, 
      0x531aefec, 0x0ff401f2, 
      0x561a9fec, 0x0ff40212, 
      0x5a1a3feb, 0x0ff40242, 
      0x5e19efea, 0x0ff40262, 
      0x62198fea, 0x0ff40282, 
      0x65193fea, 0x0ff302b2, 
      0x6918dfe9, 0x0ff302e2, 
      0x6c188fe9, 0x0ff30302, 
      0x6f183fe8, 0x0ff30332, 
      0x7317efe7, 0x0ff20362, 
      0x76178fe8, 0x0ff20382, 
      0x79173fe7, 0x0ff203b2, 
      0x7c16dfe7, 0x0ff203e2, 
      0x7f168fe6, 0x0ff20412, 
      0x82163fe6, 0x0ff10442, 
      0x8515dfe6, 0x0ff10472, 
      0x87158fe6, 0x0ff104a2, 
      0x8a153fe5, 0x0ff004e2, 
      0x8c14dfe6, 0x0ff00512, 
      0x8f148fe5, 0x0ff00542, 
      0x91142fe6, 0x0ff00572, 
      0x9413dfe5, 0x0fef05b2, 
      0x96138fe5, 0x0fef05e2, 
      0x98133fe4, 0x0fef0622, 
      0x9a12efe5, 0x0fee0652, 
      0x9c128fe5, 0x0fee0692, 
      0x9e123fe4, 0x0fee06d2, 
      0xa011efe4, 0x0fee0702, 
      0xa1119fe5, 0x0fed0742, 
      0xa3113fe5, 0x0fed0782, 
      0xa410efe5, 0x0fed07c2, 
      0xa6109fe5, 0x0fec0802, 
      0xa7104fe6, 0x0fec0832, 
      0xa80fffe6, 0x0fec0872, 
      0xaa0f9fe5, 0x0fec08c2, 
      0xab0f5fe5, 0x0feb0902, 
      0xac0f0fe5, 0x0feb0942, 
      0xad0eafe6, 0x0feb0982, 
      0xad0e6fe7, 0x0fea09c2, 
      0xae0e1fe6, 0x0fea0a12, 
      0xaf0dcfe6, 0x0fea0a52, 
      0xaf0d8fe7, 0x0fe90a92, 
      0xb00d2fe7, 0x0fe90ae2, 
      0xb00cefe7, 0x0fe90b22, 
      0xb00c9fe7, 0x0fe90b72, 
      0xb00c5fe8, 0x0fe80bb2, 
      0xb00c0fe8, 0x0fe80c02, 
      0xb00bbfe9, 0x0fe80c42, 
      0xb00b7fe8, 0x0fe80c92, 
      0xb00b2fe9, 0x0fe70ce2, 
      0xb00adfe9, 0x0fe70d32, 
      0xaf0a9fea, 0x0fe70d72, 
      0xaf0a5fe9, 0x0fe70dc2, 
      0xae0a1fea, 0x0fe60e12, 
      0xad09cfeb, 0x0fe60e62, 
      0xad098fea, 0x0fe60eb2, 
      0xac094fea, 0x0fe60f02, 
      0xab08ffeb, 0x0fe60f52, 
      0xaa08bfeb, 0x0fe60fa2, 
      0xa8088fec, 0x0fe50ff2, 
      0xa7083fed, 0x0fe51042, 
      0xa6080fec, 0x0fe51092, 
      0xa407cfed, 0x0fe510e2, 
      0xa3078fed, 0x0fe51132, 
      0xa1074fee, 0x0fe51182, 
      0xa0070fed, 0x0fe511e2, 
      0x9e06dfed, 0x0fe51232, 
      0x9c069fee, 0x0fe51282, 
      0x9a065fef, 0x0fe512d2, 
      0x98062fee, 0x0fe51332, 
      0x9605efef, 0x0fe51382, 
      0x9405bfef, 0x0fe513d2, 
      0x91058ff0, 0x0fe51422, 
      0x8f054ff0, 0x0fe51482, 
      0x8c051ff1, 0x0fe514d2, 
      0x8a04dff0, 0x0fe61532, 
      0x8704aff1, 0x0fe61582, 
      0x85047ff1, 0x0fe615d2, 
      0x82044ff1, 0x0fe61632, 
      0x7f041ff2, 0x0fe61682, 
      0x7c03eff2, 0x0fe716d2, 
      0x7903bff2, 0x0fe71732, 
      0x76038ff3, 0x0fe71782, 
      0x73035ff2, 0x0fe817e2, 
      0x6f033ff3, 0x0fe81832, 
      0x6c030ff3, 0x0fe91882, 
      0x6902dff3, 0x0fe918e2, 
      0x6502bff3, 0x0fea1932, 
      0x62028ff4, 0x0fea1982, 
      0x5e026ff3, 0x0feb19e2, 
      0x5a024ff4, 0x0feb1a32, 
      0x56021ff5, 0x0fec1a82, 
      0x5301eff4, 0x0fed1ae2, 
      0x4f01dff4, 0x0fed1b32, 
      0x4b01aff5, 0x0fee1b82, 
      0x47018ff5, 0x0fef1bd2, 
      0x42016ff5, 0x0ff01c32, 
      0x3e014ff6, 0x0ff01c82, 
      0x3a012ff6, 0x0ff11cd2, 
      0x36010ff6, 0x0ff21d22, 
      0x3200eff6, 0x0ff31d72, 
      0x2d00dff6, 0x0ff41dc2, 
      0x2900bff6, 0x0ff51e12, 
      0x24009ff7, 0x0ff61e62, 
      0x20007ff6, 0x0ff81eb2, 
      0x1b005ff7, 0x0ff91f02, 
      0x16004ff7, 0x0ffa1f52, 
      0x12002ff7, 0x0ffb1fa2, 
      0x0d001ff6, 0x0ffd1ff2, 
      0x08fffff8, 0x0ffe2032,
   },
   { /* UV scale factor = 0.68, phases = 127, taps = 5. */
      0x0c208ffa, 0x0ff7ffb2, 
      0x11202ff9, 0x0ff7ffd2, 
      0x161fdff8, 0x0ff7ffe2, 
      0x1b1f8ff6, 0x0ff70002, 
      0x201f3ff5, 0x0ff70012, 
      0x241eeff4, 0x0ff70032, 
      0x291e9ff3, 0x0ff70042, 
      0x2e1e4ff2, 0x0ff60062, 
      0x321dfff1, 0x0ff60082, 
      0x371dafef, 0x0ff600a2, 
      0x3b1d4fef, 0x0ff600c2, 
      0x401cffed, 0x0ff600e2, 
      0x441cafed, 0x0ff600f2, 
      0x481c5fed, 0x0ff50112, 
      0x4d1bffeb, 0x0ff50142, 
      0x511bafea, 0x0ff50162, 
      0x551b4fea, 0x0ff50182, 
      0x591affe9, 0x0ff501a2, 
      0x5d1aafe9, 0x0ff401c2, 
      0x611a4fe8, 0x0ff401f2, 
      0x6519ffe7, 0x0ff40212, 
      0x68199fe7, 0x0ff40242, 
      0x6c194fe6, 0x0ff40262, 
      0x7018efe6, 0x0ff30292, 
      0x73189fe6, 0x0ff302b2, 
      0x77183fe5, 0x0ff302e2, 
      0x7a17dfe5, 0x0ff30312, 
      0x7d179fe5, 0x0ff20332, 
      0x80173fe5, 0x0ff20362, 
      0x8416dfe4, 0x0ff20392, 
      0x87167fe4, 0x0ff203c2, 
      0x8a162fe4, 0x0ff103f2, 
      0x8c15dfe4, 0x0ff10422, 
      0x8f157fe4, 0x0ff10452, 
      0x92152fe3, 0x0ff00492, 
      0x9514cfe3, 0x0ff004c2, 
      0x97147fe3, 0x0ff004f2, 
      0x9a141fe3, 0x0ff00522, 
      0x9c13cfe3, 0x0fef0562, 
      0x9e136fe4, 0x0fef0592, 
      0xa1130fe3, 0x0fef05d2, 
      0xa312bfe4, 0x0fee0602, 
      0xa5126fe3, 0x0fee0642, 
      0xa7120fe3, 0x0fee0682, 
      0xa811cfe4, 0x0fed06b2, 
      0xaa116fe4, 0x0fed06f2, 
      0xac111fe3, 0x0fed0732, 
      0xad10cfe4, 0x0fec0772, 
      0xaf106fe4, 0x0fec07b2, 
      0xb0101fe4, 0x0fec07f2, 
      0xb20fcfe4, 0x0feb0832, 
      0xb30f7fe4, 0x0feb0872, 
      0xb40f2fe4, 0x0feb08b2, 
      0xb50edfe4, 0x0feb08f2, 
      0xb60e8fe4, 0x0fea0942, 
      0xb70e2fe5, 0x0fea0982, 
      0xb70defe5, 0x0fea09c2, 
      0xb80d9fe5, 0x0fe90a12, 
      0xb80d4fe6, 0x0fe90a52, 
      0xb90cffe6, 0x0fe90a92, 
      0xb90cafe7, 0x0fe80ae2, 
      0xb90c5fe7, 0x0fe80b32, 
      0xba0c0fe7, 0x0fe80b72, 
      0xba0bcfe7, 0x0fe70bc2, 
      0xba0b7fe7, 0x0fe70c12, 
      0xb90b3fe8, 0x0fe70c52, 
      0xb90aefe9, 0x0fe60ca2, 
      0xb90a9fe9, 0x0fe60cf2, 
      0xb80a5fe9, 0x0fe60d42, 
      0xb80a0fe9, 0x0fe60d92, 
      0xb709cfea, 0x0fe50de2, 
      0xb7098fe9, 0x0fe50e32, 
      0xb6093fea, 0x0fe50e82, 
      0xb508ffea, 0x0fe50ed2, 
      0xb408bfea, 0x0fe50f22, 
      0xb3087feb, 0x0fe40f72, 
      0xb2083feb, 0x0fe40fc2, 
      0xb007ffec, 0x0fe41012, 
      0xaf07bfec, 0x0fe41062, 
      0xad077fec, 0x0fe410c2, 
      0xac073fec, 0x0fe41112, 
      0xaa06ffee, 0x0fe31162, 
      0xa806cfee, 0x0fe311b2, 
      0xa7068fed, 0x0fe31212, 
      0xa5064fee, 0x0fe31262, 
      0xa3060fef, 0x0fe312b2, 
      0xa105dfee, 0x0fe31312, 
      0x9e059ff0, 0x0fe31362, 
      0x9c056fef, 0x0fe313c2, 
      0x9a052ff0, 0x0fe31412, 
      0x9704fff0, 0x0fe31472, 
      0x9504cff0, 0x0fe314c2, 
      0x92049ff0, 0x0fe31522, 
      0x8f045ff1, 0x0fe41572, 
      0x8c042ff1, 0x0fe415d2, 
      0x8a03fff1, 0x0fe41622, 
      0x8703cff1, 0x0fe41682, 
      0x84039ff2, 0x0fe416d2, 
      0x80036ff2, 0x0fe51732, 
      0x7d033ff3, 0x0fe51782, 
      0x7a031ff2, 0x0fe517e2, 
      0x7702eff2, 0x0fe61832, 
      0x7302bff3, 0x0fe61892, 
      0x70029ff3, 0x0fe618e2, 
      0x6c026ff3, 0x0fe71942, 
      0x68024ff4, 0x0fe71992, 
      0x64021ff4, 0x0fe819f2, 
      0x6101fff4, 0x0fe81a42, 
      0x5d01cff5, 0x0fe91a92, 
      0x5901aff5, 0x0fe91af2, 
      0x55018ff5, 0x0fea1b42, 
      0x51015ff5, 0x0feb1ba2, 
      0x4d014ff5, 0x0feb1bf2, 
      0x48012ff6, 0x0fec1c42, 
      0x4400fff6, 0x0fed1ca2, 
      0x4000eff5, 0x0fee1cf2, 
      0x3b00cff6, 0x0fef1d42, 
      0x37009ff6, 0x0ff01da2, 
      0x32008ff6, 0x0ff11df2, 
      0x2e006ff6, 0x0ff21e42, 
      0x29004ff7, 0x0ff31e92, 
      0x24003ff7, 0x0ff41ee2, 
      0x20001ff7, 0x0ff51f32, 
      0x1b000ff7, 0x0ff61f82, 
      0x16ffeff8, 0x0ff71fd2, 
      0x11ffdff7, 0x0ff92022, 
      0x0cffbff8, 0x0ffa2072,
   },
   { /* UV scale factor = 0.69, phases = 127, taps = 5. */
      0x1020bff6, 0x0ff8ff72, 
      0x15206ff4, 0x0ff8ff92, 
      0x1a201ff3, 0x0ff8ffa2, 
      0x1f1fcff2, 0x0ff8ffb2, 
      0x241f6ff2, 0x0ff7ffd2, 
      0x291f1ff1, 0x0ff7ffe2, 
      0x2e1ecfef, 0x0ff70002, 
      0x331e6fee, 0x0ff70022, 
      0x371e1fee, 0x0ff70032, 
      0x3c1dcfec, 0x0ff70052, 
      0x411d7feb, 0x0ff60072, 
      0x451d1feb, 0x0ff60092, 
      0x4a1ccfe9, 0x0ff600b2, 
      0x4e1c6fe9, 0x0ff600d2, 
      0x521c1fe8, 0x0ff600f2, 
      0x571bbfe8, 0x0ff50112, 
      0x5b1b6fe7, 0x0ff50132, 
      0x5f1b0fe7, 0x0ff50152, 
      0x631abfe5, 0x0ff50182, 
      0x671a5fe5, 0x0ff501a2, 
      0x6b1a0fe5, 0x0ff401c2, 
      0x6f19afe4, 0x0ff401f2, 
      0x73194fe4, 0x0ff40212, 
      0x7718efe3, 0x0ff40242, 
      0x7a189fe4, 0x0ff30262, 
      0x7e183fe3, 0x0ff30292, 
      0x8117efe2, 0x0ff302c2, 
      0x85178fe2, 0x0ff302e2, 
      0x88172fe3, 0x0ff20312, 
      0x8b16dfe2, 0x0ff20342, 
      0x8e167fe2, 0x0ff20372, 
      0x91162fe2, 0x0ff103a2, 
      0x9415cfe2, 0x0ff103d2, 
      0x97156fe2, 0x0ff10402, 
      0x9a150fe1, 0x0ff10442, 
      0x9d14bfe1, 0x0ff00472, 
      0x9f145fe2, 0x0ff004a2, 
      0xa2140fe1, 0x0ff004d2, 
      0xa413afe2, 0x0fef0512, 
      0xa7135fe1, 0x0fef0542, 
      0xa912ffe1, 0x0fef0582, 
      0xab12afe2, 0x0fee05b2, 
      0xad124fe2, 0x0fee05f2, 
      0xaf11ffe1, 0x0fee0632, 
      0xb111afe2, 0x0fed0662, 
      0xb3114fe2, 0x0fed06a2, 
      0xb510efe2, 0x0fed06e2, 
      0xb6109fe3, 0x0fec0722, 
      0xb8104fe2, 0x0fec0762, 
      0xb90fefe3, 0x0fec07a2, 
      0xbb0f9fe3, 0x0feb07e2, 
      0xbc0f4fe3, 0x0feb0822, 
      0xbd0effe3, 0x0feb0862, 
      0xbe0e9fe4, 0x0fea08b2, 
      0xbf0e4fe4, 0x0fea08f2, 
      0xc00dffe5, 0x0fe90932, 
      0xc10dafe4, 0x0fe90982, 
      0xc10d5fe5, 0x0fe909c2, 
      0xc20d0fe5, 0x0fe80a12, 
      0xc20cbfe6, 0x0fe80a52, 
      0xc30c6fe5, 0x0fe80aa2, 
      0xc30c1fe7, 0x0fe70ae2, 
      0xc30bdfe6, 0x0fe70b32, 
      0xc30b8fe6, 0x0fe70b82, 
      0xc30b3fe7, 0x0fe60bd2, 
      0xc30aefe8, 0x0fe60c12, 
      0xc30aafe7, 0x0fe60c62, 
      0xc20a5fe9, 0x0fe50cb2, 
      0xc20a1fe8, 0x0fe50d02, 
      0xc109cfe9, 0x0fe50d52, 
      0xc1097fe9, 0x0fe50da2, 
      0xc0093fea, 0x0fe40df2, 
      0xbf08ffea, 0x0fe40e42, 
      0xbe08bfea, 0x0fe40e92, 
      0xbd086feb, 0x0fe30ef2, 
      0xbc082feb, 0x0fe30f42, 
      0xbb07efeb, 0x0fe30f92, 
      0xb907afec, 0x0fe30fe2, 
      0xb8076feb, 0x0fe31042, 
      0xb6072fed, 0x0fe21092, 
      0xb506efed, 0x0fe210e2, 
      0xb306afed, 0x0fe21142, 
      0xb1066fee, 0x0fe21192, 
      0xaf063fed, 0x0fe211f2, 
      0xad05ffee, 0x0fe21242, 
      0xab05bfef, 0x0fe21292, 
      0xa9058fef, 0x0fe112f2, 
      0xa7054fef, 0x0fe11352, 
      0xa4051ff0, 0x0fe113a2, 
      0xa204dff0, 0x0fe11402, 
      0x9f04bff0, 0x0fe11452, 
      0x9d047ff0, 0x0fe114b2, 
      0x9a044ff1, 0x0fe11502, 
      0x97041ff1, 0x0fe11562, 
      0x9403dff1, 0x0fe215c2, 
      0x9103aff2, 0x0fe21612, 
      0x8e037ff2, 0x0fe21672, 
      0x8b034ff2, 0x0fe216d2, 
      0x88031ff3, 0x0fe21722, 
      0x8502eff3, 0x0fe21782, 
      0x8102cff2, 0x0fe317e2, 
      0x7e029ff3, 0x0fe31832, 
      0x7a026ff4, 0x0fe31892, 
      0x77024ff3, 0x0fe418e2, 
      0x73021ff4, 0x0fe41942, 
      0x6f01fff4, 0x0fe419a2, 
      0x6b01cff5, 0x0fe519f2, 
      0x6701aff5, 0x0fe51a52, 
      0x63018ff4, 0x0fe61ab2, 
      0x5f015ff6, 0x0fe61b02, 
      0x5b013ff5, 0x0fe71b62, 
      0x57011ff5, 0x0fe81bb2, 
      0x5200fff6, 0x0fe81c12, 
      0x4e00dff6, 0x0fe91c62, 
      0x4a00aff6, 0x0fea1cc2, 
      0x45009ff7, 0x0fea1d12, 
      0x41007ff6, 0x0feb1d72, 
      0x3c005ff7, 0x0fec1dc2, 
      0x37004ff7, 0x0fed1e12, 
      0x33002ff6, 0x0fee1e72, 
      0x2e000ff7, 0x0fef1ec2, 
      0x29ffeff8, 0x0ff01f12, 
      0x24ffdff8, 0x0ff11f62, 
      0x1fffbff8, 0x0ff21fc2, 
      0x1affaff8, 0x0ff32012, 
      0x15ff9ff7, 0x0ff52062, 
      0x10ff7ff8, 0x0ff620b2,
   },
   { /* UV scale factor = 0.70, phases = 127, taps = 5. */
      0x1420fff1, 0x0ff9ff32, 
      0x1920aff1, 0x0ff8ff42, 
      0x1e204ff0, 0x0ff8ff62, 
      0x231fffef, 0x0ff8ff72, 
      0x291f9fed, 0x0ff8ff92, 
      0x2e1f4fec, 0x0ff8ffa2, 
      0x331eefeb, 0x0ff8ffc2, 
      0x371eafeb, 0x0ff7ffd2, 
      0x3c1e4fea, 0x0ff7fff2, 
      0x411defe9, 0x0ff70012, 
      0x461d9fe7, 0x0ff70032, 
      0x4b1d3fe7, 0x0ff70042, 
      0x4f1cefe7, 0x0ff60062, 
      0x541c8fe6, 0x0ff60082, 
      0x581c2fe6, 0x0ff600a2, 
      0x5d1bdfe4, 0x0ff600c2, 
      0x611b7fe4, 0x0ff600e2, 
      0x651b1fe4, 0x0ff50112, 
      0x6a1acfe2, 0x0ff50132, 
      0x6e1a6fe2, 0x0ff50152, 
      0x721a0fe2, 0x0ff50172, 
      0x7619afe2, 0x0ff401a2, 
      0x7a195fe1, 0x0ff401c2, 
      0x7e18efe1, 0x0ff401f2, 
      0x81189fe1, 0x0ff40212, 
      0x85183fe1, 0x0ff30242, 
      0x8917dfe0, 0x0ff30272, 
      0x8c178fe0, 0x0ff30292, 
      0x90172fdf, 0x0ff302c2, 
      0x9316cfe0, 0x0ff202f2, 
      0x96166fe0, 0x0ff20322, 
      0x99160fe0, 0x0ff20352, 
      0x9c15bfe0, 0x0ff10382, 
      0x9f155fe0, 0x0ff103b2, 
      0xa214ffe0, 0x0ff103e2, 
      0xa5149fe0, 0x0ff00422, 
      0xa8144fdf, 0x0ff00452, 
      0xaa13efe0, 0x0ff00482, 
      0xad138fe0, 0x0fef04c2, 
      0xaf133fe0, 0x0fef04f2, 
      0xb212dfdf, 0x0fef0532, 
      0xb4128fe0, 0x0fee0562, 
      0xb6122fe0, 0x0fee05a2, 
      0xb811cfe0, 0x0fee05e2, 
      0xba117fe1, 0x0fed0612, 
      0xbc111fe1, 0x0fed0652, 
      0xbe10cfe0, 0x0fed0692, 
      0xbf106fe2, 0x0fec06d2, 
      0xc1101fe1, 0x0fec0712, 
      0xc30fbfe2, 0x0feb0752, 
      0xc40f6fe2, 0x0feb0792, 
      0xc50f1fe2, 0x0feb07d2, 
      0xc60ebfe3, 0x0fea0822, 
      0xc70e6fe3, 0x0fea0862, 
      0xc80e1fe3, 0x0fea08a2, 
      0xc90dcfe3, 0x0fe908f2, 
      0xca0d6fe4, 0x0fe90932, 
      0xcb0d1fe4, 0x0fe80982, 
      0xcb0ccfe5, 0x0fe809c2, 
      0xcc0c7fe4, 0x0fe80a12, 
      0xcc0c2fe6, 0x0fe70a52, 
      0xcc0bdfe6, 0x0fe70aa2, 
      0xcc0b8fe6, 0x0fe70af2, 
      0xcd0b3fe6, 0x0fe60b42, 
      0xcc0affe7, 0x0fe60b82, 
      0xcc0abfe7, 0x0fe50bd2, 
      0xcc0a5fe8, 0x0fe50c22, 
      0xcc0a1fe7, 0x0fe50c72, 
      0xcb09cfe9, 0x0fe40cc2, 
      0xcb098fe8, 0x0fe40d12, 
      0xca093fe9, 0x0fe40d62, 
      0xc908ffe9, 0x0fe30dc2, 
      0xc808afea, 0x0fe30e12, 
      0xc7086fea, 0x0fe30e62, 
      0xc6082feb, 0x0fe20eb2, 
      0xc507dfeb, 0x0fe20f12, 
      0xc4079feb, 0x0fe20f62, 
      0xc3075feb, 0x0fe20fb2, 
      0xc1071fec, 0x0fe11012, 
      0xbf06dfed, 0x0fe11062, 
      0xbe069fec, 0x0fe110c2, 
      0xbc065fed, 0x0fe11112, 
      0xba061fee, 0x0fe01172, 
      0xb805efee, 0x0fe011c2, 
      0xb605afee, 0x0fe01222, 
      0xb4056fef, 0x0fe01272, 
      0xb2053fee, 0x0fe012d2, 
      0xaf04ffef, 0x0fe01332, 
      0xad04cfef, 0x0fe01382, 
      0xaa048ff0, 0x0fe013e2, 
      0xa8045ff0, 0x0fdf1442, 
      0xa5042ff1, 0x0fdf1492, 
      0xa203fff1, 0x0fdf14f2, 
      0x9f03bff2, 0x0fdf1552, 
      0x9c038ff2, 0x0fdf15b2, 
      0x99035ff2, 0x0fe01602, 
      0x96032ff2, 0x0fe01662, 
      0x9302fff2, 0x0fe016c2, 
      0x9002cff2, 0x0fe01722, 
      0x8c029ff3, 0x0fe01782, 
      0x89027ff3, 0x0fe017d2, 
      0x85024ff4, 0x0fe01832, 
      0x81021ff4, 0x0fe11892, 
      0x7e01fff3, 0x0fe118f2, 
      0x7a01cff4, 0x0fe11952, 
      0x7601aff4, 0x0fe219a2, 
      0x72017ff5, 0x0fe21a02, 
      0x6e015ff5, 0x0fe21a62, 
      0x6a012ff5, 0x0fe31ac2, 
      0x65011ff6, 0x0fe31b12, 
      0x6100eff6, 0x0fe41b72, 
      0x5d00cff5, 0x0fe51bd2, 
      0x5800aff7, 0x0fe51c22, 
      0x54008ff6, 0x0fe61c82, 
      0x4f006ff7, 0x0fe61ce2, 
      0x4b004ff7, 0x0fe71d32, 
      0x46003ff6, 0x0fe81d92, 
      0x41001ff7, 0x0fe91de2, 
      0x3cfffff7, 0x0fea1e42, 
      0x37ffeff8, 0x0fea1e92, 
      0x33ffcff7, 0x0feb1ef2, 
      0x2effaff8, 0x0fec1f42, 
      0x29ff9ff7, 0x0fed1fa2, 
      0x23ff7ff9, 0x0fee1ff2, 
      0x1eff6ff8, 0x0ff02042, 
      0x19ff4ff9, 0x0ff12092, 
      0x14ff3ff8, 0x0ff220f2,
   },
   { /* UV scale factor = 0.71, phases = 127, taps = 5. */
      0x18212fee, 0x0ff9fef2, 
      0x1d20dfed, 0x0ff9ff02, 
      0x22207fec, 0x0ff9ff22, 
      0x28202fea, 0x0ff9ff32, 
      0x2d1fdfea, 0x0ff8ff42, 
      0x321f7fe9, 0x0ff8ff62, 
      0x371f2fe8, 0x0ff8ff72, 
      0x3c1ecfe7, 0x0ff8ff92, 
      0x411e6fe6, 0x0ff8ffb2, 
      0x461e1fe5, 0x0ff8ffc2, 
      0x4b1dbfe5, 0x0ff7ffe2, 
      0x501d5fe4, 0x0ff70002, 
      0x551cffe3, 0x0ff70022, 
      0x5a1c9fe2, 0x0ff70042, 
      0x5e1c4fe2, 0x0ff70052, 
      0x631befe2, 0x0ff60072, 
      0x671b8fe1, 0x0ff600a2, 
      0x6c1b2fe0, 0x0ff600c2, 
      0x701acfe0, 0x0ff600e2, 
      0x741a7fe0, 0x0ff50102, 
      0x781a1fe0, 0x0ff50122, 
      0x7d19afdf, 0x0ff50152, 
      0x81195fde, 0x0ff50172, 
      0x8518ffde, 0x0ff401a2, 
      0x88189fdf, 0x0ff401c2, 
      0x8c183fde, 0x0ff401f2, 
      0x9017dfdd, 0x0ff40222, 
      0x94177fde, 0x0ff30242, 
      0x97171fde, 0x0ff30272, 
      0x9b16bfdd, 0x0ff302a2, 
      0x9e165fde, 0x0ff202d2, 
      0xa115ffde, 0x0ff20302, 
      0xa415afdd, 0x0ff20332, 
      0xa7154fde, 0x0ff10362, 
      0xaa14efde, 0x0ff10392, 
      0xad148fde, 0x0ff103c2, 
      0xb0142fde, 0x0ff00402, 
      0xb313cfde, 0x0ff00432, 
      0xb6136fde, 0x0ff00462, 
      0xb8131fde, 0x0fef04a2, 
      0xba12bfdf, 0x0fef04d2, 
      0xbd125fde, 0x0fef0512, 
      0xbf11ffdf, 0x0fee0552, 
      0xc111afdf, 0x0fee0582, 
      0xc3114fe0, 0x0fed05c2, 
      0xc510efe0, 0x0fed0602, 
      0xc7109fdf, 0x0fed0642, 
      0xc9103fe0, 0x0fec0682, 
      0xca0fefe0, 0x0fec06c2, 
      0xcc0f8fe1, 0x0feb0702, 
      0xcd0f3fe1, 0x0feb0742, 
      0xcf0edfe1, 0x0feb0782, 
      0xd00e8fe1, 0x0fea07d2, 
      0xd10e2fe2, 0x0fea0812, 
      0xd20ddfe3, 0x0fe90852, 
      0xd30d8fe2, 0x0fe908a2, 
      0xd40d3fe2, 0x0fe908e2, 
      0xd40cdfe4, 0x0fe80932, 
      0xd50c8fe4, 0x0fe80972, 
      0xd50c3fe5, 0x0fe709c2, 
      0xd60befe4, 0x0fe70a12, 
      0xd60b9fe4, 0x0fe70a62, 
      0xd60b4fe6, 0x0fe60aa2, 
      0xd60affe6, 0x0fe60af2, 
      0xd60aafe7, 0x0fe50b42, 
      0xd60a6fe6, 0x0fe50b92, 
      0xd60a1fe6, 0x0fe50be2, 
      0xd509cfe8, 0x0fe40c32, 
      0xd5097fe8, 0x0fe40c82, 
      0xd4093fe9, 0x0fe30cd2, 
      0xd408efe8, 0x0fe30d32, 
      0xd308afe8, 0x0fe30d82, 
      0xd2085fea, 0x0fe20dd2, 
      0xd1081fea, 0x0fe20e22, 
      0xd007cfea, 0x0fe20e82, 
      0xcf078feb, 0x0fe10ed2, 
      0xcd074feb, 0x0fe10f32, 
      0xcc070feb, 0x0fe10f82, 
      0xca06cfec, 0x0fe00fe2, 
      0xc9068fec, 0x0fe01032, 
      0xc7064fec, 0x0fe01092, 
      0xc5060fee, 0x0fdf10e2, 
      0xc305cfee, 0x0fdf1142, 
      0xc1058fee, 0x0fdf11a2, 
      0xbf055fee, 0x0fdf11f2, 
      0xbd051fee, 0x0fdf1252, 
      0xba04efef, 0x0fde12b2, 
      0xb804afef, 0x0fde1312, 
      0xb6046ff0, 0x0fde1362, 
      0xb3043ff0, 0x0fde13c2, 
      0xb0040ff0, 0x0fde1422, 
      0xad03cff1, 0x0fde1482, 
      0xaa039ff1, 0x0fde14e2, 
      0xa7036ff1, 0x0fde1542, 
      0xa4033ff1, 0x0fde15a2, 
      0xa1030ff2, 0x0fde15f2, 
      0x9e02dff2, 0x0fde1652, 
      0x9b02aff2, 0x0fde16b2, 
      0x97027ff3, 0x0fde1712, 
      0x94024ff3, 0x0fde1772, 
      0x90022ff3, 0x0fde17d2, 
      0x8c01fff4, 0x0fde1832, 
      0x8801cff5, 0x0fde1892, 
      0x8501aff4, 0x0fde18f2, 
      0x81017ff4, 0x0fdf1952, 
      0x7d015ff4, 0x0fdf19b2, 
      0x78012ff6, 0x0fdf1a12, 
      0x74010ff5, 0x0fe01a72, 
      0x7000eff6, 0x0fe01ac2, 
      0x6c00cff5, 0x0fe11b22, 
      0x6700aff6, 0x0fe11b82, 
      0x63007ff7, 0x0fe11be2, 
      0x5e005ff7, 0x0fe21c42, 
      0x5a003ff6, 0x0fe31ca2, 
      0x55002ff7, 0x0fe31cf2, 
      0x50000ff7, 0x0fe41d52, 
      0x4bffeff7, 0x0fe51db2, 
      0x46ffcff8, 0x0fe51e12, 
      0x41ffbff8, 0x0fe61e62, 
      0x3cff9ff8, 0x0fe71ec2, 
      0x37ff7ff9, 0x0fe81f12, 
      0x32ff6ff8, 0x0fe91f72, 
      0x2dff4ff8, 0x0fea1fd2, 
      0x28ff3ff8, 0x0feb2022, 
      0x22ff2ff9, 0x0fec2072, 
      0x1dff0ff9, 0x0fed20d2, 
      0x18fefff9, 0x0fee2122,
   },
   { /* UV scale factor = 0.72, phases = 127, taps = 5. */
      0x1b216fea, 0x0ffafeb2, 
      0x21210fe9, 0x0ffafec2, 
      0x2620bfe8, 0x0ff9fee2, 
      0x2c205fe7, 0x0ff9fef2, 
      0x31200fe6, 0x0ff9ff02, 
      0x371f9fe5, 0x0ff9ff22, 
      0x3c1f4fe4, 0x0ff9ff32, 
      0x411eefe3, 0x0ff9ff52, 
      0x461e9fe3, 0x0ff8ff62, 
      0x4b1e3fe2, 0x0ff8ff82, 
      0x501ddfe2, 0x0ff8ff92, 
      0x551d7fe1, 0x0ff8ffb2, 
      0x5a1d1fe0, 0x0ff8ffd2, 
      0x5f1cbfe0, 0x0ff7fff2, 
      0x641c5fdf, 0x0ff70012, 
      0x691bffde, 0x0ff70032, 
      0x6d1b9fde, 0x0ff70052, 
      0x721b3fde, 0x0ff60072, 
      0x761adfde, 0x0ff60092, 
      0x7b1a7fdd, 0x0ff600b2, 
      0x7f1a1fdd, 0x0ff600d2, 
      0x8319bfdd, 0x0ff50102, 
      0x88195fdc, 0x0ff50122, 
      0x8c18efdc, 0x0ff50152, 
      0x90189fdb, 0x0ff50172, 
      0x94183fdb, 0x0ff401a2, 
      0x9717dfdc, 0x0ff401c2, 
      0x9b177fdb, 0x0ff401f2, 
      0x9f170fdc, 0x0ff30222, 
      0xa216afdc, 0x0ff30252, 
      0xa6164fdb, 0x0ff30282, 
      0xa915efdc, 0x0ff202b2, 
      0xac158fdc, 0x0ff202e2, 
      0xb0152fdb, 0x0ff20312, 
      0xb314cfdc, 0x0ff10342, 
      0xb6146fdc, 0x0ff10372, 
      0xb9140fdc, 0x0ff103a2, 
      0xbb13afdd, 0x0ff003e2, 
      0xbe134fdd, 0x0ff00412, 
      0xc112efdc, 0x0ff00452, 
      0xc3129fdd, 0x0fef0482, 
      0xc6122fdd, 0x0fef04c2, 
      0xc811dfdd, 0x0fee0502, 
      0xca117fde, 0x0fee0532, 
      0xcc111fde, 0x0fee0572, 
      0xce10bfdf, 0x0fed05b2, 
      0xd0106fde, 0x0fed05f2, 
      0xd2100fdf, 0x0fec0632, 
      0xd40fafdf, 0x0fec0672, 
      0xd50f5fdf, 0x0fec06b2, 
      0xd70effe0, 0x0feb06f2, 
      0xd80eafe0, 0x0feb0732, 
      0xd90e4fe1, 0x0fea0782, 
      0xda0dffe1, 0x0fea07c2, 
      0xdb0dafe2, 0x0fe90802, 
      0xdc0d4fe2, 0x0fe90852, 
      0xdd0cffe3, 0x0fe80892, 
      0xde0c9fe3, 0x0fe808e2, 
      0xde0c4fe3, 0x0fe80932, 
      0xdf0bffe4, 0x0fe70972, 
      0xdf0bafe4, 0x0fe709c2, 
      0xe00b5fe4, 0x0fe60a12, 
      0xe00b0fe4, 0x0fe60a62, 
      0xe00abfe5, 0x0fe50ab2, 
      0xe00a6fe5, 0x0fe50b02, 
      0xe00a1fe6, 0x0fe40b52, 
      0xdf09cfe7, 0x0fe40ba2, 
      0xdf097fe7, 0x0fe40bf2, 
      0xde093fe8, 0x0fe30c42, 
      0xde08efe8, 0x0fe30c92, 
      0xdd089fe9, 0x0fe20cf2, 
      0xdc085fe9, 0x0fe20d42, 
      0xdb080fea, 0x0fe20d92, 
      0xda07cfea, 0x0fe10df2, 
      0xd9078fea, 0x0fe10e42, 
      0xd8073feb, 0x0fe00ea2, 
      0xd706ffeb, 0x0fe00ef2, 
      0xd506bfeb, 0x0fe00f52, 
      0xd4067fec, 0x0fdf0fa2, 
      0xd2063fec, 0x0fdf1002, 
      0xd005ffec, 0x0fdf1062, 
      0xce05bfee, 0x0fde10b2, 
      0xcc057fee, 0x0fde1112, 
      0xca053fee, 0x0fde1172, 
      0xc8050fee, 0x0fdd11d2, 
      0xc604cfee, 0x0fdd1232, 
      0xc3048ff0, 0x0fdd1282, 
      0xc1045fef, 0x0fdd12e2, 
      0xbe042ff0, 0x0fdc1342, 
      0xbb03eff1, 0x0fdc13a2, 
      0xb903aff1, 0x0fdc1402, 
      0xb6037ff1, 0x0fdc1462, 
      0xb3034ff1, 0x0fdc14c2, 
      0xb0031ff1, 0x0fdc1522, 
      0xac02eff2, 0x0fdc1582, 
      0xa902bff2, 0x0fdc15e2, 
      0xa6028ff2, 0x0fdc1642, 
      0xa2025ff3, 0x0fdc16a2, 
      0x9f022ff3, 0x0fdc1702, 
      0x9b01fff3, 0x0fdc1772, 
      0x9701cff4, 0x0fdc17d2, 
      0x94019ff4, 0x0fdc1832, 
      0x90017ff4, 0x0fdc1892, 
      0x8c015ff4, 0x0fdc18f2, 
      0x88012ff5, 0x0fdc1952, 
      0x83010ff6, 0x0fdc19b2, 
      0x7f00dff6, 0x0fdd1a12, 
      0x7b00bff6, 0x0fdd1a72, 
      0x76009ff7, 0x0fdd1ad2, 
      0x72007ff6, 0x0fde1b32, 
      0x6d005ff7, 0x0fde1b92, 
      0x69003ff6, 0x0fdf1bf2, 
      0x64001ff7, 0x0fdf1c52, 
      0x5ffffff7, 0x0fe01cb2, 
      0x5affdff8, 0x0fe01d12, 
      0x55ffbff8, 0x0fe11d72, 
      0x50ffaff8, 0x0fe11dd2, 
      0x4bff8ff8, 0x0fe21e32, 
      0x46ff6ff8, 0x0fe31e92, 
      0x41ff5ff9, 0x0fe31ee2, 
      0x3cff3ff9, 0x0fe41f42, 
      0x37ff2ff8, 0x0fe51fa2, 
      0x31ff0ffa, 0x0fe61ff2, 
      0x2cfefff9, 0x0fe72052, 
      0x26feeff9, 0x0fe820b2, 
      0x21fecffa, 0x0fe92102, 
      0x1bfebffa, 0x0fea2162,
   },
   { /* UV scale factor = 0.73, phases = 127, taps = 5. */
      0x1f219fe7, 0x0ffafe72, 
      0x25214fe5, 0x0ffafe82, 
      0x2a20efe4, 0x0ffafea2, 
      0x30208fe3, 0x0ffafeb2, 
      0x35202fe3, 0x0ffafec2, 
      0x3b1fcfe2, 0x0ffafed2, 
      0x401f7fe1, 0x0ff9fef2, 
      0x461f1fe0, 0x0ff9ff02, 
      0x4b1ebfdf, 0x0ff9ff22, 
      0x501e5fdf, 0x0ff9ff32, 
      0x561defde, 0x0ff9ff52, 
      0x5b1d9fdd, 0x0ff8ff72, 
      0x601d3fdd, 0x0ff8ff82, 
      0x651cdfdc, 0x0ff8ffa2, 
      0x6a1c6fdc, 0x0ff8ffc2, 
      0x6f1c0fdc, 0x0ff7ffe2, 
      0x731bafdc, 0x0ff70002, 
      0x781b4fdb, 0x0ff70022, 
      0x7d1aefda, 0x0ff70042, 
      0x811a8fdb, 0x0ff60062, 
      0x861a1fdb, 0x0ff60082, 
      0x8a19bfda, 0x0ff600b2, 
      0x8e195fda, 0x0ff600d2, 
      0x9318ffd9, 0x0ff50102, 
      0x97188fda, 0x0ff50122, 
      0x9b182fd9, 0x0ff50152, 
      0x9f17cfda, 0x0ff40172, 
      0xa3176fd9, 0x0ff401a2, 
      0xa6170fd9, 0x0ff401d2, 
      0xaa16afda, 0x0ff301f2, 
      0xae163fda, 0x0ff30222, 
      0xb115dfda, 0x0ff30252, 
      0xb5157fda, 0x0ff20282, 
      0xb8151fda, 0x0ff202b2, 
      0xbb14afda, 0x0ff202f2, 
      0xbe144fdb, 0x0ff10322, 
      0xc113efdb, 0x0ff10352, 
      0xc4138fdb, 0x0ff10382, 
      0xc7132fdb, 0x0ff003c2, 
      0xc912cfdc, 0x0ff003f2, 
      0xcc126fdc, 0x0fef0432, 
      0xcf120fdc, 0x0fef0462, 
      0xd111afdc, 0x0fef04a2, 
      0xd3114fdd, 0x0fee04e2, 
      0xd510efdd, 0x0fee0522, 
      0xd7108fde, 0x0fed0562, 
      0xd9103fdd, 0x0fed05a2, 
      0xdb0fcfde, 0x0fed05e2, 
      0xdd0f7fde, 0x0fec0622, 
      0xdf0f1fde, 0x0fec0662, 
      0xe00ecfdf, 0x0feb06a2, 
      0xe10e6fe0, 0x0feb06e2, 
      0xe30e0fe0, 0x0fea0732, 
      0xe40dbfe0, 0x0fea0772, 
      0xe50d6fe1, 0x0fe907b2, 
      0xe60d0fe1, 0x0fe90802, 
      0xe70cbfe2, 0x0fe80842, 
      0xe80c5fe2, 0x0fe80892, 
      0xe80c0fe3, 0x0fe708e2, 
      0xe90bafe3, 0x0fe70932, 
      0xe90b5fe4, 0x0fe70972, 
      0xe90b0fe5, 0x0fe609c2, 
      0xe90abfe5, 0x0fe60a12, 
      0xea0a6fe5, 0x0fe50a62, 
      0xe90a1fe6, 0x0fe50ab2, 
      0xe909cfe7, 0x0fe40b02, 
      0xe9097fe7, 0x0fe40b52, 
      0xe9092fe7, 0x0fe30bb2, 
      0xe808efe7, 0x0fe30c02, 
      0xe8089fe8, 0x0fe20c52, 
      0xe7084fe8, 0x0fe20cb2, 
      0xe6080fe9, 0x0fe10d02, 
      0xe507bfea, 0x0fe10d52, 
      0xe4077fe9, 0x0fe10db2, 
      0xe3073fea, 0x0fe00e02, 
      0xe106efeb, 0x0fe00e62, 
      0xe006afeb, 0x0fdf0ec2, 
      0xdf066feb, 0x0fdf0f12, 
      0xdd062fec, 0x0fde0f72, 
      0xdb05efec, 0x0fde0fd2, 
      0xd905afec, 0x0fde1032, 
      0xd7056fee, 0x0fdd1082, 
      0xd5052fee, 0x0fdd10e2, 
      0xd304efee, 0x0fdd1142, 
      0xd104afef, 0x0fdc11a2, 
      0xcf046fef, 0x0fdc1202, 
      0xcc043fef, 0x0fdc1262, 
      0xc9040ff0, 0x0fdb12c2, 
      0xc703cff0, 0x0fdb1322, 
      0xc4038ff1, 0x0fdb1382, 
      0xc1035ff1, 0x0fdb13e2, 
      0xbe032ff2, 0x0fda1442, 
      0xbb02fff2, 0x0fda14a2, 
      0xb802bff2, 0x0fda1512, 
      0xb5028ff2, 0x0fda1572, 
      0xb1025ff3, 0x0fda15d2, 
      0xae022ff3, 0x0fda1632, 
      0xaa01fff4, 0x0fda1692, 
      0xa601dff3, 0x0fda1702, 
      0xa3019ff4, 0x0fda1762, 
      0x9f017ff4, 0x0fda17c2, 
      0x9b015ff4, 0x0fda1822, 
      0x97012ff5, 0x0fda1882, 
      0x9300fff5, 0x0fda18f2, 
      0x8e00dff6, 0x0fda1952, 
      0x8a00bff6, 0x0fda19b2, 
      0x86008ff7, 0x0fda1a12, 
      0x81006ff7, 0x0fda1a82, 
      0x7d004ff6, 0x0fdb1ae2, 
      0x78002ff7, 0x0fdb1b42, 
      0x73000ff8, 0x0fdb1ba2, 
      0x6fffeff7, 0x0fdc1c02, 
      0x6affcff8, 0x0fdc1c62, 
      0x65ffaff7, 0x0fdd1cd2, 
      0x60ff8ff8, 0x0fdd1d32, 
      0x5bff6ff8, 0x0fde1d92, 
      0x56ff5ff8, 0x0fde1df2, 
      0x50ff3ff9, 0x0fdf1e52, 
      0x4bff2ff9, 0x0fdf1eb2, 
      0x46ff0ff9, 0x0fe01f12, 
      0x40fefff9, 0x0fe11f72, 
      0x3bfedffa, 0x0fe21fc2, 
      0x35fedffa, 0x0fe22022, 
      0x30febffa, 0x0fe32082, 
      0x2afeaffa, 0x0fe420e2, 
      0x25fe8ffa, 0x0fe52142, 
      0x1ffe7ffb, 0x0fe62192,
   },
   { /* UV scale factor = 0.74, phases = 127, taps = 5. */
      0x2221dfe3, 0x0ffbfe32, 
      0x28217fe2, 0x0ffbfe42, 
      0x2e211fe0, 0x0ffbfe62, 
      0x3420bfdf, 0x0ffbfe72, 
      0x3a205fdf, 0x0ffafe82, 
      0x3f1fffdf, 0x0ffafe92, 
      0x451f9fdd, 0x0ffafeb2, 
      0x4b1f3fdc, 0x0ffafec2, 
      0x501edfdc, 0x0ffafed2, 
      0x551e7fdc, 0x0ff9fef2, 
      0x5b1e1fdb, 0x0ff9ff02, 
      0x601dafdb, 0x0ff9ff22, 
      0x651d4fda, 0x0ff9ff42, 
      0x6b1cdfd9, 0x0ff9ff62, 
      0x701c8fd9, 0x0ff8ff72, 
      0x751c1fd9, 0x0ff8ff92, 
      0x7a1bbfd8, 0x0ff8ffb2, 
      0x7e1b5fd8, 0x0ff8ffd2, 
      0x831aefd9, 0x0ff7fff2, 
      0x881a8fd8, 0x0ff70012, 
      0x8c1a2fd7, 0x0ff70042, 
      0x9119bfd8, 0x0ff60062, 
      0x95195fd8, 0x0ff60082, 
      0x9a18efd8, 0x0ff600a2, 
      0x9e188fd7, 0x0ff600d2, 
      0xa2182fd8, 0x0ff500f2, 
      0xa617bfd8, 0x0ff50122, 
      0xaa175fd7, 0x0ff50152, 
      0xae16ffd8, 0x0ff40172, 
      0xb2168fd8, 0x0ff401a2, 
      0xb6162fd7, 0x0ff401d2, 
      0xb915bfd9, 0x0ff30202, 
      0xbd155fd8, 0x0ff30232, 
      0xc014ffd8, 0x0ff30262, 
      0xc3149fd9, 0x0ff20292, 
      0xc7142fd9, 0x0ff202c2, 
      0xca13cfd9, 0x0ff10302, 
      0xcd136fd9, 0x0ff10332, 
      0xcf130fda, 0x0ff10362, 
      0xd2129fdb, 0x0ff003a2, 
      0xd5123fdb, 0x0ff003d2, 
      0xd711efdb, 0x0fef0412, 
      0xda117fdb, 0x0fef0452, 
      0xdc111fdc, 0x0fef0482, 
      0xde10cfdc, 0x0fee04c2, 
      0xe1105fdc, 0x0fee0502, 
      0xe30fffdd, 0x0fed0542, 
      0xe50f9fdd, 0x0fed0582, 
      0xe60f4fde, 0x0fec05c2, 
      0xe80eefde, 0x0fec0602, 
      0xea0e8fde, 0x0feb0652, 
      0xeb0e2fdf, 0x0feb0692, 
      0xec0ddfe0, 0x0fea06d2, 
      0xee0d7fdf, 0x0fea0722, 
      0xef0d1fe1, 0x0fe90762, 
      0xf00ccfe0, 0x0fe907b2, 
      0xf10c6fe2, 0x0fe807f2, 
      0xf10c1fe2, 0x0fe80842, 
      0xf20bbfe3, 0x0fe70892, 
      0xf20b6fe3, 0x0fe708e2, 
      0xf30b1fe4, 0x0fe60922, 
      0xf30acfe4, 0x0fe60972, 
      0xf30a7fe5, 0x0fe509c2, 
      0xf30a2fe5, 0x0fe50a12, 
      0xf309dfe6, 0x0fe40a62, 
      0xf3097fe6, 0x0fe40ac2, 
      0xf3092fe7, 0x0fe30b12, 
      0xf208efe7, 0x0fe30b62, 
      0xf2089fe8, 0x0fe20bb2, 
      0xf1084fe8, 0x0fe20c12, 
      0xf107ffe9, 0x0fe10c62, 
      0xf007bfe8, 0x0fe10cc2, 
      0xef076fea, 0x0fe00d12, 
      0xee072fe9, 0x0fe00d72, 
      0xec06efeb, 0x0fdf0dc2, 
      0xeb069feb, 0x0fdf0e22, 
      0xea064feb, 0x0fdf0e82, 
      0xe8060fec, 0x0fde0ee2, 
      0xe605cfed, 0x0fde0f32, 
      0xe5058fed, 0x0fdd0f92, 
      0xe3054fed, 0x0fdd0ff2, 
      0xe1050fee, 0x0fdc1052, 
      0xde04cfef, 0x0fdc10b2, 
      0xdc048fef, 0x0fdc1112, 
      0xda045fef, 0x0fdb1172, 
      0xd7041ff0, 0x0fdb11d2, 
      0xd503eff0, 0x0fda1232, 
      0xd203aff1, 0x0fda1292, 
      0xcf036ff1, 0x0fda1302, 
      0xcd032ff1, 0x0fda1362, 
      0xca030ff1, 0x0fd913c2, 
      0xc702cff2, 0x0fd91422, 
      0xc3029ff2, 0x0fd91492, 
      0xc0026ff3, 0x0fd814f2, 
      0xbd023ff3, 0x0fd81552, 
      0xb9020ff4, 0x0fd815b2, 
      0xb601dff3, 0x0fd81622, 
      0xb201aff4, 0x0fd81682, 
      0xae017ff4, 0x0fd816f2, 
      0xaa015ff4, 0x0fd81752, 
      0xa6012ff5, 0x0fd817b2, 
      0xa200fff6, 0x0fd71822, 
      0x9e00dff6, 0x0fd71882, 
      0x9a00aff6, 0x0fd818e2, 
      0x95008ff6, 0x0fd81952, 
      0x91006ff6, 0x0fd819b2, 
      0x8c004ff6, 0x0fd81a22, 
      0x88001ff7, 0x0fd81a82, 
      0x83fffff8, 0x0fd81ae2, 
      0x7effdff8, 0x0fd81b52, 
      0x7affbff7, 0x0fd91bb2, 
      0x75ff9ff8, 0x0fd91c12, 
      0x70ff7ff8, 0x0fd91c82, 
      0x6bff5ff8, 0x0fda1ce2, 
      0x65ff4ff9, 0x0fda1d42, 
      0x60ff3ff9, 0x0fda1da2, 
      0x5bff0ff9, 0x0fdb1e12, 
      0x55fefff9, 0x0fdc1e72, 
      0x50fedffa, 0x0fdc1ed2, 
      0x4bfecff9, 0x0fdd1f32, 
      0x45febffa, 0x0fdd1f92, 
      0x3ffe9ffb, 0x0fde1ff2, 
      0x3afe8ffa, 0x0fdf2052, 
      0x34fe7ffa, 0x0fe020b2, 
      0x2efe6ffa, 0x0fe12112, 
      0x28fe4ffc, 0x0fe12172, 
      0x22fe3ffc, 0x0fe221d2,
   },
   { /* UV scale factor = 0.75, phases = 127, taps = 5. */
      0x26220fde, 0x0ffcfe02, 
      0x2c21afdd, 0x0ffcfe12, 
      0x32214fdc, 0x0ffcfe22, 
      0x3820efdc, 0x0ffbfe32, 
      0x3e208fdb, 0x0ffbfe42, 
      0x44202fda, 0x0ffbfe52, 
      0x491fbfdb, 0x0ffbfe62, 
      0x4f1f5fd9, 0x0ffbfe82, 
      0x551effd9, 0x0ffafe92, 
      0x5a1e9fd8, 0x0ffafeb2, 
      0x601e2fd8, 0x0ffafec2, 
      0x651dcfd7, 0x0ffafee2, 
      0x6b1d5fd8, 0x0ff9fef2, 
      0x701cffd7, 0x0ff9ff12, 
      0x751c9fd6, 0x0ff9ff32, 
      0x7a1c2fd7, 0x0ff9ff42, 
      0x801bcfd6, 0x0ff8ff62, 
      0x851b5fd6, 0x0ff8ff82, 
      0x891affd6, 0x0ff8ffa2, 
      0x8e1a8fd6, 0x0ff8ffc2, 
      0x931a2fd5, 0x0ff7fff2, 
      0x9819bfd5, 0x0ff70012, 
      0x9c195fd5, 0x0ff70032, 
      0xa118efd6, 0x0ff60052, 
      0xa5187fd6, 0x0ff60082, 
      0xa9181fd6, 0x0ff600a2, 
      0xae17afd5, 0x0ff600d2, 
      0xb2174fd6, 0x0ff500f2, 
      0xb616dfd6, 0x0ff50122, 
      0xba166fd6, 0x0ff50152, 
      0xbd160fd7, 0x0ff40182, 
      0xc115afd6, 0x0ff401b2, 
      0xc5153fd7, 0x0ff301e2, 
      0xc814dfd7, 0x0ff30212, 
      0xcc146fd7, 0x0ff30242, 
      0xcf140fd8, 0x0ff20272, 
      0xd213afd8, 0x0ff202a2, 
      0xd5133fd9, 0x0ff202d2, 
      0xd812dfd9, 0x0ff10312, 
      0xdb127fd9, 0x0ff10342, 
      0xde121fd9, 0x0ff00382, 
      0xe011afda, 0x0ff003c2, 
      0xe3114fdb, 0x0fef03f2, 
      0xe510efdb, 0x0fef0432, 
      0xe8107fdb, 0x0fef0472, 
      0xea102fdb, 0x0fee04b2, 
      0xec0fbfdc, 0x0fee04f2, 
      0xee0f6fdc, 0x0fed0532, 
      0xf00effdd, 0x0fed0572, 
      0xf20eafdd, 0x0fec05b2, 
      0xf30e4fde, 0x0fec05f2, 
      0xf50defdf, 0x0feb0632, 
      0xf60d8fdf, 0x0feb0682, 
      0xf70d3fe0, 0x0fea06c2, 
      0xf80cdfe0, 0x0fea0712, 
      0xf90c8fe1, 0x0fe90752, 
      0xfa0c2fe1, 0x0fe907a2, 
      0xfb0bcfe2, 0x0fe807f2, 
      0xfc0b6fe2, 0x0fe80842, 
      0xfc0b2fe3, 0x0fe70882, 
      0xfd0acfe3, 0x0fe708d2, 
      0xfd0a7fe4, 0x0fe60922, 
      0xfd0a2fe5, 0x0fe50972, 
      0xfd09dfe5, 0x0fe509c2, 
      0xfd097fe6, 0x0fe40a22, 
      0xfd092fe6, 0x0fe40a72, 
      0xfd08dfe7, 0x0fe30ac2, 
      0xfc088fe8, 0x0fe30b12, 
      0xfc084fe7, 0x0fe20b72, 
      0xfb07ffe8, 0x0fe20bc2, 
      0xfa07afe9, 0x0fe10c22, 
      0xf9075fea, 0x0fe10c72, 
      0xf8071fea, 0x0fe00cd2, 
      0xf706cfea, 0x0fe00d32, 
      0xf6068feb, 0x0fdf0d82, 
      0xf5063feb, 0x0fdf0de2, 
      0xf305ffec, 0x0fde0e42, 
      0xf205afec, 0x0fde0ea2, 
      0xf0057fec, 0x0fdd0f02, 
      0xee052fed, 0x0fdd0f62, 
      0xec04ffed, 0x0fdc0fc2, 
      0xea04afee, 0x0fdc1022, 
      0xe8047fee, 0x0fdb1082, 
      0xe5043fef, 0x0fdb10e2, 
      0xe303fff0, 0x0fda1142, 
      0xe003cff0, 0x0fda11a2, 
      0xde038ff0, 0x0fd91212, 
      0xdb034ff1, 0x0fd91272, 
      0xd8031ff1, 0x0fd912d2, 
      0xd502eff2, 0x0fd81332, 
      0xd202aff2, 0x0fd813a2, 
      0xcf027ff2, 0x0fd81402, 
      0xcc024ff2, 0x0fd71472, 
      0xc8021ff3, 0x0fd714d2, 
      0xc501eff3, 0x0fd71532, 
      0xc101bff4, 0x0fd615a2, 
      0xbd018ff5, 0x0fd61602, 
      0xba015ff4, 0x0fd61672, 
      0xb6012ff5, 0x0fd616d2, 
      0xb200fff5, 0x0fd61742, 
      0xae00dff5, 0x0fd617a2, 
      0xa900aff6, 0x0fd61812, 
      0xa5008ff7, 0x0fd51872, 
      0xa1005ff7, 0x0fd518e2, 
      0x9c003ff7, 0x0fd51952, 
      0x98001ff7, 0x0fd519b2, 
      0x93fffff7, 0x0fd51a22, 
      0x8effcff8, 0x0fd61a82, 
      0x89ffaff8, 0x0fd61af2, 
      0x85ff8ff8, 0x0fd61b52, 
      0x80ff6ff8, 0x0fd61bc2, 
      0x7aff5ff9, 0x0fd61c22, 
      0x75ff3ff9, 0x0fd61c92, 
      0x70ff1ff9, 0x0fd71cf2, 
      0x6bfefffa, 0x0fd71d52, 
      0x65feeff9, 0x0fd81dc2, 
      0x60fecffa, 0x0fd81e22, 
      0x5afebffa, 0x0fd81e92, 
      0x55fe9ffa, 0x0fd91ef2, 
      0x4ffe8ffb, 0x0fd91f52, 
      0x49fe7ffb, 0x0fda1fb2, 
      0x44fe5ffa, 0x0fdb2022, 
      0x3efe4ffb, 0x0fdb2082, 
      0x38fe3ffb, 0x0fdc20e2, 
      0x32fe2ffb, 0x0fdd2142, 
      0x2cfe1ffb, 0x0fde21a2, 
      0x26fe0ffb, 0x0fdf2202,
   },
   { /* UV scale factor = 0.76, phases = 127, taps = 5. */
      0x29223fdb, 0x0ffdfdc2, 
      0x3021dfda, 0x0ffcfdd2, 
      0x36217fd9, 0x0ffcfde2, 
      0x3c211fd8, 0x0ffcfdf2, 
      0x4220afd8, 0x0ffcfe02, 
      0x48204fd7, 0x0ffcfe12, 
      0x4e1fefd7, 0x0ffbfe22, 
      0x541f7fd6, 0x0ffbfe42, 
      0x5a1f1fd5, 0x0ffbfe52, 
      0x5f1eafd6, 0x0ffbfe62, 
      0x651e3fd5, 0x0ffbfe82, 
      0x6b1ddfd5, 0x0ffafe92, 
      0x701d7fd4, 0x0ffafeb2, 
      0x761d0fd4, 0x0ffafec2, 
      0x7b1c9fd4, 0x0ffafee2, 
      0x801c3fd4, 0x0ff9ff02, 
      0x861bcfd3, 0x0ff9ff22, 
      0x8b1b6fd3, 0x0ff9ff32, 
      0x901affd3, 0x0ff9ff52, 
      0x951a8fd4, 0x0ff8ff72, 
      0x9a1a1fd3, 0x0ff8ffa2, 
      0x9e19bfd3, 0x0ff8ffc2, 
      0xa3194fd4, 0x0ff7ffe2, 
      0xa818dfd4, 0x0ff70002, 
      0xac187fd3, 0x0ff70032, 
      0xb1180fd3, 0x0ff70052, 
      0xb5179fd4, 0x0ff60082, 
      0xb9173fd4, 0x0ff600a2, 
      0xbd16cfd4, 0x0ff600d2, 
      0xc1165fd5, 0x0ff50102, 
      0xc515ffd5, 0x0ff50122, 
      0xc9158fd6, 0x0ff40152, 
      0xcd151fd6, 0x0ff40182, 
      0xd114bfd5, 0x0ff401b2, 
      0xd4144fd7, 0x0ff301e2, 
      0xd713efd7, 0x0ff30212, 
      0xdb137fd6, 0x0ff30252, 
      0xde131fd7, 0x0ff20282, 
      0xe112afd8, 0x0ff202b2, 
      0xe4124fd8, 0x0ff102f2, 
      0xe711efd8, 0x0ff10322, 
      0xe9118fd9, 0x0ff00362, 
      0xec111fd9, 0x0ff003a2, 
      0xef10bfda, 0x0fef03d2, 
      0xf1104fdb, 0x0fef0412, 
      0xf30fefdb, 0x0fef0452, 
      0xf50f8fdc, 0x0fee0492, 
      0xf70f2fdc, 0x0fee04d2, 
      0xf90ecfdd, 0x0fed0512, 
      0xfb0e6fdd, 0x0fed0552, 
      0xfd0e0fdd, 0x0fec05a2, 
      0xfe0dafde, 0x0fec05e2, 
      0x000d4fdf, 0x0feb0623, 
      0x010cefdf, 0x0feb0673, 
      0x020c9fe0, 0x0fea06b3, 
      0x030c3fe1, 0x0fe90703, 
      0x040bdfe1, 0x0fe90753, 
      0x050b8fe2, 0x0fe80793, 
      0x060b2fe2, 0x0fe807e3, 
      0x060adfe3, 0x0fe70833, 
      0x070a7fe3, 0x0fe70883, 
      0x070a2fe4, 0x0fe608d3, 
      0x0709dfe4, 0x0fe60923, 
      0x07098fe5, 0x0fe50973, 
      0x07092fe6, 0x0fe409d3, 
      0x0708dfe6, 0x0fe40a23, 
      0x07088fe7, 0x0fe30a73, 
      0x06083fe7, 0x0fe30ad3, 
      0x0607efe8, 0x0fe20b23, 
      0x05079fe8, 0x0fe20b83, 
      0x04075fe9, 0x0fe10bd3, 
      0x03070fea, 0x0fe00c33, 
      0x0206bfea, 0x0fe00c93, 
      0x01067feb, 0x0fdf0ce3, 
      0x00062feb, 0x0fdf0d43, 
      0xfe05efec, 0x0fde0da2, 
      0xfd059fec, 0x0fde0e02, 
      0xfb055fed, 0x0fdd0e62, 
      0xf9051fed, 0x0fdd0ec2, 
      0xf704dfee, 0x0fdc0f22, 
      0xf5049fef, 0x0fdb0f82, 
      0xf3045fef, 0x0fdb0fe2, 
      0xf1041ff0, 0x0fda1042, 
      0xef03dfef, 0x0fda10b2, 
      0xec03aff0, 0x0fd91112, 
      0xe9036ff1, 0x0fd91172, 
      0xe7032ff1, 0x0fd811e2, 
      0xe402fff1, 0x0fd81242, 
      0xe102bff2, 0x0fd812a2, 
      0xde028ff2, 0x0fd71312, 
      0xdb025ff2, 0x0fd71372, 
      0xd7022ff3, 0x0fd613e2, 
      0xd401eff4, 0x0fd61442, 
      0xd101bff3, 0x0fd614b2, 
      0xcd018ff5, 0x0fd51512, 
      0xc9015ff5, 0x0fd51582, 
      0xc5012ff5, 0x0fd515f2, 
      0xc1010ff6, 0x0fd41652, 
      0xbd00dff6, 0x0fd416c2, 
      0xb900aff6, 0x0fd41732, 
      0xb5008ff6, 0x0fd41792, 
      0xb1005ff6, 0x0fd41802, 
      0xac003ff6, 0x0fd41872, 
      0xa8000ff8, 0x0fd318d2, 
      0xa3ffeff8, 0x0fd31942, 
      0x9effcff8, 0x0fd319b2, 
      0x9affaff8, 0x0fd31a12, 
      0x95ff7ff9, 0x0fd31a82, 
      0x90ff5ff9, 0x0fd31af2, 
      0x8bff3ff9, 0x0fd31b62, 
      0x86ff1ff9, 0x0fd41bc2, 
      0x80ff0ff9, 0x0fd41c32, 
      0x7bfeeffa, 0x0fd41c92, 
      0x76fecffa, 0x0fd41d02, 
      0x70febffa, 0x0fd41d72, 
      0x6bfe9ffa, 0x0fd51dd2, 
      0x65fe8ffa, 0x0fd51e42, 
      0x5ffe7ffb, 0x0fd51ea2, 
      0x5afe4ffb, 0x0fd61f12, 
      0x54fe4ffb, 0x0fd61f72, 
      0x4efe2ffb, 0x0fd71fe2, 
      0x48fe1ffc, 0x0fd72042, 
      0x42fe0ffc, 0x0fd820a2, 
      0x3cfdeffc, 0x0fd92112, 
      0x36fdeffc, 0x0fd92172, 
      0x30fddffc, 0x0fda21d2, 
      0x29fdcffd, 0x0fdb2232,
   },
   { /* UV scale factor = 0.77, phases = 127, taps = 5. */
      0x2d226fd8, 0x0ffdfd82, 
      0x33220fd7, 0x0ffdfd92, 
      0x3921afd6, 0x0ffdfda2, 
      0x40213fd5, 0x0ffdfdb2, 
      0x4620dfd4, 0x0ffdfdc2, 
      0x4c206fd5, 0x0ffcfdd2, 
      0x52200fd4, 0x0ffcfde2, 
      0x581f9fd4, 0x0ffcfdf2, 
      0x5e1f2fd3, 0x0ffcfe12, 
      0x641ecfd2, 0x0ffcfe22, 
      0x6a1e5fd3, 0x0ffbfe32, 
      0x701defd2, 0x0ffbfe52, 
      0x761d8fd1, 0x0ffbfe62, 
      0x7b1d1fd1, 0x0ffbfe82, 
      0x811cafd2, 0x0ffafe92, 
      0x861c3fd2, 0x0ffafeb2, 
      0x8c1bcfd1, 0x0ffafed2, 
      0x911b5fd1, 0x0ffafef2, 
      0x961affd1, 0x0ff9ff12, 
      0x9b1a8fd1, 0x0ff9ff32, 
      0xa01a1fd1, 0x0ff9ff52, 
      0xa519afd2, 0x0ff8ff72, 
      0xaa194fd1, 0x0ff8ff92, 
      0xaf18dfd1, 0x0ff8ffb2, 
      0xb3186fd2, 0x0ff8ffd2, 
      0xb817ffd2, 0x0ff70002, 
      0xbc178fd3, 0x0ff70022, 
      0xc1171fd2, 0x0ff70052, 
      0xc516bfd3, 0x0ff60072, 
      0xc9164fd3, 0x0ff600a2, 
      0xcd15dfd3, 0x0ff600d2, 
      0xd1156fd4, 0x0ff50102, 
      0xd514ffd4, 0x0ff50132, 
      0xd9149fd4, 0x0ff40162, 
      0xdc142fd5, 0x0ff40192, 
      0xe013bfd5, 0x0ff401c2, 
      0xe3135fd6, 0x0ff301f2, 
      0xe712efd6, 0x0ff30222, 
      0xea128fd6, 0x0ff20262, 
      0xed121fd7, 0x0ff20292, 
      0xf011afd8, 0x0ff102d2, 
      0xf3114fd8, 0x0ff10302, 
      0xf510efd8, 0x0ff10342, 
      0xf8107fd9, 0x0ff00382, 
      0xfa101fda, 0x0ff003b2, 
      0xfd0fbfda, 0x0fef03f2, 
      0xff0f4fdb, 0x0fef0432, 
      0x010eefdc, 0x0fee0473, 
      0x030e7fdc, 0x0fee04c3, 
      0x050e2fdc, 0x0fed0503, 
      0x060dcfdd, 0x0fed0543, 
      0x080d6fde, 0x0fec0583, 
      0x090d0fdf, 0x0feb05d3, 
      0x0b0cafdf, 0x0feb0613, 
      0x0c0c4fe0, 0x0fea0663, 
      0x0d0befe0, 0x0fea06b3, 
      0x0e0b9fe1, 0x0fe906f3, 
      0x0f0b3fe1, 0x0fe90743, 
      0x100adfe2, 0x0fe80793, 
      0x100a8fe2, 0x0fe807e3, 
      0x110a2fe3, 0x0fe70833, 
      0x1109dfe4, 0x0fe60883, 
      0x11098fe4, 0x0fe608d3, 
      0x11092fe6, 0x0fe50923, 
      0x1108dfe5, 0x0fe50983, 
      0x11088fe6, 0x0fe409d3, 
      0x11083fe7, 0x0fe30a23, 
      0x1007efe7, 0x0fe30a83, 
      0x10079fe8, 0x0fe20ad3, 
      0x0f074fe8, 0x0fe20b33, 
      0x0e06ffe9, 0x0fe10b93, 
      0x0d06bfea, 0x0fe00be3, 
      0x0c066fea, 0x0fe00c43, 
      0x0b061feb, 0x0fdf0ca3, 
      0x0905dfec, 0x0fde0d03, 
      0x08058fec, 0x0fde0d63, 
      0x06054fed, 0x0fdd0dc3, 
      0x0504ffed, 0x0fdd0e23, 
      0x0304cfed, 0x0fdc0e83, 
      0x01047fee, 0x0fdc0ee3, 
      0xff043fef, 0x0fdb0f42, 
      0xfd03ffef, 0x0fda0fb2, 
      0xfa03bff0, 0x0fda1012, 
      0xf8038ff0, 0x0fd91072, 
      0xf5034ff0, 0x0fd910e2, 
      0xf3030ff1, 0x0fd81142, 
      0xf002dff1, 0x0fd811a2, 
      0xed029ff2, 0x0fd71212, 
      0xea025ff2, 0x0fd71282, 
      0xe7022ff3, 0x0fd612e2, 
      0xe301fff3, 0x0fd61352, 
      0xe001cff4, 0x0fd513b2, 
      0xdc019ff4, 0x0fd51422, 
      0xd9016ff4, 0x0fd41492, 
      0xd5013ff5, 0x0fd414f2, 
      0xd1010ff5, 0x0fd41562, 
      0xcd00dff6, 0x0fd315d2, 
      0xc900aff6, 0x0fd31642, 
      0xc5007ff6, 0x0fd316b2, 
      0xc1005ff7, 0x0fd21712, 
      0xbc003ff7, 0x0fd21782, 
      0xb8000ff7, 0x0fd217f2, 
      0xb3ffdff8, 0x0fd21862, 
      0xafffbff7, 0x0fd218d2, 
      0xaaff9ff8, 0x0fd11942, 
      0xa5ff7ff9, 0x0fd119a2, 
      0xa0ff5ff9, 0x0fd11a12, 
      0x9bff3ff9, 0x0fd11a82, 
      0x96ff1ff9, 0x0fd11af2, 
      0x91fefff9, 0x0fd11b62, 
      0x8cfedff9, 0x0fd11bd2, 
      0x86febffb, 0x0fd11c32, 
      0x81fe9ffb, 0x0fd11ca2, 
      0x7bfe8ffb, 0x0fd11d12, 
      0x76fe6ffa, 0x0fd21d82, 
      0x70fe5ffb, 0x0fd21de2, 
      0x6afe3ffc, 0x0fd21e52, 
      0x64fe2ffb, 0x0fd31ec2, 
      0x5efe1ffc, 0x0fd31f22, 
      0x58fdfffd, 0x0fd31f92, 
      0x52fdeffc, 0x0fd42002, 
      0x4cfddffd, 0x0fd42062, 
      0x46fdcffc, 0x0fd520d2, 
      0x40fdbffd, 0x0fd52132, 
      0x39fdaffd, 0x0fd621a2, 
      0x33fd9ffd, 0x0fd72202, 
      0x2dfd8ffe, 0x0fd72262,
   },
   { /* UV scale factor = 0.78, phases = 127, taps = 5. */
      0x30229fd4, 0x0ffefd52, 
      0x36223fd4, 0x0ffefd52, 
      0x3d21cfd3, 0x0ffefd62, 
      0x43216fd2, 0x0ffefd72, 
      0x4a20ffd2, 0x0ffdfd82, 
      0x50208fd2, 0x0ffdfd92, 
      0x56202fd1, 0x0ffdfda2, 
      0x5d1fbfd0, 0x0ffdfdb2, 
      0x631f4fd0, 0x0ffdfdc2, 
      0x691edfd0, 0x0ffcfde2, 
      0x6f1e6fd0, 0x0ffcfdf2, 
      0x751e0fcf, 0x0ffcfe02, 
      0x7b1d8fcf, 0x0ffcfe22, 
      0x811d2fcf, 0x0ffbfe32, 
      0x861cbfcf, 0x0ffbfe52, 
      0x8c1c4fcf, 0x0ffbfe62, 
      0x911bdfcf, 0x0ffbfe82, 
      0x971b6fcf, 0x0ffafea2, 
      0x9c1affcf, 0x0ffafec2, 
      0xa21a7fcf, 0x0ffafee2, 
      0xa71a0fcf, 0x0ffaff02, 
      0xac19afcf, 0x0ff9ff22, 
      0xb1193fcf, 0x0ff9ff42, 
      0xb618cfcf, 0x0ff9ff62, 
      0xbb185fd0, 0x0ff8ff82, 
      0xbf17efd0, 0x0ff8ffb2, 
      0xc4177fd0, 0x0ff8ffd2, 
      0xc8170fd1, 0x0ff70002, 
      0xcd169fd1, 0x0ff70022, 
      0xd1162fd1, 0x0ff70052, 
      0xd515bfd3, 0x0ff60072, 
      0xd9154fd3, 0x0ff600a2, 
      0xdd14efd3, 0x0ff500d2, 
      0xe1146fd4, 0x0ff50102, 
      0xe513ffd4, 0x0ff50132, 
      0xe8139fd5, 0x0ff40162, 
      0xec132fd5, 0x0ff40192, 
      0xef12bfd6, 0x0ff301d2, 
      0xf3124fd6, 0x0ff30202, 
      0xf611efd6, 0x0ff30232, 
      0xf9117fd7, 0x0ff20272, 
      0xfc110fd7, 0x0ff202b2, 
      0xfe10afd9, 0x0ff102e2, 
      0x01104fd8, 0x0ff10323, 
      0x040fdfd9, 0x0ff00363, 
      0x060f7fd9, 0x0ff003a3, 
      0x080f0fdb, 0x0fef03e3, 
      0x0a0eafdb, 0x0fef0423, 
      0x0c0e4fdc, 0x0fee0463, 
      0x0e0defdc, 0x0fee04a3, 
      0x100d7fde, 0x0fed04e3, 
      0x120d1fdd, 0x0fed0533, 
      0x130cbfdf, 0x0fec0573, 
      0x150c5fdf, 0x0feb05c3, 
      0x160bffe0, 0x0feb0603, 
      0x170b9fe1, 0x0fea0653, 
      0x180b4fe0, 0x0fea06a3, 
      0x190aefe2, 0x0fe906e3, 
      0x1a0a8fe3, 0x0fe80733, 
      0x1a0a3fe3, 0x0fe80783, 
      0x1b09dfe4, 0x0fe707d3, 
      0x1b098fe4, 0x0fe70823, 
      0x1b092fe5, 0x0fe60883, 
      0x1b08dfe6, 0x0fe508d3, 
      0x1b088fe6, 0x0fe50923, 
      0x1b082fe7, 0x0fe40983, 
      0x1b07dfe7, 0x0fe409d3, 
      0x1a078fe8, 0x0fe30a33, 
      0x1a073fe9, 0x0fe20a83, 
      0x1906efe9, 0x0fe20ae3, 
      0x1806afe9, 0x0fe10b43, 
      0x17065feb, 0x0fe00b93, 
      0x16060feb, 0x0fe00bf3, 
      0x1505cfeb, 0x0fdf0c53, 
      0x13058fec, 0x0fde0cb3, 
      0x12053fec, 0x0fde0d13, 
      0x1004efee, 0x0fdd0d73, 
      0x0e04afee, 0x0fdc0de3, 
      0x0c046fee, 0x0fdc0e43, 
      0x0a042fef, 0x0fdb0ea3, 
      0x0803efef, 0x0fdb0f03, 
      0x0603afef, 0x0fda0f73, 
      0x04036ff0, 0x0fd90fd3, 
      0x01032ff0, 0x0fd91043, 
      0xfe02eff2, 0x0fd810a2, 
      0xfc02aff1, 0x0fd81112, 
      0xf9027ff2, 0x0fd71172, 
      0xf6023ff3, 0x0fd611e2, 
      0xf3020ff3, 0x0fd61242, 
      0xef01dff4, 0x0fd512b2, 
      0xec019ff4, 0x0fd51322, 
      0xe8016ff5, 0x0fd41392, 
      0xe5013ff5, 0x0fd413f2, 
      0xe1010ff6, 0x0fd31462, 
      0xdd00dff6, 0x0fd314d2, 
      0xd900bff6, 0x0fd21542, 
      0xd5007ff7, 0x0fd215b2, 
      0xd1005ff6, 0x0fd21622, 
      0xcd002ff7, 0x0fd11692, 
      0xc8000ff7, 0x0fd11702, 
      0xc4ffdff7, 0x0fd11772, 
      0xbfffbff8, 0x0fd017e2, 
      0xbbff8ff8, 0x0fd01852, 
      0xb6ff6ff8, 0x0fd018c2, 
      0xb1ff4ff8, 0x0fd01932, 
      0xacff2ff9, 0x0fcf19a2, 
      0xa7ff0ff9, 0x0fcf1a12, 
      0xa2feeff9, 0x0fcf1a82, 
      0x9cfecffa, 0x0fcf1af2, 
      0x97feaffa, 0x0fcf1b62, 
      0x91fe8ffb, 0x0fcf1bd2, 
      0x8cfe6ffb, 0x0fcf1c42, 
      0x86fe5ffb, 0x0fcf1cb2, 
      0x81fe3ffb, 0x0fcf1d22, 
      0x7bfe2ffb, 0x0fcf1d92, 
      0x75fe0ffc, 0x0fcf1e02, 
      0x6ffdfffd, 0x0fcf1e62, 
      0x69fdeffc, 0x0fd01ed2, 
      0x63fdcffd, 0x0fd01f42, 
      0x5dfdbffd, 0x0fd01fb2, 
      0x56fdaffd, 0x0fd12022, 
      0x50fd9ffe, 0x0fd12082, 
      0x4afd8ffd, 0x0fd220f2, 
      0x43fd7ffe, 0x0fd22162, 
      0x3dfd6ffe, 0x0fd321c2, 
      0x36fd5fff, 0x0fd32232, 
      0x30fd5ffe, 0x0fd42292,
   },
   { /* UV scale factor = 0.79, phases = 127, taps = 5. */
      0x3322cfd1, 0x0ffffd12, 
      0x3a225fd0, 0x0ffffd22, 
      0x4021ffcf, 0x0ffffd32, 
      0x47219fcf, 0x0ffefd32, 
      0x4e211fcf, 0x0ffefd42, 
      0x5420afcf, 0x0ffefd52, 
      0x5b203fce, 0x0ffefd62, 
      0x611fdfcd, 0x0ffefd72, 
      0x671f6fce, 0x0ffdfd82, 
      0x6e1eefcd, 0x0ffdfda2, 
      0x741e8fcc, 0x0ffdfdb2, 
      0x7a1e1fcc, 0x0ffdfdc2, 
      0x801dafcd, 0x0ffcfdd2, 
      0x861d2fcd, 0x0ffcfdf2, 
      0x8c1cbfcd, 0x0ffcfe02, 
      0x921c4fcc, 0x0ffcfe22, 
      0x971bdfcd, 0x0ffbfe42, 
      0x9d1b6fcd, 0x0ffbfe52, 
      0xa31aefcd, 0x0ffbfe72, 
      0xa81a7fcd, 0x0ffbfe92, 
      0xad1a0fce, 0x0ffafeb2, 
      0xb3199fcd, 0x0ffafed2, 
      0xb8192fcd, 0x0ffafef2, 
      0xbd18bfce, 0x0ff9ff12, 
      0xc2184fce, 0x0ff9ff32, 
      0xc717cfcf, 0x0ff9ff52, 
      0xcb175fd0, 0x0ff8ff82, 
      0xd016efd0, 0x0ff8ffa2, 
      0xd4167fd0, 0x0ff8ffd2, 
      0xd9160fd1, 0x0ff7fff2, 
      0xdd159fd1, 0x0ff70022, 
      0xe1152fd1, 0x0ff70052, 
      0xe514bfd2, 0x0ff60082, 
      0xe9144fd2, 0x0ff600b2, 
      0xed13dfd3, 0x0ff500e2, 
      0xf1136fd3, 0x0ff50112, 
      0xf512efd4, 0x0ff50142, 
      0xf8128fd5, 0x0ff40172, 
      0xfb121fd6, 0x0ff401a2, 
      0xff11afd6, 0x0ff301e2, 
      0x02114fd6, 0x0ff30213, 
      0x0510dfd7, 0x0ff20253, 
      0x08106fd8, 0x0ff20283, 
      0x0a100fd9, 0x0ff102c3, 
      0x0d0f9fd9, 0x0ff10303, 
      0x0f0f3fda, 0x0ff00343, 
      0x120ecfda, 0x0ff00383, 
      0x140e6fdb, 0x0fef03c3, 
      0x160dffdc, 0x0fef0403, 
      0x180d9fdd, 0x0fee0443, 
      0x1a0d3fdd, 0x0fee0483, 
      0x1c0cdfdd, 0x0fed04d3, 
      0x1d0c7fde, 0x0fed0513, 
      0x1f0c0fdf, 0x0fec0563, 
      0x200bbfe0, 0x0feb05a3, 
      0x210b5fe0, 0x0feb05f3, 
      0x220affe1, 0x0fea0643, 
      0x230a9fe1, 0x0fea0693, 
      0x240a3fe2, 0x0fe906e3, 
      0x2409dfe4, 0x0fe80733, 
      0x25098fe3, 0x0fe80783, 
      0x25092fe5, 0x0fe707d3, 
      0x2508dfe6, 0x0fe60823, 
      0x25088fe5, 0x0fe60883, 
      0x25082fe7, 0x0fe508d3, 
      0x2507dfe8, 0x0fe40923, 
      0x25078fe7, 0x0fe40983, 
      0x24073fe9, 0x0fe309d3, 
      0x2406efe9, 0x0fe20a33, 
      0x23069fe9, 0x0fe20a93, 
      0x22064fea, 0x0fe10af3, 
      0x2105ffeb, 0x0fe00b53, 
      0x2005afec, 0x0fe00ba3, 
      0x1f056fec, 0x0fdf0c03, 
      0x1d051fed, 0x0fde0c73, 
      0x1c04cfed, 0x0fde0cd3, 
      0x1a048fee, 0x0fdd0d33, 
      0x18044fef, 0x0fdc0d93, 
      0x16040fef, 0x0fdc0df3, 
      0x1403cfef, 0x0fdb0e63, 
      0x12038ff0, 0x0fda0ec3, 
      0x0f034ff0, 0x0fda0f33, 
      0x0d030ff1, 0x0fd90f93, 
      0x0a02cff2, 0x0fd81003, 
      0x08028ff2, 0x0fd81063, 
      0x05025ff2, 0x0fd710d3, 
      0x02021ff3, 0x0fd61143, 
      0xff01eff3, 0x0fd611a2, 
      0xfb01bff4, 0x0fd51212, 
      0xf8017ff4, 0x0fd51282, 
      0xf5014ff4, 0x0fd412f2, 
      0xf1010ff5, 0x0fd41362, 
      0xed00eff5, 0x0fd313d2, 
      0xe900bff6, 0x0fd21442, 
      0xe5008ff6, 0x0fd214b2, 
      0xe1005ff7, 0x0fd11522, 
      0xdd002ff7, 0x0fd11592, 
      0xd9fffff8, 0x0fd01602, 
      0xd4ffdff8, 0x0fd01672, 
      0xd0ffaff8, 0x0fd016e2, 
      0xcbff8ff9, 0x0fcf1752, 
      0xc7ff5ff9, 0x0fcf17c2, 
      0xc1ff3ff9, 0x0fcf1842, 
      0xbdff1ff9, 0x0fce18b2, 
      0xb8fefff9, 0x0fce1922, 
      0xb3fecffa, 0x0fce1992, 
      0xadfebffb, 0x0fcd1a02, 
      0xa8fe9ffb, 0x0fcd1a72, 
      0xa3fe7ffa, 0x0fcd1af2, 
      0x9dfe5ffb, 0x0fcd1b62, 
      0x97fe4ffb, 0x0fcd1bd2, 
      0x92fe2ffb, 0x0fcd1c42, 
      0x8cfe0ffc, 0x0fcd1cb2, 
      0x86fdfffc, 0x0fcd1d22, 
      0x80fddffd, 0x0fcd1d92, 
      0x7afdcffc, 0x0fcd1e12, 
      0x74fdbffc, 0x0fcd1e82, 
      0x6efd9ffd, 0x0fcd1ef2, 
      0x67fd8ffe, 0x0fcd1f62, 
      0x61fd7ffd, 0x0fce1fd2, 
      0x5bfd6ffe, 0x0fce2032, 
      0x54fd5fff, 0x0fce20a2, 
      0x4efd4ffe, 0x0fcf2112, 
      0x47fd3fff, 0x0fcf2182, 
      0x40fd3fff, 0x0fcf21f2, 
      0x3afd2ffe, 0x0fd02262, 
      0x33fd1fff, 0x0fd122c2,
   },
   { /* UV scale factor = 0.80, phases = 127, taps = 5. */
      0x3622ffcd, 0x0000fce2, 
      0x3d228fcd, 0x0000fce2, 
      0x44221fcd, 0x0ffffcf2, 
      0x4b21afcc, 0x0ffffd02, 
      0x51213fcc, 0x0ffffd12, 
      0x5820cfcc, 0x0ffffd12, 
      0x5f205fcb, 0x0ffffd22, 
      0x651fffcb, 0x0ffefd32, 
      0x6c1f7fcb, 0x0ffefd42, 
      0x721f0fcb, 0x0ffefd52, 
      0x791e8fca, 0x0ffefd72, 
      0x7f1e1fcb, 0x0ffdfd82, 
      0x851dafcb, 0x0ffdfd92, 
      0x8b1d3fcb, 0x0ffdfda2, 
      0x911ccfca, 0x0ffdfdc2, 
      0x971c5fcb, 0x0ffcfdd2, 
      0x9d1bdfcb, 0x0ffcfdf2, 
      0xa31b6fca, 0x0ffcfe12, 
      0xa91aefcb, 0x0ffcfe22, 
      0xae1a7fcc, 0x0ffbfe42, 
      0xb41a0fcb, 0x0ffbfe62, 
      0xb9198fcc, 0x0ffbfe82, 
      0xbe191fcc, 0x0ffbfea2, 
      0xc418afcc, 0x0ffafec2, 
      0xc9182fcd, 0x0ffafee2, 
      0xce17bfcd, 0x0ffaff02, 
      0xd3174fcd, 0x0ff9ff32, 
      0xd716cfcf, 0x0ff9ff52, 
      0xdc165fcf, 0x0ff9ff72, 
      0xe115efcf, 0x0ff8ffa2, 
      0xe5157fcf, 0x0ff8ffd2, 
      0xe9150fd1, 0x0ff7fff2, 
      0xee148fd1, 0x0ff70022, 
      0xf2141fd1, 0x0ff70052, 
      0xf613afd2, 0x0ff60082, 
      0xf9133fd3, 0x0ff600b2, 
      0xfd12cfd4, 0x0ff500e2, 
      0x01125fd4, 0x0ff50113, 
      0x0411efd4, 0x0ff50153, 
      0x08117fd5, 0x0ff40183, 
      0x0b110fd6, 0x0ff401b3, 
      0x0e109fd7, 0x0ff301f3, 
      0x11102fd7, 0x0ff30233, 
      0x140fcfd8, 0x0ff20263, 
      0x160f5fd9, 0x0ff202a3, 
      0x190eefda, 0x0ff102e3, 
      0x1b0e8fda, 0x0ff10323, 
      0x1e0e1fdb, 0x0ff00363, 
      0x200dbfdb, 0x0ff003a3, 
      0x220d4fdd, 0x0fef03e3, 
      0x240cefdd, 0x0fee0433, 
      0x250c8fde, 0x0fee0473, 
      0x270c2fdf, 0x0fed04b3, 
      0x290bbfdf, 0x0fed0503, 
      0x2a0b5fe0, 0x0fec0553, 
      0x2b0b0fe1, 0x0feb0593, 
      0x2c0aafe1, 0x0feb05e3, 
      0x2d0a4fe2, 0x0fea0633, 
      0x2e09efe2, 0x0fea0683, 
      0x2e098fe4, 0x0fe906d3, 
      0x2f092fe5, 0x0fe80723, 
      0x2f08dfe5, 0x0fe80773, 
      0x30087fe5, 0x0fe707d3, 
      0x30082fe6, 0x0fe60823, 
      0x3007dfe6, 0x0fe60873, 
      0x2f077fe8, 0x0fe508d3, 
      0x2f072fe9, 0x0fe40923, 
      0x2e06dfe9, 0x0fe40983, 
      0x2e068fe9, 0x0fe309e3, 
      0x2d063fea, 0x0fe20a43, 
      0x2c05efeb, 0x0fe10aa3, 
      0x2b059fec, 0x0fe10af3, 
      0x2a055fec, 0x0fe00b53, 
      0x29050fec, 0x0fdf0bc3, 
      0x2704bfed, 0x0fdf0c23, 
      0x25047fee, 0x0fde0c83, 
      0x24043fee, 0x0fdd0ce3, 
      0x2203ffef, 0x0fdc0d43, 
      0x2003afef, 0x0fdc0db3, 
      0x1e036ff0, 0x0fdb0e13, 
      0x1b032ff1, 0x0fda0e83, 
      0x1902eff1, 0x0fda0ee3, 
      0x1602aff2, 0x0fd90f53, 
      0x14026ff2, 0x0fd80fc3, 
      0x11023ff3, 0x0fd71023, 
      0x0e01fff3, 0x0fd71093, 
      0x0b01bff4, 0x0fd61103, 
      0x08018ff4, 0x0fd51173, 
      0x04015ff4, 0x0fd511e3, 
      0x01011ff5, 0x0fd41253, 
      0xfd00eff6, 0x0fd312c2, 
      0xf900bff6, 0x0fd31332, 
      0xf6008ff6, 0x0fd213a2, 
      0xf2005ff6, 0x0fd21412, 
      0xee002ff7, 0x0fd11482, 
      0xe9000ff8, 0x0fd014f2, 
      0xe5ffdff7, 0x0fd01572, 
      0xe1ffaff8, 0x0fcf15e2, 
      0xdcff7ff9, 0x0fcf1652, 
      0xd8ff5ff9, 0x0fce16c2, 
      0xd3ff2ff9, 0x0fce1742, 
      0xceff0ff9, 0x0fce17b2, 
      0xc9feeffa, 0x0fcd1822, 
      0xc4febffa, 0x0fcd18a2, 
      0xbefeaffb, 0x0fcc1912, 
      0xb9fe8ffb, 0x0fcc1982, 
      0xb4fe5ffb, 0x0fcc1a02, 
      0xaefe4ffc, 0x0fcb1a72, 
      0xa9fe2ffc, 0x0fcb1ae2, 
      0xa3fe1ffb, 0x0fcb1b62, 
      0x9dfdfffc, 0x0fcb1bd2, 
      0x97fddffd, 0x0fcb1c42, 
      0x91fdcffd, 0x0fca1cc2, 
      0x8bfdbffd, 0x0fca1d32, 
      0x85fd9ffe, 0x0fca1da2, 
      0x7ffd8ffe, 0x0fca1e12, 
      0x79fd7ffd, 0x0fca1e92, 
      0x72fd5ffe, 0x0fcb1f02, 
      0x6cfd4ffe, 0x0fcb1f72, 
      0x65fd3fff, 0x0fcb1fe2, 
      0x5ffd2fff, 0x0fcb2052, 
      0x58fd2fff, 0x0fcb20c2, 
      0x51fd1fff, 0x0fcc2132, 
      0x4bfd0fff, 0x0fcc21a2, 
      0x44fcf000, 0x0fcc2212, 
      0x3dfce000, 0x0fcd2282, 
      0x36fce000, 0x0fcd22f2,
   },
   { /* UV scale factor = 0.81, phases = 127, taps = 5. */
      0x39231fca, 0x0001fcb2, 
      0x4022bfc9, 0x0001fcb2, 
      0x47224fc9, 0x0000fcc2, 
      0x4e21cfca, 0x0000fcc2, 
      0x55215fc9, 0x0000fcd2, 
      0x5c20efc8, 0x0000fce2, 
      0x63207fc8, 0x0ffffcf2, 
      0x6a1fffc8, 0x0ffffd02, 
      0x701f8fc9, 0x0ffffd02, 
      0x771f1fc8, 0x0ffffd12, 
      0x7d1e9fc8, 0x0ffffd32, 
      0x841e2fc8, 0x0ffefd42, 
      0x8a1dbfc8, 0x0ffefd52, 
      0x911d3fc8, 0x0ffefd62, 
      0x971ccfc8, 0x0ffefd72, 
      0x9d1c4fc9, 0x0ffdfd92, 
      0xa31bdfc9, 0x0ffdfda2, 
      0xa91b5fc9, 0x0ffdfdc2, 
      0xaf1adfc9, 0x0ffdfde2, 
      0xb51a6fca, 0x0ffcfdf2, 
      0xba19ffca, 0x0ffcfe12, 
      0xc0197fca, 0x0ffcfe32, 
      0xc5190fcb, 0x0ffbfe52, 
      0xcb188fcb, 0x0ffbfe72, 
      0xd0181fcb, 0x0ffbfe92, 
      0xd5179fcd, 0x0ffafeb2, 
      0xda172fcd, 0x0ffafed2, 
      0xdf16afcd, 0x0ffaff02, 
      0xe4163fce, 0x0ff9ff22, 
      0xe815bfcf, 0x0ff9ff52, 
      0xed154fcf, 0x0ff9ff72, 
      0xf114dfd0, 0x0ff8ffa2, 
      0xf6145fd0, 0x0ff8ffd2, 
      0xfa13efd1, 0x0ff8fff2, 
      0xfe137fd2, 0x0ff70022, 
      0x02130fd2, 0x0ff70053, 
      0x06129fd3, 0x0ff60083, 
      0x0a121fd3, 0x0ff600c3, 
      0x0d11afd5, 0x0ff500f3, 
      0x11113fd5, 0x0ff50123, 
      0x1410cfd6, 0x0ff40163, 
      0x17105fd7, 0x0ff40193, 
      0x1a0fefd7, 0x0ff401d3, 
      0x1d0f8fd8, 0x0ff30203, 
      0x200f1fd8, 0x0ff30243, 
      0x220eafda, 0x0ff20283, 
      0x250e3fdb, 0x0ff102c3, 
      0x270ddfdb, 0x0ff10303, 
      0x2a0d6fdc, 0x0ff00343, 
      0x2c0d0fdc, 0x0ff00383, 
      0x2e0c9fdd, 0x0fef03d3, 
      0x2f0c3fde, 0x0fef0413, 
      0x310bdfdf, 0x0fee0453, 
      0x330b6fe0, 0x0fed04a3, 
      0x340b0fe0, 0x0fed04f3, 
      0x350aafe2, 0x0fec0533, 
      0x360a4fe2, 0x0fec0583, 
      0x3709efe3, 0x0feb05d3, 
      0x38098fe4, 0x0fea0623, 
      0x39093fe3, 0x0fea0673, 
      0x3908dfe5, 0x0fe906c3, 
      0x39087fe6, 0x0fe80723, 
      0x3a081fe6, 0x0fe80773, 
      0x3a07cfe7, 0x0fe707c3, 
      0x3a077fe7, 0x0fe60823, 
      0x39072fe9, 0x0fe50873, 
      0x3906cfe9, 0x0fe508d3, 
      0x39067fe9, 0x0fe40933, 
      0x38062feb, 0x0fe30983, 
      0x3705dfeb, 0x0fe309e3, 
      0x36058fec, 0x0fe20a43, 
      0x35053fed, 0x0fe10aa3, 
      0x3404ffed, 0x0fe00b03, 
      0x3304afed, 0x0fe00b63, 
      0x31045fee, 0x0fdf0bd3, 
      0x2f041fef, 0x0fde0c33, 
      0x2e03dfef, 0x0fdd0c93, 
      0x2c038fef, 0x0fdd0d03, 
      0x2a034ff0, 0x0fdc0d63, 
      0x27030ff1, 0x0fdb0dd3, 
      0x2502cff2, 0x0fda0e33, 
      0x22029ff2, 0x0fd90ea3, 
      0x20024ff2, 0x0fd90f13, 
      0x1d020ff3, 0x0fd80f83, 
      0x1a01dff4, 0x0fd70fe3, 
      0x17019ff4, 0x0fd71053, 
      0x14016ff4, 0x0fd610c3, 
      0x11012ff5, 0x0fd51133, 
      0x0d00fff6, 0x0fd411a3, 
      0x0a00cff5, 0x0fd41213, 
      0x06008ff6, 0x0fd31293, 
      0x02005ff7, 0x0fd21303, 
      0xfe002ff7, 0x0fd21372, 
      0xfafffff8, 0x0fd113e2, 
      0xf6ffdff8, 0x0fd01452, 
      0xf1ffaff8, 0x0fd014d2, 
      0xedff7ff9, 0x0fcf1542, 
      0xe8ff5ff9, 0x0fcf15b2, 
      0xe4ff2ff9, 0x0fce1632, 
      0xdfff0ffa, 0x0fcd16a2, 
      0xdafedffa, 0x0fcd1722, 
      0xd5febffb, 0x0fcc1792, 
      0xd0fe9ffa, 0x0fcc1812, 
      0xcbfe7ffb, 0x0fcb1882, 
      0xc5fe5ffb, 0x0fcb1902, 
      0xc0fe3ffb, 0x0fcb1972, 
      0xbafe1ffc, 0x0fca19f2, 
      0xb5fdfffc, 0x0fca1a62, 
      0xaffdeffc, 0x0fc91ae2, 
      0xa9fdcffd, 0x0fc91b52, 
      0xa3fdaffd, 0x0fc91bd2, 
      0x9dfd9ffd, 0x0fc91c42, 
      0x97fd7ffe, 0x0fc81cc2, 
      0x91fd6ffe, 0x0fc81d32, 
      0x8afd5ffe, 0x0fc81db2, 
      0x84fd4ffe, 0x0fc81e22, 
      0x7dfd3fff, 0x0fc81e92, 
      0x77fd1fff, 0x0fc81f12, 
      0x70fd0000, 0x0fc81f82, 
      0x6afcffff, 0x0fc82002, 
      0x63fcffff, 0x0fc82072, 
      0x5cfcefff, 0x0fc920e2, 
      0x55fcd000, 0x0fc92152, 
      0x4efcc001, 0x0fc921c2, 
      0x47fcc000, 0x0fc92242, 
      0x40fcb000, 0x0fca22b2, 
      0x39fcb000, 0x0fca2322,
   },
   { /* UV scale factor = 0.82, phases = 127, taps = 5. */
      0x3b234fc7, 0x0002fc82, 
      0x4322dfc7, 0x0001fc82, 
      0x4a226fc7, 0x0001fc82, 
      0x5121ffc6, 0x0001fc92, 
      0x58217fc6, 0x0001fca2, 
      0x60210fc6, 0x0000fca2, 
      0x67208fc6, 0x0000fcb2, 
      0x6e201fc5, 0x0000fcc2, 
      0x741f9fc6, 0x0000fcd2, 
      0x7b1f2fc5, 0x0000fce2, 
      0x821eafc6, 0x0ffffcf2, 
      0x891e2fc6, 0x0ffffd02, 
      0x8f1dbfc6, 0x0ffffd12, 
      0x961d3fc6, 0x0ffffd22, 
      0x9c1ccfc7, 0x0ffefd32, 
      0xa21c5fc7, 0x0ffefd42, 
      0xa91bcfc7, 0x0ffefd62, 
      0xaf1b5fc7, 0x0ffefd72, 
      0xb51adfc8, 0x0ffdfd92, 
      0xbb1a5fc8, 0x0ffdfdb2, 
      0xc119efc8, 0x0ffdfdc2, 
      0xc6196fc9, 0x0ffdfde2, 
      0xcc18efca, 0x0ffcfe02, 
      0xd1187fca, 0x0ffcfe22, 
      0xd717ffca, 0x0ffcfe42, 
      0xdc177fcc, 0x0ffbfe62, 
      0xe1170fcc, 0x0ffbfe82, 
      0xe6168fcd, 0x0ffbfea2, 
      0xeb161fcd, 0x0ffafed2, 
      0xf0159fce, 0x0ffafef2, 
      0xf5151fce, 0x0ffaff22, 
      0xf914afd0, 0x0ff9ff42, 
      0xfe143fcf, 0x0ff9ff72, 
      0x0213bfd1, 0x0ff8ffa3, 
      0x06134fd1, 0x0ff8ffd3, 
      0x0a12cfd2, 0x0ff80003, 
      0x0e125fd3, 0x0ff70033, 
      0x1211efd3, 0x0ff70063, 
      0x16117fd4, 0x0ff60093, 
      0x1a10ffd5, 0x0ff600c3, 
      0x1d108fd6, 0x0ff50103, 
      0x20101fd7, 0x0ff50133, 
      0x230fafd8, 0x0ff40173, 
      0x260f3fd9, 0x0ff401a3, 
      0x290edfd9, 0x0ff301e3, 
      0x2c0e6fd9, 0x0ff30223, 
      0x2f0dffda, 0x0ff20263, 
      0x310d8fdb, 0x0ff202a3, 
      0x330d2fdc, 0x0ff102e3, 
      0x350cbfdd, 0x0ff10323, 
      0x370c4fde, 0x0ff00373, 
      0x390befdf, 0x0fef03b3, 
      0x3b0b8fdf, 0x0fef03f3, 
      0x3d0b1fe0, 0x0fee0443, 
      0x3e0abfe0, 0x0fee0493, 
      0x3f0a5fe2, 0x0fed04d3, 
      0x4009ffe3, 0x0fec0523, 
      0x41099fe3, 0x0fec0573, 
      0x42093fe4, 0x0feb05c3, 
      0x4308dfe5, 0x0fea0613, 
      0x43087fe6, 0x0fea0663, 
      0x44081fe6, 0x0fe906c3, 
      0x4407cfe7, 0x0fe80713, 
      0x44076fe8, 0x0fe80763, 
      0x44071fe8, 0x0fe707c3, 
      0x4406cfe8, 0x0fe60823, 
      0x43067fea, 0x0fe50873, 
      0x43061fea, 0x0fe508d3, 
      0x4205cfeb, 0x0fe40933, 
      0x41057fec, 0x0fe30993, 
      0x40052fed, 0x0fe209f3, 
      0x3f04dfed, 0x0fe20a53, 
      0x3e049fed, 0x0fe10ab3, 
      0x3d044fee, 0x0fe00b13, 
      0x3b03ffef, 0x0fdf0b83, 
      0x3903bff0, 0x0fde0be3, 
      0x37037ff0, 0x0fde0c43, 
      0x35032ff1, 0x0fdd0cb3, 
      0x3302eff2, 0x0fdc0d13, 
      0x3102aff2, 0x0fdb0d83, 
      0x2f026ff2, 0x0fda0df3, 
      0x2c022ff2, 0x0fda0e63, 
      0x2901eff4, 0x0fd90ec3, 
      0x2601bff4, 0x0fd80f33, 
      0x23017ff5, 0x0fd70fa3, 
      0x20014ff5, 0x0fd61013, 
      0x1d010ff5, 0x0fd61083, 
      0x1a00cff6, 0x0fd510f3, 
      0x16009ff6, 0x0fd41173, 
      0x12006ff7, 0x0fd311e3, 
      0x0e003ff7, 0x0fd31253, 
      0x0a000ff8, 0x0fd212c3, 
      0x06ffdff8, 0x0fd11343, 
      0x02ffaff9, 0x0fd013b3, 
      0xfeff7ff8, 0x0fd01432, 
      0xf9ff4ffa, 0x0fcf14a2, 
      0xf5ff2ffa, 0x0fce1512, 
      0xf0fefffa, 0x0fce1592, 
      0xebfedffa, 0x0fcd1612, 
      0xe6febffb, 0x0fcc1682, 
      0xe1fe8ffb, 0x0fcc1702, 
      0xdcfe6ffc, 0x0fcb1772, 
      0xd7fe4ffb, 0x0fcb17f2, 
      0xd1fe2ffc, 0x0fca1872, 
      0xccfe0ffc, 0x0fca18e2, 
      0xc6fdeffd, 0x0fc91962, 
      0xc1fdcffc, 0x0fc919e2, 
      0xbbfdbffd, 0x0fc81a52, 
      0xb5fd9ffd, 0x0fc81ad2, 
      0xaffd7ffd, 0x0fc81b52, 
      0xa9fd6ffe, 0x0fc71bc2, 
      0xa2fd4fff, 0x0fc71c42, 
      0x9cfd3ffe, 0x0fc71cc2, 
      0x96fd2fff, 0x0fc61d32, 
      0x8ffd1fff, 0x0fc61db2, 
      0x89fcffff, 0x0fc61e32, 
      0x82fcffff, 0x0fc61ea2, 
      0x7bfcefff, 0x0fc61f22, 
      0x74fcd000, 0x0fc61f92, 
      0x6efcb000, 0x0fc62012, 
      0x67fcb000, 0x0fc62082, 
      0x60fca000, 0x0fc62102, 
      0x59fca000, 0x0fc62172, 
      0x51fc9001, 0x0fc621f2, 
      0x4afc8002, 0x0fc62262, 
      0x43fc8001, 0x0fc722d2, 
      0x3cfc8001, 0x0fc72342,
   },
   { /* UV scale factor = 0.83, phases = 127, taps = 5. */
      0x3e237fc5, 0x0002fc42, 
      0x4622ffc4, 0x0002fc52, 
      0x4d228fc4, 0x0002fc52, 
      0x55220fc3, 0x0002fc62, 
      0x5c219fc3, 0x0002fc62, 
      0x63211fc4, 0x0001fc72, 
      0x6a20afc4, 0x0001fc72, 
      0x72202fc3, 0x0001fc82, 
      0x791fafc3, 0x0001fc92, 
      0x801f3fc3, 0x0000fca2, 
      0x871ebfc3, 0x0000fcb2, 
      0x8d1e3fc4, 0x0000fcc2, 
      0x941dbfc4, 0x0000fcd2, 
      0x9b1d3fc4, 0x0000fce2, 
      0xa11ccfc5, 0x0ffffcf2, 
      0xa81c4fc5, 0x0ffffd02, 
      0xae1bcfc6, 0x0ffffd12, 
      0xb51b3fc6, 0x0ffffd32, 
      0xbb1acfc7, 0x0ffefd42, 
      0xc11a4fc7, 0x0ffefd62, 
      0xc719cfc7, 0x0ffefd82, 
      0xcd195fc8, 0x0ffdfd92, 
      0xd318dfc8, 0x0ffdfdb2, 
      0xd8185fc9, 0x0ffdfdd2, 
      0xde17dfc9, 0x0ffdfdf2, 
      0xe3175fcb, 0x0ffcfe12, 
      0xe916dfcb, 0x0ffcfe32, 
      0xee166fcb, 0x0ffcfe52, 
      0xf315efcc, 0x0ffbfe82, 
      0xf8156fcd, 0x0ffbfea2, 
      0xfd14ffcd, 0x0ffbfec2, 
      0x01147fcf, 0x0ffafef3, 
      0x0613ffcf, 0x0ffaff23, 
      0x0a138fd1, 0x0ff9ff43, 
      0x0f130fd1, 0x0ff9ff73, 
      0x13129fd1, 0x0ff9ffa3, 
      0x17121fd3, 0x0ff8ffd3, 
      0x1b11afd3, 0x0ff80003, 
      0x1f113fd4, 0x0ff70033, 
      0x2210cfd5, 0x0ff70063, 
      0x26104fd6, 0x0ff600a3, 
      0x290fdfd7, 0x0ff600d3, 
      0x2d0f6fd7, 0x0ff50113, 
      0x300effd8, 0x0ff50143, 
      0x330e8fd9, 0x0ff40183, 
      0x350e1fda, 0x0ff401c3, 
      0x380dafdb, 0x0ff30203, 
      0x3b0d3fdb, 0x0ff30243, 
      0x3d0ccfdd, 0x0ff20283, 
      0x3f0c6fdd, 0x0ff202c3, 
      0x410bffde, 0x0ff10313, 
      0x430b9fdf, 0x0ff00353, 
      0x450b2fe0, 0x0ff00393, 
      0x470acfe0, 0x0fef03e3, 
      0x480a5fe1, 0x0fef0433, 
      0x4909ffe3, 0x0fee0473, 
      0x4b099fe3, 0x0fed04c3, 
      0x4c093fe3, 0x0fed0513, 
      0x4c08dfe5, 0x0fec0563, 
      0x4d087fe6, 0x0feb05b3, 
      0x4e081fe7, 0x0fea0603, 
      0x4e07cfe6, 0x0fea0663, 
      0x4e076fe8, 0x0fe906b3, 
      0x4e071fe8, 0x0fe80713, 
      0x4e06bfe9, 0x0fe80763, 
      0x4e066fe9, 0x0fe707c3, 
      0x4e060feb, 0x0fe60813, 
      0x4d05bfec, 0x0fe50873, 
      0x4c057fec, 0x0fe408d3, 
      0x4c051fec, 0x0fe40933, 
      0x4b04cfed, 0x0fe30993, 
      0x49048fee, 0x0fe209f3, 
      0x48043fee, 0x0fe10a63, 
      0x4703efef, 0x0fe00ac3, 
      0x45039ff0, 0x0fe00b23, 
      0x43035ff0, 0x0fdf0b93, 
      0x41031ff1, 0x0fde0bf3, 
      0x3f02cff2, 0x0fdd0c63, 
      0x3d028ff3, 0x0fdc0cc3, 
      0x3b024ff3, 0x0fdb0d33, 
      0x38020ff3, 0x0fdb0da3, 
      0x3501cff4, 0x0fda0e13, 
      0x33018ff4, 0x0fd90e83, 
      0x30014ff5, 0x0fd80ef3, 
      0x2d011ff5, 0x0fd70f63, 
      0x2900eff6, 0x0fd60fd3, 
      0x2600aff6, 0x0fd61043, 
      0x22007ff7, 0x0fd510b3, 
      0x1f003ff7, 0x0fd41133, 
      0x1b000ff8, 0x0fd311a3, 
      0x17ffdff9, 0x0fd21213, 
      0x13ffaff8, 0x0fd21293, 
      0x0fff7ff9, 0x0fd11303, 
      0x0aff4ffa, 0x0fd01383, 
      0x06ff2ffa, 0x0fcf13f3, 
      0x01fefffa, 0x0fcf1473, 
      0xfdfecffa, 0x0fce14f2, 
      0xf8feaffb, 0x0fcd1562, 
      0xf3fe8ffb, 0x0fcc15e2, 
      0xeefe5ffb, 0x0fcc1662, 
      0xe9fe3ffb, 0x0fcb16e2, 
      0xe3fe1ffd, 0x0fca1752, 
      0xdefdfffc, 0x0fca17d2, 
      0xd8fddffd, 0x0fc91852, 
      0xd2fdbffd, 0x0fc918d2, 
      0xcdfd9ffd, 0x0fc81952, 
      0xc7fd8ffe, 0x0fc719c2, 
      0xc1fd6ffe, 0x0fc71a42, 
      0xbbfd4fff, 0x0fc61ac2, 
      0xb5fd3ffe, 0x0fc61b42, 
      0xaefd1fff, 0x0fc61bc2, 
      0xa8fd0fff, 0x0fc51c42, 
      0xa1fcffff, 0x0fc51cc2, 
      0x9bfcefff, 0x0fc51d32, 
      0x94fcd000, 0x0fc41db2, 
      0x8dfcc000, 0x0fc41e32, 
      0x87fca000, 0x0fc41eb2, 
      0x80fc9000, 0x0fc41f32, 
      0x79fc9000, 0x0fc41fa2, 
      0x72fc8001, 0x0fc32022, 
      0x6afc7002, 0x0fc320a2, 
      0x63fc7002, 0x0fc32112, 
      0x5cfc6002, 0x0fc32192, 
      0x55fc6001, 0x0fc42202, 
      0x4dfc5002, 0x0fc42282, 
      0x46fc5002, 0x0fc422f2, 
      0x3efc4003, 0x0fc42372,
   },
   { /* UV scale factor = 0.84, phases = 127, taps = 5. */
      0x41239fc1, 0x0003fc22, 
      0x48232fc1, 0x0003fc22, 
      0x5022afc1, 0x0003fc22, 
      0x57222fc1, 0x0003fc32, 
      0x5f21afc2, 0x0002fc32, 
      0x67213fc1, 0x0002fc32, 
      0x6e20bfc1, 0x0002fc42, 
      0x75203fc1, 0x0002fc52, 
      0x7d1fbfc2, 0x0001fc52, 
      0x841f3fc2, 0x0001fc62, 
      0x8b1ebfc2, 0x0001fc72, 
      0x921e3fc2, 0x0001fc82, 
      0x991dbfc2, 0x0001fc92, 
      0xa01d3fc3, 0x0000fca2, 
      0xa71cbfc3, 0x0000fcb2, 
      0xad1c3fc4, 0x0000fcc2, 
      0xb41bbfc4, 0x0000fcd2, 
      0xba1b4fc5, 0x0ffffce2, 
      0xc11abfc5, 0x0ffffd02, 
      0xc71a3fc6, 0x0ffffd12, 
      0xcd19bfc6, 0x0ffffd32, 
      0xd3193fc7, 0x0ffefd52, 
      0xd918bfc8, 0x0ffefd62, 
      0xdf183fc8, 0x0ffefd82, 
      0xe517bfc9, 0x0ffdfda2, 
      0xea173fca, 0x0ffdfdc2, 
      0xf016bfca, 0x0ffdfde2, 
      0xf5163fcb, 0x0ffdfe02, 
      0xfa15cfcc, 0x0ffcfe22, 
      0xff153fcd, 0x0ffcfe52, 
      0x0414cfce, 0x0ffbfe73, 
      0x09144fcf, 0x0ffbfe93, 
      0x0e13cfcf, 0x0ffbfec3, 
      0x13134fd0, 0x0ffafef3, 
      0x1712dfd1, 0x0ffaff13, 
      0x1b125fd2, 0x0ffaff43, 
      0x2011efd2, 0x0ff9ff73, 
      0x24116fd3, 0x0ff9ffa3, 
      0x2810ffd4, 0x0ff8ffd3, 
      0x2b107fd5, 0x0ff80013, 
      0x2f100fd6, 0x0ff70043, 
      0x330f9fd6, 0x0ff70073, 
      0x360f1fd8, 0x0ff600b3, 
      0x390eafd9, 0x0ff600e3, 
      0x3c0e3fda, 0x0ff50123, 
      0x3f0dcfda, 0x0ff50163, 
      0x420d5fdb, 0x0ff401a3, 
      0x440cefdc, 0x0ff401e3, 
      0x470c7fdd, 0x0ff30223, 
      0x490c1fdd, 0x0ff30263, 
      0x4b0bafdf, 0x0ff202a3, 
      0x4d0b3fe0, 0x0ff102f3, 
      0x4f0adfe0, 0x0ff10333, 
      0x510a6fe1, 0x0ff00383, 
      0x520a1fe2, 0x0fef03c3, 
      0x5409afe2, 0x0fef0413, 
      0x55094fe3, 0x0fee0463, 
      0x5608dfe5, 0x0fed04b3, 
      0x57087fe5, 0x0fed0503, 
      0x57081fe7, 0x0fec0553, 
      0x5807cfe7, 0x0feb05a3, 
      0x58076fe7, 0x0feb0603, 
      0x59070fe8, 0x0fea0653, 
      0x5906afe9, 0x0fe906b3, 
      0x59065fea, 0x0fe80703, 
      0x58060fea, 0x0fe80763, 
      0x5805afeb, 0x0fe707c3, 
      0x57055fed, 0x0fe60813, 
      0x57050fed, 0x0fe50873, 
      0x5604bfee, 0x0fe408d3, 
      0x55045fee, 0x0fe40943, 
      0x54041fee, 0x0fe309a3, 
      0x5203cff0, 0x0fe20a03, 
      0x51038ff0, 0x0fe10a63, 
      0x4f033ff1, 0x0fe00ad3, 
      0x4d02fff2, 0x0fdf0b33, 
      0x4b02aff2, 0x0fdf0ba3, 
      0x49026ff2, 0x0fde0c13, 
      0x47022ff3, 0x0fdd0c73, 
      0x4401eff4, 0x0fdc0ce3, 
      0x4201aff4, 0x0fdb0d53, 
      0x3f016ff5, 0x0fda0dc3, 
      0x3c012ff6, 0x0fd90e33, 
      0x3900fff6, 0x0fd80ea3, 
      0x3600bff6, 0x0fd80f13, 
      0x33007ff6, 0x0fd70f93, 
      0x2f004ff7, 0x0fd61003, 
      0x2b001ff8, 0x0fd51073, 
      0x28ffdff8, 0x0fd410f3, 
      0x24ffaff9, 0x0fd31163, 
      0x20ff7ff9, 0x0fd211e3, 
      0x1bff4ffa, 0x0fd21253, 
      0x17ff1ffa, 0x0fd112d3, 
      0x13fefffa, 0x0fd01343, 
      0x0efecffb, 0x0fcf13c3, 
      0x09fe9ffc, 0x0fce1443, 
      0x04fe7ffc, 0x0fcd14c3, 
      0xfffe5ffc, 0x0fcd1532, 
      0xfafe2ffd, 0x0fcc15b2, 
      0xf5fe0ffd, 0x0fcb1632, 
      0xf0fdeffd, 0x0fca16b2, 
      0xeafdcffd, 0x0fca1732, 
      0xe5fdaffd, 0x0fc917b2, 
      0xdffd8ffe, 0x0fc81832, 
      0xd9fd6ffe, 0x0fc818b2, 
      0xd3fd5ffe, 0x0fc71932, 
      0xcdfd3fff, 0x0fc619b2, 
      0xc7fd1fff, 0x0fc61a32, 
      0xc1fd0fff, 0x0fc51ab2, 
      0xbafce000, 0x0fc51b32, 
      0xb4fcd000, 0x0fc41bb2, 
      0xadfcc000, 0x0fc41c32, 
      0xa7fcb000, 0x0fc31cb2, 
      0xa0fca000, 0x0fc31d32, 
      0x99fc9000, 0x0fc31db2, 
      0x92fc8001, 0x0fc21e32, 
      0x8bfc7001, 0x0fc21eb2, 
      0x84fc6001, 0x0fc21f32, 
      0x7dfc5002, 0x0fc11fb2, 
      0x75fc5002, 0x0fc12032, 
      0x6efc4002, 0x0fc120b2, 
      0x67fc3002, 0x0fc12132, 
      0x5ffc3003, 0x0fc121a2, 
      0x58fc3002, 0x0fc12222, 
      0x50fc2003, 0x0fc122a2, 
      0x48fc2003, 0x0fc12322, 
      0x41fc2003, 0x0fc12392,
   },
   { /* UV scale factor = 0.85, phases = 127, taps = 5. */
      0x4323bfbf, 0x0004fbf2, 
      0x4b234fbe, 0x0004fbf2, 
      0x5322cfbf, 0x0003fbf2, 
      0x5b224fbe, 0x0003fc02, 
      0x6221cfbf, 0x0003fc02, 
      0x6a214fbf, 0x0003fc02, 
      0x7220bfbf, 0x0003fc12, 
      0x79204fbf, 0x0003fc12, 
      0x811fcfbf, 0x0002fc22, 
      0x881f4fc0, 0x0002fc22, 
      0x8f1ebfc1, 0x0002fc32, 
      0x971e3fc0, 0x0002fc42, 
      0x9e1dbfc1, 0x0001fc52, 
      0xa51d3fc1, 0x0001fc62, 
      0xac1cbfc1, 0x0001fc72, 
      0xb31c2fc2, 0x0001fc82, 
      0xb91bafc3, 0x0001fc92, 
      0xc01b2fc4, 0x0000fca2, 
      0xc61aafc5, 0x0000fcb2, 
      0xcd1a2fc4, 0x0000fcd2, 
      0xd3199fc6, 0x0000fce2, 
      0xd9191fc7, 0x0ffffd02, 
      0xe0189fc6, 0x0ffffd22, 
      0xe6181fc7, 0x0ffffd32, 
      0xeb179fc9, 0x0ffefd52, 
      0xf1171fc9, 0x0ffefd72, 
      0xf7169fc9, 0x0ffefd92, 
      0xfc161fcb, 0x0ffdfdb2, 
      0x02158fcc, 0x0ffdfdd3, 
      0x07150fcd, 0x0ffdfdf3, 
      0x0c149fcd, 0x0ffcfe23, 
      0x11141fce, 0x0ffcfe43, 
      0x16139fce, 0x0ffcfe73, 
      0x1b131fd0, 0x0ffbfe93, 
      0x1f129fd1, 0x0ffbfec3, 
      0x24121fd1, 0x0ffbfef3, 
      0x2811afd2, 0x0ffaff23, 
      0x2c112fd3, 0x0ffaff53, 
      0x3010afd5, 0x0ff9ff83, 
      0x34103fd5, 0x0ff9ffb3, 
      0x380fbfd7, 0x0ff8ffe3, 
      0x3c0f4fd7, 0x0ff80013, 
      0x3f0edfd8, 0x0ff70053, 
      0x420e6fd9, 0x0ff70083, 
      0x460defda, 0x0ff600c3, 
      0x490d7fda, 0x0ff60103, 
      0x4b0d0fdc, 0x0ff50143, 
      0x4e0c9fdc, 0x0ff50183, 
      0x510c2fdd, 0x0ff401c3, 
      0x530bbfde, 0x0ff40203, 
      0x550b5fdf, 0x0ff30243, 
      0x570aefe1, 0x0ff20283, 
      0x590a7fe1, 0x0ff202d3, 
      0x5b0a1fe2, 0x0ff10313, 
      0x5c09afe3, 0x0ff10363, 
      0x5e094fe3, 0x0ff003b3, 
      0x5f08efe4, 0x0fef0403, 
      0x60088fe5, 0x0fee0453, 
      0x61081fe6, 0x0fee04a3, 
      0x6207bfe7, 0x0fed04f3, 
      0x62076fe8, 0x0fec0543, 
      0x63070fe8, 0x0fec0593, 
      0x6306afe9, 0x0feb05f3, 
      0x63064feb, 0x0fea0643, 
      0x6305ffeb, 0x0fe906a3, 
      0x63059feb, 0x0fe90703, 
      0x62054fec, 0x0fe80763, 
      0x6204ffed, 0x0fe707b3, 
      0x6104afee, 0x0fe60813, 
      0x60045fee, 0x0fe50883, 
      0x5f040fef, 0x0fe408e3, 
      0x5e03bfef, 0x0fe40943, 
      0x5c036ff1, 0x0fe309a3, 
      0x5b031ff1, 0x0fe20a13, 
      0x5902dff2, 0x0fe10a73, 
      0x57028ff3, 0x0fe00ae3, 
      0x55024ff3, 0x0fdf0b53, 
      0x53020ff4, 0x0fde0bb3, 
      0x5101cff4, 0x0fdd0c23, 
      0x4e018ff5, 0x0fdc0c93, 
      0x4b014ff5, 0x0fdc0d03, 
      0x49010ff5, 0x0fdb0d73, 
      0x4600cff6, 0x0fda0de3, 
      0x42009ff7, 0x0fd90e53, 
      0x3f005ff7, 0x0fd80ed3, 
      0x3c001ff8, 0x0fd70f43, 
      0x38ffeff9, 0x0fd60fb3, 
      0x34ffbff9, 0x0fd51033, 
      0x30ff8ffa, 0x0fd410a3, 
      0x2cff5ffa, 0x0fd31123, 
      0x28ff2ffa, 0x0fd211a3, 
      0x24fefffa, 0x0fd21213, 
      0x1ffecffb, 0x0fd11293, 
      0x1bfe9ffb, 0x0fd01313, 
      0x16fe7ffb, 0x0fcf1393, 
      0x11fe4ffc, 0x0fce1413, 
      0x0cfe2ffc, 0x0fcd1493, 
      0x07fe0ffd, 0x0fcc1503, 
      0x02fddffe, 0x0fcb1583, 
      0xfcfdbffd, 0x0fcb1612, 
      0xf7fd9ffd, 0x0fca1692, 
      0xf1fd7ffe, 0x0fc91712, 
      0xebfd5fff, 0x0fc81792, 
      0xe6fd3ffe, 0x0fc81812, 
      0xe0fd2ffe, 0x0fc71892, 
      0xd9fd0000, 0x0fc61912, 
      0xd3fcf000, 0x0fc51992, 
      0xcdfcdfff, 0x0fc51a22, 
      0xc6fcb001, 0x0fc41aa2, 
      0xc0fca000, 0x0fc41b22, 
      0xb9fc9001, 0x0fc31ba2, 
      0xb3fc8000, 0x0fc21c32, 
      0xacfc6001, 0x0fc21cb2, 
      0xa5fc6001, 0x0fc11d32, 
      0x9efc5001, 0x0fc11db2, 
      0x97fc4001, 0x0fc11e32, 
      0x8ffc4002, 0x0fc01eb2, 
      0x88fc2002, 0x0fc01f42, 
      0x81fc1002, 0x0fc01fc2, 
      0x79fc1003, 0x0fbf2042, 
      0x72fc1002, 0x0fbf20c2, 
      0x6afc0003, 0x0fbf2142, 
      0x62fc0003, 0x0fbf21c2, 
      0x5bfbf003, 0x0fbf2242, 
      0x53fbf003, 0x0fbf22c2, 
      0x4bfbf003, 0x0fbf2342, 
      0x43fbf004, 0x0fbf23b2,
   },
   { /* UV scale factor = 0.86, phases = 127, taps = 5. */
      0x4523dfbd, 0x0005fbc2, 
      0x4e235fbd, 0x0004fbc2, 
      0x5622dfbd, 0x0004fbc2, 
      0x5e225fbc, 0x0004fbd2, 
      0x6621dfbc, 0x0004fbd2, 
      0x6d215fbd, 0x0004fbd2, 
      0x7520cfbd, 0x0004fbe2, 
      0x7d205fbd, 0x0003fbe2, 
      0x851fcfbe, 0x0003fbe2, 
      0x8c1f4fbe, 0x0003fbf2, 
      0x941ebfbe, 0x0003fc02, 
      0x9b1e3fbf, 0x0003fc02, 
      0xa21dbfc0, 0x0002fc12, 
      0xaa1d2fc0, 0x0002fc22, 
      0xb11cafc0, 0x0002fc32, 
      0xb81c1fc1, 0x0002fc42, 
      0xbf1b9fc2, 0x0001fc52, 
      0xc51b1fc3, 0x0001fc62, 
      0xcc1a9fc3, 0x0001fc72, 
      0xd31a0fc4, 0x0001fc82, 
      0xd9198fc5, 0x0000fca2, 
      0xe018ffc6, 0x0000fcb2, 
      0xe6187fc6, 0x0000fcd2, 
      0xec17ffc7, 0x0000fce2, 
      0xf2177fc8, 0x0ffffd02, 
      0xf816efc9, 0x0ffffd22, 
      0xfe166fc9, 0x0ffffd42, 
      0x0415efca, 0x0ffefd63, 
      0x09155fcc, 0x0ffefd83, 
      0x0f14dfcc, 0x0ffefda3, 
      0x14145fce, 0x0ffdfdc3, 
      0x1913dfce, 0x0ffdfdf3, 
      0x1e135fcf, 0x0ffdfe13, 
      0x2312dfd0, 0x0ffcfe43, 
      0x28125fd1, 0x0ffcfe63, 
      0x2c11dfd2, 0x0ffcfe93, 
      0x31115fd3, 0x0ffbfec3, 
      0x3510efd3, 0x0ffbfef3, 
      0x39106fd5, 0x0ffaff23, 
      0x3d0fefd6, 0x0ffaff53, 
      0x410f7fd7, 0x0ff9ff83, 
      0x450effd8, 0x0ff9ffb3, 
      0x480e8fd9, 0x0ff8fff3, 
      0x4c0e0fda, 0x0ff80023, 
      0x4f0d9fdb, 0x0ff70063, 
      0x520d2fdb, 0x0ff700a3, 
      0x550cbfdc, 0x0ff600e3, 
      0x580c4fdd, 0x0ff60113, 
      0x5a0bdfde, 0x0ff50163, 
      0x5d0b5fdf, 0x0ff501a3, 
      0x5f0affe0, 0x0ff401e3, 
      0x610a8fe1, 0x0ff40223, 
      0x630a2fe1, 0x0ff30273, 
      0x6509bfe3, 0x0ff202b3, 
      0x66094fe4, 0x0ff20303, 
      0x6808efe4, 0x0ff10353, 
      0x69088fe6, 0x0ff00393, 
      0x6a082fe6, 0x0ff003e3, 
      0x6b07bfe8, 0x0fef0433, 
      0x6c075fe8, 0x0fee0493, 
      0x6d06ffe9, 0x0fed04e3, 
      0x6d06afe9, 0x0fed0533, 
      0x6d064fea, 0x0fec0593, 
      0x6d05efec, 0x0feb05e3, 
      0x6d059fec, 0x0fea0643, 
      0x6d053fec, 0x0fea06a3, 
      0x6d04efed, 0x0fe906f3, 
      0x6c049fee, 0x0fe80753, 
      0x6b044fef, 0x0fe707b3, 
      0x6a03eff0, 0x0fe60823, 
      0x69039ff1, 0x0fe50883, 
      0x68035ff1, 0x0fe408e3, 
      0x66030ff2, 0x0fe40943, 
      0x6502bff2, 0x0fe309b3, 
      0x63027ff2, 0x0fe20a23, 
      0x61022ff4, 0x0fe10a83, 
      0x5f01eff4, 0x0fe00af3, 
      0x5d01aff4, 0x0fdf0b63, 
      0x5a016ff5, 0x0fde0bd3, 
      0x58011ff6, 0x0fdd0c43, 
      0x5500eff6, 0x0fdc0cb3, 
      0x5200aff7, 0x0fdb0d23, 
      0x4f006ff8, 0x0fda0d93, 
      0x4c003ff8, 0x0fd90e03, 
      0x48fffff9, 0x0fd80e83, 
      0x45ffcff9, 0x0fd70ef3, 
      0x41ff8ffa, 0x0fd60f73, 
      0x3dff5ffa, 0x0fd60fe3, 
      0x39ff2ffa, 0x0fd51063, 
      0x35fefffa, 0x0fd410e3, 
      0x31fecffb, 0x0fd31153, 
      0x2cfe9ffc, 0x0fd211d3, 
      0x28fe6ffc, 0x0fd11253, 
      0x23fe4ffc, 0x0fd012d3, 
      0x1efe1ffd, 0x0fcf1353, 
      0x19fdfffd, 0x0fce13d3, 
      0x14fdcffe, 0x0fcd1453, 
      0x0ffdaffe, 0x0fcc14d3, 
      0x09fd8fff, 0x0fcb1553, 
      0x04fd6ffe, 0x0fca15e3, 
      0xfefd4fff, 0x0fc91662, 
      0xf8fd2fff, 0x0fc916e2, 
      0xf2fd0000, 0x0fc81762, 
      0xecfce000, 0x0fc717f2, 
      0xe6fcd000, 0x0fc61872, 
      0xe0fcb001, 0x0fc518f2, 
      0xd9fca000, 0x0fc51982, 
      0xd3fc8001, 0x0fc41a02, 
      0xccfc7001, 0x0fc31a92, 
      0xc5fc6002, 0x0fc21b12, 
      0xbffc5001, 0x0fc21b92, 
      0xb8fc4001, 0x0fc11c22, 
      0xb1fc3001, 0x0fc11ca2, 
      0xaafc2002, 0x0fc01d22, 
      0xa2fc1003, 0x0fbf1db2, 
      0x9bfc0003, 0x0fbf1e32, 
      0x94fbf002, 0x0fbf1ec2, 
      0x8cfbf003, 0x0fbe1f42, 
      0x85fbe003, 0x0fbe1fc2, 
      0x7dfbe003, 0x0fbd2052, 
      0x75fbe003, 0x0fbd20d2, 
      0x6dfbd004, 0x0fbd2152, 
      0x66fbd003, 0x0fbd21d2, 
      0x5efbd004, 0x0fbc2252, 
      0x56fbc005, 0x0fbc22d2, 
      0x4efbc005, 0x0fbc2352, 
      0x45fbd005, 0x0fbc23d2,
   },
   { /* UV scale factor = 0.87, phases = 127, taps = 5. */
      0x4823ffba, 0x0005fba2, 
      0x50237fba, 0x0005fba2, 
      0x5822ffba, 0x0005fba2, 
      0x60227fba, 0x0005fba2, 
      0x6821efbb, 0x0005fba2, 
      0x71216fbb, 0x0004fba2, 
      0x7920dfbc, 0x0004fba2, 
      0x80205fbc, 0x0004fbb2, 
      0x881fdfbc, 0x0004fbb2, 
      0x901f4fbc, 0x0004fbc2, 
      0x981ebfbd, 0x0004fbc2, 
      0x9f1e3fbe, 0x0003fbd2, 
      0xa71dafbf, 0x0003fbd2, 
      0xae1d2fbf, 0x0003fbe2, 
      0xb61c9fbf, 0x0003fbf2, 
      0xbd1c1fc0, 0x0002fc02, 
      0xc41b8fc1, 0x0002fc12, 
      0xcb1b0fc1, 0x0002fc22, 
      0xd21a7fc2, 0x0002fc32, 
      0xd919efc3, 0x0002fc42, 
      0xe0196fc4, 0x0001fc52, 
      0xe618dfc5, 0x0001fc72, 
      0xec185fc6, 0x0001fc82, 
      0xf317cfc6, 0x0001fca2, 
      0xf9174fc8, 0x0000fcb2, 
      0xff16bfc9, 0x0000fcd2, 
      0x05163fc9, 0x0000fcf3, 
      0x0b15bfca, 0x0ffffd13, 
      0x11152fcb, 0x0ffffd33, 
      0x1614afcc, 0x0ffffd53, 
      0x1c142fcd, 0x0ffefd73, 
      0x21139fcf, 0x0ffefd93, 
      0x26131fcf, 0x0ffefdc3, 
      0x2b129fd1, 0x0ffdfde3, 
      0x30121fd1, 0x0ffdfe13, 
      0x35119fd2, 0x0ffdfe33, 
      0x39111fd4, 0x0ffcfe63, 
      0x3e109fd4, 0x0ffcfe93, 
      0x42101fd6, 0x0ffbfec3, 
      0x460fafd6, 0x0ffbfef3, 
      0x4a0f2fd7, 0x0ffbff23, 
      0x4e0eafd9, 0x0ffaff53, 
      0x520e2fd9, 0x0ffaff93, 
      0x550dbfdb, 0x0ff9ffc3, 
      0x580d4fdb, 0x0ff90003, 
      0x5c0ccfdc, 0x0ff80043, 
      0x5f0c5fdd, 0x0ff80073, 
      0x610bffde, 0x0ff700b3, 
      0x640b8fdf, 0x0ff600f3, 
      0x670b0fe0, 0x0ff60133, 
      0x690a9fe1, 0x0ff50183, 
      0x6b0a2fe2, 0x0ff501c3, 
      0x6d09cfe3, 0x0ff40203, 
      0x6f095fe4, 0x0ff30253, 
      0x7108ffe4, 0x0ff30293, 
      0x72088fe6, 0x0ff202e3, 
      0x73082fe7, 0x0ff10333, 
      0x7507bfe7, 0x0ff10383, 
      0x76075fe8, 0x0ff003d3, 
      0x76070fe9, 0x0fef0423, 
      0x77069fea, 0x0fef0473, 
      0x77063feb, 0x0fee04d3, 
      0x7805efeb, 0x0fed0523, 
      0x78058fec, 0x0fec0583, 
      0x78052fed, 0x0feb05e3, 
      0x7704dfee, 0x0feb0633, 
      0x77047fef, 0x0fea0693, 
      0x76042ff0, 0x0fe906f3, 
      0x7603dff0, 0x0fe80753, 
      0x75038ff1, 0x0fe707b3, 
      0x73033ff2, 0x0fe60823, 
      0x7202eff3, 0x0fe50883, 
      0x71029ff2, 0x0fe508f3, 
      0x6f025ff3, 0x0fe40953, 
      0x6d020ff4, 0x0fe309c3, 
      0x6b01cff5, 0x0fe20a23, 
      0x69018ff5, 0x0fe10a93, 
      0x67013ff6, 0x0fe00b03, 
      0x6400fff7, 0x0fdf0b73, 
      0x6100bff8, 0x0fde0be3, 
      0x5f007ff8, 0x0fdd0c53, 
      0x5c003ff8, 0x0fdc0cd3, 
      0x58000ff9, 0x0fdb0d43, 
      0x55ffcffa, 0x0fda0db3, 
      0x52ff9ff9, 0x0fd90e33, 
      0x4eff5ffb, 0x0fd80ea3, 
      0x4aff2ffb, 0x0fd70f23, 
      0x46fefffb, 0x0fd60fa3, 
      0x42fecffc, 0x0fd51013, 
      0x3efe9ffc, 0x0fd41093, 
      0x39fe6ffd, 0x0fd31113, 
      0x35fe3ffd, 0x0fd21193, 
      0x30fe1ffd, 0x0fd11213, 
      0x2bfdeffe, 0x0fd01293, 
      0x26fdcffe, 0x0fcf1313, 
      0x21fd9fff, 0x0fce1393, 
      0x1cfd7ffe, 0x0fcd1423, 
      0x16fd5fff, 0x0fcc14a3, 
      0x11fd3fff, 0x0fcb1523, 
      0x0bfd1fff, 0x0fca15b3, 
      0x05fcf000, 0x0fc91633, 
      0xfffcd001, 0x0fc816b2, 
      0xf9fcb001, 0x0fc71742, 
      0xf3fca000, 0x0fc717c2, 
      0xecfc8001, 0x0fc61852, 
      0xe6fc7001, 0x0fc518d2, 
      0xdffc5002, 0x0fc41962, 
      0xd9fc4002, 0x0fc319e2, 
      0xd2fc3002, 0x0fc21a72, 
      0xcbfc1002, 0x0fc21b02, 
      0xc4fc1002, 0x0fc11b82, 
      0xbdfc0002, 0x0fc01c12, 
      0xb6fbf003, 0x0fbf1c92, 
      0xaefbe003, 0x0fbf1d22, 
      0xa7fbd004, 0x0fbe1da2, 
      0x9ffbd003, 0x0fbe1e32, 
      0x98fbc003, 0x0fbd1ec2, 
      0x90fbc003, 0x0fbd1f42, 
      0x88fbb004, 0x0fbc1fd2, 
      0x80fbb004, 0x0fbc2052, 
      0x79fba005, 0x0fbb20d2, 
      0x71fba004, 0x0fbb2162, 
      0x68fba005, 0x0fbb21e2, 
      0x60fba005, 0x0fba2272, 
      0x58fba005, 0x0fba22f2, 
      0x50fba005, 0x0fba2372, 
      0x48fba005, 0x0fba23f2,
   },
   { /* UV scale factor = 0.88, phases = 127, taps = 5. */
      0x4a241fb8, 0x0006fb72, 
      0x52239fb8, 0x0006fb72, 
      0x5b230fb8, 0x0006fb72, 
      0x63228fb8, 0x0006fb72, 
      0x6b220fb9, 0x0005fb72, 
      0x74217fb9, 0x0005fb72, 
      0x7c20efb9, 0x0005fb82, 
      0x84205fba, 0x0005fb82, 
      0x8c1fdfba, 0x0005fb82, 
      0x941f4fbc, 0x0004fb82, 
      0x9c1ebfbc, 0x0004fb92, 
      0xa41e3fbc, 0x0004fb92, 
      0xab1dafbd, 0x0004fba2, 
      0xb31d1fbd, 0x0004fbb2, 
      0xba1c8fbf, 0x0004fbb2, 
      0xc21c0fbf, 0x0003fbc2, 
      0xc91b7fc0, 0x0003fbd2, 
      0xd01aefc1, 0x0003fbe2, 
      0xd71a5fc2, 0x0003fbf2, 
      0xde19dfc3, 0x0002fc02, 
      0xe5194fc4, 0x0002fc12, 
      0xec18bfc5, 0x0002fc22, 
      0xf3182fc5, 0x0002fc42, 
      0xf917afc6, 0x0002fc52, 
      0x00171fc7, 0x0001fc73, 
      0x06168fc9, 0x0001fc83, 
      0x0c160fc9, 0x0001fca3, 
      0x12157fcb, 0x0000fcc3, 
      0x1814ffcb, 0x0000fce3, 
      0x1e146fcc, 0x0000fd03, 
      0x2313efce, 0x0ffffd23, 
      0x29136fce, 0x0ffffd43, 
      0x2e12dfd0, 0x0ffffd63, 
      0x33125fd1, 0x0ffefd93, 
      0x3811dfd2, 0x0ffefdb3, 
      0x3d115fd2, 0x0ffefde3, 
      0x4210dfd3, 0x0ffdfe13, 
      0x46105fd5, 0x0ffdfe33, 
      0x4b0fdfd5, 0x0ffdfe63, 
      0x4f0f5fd7, 0x0ffcfe93, 
      0x530edfd8, 0x0ffcfec3, 
      0x570e5fd9, 0x0ffbff03, 
      0x5b0defd9, 0x0ffbff33, 
      0x5e0d7fdb, 0x0ffaff63, 
      0x620cffdb, 0x0ffaffa3, 
      0x650c8fdd, 0x0ff9ffd3, 
      0x680c0fde, 0x0ff90013, 
      0x6b0b9fdf, 0x0ff80053, 
      0x6e0b1fe0, 0x0ff80093, 
      0x710aafe1, 0x0ff700d3, 
      0x730a3fe2, 0x0ff70113, 
      0x7509dfe2, 0x0ff60163, 
      0x77096fe4, 0x0ff501a3, 
      0x7908ffe5, 0x0ff501e3, 
      0x7b088fe6, 0x0ff40233, 
      0x7c082fe7, 0x0ff30283, 
      0x7e07bfe7, 0x0ff302d3, 
      0x7f075fe8, 0x0ff20323, 
      0x8006ffe9, 0x0ff10373, 
      0x81068fea, 0x0ff103c3, 
      0x81063feb, 0x0ff00413, 
      0x8205dfec, 0x0fef0463, 
      0x82057fed, 0x0fee04c3, 
      0x82052fee, 0x0fed0513, 
      0x8204cfee, 0x0fed0573, 
      0x82046fef, 0x0fec05d3, 
      0x81041ff0, 0x0feb0633, 
      0x8103cff0, 0x0fea0693, 
      0x80037ff1, 0x0fe906f3, 
      0x7f032ff2, 0x0fe80753, 
      0x7e02dff2, 0x0fe707c3, 
      0x7c028ff3, 0x0fe70823, 
      0x7b023ff4, 0x0fe60883, 
      0x7901eff5, 0x0fe508f3, 
      0x7701aff5, 0x0fe40963, 
      0x75016ff5, 0x0fe309d3, 
      0x73011ff7, 0x0fe20a33, 
      0x7100dff7, 0x0fe10aa3, 
      0x6e009ff8, 0x0fe00b13, 
      0x6b005ff8, 0x0fdf0b93, 
      0x68001ff9, 0x0fde0c03, 
      0x65ffdffa, 0x0fdd0c73, 
      0x62ffaff9, 0x0fdc0cf3, 
      0x5eff6ffb, 0x0fdb0d63, 
      0x5bff3ffa, 0x0fda0de3, 
      0x57ff0ffb, 0x0fd90e53, 
      0x53fecffc, 0x0fd80ed3, 
      0x4ffe9ffc, 0x0fd70f53, 
      0x4bfe6ffc, 0x0fd60fd3, 
      0x46fe3ffd, 0x0fd51053, 
      0x42fe0ffd, 0x0fd410d3, 
      0x3dfdeffe, 0x0fd21153, 
      0x38fdbfff, 0x0fd111d3, 
      0x33fd9fff, 0x0fd01253, 
      0x2efd7fff, 0x0fcf12d3, 
      0x29fd4fff, 0x0fce1363, 
      0x23fd2000, 0x0fcd13e3, 
      0x1efd0000, 0x0fcc1463, 
      0x18fce000, 0x0fcb14f3, 
      0x12fcc001, 0x0fca1573, 
      0x0cfca001, 0x0fc91603, 
      0x06fc9001, 0x0fc81683, 
      0x00fc7001, 0x0fc71713, 
      0xf9fc5002, 0x0fc617a2, 
      0xf3fc4002, 0x0fc51822, 
      0xecfc2003, 0x0fc418b2, 
      0xe5fc1002, 0x0fc41942, 
      0xdefc0003, 0x0fc319c2, 
      0xd7fbf003, 0x0fc21a52, 
      0xd0fbe003, 0x0fc11ae2, 
      0xc9fbd003, 0x0fc01b72, 
      0xc2fbc003, 0x0fbf1c02, 
      0xbafbb004, 0x0fbf1c82, 
      0xb3fbb003, 0x0fbe1d12, 
      0xabfba004, 0x0fbd1da2, 
      0xa4fb9004, 0x0fbc1e32, 
      0x9cfb9004, 0x0fbc1eb2, 
      0x94fb8005, 0x0fbb1f42, 
      0x8cfb8004, 0x0fbb1fd2, 
      0x84fb8005, 0x0fba2052, 
      0x7cfb7005, 0x0fba20e2, 
      0x74fb7005, 0x0fb92172, 
      0x6bfb7006, 0x0fb921f2, 
      0x63fb7006, 0x0fb82282, 
      0x5bfb7006, 0x0fb82302, 
      0x52fb7006, 0x0fb82392, 
      0x4afb7006, 0x0fb82412,
   },
   { /* UV scale factor = 0.89, phases = 127, taps = 5. */
      0x4c243fb5, 0x0007fb52, 
      0x5423afb6, 0x0007fb52, 
      0x5d232fb6, 0x0006fb52, 
      0x65229fb7, 0x0006fb52, 
      0x6e220fb7, 0x0006fb52, 
      0x76217fb8, 0x0006fb52, 
      0x7f20efb8, 0x0006fb52, 
      0x87206fb8, 0x0006fb52, 
      0x8f1fdfba, 0x0005fb52, 
      0x981f4fba, 0x0005fb52, 
      0xa01ebfba, 0x0005fb62, 
      0xa81e2fbb, 0x0005fb62, 
      0xaf1d9fbc, 0x0005fb72, 
      0xb71d0fbd, 0x0005fb72, 
      0xbf1c7fbe, 0x0004fb82, 
      0xc71befbf, 0x0004fb82, 
      0xce1b5fc0, 0x0004fb92, 
      0xd61acfc0, 0x0004fba2, 
      0xdd1a3fc1, 0x0004fbb2, 
      0xe419afc3, 0x0003fbc2, 
      0xeb192fc3, 0x0003fbd2, 
      0xf2189fc4, 0x0003fbe2, 
      0xf9180fc5, 0x0003fbf2, 
      0x00177fc6, 0x0002fc13, 
      0x0616efc8, 0x0002fc23, 
      0x0d165fc8, 0x0002fc43, 
      0x1315dfc9, 0x0002fc53, 
      0x19154fcb, 0x0001fc73, 
      0x1f14bfcc, 0x0001fc93, 
      0x25143fcc, 0x0001fcb3, 
      0x2b13afcd, 0x0001fcd3, 
      0x30132fcf, 0x0000fcf3, 
      0x36129fd0, 0x0000fd13, 
      0x3b121fd1, 0x0000fd33, 
      0x40119fd2, 0x0ffffd63, 
      0x45110fd4, 0x0ffffd83, 
      0x4a108fd5, 0x0ffefdb3, 
      0x4f100fd5, 0x0ffefde3, 
      0x540f7fd6, 0x0ffefe13, 
      0x580f0fd8, 0x0ffdfe33, 
      0x5c0e8fd8, 0x0ffdfe73, 
      0x600e0fda, 0x0ffcfea3, 
      0x640d8fdb, 0x0ffcfed3, 
      0x680d1fdc, 0x0ffbff03, 
      0x6b0c9fdd, 0x0ffbff43, 
      0x6f0c2fde, 0x0ffaff73, 
      0x720bafdf, 0x0ffaffb3, 
      0x750b3fe0, 0x0ff9fff3, 
      0x780acfe0, 0x0ff90033, 
      0x7a0a5fe2, 0x0ff80073, 
      0x7d09dfe3, 0x0ff800b3, 
      0x7f097fe4, 0x0ff700f3, 
      0x81090fe4, 0x0ff70143, 
      0x83089fe6, 0x0ff60183, 
      0x85082fe7, 0x0ff501d3, 
      0x8707cfe7, 0x0ff50213, 
      0x88075fe9, 0x0ff40263, 
      0x8906ffea, 0x0ff302b3, 
      0x8a069fea, 0x0ff30303, 
      0x8b062fec, 0x0ff20353, 
      0x8c05cfec, 0x0ff103b3, 
      0x8c057fed, 0x0ff00403, 
      0x8c051fee, 0x0ff00453, 
      0x8d04bfee, 0x0fef04b3, 
      0x8c045ff0, 0x0fee0513, 
      0x8c040ff0, 0x0fed0573, 
      0x8c03bff1, 0x0fec05c3, 
      0x8b036ff2, 0x0feb0623, 
      0x8a030ff2, 0x0feb0693, 
      0x8902bff3, 0x0fea06f3, 
      0x88026ff4, 0x0fe90753, 
      0x87021ff4, 0x0fe807c3, 
      0x8501dff5, 0x0fe70823, 
      0x83018ff6, 0x0fe60893, 
      0x81014ff6, 0x0fe50903, 
      0x7f00fff8, 0x0fe40963, 
      0x7d00bff8, 0x0fe309d3, 
      0x7a007ff9, 0x0fe20a43, 
      0x78003ff8, 0x0fe10ac3, 
      0x75fffff9, 0x0fe00b33, 
      0x72ffbffa, 0x0fdf0ba3, 
      0x6fff7ffa, 0x0fde0c23, 
      0x6bff4ffb, 0x0fdd0c93, 
      0x68ff0ffb, 0x0fdc0d13, 
      0x64fedffc, 0x0fdb0d83, 
      0x60feaffc, 0x0fda0e03, 
      0x5cfe7ffc, 0x0fd90e83, 
      0x58fe3ffe, 0x0fd70f03, 
      0x54fe1ffd, 0x0fd60f83, 
      0x4ffdeffe, 0x0fd51003, 
      0x4afdbfff, 0x0fd41083, 
      0x45fd9fff, 0x0fd31103, 
      0x40fd6fff, 0x0fd21193, 
      0x3bfd3000, 0x0fd11213, 
      0x36fd1000, 0x0fd01293, 
      0x30fcf000, 0x0fcf1323, 
      0x2bfcd000, 0x0fce13a3, 
      0x25fcb000, 0x0fcd1433, 
      0x1ffc9002, 0x0fcb14b3, 
      0x19fc7002, 0x0fca1543, 
      0x13fc5002, 0x0fc915d3, 
      0x0dfc4002, 0x0fc81653, 
      0x06fc2003, 0x0fc716e3, 
      0x00fc1002, 0x0fc61773, 
      0xf9fbf003, 0x0fc51802, 
      0xf2fbe003, 0x0fc41892, 
      0xebfbd003, 0x0fc31922, 
      0xe4fbc004, 0x0fc219a2, 
      0xddfbb004, 0x0fc11a32, 
      0xd6fba004, 0x0fc01ac2, 
      0xcefb9004, 0x0fc01b52, 
      0xc7fb8004, 0x0fbf1be2, 
      0xbffb8004, 0x0fbe1c72, 
      0xb7fb7005, 0x0fbd1d02, 
      0xb0fb7004, 0x0fbc1d92, 
      0xa8fb6005, 0x0fbb1e22, 
      0xa0fb5005, 0x0fbb1eb2, 
      0x98fb5005, 0x0fba1f42, 
      0x8ffb5006, 0x0fb91fd2, 
      0x87fb5005, 0x0fb92062, 
      0x7ffb5006, 0x0fb820e2, 
      0x76fb5006, 0x0fb82172, 
      0x6efb5006, 0x0fb72202, 
      0x65fb5006, 0x0fb72292, 
      0x5dfb5006, 0x0fb62322, 
      0x54fb5007, 0x0fb623a2, 
      0x4cfb5006, 0x0fb62432,
   },
   { /* UV scale factor = 0.90, phases = 127, taps = 5. */
      0x4d245fb4, 0x0007fb32, 
      0x5623cfb4, 0x0007fb32, 
      0x5f233fb4, 0x0007fb32, 
      0x68229fb5, 0x0007fb32, 
      0x71221fb5, 0x0007fb22, 
      0x79218fb6, 0x0007fb22, 
      0x8220ffb7, 0x0006fb22, 
      0x8a206fb8, 0x0006fb22, 
      0x931fdfb8, 0x0006fb22, 
      0x9b1f4fb9, 0x0006fb22, 
      0xa31eafba, 0x0006fb32, 
      0xac1e1fba, 0x0006fb32, 
      0xb41d8fbc, 0x0005fb32, 
      0xbc1cffbc, 0x0005fb42, 
      0xc41c6fbd, 0x0005fb42, 
      0xcb1bdfbe, 0x0005fb52, 
      0xd31b3fbf, 0x0005fb62, 
      0xdb1aafc0, 0x0005fb62, 
      0xe21a1fc2, 0x0004fb72, 
      0xea198fc2, 0x0004fb82, 
      0xf118ffc3, 0x0004fb92, 
      0xf8186fc4, 0x0004fba2, 
      0xff17dfc5, 0x0004fbb2, 
      0x06174fc7, 0x0003fbc3, 
      0x0d16bfc7, 0x0003fbe3, 
      0x13162fc9, 0x0003fbf3, 
      0x1a159fc9, 0x0003fc13, 
      0x20151fcb, 0x0002fc23, 
      0x26148fcc, 0x0002fc43, 
      0x2c13ffcd, 0x0002fc63, 
      0x32136fce, 0x0002fc83, 
      0x3812efcf, 0x0001fca3, 
      0x3e125fd0, 0x0001fcc3, 
      0x4311cfd2, 0x0001fce3, 
      0x49114fd2, 0x0000fd13, 
      0x4e10cfd3, 0x0000fd33, 
      0x53103fd5, 0x0000fd53, 
      0x580fbfd6, 0x0ffffd83, 
      0x5c0f3fd7, 0x0ffffdb3, 
      0x610ebfd8, 0x0ffefde3, 
      0x650e3fd9, 0x0ffefe13, 
      0x690dbfda, 0x0ffefe43, 
      0x6d0d3fdc, 0x0ffdfe73, 
      0x710cbfdd, 0x0ffdfea3, 
      0x750c3fde, 0x0ffcfee3, 
      0x780bcfdf, 0x0ffcff13, 
      0x7c0b4fe0, 0x0ffbff53, 
      0x7f0acfe1, 0x0ffbff93, 
      0x820a6fe2, 0x0ffaffc3, 
      0x8409efe4, 0x0ffa0003, 
      0x87097fe4, 0x0ff90053, 
      0x89090fe6, 0x0ff80093, 
      0x8b089fe7, 0x0ff800d3, 
      0x8d083fe7, 0x0ff70123, 
      0x8f07cfe8, 0x0ff70163, 
      0x91075fe9, 0x0ff601b3, 
      0x9206ffea, 0x0ff50203, 
      0x94068fea, 0x0ff50253, 
      0x95062feb, 0x0ff402a3, 
      0x9505cfed, 0x0ff302f3, 
      0x96056fee, 0x0ff20343, 
      0x97050fee, 0x0ff20393, 
      0x9704afef, 0x0ff103f3, 
      0x97044ff1, 0x0ff00443, 
      0x9703fff1, 0x0fef04a3, 
      0x97039ff2, 0x0fee0503, 
      0x96034ff2, 0x0fee0563, 
      0x9502fff3, 0x0fed05c3, 
      0x9502aff3, 0x0fec0623, 
      0x94025ff4, 0x0feb0683, 
      0x92020ff5, 0x0fea06f3, 
      0x9101bff6, 0x0fe90753, 
      0x8f016ff7, 0x0fe807c3, 
      0x8d012ff7, 0x0fe70833, 
      0x8b00eff8, 0x0fe60893, 
      0x89009ff9, 0x0fe50903, 
      0x87005ff9, 0x0fe40973, 
      0x84001ffa, 0x0fe309e3, 
      0x82ffcffa, 0x0fe20a63, 
      0x7fff9ffa, 0x0fe10ad3, 
      0x7cff5ffb, 0x0fe00b43, 
      0x78ff1ffc, 0x0fdf0bc3, 
      0x75feeffc, 0x0fde0c33, 
      0x71feaffd, 0x0fdd0cb3, 
      0x6dfe7ffd, 0x0fdc0d33, 
      0x69fe4ffd, 0x0fdb0db3, 
      0x65fe1ffe, 0x0fd90e33, 
      0x61fdeffe, 0x0fd80eb3, 
      0x5cfdbfff, 0x0fd70f33, 
      0x58fd8fff, 0x0fd60fb3, 
      0x53fd5000, 0x0fd51033, 
      0x4efd3fff, 0x0fd410c3, 
      0x49fd0000, 0x0fd31143, 
      0x43fce001, 0x0fd211c3, 
      0x3efcc001, 0x0fd01253, 
      0x38fca001, 0x0fcf12e3, 
      0x32fc8002, 0x0fce1363, 
      0x2cfc6002, 0x0fcd13f3, 
      0x26fc4002, 0x0fcc1483, 
      0x20fc2003, 0x0fcb1503, 
      0x1afc1002, 0x0fca1593, 
      0x13fc0003, 0x0fc81623, 
      0x0dfbe003, 0x0fc716b3, 
      0x06fbc004, 0x0fc61743, 
      0xfffbb004, 0x0fc517d2, 
      0xf8fba004, 0x0fc41862, 
      0xf1fb9004, 0x0fc318f2, 
      0xeafb8004, 0x0fc21982, 
      0xe2fb7005, 0x0fc11a12, 
      0xdbfb6005, 0x0fc01aa2, 
      0xd3fb6004, 0x0fbf1b42, 
      0xcbfb5005, 0x0fbe1bd2, 
      0xc4fb4005, 0x0fbd1c62, 
      0xbcfb4005, 0x0fbc1cf2, 
      0xb4fb3006, 0x0fbb1d82, 
      0xacfb3005, 0x0fbb1e12, 
      0xa3fb3006, 0x0fba1ea2, 
      0x9bfb3006, 0x0fb91f32, 
      0x93fb2006, 0x0fb81fd2, 
      0x8afb2006, 0x0fb82062, 
      0x82fb2006, 0x0fb720f2, 
      0x79fb2007, 0x0fb62182, 
      0x71fb2006, 0x0fb62212, 
      0x68fb3006, 0x0fb522a2, 
      0x5ffb3006, 0x0fb52332, 
      0x56fb3007, 0x0fb423c2, 
      0x4dfb3008, 0x0fb42442,
   },
   { /* UV scale factor = 0.91, phases = 127, taps = 5. */
      0x4f246fb1, 0x0008fb22, 
      0x5823dfb2, 0x0008fb12, 
      0x61233fb3, 0x0008fb12, 
      0x6a22bfb4, 0x0007fb02, 
      0x73221fb5, 0x0007fb02, 
      0x7c218fb5, 0x0007fb02, 
      0x8520ffb5, 0x0007fb02, 
      0x8d206fb6, 0x0007fb02, 
      0x961fcfb7, 0x0007fb02, 
      0x9f1f2fb8, 0x0007fb02, 
      0xa71eafb9, 0x0006fb02, 
      0xaf1e1fba, 0x0006fb02, 
      0xb81d7fbb, 0x0006fb02, 
      0xc01cefbb, 0x0006fb12, 
      0xc81c4fbd, 0x0006fb12, 
      0xd01bbfbe, 0x0006fb12, 
      0xd81b2fbe, 0x0006fb22, 
      0xe01a8fc0, 0x0005fb32, 
      0xe819ffc1, 0x0005fb32, 
      0xef196fc2, 0x0005fb42, 
      0xf718cfc3, 0x0005fb52, 
      0xfe183fc4, 0x0005fb62, 
      0x0517afc6, 0x0004fb73, 
      0x0c171fc7, 0x0004fb83, 
      0x13168fc8, 0x0004fb93, 
      0x1a15ffc8, 0x0004fbb3, 
      0x21156fc9, 0x0004fbc3, 
      0x2714dfcb, 0x0003fbe3, 
      0x2e144fcc, 0x0003fbf3, 
      0x3413bfcd, 0x0003fc13, 
      0x3a132fce, 0x0003fc33, 
      0x40129fd0, 0x0002fc53, 
      0x46120fd1, 0x0002fc73, 
      0x4b118fd2, 0x0002fc93, 
      0x5110ffd4, 0x0001fcb3, 
      0x56107fd4, 0x0001fce3, 
      0x5b0fefd6, 0x0001fd03, 
      0x600f6fd7, 0x0000fd33, 
      0x650eefd8, 0x0000fd53, 
      0x6a0e5fd9, 0x0000fd83, 
      0x6e0ddfdb, 0x0ffffdb3, 
      0x720d5fdc, 0x0ffffde3, 
      0x760cefdd, 0x0ffefe13, 
      0x7a0c6fde, 0x0ffefe43, 
      0x7e0befdf, 0x0ffdfe83, 
      0x820b6fe0, 0x0ffdfeb3, 
      0x850aefe2, 0x0ffcfef3, 
      0x880a7fe3, 0x0ffcff23, 
      0x8b0a0fe4, 0x0ffbff63, 
      0x8e098fe5, 0x0ffbffa3, 
      0x91091fe6, 0x0ffaffe3, 
      0x9308afe7, 0x0ffa0023, 
      0x96083fe7, 0x0ff90073, 
      0x9807cfe8, 0x0ff900b3, 
      0x99075fea, 0x0ff80103, 
      0x9b06ffeb, 0x0ff70143, 
      0x9d068feb, 0x0ff70193, 
      0x9e062fec, 0x0ff601e3, 
      0x9f05cfed, 0x0ff50233, 
      0xa0055fee, 0x0ff50283, 
      0xa104ffef, 0x0ff402d3, 
      0xa1049ff0, 0x0ff30333, 
      0xa1044ff1, 0x0ff20383, 
      0xa103eff2, 0x0ff103e3, 
      0xa1038ff2, 0x0ff10443, 
      0xa1033ff3, 0x0ff00493, 
      0xa102dff4, 0x0fef04f3, 
      0xa0028ff5, 0x0fee0553, 
      0x9f023ff5, 0x0fed05c3, 
      0x9e01eff6, 0x0fec0623, 
      0x9d019ff7, 0x0feb0683, 
      0x9b014ff8, 0x0fea06f3, 
      0x9a010ff8, 0x0fe90753, 
      0x9800bff8, 0x0fe907c3, 
      0x96006ff9, 0x0fe80833, 
      0x93002ffa, 0x0fe708a3, 
      0x91ffeffb, 0x0fe50913, 
      0x8effbffb, 0x0fe40983, 
      0x8bff6ffc, 0x0fe30a03, 
      0x88ff3ffc, 0x0fe20a73, 
      0x85fefffd, 0x0fe10ae3, 
      0x82febffd, 0x0fe00b63, 
      0x7efe8ffd, 0x0fdf0be3, 
      0x7afe5ffe, 0x0fde0c53, 
      0x76fe1fff, 0x0fdd0cd3, 
      0x72fdefff, 0x0fdc0d53, 
      0x6efdbfff, 0x0fdb0dd3, 
      0x6afd8000, 0x0fd90e53, 
      0x65fd5000, 0x0fd80ee3, 
      0x60fd3000, 0x0fd70f63, 
      0x5bfd0001, 0x0fd60fe3, 
      0x56fcd001, 0x0fd51073, 
      0x51fcb001, 0x0fd410f3, 
      0x4bfc9002, 0x0fd21183, 
      0x46fc7002, 0x0fd11203, 
      0x40fc5002, 0x0fd01293, 
      0x3afc3002, 0x0fcf1323, 
      0x34fc1002, 0x0fce13b3, 
      0x2efbf003, 0x0fcc1443, 
      0x27fbe003, 0x0fcb14d3, 
      0x21fbc003, 0x0fca1563, 
      0x1afbb003, 0x0fc915f3, 
      0x13fb9004, 0x0fc81683, 
      0x0cfb8004, 0x0fc71713, 
      0x05fb7005, 0x0fc517a3, 
      0xfefb6005, 0x0fc41832, 
      0xf7fb5005, 0x0fc318c2, 
      0xeffb4005, 0x0fc21962, 
      0xe8fb3005, 0x0fc119f2, 
      0xe0fb3005, 0x0fc01a82, 
      0xd8fb2005, 0x0fbf1b22, 
      0xd0fb1006, 0x0fbe1bb2, 
      0xc8fb1006, 0x0fbd1c42, 
      0xc0fb0006, 0x0fbc1ce2, 
      0xb8fb0006, 0x0fbb1d72, 
      0xaffb0007, 0x0fba1e02, 
      0xa7fb0006, 0x0fb91ea2, 
      0x9ffb0006, 0x0fb81f32, 
      0x96fb0007, 0x0fb71fc2, 
      0x8dfb0007, 0x0fb62062, 
      0x85faf007, 0x0fb620f2, 
      0x7cfb0007, 0x0fb52182, 
      0x73fb0008, 0x0fb42212, 
      0x6afb0008, 0x0fb422a2, 
      0x61fb1007, 0x0fb32342, 
      0x58fb1007, 0x0fb323d2, 
      0x4ffb2007, 0x0fb22462,
   },
   { /* UV scale factor = 0.92, phases = 127, taps = 5. */
      0x50247fb1, 0x0008fb02, 
      0x5a23efb1, 0x0008faf2, 
      0x63234fb2, 0x0008faf2, 
      0x6c22bfb3, 0x0008fae2, 
      0x75222fb3, 0x0008fae2, 
      0x7e218fb4, 0x0008fae2, 
      0x8720ffb4, 0x0008fae2, 
      0x90205fb6, 0x0008fad2, 
      0x991fcfb7, 0x0007fad2, 
      0xa21f2fb8, 0x0007fad2, 
      0xab1e9fb8, 0x0007fad2, 
      0xb31dffba, 0x0007fad2, 
      0xbc1d6fba, 0x0007fad2, 
      0xc41ccfbb, 0x0007fae2, 
      0xcc1c3fbc, 0x0007fae2, 
      0xd51b9fbe, 0x0006fae2, 
      0xdd1b0fbe, 0x0006faf2, 
      0xe51a6fc0, 0x0006faf2, 
      0xed19dfc0, 0x0006fb02, 
      0xf4193fc3, 0x0006fb02, 
      0xfc18afc3, 0x0006fb12, 
      0x04180fc5, 0x0005fb23, 
      0x0b177fc6, 0x0005fb33, 
      0x1216efc7, 0x0005fb43, 
      0x19164fc9, 0x0005fb53, 
      0x2015bfca, 0x0005fb63, 
      0x27152fcb, 0x0004fb83, 
      0x2e149fcc, 0x0004fb93, 
      0x3513ffcd, 0x0004fbb3, 
      0x3b137fce, 0x0004fbc3, 
      0x4112efcf, 0x0004fbe3, 
      0x47125fd1, 0x0003fc03, 
      0x4d11cfd2, 0x0003fc23, 
      0x53113fd3, 0x0003fc43, 
      0x5910afd5, 0x0002fc63, 
      0x5e102fd6, 0x0002fc83, 
      0x640f9fd6, 0x0002fcb3, 
      0x690f1fd8, 0x0001fcd3, 
      0x6e0e8fd9, 0x0001fd03, 
      0x720e0fdb, 0x0001fd23, 
      0x770d8fdc, 0x0000fd53, 
      0x7b0d0fdd, 0x0000fd83, 
      0x800c7fde, 0x0000fdb3, 
      0x840c0fdf, 0x0ffffde3, 
      0x880b7fe0, 0x0ffffe23, 
      0x8b0b0fe2, 0x0ffefe53, 
      0x8f0a8fe2, 0x0ffefe93, 
      0x920a1fe4, 0x0ffdfec3, 
      0x95099fe5, 0x0ffdff03, 
      0x98092fe6, 0x0ffcff43, 
      0x9b08bfe6, 0x0ffcff83, 
      0x9d084fe8, 0x0ffbffc3, 
      0xa007dfe8, 0x0ffb0003, 
      0xa2076fe9, 0x0ffa0053, 
      0xa406ffeb, 0x0ff90093, 
      0xa5068fec, 0x0ff900e3, 
      0xa7062fed, 0x0ff80123, 
      0xa805cfee, 0x0ff70173, 
      0xa9055fef, 0x0ff701c3, 
      0xaa04fff0, 0x0ff60213, 
      0xab049ff0, 0x0ff50273, 
      0xac043ff1, 0x0ff402c3, 
      0xac03dff2, 0x0ff40313, 
      0xac037ff3, 0x0ff30373, 
      0xac031ff4, 0x0ff203d3, 
      0xac02cff4, 0x0ff10433, 
      0xab027ff5, 0x0ff00493, 
      0xaa021ff6, 0x0ff004f3, 
      0xa901cff7, 0x0fef0553, 
      0xa8017ff8, 0x0fee05b3, 
      0xa7012ff8, 0x0fed0623, 
      0xa500eff9, 0x0fec0683, 
      0xa4009ff9, 0x0feb06f3, 
      0xa2005ff9, 0x0fea0763, 
      0xa0000ffa, 0x0fe907d3, 
      0x9dffcffb, 0x0fe80843, 
      0x9bff8ffb, 0x0fe708b3, 
      0x98ff4ffc, 0x0fe60923, 
      0x95ff0ffd, 0x0fe50993, 
      0x92fecffd, 0x0fe40a13, 
      0x8ffe9ffd, 0x0fe30a83, 
      0x8bfe5fff, 0x0fe10b03, 
      0x88fe2ffe, 0x0fe00b83, 
      0x84fdefff, 0x0fdf0c03, 
      0x80fdbfff, 0x0fde0c83, 
      0x7bfd8000, 0x0fdd0d03, 
      0x77fd5000, 0x0fdc0d83, 
      0x72fd2001, 0x0fdb0e03, 
      0x6efd0001, 0x0fd90e83, 
      0x69fcd001, 0x0fd80f13, 
      0x64fcb001, 0x0fd70f93, 
      0x5efc8002, 0x0fd61023, 
      0x59fc6003, 0x0fd410a3, 
      0x53fc4003, 0x0fd31133, 
      0x4dfc2003, 0x0fd211c3, 
      0x47fc0003, 0x0fd11253, 
      0x41fbe003, 0x0fd012e3, 
      0x3bfbc004, 0x0fce1373, 
      0x35fba004, 0x0fcd1403, 
      0x2efb9004, 0x0fcc1493, 
      0x27fb8004, 0x0fcb1523, 
      0x20fb7005, 0x0fc915b3, 
      0x19fb6005, 0x0fc81643, 
      0x12fb4005, 0x0fc716e3, 
      0x0bfb3005, 0x0fc61773, 
      0x04fb2006, 0x0fc41803, 
      0xfcfb1006, 0x0fc318a2, 
      0xf4fb1006, 0x0fc21932, 
      0xedfaf006, 0x0fc119d2, 
      0xe5faf006, 0x0fc01a62, 
      0xddfae006, 0x0fbf1b02, 
      0xd5fae006, 0x0fbe1b92, 
      0xccfae006, 0x0fbd1c32, 
      0xc4fae007, 0x0fbb1cc2, 
      0xbcfad007, 0x0fba1d62, 
      0xb3fad008, 0x0fb91df2, 
      0xabfad007, 0x0fb81e92, 
      0xa2fad008, 0x0fb71f22, 
      0x99fad007, 0x0fb71fc2, 
      0x90fad008, 0x0fb62052, 
      0x87fae007, 0x0fb520f2, 
      0x7efae008, 0x0fb42182, 
      0x75fae008, 0x0fb32222, 
      0x6cfae009, 0x0fb222b2, 
      0x63faf008, 0x0fb22342, 
      0x5afaf008, 0x0fb123e2, 
      0x50fb0009, 0x0fb02472,
   },
   { /* UV scale factor = 0.93, phases = 127, taps = 5. */
      0x52248faf, 0x0009fae2, 
      0x5b23ffaf, 0x0009fae2, 
      0x65235fb0, 0x0009fad2, 
      0x6e22bfb1, 0x0009fad2, 
      0x77222fb3, 0x0008fac2, 
      0x81218fb3, 0x0008fac2, 
      0x8a20ffb4, 0x0008fab2, 
      0x93205fb5, 0x0008fab2, 
      0x9c1fbfb6, 0x0008fab2, 
      0xa51f1fb7, 0x0008fab2, 
      0xae1e8fb7, 0x0008fab2, 
      0xb71ddfb9, 0x0008fab2, 
      0xbf1d4fba, 0x0008fab2, 
      0xc81cafbc, 0x0007fab2, 
      0xd11c1fbc, 0x0007fab2, 
      0xd91b7fbe, 0x0007fab2, 
      0xe11aefbf, 0x0007fab2, 
      0xea1a4fbf, 0x0007fac2, 
      0xf219afc1, 0x0007fac2, 
      0xfa190fc2, 0x0007fad2, 
      0x02187fc3, 0x0006fae3, 
      0x0917efc5, 0x0006fae3, 
      0x11174fc6, 0x0006faf3, 
      0x1816afc8, 0x0006fb03, 
      0x20161fc8, 0x0006fb13, 
      0x27157fca, 0x0006fb23, 
      0x2e14efcc, 0x0005fb33, 
      0x35145fcc, 0x0005fb53, 
      0x3c13bfce, 0x0005fb63, 
      0x42132fcf, 0x0005fb83, 
      0x49129fd0, 0x0005fb93, 
      0x4f120fd2, 0x0004fbb3, 
      0x55117fd3, 0x0004fbd3, 
      0x5b10efd4, 0x0004fbf3, 
      0x61105fd6, 0x0003fc13, 
      0x660fdfd7, 0x0003fc33, 
      0x6c0f4fd8, 0x0003fc53, 
      0x710ebfd9, 0x0003fc83, 
      0x760e3fdb, 0x0002fca3, 
      0x7b0dafdc, 0x0002fcd3, 
      0x800d2fdd, 0x0002fcf3, 
      0x840cafdf, 0x0001fd23, 
      0x890c2fdf, 0x0001fd53, 
      0x8d0bafe1, 0x0000fd83, 
      0x910b2fe1, 0x0000fdc3, 
      0x950aafe2, 0x0000fdf3, 
      0x980a2fe5, 0x0ffffe23, 
      0x9c09afe5, 0x0ffffe63, 
      0x9f093fe6, 0x0ffefea3, 
      0xa208cfe7, 0x0ffefed3, 
      0xa5084fe9, 0x0ffdff13, 
      0xa707dfe9, 0x0ffdff63, 
      0xaa076fea, 0x0ffcffa3, 
      0xac06ffec, 0x0ffbffe3, 
      0xae068fec, 0x0ffb0033, 
      0xb0062fed, 0x0ffa0073, 
      0xb105bfee, 0x0ffa00c3, 
      0xb3054fef, 0x0ff90113, 
      0xb404eff0, 0x0ff80163, 
      0xb5048ff1, 0x0ff701b3, 
      0xb5042ff2, 0x0ff70203, 
      0xb603cff3, 0x0ff60253, 
      0xb6036ff4, 0x0ff502b3, 
      0xb6031ff5, 0x0ff40303, 
      0xb602bff5, 0x0ff40363, 
      0xb6025ff6, 0x0ff303c3, 
      0xb5020ff7, 0x0ff20423, 
      0xb501bff7, 0x0ff10483, 
      0xb4016ff8, 0x0ff004e3, 
      0xb3011ff8, 0x0fef0553, 
      0xb100cffa, 0x0fee05b3, 
      0xb0007ffa, 0x0fed0623, 
      0xae003ffb, 0x0fec0683, 
      0xacffeffc, 0x0feb06f3, 
      0xaaffaffc, 0x0fea0763, 
      0xa7ff6ffd, 0x0fe907d3, 
      0xa5ff1ffe, 0x0fe80843, 
      0xa2fedffe, 0x0fe708c3, 
      0x9ffeaffe, 0x0fe60933, 
      0x9cfe6ffe, 0x0fe509b3, 
      0x98fe2000, 0x0fe40a23, 
      0x95fdffff, 0x0fe30aa3, 
      0x91fdcfff, 0x0fe20b23, 
      0x8dfd8000, 0x0fe10ba3, 
      0x89fd5001, 0x0fdf0c23, 
      0x84fd2002, 0x0fde0ca3, 
      0x80fcf002, 0x0fdd0d23, 
      0x7bfcd002, 0x0fdc0da3, 
      0x76fca002, 0x0fdb0e33, 
      0x71fc8003, 0x0fd90eb3, 
      0x6cfc5003, 0x0fd80f43, 
      0x66fc3003, 0x0fd70fd3, 
      0x61fc1003, 0x0fd61053, 
      0x5bfbf004, 0x0fd410e3, 
      0x55fbd004, 0x0fd31173, 
      0x4ffbb004, 0x0fd21203, 
      0x49fb9005, 0x0fd01293, 
      0x42fb8005, 0x0fcf1323, 
      0x3cfb6005, 0x0fce13b3, 
      0x35fb4005, 0x0fcd1453, 
      0x2efb3006, 0x0fcb14e3, 
      0x27fb2006, 0x0fca1573, 
      0x20fb1005, 0x0fc91613, 
      0x18fb1006, 0x0fc716a3, 
      0x11faf006, 0x0fc61743, 
      0x09fae007, 0x0fc517d3, 
      0x02fad006, 0x0fc41873, 
      0xfafad007, 0x0fc21902, 
      0xf2fac007, 0x0fc119a2, 
      0xeafac006, 0x0fc01a42, 
      0xe1fab008, 0x0fbf1ad2, 
      0xd9fab007, 0x0fbe1b72, 
      0xd1fab007, 0x0fbc1c12, 
      0xc8fab008, 0x0fbb1ca2, 
      0xc0fab007, 0x0fba1d42, 
      0xb7fab007, 0x0fb91de2, 
      0xaefab007, 0x0fb81e82, 
      0xa5fab008, 0x0fb71f12, 
      0x9cfab008, 0x0fb61fb2, 
      0x93fab008, 0x0fb52052, 
      0x8afab008, 0x0fb420f2, 
      0x81fac008, 0x0fb32182, 
      0x77fac009, 0x0fb22222, 
      0x6efad009, 0x0fb122b2, 
      0x65fad008, 0x0fb12352, 
      0x5bfae008, 0x0fb023f2, 
      0x52fae009, 0x0faf2482,
   },
   { /* UV scale factor = 0.94, phases = 127, taps = 5. */
      0x53249fae, 0x0009fad2, 
      0x5c240faf, 0x0009fac2, 
      0x66236faf, 0x0009fac2, 
      0x7022cfb0, 0x0009fab2, 
      0x79222fb2, 0x0009faa2, 
      0x83218fb2, 0x0009faa2, 
      0x8c20efb4, 0x0009fa92, 
      0x96204fb4, 0x0009fa92, 
      0x9f1fafb5, 0x0009fa92, 
      0xa81f1fb7, 0x0008fa82, 
      0xb11e7fb8, 0x0008fa82, 
      0xba1ddfb9, 0x0008fa82, 
      0xc31d3fba, 0x0008fa82, 
      0xcc1c9fbb, 0x0008fa82, 
      0xd51bffbc, 0x0008fa82, 
      0xdd1b5fbe, 0x0008fa82, 
      0xe61abfbf, 0x0008fa82, 
      0xee1a1fc0, 0x0008fa92, 
      0xf7197fc2, 0x0007fa92, 
      0xff18dfc3, 0x0007faa2, 
      0x07184fc4, 0x0007faa3, 
      0x0f17afc5, 0x0007fab3, 
      0x17170fc7, 0x0007fab3, 
      0x1e166fc9, 0x0007fac3, 
      0x2615dfc9, 0x0007fad3, 
      0x2d154fcb, 0x0006fae3, 
      0x3414afcd, 0x0006faf3, 
      0x3c140fce, 0x0006fb03, 
      0x43137fce, 0x0006fb23, 
      0x4912efd0, 0x0006fb33, 
      0x50124fd2, 0x0005fb53, 
      0x5611cfd3, 0x0005fb63, 
      0x5d112fd4, 0x0005fb83, 
      0x63109fd5, 0x0005fba3, 
      0x69100fd6, 0x0005fbc3, 
      0x6f0f7fd8, 0x0004fbe3, 
      0x740eefda, 0x0004fc03, 
      0x7a0e6fda, 0x0004fc23, 
      0x7f0ddfdc, 0x0003fc53, 
      0x840d5fdd, 0x0003fc73, 
      0x890ccfde, 0x0003fca3, 
      0x8d0c4fe0, 0x0002fcd3, 
      0x920bcfe0, 0x0002fd03, 
      0x960b3fe2, 0x0002fd33, 
      0x9a0acfe3, 0x0001fd63, 
      0x9e0a4fe4, 0x0001fd93, 
      0xa209cfe6, 0x0000fdc3, 
      0xa5094fe7, 0x0000fe03, 
      0xa908dfe8, 0x0ffffe33, 
      0xac085fe9, 0x0ffffe73, 
      0xaf07efea, 0x0ffefeb3, 
      0xb1077feb, 0x0ffefef3, 
      0xb406ffed, 0x0ffdff33, 
      0xb6068fed, 0x0ffdff83, 
      0xb8062fee, 0x0ffcffc3, 
      0xba05bfef, 0x0ffc0003, 
      0xbc054ff0, 0x0ffb0053, 
      0xbd04eff1, 0x0ffa00a3, 
      0xbe047ff2, 0x0ffa00f3, 
      0xbf041ff3, 0x0ff90143, 
      0xc003bff4, 0x0ff80193, 
      0xc0035ff5, 0x0ff801e3, 
      0xc102fff5, 0x0ff70243, 
      0xc1029ff6, 0x0ff602a3, 
      0xc1024ff7, 0x0ff502f3, 
      0xc001fff8, 0x0ff40353, 
      0xc0019ff8, 0x0ff403b3, 
      0xbf014ff9, 0x0ff30413, 
      0xbe00fffa, 0x0ff20473, 
      0xbd00affa, 0x0ff104e3, 
      0xbc005ffb, 0x0ff00543, 
      0xba000ffc, 0x0fef05b3, 
      0xb8ffcffc, 0x0fee0623, 
      0xb6ff8ffd, 0x0fed0683, 
      0xb4ff3ffe, 0x0fec06f3, 
      0xb1fefffe, 0x0feb0773, 
      0xaffebffe, 0x0fea07e3, 
      0xacfe7fff, 0x0fe90853, 
      0xa9fe3fff, 0x0fe808d3, 
      0xa5fe0000, 0x0fe70943, 
      0xa2fdc000, 0x0fe609c3, 
      0x9efd9001, 0x0fe40a43, 
      0x9afd6001, 0x0fe30ac3, 
      0x96fd3001, 0x0fe20b43, 
      0x92fd0001, 0x0fe10bc3, 
      0x8dfcd002, 0x0fe00c43, 
      0x89fca003, 0x0fde0cc3, 
      0x84fc7003, 0x0fdd0d53, 
      0x7ffc5003, 0x0fdc0dd3, 
      0x7afc2003, 0x0fdb0e63, 
      0x74fc1004, 0x0fd90ee3, 
      0x6ffbe004, 0x0fd80f73, 
      0x69fbc004, 0x0fd71003, 
      0x63fba004, 0x0fd61093, 
      0x5dfb8005, 0x0fd41123, 
      0x56fb6006, 0x0fd311b3, 
      0x50fb5005, 0x0fd21243, 
      0x49fb3006, 0x0fd012e3, 
      0x43fb2005, 0x0fcf1373, 
      0x3cfb0006, 0x0fce1403, 
      0x34faf007, 0x0fcc14a3, 
      0x2dfae007, 0x0fcb1533, 
      0x26fad006, 0x0fca15d3, 
      0x1efad007, 0x0fc81663, 
      0x17fab007, 0x0fc71703, 
      0x0ffaa007, 0x0fc617a3, 
      0x07faa007, 0x0fc41843, 
      0xfffaa007, 0x0fc318d2, 
      0xf7fa9007, 0x0fc21972, 
      0xeefa9008, 0x0fc01a12, 
      0xe6fa8008, 0x0fbf1ab2, 
      0xddfa8008, 0x0fbe1b52, 
      0xd5fa8007, 0x0fbd1bf2, 
      0xccfa8008, 0x0fbb1c92, 
      0xc3fa8008, 0x0fba1d32, 
      0xbafa8009, 0x0fb91dc2, 
      0xb1fa8009, 0x0fb81e62, 
      0xa8fa8009, 0x0fb71f02, 
      0x9ffa9008, 0x0fb61fa2, 
      0x96fa9009, 0x0fb42042, 
      0x8cfaa009, 0x0fb320e2, 
      0x83faa009, 0x0fb22182, 
      0x79fab009, 0x0fb12222, 
      0x70fab009, 0x0fb022c2, 
      0x66fab009, 0x0fb02362, 
      0x5cfac00a, 0x0faf23f2, 
      0x53fad009, 0x0fae2492,
   },
   { /* UV scale factor = 0.95, phases = 127, taps = 5. */
      0x5424afac, 0x000afac2, 
      0x5e240fad, 0x000afab2, 
      0x68236faf, 0x0009faa2, 
      0x7122cfb0, 0x0009faa2, 
      0x7b222fb1, 0x0009fa92, 
      0x85218fb2, 0x0009fa82, 
      0x8f20dfb3, 0x0009fa82, 
      0x98203fb5, 0x0009fa72, 
      0xa21f9fb5, 0x0009fa72, 
      0xab1effb7, 0x0009fa62, 
      0xb41e5fb8, 0x0009fa62, 
      0xbe1dbfb8, 0x0009fa62, 
      0xc71d0fba, 0x0009fa62, 
      0xd01c7fbb, 0x0009fa52, 
      0xd91bcfbd, 0x0009fa52, 
      0xe21b2fbf, 0x0008fa52, 
      0xea1a8fc0, 0x0008fa62, 
      0xf319efc1, 0x0008fa62, 
      0xfc194fc2, 0x0008fa62, 
      0x0418afc4, 0x0008fa63, 
      0x0c180fc5, 0x0008fa73, 
      0x14176fc7, 0x0008fa73, 
      0x1c16cfc8, 0x0008fa83, 
      0x24162fc9, 0x0008fa93, 
      0x2c159fcb, 0x0007fa93, 
      0x3414ffcc, 0x0007faa3, 
      0x3b145fce, 0x0007fab3, 
      0x4213cfcf, 0x0007fac3, 
      0x49132fd1, 0x0007fad3, 
      0x50129fd1, 0x0007faf3, 
      0x57120fd3, 0x0006fb03, 
      0x5e116fd4, 0x0006fb23, 
      0x6410dfd6, 0x0006fb33, 
      0x6b104fd6, 0x0006fb53, 
      0x710fafd8, 0x0006fb73, 
      0x770f2fd9, 0x0005fb93, 
      0x7c0e9fdb, 0x0005fbb3, 
      0x820e0fdc, 0x0005fbd3, 
      0x870d8fde, 0x0004fbf3, 
      0x8d0cffde, 0x0004fc23, 
      0x920c6fe0, 0x0004fc43, 
      0x960befe1, 0x0004fc73, 
      0x9b0b6fe2, 0x0003fca3, 
      0x9f0adfe4, 0x0003fcd3, 
      0xa40a5fe5, 0x0002fd03, 
      0xa809dfe6, 0x0002fd33, 
      0xab095fe8, 0x0002fd63, 
      0xaf08efe8, 0x0001fda3, 
      0xb2086fea, 0x0001fdd3, 
      0xb607ffea, 0x0000fe13, 
      0xb9077feb, 0x0000fe53, 
      0xbb070fed, 0x0ffffe93, 
      0xbe069fed, 0x0ffffed3, 
      0xc0062fef, 0x0ffeff13, 
      0xc205bff0, 0x0ffeff53, 
      0xc4054ff1, 0x0ffdffa3, 
      0xc604dff2, 0x0ffcfff3, 
      0xc7047ff3, 0x0ffc0033, 
      0xc9041ff3, 0x0ffb0083, 
      0xca03aff4, 0x0ffb00d3, 
      0xca034ff6, 0x0ffa0123, 
      0xcb02eff6, 0x0ff90183, 
      0xcb029ff7, 0x0ff801d3, 
      0xcb023ff7, 0x0ff80233, 
      0xcb01dff9, 0x0ff70283, 
      0xcb018ff9, 0x0ff602e3, 
      0xca013ffa, 0x0ff50343, 
      0xca00dffb, 0x0ff403a3, 
      0xc9008ffb, 0x0ff30413, 
      0xc7003ffc, 0x0ff30473, 
      0xc6fffffc, 0x0ff204d3, 
      0xc4ffaffd, 0x0ff10543, 
      0xc2ff5ffe, 0x0ff005b3, 
      0xc0ff1ffe, 0x0fef0623, 
      0xbefedffe, 0x0fee0693, 
      0xbbfe9fff, 0x0fed0703, 
      0xb9fe5fff, 0x0fec0773, 
      0xb6fe0000, 0x0feb07f3, 
      0xb2fde001, 0x0fe90863, 
      0xaffda001, 0x0fe808e3, 
      0xabfd7002, 0x0fe70953, 
      0xa8fd3002, 0x0fe609d3, 
      0xa4fd0002, 0x0fe50a53, 
      0x9ffcd003, 0x0fe40ad3, 
      0x9bfca003, 0x0fe20b63, 
      0x96fc7004, 0x0fe10be3, 
      0x92fc4004, 0x0fe00c63, 
      0x8dfc1004, 0x0fdf0cf3, 
      0x87fc0005, 0x0fdd0d73, 
      0x82fbd005, 0x0fdc0e03, 
      0x7cfbb005, 0x0fdb0e93, 
      0x77fb8005, 0x0fda0f23, 
      0x71fb7005, 0x0fd80fb3, 
      0x6bfb5005, 0x0fd71043, 
      0x64fb3007, 0x0fd510d3, 
      0x5efb2006, 0x0fd41163, 
      0x57fb0006, 0x0fd31203, 
      0x50faf007, 0x0fd11293, 
      0x49fae007, 0x0fd01323, 
      0x42fac007, 0x0fcf13c3, 
      0x3bfab008, 0x0fcd1453, 
      0x34faa007, 0x0fcc14f3, 
      0x2cfa9008, 0x0fca1593, 
      0x24fa9007, 0x0fc91633, 
      0x1cfa8008, 0x0fc816c3, 
      0x14fa8008, 0x0fc61763, 
      0x0cfa7008, 0x0fc51803, 
      0x04fa6008, 0x0fc418a3, 
      0xfcfa6008, 0x0fc21942, 
      0xf3fa6008, 0x0fc119e2, 
      0xeafa6009, 0x0fbf1a82, 
      0xe2fa5009, 0x0fbe1b22, 
      0xd9fa5009, 0x0fbd1bc2, 
      0xd0fa5008, 0x0fbc1c72, 
      0xc7fa6008, 0x0fba1d12, 
      0xbefa6008, 0x0fb91db2, 
      0xb4fa6009, 0x0fb81e52, 
      0xabfa7009, 0x0fb61ef2, 
      0xa2fa7009, 0x0fb51f92, 
      0x98fa700a, 0x0fb42032, 
      0x8ffa7009, 0x0fb320e2, 
      0x85fa8009, 0x0fb22182, 
      0x7bfa9009, 0x0fb12222, 
      0x71faa009, 0x0fb022c2, 
      0x68faa009, 0x0faf2362, 
      0x5efab009, 0x0fae2402, 
      0x54fac009, 0x0fad24a2,
   },
   { /* UV scale factor = 0.96, phases = 127, taps = 5. */
      0x5524afac, 0x000afab2, 
      0x5f240fad, 0x000afaa2, 
      0x69236fae, 0x000afa92, 
      0x7322cfaf, 0x000afa82, 
      0x7d221fb0, 0x000afa82, 
      0x87217fb1, 0x000afa72, 
      0x9120dfb2, 0x000afa62, 
      0x9a202fb4, 0x000afa62, 
      0xa41f8fb6, 0x0009fa52, 
      0xae1eefb7, 0x0009fa42, 
      0xb71e4fb8, 0x0009fa42, 
      0xc11d9fb9, 0x0009fa42, 
      0xca1cffbb, 0x0009fa32, 
      0xd31c5fbc, 0x0009fa32, 
      0xdd1bafbd, 0x0009fa32, 
      0xe61b0fbe, 0x0009fa32, 
      0xef1a5fc0, 0x0009fa32, 
      0xf819bfc1, 0x0009fa32, 
      0x00191fc3, 0x0009fa33, 
      0x09187fc4, 0x0009fa33, 
      0x1117dfc5, 0x0009fa43, 
      0x1a172fc7, 0x0009fa43, 
      0x22169fc9, 0x0008fa43, 
      0x2a15ffca, 0x0008fa53, 
      0x32155fcb, 0x0008fa63, 
      0x3a14bfcd, 0x0008fa63, 
      0x41141fcf, 0x0008fa73, 
      0x49137fd0, 0x0008fa83, 
      0x5012efd1, 0x0008fa93, 
      0x57124fd3, 0x0007fab3, 
      0x5e11afd5, 0x0007fac3, 
      0x65111fd6, 0x0007fad3, 
      0x6c108fd6, 0x0007faf3, 
      0x720fefd9, 0x0007fb03, 
      0x790f5fd9, 0x0007fb23, 
      0x7f0ecfdb, 0x0006fb43, 
      0x850e3fdc, 0x0006fb63, 
      0x8a0dafde, 0x0006fb83, 
      0x900d1fdf, 0x0006fba3, 
      0x950c9fe1, 0x0005fbc3, 
      0x9a0c0fe2, 0x0005fbf3, 
      0x9f0b8fe3, 0x0005fc13, 
      0xa40affe5, 0x0004fc43, 
      0xa90a7fe5, 0x0004fc73, 
      0xad09ffe6, 0x0004fca3, 
      0xb1097fe8, 0x0003fcd3, 
      0xb508ffe9, 0x0003fd03, 
      0xb8087fea, 0x0003fd43, 
      0xbc07ffec, 0x0002fd73, 
      0xc0077fec, 0x0002fdb3, 
      0xc3070fee, 0x0001fde3, 
      0xc5069fef, 0x0001fe23, 
      0xc8062ff0, 0x0000fe63, 
      0xca05bff0, 0x0000feb3, 
      0xcd054ff1, 0x0ffffef3, 
      0xcf04dff2, 0x0fffff33, 
      0xd0047ff3, 0x0ffeff83, 
      0xd2040ff4, 0x0ffdffd3, 
      0xd303aff5, 0x0ffd0013, 
      0xd4033ff7, 0x0ffc0063, 
      0xd502dff7, 0x0ffb00c3, 
      0xd5027ff8, 0x0ffb0113, 
      0xd6021ff9, 0x0ffa0163, 
      0xd601cff9, 0x0ff901c3, 
      0xd6017ffa, 0x0ff80213, 
      0xd5011ffb, 0x0ff80273, 
      0xd500cffb, 0x0ff702d3, 
      0xd4006ffd, 0x0ff60333, 
      0xd3001ffd, 0x0ff503a3, 
      0xd2ffdffd, 0x0ff40403, 
      0xd0ff8ffe, 0x0ff30473, 
      0xcfff3fff, 0x0ff204d3, 
      0xcdfeffff, 0x0ff10543, 
      0xcafeb000, 0x0ff005b3, 
      0xc8fe6001, 0x0fef0623, 
      0xc5fe3001, 0x0fee0693, 
      0xc3fde002, 0x0fed0703, 
      0xc0fdb001, 0x0fec0783, 
      0xbcfd7003, 0x0feb07f3, 
      0xb9fd4002, 0x0fea0873, 
      0xb5fd0003, 0x0fe908f3, 
      0xb1fcd003, 0x0fe80973, 
      0xadfca003, 0x0fe709f3, 
      0xa9fc7004, 0x0fe50a73, 
      0xa4fc4005, 0x0fe40af3, 
      0x9ffc1005, 0x0fe30b83, 
      0x9afbf005, 0x0fe20c03, 
      0x95fbc006, 0x0fe00c93, 
      0x90fba006, 0x0fdf0d13, 
      0x8afb8006, 0x0fde0da3, 
      0x85fb6006, 0x0fdc0e33, 
      0x7ffb4006, 0x0fdb0ec3, 
      0x79fb2006, 0x0fda0f53, 
      0x72fb1007, 0x0fd80fe3, 
      0x6cfaf006, 0x0fd71083, 
      0x65fad007, 0x0fd61113, 
      0x5efac008, 0x0fd411a3, 
      0x57fab007, 0x0fd31243, 
      0x50fa9008, 0x0fd112e3, 
      0x49fa8008, 0x0fd01373, 
      0x41fa8008, 0x0fce1413, 
      0x3afa6008, 0x0fcd14b3, 
      0x32fa5008, 0x0fcc1553, 
      0x2afa5008, 0x0fca15f3, 
      0x22fa4008, 0x0fc91693, 
      0x1afa4008, 0x0fc71733, 
      0x11fa4008, 0x0fc617d3, 
      0x09fa3009, 0x0fc41873, 
      0x00fa3009, 0x0fc31913, 
      0xf8fa3009, 0x0fc119b2, 
      0xeffa3008, 0x0fc01a62, 
      0xe6fa2009, 0x0fbf1b02, 
      0xddfa3009, 0x0fbd1ba2, 
      0xd3fa300a, 0x0fbc1c42, 
      0xcafa3009, 0x0fbb1cf2, 
      0xc1fa4009, 0x0fb91d92, 
      0xb7fa400a, 0x0fb81e32, 
      0xaefa4009, 0x0fb71ee2, 
      0xa4fa500a, 0x0fb51f82, 
      0x9afa600a, 0x0fb42022, 
      0x91fa6009, 0x0fb320d2, 
      0x87fa7009, 0x0fb22172, 
      0x7dfa800a, 0x0fb02212, 
      0x73fa800a, 0x0faf22c2, 
      0x69fa900a, 0x0fae2362, 
      0x5ffaa00a, 0x0fad2402, 
      0x55fab00a, 0x0fac24a2,
   },
   { /* UV scale factor = 0.97, phases = 127, taps = 5. */
      0x5524bfac, 0x000afaa2, 
      0x60240fad, 0x000afa92, 
      0x6a236fae, 0x000afa82, 
      0x7422cfaf, 0x000afa72, 
      0x7e221fb0, 0x000afa72, 
      0x89216fb1, 0x000afa62, 
      0x9320cfb2, 0x000afa52, 
      0x9d201fb4, 0x000afa42, 
      0xa71f7fb5, 0x000afa32, 
      0xb01ecfb7, 0x000afa32, 
      0xba1e2fb8, 0x000afa22, 
      0xc41d7fb9, 0x000afa22, 
      0xce1cdfba, 0x000afa12, 
      0xd71c2fbc, 0x000afa12, 
      0xe01b8fbd, 0x000afa12, 
      0xea1adfbf, 0x000afa02, 
      0xf31a3fc1, 0x0009fa02, 
      0xfc198fc3, 0x0009fa02, 
      0x0518efc4, 0x0009fa03, 
      0x0e183fc6, 0x0009fa03, 
      0x1617afc7, 0x0009fa03, 
      0x1f16ffc8, 0x0009fa13, 
      0x27165fca, 0x0009fa13, 
      0x3015afcb, 0x0009fa23, 
      0x38150fcd, 0x0009fa23, 
      0x40146fce, 0x0009fa33, 
      0x4813cfcf, 0x0009fa43, 
      0x4f133fd1, 0x0009fa43, 
      0x57129fd3, 0x0008fa53, 
      0x5e11ffd5, 0x0008fa63, 
      0x65115fd6, 0x0008fa83, 
      0x6c10cfd7, 0x0008fa93, 
      0x73102fd9, 0x0008faa3, 
      0x7a0f9fd9, 0x0008fac3, 
      0x800f0fdb, 0x0008fad3, 
      0x870e6fdd, 0x0007faf3, 
      0x8d0ddfde, 0x0007fb13, 
      0x930d4fdf, 0x0007fb33, 
      0x980cbfe1, 0x0007fb53, 
      0x9e0c3fe2, 0x0006fb73, 
      0xa30bafe3, 0x0006fba3, 
      0xa80b1fe5, 0x0006fbc3, 
      0xad0a9fe5, 0x0006fbf3, 
      0xb20a0fe8, 0x0005fc13, 
      0xb6098fe9, 0x0005fc43, 
      0xbb090fe9, 0x0005fc73, 
      0xbf088feb, 0x0004fca3, 
      0xc2080fec, 0x0004fce3, 
      0xc6079fed, 0x0003fd13, 
      0xc9071fee, 0x0003fd53, 
      0xcd069fef, 0x0003fd83, 
      0xcf062ff1, 0x0002fdc3, 
      0xd205bff1, 0x0002fe03, 
      0xd5054ff2, 0x0001fe43, 
      0xd704dff3, 0x0001fe83, 
      0xd9046ff4, 0x0000fed3, 
      0xdb03fff5, 0x0000ff13, 
      0xdc039ff6, 0x0fffff63, 
      0xdd033ff7, 0x0ffeffb3, 
      0xdf02cff7, 0x0ffe0003, 
      0xdf026ff9, 0x0ffd0053, 
      0xe0020ffa, 0x0ffc00a3, 
      0xe001bffa, 0x0ffc00f3, 
      0xe0015ffb, 0x0ffb0153, 
      0xe000fffc, 0x0ffa01b3, 
      0xe000affd, 0x0ff90203, 
      0xdf005ffd, 0x0ff90263, 
      0xdf000ffd, 0x0ff802c3, 
      0xddffbffe, 0x0ff70333, 
      0xdcff6fff, 0x0ff60393, 
      0xdbff1fff, 0x0ff50403, 
      0xd9fed000, 0x0ff40463, 
      0xd7fe8001, 0x0ff304d3, 
      0xd5fe4001, 0x0ff20543, 
      0xd2fe0002, 0x0ff105b3, 
      0xcffdc003, 0x0ff00623, 
      0xcdfd8002, 0x0fef06a3, 
      0xc9fd5003, 0x0fee0713, 
      0xc6fd1003, 0x0fed0793, 
      0xc2fce004, 0x0fec0803, 
      0xbffca004, 0x0feb0883, 
      0xbbfc7004, 0x0fea0903, 
      0xb6fc5005, 0x0fe80983, 
      0xb2fc1006, 0x0fe70a03, 
      0xadfbf005, 0x0fe60a93, 
      0xa8fbc006, 0x0fe50b13, 
      0xa3fba006, 0x0fe30ba3, 
      0x9efb7006, 0x0fe20c33, 
      0x98fb5007, 0x0fe10cb3, 
      0x93fb3007, 0x0fdf0d43, 
      0x8dfb1007, 0x0fde0dd3, 
      0x87faf007, 0x0fdd0e63, 
      0x80fad008, 0x0fdb0f03, 
      0x7afac007, 0x0fda0f93, 
      0x73fab008, 0x0fd81023, 
      0x6cfa9008, 0x0fd710c3, 
      0x65fa8008, 0x0fd61153, 
      0x5efa6009, 0x0fd411f3, 
      0x57fa5008, 0x0fd31293, 
      0x4ffa4009, 0x0fd11333, 
      0x48fa4008, 0x0fd013c3, 
      0x40fa3009, 0x0fce1463, 
      0x38fa2009, 0x0fcd1503, 
      0x30fa2009, 0x0fcb15a3, 
      0x27fa1009, 0x0fca1653, 
      0x1ffa1009, 0x0fc816f3, 
      0x16fa000a, 0x0fc71793, 
      0x0efa000a, 0x0fc51833, 
      0x05fa0009, 0x0fc418e3, 
      0xfcfa000a, 0x0fc21982, 
      0xf3fa0009, 0x0fc11a32, 
      0xeafa000a, 0x0fbf1ad2, 
      0xe0fa1009, 0x0fbe1b82, 
      0xd7fa100a, 0x0fbc1c22, 
      0xcefa1009, 0x0fbb1cd2, 
      0xc4fa2009, 0x0fba1d72, 
      0xbafa200a, 0x0fb81e22, 
      0xb0fa300a, 0x0fb71ec2, 
      0xa7fa300a, 0x0fb51f72, 
      0x9dfa400a, 0x0fb42012, 
      0x93fa5009, 0x0fb320c2, 
      0x89fa600a, 0x0fb12162, 
      0x7efa700a, 0x0fb02212, 
      0x74fa700b, 0x0faf22b2, 
      0x6afa800a, 0x0fae2362, 
      0x60fa900a, 0x0fad2402, 
      0x55faa00b, 0x0fab24b2,
   },
   { /* UV scale factor = 0.98, phases = 127, taps = 5. */
      0x5624bfab, 0x000afaa2, 
      0x60240fad, 0x000afa92, 
      0x6b236fad, 0x000afa82, 
      0x7522bfaf, 0x000afa72, 
      0x80220fb0, 0x000afa62, 
      0x8a216fb1, 0x000afa52, 
      0x9420bfb3, 0x000afa42, 
      0x9f200fb4, 0x000afa32, 
      0xa91f5fb6, 0x000afa22, 
      0xb31eafb8, 0x000afa12, 
      0xbd1e0fb8, 0x000afa12, 
      0xc71d5fba, 0x000afa02, 
      0xd11cafbc, 0x000af9f2, 
      0xda1bffbe, 0x000af9f2, 
      0xe41b5fbe, 0x000af9f2, 
      0xee1aafc0, 0x000af9e2, 
      0xf719ffc2, 0x000af9e2, 
      0x00195fc3, 0x000af9e3, 
      0x0918afc5, 0x000af9e3, 
      0x12180fc6, 0x000af9e3, 
      0x1b175fc8, 0x000af9e3, 
      0x2416bfc9, 0x000af9e3, 
      0x2d160fcb, 0x000af9e3, 
      0x35156fcd, 0x000af9e3, 
      0x3e14bfce, 0x000af9f3, 
      0x46142fcf, 0x000af9f3, 
      0x4e138fd1, 0x0009fa03, 
      0x5612efd2, 0x0009fa13, 
      0x5d124fd5, 0x0009fa13, 
      0x6511afd6, 0x0009fa23, 
      0x6c110fd8, 0x0009fa33, 
      0x74106fd8, 0x0009fa53, 
      0x7b0fcfda, 0x0009fa63, 
      0x810f3fdc, 0x0009fa73, 
      0x880eafdd, 0x0008fa93, 
      0x8f0e0fdf, 0x0008faa3, 
      0x950d7fe0, 0x0008fac3, 
      0x9b0cefe1, 0x0008fae3, 
      0xa10c5fe2, 0x0008fb03, 
      0xa60bdfe4, 0x0007fb23, 
      0xac0b3fe6, 0x0007fb43, 
      0xb10abfe6, 0x0007fb73, 
      0xb60a2fe8, 0x0007fb93, 
      0xbb09afe9, 0x0006fbc3, 
      0xc0091fea, 0x0006fbf3, 
      0xc4089fec, 0x0006fc13, 
      0xc8082fed, 0x0005fc43, 
      0xcc07afed, 0x0005fc83, 
      0xd0072fee, 0x0005fcb3, 
      0xd306bff0, 0x0004fce3, 
      0xd6063ff1, 0x0004fd23, 
      0xd905bff2, 0x0004fd63, 
      0xdc054ff3, 0x0003fda3, 
      0xdf04cff4, 0x0003fde3, 
      0xe1046ff5, 0x0002fe23, 
      0xe303fff6, 0x0002fe63, 
      0xe5039ff6, 0x0001feb3, 
      0xe7032ff8, 0x0000fef3, 
      0xe802cff8, 0x0000ff43, 
      0xe9025ffa, 0x0fffff93, 
      0xea01fffa, 0x0fffffe3, 
      0xea019ffc, 0x0ffe0033, 
      0xeb014ffc, 0x0ffd0083, 
      0xeb00effc, 0x0ffd00e3, 
      0xeb008ffd, 0x0ffc0143, 
      0xea004ffe, 0x0ffb0193, 
      0xeaffefff, 0x0ffa01f3, 
      0xe9ff9fff, 0x0ffa0253, 
      0xe8ff4fff, 0x0ff902c3, 
      0xe7fef000, 0x0ff80323, 
      0xe5fea001, 0x0ff70393, 
      0xe3fe6002, 0x0ff603f3, 
      0xe1fe2002, 0x0ff50463, 
      0xdffde002, 0x0ff404d3, 
      0xdcfda003, 0x0ff30543, 
      0xd9fd6004, 0x0ff205b3, 
      0xd6fd2004, 0x0ff10633, 
      0xd3fce005, 0x0ff006a3, 
      0xd0fcb004, 0x0fef0723, 
      0xccfc7005, 0x0fee07a3, 
      0xc8fc4006, 0x0fed0813, 
      0xc4fc2006, 0x0feb0893, 
      0xc0fbe006, 0x0fea0923, 
      0xbbfbc006, 0x0fe909a3, 
      0xb6fb9007, 0x0fe80a23, 
      0xb1fb7007, 0x0fe60ab3, 
      0xacfb4008, 0x0fe50b33, 
      0xa6fb2008, 0x0fe40bc3, 
      0xa1fb0007, 0x0fe30c53, 
      0x9bfae008, 0x0fe10ce3, 
      0x95fac008, 0x0fe00d73, 
      0x8ffaa009, 0x0fde0e03, 
      0x88fa9008, 0x0fdd0ea3, 
      0x81fa7009, 0x0fdc0f33, 
      0x7bfa6008, 0x0fda0fd3, 
      0x74fa5008, 0x0fd91063, 
      0x6cfa300a, 0x0fd71103, 
      0x65fa2009, 0x0fd611a3, 
      0x5dfa100a, 0x0fd41243, 
      0x56fa0009, 0x0fd312e3, 
      0x4efa0009, 0x0fd11383, 
      0x46f9f009, 0x0fd01423, 
      0x3ef9f009, 0x0fce14c3, 
      0x35f9e00a, 0x0fcd1563, 
      0x2df9e00a, 0x0fcb1603, 
      0x24f9e00a, 0x0fc916b3, 
      0x1bf9e00a, 0x0fc81753, 
      0x12f9e00a, 0x0fc61803, 
      0x09f9e00a, 0x0fc518a3, 
      0x00f9e00a, 0x0fc31953, 
      0xf7f9e00a, 0x0fc219f2, 
      0xeef9e00a, 0x0fc01aa2, 
      0xe4f9e00a, 0x0fbf1b52, 
      0xdaf9f00b, 0x0fbd1bf2, 
      0xd1f9f00a, 0x0fbc1ca2, 
      0xc7fa000a, 0x0fba1d52, 
      0xbdfa000a, 0x0fb91e02, 
      0xb3fa100b, 0x0fb71ea2, 
      0xa9fa200a, 0x0fb61f52, 
      0x9ffa300a, 0x0fb42002, 
      0x94fa400a, 0x0fb320b2, 
      0x8afa400a, 0x0fb22162, 
      0x80fa600a, 0x0fb02202, 
      0x75fa700a, 0x0faf22b2, 
      0x6bfa700a, 0x0fae2362, 
      0x60fa900b, 0x0fac2402, 
      0x56faa00a, 0x0fab24b2,
   },
   { /* UV scale factor = 0.99, phases = 127, taps = 5. */
      0x5624bfab, 0x000afaa2, 
      0x61240fad, 0x000afa82, 
      0x6c235fae, 0x000afa72, 
      0x7622bfaf, 0x000afa62, 
      0x8121ffb1, 0x000afa52, 
      0x8c215fb1, 0x000afa42, 
      0x9620afb3, 0x000afa32, 
      0xa11fffb4, 0x000afa22, 
      0xab1f4fb6, 0x000afa12, 
      0xb51e9fb8, 0x000afa02, 
      0xc01defb9, 0x000af9f2, 
      0xca1d3fbb, 0x000af9e2, 
      0xd41c8fbc, 0x000af9e2, 
      0xde1bdfbe, 0x000af9d2, 
      0xe81b2fbf, 0x000af9d2, 
      0xf11a7fc2, 0x000af9c2, 
      0xfb19cfc3, 0x000af9c2, 
      0x04192fc5, 0x000af9b3, 
      0x0e187fc6, 0x000af9b3, 
      0x1717cfc8, 0x000af9b3, 
      0x20171fca, 0x000af9b3, 
      0x29167fcb, 0x000af9b3, 
      0x3215cfcd, 0x000af9b3, 
      0x3b152fce, 0x000af9b3, 
      0x43147fd0, 0x000af9c3, 
      0x4c13dfd1, 0x000af9c3, 
      0x54133fd3, 0x000af9c3, 
      0x5c129fd4, 0x000af9d3, 
      0x6411efd6, 0x000af9e3, 
      0x6c114fd7, 0x000af9f3, 
      0x7310bfd9, 0x000af9f3, 
      0x7b100fda, 0x000afa13, 
      0x820f7fdb, 0x000afa23, 
      0x890edfde, 0x0009fa33, 
      0x900e4fdf, 0x0009fa43, 
      0x960dafe1, 0x0009fa63, 
      0x9d0d1fe2, 0x0009fa73, 
      0xa30c8fe3, 0x0009fa93, 
      0xa90bffe4, 0x0009fab3, 
      0xaf0b6fe6, 0x0008fad3, 
      0xb50adfe7, 0x0008faf3, 
      0xba0a4fe9, 0x0008fb13, 
      0xbf09cfe9, 0x0008fb43, 
      0xc4093feb, 0x0008fb63, 
      0xc908bfec, 0x0007fb93, 
      0xcd083fed, 0x0007fbc3, 
      0xd207afee, 0x0007fbf3, 
      0xd6073fef, 0x0006fc23, 
      0xd906bff1, 0x0006fc53, 
      0xdd063ff2, 0x0006fc83, 
      0xe005cff3, 0x0005fcc3, 
      0xe3055ff4, 0x0005fcf3, 
      0xe704dff5, 0x0004fd33, 
      0xe9046ff6, 0x0004fd73, 
      0xeb03fff7, 0x0004fdb3, 
      0xed038ff8, 0x0003fe03, 
      0xef031ff9, 0x0003fe43, 
      0xf102bff9, 0x0002fe93, 
      0xf2025ffb, 0x0001fed3, 
      0xf301effc, 0x0001ff23, 
      0xf4018ffd, 0x0000ff73, 
      0xf5012ffd, 0x0000ffc3, 
      0xf500dffd, 0x0fff0023, 
      0xf5007fff, 0x0ffe0073, 
      0xf5002ffe, 0x0ffe00d3, 
      0xf5ffc000, 0x0ffd0123, 
      0xf4ff7001, 0x0ffc0183, 
      0xf3ff3001, 0x0ffb01e3, 
      0xf2fed002, 0x0ffa0253, 
      0xf1fe8002, 0x0ffa02b3, 
      0xeffe4003, 0x0ff90313, 
      0xedfe0003, 0x0ff80383, 
      0xebfdb004, 0x0ff703f3, 
      0xe9fd7004, 0x0ff60463, 
      0xe6fd3005, 0x0ff504d3, 
      0xe3fd0005, 0x0ff40543, 
      0xe0fcc005, 0x0ff305c3, 
      0xddfc8006, 0x0ff20633, 
      0xd9fc5006, 0x0ff106b3, 
      0xd6fc1006, 0x0ff00733, 
      0xd2fbe006, 0x0fef07b3, 
      0xcdfbc007, 0x0fed0833, 
      0xc9fb9007, 0x0fec08b3, 
      0xc4fb6008, 0x0feb0933, 
      0xbffb4007, 0x0fea09c3, 
      0xbafb1009, 0x0fe80a43, 
      0xb5faf008, 0x0fe70ad3, 
      0xaffad008, 0x0fe60b63, 
      0xa9fab009, 0x0fe40bf3, 
      0xa3fa9009, 0x0fe30c83, 
      0x9dfa7009, 0x0fe20d13, 
      0x96fa600a, 0x0fe00da3, 
      0x90fa4009, 0x0fdf0e43, 
      0x89fa300a, 0x0fdd0ed3, 
      0x82fa2009, 0x0fdc0f73, 
      0x7bfa1009, 0x0fda1013, 
      0x73fa000a, 0x0fd910a3, 
      0x6cf9f00a, 0x0fd71143, 
      0x64f9e00a, 0x0fd611e3, 
      0x5cf9d00a, 0x0fd41293, 
      0x54f9c00a, 0x0fd31333, 
      0x4cf9c00a, 0x0fd113d3, 
      0x43f9c00a, 0x0fd01473, 
      0x3bf9b00a, 0x0fce1523, 
      0x32f9b00b, 0x0fcc15c3, 
      0x29f9b00a, 0x0fcb1673, 
      0x20f9b00b, 0x0fc91713, 
      0x17f9b00a, 0x0fc817c3, 
      0x0ef9b00a, 0x0fc61873, 
      0x04f9c00b, 0x0fc41913, 
      0xfbf9c00a, 0x0fc319c2, 
      0xf1f9c00b, 0x0fc11a72, 
      0xe8f9c00a, 0x0fc01b22, 
      0xdef9d00a, 0x0fbe1bd2, 
      0xd4f9e00a, 0x0fbc1c82, 
      0xcaf9e00a, 0x0fbb1d32, 
      0xc0f9f00a, 0x0fb91de2, 
      0xb5fa000a, 0x0fb81e92, 
      0xabfa100a, 0x0fb61f42, 
      0xa1fa100a, 0x0fb51ff2, 
      0x96fa300a, 0x0fb320a2, 
      0x8cfa300a, 0x0fb22152, 
      0x81fa500b, 0x0fb021f2, 
      0x76fa600b, 0x0faf22a2, 
      0x6cfa700a, 0x0fae2352, 
      0x61fa800b, 0x0fac2402, 
      0x56faa00a, 0x0fab24b2,
   },
   { /* UV scale factor = 1.00, phases = 127, taps = 5. */
      0x5624cfab, 0x000afa92, 
      0x61240fad, 0x000afa82, 
      0x6c235fae, 0x000afa72, 
      0x7722afaf, 0x000bfa52, 
      0x8221ffb0, 0x000bfa42, 
      0x8d213fb2, 0x000bfa32, 
      0x98208fb3, 0x000bfa22, 
      0xa21fdfb5, 0x000bfa12, 
      0xad1f2fb6, 0x000bfa02, 
      0xb81e6fb8, 0x000bf9f2, 
      0xc21dbfba, 0x000bf9e2, 
      0xcc1d0fbc, 0x000bf9d2, 
      0xd71c5fbd, 0x000bf9c2, 
      0xe11b9fbf, 0x000bf9c2, 
      0xeb1affc0, 0x000bf9b2, 
      0xf51a4fc2, 0x000bf9a2, 
      0xff198fc4, 0x000bf9a2, 
      0x0818efc6, 0x000bf993, 
      0x12183fc7, 0x000bf993, 
      0x1c177fc9, 0x000bf993, 
      0x2516dfcb, 0x000bf983, 
      0x2e162fcd, 0x000bf983, 
      0x37158fce, 0x000bf983, 
      0x4014dfd0, 0x000bf983, 
      0x49142fd1, 0x000bf993, 
      0x52138fd2, 0x000bf993, 
      0x5a12efd4, 0x000bf993, 
      0x62123fd6, 0x000bf9a3, 
      0x6a119fd8, 0x000bf9a3, 
      0x7210ffd9, 0x000bf9b3, 
      0x7a105fda, 0x000bf9c3, 
      0x820fbfdc, 0x000af9d3, 
      0x890f1fde, 0x000af9e3, 
      0x900e7fe0, 0x000af9f3, 
      0x970defe1, 0x000afa03, 
      0x9e0d4fe3, 0x000afa13, 
      0xa50cbfe3, 0x000afa33, 
      0xab0c2fe5, 0x000afa43, 
      0xb10b8fe7, 0x000afa63, 
      0xb70b0fe8, 0x0009fa83, 
      0xbd0a6fea, 0x0009faa3, 
      0xc309efea, 0x0009fac3, 
      0xc8095fec, 0x0009fae3, 
      0xcd08cfed, 0x0009fb13, 
      0xd2084fef, 0x0008fb33, 
      0xd707cfef, 0x0008fb63, 
      0xdb074ff0, 0x0008fb93, 
      0xdf06cff1, 0x0008fbc3, 
      0xe3064ff3, 0x0007fbf3, 
      0xe705cff4, 0x0007fc23, 
      0xea054ff5, 0x0007fc63, 
      0xed04eff6, 0x0006fc93, 
      0xf0046ff7, 0x0006fcd3, 
      0xf303fff8, 0x0005fd13, 
      0xf6038ff8, 0x0005fd53, 
      0xf8031ff9, 0x0005fd93, 
      0xfa02affb, 0x0004fdd3, 
      0xfb024ffb, 0x0004fe23, 
      0xfd01dffd, 0x0003fe63, 
      0xfe017ffe, 0x0002feb3, 
      0xff011ffe, 0x0002ff03, 
      0xff00cfff, 0x0001ff53, 
      0x00005fff, 0x0001ffb4, 
      0x00000000, 0x00000004, 
      0x00ffb000, 0x0fff0064, 
      0xffff5002, 0x0fff00b3, 
      0xffff0002, 0x0ffe0113, 
      0xfefeb003, 0x0ffd0173, 
      0xfdfe6004, 0x0ffc01d3, 
      0xfbfe2004, 0x0ffb0243, 
      0xfafdd004, 0x0ffb02a3, 
      0xf8fd9004, 0x0ffa0313, 
      0xf6fd4005, 0x0ff90383, 
      0xf3fd1005, 0x0ff803f3, 
      0xf0fcd006, 0x0ff70463, 
      0xedfc9007, 0x0ff604d3, 
      0xeafc6007, 0x0ff50543, 
      0xe7fc2007, 0x0ff405c3, 
      0xe3fbf007, 0x0ff30643, 
      0xdffbc007, 0x0ff206c3, 
      0xdbfb9007, 0x0ff10743, 
      0xd7fb6008, 0x0fef07c3, 
      0xd2fb3009, 0x0fee0843, 
      0xcdfb1009, 0x0fed08c3, 
      0xc8fae009, 0x0fec0953, 
      0xc3fac009, 0x0fea09e3, 
      0xbdfaa00a, 0x0fe90a63, 
      0xb7fa800a, 0x0fe80af3, 
      0xb1fa700a, 0x0fe60b83, 
      0xabfa400a, 0x0fe50c23, 
      0xa5fa3009, 0x0fe40cb3, 
      0x9efa100b, 0x0fe20d43, 
      0x97fa000a, 0x0fe10de3, 
      0x90f9f00b, 0x0fdf0e73, 
      0x89f9e00a, 0x0fde0f13, 
      0x82f9d00a, 0x0fdc0fb3, 
      0x7af9c00a, 0x0fdb1053, 
      0x72f9b00b, 0x0fd910f3, 
      0x6af9a00b, 0x0fd81193, 
      0x62f9a00b, 0x0fd61233, 
      0x5af9900a, 0x0fd512e3, 
      0x52f9900a, 0x0fd31383, 
      0x49f9900b, 0x0fd11423, 
      0x40f9800b, 0x0fd014d3, 
      0x37f9800b, 0x0fce1583, 
      0x2ef9900b, 0x0fcc1623, 
      0x25f9800b, 0x0fcb16d3, 
      0x1cf9900a, 0x0fc91783, 
      0x12f9900b, 0x0fc71833, 
      0x08f9900b, 0x0fc618e3, 
      0xfff9a00a, 0x0fc41992, 
      0xf5f9a00b, 0x0fc21a42, 
      0xebf9b00a, 0x0fc11af2, 
      0xe1f9c00a, 0x0fbf1ba2, 
      0xd7f9c00b, 0x0fbd1c52, 
      0xccf9d00b, 0x0fbc1d02, 
      0xc2f9e00b, 0x0fba1db2, 
      0xb8f9f00a, 0x0fb91e62, 
      0xadfa000a, 0x0fb71f22, 
      0xa2fa100b, 0x0fb51fd2, 
      0x98fa200a, 0x0fb42082, 
      0x8dfa300b, 0x0fb22132, 
      0x82fa400a, 0x0fb121f2, 
      0x77fa500b, 0x0faf22a2, 
      0x6cfa700a, 0x0fae2352, 
      0x61fa800b, 0x0fac2402, 
      0x56fa900b, 0x0fab24b2,
   },
   { /* UV scale factor = 1.01, phases = 127, taps = 5. */
      0x60255fa1, 0x000afa02, 
      0x6b249fa3, 0x000af9f2, 
      0x7723efa4, 0x000af9d2, 
      0x82232fa6, 0x000af9c2, 
      0x8d227fa8, 0x000af9a2, 
      0x9921bfa9, 0x000af992, 
      0xa420ffab, 0x000af982, 
      0xaf203fad, 0x000af972, 
      0xba1f8fae, 0x000af962, 
      0xc51ecfb0, 0x000af952, 
      0xd01e0fb2, 0x000af942, 
      0xda1d5fb4, 0x000af932, 
      0xe51cafb5, 0x000af922, 
      0xf01befb7, 0x000af912, 
      0xfa1b3fb9, 0x000af902, 
      0x041a7fbc, 0x000af8f3, 
      0x0f19cfbc, 0x000af8f3, 
      0x19190fbf, 0x000af8e3, 
      0x23185fc0, 0x000af8e3, 
      0x2c17afc3, 0x000af8d3, 
      0x3616ffc4, 0x000af8d3, 
      0x40164fc5, 0x000af8d3, 
      0x49159fc7, 0x000af8d3, 
      0x5214efc9, 0x000af8d3, 
      0x5b143fcb, 0x000af8d3, 
      0x64138fcd, 0x000af8d3, 
      0x6d12dfce, 0x000af8e3, 
      0x76122fd0, 0x000af8e3, 
      0x7e118fd2, 0x000af8e3, 
      0x8610dfd4, 0x000af8f3, 
      0x8e103fd6, 0x0009f903, 
      0x960f9fd7, 0x0009f913, 
      0x9e0effd8, 0x0009f923, 
      0xa50e4fdb, 0x0009f933, 
      0xad0dbfdb, 0x0009f943, 
      0xb40d1fdd, 0x0009f953, 
      0xbb0c7fde, 0x0009f973, 
      0xc10bdfe1, 0x0009f983, 
      0xc80b4fe2, 0x0008f9a3, 
      0xce0abfe3, 0x0008f9c3, 
      0xd40a1fe5, 0x0008f9e3, 
      0xda098fe6, 0x0008fa03, 
      0xdf08ffe8, 0x0007fa33, 
      0xe4087fe9, 0x0007fa53, 
      0xea07dfea, 0x0007fa83, 
      0xee075fec, 0x0007faa3, 
      0xf306dfed, 0x0006fad3, 
      0xf7065fee, 0x0006fb03, 
      0xfb05dfef, 0x0006fb33, 
      0xff055ff0, 0x0005fb73, 
      0x0304dff1, 0x0005fba4, 
      0x06045ff3, 0x0004fbe4, 
      0x0903eff3, 0x0004fc24, 
      0x0c036ff4, 0x0004fc64, 
      0x0e02fff6, 0x0003fca4, 
      0x11028ff6, 0x0003fce4, 
      0x13021ff8, 0x0002fd24, 
      0x1401bff9, 0x0001fd74, 
      0x16014ff9, 0x0001fdc4, 
      0x1700effa, 0x0000fe14, 
      0x18007ffb, 0x0000fe64, 
      0x19001ffc, 0x0ffffeb4, 
      0x19ffcffd, 0x0ffeff04, 
      0x19ff6ffd, 0x0ffeff64, 
      0x19ff0ffe, 0x0ffdffc4, 
      0x19febfff, 0x0ffc0014, 
      0x18fe6fff, 0x0ffb0084, 
      0x17fe1000, 0x0ffa00e4, 
      0x16fdc001, 0x0ff90144, 
      0x14fd7001, 0x0ff901b4, 
      0x13fd2002, 0x0ff80214, 
      0x11fce002, 0x0ff70284, 
      0x0efca003, 0x0ff602f4, 
      0x0cfc6003, 0x0ff50364, 
      0x09fc1004, 0x0ff403e4, 
      0x06fbe004, 0x0ff30454, 
      0x03fba005, 0x0ff104d4, 
      0xfffb7005, 0x0ff00553, 
      0xfbfb3006, 0x0fef05d3, 
      0xf7fb0006, 0x0fee0653, 
      0xf3fad006, 0x0fed06d3, 
      0xeefab007, 0x0feb0753, 
      0xeafa8006, 0x0fea07e3, 
      0xe4fa5008, 0x0fe90863, 
      0xdffa3008, 0x0fe708f3, 
      0xdafa0008, 0x0fe60983, 
      0xd4f9e008, 0x0fe50a13, 
      0xcef9c008, 0x0fe30ab3, 
      0xc8f9a008, 0x0fe20b43, 
      0xc1f99009, 0x0fe00bd3, 
      0xbbf97008, 0x0fdf0c73, 
      0xb4f95009, 0x0fdd0d13, 
      0xadf94008, 0x0fdc0db3, 
      0xa5f9300a, 0x0fda0e43, 
      0x9ef91009, 0x0fd90ef3, 
      0x96f91009, 0x0fd70f93, 
      0x8ef9000a, 0x0fd51033, 
      0x86f8f00a, 0x0fd410d3, 
      0x7ef8e00a, 0x0fd21183, 
      0x76f8e00a, 0x0fd01223, 
      0x6df8e009, 0x0fcf12d3, 
      0x64f8d00a, 0x0fcd1383, 
      0x5bf8d00a, 0x0fcb1433, 
      0x52f8d00a, 0x0fc914e3, 
      0x49f8d009, 0x0fc81593, 
      0x40f8d009, 0x0fc61643, 
      0x36f8d00a, 0x0fc416f3, 
      0x2cf8e00a, 0x0fc217a3, 
      0x23f8e00a, 0x0fc01853, 
      0x19f8e00a, 0x0fbf1903, 
      0x0ff8f009, 0x0fbd19c3, 
      0x04f9000a, 0x0fbb1a73, 
      0xfaf9000a, 0x0fb91b32, 
      0xf0f91009, 0x0fb81be2, 
      0xe5f92009, 0x0fb61ca2, 
      0xdaf9300a, 0x0fb41d52, 
      0xd0f94009, 0x0fb21e12, 
      0xc5f9500a, 0x0fb01ec2, 
      0xbaf96009, 0x0faf1f82, 
      0xaff97009, 0x0fad2042, 
      0xa4f9800a, 0x0fab20f2, 
      0x99f99009, 0x0faa21b2, 
      0x8df9b00a, 0x0fa82262, 
      0x82f9c00a, 0x0fa62322, 
      0x77f9d009, 0x0fa523e2, 
      0x6bf9f00a, 0x0fa32492, 
      0x60fa0009, 0x0fa22552,
   },
   { /* UV scale factor = 1.02, phases = 127, taps = 5. */
      0x61255fa1, 0x000af9f2, 
      0x6c24afa2, 0x000af9e2, 
      0x7823efa4, 0x000af9c2, 
      0x83233fa5, 0x000af9b2, 
      0x8e227fa7, 0x000af9a2, 
      0x9a21bfa9, 0x000af982, 
      0xa5210faa, 0x000af972, 
      0xb0204fac, 0x000af962, 
      0xbb1f9fad, 0x000af952, 
      0xc61edfaf, 0x000af942, 
      0xd11e1fb1, 0x000af932, 
      0xdc1d5fb3, 0x000af922, 
      0xe61cafb5, 0x000af912, 
      0xf11bffb6, 0x000af902, 
      0xfb1b3fb9, 0x000af8f2, 
      0x061a8fba, 0x000af8e3, 
      0x1019cfbc, 0x000af8e3, 
      0x1a191fbe, 0x000af8d3, 
      0x24185fc0, 0x000af8d3, 
      0x2e17afc2, 0x000af8c3, 
      0x3816ffc3, 0x000af8c3, 
      0x41164fc5, 0x000af8c3, 
      0x4b159fc6, 0x000af8c3, 
      0x5414efc8, 0x000af8c3, 
      0x5d143fca, 0x000af8c3, 
      0x66138fcc, 0x000af8c3, 
      0x6f12dfce, 0x000af8c3, 
      0x78122fcf, 0x000af8d3, 
      0x80118fd2, 0x0009f8d3, 
      0x8810dfd4, 0x0009f8e3, 
      0x90103fd5, 0x0009f8f3, 
      0x980f8fd7, 0x0009f903, 
      0xa00eefd8, 0x0009f913, 
      0xa70e4fda, 0x0009f923, 
      0xaf0dafdb, 0x0009f933, 
      0xb60d0fdd, 0x0009f943, 
      0xbd0c6fde, 0x0009f963, 
      0xc40bdfe0, 0x0008f973, 
      0xca0b3fe2, 0x0008f993, 
      0xd00aafe3, 0x0008f9b3, 
      0xd60a1fe4, 0x0008f9d3, 
      0xdc098fe5, 0x0008f9f3, 
      0xe108ffe8, 0x0007fa13, 
      0xe7086fe8, 0x0007fa43, 
      0xec07dfea, 0x0007fa63, 
      0xf1074feb, 0x0007fa93, 
      0xf506cfed, 0x0006fac3, 
      0xf9064fee, 0x0006faf3, 
      0xfe05cfef, 0x0005fb23, 
      0x01054ff0, 0x0005fb64, 
      0x0504cff1, 0x0005fb94, 
      0x08044ff3, 0x0004fbd4, 
      0x0b03dff3, 0x0004fc14, 
      0x0e036ff5, 0x0003fc44, 
      0x1102eff5, 0x0003fc94, 
      0x13027ff7, 0x0002fcd4, 
      0x15021ff7, 0x0002fd14, 
      0x1701aff8, 0x0001fd64, 
      0x18013ff9, 0x0001fdb4, 
      0x1900dffa, 0x0000fe04, 
      0x1a007ffb, 0x0ffffe54, 
      0x1b001ffb, 0x0ffffea4, 
      0x1bffbffd, 0x0ffefef4, 
      0x1cff5ffd, 0x0ffdff54, 
      0x1bfefffe, 0x0ffdffb4, 
      0x1bfeaffe, 0x0ffc0014, 
      0x1afe5fff, 0x0ffb0074, 
      0x19fe0000, 0x0ffa00d4, 
      0x18fdb001, 0x0ff90134, 
      0x17fd6001, 0x0ff801a4, 
      0x15fd1002, 0x0ff70214, 
      0x13fcd003, 0x0ff60274, 
      0x11fc9003, 0x0ff502e4, 
      0x0efc4004, 0x0ff40364, 
      0x0bfc1004, 0x0ff303d4, 
      0x08fbd005, 0x0ff20444, 
      0x05fb9005, 0x0ff104c4, 
      0x01fb6005, 0x0ff00544, 
      0xfefb2005, 0x0fef05c3, 
      0xf9faf006, 0x0fee0643, 
      0xf5fac007, 0x0fec06c3, 
      0xf1fa9006, 0x0feb0753, 
      0xecfa6007, 0x0fea07d3, 
      0xe7fa4007, 0x0fe80863, 
      0xe1fa1008, 0x0fe708f3, 
      0xdcf9f007, 0x0fe60983, 
      0xd6f9d008, 0x0fe40a13, 
      0xd0f9b008, 0x0fe30aa3, 
      0xcaf99009, 0x0fe10b33, 
      0xc3f97009, 0x0fe00bd3, 
      0xbdf96008, 0x0fde0c73, 
      0xb6f94009, 0x0fdd0d03, 
      0xaff93009, 0x0fdb0da3, 
      0xa7f92009, 0x0fda0e43, 
      0xa0f91009, 0x0fd80ee3, 
      0x98f9000a, 0x0fd60f83, 
      0x90f8f009, 0x0fd51033, 
      0x88f8e00a, 0x0fd310d3, 
      0x80f8d00a, 0x0fd11183, 
      0x78f8d009, 0x0fd01223, 
      0x6ff8c00a, 0x0fce12d3, 
      0x66f8c00a, 0x0fcc1383, 
      0x5df8c009, 0x0fcb1433, 
      0x54f8c009, 0x0fc914e3, 
      0x4bf8c009, 0x0fc71593, 
      0x41f8c00a, 0x0fc51643, 
      0x38f8c00a, 0x0fc316f3, 
      0x2ef8c00a, 0x0fc217a3, 
      0x24f8d00a, 0x0fc01853, 
      0x1af8d00a, 0x0fbe1913, 
      0x10f8e00a, 0x0fbc19c3, 
      0x06f8e00a, 0x0fba1a83, 
      0xfbf8f00a, 0x0fb91b32, 
      0xf1f90009, 0x0fb71bf2, 
      0xe6f9100a, 0x0fb51ca2, 
      0xdcf92009, 0x0fb31d62, 
      0xd1f9300a, 0x0fb11e12, 
      0xc6f94009, 0x0fb01ed2, 
      0xbbf95009, 0x0fae1f92, 
      0xb0f9600a, 0x0fac2042, 
      0xa5f97009, 0x0fab2102, 
      0x9af9800a, 0x0fa921b2, 
      0x8ff9a009, 0x0fa72272, 
      0x83f9b009, 0x0fa62332, 
      0x78f9c00a, 0x0fa423e2, 
      0x6cf9e00a, 0x0fa224a2, 
      0x61f9f00a, 0x0fa12552,
   },
   { /* UV scale factor = 1.03, phases = 127, taps = 5. */
      0x62257fa0, 0x0009f9e2, 
      0x6d24bfa1, 0x000af9d2, 
      0x7923ffa3, 0x000af9b2, 
      0x84234fa4, 0x000af9a2, 
      0x90227fa6, 0x000af992, 
      0x9b21cfa8, 0x000af972, 
      0xa6210faa, 0x000af962, 
      0xb1205fab, 0x000af952, 
      0xbc1f9fad, 0x000af942, 
      0xc71edfaf, 0x000af932, 
      0xd21e2fb0, 0x000af922, 
      0xdd1d6fb2, 0x000af912, 
      0xe81cafb4, 0x000af902, 
      0xf21bffb6, 0x000af8f2, 
      0xfd1b3fb8, 0x000af8e2, 
      0x071a8fba, 0x000af8d3, 
      0x1219cfbb, 0x000af8d3, 
      0x1c191fbd, 0x000af8c3, 
      0x26185fbf, 0x000af8c3, 
      0x3017afc1, 0x000af8b3, 
      0x3916ffc3, 0x000af8b3, 
      0x43164fc4, 0x000af8b3, 
      0x4c159fc6, 0x000af8b3, 
      0x5614dfc8, 0x000af8b3, 
      0x5f143fc9, 0x000af8b3, 
      0x68138fcb, 0x000af8b3, 
      0x7112dfcd, 0x000af8b3, 
      0x79122fd0, 0x0009f8c3, 
      0x82118fd1, 0x0009f8c3, 
      0x8a10dfd3, 0x0009f8d3, 
      0x92103fd4, 0x0009f8e3, 
      0x9a0f9fd6, 0x0009f8e3, 
      0xa20eefd8, 0x0009f8f3, 
      0xa90e4fd9, 0x0009f913, 
      0xb10dafda, 0x0009f923, 
      0xb80d0fdc, 0x0009f933, 
      0xbf0c6fde, 0x0008f953, 
      0xc50bdfe0, 0x0008f963, 
      0xcc0b3fe1, 0x0008f983, 
      0xd20aafe2, 0x0008f9a3, 
      0xd80a0fe4, 0x0008f9c3, 
      0xde097fe6, 0x0007f9e3, 
      0xe408efe7, 0x0007fa03, 
      0xe9085fe8, 0x0007fa33, 
      0xee07dfe9, 0x0007fa53, 
      0xf3074feb, 0x0006fa83, 
      0xf706cfec, 0x0006fab3, 
      0xfc063fed, 0x0006fae3, 
      0x0005bfef, 0x0005fb14, 
      0x04053ff0, 0x0005fb44, 
      0x0704bff1, 0x0005fb84, 
      0x0b044ff1, 0x0004fbc4, 
      0x0e03cff3, 0x0004fbf4, 
      0x11035ff4, 0x0003fc34, 
      0x1302dff5, 0x0003fc84, 
      0x15027ff6, 0x0002fcc4, 
      0x17020ff7, 0x0002fd04, 
      0x19019ff8, 0x0001fd54, 
      0x1b012ff9, 0x0000fda4, 
      0x1c00cff9, 0x0000fdf4, 
      0x1d006ffa, 0x0ffffe44, 
      0x1d000ffc, 0x0ffefe94, 
      0x1effaffc, 0x0ffefee4, 
      0x1eff4ffd, 0x0ffdff44, 
      0x1efeeffe, 0x0ffcffa4, 
      0x1dfe9fff, 0x0ffb0004, 
      0x1dfe3fff, 0x0ffb0064, 
      0x1cfdffff, 0x0ffa00c4, 
      0x1bfda000, 0x0ff90124, 
      0x19fd5001, 0x0ff80194, 
      0x17fd0002, 0x0ff70204, 
      0x15fcc002, 0x0ff60274, 
      0x13fc8002, 0x0ff502e4, 
      0x11fc3003, 0x0ff40354, 
      0x0efbf004, 0x0ff303c4, 
      0x0bfbb004, 0x0ff20444, 
      0x07fb8005, 0x0ff104b4, 
      0x04fb4005, 0x0ff00534, 
      0x00fb1006, 0x0fee05b4, 
      0xfcfae006, 0x0fed0633, 
      0xf7fab006, 0x0fec06c3, 
      0xf3fa8006, 0x0feb0743, 
      0xeefa5007, 0x0fe907d3, 
      0xe9fa3007, 0x0fe80853, 
      0xe4fa0007, 0x0fe708e3, 
      0xdef9e008, 0x0fe50973, 
      0xd8f9c008, 0x0fe40a03, 
      0xd2f9a008, 0x0fe20aa3, 
      0xccf98008, 0x0fe10b33, 
      0xc5f96009, 0x0fdf0bd3, 
      0xbff95008, 0x0fde0c63, 
      0xb8f93009, 0x0fdc0d03, 
      0xb1f92008, 0x0fdb0da3, 
      0xa9f91009, 0x0fd90e43, 
      0xa2f8f009, 0x0fd80ee3, 
      0x9af8e00a, 0x0fd60f83, 
      0x92f8e009, 0x0fd41033, 
      0x8af8d009, 0x0fd310d3, 
      0x82f8c009, 0x0fd11183, 
      0x79f8c00a, 0x0fcf1223, 
      0x71f8b00a, 0x0fcd12d3, 
      0x68f8b009, 0x0fcc1383, 
      0x5ff8b009, 0x0fca1433, 
      0x56f8b009, 0x0fc814e3, 
      0x4cf8b00a, 0x0fc61593, 
      0x43f8b009, 0x0fc51643, 
      0x39f8b00a, 0x0fc316f3, 
      0x30f8b00a, 0x0fc117a3, 
      0x26f8c009, 0x0fbf1863, 
      0x1cf8c00a, 0x0fbd1913, 
      0x12f8d009, 0x0fbc19c3, 
      0x07f8d00a, 0x0fba1a83, 
      0xfdf8e00a, 0x0fb81b32, 
      0xf2f8f00a, 0x0fb61bf2, 
      0xe8f90009, 0x0fb41cb2, 
      0xddf9100a, 0x0fb21d62, 
      0xd2f92009, 0x0fb11e22, 
      0xc7f9300a, 0x0faf1ed2, 
      0xbcf9400a, 0x0fad1f92, 
      0xb1f9500a, 0x0fab2052, 
      0xa6f9600a, 0x0faa2102, 
      0x9bf9700a, 0x0fa821c2, 
      0x90f99009, 0x0fa62282, 
      0x84f9a009, 0x0fa52342, 
      0x79f9b00a, 0x0fa323f2, 
      0x6df9d00a, 0x0fa124b2, 
      0x62f9e00a, 0x0fa02562,
   },
   { /* UV scale factor = 1.04, phases = 127, taps = 5. */
      0x63258f9f, 0x0009f9d2, 
      0x6e24cfa1, 0x0009f9c2, 
      0x7a240fa3, 0x0009f9a2, 
      0x85234fa4, 0x000af992, 
      0x91228fa5, 0x000af982, 
      0x9c21dfa7, 0x000af962, 
      0xa7211fa9, 0x000af952, 
      0xb2205fab, 0x000af942, 
      0xbe1f9fac, 0x000af932, 
      0xc81eefae, 0x000af922, 
      0xd41e2faf, 0x000af912, 
      0xde1d7fb1, 0x000af902, 
      0xe91cbfb3, 0x000af8f2, 
      0xf41bffb5, 0x000af8e2, 
      0xfe1b4fb7, 0x000af8d2, 
      0x091a8fb9, 0x000af8c3, 
      0x1319dfba, 0x000af8c3, 
      0x1d191fbd, 0x000af8b3, 
      0x27186fbe, 0x000af8b3, 
      0x3117bfc0, 0x000af8a3, 
      0x3b16ffc2, 0x000af8a3, 
      0x45164fc3, 0x000af8a3, 
      0x4e159fc5, 0x000af8a3, 
      0x5814dfc7, 0x000af8a3, 
      0x61142fc9, 0x000af8a3, 
      0x6a138fcb, 0x0009f8a3, 
      0x7312dfcd, 0x0009f8a3, 
      0x7b122fcf, 0x0009f8b3, 
      0x84117fd1, 0x0009f8b3, 
      0x8c10dfd2, 0x0009f8c3, 
      0x94103fd4, 0x0009f8c3, 
      0x9c0f8fd6, 0x0009f8d3, 
      0xa40eefd7, 0x0009f8e3, 
      0xab0e4fd9, 0x0009f8f3, 
      0xb30d9fda, 0x0009f913, 
      0xba0d0fdb, 0x0009f923, 
      0xc10c6fde, 0x0008f933, 
      0xc80bcfdf, 0x0008f953, 
      0xce0b3fe0, 0x0008f973, 
      0xd40a9fe2, 0x0008f993, 
      0xda0a0fe3, 0x0008f9b3, 
      0xe0097fe5, 0x0007f9d3, 
      0xe608efe6, 0x0007f9f3, 
      0xeb085fe7, 0x0007fa23, 
      0xf007cfe9, 0x0007fa43, 
      0xf5073feb, 0x0006fa73, 
      0xfa06bfeb, 0x0006faa3, 
      0xfe063fec, 0x0006fad3, 
      0x0205bfee, 0x0005fb04, 
      0x06053fef, 0x0005fb34, 
      0x0a04bff0, 0x0004fb74, 
      0x0d043ff1, 0x0004fbb4, 
      0x1003cff3, 0x0003fbe4, 
      0x13034ff4, 0x0003fc24, 
      0x1502dff5, 0x0003fc64, 
      0x18026ff5, 0x0002fcb4, 
      0x1a01fff7, 0x0001fcf4, 
      0x1c018ff7, 0x0001fd44, 
      0x1d011ff9, 0x0000fd94, 
      0x1e00bff9, 0x0000fde4, 
      0x1f005ffa, 0x0ffffe34, 
      0x20fffffb, 0x0ffefe84, 
      0x20ff9ffc, 0x0ffefed4, 
      0x20ff3ffd, 0x0ffdff34, 
      0x20fedffe, 0x0ffcff94, 
      0x20fe8ffe, 0x0ffbfff4, 
      0x1ffe3fff, 0x0ffa0054, 
      0x1efdefff, 0x0ffa00b4, 
      0x1dfd9000, 0x0ff90114, 
      0x1cfd4000, 0x0ff80184, 
      0x1afcf001, 0x0ff701f4, 
      0x18fcb001, 0x0ff60264, 
      0x15fc6003, 0x0ff502d4, 
      0x13fc2003, 0x0ff40344, 
      0x10fbe004, 0x0ff303b4, 
      0x0dfbb003, 0x0ff20434, 
      0x0afb7004, 0x0ff004b4, 
      0x06fb3005, 0x0fef0534, 
      0x02fb0005, 0x0fee05b4, 
      0xfefad005, 0x0fed0633, 
      0xfafaa005, 0x0fec06b3, 
      0xf5fa7007, 0x0fea0733, 
      0xf0fa4007, 0x0fe907c3, 
      0xebfa2006, 0x0fe80853, 
      0xe6f9f007, 0x0fe608e3, 
      0xe0f9d007, 0x0fe50973, 
      0xdaf9b008, 0x0fe30a03, 
      0xd4f99008, 0x0fe20a93, 
      0xcef97007, 0x0fe10b33, 
      0xc8f95008, 0x0fdf0bc3, 
      0xc1f93009, 0x0fdd0c63, 
      0xbaf92008, 0x0fdc0d03, 
      0xb3f91008, 0x0fda0da3, 
      0xabf8f009, 0x0fd90e43, 
      0xa4f8e009, 0x0fd70ee3, 
      0x9cf8d00a, 0x0fd50f83, 
      0x94f8c00a, 0x0fd41023, 
      0x8cf8c009, 0x0fd210d3, 
      0x84f8b00a, 0x0fd01173, 
      0x7bf8b009, 0x0fcf1223, 
      0x73f8a009, 0x0fcd12d3, 
      0x6af8a009, 0x0fcb1383, 
      0x61f8a009, 0x0fc91433, 
      0x58f89009, 0x0fc814e3, 
      0x4ef8a009, 0x0fc61593, 
      0x45f8a009, 0x0fc41643, 
      0x3bf8a00a, 0x0fc216f3, 
      0x31f8a00a, 0x0fc017b3, 
      0x27f8b00a, 0x0fbe1863, 
      0x1df8b00a, 0x0fbd1913, 
      0x13f8c009, 0x0fbb19d3, 
      0x09f8c00a, 0x0fb91a83, 
      0xfef8d00a, 0x0fb71b42, 
      0xf4f8e00a, 0x0fb51bf2, 
      0xe9f8f009, 0x0fb41cb2, 
      0xdef90009, 0x0fb21d72, 
      0xd4f91009, 0x0fb01e22, 
      0xc9f92009, 0x0fae1ee2, 
      0xbef93009, 0x0fac1fa2, 
      0xb2f9400a, 0x0fab2052, 
      0xa7f9500a, 0x0fa92112, 
      0x9cf9600a, 0x0fa721d2, 
      0x91f98009, 0x0fa52292, 
      0x85f9900a, 0x0fa42342, 
      0x7af9a00a, 0x0fa22402, 
      0x6ef9c009, 0x0fa124c2, 
      0x63f9d00a, 0x0f9f2572,
   },
   { /* UV scale factor = 1.05, phases = 127, taps = 5. */
      0x64258f9e, 0x0009f9d2, 
      0x6f24dfa0, 0x0009f9b2, 
      0x7b241fa1, 0x0009f9a2, 
      0x86236fa3, 0x0009f982, 
      0x92229fa5, 0x0009f972, 
      0x9d21efa7, 0x0009f952, 
      0xa8212fa8, 0x000af942, 
      0xb4206fa9, 0x000af932, 
      0xbf1fafab, 0x000af922, 
      0xca1eefad, 0x000af912, 
      0xd51e2faf, 0x000af902, 
      0xe01d7fb0, 0x000af8f2, 
      0xea1cbfb3, 0x000af8e2, 
      0xf51c0fb4, 0x000af8d2, 
      0x001b4fb6, 0x000af8c3, 
      0x0a1a9fb8, 0x000af8b3, 
      0x1419dfba, 0x000af8b3, 
      0x1f192fbb, 0x000af8a3, 
      0x29186fbd, 0x000af8a3, 
      0x3317bfbf, 0x000af893, 
      0x3d16ffc1, 0x000af893, 
      0x46164fc3, 0x000af893, 
      0x50158fc5, 0x000af893, 
      0x5914efc7, 0x0009f893, 
      0x62143fc9, 0x0009f893, 
      0x6c138fca, 0x0009f893, 
      0x7412dfcd, 0x0009f893, 
      0x7d122fcf, 0x0009f893, 
      0x86117fd0, 0x0009f8a3, 
      0x8e10dfd1, 0x0009f8b3, 
      0x96102fd4, 0x0009f8b3, 
      0x9e0f8fd5, 0x0009f8c3, 
      0xa60eefd6, 0x0009f8d3, 
      0xae0e3fd8, 0x0009f8e3, 
      0xb50d9fda, 0x0009f8f3, 
      0xbc0cffdc, 0x0008f913, 
      0xc30c6fdd, 0x0008f923, 
      0xca0bcfde, 0x0008f943, 
      0xd00b2fe0, 0x0008f963, 
      0xd70a8fe1, 0x0008f983, 
      0xdd09ffe3, 0x0007f9a3, 
      0xe2096fe5, 0x0007f9c3, 
      0xe808dfe6, 0x0007f9e3, 
      0xed084fe8, 0x0007fa03, 
      0xf307bfe9, 0x0006fa33, 
      0xf7073fea, 0x0006fa63, 
      0xfc06afeb, 0x0006fa93, 
      0x00062fed, 0x0005fac4, 
      0x0505afed, 0x0005faf4, 
      0x08052fef, 0x0005fb24, 
      0x0c04aff0, 0x0004fb64, 
      0x0f042ff2, 0x0004fb94, 
      0x1203bff3, 0x0003fbd4, 
      0x15033ff4, 0x0003fc14, 
      0x1802cff5, 0x0002fc54, 
      0x1a025ff5, 0x0002fca4, 
      0x1c01eff7, 0x0001fce4, 
      0x1e017ff7, 0x0001fd34, 
      0x1f011ff8, 0x0000fd84, 
      0x2100aff9, 0x0ffffdd4, 
      0x22003ffa, 0x0ffffe24, 
      0x22ffeffb, 0x0ffefe74, 
      0x23ff8ffc, 0x0ffdfec4, 
      0x23ff2ffc, 0x0ffdff24, 
      0x23fecffd, 0x0ffcff84, 
      0x22fe7ffe, 0x0ffbffe4, 
      0x22fe2ffe, 0x0ffa0044, 
      0x21fddfff, 0x0ff900a4, 
      0x1ffd8000, 0x0ff80114, 
      0x1efd3001, 0x0ff70174, 
      0x1cfce001, 0x0ff701e4, 
      0x1afca001, 0x0ff60254, 
      0x18fc5003, 0x0ff402c4, 
      0x15fc2003, 0x0ff30334, 
      0x12fbd004, 0x0ff203b4, 
      0x0ffba004, 0x0ff10424, 
      0x0cfb6004, 0x0ff004a4, 
      0x08fb2005, 0x0fef0524, 
      0x05fae005, 0x0fee05a4, 
      0x00fac006, 0x0fec0624, 
      0xfcfa9006, 0x0feb06a3, 
      0xf7fa6006, 0x0fea0733, 
      0xf3fa3006, 0x0fe907b3, 
      0xedfa1007, 0x0fe70843, 
      0xe8f9e007, 0x0fe608d3, 
      0xe2f9c008, 0x0fe40963, 
      0xddf9a007, 0x0fe309f3, 
      0xd7f97007, 0x0fe20a93, 
      0xd0f96008, 0x0fe00b23, 
      0xcaf93008, 0x0fdf0bc3, 
      0xc3f92009, 0x0fdd0c53, 
      0xbcf91009, 0x0fdb0cf3, 
      0xb5f8f009, 0x0fda0d93, 
      0xaef8e009, 0x0fd80e33, 
      0xa6f8d008, 0x0fd70ee3, 
      0x9ef8c009, 0x0fd50f83, 
      0x96f8b00a, 0x0fd31023, 
      0x8ef8a009, 0x0fd210d3, 
      0x86f8a009, 0x0fd01173, 
      0x7df8900a, 0x0fce1223, 
      0x74f8900a, 0x0fcc12d3, 
      0x6cf88009, 0x0fcb1383, 
      0x62f89009, 0x0fc91433, 
      0x59f89009, 0x0fc714e3, 
      0x50f89009, 0x0fc51593, 
      0x46f8900a, 0x0fc31643, 
      0x3df8900a, 0x0fc116f3, 
      0x33f89009, 0x0fc017b3, 
      0x29f8a009, 0x0fbe1863, 
      0x1ff8a009, 0x0fbc1923, 
      0x15f8b009, 0x0fba19d3, 
      0x0af8b00a, 0x0fb81a93, 
      0x00f8c00a, 0x0fb61b43, 
      0xf5f8d009, 0x0fb51c02, 
      0xeaf8e00a, 0x0fb31cb2, 
      0xe0f8f009, 0x0fb11d72, 
      0xd5f90009, 0x0faf1e32, 
      0xcaf91009, 0x0fad1ef2, 
      0xbff92009, 0x0fac1fa2, 
      0xb4f93009, 0x0faa2062, 
      0xa8f9400a, 0x0fa82122, 
      0x9df9500a, 0x0fa621e2, 
      0x92f97009, 0x0fa52292, 
      0x86f9800a, 0x0fa32352, 
      0x7bf9a009, 0x0fa12412, 
      0x6ff9b009, 0x0fa024d2, 
      0x64f9d009, 0x0f9e2582,
   },
   { /* UV scale factor = 1.06, phases = 127, taps = 5. */
      0x65259f9d, 0x0009f9c2, 
      0x7024ef9f, 0x0009f9a2, 
      0x7c242fa0, 0x0009f992, 
      0x87236fa3, 0x0009f972, 
      0x9322afa4, 0x0009f962, 
      0x9e21ffa6, 0x0009f942, 
      0xaa213fa7, 0x0009f932, 
      0xb5207fa9, 0x0009f922, 
      0xc01fbfab, 0x0009f912, 
      0xcb1effad, 0x0009f902, 
      0xd61e3fae, 0x000af8f2, 
      0xe11d7fb0, 0x000af8e2, 
      0xec1cbfb2, 0x000af8d2, 
      0xf71c0fb3, 0x000af8c2, 
      0x011b5fb5, 0x000af8b3, 
      0x0c1a9fb7, 0x000af8a3, 
      0x1619dfb9, 0x000af8a3, 
      0x20192fbb, 0x000af893, 
      0x2b186fbd, 0x000af883, 
      0x3517afbf, 0x000af883, 
      0x3e170fc1, 0x0009f883, 
      0x48164fc3, 0x0009f883, 
      0x52159fc5, 0x0009f873, 
      0x5b14efc7, 0x0009f873, 
      0x64143fc9, 0x0009f873, 
      0x6d138fca, 0x0009f883, 
      0x7612dfcc, 0x0009f883, 
      0x7f122fce, 0x0009f883, 
      0x88117fcf, 0x0009f893, 
      0x9010dfd1, 0x0009f893, 
      0x98102fd3, 0x0009f8a3, 
      0xa00f8fd4, 0x0009f8b3, 
      0xa80edfd6, 0x0009f8c3, 
      0xb00e3fd7, 0x0009f8d3, 
      0xb70d9fda, 0x0008f8e3, 
      0xbe0cffdb, 0x0008f903, 
      0xc50c5fdd, 0x0008f913, 
      0xcc0bbfde, 0x0008f933, 
      0xd20b2fe0, 0x0008f943, 
      0xd90a8fe1, 0x0008f963, 
      0xdf09ffe3, 0x0007f983, 
      0xe5095fe4, 0x0007f9b3, 
      0xea08dfe5, 0x0007f9d3, 
      0xf0084fe6, 0x0007f9f3, 
      0xf507bfe8, 0x0006fa23, 
      0xfa072fe9, 0x0006fa53, 
      0xfe06afea, 0x0006fa83, 
      0x03061fec, 0x0005fab4, 
      0x07059fed, 0x0005fae4, 
      0x0b051fef, 0x0004fb14, 
      0x0e049ff0, 0x0004fb54, 
      0x12041ff1, 0x0004fb84, 
      0x1503aff2, 0x0003fbc4, 
      0x18032ff3, 0x0003fc04, 
      0x1a02bff5, 0x0002fc44, 
      0x1c024ff5, 0x0002fc94, 
      0x1f01dff6, 0x0001fcd4, 
      0x20016ff8, 0x0000fd24, 
      0x2200fff8, 0x0000fd74, 
      0x23009ffa, 0x0ffffdb4, 
      0x24003ff9, 0x0ffffe14, 
      0x25ffdffa, 0x0ffefe64, 
      0x25ff7ffc, 0x0ffdfeb4, 
      0x25ff1ffd, 0x0ffcff14, 
      0x25febffd, 0x0ffcff74, 
      0x25fe6ffd, 0x0ffbffd4, 
      0x24fe1ffe, 0x0ffa0034, 
      0x23fdb000, 0x0ff90094, 
      0x22fd7fff, 0x0ff80104, 
      0x20fd2001, 0x0ff70164, 
      0x1ffcd001, 0x0ff601d4, 
      0x1dfc9001, 0x0ff50244, 
      0x1afc4003, 0x0ff402b4, 
      0x18fc0003, 0x0ff30324, 
      0x15fbc003, 0x0ff203a4, 
      0x12fb8004, 0x0ff10414, 
      0x0efb5004, 0x0ff00494, 
      0x0bfb1004, 0x0fef0514, 
      0x07fae005, 0x0fed0594, 
      0x03fab005, 0x0fec0614, 
      0xfefa8005, 0x0feb06a3, 
      0xfafa5005, 0x0fea0723, 
      0xf5fa2006, 0x0fe807b3, 
      0xf0f9f006, 0x0fe70843, 
      0xeaf9d007, 0x0fe508d3, 
      0xe5f9a007, 0x0fe40963, 
      0xdff98007, 0x0fe309f3, 
      0xd9f96008, 0x0fe10a83, 
      0xd2f94008, 0x0fe00b23, 
      0xccf93008, 0x0fde0bb3, 
      0xc5f91008, 0x0fdd0c53, 
      0xbef90008, 0x0fdb0cf3, 
      0xb7f8e009, 0x0fd90d93, 
      0xb0f8d008, 0x0fd80e33, 
      0xa8f8c009, 0x0fd60ed3, 
      0xa0f8b009, 0x0fd40f83, 
      0x98f8a009, 0x0fd31023, 
      0x90f89009, 0x0fd110d3, 
      0x88f89009, 0x0fcf1173, 
      0x7ff8800a, 0x0fcd1223, 
      0x76f88009, 0x0fcc12d3, 
      0x6df88009, 0x0fca1383, 
      0x64f8700a, 0x0fc81433, 
      0x5bf8700a, 0x0fc614e3, 
      0x52f87009, 0x0fc51593, 
      0x48f88009, 0x0fc31643, 
      0x3ef88009, 0x0fc11703, 
      0x35f88009, 0x0fbf17b3, 
      0x2bf8800a, 0x0fbd1863, 
      0x20f8900a, 0x0fbb1923, 
      0x16f8a00a, 0x0fb919d3, 
      0x0cf8a009, 0x0fb81a93, 
      0x01f8b009, 0x0fb61b53, 
      0xf7f8c009, 0x0fb41c02, 
      0xecf8d009, 0x0fb21cc2, 
      0xe1f8e009, 0x0fb01d82, 
      0xd6f8f00a, 0x0fae1e32, 
      0xcbf90009, 0x0fad1ef2, 
      0xc0f91009, 0x0fab1fb2, 
      0xb5f92009, 0x0fa92072, 
      0xaaf93009, 0x0fa72132, 
      0x9ef9400a, 0x0fa621e2, 
      0x93f96009, 0x0fa422a2, 
      0x87f9700a, 0x0fa22362, 
      0x7cf99009, 0x0fa02422, 
      0x70f9a00a, 0x0f9f24d2, 
      0x65f9c009, 0x0f9d2592,
   },
   { /* UV scale factor = 1.07, phases = 127, taps = 5. */
      0x6625af9c, 0x0009f9b2, 
      0x7124ff9e, 0x0009f992, 
      0x7d242fa0, 0x0009f982, 
      0x89237fa1, 0x0009f962, 
      0x9422bfa3, 0x0009f952, 
      0x9f220fa5, 0x0009f932, 
      0xab213fa7, 0x0009f922, 
      0xb6207fa9, 0x0009f912, 
      0xc11fcfaa, 0x0009f902, 
      0xcc1f0fac, 0x0009f8f2, 
      0xd71e4fae, 0x0009f8e2, 
      0xe21d9fb0, 0x0009f8c2, 
      0xed1ccfb2, 0x0009f8c2, 
      0xf81c1fb3, 0x0009f8b2, 
      0x031b5fb5, 0x0009f8a3, 
      0x0d1aafb7, 0x0009f893, 
      0x1819efb9, 0x0009f883, 
      0x22192fbb, 0x0009f883, 
      0x2c187fbd, 0x0009f873, 
      0x3617bfbf, 0x0009f873, 
      0x40170fc0, 0x0009f873, 
      0x4a164fc3, 0x0009f863, 
      0x5315afc4, 0x0009f863, 
      0x5d14efc6, 0x0009f863, 
      0x66143fc8, 0x0009f863, 
      0x6f138fc9, 0x0009f873, 
      0x7812dfcb, 0x0009f873, 
      0x81122fcd, 0x0009f873, 
      0x8a117fce, 0x0009f883, 
      0x9210cfd1, 0x0009f883, 
      0x9a102fd2, 0x0009f893, 
      0xa20f7fd4, 0x0009f8a3, 
      0xaa0edfd5, 0x0009f8b3, 
      0xb20e3fd7, 0x0008f8c3, 
      0xb90d9fd9, 0x0008f8d3, 
      0xc00cffdb, 0x0008f8e3, 
      0xc70c5fdc, 0x0008f903, 
      0xce0bbfdd, 0x0008f923, 
      0xd50b1fdf, 0x0008f933, 
      0xdb0a8fe1, 0x0007f953, 
      0xe109efe3, 0x0007f973, 
      0xe7095fe4, 0x0007f993, 
      0xec08cfe5, 0x0007f9c3, 
      0xf2083fe7, 0x0006f9e3, 
      0xf707afe8, 0x0006fa13, 
      0xfc072fe9, 0x0006fa33, 
      0x01069feb, 0x0005fa64, 
      0x05061fec, 0x0005fa94, 
      0x09058fed, 0x0005fad4, 
      0x0d050fef, 0x0004fb04, 
      0x11048ff0, 0x0004fb34, 
      0x14041ff1, 0x0003fb74, 
      0x17039ff2, 0x0003fbb4, 
      0x1a032ff3, 0x0002fbf4, 
      0x1d02aff4, 0x0002fc34, 
      0x1f024ff5, 0x0001fc74, 
      0x2101cff6, 0x0001fcc4, 
      0x23015ff7, 0x0000fd14, 
      0x2400fff8, 0x0000fd54, 
      0x26008ff9, 0x0ffffda4, 
      0x27002ff9, 0x0ffefe04, 
      0x27ffcffa, 0x0ffefe54, 
      0x28ff6ffb, 0x0ffdfea4, 
      0x28ff0ffc, 0x0ffcff04, 
      0x28feaffd, 0x0ffbff64, 
      0x27fe5ffe, 0x0ffaffc4, 
      0x27fdfffe, 0x0ffa0024, 
      0x26fdafff, 0x0ff90084, 
      0x24fd5000, 0x0ff800f4, 
      0x23fd1000, 0x0ff70154, 
      0x21fcc001, 0x0ff601c4, 
      0x1ffc7002, 0x0ff50234, 
      0x1dfc3002, 0x0ff402a4, 
      0x1afbf002, 0x0ff30324, 
      0x17fbb003, 0x0ff20394, 
      0x14fb7003, 0x0ff10414, 
      0x11fb4004, 0x0fef0484, 
      0x0dfb0005, 0x0fee0504, 
      0x09fad005, 0x0fed0584, 
      0x05fa9005, 0x0fec0614, 
      0x01fa6006, 0x0fea0694, 
      0xfcfa3006, 0x0fe90723, 
      0xf7fa1006, 0x0fe807a3, 
      0xf2f9e007, 0x0fe60833, 
      0xedf9c006, 0x0fe508c3, 
      0xe7f99007, 0x0fe40953, 
      0xe1f97008, 0x0fe209e3, 
      0xdbf95007, 0x0fe10a83, 
      0xd5f93008, 0x0fdf0b13, 
      0xcef92007, 0x0fde0bb3, 
      0xc7f90008, 0x0fdc0c53, 
      0xc0f8e009, 0x0fda0cf3, 
      0xb9f8d008, 0x0fd90d93, 
      0xb2f8c008, 0x0fd70e33, 
      0xaaf8b008, 0x0fd60ed3, 
      0xa2f8a009, 0x0fd40f73, 
      0x9af89009, 0x0fd21023, 
      0x92f89009, 0x0fd010c3, 
      0x8af87009, 0x0fcf1173, 
      0x81f87009, 0x0fcd1223, 
      0x78f87009, 0x0fcb12d3, 
      0x6ff87009, 0x0fc91383, 
      0x66f86009, 0x0fc81433, 
      0x5df86009, 0x0fc614e3, 
      0x53f8600a, 0x0fc41593, 
      0x4af8600a, 0x0fc21643, 
      0x40f87009, 0x0fc01703, 
      0x36f8700a, 0x0fbe17b3, 
      0x2cf8700a, 0x0fbc1873, 
      0x22f88009, 0x0fbb1923, 
      0x18f88009, 0x0fb919e3, 
      0x0df8900a, 0x0fb71a93, 
      0x03f8a009, 0x0fb51b53, 
      0xf8f8b009, 0x0fb31c12, 
      0xedf8c00a, 0x0fb11cc2, 
      0xe2f8d00a, 0x0faf1d82, 
      0xd7f8e009, 0x0fae1e42, 
      0xccf8f009, 0x0fac1f02, 
      0xc1f90009, 0x0faa1fc2, 
      0xb6f9100a, 0x0fa82072, 
      0xabf9200a, 0x0fa62132, 
      0x9ff9300a, 0x0fa521f2, 
      0x94f95009, 0x0fa322b2, 
      0x89f96009, 0x0fa12372, 
      0x7df98009, 0x0fa02422, 
      0x71f9900a, 0x0f9e24e2, 
      0x66f9b009, 0x0f9c25a2,
   },
   { /* UV scale factor = 1.08, phases = 127, taps = 5. */
      0x6725bf9b, 0x0009f9a2, 
      0x7224ff9e, 0x0009f982, 
      0x7e243f9f, 0x0009f972, 
      0x8a238fa0, 0x0009f952, 
      0x9522cfa2, 0x0009f942, 
      0xa1220fa3, 0x0009f932, 
      0xac214fa6, 0x0009f912, 
      0xb7208fa8, 0x0009f902, 
      0xc31fcfa9, 0x0009f8f2, 
      0xce1f0fab, 0x0009f8e2, 
      0xd91e5fad, 0x0009f8c2, 
      0xe41d9faf, 0x0009f8b2, 
      0xef1cdfb1, 0x0009f8a2, 
      0xfa1c1fb2, 0x0009f8a2, 
      0x041b5fb5, 0x0009f893, 
      0x0f1aafb6, 0x0009f883, 
      0x1919efb9, 0x0009f873, 
      0x24192fba, 0x0009f873, 
      0x2e187fbc, 0x0009f863, 
      0x3817bfbe, 0x0009f863, 
      0x42170fbf, 0x0009f863, 
      0x4c164fc2, 0x0009f853, 
      0x55159fc4, 0x0009f853, 
      0x5f14efc5, 0x0009f853, 
      0x68143fc7, 0x0009f853, 
      0x71138fc9, 0x0009f853, 
      0x7a12dfca, 0x0009f863, 
      0x83122fcc, 0x0009f863, 
      0x8b117fce, 0x0009f873, 
      0x9410cfd0, 0x0009f873, 
      0x9c102fd1, 0x0009f883, 
      0xa40f7fd3, 0x0009f893, 
      0xac0edfd5, 0x0008f8a3, 
      0xb40e3fd6, 0x0008f8b3, 
      0xbb0d8fd9, 0x0008f8c3, 
      0xc20cffda, 0x0008f8d3, 
      0xc90c4fdc, 0x0008f8f3, 
      0xd00bbfdd, 0x0008f903, 
      0xd70b1fdf, 0x0007f923, 
      0xdd0a7fe1, 0x0007f943, 
      0xe309efe2, 0x0007f963, 
      0xe9095fe3, 0x0007f983, 
      0xef08cfe4, 0x0007f9a3, 
      0xf4083fe6, 0x0006f9d3, 
      0xf907afe7, 0x0006fa03, 
      0xfe071fe9, 0x0006fa23, 
      0x03068feb, 0x0005fa54, 
      0x07060fec, 0x0005fa84, 
      0x0c058fec, 0x0005fab4, 
      0x10050fed, 0x0004faf4, 
      0x13048fef, 0x0004fb24, 
      0x17040ff0, 0x0003fb64, 
      0x1a038ff1, 0x0003fba4, 
      0x1d031ff2, 0x0002fbe4, 
      0x1f029ff4, 0x0002fc24, 
      0x21023ff5, 0x0001fc64, 
      0x2401bff5, 0x0001fcb4, 
      0x25014ff7, 0x0000fd04, 
      0x2700eff8, 0x0ffffd44, 
      0x28007ff9, 0x0ffffd94, 
      0x29001ff9, 0x0ffefdf4, 
      0x2affbffa, 0x0ffdfe44, 
      0x2aff5ffb, 0x0ffdfe94, 
      0x2afefffc, 0x0ffcfef4, 
      0x2afe9ffd, 0x0ffbff54, 
      0x2afe4ffd, 0x0ffaffb4, 
      0x29fdfffe, 0x0ff90014, 
      0x28fdafff, 0x0ff80074, 
      0x27fd4fff, 0x0ff800e4, 
      0x25fd0000, 0x0ff70144, 
      0x24fcb000, 0x0ff601b4, 
      0x21fc6002, 0x0ff50224, 
      0x1ffc2002, 0x0ff40294, 
      0x1dfbd002, 0x0ff30314, 
      0x1afba003, 0x0ff10384, 
      0x17fb6003, 0x0ff00404, 
      0x13fb2004, 0x0fef0484, 
      0x10fae004, 0x0fee0504, 
      0x0cfab004, 0x0fed0584, 
      0x07fa9005, 0x0feb0604, 
      0x03fa5006, 0x0fea0684, 
      0xfefa2006, 0x0fe90713, 
      0xf9fa0006, 0x0fe707a3, 
      0xf4f9d006, 0x0fe60833, 
      0xeff9a006, 0x0fe508c3, 
      0xe9f98007, 0x0fe30953, 
      0xe3f96007, 0x0fe209e3, 
      0xddf94008, 0x0fe00a73, 
      0xd7f92007, 0x0fdf0b13, 
      0xd0f90008, 0x0fdd0bb3, 
      0xc9f8f008, 0x0fdc0c43, 
      0xc2f8d009, 0x0fda0ce3, 
      0xbbf8c009, 0x0fd80d83, 
      0xb4f8a008, 0x0fd70e33, 
      0xacf8a008, 0x0fd50ed3, 
      0xa4f89009, 0x0fd30f73, 
      0x9cf88008, 0x0fd21023, 
      0x94f87009, 0x0fd010c3, 
      0x8bf87009, 0x0fce1173, 
      0x83f86009, 0x0fcc1223, 
      0x7af85009, 0x0fcb12d3, 
      0x71f85009, 0x0fc91383, 
      0x68f85009, 0x0fc71433, 
      0x5ff85009, 0x0fc514e3, 
      0x55f8500a, 0x0fc31593, 
      0x4cf8500a, 0x0fc11643, 
      0x42f85009, 0x0fc01703, 
      0x38f86009, 0x0fbe17b3, 
      0x2ef86009, 0x0fbc1873, 
      0x24f87009, 0x0fba1923, 
      0x19f8700a, 0x0fb819e3, 
      0x0ff88009, 0x0fb61aa3, 
      0x04f8900a, 0x0fb41b53, 
      0xfaf8a009, 0x0fb21c12, 
      0xeff8a009, 0x0fb11cd2, 
      0xe4f8b009, 0x0faf1d92, 
      0xd9f8c00a, 0x0fad1e42, 
      0xcef8e009, 0x0fab1f02, 
      0xc3f8f009, 0x0fa91fc2, 
      0xb7f9000a, 0x0fa72082, 
      0xacf91009, 0x0fa62142, 
      0xa1f92009, 0x0fa42202, 
      0x95f94009, 0x0fa222c2, 
      0x8af95009, 0x0fa02382, 
      0x7ef97009, 0x0f9f2432, 
      0x72f9800a, 0x0f9d24f2, 
      0x67f9a009, 0x0f9b25b2,
   },
   { /* UV scale factor = 1.09, phases = 127, taps = 5. */
      0x6825cf9a, 0x0009f992, 
      0x73250f9d, 0x0009f972, 
      0x7f244f9e, 0x0009f962, 
      0x8b238fa0, 0x0009f942, 
      0x9622cfa2, 0x0009f932, 
      0xa2221fa2, 0x0009f922, 
      0xad215fa5, 0x0009f902, 
      0xb9209fa6, 0x0009f8f2, 
      0xc41fdfa8, 0x0009f8e2, 
      0xcf1f1faa, 0x0009f8d2, 
      0xda1e5fad, 0x0009f8b2, 
      0xe51dafae, 0x0009f8a2, 
      0xf01cefb0, 0x0009f892, 
      0xfb1c2fb1, 0x0009f892, 
      0x061b6fb3, 0x0009f883, 
      0x101aafb6, 0x0009f873, 
      0x1b19efb8, 0x0009f863, 
      0x25193fb9, 0x0009f863, 
      0x2f187fbc, 0x0009f853, 
      0x3917cfbd, 0x0009f853, 
      0x43171fbf, 0x0009f843, 
      0x4d165fc1, 0x0009f843, 
      0x57159fc3, 0x0009f843, 
      0x6014efc5, 0x0009f843, 
      0x6a143fc6, 0x0009f843, 
      0x73138fc8, 0x0009f843, 
      0x7c12dfca, 0x0009f843, 
      0x85122fcb, 0x0009f853, 
      0x8d117fce, 0x0009f853, 
      0x9610cfcf, 0x0009f863, 
      0x9e101fd1, 0x0009f873, 
      0xa60f7fd3, 0x0008f883, 
      0xae0edfd5, 0x0008f883, 
      0xb60e2fd6, 0x0008f8a3, 
      0xbd0d8fd8, 0x0008f8b3, 
      0xc50cefd9, 0x0008f8c3, 
      0xcc0c3fdb, 0x0008f8e3, 
      0xd20bafdd, 0x0008f8f3, 
      0xd90b0fdf, 0x0007f913, 
      0xdf0a7fe0, 0x0007f933, 
      0xe609dfe1, 0x0007f953, 
      0xeb094fe3, 0x0007f973, 
      0xf108bfe5, 0x0006f993, 
      0xf7082fe5, 0x0006f9c3, 
      0xfc079fe7, 0x0006f9e3, 
      0x01070fe9, 0x0005fa14, 
      0x05068fea, 0x0005fa44, 
      0x0a05ffeb, 0x0005fa74, 
      0x0e057fed, 0x0004faa4, 
      0x1204ffed, 0x0004fae4, 
      0x16047fee, 0x0004fb14, 
      0x1903fff0, 0x0003fb54, 
      0x1c037ff1, 0x0003fb94, 
      0x1f030ff2, 0x0002fbd4, 
      0x22028ff3, 0x0002fc14, 
      0x24021ff5, 0x0001fc54, 
      0x2601aff6, 0x0000fca4, 
      0x28014ff6, 0x0000fce4, 
      0x2900dff8, 0x0ffffd34, 
      0x2b006ff8, 0x0ffffd84, 
      0x2c000ff9, 0x0ffefdd4, 
      0x2cffaffa, 0x0ffdfe34, 
      0x2dff4ffb, 0x0ffcfe84, 
      0x2dfeeffb, 0x0ffcfee4, 
      0x2dfe8ffc, 0x0ffbff44, 
      0x2cfe3ffd, 0x0ffaffa4, 
      0x2cfddffe, 0x0ff90004, 
      0x2bfd8fff, 0x0ff80064, 
      0x29fd3000, 0x0ff700d4, 
      0x28fce000, 0x0ff60144, 
      0x26fca001, 0x0ff501a4, 
      0x24fc5002, 0x0ff40214, 
      0x22fc1001, 0x0ff30294, 
      0x1ffbd002, 0x0ff20304, 
      0x1cfb9003, 0x0ff10374, 
      0x19fb5003, 0x0ff003f4, 
      0x16fb1003, 0x0fef0474, 
      0x12fae003, 0x0fee04f4, 
      0x0efaa005, 0x0fec0574, 
      0x0afa7005, 0x0feb05f4, 
      0x05fa4005, 0x0fea0684, 
      0x01fa1006, 0x0fe80704, 
      0xfcf9e006, 0x0fe70793, 
      0xf7f9b006, 0x0fe60823, 
      0xf1f99007, 0x0fe408b3, 
      0xebf97007, 0x0fe30943, 
      0xe6f95007, 0x0fe109d3, 
      0xdff93007, 0x0fe00a73, 
      0xd9f91008, 0x0fde0b03, 
      0xd2f8f008, 0x0fdd0ba3, 
      0xccf8e007, 0x0fdb0c43, 
      0xc5f8c008, 0x0fd90ce3, 
      0xbdf8b008, 0x0fd80d83, 
      0xb6f8a008, 0x0fd60e23, 
      0xaef88009, 0x0fd40ed3, 
      0xa6f88008, 0x0fd30f73, 
      0x9ef87009, 0x0fd11013, 
      0x96f86009, 0x0fcf10c3, 
      0x8df85009, 0x0fce1173, 
      0x85f85008, 0x0fcc1223, 
      0x7cf84009, 0x0fca12d3, 
      0x73f84009, 0x0fc81383, 
      0x6af84009, 0x0fc61433, 
      0x60f8400a, 0x0fc414e3, 
      0x57f84009, 0x0fc31593, 
      0x4df84009, 0x0fc11653, 
      0x43f8400a, 0x0fbf1703, 
      0x39f8500a, 0x0fbd17b3, 
      0x2ff8500a, 0x0fbb1873, 
      0x25f86009, 0x0fb91933, 
      0x1bf8600a, 0x0fb719e3, 
      0x10f8700a, 0x0fb51aa3, 
      0x06f87009, 0x0fb41b63, 
      0xfbf88009, 0x0fb21c22, 
      0xf0f8900a, 0x0fb01cd2, 
      0xe5f8a00a, 0x0fae1d92, 
      0xdaf8b00a, 0x0fac1e52, 
      0xcff8d009, 0x0faa1f12, 
      0xc4f8e009, 0x0fa81fd2, 
      0xb9f8e009, 0x0fa72092, 
      0xadf90009, 0x0fa52152, 
      0xa2f91009, 0x0fa32212, 
      0x96f9300a, 0x0fa122c2, 
      0x8bf94009, 0x0fa02382, 
      0x7ff96009, 0x0f9e2442, 
      0x73f9700a, 0x0f9c2502, 
      0x68f98009, 0x0f9b25c2,
   },
   { /* UV scale factor = 1.10, phases = 127, taps = 5. */
      0x6925df99, 0x0009f982, 
      0x74251f9c, 0x0009f962, 
      0x80245f9d, 0x0009f952, 
      0x8c239f9f, 0x0009f932, 
      0x9722dfa1, 0x0009f922, 
      0xa3221fa2, 0x0009f912, 
      0xae216fa4, 0x0009f8f2, 
      0xba209fa6, 0x0009f8e2, 
      0xc51fdfa8, 0x0009f8d2, 
      0xd01f1faa, 0x0009f8c2, 
      0xdc1e6fab, 0x0009f8a2, 
      0xe71dafad, 0x0009f892, 
      0xf21cefaf, 0x0009f882, 
      0xfd1c2fb1, 0x0009f872, 
      0x071b6fb3, 0x0009f873, 
      0x121aafb5, 0x0009f863, 
      0x1c19ffb7, 0x0009f853, 
      0x27193fb8, 0x0009f853, 
      0x31187fbb, 0x0009f843, 
      0x3b17cfbc, 0x0009f843, 
      0x45170fbf, 0x0009f833, 
      0x4f165fc0, 0x0009f833, 
      0x59159fc2, 0x0009f833, 
      0x6214efc4, 0x0009f833, 
      0x6c143fc5, 0x0009f833, 
      0x75138fc7, 0x0009f833, 
      0x7e12dfc9, 0x0009f833, 
      0x87121fcb, 0x0009f843, 
      0x8f117fcd, 0x0009f843, 
      0x9810cfce, 0x0009f853, 
      0xa0101fd1, 0x0009f853, 
      0xa80f7fd3, 0x0008f863, 
      0xb00edfd4, 0x0008f873, 
      0xb80e2fd6, 0x0008f883, 
      0xbf0d8fd7, 0x0008f8a3, 
      0xc70cefd8, 0x0008f8b3, 
      0xce0c4fda, 0x0008f8c3, 
      0xd50bafdc, 0x0007f8e3, 
      0xdb0b0fde, 0x0007f903, 
      0xe20a6fdf, 0x0007f923, 
      0xe809dfe0, 0x0007f943, 
      0xee093fe2, 0x0007f963, 
      0xf308bfe4, 0x0006f983, 
      0xf9081fe5, 0x0006f9b3, 
      0xfe078fe7, 0x0006f9d3, 
      0x03070fe8, 0x0005fa04, 
      0x08067fe9, 0x0005fa34, 
      0x0c05ffea, 0x0005fa64, 
      0x10057fec, 0x0004fa94, 
      0x1404efed, 0x0004fad4, 
      0x18046fef, 0x0003fb04, 
      0x1b03eff0, 0x0003fb44, 
      0x1f037ff0, 0x0002fb84, 
      0x2102fff2, 0x0002fbc4, 
      0x24028ff3, 0x0001fc04, 
      0x26021ff4, 0x0001fc44, 
      0x2801aff5, 0x0000fc94, 
      0x2a013ff6, 0x0000fcd4, 
      0x2c00cff7, 0x0ffffd24, 
      0x2d006ff8, 0x0ffefd74, 
      0x2efffff9, 0x0ffefdc4, 
      0x2fff9ff9, 0x0ffdfe24, 
      0x2fff3ffb, 0x0ffcfe74, 
      0x2ffedffc, 0x0ffbfed4, 
      0x2ffe7ffc, 0x0ffbff34, 
      0x2ffe2ffc, 0x0ffaff94, 
      0x2efdcffe, 0x0ff9fff4, 
      0x2dfd7fff, 0x0ff80054, 
      0x2cfd2fff, 0x0ff700c4, 
      0x2afcd000, 0x0ff60134, 
      0x28fc9000, 0x0ff501a4, 
      0x26fc4001, 0x0ff40214, 
      0x24fc0001, 0x0ff30284, 
      0x21fbc002, 0x0ff202f4, 
      0x1ffb7002, 0x0ff10374, 
      0x1bfb4003, 0x0ff003e4, 
      0x18fb0004, 0x0fee0464, 
      0x14fad004, 0x0fed04e4, 
      0x10fa9005, 0x0fec0564, 
      0x0cfa6004, 0x0feb05f4, 
      0x08fa3005, 0x0fe90674, 
      0x03fa0005, 0x0fe80704, 
      0xfef9d006, 0x0fe70783, 
      0xf9f9b006, 0x0fe50813, 
      0xf3f98007, 0x0fe408a3, 
      0xeef96006, 0x0fe20943, 
      0xe8f94006, 0x0fe109d3, 
      0xe2f92007, 0x0fdf0a63, 
      0xdbf90007, 0x0fde0b03, 
      0xd5f8e007, 0x0fdc0ba3, 
      0xcef8c007, 0x0fdb0c43, 
      0xc7f8b007, 0x0fd90ce3, 
      0xbff8a008, 0x0fd70d83, 
      0xb8f88008, 0x0fd60e23, 
      0xb0f87009, 0x0fd40ec3, 
      0xa8f86009, 0x0fd20f73, 
      0xa0f85009, 0x0fd11013, 
      0x98f85008, 0x0fcf10c3, 
      0x8ff84009, 0x0fcd1173, 
      0x87f84008, 0x0fcb1223, 
      0x7ef83009, 0x0fc912d3, 
      0x75f83008, 0x0fc81383, 
      0x6cf83008, 0x0fc61433, 
      0x62f83009, 0x0fc414e3, 
      0x59f83009, 0x0fc21593, 
      0x4ff83009, 0x0fc01653, 
      0x45f8300a, 0x0fbe1703, 
      0x3bf84009, 0x0fbc17c3, 
      0x31f8400a, 0x0fba1873, 
      0x27f84009, 0x0fb91933, 
      0x1cf85009, 0x0fb719f3, 
      0x12f86009, 0x0fb51aa3, 
      0x07f87009, 0x0fb31b63, 
      0xfcf8700a, 0x0fb11c22, 
      0xf2f88009, 0x0faf1ce2, 
      0xe7f89009, 0x0fad1da2, 
      0xdcf8a009, 0x0fab1e62, 
      0xd0f8c00a, 0x0fa91f12, 
      0xc5f8d009, 0x0fa81fd2, 
      0xbaf8e009, 0x0fa62092, 
      0xaef8f00a, 0x0fa42152, 
      0xa3f91009, 0x0fa22212, 
      0x97f9200a, 0x0fa022d2, 
      0x8cf93009, 0x0f9f2392, 
      0x80f95009, 0x0f9d2452, 
      0x74f97009, 0x0f9b2512, 
      0x69f98008, 0x0f9a25d2,
   },
   { /* UV scale factor = 1.11, phases = 127, taps = 5. */
      0x6a25ef98, 0x0009f972, 
      0x75252f9b, 0x0009f952, 
      0x81246f9c, 0x0009f942, 
      0x8d23af9e, 0x0009f922, 
      0x9922ef9f, 0x0009f912, 
      0xa4222fa1, 0x0009f902, 
      0xb0216fa3, 0x0009f8e2, 
      0xbb20afa5, 0x0009f8d2, 
      0xc61fefa7, 0x0009f8c2, 
      0xd21f2fa9, 0x0009f8a2, 
      0xdd1e6fab, 0x0009f892, 
      0xe81dafad, 0x0009f882, 
      0xf31cefaf, 0x0009f872, 
      0xfe1c2fb1, 0x0009f862, 
      0x091b6fb2, 0x0009f863, 
      0x131abfb4, 0x0009f853, 
      0x1e19ffb6, 0x0009f843, 
      0x28194fb8, 0x0009f833, 
      0x33188fb9, 0x0009f833, 
      0x3d17cfbb, 0x0009f833, 
      0x47170fbe, 0x0009f823, 
      0x51165fbf, 0x0009f823, 
      0x5a159fc2, 0x0009f823, 
      0x6414efc3, 0x0009f823, 
      0x6d143fc5, 0x0009f823, 
      0x77138fc6, 0x0009f823, 
      0x8012dfc8, 0x0009f823, 
      0x89121fca, 0x0009f833, 
      0x91117fcc, 0x0009f833, 
      0x9a10bfce, 0x0009f843, 
      0xa2102fd0, 0x0008f843, 
      0xaa0f7fd2, 0x0008f853, 
      0xb20ecfd4, 0x0008f863, 
      0xba0e2fd5, 0x0008f873, 
      0xc20d7fd7, 0x0008f883, 
      0xc90cdfd8, 0x0008f8a3, 
      0xd00c3fda, 0x0008f8b3, 
      0xd70b9fdc, 0x0007f8d3, 
      0xde0affdd, 0x0007f8f3, 
      0xe40a6fdf, 0x0007f903, 
      0xea09cfe1, 0x0007f923, 
      0xf0093fe2, 0x0006f953, 
      0xf608afe3, 0x0006f973, 
      0xfb081fe5, 0x0006f993, 
      0x00078fe7, 0x0005f9c4, 
      0x0506ffe8, 0x0005f9f4, 
      0x0a066fe9, 0x0005fa24, 
      0x0f05efea, 0x0004fa54, 
      0x13056feb, 0x0004fa84, 
      0x1704dfed, 0x0004fab4, 
      0x1a045fef, 0x0003faf4, 
      0x1e03dfef, 0x0003fb34, 
      0x21036ff1, 0x0002fb64, 
      0x2402eff2, 0x0002fba4, 
      0x27027ff2, 0x0001fbf4, 
      0x29020ff3, 0x0001fc34, 
      0x2b019ff4, 0x0000fc84, 
      0x2d012ff6, 0x0ffffcc4, 
      0x2e00bff7, 0x0ffffd14, 
      0x30004ff8, 0x0ffefd64, 
      0x31ffeff9, 0x0ffdfdb4, 
      0x31ff8ff9, 0x0ffdfe14, 
      0x32ff2ffa, 0x0ffcfe64, 
      0x32fecffb, 0x0ffbfec4, 
      0x32fe6ffc, 0x0ffaff24, 
      0x31fe1ffd, 0x0ff9ff84, 
      0x31fdbffd, 0x0ff9ffe4, 
      0x30fd6ffe, 0x0ff80044, 
      0x2efd1fff, 0x0ff700b4, 
      0x2dfccfff, 0x0ff60124, 
      0x2bfc7000, 0x0ff50194, 
      0x29fc3000, 0x0ff40204, 
      0x27fbe001, 0x0ff30274, 
      0x24fba002, 0x0ff202e4, 
      0x21fb6003, 0x0ff00364, 
      0x1efb3002, 0x0fef03e4, 
      0x1afaf004, 0x0fee0454, 
      0x17fab004, 0x0fed04d4, 
      0x13fa7004, 0x0fec0564, 
      0x0ffa5004, 0x0fea05e4, 
      0x0afa2005, 0x0fe90664, 
      0x05f9f005, 0x0fe806f4, 
      0x00f9c006, 0x0fe60784, 
      0xfbf99006, 0x0fe50813, 
      0xf6f97006, 0x0fe308a3, 
      0xf0f95006, 0x0fe20933, 
      0xeaf93007, 0x0fe009c3, 
      0xe4f90007, 0x0fdf0a63, 
      0xdef8e007, 0x0fdd0b03, 
      0xd7f8d007, 0x0fdc0b93, 
      0xd0f8b008, 0x0fda0c33, 
      0xc9f8a008, 0x0fd80cd3, 
      0xc2f88008, 0x0fd70d73, 
      0xbaf87008, 0x0fd50e23, 
      0xb2f86009, 0x0fd30ec3, 
      0xaaf85008, 0x0fd20f73, 
      0xa2f84009, 0x0fd01013, 
      0x9af84008, 0x0fce10c3, 
      0x91f83009, 0x0fcc1173, 
      0x89f82008, 0x0fcb1223, 
      0x80f82008, 0x0fc912d3, 
      0x77f82008, 0x0fc71383, 
      0x6df82009, 0x0fc51433, 
      0x64f82009, 0x0fc314e3, 
      0x5bf82009, 0x0fc11593, 
      0x51f82009, 0x0fbf1653, 
      0x47f82009, 0x0fbe1703, 
      0x3df82009, 0x0fbc17c3, 
      0x33f82009, 0x0fba1883, 
      0x28f8300a, 0x0fb81933, 
      0x1ef84009, 0x0fb619f3, 
      0x13f85009, 0x0fb41ab3, 
      0x09f85009, 0x0fb21b73, 
      0xfef8600a, 0x0fb01c22, 
      0xf3f8700a, 0x0fae1ce2, 
      0xe8f8800a, 0x0fac1da2, 
      0xddf8900a, 0x0faa1e62, 
      0xd2f8a009, 0x0fa91f22, 
      0xc6f8c009, 0x0fa71fe2, 
      0xbbf8d009, 0x0fa520a2, 
      0xb0f8e009, 0x0fa32162, 
      0xa4f90009, 0x0fa12222, 
      0x99f90009, 0x0fa022e2, 
      0x8df92009, 0x0f9e23a2, 
      0x81f94009, 0x0f9c2462, 
      0x75f96009, 0x0f9a2522, 
      0x6af97008, 0x0f9925e2,
   },
   { /* UV scale factor = 1.12, phases = 127, taps = 5. */
      0x6b25ff97, 0x0009f962, 
      0x76253f99, 0x0009f952, 
      0x82247f9b, 0x0009f932, 
      0x8e23bf9d, 0x0009f912, 
      0x9a22ff9e, 0x0009f902, 
      0xa5223fa0, 0x0009f8f2, 
      0xb1217fa2, 0x0009f8d2, 
      0xbc20bfa4, 0x0009f8c2, 
      0xc81fffa5, 0x0009f8b2, 
      0xd31f3fa8, 0x0009f892, 
      0xde1e7faa, 0x0009f882, 
      0xe91dbfac, 0x0009f872, 
      0xf41cffae, 0x0009f862, 
      0xff1c3fb0, 0x0009f852, 
      0x0a1b7fb2, 0x0009f843, 
      0x151abfb3, 0x0009f843, 
      0x2019ffb5, 0x0009f833, 
      0x2a193fb8, 0x0009f823, 
      0x34188fb9, 0x0009f823, 
      0x3f17cfbb, 0x0009f813, 
      0x49171fbc, 0x0009f813, 
      0x53165fbe, 0x0009f813, 
      0x5c15afc0, 0x0009f813, 
      0x6614efc2, 0x0009f813, 
      0x6f143fc4, 0x0009f813, 
      0x79137fc6, 0x0009f813, 
      0x8212cfc8, 0x0009f813, 
      0x8b121fca, 0x0009f813, 
      0x93117fcc, 0x0008f823, 
      0x9c10cfce, 0x0008f823, 
      0xa4101fd0, 0x0008f833, 
      0xac0f6fd2, 0x0008f843, 
      0xb40ecfd3, 0x0008f853, 
      0xbc0e1fd5, 0x0008f863, 
      0xc40d7fd6, 0x0008f873, 
      0xcb0cdfd8, 0x0008f883, 
      0xd20c3fda, 0x0007f8a3, 
      0xd90b9fdb, 0x0007f8c3, 
      0xe00affdd, 0x0007f8d3, 
      0xe60a5fdf, 0x0007f8f3, 
      0xec09cfe0, 0x0007f913, 
      0xf2093fe2, 0x0006f933, 
      0xf8089fe3, 0x0006f963, 
      0xfe080fe4, 0x0006f983, 
      0x03077fe6, 0x0005f9b4, 
      0x0806efe7, 0x0005f9e4, 
      0x0d066fe8, 0x0005fa04, 
      0x1105dfea, 0x0004fa44, 
      0x15055feb, 0x0004fa74, 
      0x1904dfed, 0x0003faa4, 
      0x1d045fed, 0x0003fae4, 
      0x2003dfef, 0x0003fb14, 
      0x24035ff0, 0x0002fb54, 
      0x2602dff2, 0x0002fb94, 
      0x29026ff2, 0x0001fbe4, 
      0x2b01fff4, 0x0000fc24, 
      0x2e018ff4, 0x0000fc64, 
      0x2f011ff6, 0x0ffffcb4, 
      0x3100aff6, 0x0ffffd04, 
      0x32004ff7, 0x0ffefd54, 
      0x33ffdff9, 0x0ffdfda4, 
      0x34ff7ff9, 0x0ffcfe04, 
      0x34ff1ffa, 0x0ffcfe54, 
      0x34febffb, 0x0ffbfeb4, 
      0x34fe5ffc, 0x0ffaff14, 
      0x34fe0ffc, 0x0ff9ff74, 
      0x33fdaffe, 0x0ff8ffd4, 
      0x32fd5ffe, 0x0ff70044, 
      0x31fd0fff, 0x0ff600a4, 
      0x2ffcb000, 0x0ff50114, 
      0x2efc6000, 0x0ff40184, 
      0x2bfc2001, 0x0ff301f4, 
      0x29fbe001, 0x0ff20264, 
      0x26fba002, 0x0ff102d4, 
      0x24fb5002, 0x0ff00354, 
      0x20fb1003, 0x0fef03d4, 
      0x1dfad003, 0x0fee0454, 
      0x19faa004, 0x0fec04d4, 
      0x15fa7004, 0x0feb0554, 
      0x11fa4004, 0x0fea05d4, 
      0x0dfa0004, 0x0fe90664, 
      0x08f9e005, 0x0fe706e4, 
      0x03f9b005, 0x0fe60774, 
      0xfef98006, 0x0fe40803, 
      0xf8f96006, 0x0fe30893, 
      0xf2f93007, 0x0fe10933, 
      0xecf91007, 0x0fe009c3, 
      0xe6f90007, 0x0fde0a53, 
      0xe0f8d007, 0x0fdd0af3, 
      0xd9f8c007, 0x0fdb0b93, 
      0xd2f8a007, 0x0fda0c33, 
      0xcbf88008, 0x0fd80cd3, 
      0xc4f87008, 0x0fd60d73, 
      0xbcf86008, 0x0fd50e13, 
      0xb4f85008, 0x0fd30ec3, 
      0xacf84009, 0x0fd10f63, 
      0xa4f83009, 0x0fcf1013, 
      0x9cf82008, 0x0fce10c3, 
      0x93f82008, 0x0fcc1173, 
      0x8bf81009, 0x0fca1213, 
      0x82f81009, 0x0fc812c3, 
      0x79f81008, 0x0fc61383, 
      0x6ff81009, 0x0fc41433, 
      0x66f81008, 0x0fc314e3, 
      0x5cf81008, 0x0fc115a3, 
      0x53f81008, 0x0fbf1653, 
      0x49f81008, 0x0fbd1713, 
      0x3ff81009, 0x0fbb17c3, 
      0x34f82009, 0x0fb91883, 
      0x2af8200a, 0x0fb71933, 
      0x20f83009, 0x0fb519f3, 
      0x15f84009, 0x0fb31ab3, 
      0x0af8400a, 0x0fb11b73, 
      0xfff8500a, 0x0faf1c32, 
      0xf4f8600a, 0x0fad1cf2, 
      0xe9f87009, 0x0fac1db2, 
      0xdef88009, 0x0faa1e72, 
      0xd3f89009, 0x0fa81f32, 
      0xc8f8a009, 0x0fa61ff2, 
      0xbcf8c009, 0x0fa420b2, 
      0xb1f8d009, 0x0fa22172, 
      0xa5f8f009, 0x0fa02232, 
      0x9af90008, 0x0f9f22f2, 
      0x8ef91009, 0x0f9d23b2, 
      0x82f93009, 0x0f9b2472, 
      0x76f95009, 0x0f992532, 
      0x6bf96008, 0x0f9825f2,
   },
   { /* UV scale factor = 1.13, phases = 127, taps = 5. */
      0x6c260f96, 0x0009f952, 
      0x77254f98, 0x0009f942, 
      0x83248f9a, 0x0009f922, 
      0x8f23cf9c, 0x0009f902, 
      0x9b230f9d, 0x0009f8f2, 
      0xa6224f9f, 0x0009f8e2, 
      0xb2217fa2, 0x0009f8c2, 
      0xbe20bfa3, 0x0009f8b2, 
      0xc91fffa5, 0x0009f8a2, 
      0xd41f4fa7, 0x0009f882, 
      0xe01e7fa9, 0x0009f872, 
      0xeb1dbfab, 0x0009f862, 
      0xf61cffad, 0x0009f852, 
      0x011c3faf, 0x0009f843, 
      0x0c1b7fb1, 0x0009f833, 
      0x171abfb2, 0x0009f833, 
      0x211a0fb4, 0x0009f823, 
      0x2c194fb6, 0x0009f813, 
      0x36188fb8, 0x0009f813, 
      0x4017cfbb, 0x0009f803, 
      0x4a171fbc, 0x0009f803, 
      0x54165fbe, 0x0009f803, 
      0x5e15afc0, 0x0009f7f3, 
      0x6814efc2, 0x0009f7f3, 
      0x71143fc4, 0x0009f7f3, 
      0x7b137fc5, 0x0009f803, 
      0x8412cfc7, 0x0009f803, 
      0x8d121fca, 0x0008f803, 
      0x95116fcc, 0x0008f813, 
      0x9e10bfce, 0x0008f813, 
      0xa6101fcf, 0x0008f823, 
      0xaf0f6fd0, 0x0008f833, 
      0xb70ebfd2, 0x0008f843, 
      0xbe0e1fd4, 0x0008f853, 
      0xc60d7fd5, 0x0008f863, 
      0xcd0cdfd8, 0x0007f873, 
      0xd40c2fda, 0x0007f893, 
      0xdb0b9fdb, 0x0007f8a3, 
      0xe20affdc, 0x0007f8c3, 
      0xe90a5fdd, 0x0007f8e3, 
      0xef09bfe0, 0x0006f903, 
      0xf5092fe1, 0x0006f923, 
      0xfa089fe3, 0x0006f943, 
      0x00080fe3, 0x0006f974, 
      0x05077fe5, 0x0005f9a4, 
      0x0a06efe7, 0x0005f9c4, 
      0x0f065fe9, 0x0004f9f4, 
      0x1405cfea, 0x0004fa24, 
      0x18054fea, 0x0004fa64, 
      0x1c04cfec, 0x0003fa94, 
      0x1f044fed, 0x0003fad4, 
      0x2303cfef, 0x0002fb04, 
      0x26034ff0, 0x0002fb44, 
      0x2902dff1, 0x0001fb84, 
      0x2c025ff2, 0x0001fbc4, 
      0x2e01eff3, 0x0000fc14, 
      0x30017ff4, 0x0000fc54, 
      0x32010ff5, 0x0ffffca4, 
      0x33009ff7, 0x0ffefcf4, 
      0x35002ff7, 0x0ffefd44, 
      0x36ffcff8, 0x0ffdfd94, 
      0x36ff6ff9, 0x0ffcfdf4, 
      0x37ff0ffa, 0x0ffbfe44, 
      0x37feaffa, 0x0ffbfea4, 
      0x37fe4ffb, 0x0ffaff04, 
      0x36fdfffc, 0x0ff9ff64, 
      0x36fd9ffd, 0x0ff8ffc4, 
      0x35fd4ffd, 0x0ff70034, 
      0x33fcffff, 0x0ff60094, 
      0x32fcafff, 0x0ff50104, 
      0x30fc5000, 0x0ff40174, 
      0x2efc1000, 0x0ff301e4, 
      0x2cfbc001, 0x0ff20254, 
      0x29fb8001, 0x0ff102d4, 
      0x26fb4002, 0x0ff00344, 
      0x23fb0002, 0x0fef03c4, 
      0x1ffad003, 0x0fed0444, 
      0x1cfa9003, 0x0fec04c4, 
      0x18fa6003, 0x0feb0544, 
      0x14fa2004, 0x0fea05c4, 
      0x0ff9f005, 0x0fe80654, 
      0x0af9c005, 0x0fe706e4, 
      0x05f9a005, 0x0fe50774, 
      0x00f97005, 0x0fe40804, 
      0xfaf94006, 0x0fe30893, 
      0xf5f92006, 0x0fe10923, 
      0xeff90006, 0x0fe009b3, 
      0xe9f8e006, 0x0fde0a53, 
      0xe2f8c007, 0x0fdc0af3, 
      0xdbf8a008, 0x0fdb0b83, 
      0xd4f89008, 0x0fd90c23, 
      0xcdf87008, 0x0fd70cd3, 
      0xc6f86007, 0x0fd60d73, 
      0xbef85008, 0x0fd40e13, 
      0xb7f84008, 0x0fd20eb3, 
      0xaff82008, 0x0fd10f63, 
      0xa6f82008, 0x0fcf1013, 
      0x9ef81009, 0x0fcd10b3, 
      0x95f81009, 0x0fcb1163, 
      0x8df80009, 0x0fc91213, 
      0x84f80008, 0x0fc812c3, 
      0x7bf7f008, 0x0fc61383, 
      0x71f7f009, 0x0fc41433, 
      0x68f7f009, 0x0fc214e3, 
      0x5ef7f009, 0x0fc015a3, 
      0x54f80009, 0x0fbe1653, 
      0x4af80009, 0x0fbc1713, 
      0x40f81009, 0x0fba17c3, 
      0x36f81009, 0x0fb81883, 
      0x2cf81009, 0x0fb61943, 
      0x21f82009, 0x0fb41a03, 
      0x17f83009, 0x0fb21ab3, 
      0x0cf83009, 0x0fb11b73, 
      0x01f84009, 0x0faf1c33, 
      0xf6f85009, 0x0fad1cf2, 
      0xebf86009, 0x0fab1db2, 
      0xe0f87009, 0x0fa91e72, 
      0xd4f89009, 0x0fa71f32, 
      0xc9f8a009, 0x0fa51ff2, 
      0xbef8b009, 0x0fa320b2, 
      0xb2f8d009, 0x0fa12172, 
      0xa6f8e008, 0x0fa02242, 
      0x9bf8f008, 0x0f9e2302, 
      0x8ff90009, 0x0f9c23c2, 
      0x83f92009, 0x0f9a2482, 
      0x77f94009, 0x0f982542, 
      0x6cf95008, 0x0f972602,
   },
   { /* UV scale factor = 1.14, phases = 127, taps = 5. */
      0x6d261f95, 0x0009f942, 
      0x79254f97, 0x0009f932, 
      0x84249f99, 0x0009f912, 
      0x9023cf9c, 0x0009f8f2, 
      0x9c230f9d, 0x0009f8e2, 
      0xa8224f9e, 0x0009f8d2, 
      0xb3218fa1, 0x0009f8b2, 
      0xbf20cfa2, 0x0009f8a2, 
      0xca200fa4, 0x0009f892, 
      0xd61f4fa6, 0x0009f872, 
      0xe11e8fa8, 0x0009f862, 
      0xec1dcfaa, 0x0009f852, 
      0xf71d0fac, 0x0009f842, 
      0x021c4fae, 0x0009f833, 
      0x0d1b8fb0, 0x0009f823, 
      0x181acfb2, 0x0009f813, 
      0x231a0fb3, 0x0009f813, 
      0x2d194fb6, 0x0009f803, 
      0x38188fb7, 0x0009f803, 
      0x4217dfb9, 0x0009f7f3, 
      0x4c171fbb, 0x0009f7f3, 
      0x56165fbe, 0x0009f7e3, 
      0x6015afbf, 0x0009f7e3, 
      0x6a14efc1, 0x0009f7e3, 
      0x73143fc3, 0x0009f7e3, 
      0x7c138fc5, 0x0009f7e3, 
      0x8612cfc7, 0x0008f7f3, 
      0x8f121fc9, 0x0008f7f3, 
      0x97117fcb, 0x0008f7f3, 
      0xa010bfcd, 0x0008f803, 
      0xa8101fce, 0x0008f813, 
      0xb10f6fd0, 0x0008f813, 
      0xb90ebfd2, 0x0008f823, 
      0xc10e0fd3, 0x0008f843, 
      0xc80d6fd5, 0x0008f853, 
      0xd00ccfd7, 0x0007f863, 
      0xd70c2fd9, 0x0007f873, 
      0xde0b8fda, 0x0007f893, 
      0xe40aefdc, 0x0007f8b3, 
      0xeb0a4fde, 0x0006f8d3, 
      0xf109bfdf, 0x0006f8f3, 
      0xf7091fe1, 0x0006f913, 
      0xfd088fe2, 0x0006f933, 
      0x0207ffe4, 0x0005f964, 
      0x08076fe5, 0x0005f984, 
      0x0d06dfe6, 0x0005f9b4, 
      0x11065fe8, 0x0004f9e4, 
      0x1605cfe9, 0x0004fa14, 
      0x1a053feb, 0x0004fa44, 
      0x1e04bfec, 0x0003fa84, 
      0x22043fed, 0x0003fab4, 
      0x2503bfef, 0x0002faf4, 
      0x29033fef, 0x0002fb34, 
      0x2c02cff0, 0x0001fb74, 
      0x2e024ff2, 0x0001fbb4, 
      0x3101dff2, 0x0000fc04, 
      0x33016ff4, 0x0ffffc44, 
      0x3400fff5, 0x0ffffc94, 
      0x36008ff6, 0x0ffefce4, 
      0x37002ff7, 0x0ffdfd34, 
      0x38ffbff8, 0x0ffdfd84, 
      0x39ff5ff8, 0x0ffcfde4, 
      0x39fefffa, 0x0ffbfe34, 
      0x3afe9ffa, 0x0ffafe94, 
      0x39fe3ffb, 0x0ffafef4, 
      0x39fdeffb, 0x0ff9ff54, 
      0x38fd8ffd, 0x0ff8ffb4, 
      0x37fd3ffd, 0x0ff70024, 
      0x36fceffe, 0x0ff60084, 
      0x34fc9fff, 0x0ff500f4, 
      0x33fc4fff, 0x0ff40164, 
      0x31fbf000, 0x0ff301d4, 
      0x2efbb001, 0x0ff20244, 
      0x2bfb7001, 0x0ff102c4, 
      0x29fb3002, 0x0fef0334, 
      0x25faf003, 0x0fee03b4, 
      0x22fab003, 0x0fed0434, 
      0x1efa8003, 0x0fec04b4, 
      0x1afa5004, 0x0fea0534, 
      0x16fa1004, 0x0fe905c4, 
      0x11f9e005, 0x0fe80644, 
      0x0df9b005, 0x0fe606d4, 
      0x08f98005, 0x0fe50764, 
      0x02f96005, 0x0fe407f4, 
      0xfdf93006, 0x0fe20883, 
      0xf7f91006, 0x0fe10913, 
      0xf1f8f006, 0x0fdf09b3, 
      0xebf8d006, 0x0fde0a43, 
      0xe4f8b007, 0x0fdc0ae3, 
      0xdef89007, 0x0fda0b83, 
      0xd7f87007, 0x0fd90c23, 
      0xd0f86007, 0x0fd70cc3, 
      0xc8f85008, 0x0fd50d63, 
      0xc1f83007, 0x0fd40e13, 
      0xb9f82008, 0x0fd20eb3, 
      0xb1f81008, 0x0fd00f63, 
      0xa8f81008, 0x0fce1013, 
      0xa0f80009, 0x0fcc10b3, 
      0x97f7f009, 0x0fcb1163, 
      0x8ff7f008, 0x0fc91213, 
      0x86f7f008, 0x0fc712c3, 
      0x7cf7e009, 0x0fc51383, 
      0x73f7e009, 0x0fc31433, 
      0x6af7e009, 0x0fc114e3, 
      0x60f7e009, 0x0fbf15a3, 
      0x56f7f009, 0x0fbd1653, 
      0x4cf7f009, 0x0fbb1713, 
      0x42f7f008, 0x0fba17d3, 
      0x38f80008, 0x0fb81883, 
      0x2df80009, 0x0fb61943, 
      0x23f81008, 0x0fb41a03, 
      0x18f81009, 0x0fb21ac3, 
      0x0df82009, 0x0fb01b83, 
      0x02f83009, 0x0fae1c43, 
      0xf7f84009, 0x0fac1d02, 
      0xecf85009, 0x0faa1dc2, 
      0xe1f86009, 0x0fa81e82, 
      0xd6f87009, 0x0fa61f42, 
      0xcaf89009, 0x0fa42002, 
      0xbff8a009, 0x0fa220c2, 
      0xb3f8b009, 0x0fa12182, 
      0xa8f8d008, 0x0f9f2242, 
      0x9cf8e009, 0x0f9d2302, 
      0x90f90009, 0x0f9b23c2, 
      0x84f91009, 0x0f992492, 
      0x79f92008, 0x0f982552, 
      0x6df94008, 0x0f962612,
   },
   { /* UV scale factor = 1.15, phases = 127, taps = 5. */
      0x6e262f94, 0x0009f932, 
      0x7a255f96, 0x0009f922, 
      0x86249f98, 0x0009f902, 
      0x9123df9b, 0x0009f8e2, 
      0x9d231f9c, 0x0009f8d2, 
      0xa9225f9d, 0x0009f8c2, 
      0xb5219f9f, 0x0009f8a2, 
      0xc020dfa1, 0x0009f892, 
      0xcc200fa3, 0x0009f882, 
      0xd71f4fa6, 0x0009f862, 
      0xe31e8fa7, 0x0009f852, 
      0xee1dcfa9, 0x0009f842, 
      0xf91d0fab, 0x0009f832, 
      0x041c4fad, 0x0009f823, 
      0x0f1b8faf, 0x0009f813, 
      0x1a1acfb1, 0x0009f803, 
      0x241a0fb3, 0x0009f803, 
      0x2f194fb5, 0x0009f7f3, 
      0x39189fb7, 0x0009f7e3, 
      0x4417dfb8, 0x0009f7e3, 
      0x4e171fba, 0x0009f7e3, 
      0x58165fbd, 0x0009f7d3, 
      0x6215afbe, 0x0009f7d3, 
      0x6c14efc0, 0x0009f7d3, 
      0x75143fc2, 0x0009f7d3, 
      0x7e138fc5, 0x0008f7d3, 
      0x8812cfc7, 0x0008f7d3, 
      0x91121fc8, 0x0008f7e3, 
      0x99116fcb, 0x0008f7e3, 
      0xa210bfcc, 0x0008f7f3, 
      0xab100fce, 0x0008f7f3, 
      0xb30f6fcf, 0x0008f803, 
      0xbb0ebfd1, 0x0008f813, 
      0xc30e0fd3, 0x0008f823, 
      0xca0d7fd5, 0x0007f833, 
      0xd20ccfd6, 0x0007f853, 
      0xd90c2fd8, 0x0007f863, 
      0xe00b8fd9, 0x0007f883, 
      0xe70adfdb, 0x0007f8a3, 
      0xed0a4fde, 0x0006f8b3, 
      0xf309afdf, 0x0006f8e3, 
      0xf9091fe0, 0x0006f903, 
      0xff088fe1, 0x0006f923, 
      0x0507efe4, 0x0005f944, 
      0x0a075fe5, 0x0005f974, 
      0x0f06cfe6, 0x0005f9a4, 
      0x14064fe7, 0x0004f9d4, 
      0x1805bfe9, 0x0004fa04, 
      0x1d053fea, 0x0003fa34, 
      0x2104afeb, 0x0003fa74, 
      0x24043fed, 0x0002faa4, 
      0x2803afee, 0x0002fae4, 
      0x2b032ff0, 0x0001fb24, 
      0x2e02bff0, 0x0001fb64, 
      0x31023ff2, 0x0000fba4, 
      0x3301cff3, 0x0000fbe4, 
      0x35015ff4, 0x0ffffc34, 
      0x3700eff4, 0x0ffffc84, 
      0x39007ff5, 0x0ffefcd4, 
      0x3a001ff6, 0x0ffdfd24, 
      0x3bffaff8, 0x0ffcfd74, 
      0x3cff4ff8, 0x0ffcfdc4, 
      0x3cfeeff9, 0x0ffbfe24, 
      0x3cfe8ffa, 0x0ffafe84, 
      0x3cfe2ffb, 0x0ff9fee4, 
      0x3cfdcffc, 0x0ff8ff44, 
      0x3bfd7ffd, 0x0ff7ffa4, 
      0x3afd1ffd, 0x0ff70014, 
      0x39fcdffd, 0x0ff60074, 
      0x37fc8ffe, 0x0ff500e4, 
      0x35fc3fff, 0x0ff40154, 
      0x33fbf000, 0x0ff201c4, 
      0x31fba001, 0x0ff10234, 
      0x2efb6001, 0x0ff002b4, 
      0x2bfb2002, 0x0fef0324, 
      0x28fae002, 0x0fee03a4, 
      0x24faa003, 0x0fed0424, 
      0x21fa7003, 0x0feb04a4, 
      0x1dfa3003, 0x0fea0534, 
      0x18fa0004, 0x0fe905b4, 
      0x14f9d004, 0x0fe70644, 
      0x0ff9a005, 0x0fe606c4, 
      0x0af97005, 0x0fe50754, 
      0x05f94006, 0x0fe307e4, 
      0xfff92005, 0x0fe20883, 
      0xf9f90006, 0x0fe00913, 
      0xf3f8e006, 0x0fdf09a3, 
      0xedf8b007, 0x0fdd0a43, 
      0xe7f8a006, 0x0fdb0ae3, 
      0xe0f88006, 0x0fda0b83, 
      0xd9f86007, 0x0fd80c23, 
      0xd2f85007, 0x0fd60cc3, 
      0xcaf83008, 0x0fd50d63, 
      0xc3f82008, 0x0fd30e03, 
      0xbbf81008, 0x0fd10eb3, 
      0xb3f80007, 0x0fd00f63, 
      0xabf7f008, 0x0fce1003, 
      0xa2f7f008, 0x0fcc10b3, 
      0x99f7e009, 0x0fca1163, 
      0x91f7e008, 0x0fc81213, 
      0x88f7d009, 0x0fc612c3, 
      0x7ef7d009, 0x0fc41383, 
      0x75f7d008, 0x0fc31433, 
      0x6cf7d008, 0x0fc114e3, 
      0x62f7d008, 0x0fbf15a3, 
      0x58f7d009, 0x0fbd1653, 
      0x4ef7e008, 0x0fbb1713, 
      0x44f7e008, 0x0fb917d3, 
      0x39f7f009, 0x0fb71883, 
      0x2ff7f009, 0x0fb51943, 
      0x24f80009, 0x0fb31a03, 
      0x1af80009, 0x0fb11ac3, 
      0x0ff81009, 0x0faf1b83, 
      0x04f82009, 0x0fad1c43, 
      0xf9f83009, 0x0fab1d02, 
      0xeef84009, 0x0fa91dc2, 
      0xe3f85009, 0x0fa71e82, 
      0xd7f87009, 0x0fa51f42, 
      0xccf88008, 0x0fa32012, 
      0xc0f89008, 0x0fa220d2, 
      0xb5f8a008, 0x0fa02192, 
      0xa9f8c008, 0x0f9e2252, 
      0x9df8d009, 0x0f9c2312, 
      0x91f8f009, 0x0f9a23d2, 
      0x86f90009, 0x0f982492, 
      0x7af91008, 0x0f972562, 
      0x6ef93008, 0x0f952622,
   },
   { /* UV scale factor = 1.16, phases = 127, taps = 5. */
      0x6f263f93, 0x0009f922, 
      0x7b256f95, 0x0009f912, 
      0x8724af97, 0x0009f8f2, 
      0x9323ef99, 0x0009f8d2, 
      0x9e232f9b, 0x0009f8c2, 
      0xaa226f9c, 0x0009f8b2, 
      0xb621af9e, 0x0009f892, 
      0xc120dfa1, 0x0009f882, 
      0xcd201fa3, 0x0009f862, 
      0xd91f5fa4, 0x0009f852, 
      0xe41e9fa6, 0x0009f842, 
      0xef1ddfa8, 0x0009f832, 
      0xfa1d1faa, 0x0009f822, 
      0x061c4fac, 0x0009f813, 
      0x101b9fae, 0x0009f803, 
      0x1b1adfb0, 0x0009f7f3, 
      0x261a1fb2, 0x0009f7e3, 
      0x31194fb4, 0x0009f7e3, 
      0x3b189fb6, 0x0009f7d3, 
      0x4617cfb8, 0x0009f7d3, 
      0x50171fba, 0x0009f7c3, 
      0x5a165fbc, 0x0009f7c3, 
      0x64159fbe, 0x0009f7c3, 
      0x6d14ffc0, 0x0008f7c3, 
      0x77143fc2, 0x0008f7c3, 
      0x80138fc4, 0x0008f7c3, 
      0x8a12cfc6, 0x0008f7c3, 
      0x93121fc8, 0x0008f7c3, 
      0x9c116fc9, 0x0008f7d3, 
      0xa410bfcb, 0x0008f7e3, 
      0xad100fcd, 0x0008f7e3, 
      0xb50f5fcf, 0x0008f7f3, 
      0xbd0ebfd0, 0x0008f803, 
      0xc50e0fd3, 0x0007f813, 
      0xcd0d6fd4, 0x0007f823, 
      0xd40cbfd6, 0x0007f843, 
      0xdb0c1fd8, 0x0007f853, 
      0xe20b7fd9, 0x0007f873, 
      0xe90aefdb, 0x0006f883, 
      0xf00a3fdd, 0x0006f8a3, 
      0xf609afde, 0x0006f8c3, 
      0xfc090fe0, 0x0006f8e3, 
      0x02087fe1, 0x0005f914, 
      0x0707efe3, 0x0005f934, 
      0x0d074fe4, 0x0005f964, 
      0x1206cfe5, 0x0004f994, 
      0x16063fe7, 0x0004f9c4, 
      0x1b05afe8, 0x0004f9f4, 
      0x1f052fea, 0x0003fa24, 
      0x2304afeb, 0x0003fa54, 
      0x27041fed, 0x0002fa94, 
      0x2b039fed, 0x0002fad4, 
      0x2e032fee, 0x0001fb14, 
      0x3102afef, 0x0001fb54, 
      0x33023ff1, 0x0000fb94, 
      0x3601bff2, 0x0000fbd4, 
      0x38014ff3, 0x0ffffc24, 
      0x3a00dff4, 0x0ffefc74, 
      0x3b006ff5, 0x0ffefcc4, 
      0x3dfffff6, 0x0ffdfd14, 
      0x3dff9ff8, 0x0ffcfd64, 
      0x3eff3ff9, 0x0ffbfdb4, 
      0x3ffecff9, 0x0ffbfe14, 
      0x3ffe7ff9, 0x0ffafe74, 
      0x3ffe1ffa, 0x0ff9fed4, 
      0x3efdbffc, 0x0ff8ff34, 
      0x3dfd6ffd, 0x0ff7ff94, 
      0x3dfd1ffc, 0x0ff60004, 
      0x3bfccffe, 0x0ff50064, 
      0x3afc7ffe, 0x0ff400d4, 
      0x38fc2fff, 0x0ff30144, 
      0x36fbd000, 0x0ff201b4, 
      0x33fb9000, 0x0ff10234, 
      0x31fb5000, 0x0ff002a4, 
      0x2efb0001, 0x0fef0324, 
      0x2bfad001, 0x0fee0394, 
      0x27fa9003, 0x0fec0414, 
      0x23fa5003, 0x0feb04a4, 
      0x1ffa2003, 0x0fea0524, 
      0x1bf9f004, 0x0fe805a4, 
      0x16f9c004, 0x0fe70634, 
      0x12f98004, 0x0fe606c4, 
      0x0df96004, 0x0fe40754, 
      0x07f93005, 0x0fe307e4, 
      0x02f91005, 0x0fe10874, 
      0xfcf8e006, 0x0fe00903, 
      0xf6f8c006, 0x0fde09a3, 
      0xf0f8a006, 0x0fdd0a33, 
      0xe9f88007, 0x0fdb0ad3, 
      0xe2f87007, 0x0fd90b73, 
      0xdbf85007, 0x0fd80c13, 
      0xd4f84007, 0x0fd60cb3, 
      0xcdf82007, 0x0fd40d63, 
      0xc5f81007, 0x0fd30e03, 
      0xbdf80007, 0x0fd10eb3, 
      0xb5f7f008, 0x0fcf0f53, 
      0xadf7e008, 0x0fcd1003, 
      0xa4f7e008, 0x0fcb10b3, 
      0x9cf7d008, 0x0fc91163, 
      0x93f7c008, 0x0fc81213, 
      0x8af7c008, 0x0fc612c3, 
      0x80f7c008, 0x0fc41383, 
      0x77f7c008, 0x0fc21433, 
      0x6df7c009, 0x0fc014e3, 
      0x64f7c008, 0x0fbe15a3, 
      0x5af7c008, 0x0fbc1663, 
      0x50f7c009, 0x0fba1713, 
      0x46f7d008, 0x0fb817d3, 
      0x3bf7d009, 0x0fb61893, 
      0x31f7e008, 0x0fb41953, 
      0x26f7e009, 0x0fb21a13, 
      0x1bf7f009, 0x0fb01ad3, 
      0x10f80009, 0x0fae1b93, 
      0x06f81008, 0x0fac1c53, 
      0xfaf82009, 0x0faa1d12, 
      0xeff83009, 0x0fa81dd2, 
      0xe4f84009, 0x0fa61e92, 
      0xd9f85009, 0x0fa41f52, 
      0xcdf86009, 0x0fa32012, 
      0xc1f88009, 0x0fa120d2, 
      0xb6f89008, 0x0f9f21a2, 
      0xaaf8b008, 0x0f9d2262, 
      0x9ef8c009, 0x0f9b2322, 
      0x93f8d009, 0x0f9923e2, 
      0x87f8f009, 0x0f9724a2, 
      0x7bf91008, 0x0f962562, 
      0x6ff92008, 0x0f942632,
   },
   { /* UV scale factor = 1.17, phases = 127, taps = 5. */
      0x70264f93, 0x0008f912, 
      0x7c257f95, 0x0008f902, 
      0x8824bf97, 0x0008f8e2, 
      0x9423ff98, 0x0009f8c2, 
      0xa0232f9a, 0x0009f8b2, 
      0xab227f9c, 0x0009f892, 
      0xb721af9e, 0x0009f882, 
      0xc320ef9f, 0x0009f872, 
      0xce202fa2, 0x0009f852, 
      0xda1f6fa3, 0x0009f842, 
      0xe51e9fa6, 0x0009f832, 
      0xf11ddfa7, 0x0009f822, 
      0xfc1d1fa9, 0x0009f812, 
      0x071c5fab, 0x0009f803, 
      0x121b9fad, 0x0009f7f3, 
      0x1d1adfaf, 0x0009f7e3, 
      0x281a1fb1, 0x0009f7d3, 
      0x32195fb3, 0x0009f7d3, 
      0x3d189fb5, 0x0009f7c3, 
      0x4717dfb7, 0x0009f7c3, 
      0x52171fb9, 0x0009f7b3, 
      0x5c166fbb, 0x0008f7b3, 
      0x6615afbd, 0x0008f7b3, 
      0x6f14efc0, 0x0008f7b3, 
      0x79143fc1, 0x0008f7b3, 
      0x82138fc3, 0x0008f7b3, 
      0x8c12cfc5, 0x0008f7b3, 
      0x95121fc7, 0x0008f7b3, 
      0x9e116fc8, 0x0008f7c3, 
      0xa610bfcb, 0x0008f7c3, 
      0xaf100fcc, 0x0008f7d3, 
      0xb70f5fce, 0x0008f7e3, 
      0xbf0eafd1, 0x0007f7f3, 
      0xc70e0fd2, 0x0007f803, 
      0xcf0d5fd4, 0x0007f813, 
      0xd60cbfd6, 0x0007f823, 
      0xde0c0fd7, 0x0007f843, 
      0xe50b7fd8, 0x0007f853, 
      0xeb0adfdb, 0x0006f873, 
      0xf20a3fdc, 0x0006f893, 
      0xf8099fde, 0x0006f8b3, 
      0xfe090fdf, 0x0006f8d3, 
      0x04086fe1, 0x0005f904, 
      0x0a07dfe2, 0x0005f924, 
      0x0f074fe3, 0x0005f954, 
      0x1406bfe6, 0x0004f974, 
      0x19062fe7, 0x0004f9a4, 
      0x1e05afe8, 0x0003f9d4, 
      0x22051fe9, 0x0003fa14, 
      0x26049fea, 0x0003fa44, 
      0x2a041feb, 0x0002fa84, 
      0x2d039fed, 0x0002fab4, 
      0x30031fef, 0x0001faf4, 
      0x33029ff0, 0x0001fb34, 
      0x36022ff0, 0x0000fb84, 
      0x3801bff2, 0x0ffffbc4, 
      0x3a013ff3, 0x0ffffc14, 
      0x3c00cff4, 0x0ffefc64, 
      0x3e006ff5, 0x0ffdfca4, 
      0x3ffffff5, 0x0ffdfd04, 
      0x40ff8ff7, 0x0ffcfd54, 
      0x41ff2ff8, 0x0ffbfda4, 
      0x41fecff9, 0x0ffafe04, 
      0x41fe6ff9, 0x0ffafe64, 
      0x41fe0ffa, 0x0ff9fec4, 
      0x41fdaffb, 0x0ff8ff24, 
      0x40fd5ffc, 0x0ff7ff84, 
      0x3ffd0ffc, 0x0ff6fff4, 
      0x3efcaffe, 0x0ff50054, 
      0x3cfc6ffe, 0x0ff400c4, 
      0x3afc1fff, 0x0ff30134, 
      0x38fbc000, 0x0ff201a4, 
      0x36fb8fff, 0x0ff10224, 
      0x33fb3001, 0x0ff00294, 
      0x30faf002, 0x0fee0314, 
      0x2dfab002, 0x0fed0394, 
      0x2afa7002, 0x0fec0414, 
      0x26fa4002, 0x0feb0494, 
      0x22fa1003, 0x0fe90514, 
      0x1df9d004, 0x0fe805a4, 
      0x19f9a004, 0x0fe70624, 
      0x14f97005, 0x0fe506b4, 
      0x0ff95004, 0x0fe40744, 
      0x0af92005, 0x0fe207d4, 
      0x04f90005, 0x0fe10864, 
      0xfef8d006, 0x0fdf0903, 
      0xf8f8b006, 0x0fde0993, 
      0xf2f89006, 0x0fdc0a33, 
      0xebf87007, 0x0fda0ad3, 
      0xe5f85006, 0x0fd90b73, 
      0xdef84006, 0x0fd70c13, 
      0xd6f83007, 0x0fd50cb3, 
      0xcff81007, 0x0fd40d53, 
      0xc7f80007, 0x0fd20e03, 
      0xbff7f008, 0x0fd00ea3, 
      0xb7f7e008, 0x0fce0f53, 
      0xaff7d007, 0x0fcd1003, 
      0xa6f7c008, 0x0fcb10b3, 
      0x9ef7c007, 0x0fc91163, 
      0x95f7b008, 0x0fc71213, 
      0x8cf7b008, 0x0fc512c3, 
      0x82f7b008, 0x0fc31383, 
      0x79f7b008, 0x0fc11433, 
      0x6ff7b009, 0x0fbf14e3, 
      0x66f7b008, 0x0fbd15a3, 
      0x5cf7b008, 0x0fbb1663, 
      0x52f7b009, 0x0fb91713, 
      0x47f7c009, 0x0fb717d3, 
      0x3df7c009, 0x0fb51893, 
      0x32f7d009, 0x0fb31953, 
      0x28f7d009, 0x0fb11a13, 
      0x1df7e009, 0x0faf1ad3, 
      0x12f7f009, 0x0fad1b93, 
      0x07f80009, 0x0fab1c53, 
      0xfcf81008, 0x0faa1d12, 
      0xf1f82008, 0x0fa81dd2, 
      0xe5f83009, 0x0fa61e92, 
      0xdaf84008, 0x0fa41f62, 
      0xcef85009, 0x0fa22022, 
      0xc3f87008, 0x0fa020e2, 
      0xb7f88009, 0x0f9e21a2, 
      0xabf89009, 0x0f9c2272, 
      0xa0f8b008, 0x0f9a2332, 
      0x94f8c009, 0x0f9823f2, 
      0x88f8e008, 0x0f9724b2, 
      0x7cf90008, 0x0f952572, 
      0x70f91008, 0x0f932642,
   },
   { /* UV scale factor = 1.18, phases = 127, taps = 5. */
      0x71265f92, 0x0008f902, 
      0x7d258f94, 0x0008f8f2, 
      0x8924cf96, 0x0008f8d2, 
      0x95240f98, 0x0008f8b2, 
      0xa1234f99, 0x0008f8a2, 
      0xad227f9c, 0x0008f882, 
      0xb821cf9d, 0x0008f872, 
      0xc420ff9e, 0x0009f862, 
      0xd0203fa0, 0x0009f842, 
      0xdb1f6fa3, 0x0009f832, 
      0xe71eafa4, 0x0009f822, 
      0xf21defa6, 0x0009f812, 
      0xfd1d2fa8, 0x0009f802, 
      0x091c5faa, 0x0009f7f3, 
      0x141b9fac, 0x0009f7e3, 
      0x1f1adfae, 0x0009f7d3, 
      0x291a1fb1, 0x0009f7c3, 
      0x34195fb3, 0x0009f7b3, 
      0x3f189fb5, 0x0008f7b3, 
      0x4917efb7, 0x0008f7a3, 
      0x53172fb9, 0x0008f7a3, 
      0x5d166fbb, 0x0008f7a3, 
      0x6715bfbd, 0x0008f793, 
      0x7114ffbf, 0x0008f793, 
      0x7b143fc1, 0x0008f793, 
      0x84138fc3, 0x0008f793, 
      0x8e12cfc4, 0x0008f7a3, 
      0x97121fc6, 0x0008f7a3, 
      0xa0116fc8, 0x0008f7a3, 
      0xa810bfca, 0x0008f7b3, 
      0xb1100fcb, 0x0008f7c3, 
      0xb90f5fcd, 0x0008f7d3, 
      0xc10ebfd0, 0x0007f7d3, 
      0xc90e0fd1, 0x0007f7f3, 
      0xd10d5fd3, 0x0007f803, 
      0xd90cbfd4, 0x0007f813, 
      0xe00c0fd7, 0x0007f823, 
      0xe70b6fd9, 0x0006f843, 
      0xee0acfda, 0x0006f863, 
      0xf40a2fdc, 0x0006f883, 
      0xfb098fdd, 0x0006f8a3, 
      0x0108ffdf, 0x0005f8c4, 
      0x07086fe0, 0x0005f8e4, 
      0x0c07cfe2, 0x0005f914, 
      0x12073fe4, 0x0004f934, 
      0x1706afe5, 0x0004f964, 
      0x1b062fe6, 0x0004f994, 
      0x20059fe8, 0x0003f9c4, 
      0x24051fe9, 0x0003f9f4, 
      0x28048feb, 0x0002fa34, 
      0x2c040feb, 0x0002fa74, 
      0x30038fed, 0x0001faa4, 
      0x33030fee, 0x0001fae4, 
      0x36028ff0, 0x0000fb24, 
      0x39020ff0, 0x0000fb74, 
      0x3b019ff2, 0x0ffffbb4, 
      0x3d012ff2, 0x0ffffc04, 
      0x3f00bff4, 0x0ffefc44, 
      0x41004ff5, 0x0ffdfc94, 
      0x42ffeff6, 0x0ffcfce4, 
      0x43ff7ff6, 0x0ffcfd44, 
      0x44ff1ff7, 0x0ffbfd94, 
      0x44febff8, 0x0ffafdf4, 
      0x44fe5ff9, 0x0ff9fe54, 
      0x44fdfffa, 0x0ff8feb4, 
      0x44fd9ffa, 0x0ff8ff14, 
      0x43fd4ffb, 0x0ff7ff74, 
      0x42fceffc, 0x0ff6ffe4, 
      0x41fc9ffd, 0x0ff50044, 
      0x3ffc4ffe, 0x0ff400b4, 
      0x3dfc0ffe, 0x0ff30124, 
      0x3bfbbfff, 0x0ff20194, 
      0x39fb7fff, 0x0ff00214, 
      0x36fb2001, 0x0fef0284, 
      0x33fae001, 0x0fee0304, 
      0x30faa001, 0x0fed0384, 
      0x2cfa7001, 0x0fec0404, 
      0x28fa3003, 0x0fea0484, 
      0x24fa0003, 0x0fe90504, 
      0x20f9c003, 0x0fe80594, 
      0x1bf99004, 0x0fe60624, 
      0x17f96004, 0x0fe506a4, 
      0x12f93005, 0x0fe30734, 
      0x0cf91005, 0x0fe207c4, 
      0x07f8e005, 0x0fe00864, 
      0x01f8c005, 0x0fdf08f4, 
      0xfbf8a005, 0x0fdd0993, 
      0xf4f88006, 0x0fdc0a23, 
      0xeef86006, 0x0fda0ac3, 
      0xe7f84007, 0x0fd80b63, 
      0xe0f82007, 0x0fd70c03, 
      0xd9f81006, 0x0fd50cb3, 
      0xd1f80007, 0x0fd30d53, 
      0xc9f7f007, 0x0fd10e03, 
      0xc1f7d008, 0x0fd00ea3, 
      0xb9f7d007, 0x0fce0f53, 
      0xb1f7c007, 0x0fcc1003, 
      0xa8f7b008, 0x0fca10b3, 
      0xa0f7a008, 0x0fc81163, 
      0x97f7a008, 0x0fc61213, 
      0x8ef7a008, 0x0fc412c3, 
      0x84f79008, 0x0fc31383, 
      0x7bf79008, 0x0fc11433, 
      0x71f79009, 0x0fbf14e3, 
      0x67f79009, 0x0fbd15a3, 
      0x5df7a008, 0x0fbb1663, 
      0x53f7a008, 0x0fb91723, 
      0x49f7a009, 0x0fb717d3, 
      0x3ff7b008, 0x0fb51893, 
      0x34f7b009, 0x0fb31953, 
      0x29f7c009, 0x0fb11a13, 
      0x1ff7d008, 0x0faf1ad3, 
      0x14f7e008, 0x0fad1b93, 
      0x09f7f008, 0x0fab1c53, 
      0xfdf80008, 0x0fa91d22, 
      0xf2f81008, 0x0fa71de2, 
      0xe7f82008, 0x0fa51ea2, 
      0xdbf83009, 0x0fa31f62, 
      0xd0f84008, 0x0fa12032, 
      0xc4f86008, 0x0f9f20f2, 
      0xb8f87009, 0x0f9d21b2, 
      0xadf88009, 0x0f9b2272, 
      0xa1f8a008, 0x0f992342, 
      0x95f8b009, 0x0f972402, 
      0x89f8d008, 0x0f9624c2, 
      0x7df8f008, 0x0f942582, 
      0x71f90008, 0x0f922652,
   },
   { /* UV scale factor = 1.19, phases = 127, taps = 5. */
      0x72266f91, 0x0008f8f2, 
      0x7e259f93, 0x0008f8e2, 
      0x8a24df95, 0x0008f8c2, 
      0x96241f97, 0x0008f8a2, 
      0xa2234f99, 0x0008f892, 
      0xae228f9b, 0x0008f872, 
      0xba21cf9c, 0x0008f862, 
      0xc5210f9e, 0x0008f852, 
      0xd1204fa0, 0x0008f832, 
      0xdd1f7fa2, 0x0008f822, 
      0xe81ebfa4, 0x0008f812, 
      0xf41defa6, 0x0008f802, 
      0xff1d2fa8, 0x0008f7f2, 
      0x0a1c6faa, 0x0008f7e3, 
      0x151bafac, 0x0008f7d3, 
      0x201aefae, 0x0008f7c3, 
      0x2b1a2fb0, 0x0008f7b3, 
      0x36196fb2, 0x0008f7a3, 
      0x4018afb4, 0x0008f7a3, 
      0x4b17efb6, 0x0008f793, 
      0x55172fb8, 0x0008f793, 
      0x5f166fba, 0x0008f793, 
      0x6915bfbc, 0x0008f783, 
      0x7314ffbe, 0x0008f783, 
      0x7d143fc0, 0x0008f783, 
      0x86138fc2, 0x0008f783, 
      0x9012cfc4, 0x0008f783, 
      0x99121fc5, 0x0008f793, 
      0xa2116fc7, 0x0008f793, 
      0xab10afc9, 0x0008f7a3, 
      0xb3100fcb, 0x0008f7a3, 
      0xbb0f5fce, 0x0007f7b3, 
      0xc40eafcf, 0x0007f7c3, 
      0xcc0dffd1, 0x0007f7d3, 
      0xd30d5fd3, 0x0007f7e3, 
      0xdb0cafd4, 0x0007f803, 
      0xe20c0fd6, 0x0007f813, 
      0xe90b6fd8, 0x0006f833, 
      0xf00acfd9, 0x0006f853, 
      0xf70a2fdb, 0x0006f863, 
      0xfd098fdd, 0x0006f883, 
      0x0308ffde, 0x0005f8b4, 
      0x09085fe0, 0x0005f8d4, 
      0x0f07cfe1, 0x0005f8f4, 
      0x14073fe3, 0x0004f924, 
      0x1906afe4, 0x0004f954, 
      0x1e061fe5, 0x0004f984, 
      0x23058fe7, 0x0003f9b4, 
      0x27050fe8, 0x0003f9e4, 
      0x2b047fea, 0x0002fa24, 
      0x2f03ffeb, 0x0002fa54, 
      0x32037fed, 0x0001fa94, 
      0x3602ffed, 0x0001fad4, 
      0x39027fef, 0x0000fb14, 
      0x3b020ff0, 0x0000fb54, 
      0x3e018ff1, 0x0ffffba4, 
      0x40011ff3, 0x0ffefbe4, 
      0x4200aff3, 0x0ffefc34, 
      0x43003ff5, 0x0ffdfc84, 
      0x44ffdff6, 0x0ffcfcd4, 
      0x45ff6ff6, 0x0ffcfd34, 
      0x46ff0ff7, 0x0ffbfd84, 
      0x47fe9ff8, 0x0ffafde4, 
      0x47fe3ff9, 0x0ff9fe44, 
      0x47fdeff9, 0x0ff8fea4, 
      0x46fd8ffb, 0x0ff7ff04, 
      0x45fd3ffc, 0x0ff6ff64, 
      0x44fcdffd, 0x0ff5ffd4, 
      0x43fc9ffd, 0x0ff40034, 
      0x42fc3ffe, 0x0ff300a4, 
      0x40fbefff, 0x0ff20114, 
      0x3efbafff, 0x0ff10184, 
      0x3bfb5000, 0x0ff00204, 
      0x39fb1000, 0x0fef0274, 
      0x36fad000, 0x0fee02f4, 
      0x32fa9002, 0x0fec0374, 
      0x2ffa5002, 0x0feb03f4, 
      0x2bfa2002, 0x0fea0474, 
      0x27f9e002, 0x0fe90504, 
      0x23f9b003, 0x0fe70584, 
      0x1ef98003, 0x0fe60614, 
      0x19f95004, 0x0fe406a4, 
      0x14f92004, 0x0fe30734, 
      0x0ff8f005, 0x0fe107c4, 
      0x09f8d005, 0x0fe00854, 
      0x03f8b005, 0x0fde08f4, 
      0xfdf88006, 0x0fdd0983, 
      0xf7f86006, 0x0fdb0a23, 
      0xf0f84006, 0x0fda0ac3, 
      0xe9f83006, 0x0fd80b63, 
      0xe2f81007, 0x0fd60c03, 
      0xdbf80007, 0x0fd40ca3, 
      0xd3f7e007, 0x0fd30d53, 
      0xccf7d007, 0x0fd10df3, 
      0xc4f7c007, 0x0fcf0ea3, 
      0xbbf7b008, 0x0fcd0f53, 
      0xb3f7a008, 0x0fcb1003, 
      0xabf79007, 0x0fca10b3, 
      0xa2f79007, 0x0fc81163, 
      0x99f79007, 0x0fc61213, 
      0x90f78008, 0x0fc412c3, 
      0x86f78009, 0x0fc21373, 
      0x7df78008, 0x0fc01433, 
      0x73f78008, 0x0fbe14f3, 
      0x69f78009, 0x0fbc15a3, 
      0x5ff79008, 0x0fba1663, 
      0x55f79008, 0x0fb81723, 
      0x4bf79008, 0x0fb617e3, 
      0x40f7a009, 0x0fb41893, 
      0x36f7a009, 0x0fb21953, 
      0x2bf7b008, 0x0fb01a23, 
      0x20f7c008, 0x0fae1ae3, 
      0x15f7d008, 0x0fac1ba3, 
      0x0af7e008, 0x0faa1c63, 
      0xfff7f008, 0x0fa81d22, 
      0xf4f80008, 0x0fa61de2, 
      0xe8f81008, 0x0fa41eb2, 
      0xddf82008, 0x0fa21f72, 
      0xd1f83009, 0x0fa02032, 
      0xc5f85008, 0x0f9e2102, 
      0xbaf86008, 0x0f9c21c2, 
      0xaef87009, 0x0f9a2282, 
      0xa2f89009, 0x0f982342, 
      0x96f8a009, 0x0f962412, 
      0x8af8c008, 0x0f9524d2, 
      0x7ef8e008, 0x0f932592, 
      0x72f8f008, 0x0f912662,
   },
   { /* UV scale factor = 1.20, phases = 127, taps = 5. */
      0x73267f90, 0x0008f8e2, 
      0x7f25af92, 0x0008f8d2, 
      0x8b24ef94, 0x0008f8b2, 
      0x97242f96, 0x0008f892, 
      0xa3235f98, 0x0008f882, 
      0xaf229f9a, 0x0008f862, 
      0xbb21df9b, 0x0008f852, 
      0xc7210f9e, 0x0008f832, 
      0xd3204f9f, 0x0008f822, 
      0xde1f8fa1, 0x0008f812, 
      0xea1ebfa3, 0x0008f802, 
      0xf51dffa6, 0x0008f7e2, 
      0x011d3fa7, 0x0008f7d3, 
      0x0c1c6faa, 0x0008f7c3, 
      0x171bafac, 0x0008f7b3, 
      0x221aefad, 0x0008f7b3, 
      0x2d1a2faf, 0x0008f7a3, 
      0x38196fb1, 0x0008f793, 
      0x4218afb3, 0x0008f793, 
      0x4d17efb5, 0x0008f783, 
      0x57172fb7, 0x0008f783, 
      0x61166fba, 0x0008f773, 
      0x6b15afbc, 0x0008f773, 
      0x7514ffbd, 0x0008f773, 
      0x7f143fbf, 0x0008f773, 
      0x88137fc2, 0x0008f773, 
      0x9212cfc3, 0x0008f773, 
      0x9b120fc5, 0x0008f783, 
      0xa4115fc7, 0x0008f783, 
      0xad10afc8, 0x0008f793, 
      0xb5100fcb, 0x0007f793, 
      0xbe0f4fcd, 0x0007f7a3, 
      0xc60eafce, 0x0007f7b3, 
      0xce0dffd0, 0x0007f7c3, 
      0xd60d4fd2, 0x0007f7d3, 
      0xdd0cafd4, 0x0007f7e3, 
      0xe40c0fd6, 0x0006f803, 
      0xec0b5fd7, 0x0006f823, 
      0xf20abfda, 0x0006f833, 
      0xf90a1fdb, 0x0006f853, 
      0xff098fdd, 0x0005f873, 
      0x0608efde, 0x0005f894, 
      0x0b085fdf, 0x0005f8c4, 
      0x1107cfe1, 0x0004f8e4, 
      0x17072fe2, 0x0004f914, 
      0x1c069fe3, 0x0004f944, 
      0x21060fe5, 0x0003f974, 
      0x25057fe7, 0x0003f9a4, 
      0x2904ffe8, 0x0003f9d4, 
      0x2e046fea, 0x0002fa04, 
      0x3103efeb, 0x0002fa44, 
      0x35036fec, 0x0001fa84, 
      0x3802efed, 0x0001fac4, 
      0x3b026fef, 0x0000fb04, 
      0x3e01fff0, 0x0ffffb44, 
      0x40017ff1, 0x0ffffb94, 
      0x42011ff2, 0x0ffefbd4, 
      0x44009ff4, 0x0ffdfc24, 
      0x46002ff4, 0x0ffdfc74, 
      0x47ffcff5, 0x0ffcfcc4, 
      0x48ff5ff7, 0x0ffbfd14, 
      0x49fefff7, 0x0ffafd74, 
      0x49fe8ff8, 0x0ffafdd4, 
      0x49fe3ff9, 0x0ff9fe24, 
      0x49fddffa, 0x0ff8fe84, 
      0x49fd7ffa, 0x0ff7fef4, 
      0x48fd1ffc, 0x0ff6ff54, 
      0x47fccffc, 0x0ff5ffc4, 
      0x46fc7ffd, 0x0ff40024, 
      0x44fc2ffe, 0x0ff30094, 
      0x42fbdfff, 0x0ff20104, 
      0x40fb9fff, 0x0ff10174, 
      0x3efb4fff, 0x0ff001f4, 
      0x3bfb0000, 0x0fef0264, 
      0x38fac001, 0x0fed02e4, 
      0x35fa8001, 0x0fec0364, 
      0x31fa4002, 0x0feb03e4, 
      0x2efa0002, 0x0fea0464, 
      0x29f9d003, 0x0fe804f4, 
      0x25f9a003, 0x0fe70574, 
      0x21f97003, 0x0fe50604, 
      0x1cf94003, 0x0fe40694, 
      0x17f91004, 0x0fe20724, 
      0x11f8e005, 0x0fe107b4, 
      0x0bf8c005, 0x0fdf0854, 
      0x06f89005, 0x0fde08e4, 
      0xfff87006, 0x0fdc0983, 
      0xf9f85006, 0x0fdb0a13, 
      0xf2f84006, 0x0fd90ab3, 
      0xecf82006, 0x0fd70b53, 
      0xe4f80006, 0x0fd60c03, 
      0xddf7e007, 0x0fd40ca3, 
      0xd6f7d007, 0x0fd20d43, 
      0xcef7c007, 0x0fd00df3, 
      0xc6f7a007, 0x0fcf0ea3, 
      0xbef7a007, 0x0fcd0f43, 
      0xb5f79008, 0x0fcb0ff3, 
      0xadf79007, 0x0fc910a3, 
      0xa4f78008, 0x0fc71153, 
      0x9bf78007, 0x0fc51213, 
      0x92f77008, 0x0fc312c3, 
      0x88f78008, 0x0fc11373, 
      0x7ff77008, 0x0fbf1433, 
      0x75f77008, 0x0fbd14f3, 
      0x6bf77009, 0x0fbb15a3, 
      0x61f77009, 0x0fb91663, 
      0x57f78008, 0x0fb71723, 
      0x4df78008, 0x0fb517e3, 
      0x42f79008, 0x0fb318a3, 
      0x38f79008, 0x0fb11963, 
      0x2df7a008, 0x0faf1a23, 
      0x22f7b008, 0x0fad1ae3, 
      0x17f7b009, 0x0fab1ba3, 
      0x0cf7c009, 0x0fa91c63, 
      0x01f7d008, 0x0fa71d33, 
      0xf5f7e009, 0x0fa51df2, 
      0xeaf80008, 0x0fa31eb2, 
      0xdef81008, 0x0fa11f82, 
      0xd3f82008, 0x0f9f2042, 
      0xc7f83009, 0x0f9d2102, 
      0xbbf85008, 0x0f9b21d2, 
      0xaff86009, 0x0f992292, 
      0xa3f88009, 0x0f972352, 
      0x97f89008, 0x0f962422, 
      0x8bf8b008, 0x0f9424e2, 
      0x7ff8d008, 0x0f9225a2, 
      0x73f8e008, 0x0f902672,
   },
   { /* UV scale factor = 1.21, phases = 127, taps = 5. */
      0x74268f8f, 0x0008f8d2, 
      0x8025bf91, 0x0008f8c2, 
      0x8c24ff93, 0x0008f8a2, 
      0x98243f95, 0x0008f882, 
      0xa4236f97, 0x0008f872, 
      0xb022af99, 0x0008f852, 
      0xbc21df9b, 0x0008f842, 
      0xc8211f9d, 0x0008f822, 
      0xd4205f9e, 0x0008f812, 
      0xe01f8fa0, 0x0008f802, 
      0xeb1ecfa2, 0x0008f7f2, 
      0xf71dffa5, 0x0008f7d2, 
      0x021d3fa7, 0x0008f7c3, 
      0x0d1c7fa9, 0x0008f7b3, 
      0x191bbfaa, 0x0008f7a3, 
      0x241aefad, 0x0008f793, 
      0x2e1a2faf, 0x0008f793, 
      0x39196fb1, 0x0008f783, 
      0x4418afb3, 0x0008f773, 
      0x4e17efb5, 0x0008f773, 
      0x59172fb7, 0x0008f763, 
      0x63166fb9, 0x0008f763, 
      0x6d15afbb, 0x0008f763, 
      0x7714ffbc, 0x0008f763, 
      0x81143fbe, 0x0008f763, 
      0x8a137fc1, 0x0008f763, 
      0x9412cfc2, 0x0008f763, 
      0x9d121fc4, 0x0008f763, 
      0xa6115fc6, 0x0008f773, 
      0xaf10afc9, 0x0007f773, 
      0xb70fffcb, 0x0007f783, 
      0xc00f4fcc, 0x0007f793, 
      0xc80e9fce, 0x0007f7a3, 
      0xd00dffcf, 0x0007f7b3, 
      0xd80d4fd1, 0x0007f7c3, 
      0xdf0cafd4, 0x0006f7d3, 
      0xe70bffd5, 0x0006f7f3, 
      0xee0b5fd7, 0x0006f803, 
      0xf50abfd8, 0x0006f823, 
      0xfb0a1fda, 0x0006f843, 
      0x02097fdc, 0x0005f864, 
      0x0808dfde, 0x0005f884, 
      0x0e084fdf, 0x0005f8a4, 
      0x1407bfe0, 0x0004f8d4, 
      0x19071fe2, 0x0004f904, 
      0x1e068fe4, 0x0004f924, 
      0x23060fe5, 0x0003f954, 
      0x28057fe6, 0x0003f984, 
      0x2c04efe8, 0x0002f9c4, 
      0x30046fe9, 0x0002f9f4, 
      0x3403dfeb, 0x0001fa34, 
      0x38035feb, 0x0001fa74, 
      0x3b02dfed, 0x0000fab4, 
      0x3e025fee, 0x0000faf4, 
      0x4101efef, 0x0ffffb34, 
      0x43017ff0, 0x0ffffb74, 
      0x4500fff2, 0x0ffefbc4, 
      0x47008ff3, 0x0ffdfc14, 
      0x49001ff3, 0x0ffdfc64, 
      0x4affbff4, 0x0ffcfcb4, 
      0x4bff4ff6, 0x0ffbfd04, 
      0x4cfeeff6, 0x0ffafd64, 
      0x4cfe7ff8, 0x0ff9fdc4, 
      0x4cfe1ff9, 0x0ff9fe14, 
      0x4cfdcff9, 0x0ff8fe74, 
      0x4cfd5ffa, 0x0ff7fee4, 
      0x4bfd0ffb, 0x0ff6ff44, 
      0x4afcbffb, 0x0ff5ffb4, 
      0x49fc6ffc, 0x0ff40014, 
      0x47fc1ffd, 0x0ff30084, 
      0x45fbcffe, 0x0ff200f4, 
      0x43fb7ffe, 0x0ff10174, 
      0x41fb3fff, 0x0fef01e4, 
      0x3efaffff, 0x0fee0264, 
      0x3bfab000, 0x0fed02d4, 
      0x38fa7000, 0x0fec0354, 
      0x34fa3002, 0x0fea03d4, 
      0x30f9f002, 0x0fe90464, 
      0x2cf9c002, 0x0fe804e4, 
      0x28f98003, 0x0fe60574, 
      0x23f95004, 0x0fe505f4, 
      0x1ef92004, 0x0fe40684, 
      0x19f90004, 0x0fe20714, 
      0x14f8c004, 0x0fe107b4, 
      0x0ef8a005, 0x0fdf0844, 
      0x08f89005, 0x0fdd08d4, 
      0x02f86005, 0x0fdc0974, 
      0xfbf84006, 0x0fda0a13, 
      0xf5f82005, 0x0fd90ab3, 
      0xeef80006, 0x0fd70b53, 
      0xe7f7f006, 0x0fd50bf3, 
      0xdff7d007, 0x0fd30ca3, 
      0xd8f7c006, 0x0fd20d43, 
      0xd0f7b006, 0x0fd00df3, 
      0xc8f7a007, 0x0fce0e93, 
      0xc0f79007, 0x0fcc0f43, 
      0xb7f78008, 0x0fca0ff3, 
      0xaff77008, 0x0fc810a3, 
      0xa6f77008, 0x0fc61153, 
      0x9df76008, 0x0fc41213, 
      0x94f76007, 0x0fc312c3, 
      0x8af76008, 0x0fc11373, 
      0x81f76007, 0x0fbf1433, 
      0x77f76007, 0x0fbd14f3, 
      0x6df76008, 0x0fbb15a3, 
      0x63f76008, 0x0fb91663, 
      0x59f76008, 0x0fb71723, 
      0x4ef77008, 0x0fb517e3, 
      0x44f77009, 0x0fb218a3, 
      0x39f78009, 0x0fb01963, 
      0x2ef79009, 0x0fae1a23, 
      0x24f79009, 0x0fac1ae3, 
      0x19f7a008, 0x0faa1bb3, 
      0x0df7b009, 0x0fa81c73, 
      0x02f7c009, 0x0fa61d33, 
      0xf7f7d009, 0x0fa41df2, 
      0xebf7f008, 0x0fa21ec2, 
      0xe0f80008, 0x0fa01f82, 
      0xd4f81008, 0x0f9e2052, 
      0xc8f82009, 0x0f9c2112, 
      0xbcf84009, 0x0f9a21d2, 
      0xb0f85009, 0x0f9822a2, 
      0xa4f87009, 0x0f962362, 
      0x98f88008, 0x0f952432, 
      0x8cf8a008, 0x0f9324f2, 
      0x80f8c008, 0x0f9125b2, 
      0x74f8d008, 0x0f8f2682,
   },
   { /* UV scale factor = 1.22, phases = 127, taps = 5. */
      0x75269f8e, 0x0008f8c2, 
      0x8125cf90, 0x0008f8b2, 
      0x8d250f92, 0x0008f892, 
      0x9a243f94, 0x0008f872, 
      0xa6237f95, 0x0008f862, 
      0xb222bf97, 0x0008f842, 
      0xbe21ef99, 0x0008f832, 
      0xc9212f9c, 0x0008f812, 
      0xd5205f9e, 0x0008f802, 
      0xe11f9f9f, 0x0008f7f2, 
      0xed1ecfa2, 0x0008f7d2, 
      0xf81e0fa4, 0x0008f7c2, 
      0x041d4fa5, 0x0008f7b3, 
      0x0f1c7fa8, 0x0008f7a3, 
      0x1a1bbfaa, 0x0008f793, 
      0x251affac, 0x0008f783, 
      0x301a3fae, 0x0008f773, 
      0x3b196fb0, 0x0008f773, 
      0x4618afb2, 0x0008f763, 
      0x5017efb4, 0x0008f763, 
      0x5b172fb6, 0x0008f753, 
      0x65166fb8, 0x0008f753, 
      0x6f15afba, 0x0008f753, 
      0x7914ffbc, 0x0008f743, 
      0x83143fbe, 0x0008f743, 
      0x8c137fc0, 0x0008f753, 
      0x9612cfc1, 0x0008f753, 
      0x9f121fc3, 0x0008f753, 
      0xa8116fc6, 0x0007f753, 
      0xb110afc8, 0x0007f763, 
      0xba0fffc9, 0x0007f773, 
      0xc20f4fcc, 0x0007f773, 
      0xca0e9fce, 0x0007f783, 
      0xd20defd0, 0x0007f793, 
      0xda0d3fd1, 0x0007f7b3, 
      0xe20c9fd3, 0x0006f7c3, 
      0xe90bffd5, 0x0006f7d3, 
      0xf00b4fd7, 0x0006f7f3, 
      0xf70aafd8, 0x0006f813, 
      0xfe0a0fda, 0x0005f833, 
      0x04097fdb, 0x0005f854, 
      0x0b08dfdc, 0x0005f874, 
      0x10083fdf, 0x0005f894, 
      0x1607afe0, 0x0004f8c4, 
      0x1c071fe1, 0x0004f8e4, 
      0x21068fe3, 0x0003f914, 
      0x2605ffe4, 0x0003f944, 
      0x2a056fe6, 0x0003f974, 
      0x2f04dfe8, 0x0002f9a4, 
      0x33045fe8, 0x0002f9e4, 
      0x3703cfea, 0x0001fa24, 
      0x3a034fec, 0x0001fa54, 
      0x3d02dfed, 0x0000fa94, 
      0x41025fed, 0x0000fad4, 
      0x4301dfef, 0x0ffffb24, 
      0x46016ff0, 0x0ffefb64, 
      0x4800eff1, 0x0ffefbb4, 
      0x4a007ff2, 0x0ffdfc04, 
      0x4b000ff4, 0x0ffcfc54, 
      0x4dff9ff4, 0x0ffcfca4, 
      0x4eff3ff5, 0x0ffbfcf4, 
      0x4efedff6, 0x0ffafd54, 
      0x4ffe6ff8, 0x0ff9fda4, 
      0x4ffe0ff9, 0x0ff8fe04, 
      0x4ffdaffa, 0x0ff7fe64, 
      0x4efd5ffa, 0x0ff6fed4, 
      0x4efcfffa, 0x0ff6ff34, 
      0x4dfc9ffb, 0x0ff5ffa4, 
      0x4bfc5ffd, 0x0ff30004, 
      0x4afc0ffd, 0x0ff20074, 
      0x48fbbffe, 0x0ff100e4, 
      0x46fb6ffe, 0x0ff00164, 
      0x43fb2fff, 0x0fef01d4, 
      0x41fadfff, 0x0fee0254, 
      0x3dfa9001, 0x0fed02c4, 
      0x3afa6001, 0x0feb0344, 
      0x37fa1001, 0x0fea03d4, 
      0x33f9e001, 0x0fe90454, 
      0x2ff9a003, 0x0fe704d4, 
      0x2af97003, 0x0fe60564, 
      0x25f94003, 0x0fe505f4, 
      0x21f91003, 0x0fe30684, 
      0x1cf8e003, 0x0fe20714, 
      0x16f8c004, 0x0fe007a4, 
      0x10f89005, 0x0fdf0834, 
      0x0bf87004, 0x0fdd08d4, 
      0x04f85005, 0x0fdb0974, 
      0xfef83005, 0x0fda0a03, 
      0xf7f81006, 0x0fd80aa3, 
      0xf1f7f006, 0x0fd60b43, 
      0xe9f7d006, 0x0fd50bf3, 
      0xe2f7c006, 0x0fd30c93, 
      0xdaf7b006, 0x0fd10d43, 
      0xd2f7a007, 0x0fcf0de3, 
      0xcaf79007, 0x0fcd0e93, 
      0xc2f77007, 0x0fcc0f43, 
      0xbaf76007, 0x0fca0ff3, 
      0xb1f76007, 0x0fc810a3, 
      0xa8f75008, 0x0fc61153, 
      0x9ff75007, 0x0fc41213, 
      0x96f75007, 0x0fc212c3, 
      0x8cf75008, 0x0fc01373, 
      0x83f74008, 0x0fbe1433, 
      0x79f74008, 0x0fbc14f3, 
      0x6ff75008, 0x0fba15a3, 
      0x65f75008, 0x0fb81663, 
      0x5bf75008, 0x0fb61723, 
      0x50f76008, 0x0fb417e3, 
      0x46f76008, 0x0fb218a3, 
      0x3bf77008, 0x0fb01963, 
      0x30f77008, 0x0fae1a33, 
      0x25f78008, 0x0fac1af3, 
      0x1af79008, 0x0faa1bb3, 
      0x0ff7a009, 0x0fa71c73, 
      0x04f7b008, 0x0fa51d43, 
      0xf8f7c009, 0x0fa31e02, 
      0xedf7d009, 0x0fa11ec2, 
      0xe1f7f008, 0x0f9f1f92, 
      0xd5f80009, 0x0f9d2052, 
      0xc9f81009, 0x0f9b2122, 
      0xbef83008, 0x0f9921e2, 
      0xb2f84008, 0x0f9722b2, 
      0xa6f85008, 0x0f962372, 
      0x9af87008, 0x0f942432, 
      0x8df89008, 0x0f922502, 
      0x81f8b008, 0x0f9025c2, 
      0x75f8c008, 0x0f8e2692,
   },
   { /* UV scale factor = 1.23, phases = 127, taps = 5. */
      0x7626af8d, 0x0008f8b2, 
      0x8225df8f, 0x0008f8a2, 
      0x8f251f90, 0x0008f882, 
      0x9b244f93, 0x0008f862, 
      0xa7238f94, 0x0008f852, 
      0xb322bf97, 0x0008f832, 
      0xbf21ff98, 0x0008f822, 
      0xcb212f9b, 0x0008f802, 
      0xd7206f9c, 0x0008f7f2, 
      0xe21f9f9f, 0x0008f7e2, 
      0xee1edfa1, 0x0008f7c2, 
      0xfa1e1fa2, 0x0008f7b2, 
      0x051d4fa5, 0x0008f7a3, 
      0x111c8fa6, 0x0008f793, 
      0x1c1bbfa9, 0x0008f783, 
      0x271affab, 0x0008f773, 
      0x321a3fad, 0x0008f763, 
      0x3d197fae, 0x0008f763, 
      0x4818bfb0, 0x0008f753, 
      0x5217efb4, 0x0008f743, 
      0x5d172fb5, 0x0008f743, 
      0x67166fb7, 0x0008f743, 
      0x7115bfb9, 0x0008f733, 
      0x7b14ffbb, 0x0008f733, 
      0x85143fbd, 0x0008f733, 
      0x8e137fc0, 0x0008f733, 
      0x9812cfc1, 0x0008f733, 
      0xa1120fc4, 0x0007f743, 
      0xaa115fc6, 0x0007f743, 
      0xb310afc7, 0x0007f753, 
      0xbc0fffc9, 0x0007f753, 
      0xc40f4fcb, 0x0007f763, 
      0xcd0e9fcc, 0x0007f773, 
      0xd50defce, 0x0007f783, 
      0xdd0d3fd1, 0x0006f793, 
      0xe40c9fd2, 0x0006f7b3, 
      0xec0befd4, 0x0006f7c3, 
      0xf30b4fd5, 0x0006f7e3, 
      0xfa0aafd7, 0x0006f7f3, 
      0x000a0fda, 0x0005f814, 
      0x07096fdb, 0x0005f834, 
      0x0d08cfdd, 0x0005f854, 
      0x13083fde, 0x0004f884, 
      0x19079fe0, 0x0004f8a4, 
      0x1e070fe1, 0x0004f8d4, 
      0x23067fe3, 0x0003f904, 
      0x2805efe4, 0x0003f934, 
      0x2d055fe6, 0x0002f964, 
      0x3104cfe8, 0x0002f994, 
      0x35044fe8, 0x0002f9d4, 
      0x3903cfea, 0x0001fa04, 
      0x3d034feb, 0x0000fa44, 
      0x4002cfec, 0x0000fa84, 
      0x43024fee, 0x0ffffac4, 
      0x4601cfef, 0x0ffffb04, 
      0x48015ff0, 0x0ffefb54, 
      0x4b00dff1, 0x0ffdfba4, 
      0x4c006ff3, 0x0ffdfbe4, 
      0x4efffff4, 0x0ffcfc34, 
      0x4fff8ff5, 0x0ffbfc94, 
      0x50ff2ff5, 0x0ffbfce4, 
      0x51febff6, 0x0ffafd44, 
      0x52fe5ff7, 0x0ff9fd94, 
      0x52fdfff8, 0x0ff8fdf4, 
      0x52fd9ff9, 0x0ff7fe54, 
      0x51fd4ffa, 0x0ff6feb4, 
      0x50fceffb, 0x0ff5ff24, 
      0x4ffc9ffc, 0x0ff4ff84, 
      0x4efc3ffd, 0x0ff3fff4, 
      0x4cfbfffd, 0x0ff20064, 
      0x4bfbaffd, 0x0ff100d4, 
      0x48fb5ffe, 0x0ff00154, 
      0x46fb0fff, 0x0fef01c4, 
      0x43facfff, 0x0fee0244, 
      0x40fa8000, 0x0fec02c4, 
      0x3dfa4000, 0x0feb0344, 
      0x39fa0001, 0x0fea03c4, 
      0x35f9d002, 0x0fe80444, 
      0x31f9a002, 0x0fe704c4, 
      0x2df96002, 0x0fe60554, 
      0x28f93003, 0x0fe405e4, 
      0x23f90003, 0x0fe30674, 
      0x1ef8d004, 0x0fe10704, 
      0x19f8a004, 0x0fe00794, 
      0x13f88004, 0x0fde0834, 
      0x0df86005, 0x0fdc08c4, 
      0x07f83005, 0x0fdb0964, 
      0x00f81006, 0x0fd90a04, 
      0xfaf7f005, 0x0fd80aa3, 
      0xf3f7e005, 0x0fd60b43, 
      0xecf7c006, 0x0fd40be3, 
      0xe4f7b006, 0x0fd20c93, 
      0xddf79007, 0x0fd00d33, 
      0xd5f78006, 0x0fcf0de3, 
      0xcdf77006, 0x0fcd0e93, 
      0xc4f76007, 0x0fcb0f43, 
      0xbcf75007, 0x0fc90ff3, 
      0xb3f75007, 0x0fc710a3, 
      0xaaf74008, 0x0fc51153, 
      0xa1f74008, 0x0fc31203, 
      0x98f73008, 0x0fc112c3, 
      0x8ef74008, 0x0fbf1373, 
      0x85f73008, 0x0fbd1433, 
      0x7bf73008, 0x0fbb14f3, 
      0x71f73008, 0x0fb915b3, 
      0x67f74008, 0x0fb71663, 
      0x5df74008, 0x0fb51723, 
      0x52f74009, 0x0fb317e3, 
      0x48f74008, 0x0fb118b3, 
      0x3df75008, 0x0faf1973, 
      0x32f76008, 0x0fad1a33, 
      0x27f77008, 0x0fab1af3, 
      0x1cf78008, 0x0fa91bb3, 
      0x11f78008, 0x0fa71c83, 
      0x05f7a008, 0x0fa51d43, 
      0xf9f7b008, 0x0fa31e12, 
      0xeef7c009, 0x0fa01ed2, 
      0xe2f7e009, 0x0f9e1f92, 
      0xd7f7f008, 0x0f9c2062, 
      0xcbf80009, 0x0f9a2122, 
      0xbff82008, 0x0f9821f2, 
      0xb3f83009, 0x0f9622b2, 
      0xa7f84008, 0x0f952382, 
      0x9bf86008, 0x0f932442, 
      0x8ff87008, 0x0f912512, 
      0x82f8a008, 0x0f8f25d2, 
      0x76f8b008, 0x0f8d26a2,
   },
   { /* UV scale factor = 1.24, phases = 127, taps = 5. */
      0x7726bf8c, 0x0008f8a2, 
      0x8325ef8e, 0x0008f892, 
      0x90252f8f, 0x0008f872, 
      0x9c245f92, 0x0008f852, 
      0xa8239f93, 0x0008f842, 
      0xb422cf96, 0x0008f822, 
      0xc0220f97, 0x0008f812, 
      0xcc213f9a, 0x0008f7f2, 
      0xd8207f9b, 0x0008f7e2, 
      0xe41faf9e, 0x0008f7c2, 
      0xf01eef9f, 0x0008f7b2, 
      0xfb1e1fa2, 0x0008f7a2, 
      0x071d5fa3, 0x0008f793, 
      0x121c8fa6, 0x0008f783, 
      0x1d1bcfa8, 0x0008f773, 
      0x291b0fa9, 0x0008f763, 
      0x341a3fac, 0x0008f753, 
      0x3f197fae, 0x0008f743, 
      0x4918bfb0, 0x0008f743, 
      0x5417ffb2, 0x0008f733, 
      0x5e173fb4, 0x0008f733, 
      0x69167fb6, 0x0008f723, 
      0x7315bfb8, 0x0008f723, 
      0x7d14ffba, 0x0008f723, 
      0x87143fbc, 0x0008f723, 
      0x91137fbe, 0x0008f723, 
      0x9a12cfc1, 0x0007f723, 
      0xa3121fc3, 0x0007f723, 
      0xac115fc5, 0x0007f733, 
      0xb510afc7, 0x0007f733, 
      0xbe0fefc9, 0x0007f743, 
      0xc70f3fca, 0x0007f753, 
      0xcf0e8fcc, 0x0007f763, 
      0xd70defce, 0x0006f773, 
      0xdf0d3fd0, 0x0006f783, 
      0xe70c8fd2, 0x0006f793, 
      0xee0befd3, 0x0006f7b3, 
      0xf50b4fd5, 0x0006f7c3, 
      0xfc0a9fd8, 0x0005f7e3, 
      0x0309ffd9, 0x0005f804, 
      0x09095fdb, 0x0005f824, 
      0x1008bfdc, 0x0005f844, 
      0x16082fdd, 0x0004f874, 
      0x1b079fdf, 0x0004f894, 
      0x2106ffe1, 0x0003f8c4, 
      0x26066fe3, 0x0003f8e4, 
      0x2b05dfe4, 0x0003f914, 
      0x30054fe5, 0x0002f954, 
      0x3404cfe6, 0x0002f984, 
      0x38044fe8, 0x0001f9b4, 
      0x3c03bfe9, 0x0001f9f4, 
      0x40033fea, 0x0000fa34, 
      0x4302bfeb, 0x0000fa74, 
      0x46023fed, 0x0ffffab4, 
      0x4901bfee, 0x0ffffaf4, 
      0x4b014fef, 0x0ffefb44, 
      0x4d00dff1, 0x0ffdfb84, 
      0x4f005ff2, 0x0ffdfbd4, 
      0x51ffeff3, 0x0ffcfc24, 
      0x52ff8ff4, 0x0ffbfc74, 
      0x53ff1ff5, 0x0ffafcd4, 
      0x54febff6, 0x0ff9fd24, 
      0x54fe4ff7, 0x0ff9fd84, 
      0x54fdeff8, 0x0ff8fde4, 
      0x54fd8ff9, 0x0ff7fe44, 
      0x54fd2ffa, 0x0ff6fea4, 
      0x53fcdffa, 0x0ff5ff14, 
      0x52fc7ffc, 0x0ff4ff74, 
      0x51fc2ffc, 0x0ff3ffe4, 
      0x4ffbdffd, 0x0ff20054, 
      0x4dfb8ffe, 0x0ff100c4, 
      0x4bfb4ffd, 0x0ff00144, 
      0x49faffff, 0x0fee01b4, 
      0x46fabfff, 0x0fed0234, 
      0x43fa7fff, 0x0fec02b4, 
      0x40fa2000, 0x0feb0334, 
      0x3cf9f001, 0x0fe903b4, 
      0x38f9b002, 0x0fe80434, 
      0x34f98001, 0x0fe704c4, 
      0x30f95002, 0x0fe50544, 
      0x2bf91003, 0x0fe405d4, 
      0x26f8e004, 0x0fe20664, 
      0x21f8c003, 0x0fe106f4, 
      0x1bf89004, 0x0fdf0794, 
      0x16f86004, 0x0fde0824, 
      0x10f84004, 0x0fdc08c4, 
      0x0af82005, 0x0fda0954, 
      0x03f80005, 0x0fd909f4, 
      0xfcf7e006, 0x0fd70a93, 
      0xf5f7c006, 0x0fd50b43, 
      0xeef7b005, 0x0fd40be3, 
      0xe7f79006, 0x0fd20c83, 
      0xdff78006, 0x0fd00d33, 
      0xd7f77006, 0x0fce0de3, 
      0xcff76007, 0x0fcc0e83, 
      0xc7f75007, 0x0fca0f33, 
      0xbef75007, 0x0fc80fe3, 
      0xb5f73007, 0x0fc710a3, 
      0xacf73007, 0x0fc51153, 
      0xa3f72008, 0x0fc31203, 
      0x9af72007, 0x0fc112c3, 
      0x91f72007, 0x0fbf1373, 
      0x87f72007, 0x0fbd1433, 
      0x7df72007, 0x0fbb14f3, 
      0x73f72008, 0x0fb815b3, 
      0x69f72008, 0x0fb61673, 
      0x5ef73008, 0x0fb41733, 
      0x54f73008, 0x0fb217f3, 
      0x49f74008, 0x0fb018b3, 
      0x3ff74008, 0x0fae1973, 
      0x34f75008, 0x0fac1a33, 
      0x29f75008, 0x0faa1b03, 
      0x1df77008, 0x0fa81bc3, 
      0x12f78008, 0x0fa61c83, 
      0x07f78008, 0x0fa41d53, 
      0xfbf7a008, 0x0fa21e12, 
      0xeff7b008, 0x0fa01ee2, 
      0xe4f7c008, 0x0f9e1fa2, 
      0xd8f7d008, 0x0f9c2072, 
      0xccf7f008, 0x0f9a2132, 
      0xc0f80008, 0x0f982202, 
      0xb4f82008, 0x0f9622c2, 
      0xa8f84007, 0x0f942392, 
      0x9cf85008, 0x0f922452, 
      0x90f87007, 0x0f902522, 
      0x83f89008, 0x0f8e25e2, 
      0x77f8a008, 0x0f8c26b2,
   },
   { /* UV scale factor = 1.25, phases = 127, taps = 5. */
      0x7826cf8b, 0x0008f892, 
      0x8525ff8c, 0x0008f882, 
      0x91253f8e, 0x0008f862, 
      0x9d246f91, 0x0008f842, 
      0xa923af92, 0x0008f832, 
      0xb522df95, 0x0008f812, 
      0xc2220f97, 0x0008f7f2, 
      0xce214f98, 0x0008f7e2, 
      0xda207f9a, 0x0008f7d2, 
      0xe51fbf9d, 0x0008f7b2, 
      0xf11eef9f, 0x0008f7a2, 
      0xfd1e2fa0, 0x0008f792, 
      0x081d5fa3, 0x0008f783, 
      0x141c9fa4, 0x0008f773, 
      0x1f1bcfa7, 0x0008f763, 
      0x2a1b0fa9, 0x0008f753, 
      0x351a4fab, 0x0008f743, 
      0x40197fae, 0x0008f733, 
      0x4b18bfb0, 0x0008f723, 
      0x5617ffb1, 0x0008f723, 
      0x60173fb4, 0x0008f713, 
      0x6b167fb5, 0x0008f713, 
      0x7515bfb7, 0x0008f713, 
      0x7f14ffb9, 0x0008f713, 
      0x89143fbb, 0x0008f713, 
      0x93137fbe, 0x0007f713, 
      0x9c12cfc0, 0x0007f713, 
      0xa5121fc2, 0x0007f713, 
      0xaf115fc3, 0x0007f723, 
      0xb8109fc6, 0x0007f723, 
      0xc00fefc8, 0x0007f733, 
      0xc90f3fca, 0x0007f733, 
      0xd10e8fcc, 0x0007f743, 
      0xd90defce, 0x0006f753, 
      0xe10d3fcf, 0x0006f773, 
      0xe90c8fd1, 0x0006f783, 
      0xf00bdfd4, 0x0006f793, 
      0xf80b3fd4, 0x0006f7b3, 
      0xff0a9fd6, 0x0005f7d3, 
      0x0509ffd8, 0x0005f7f4, 
      0x0c095fd9, 0x0005f814, 
      0x1208bfdc, 0x0004f834, 
      0x18081fde, 0x0004f854, 
      0x1e078fde, 0x0004f884, 
      0x2306ffe1, 0x0003f8a4, 
      0x29065fe2, 0x0003f8d4, 
      0x2e05cfe3, 0x0003f904, 
      0x32054fe5, 0x0002f934, 
      0x3704afe6, 0x0002f974, 
      0x3b042fe8, 0x0001f9a4, 
      0x3f03afe8, 0x0001f9e4, 
      0x42032fea, 0x0000fa24, 
      0x46029feb, 0x0000fa64, 
      0x49022fec, 0x0ffffaa4, 
      0x4b01afef, 0x0ffefae4, 
      0x4e013fef, 0x0ffefb24, 
      0x5000bff1, 0x0ffdfb74, 
      0x52004ff2, 0x0ffcfbc4, 
      0x54ffdff2, 0x0ffcfc14, 
      0x55ff6ff4, 0x0ffbfc64, 
      0x56ff0ff4, 0x0ffafcc4, 
      0x57fe9ff6, 0x0ff9fd14, 
      0x57fe3ff7, 0x0ff8fd74, 
      0x57fddff8, 0x0ff7fdd4, 
      0x57fd7ff8, 0x0ff7fe34, 
      0x57fd1ff9, 0x0ff6fe94, 
      0x56fcbffa, 0x0ff5ff04, 
      0x55fc6ffb, 0x0ff4ff64, 
      0x54fc1ffb, 0x0ff3ffd4, 
      0x52fbcffd, 0x0ff10044, 
      0x50fb7ffe, 0x0ff000b4, 
      0x4efb2ffe, 0x0fef0134, 
      0x4bfaefff, 0x0fee01a4, 
      0x49faaffe, 0x0fed0224, 
      0x46fa5fff, 0x0fec02a4, 
      0x42fa2000, 0x0fea0324, 
      0x3ff9e000, 0x0fe903a4, 
      0x3bf9a001, 0x0fe80424, 
      0x37f97001, 0x0fe604b4, 
      0x32f93002, 0x0fe50544, 
      0x2ef90003, 0x0fe305c4, 
      0x29f8d003, 0x0fe20654, 
      0x23f8a004, 0x0fe006f4, 
      0x1ef88003, 0x0fdf0784, 
      0x18f85005, 0x0fdd0814, 
      0x12f83004, 0x0fdc08b4, 
      0x0cf81004, 0x0fda0954, 
      0x05f7f005, 0x0fd809f4, 
      0xfff7c005, 0x0fd70a93, 
      0xf8f7b005, 0x0fd50b33, 
      0xf0f7a006, 0x0fd30bd3, 
      0xe9f78006, 0x0fd10c83, 
      0xe1f77006, 0x0fcf0d33, 
      0xd9f75007, 0x0fce0dd3, 
      0xd1f74007, 0x0fcc0e83, 
      0xc9f73007, 0x0fca0f33, 
      0xc0f73007, 0x0fc80fe3, 
      0xb8f72007, 0x0fc61093, 
      0xaff71007, 0x0fc41153, 
      0xa5f71008, 0x0fc21203, 
      0x9cf71007, 0x0fc012c3, 
      0x93f71007, 0x0fbe1373, 
      0x89f71007, 0x0fbc1433, 
      0x7ff71007, 0x0fba14f3, 
      0x75f71007, 0x0fb815b3, 
      0x6bf71007, 0x0fb61673, 
      0x60f71008, 0x0fb41733, 
      0x56f72007, 0x0fb217f3, 
      0x4bf73008, 0x0faf18b3, 
      0x40f74008, 0x0fad1973, 
      0x35f74008, 0x0fab1a43, 
      0x2af75008, 0x0fa91b03, 
      0x1ff76008, 0x0fa71bc3, 
      0x14f77007, 0x0fa51c93, 
      0x08f78008, 0x0fa31d53, 
      0xfdf79007, 0x0fa11e22, 
      0xf1f7a008, 0x0f9f1ee2, 
      0xe5f7b008, 0x0f9d1fb2, 
      0xdaf7d007, 0x0f9b2072, 
      0xcef7e007, 0x0f992142, 
      0xc2f7f008, 0x0f972202, 
      0xb5f81008, 0x0f9522d2, 
      0xa9f83007, 0x0f9323a2, 
      0x9df84008, 0x0f912462, 
      0x91f86007, 0x0f8f2532, 
      0x85f88007, 0x0f8d25f2, 
      0x78f89008, 0x0f8b26c2,
   },
   { /* UV scale factor = 1.26, phases = 127, taps = 5. */
      0x7926df8a, 0x0008f882, 
      0x86260f8c, 0x0008f862, 
      0x92254f8d, 0x0008f852, 
      0x9e247f90, 0x0008f832, 
      0xab23af92, 0x0008f812, 
      0xb722ef93, 0x0008f802, 
      0xc3221f96, 0x0008f7e2, 
      0xcf215f97, 0x0008f7d2, 
      0xdb208f9a, 0x0008f7b2, 
      0xe71fbf9c, 0x0008f7a2, 
      0xf31eff9d, 0x0008f792, 
      0xfe1e2fa0, 0x0008f782, 
      0x0a1d6fa2, 0x0008f763, 
      0x151c9fa5, 0x0008f753, 
      0x211bdfa6, 0x0008f743, 
      0x2c1b0fa9, 0x0008f733, 
      0x371a4faa, 0x0008f733, 
      0x42198fac, 0x0008f723, 
      0x4d18bfaf, 0x0008f713, 
      0x5817ffb0, 0x0008f713, 
      0x62173fb3, 0x0008f703, 
      0x6d167fb4, 0x0008f703, 
      0x7715afb7, 0x0008f703, 
      0x8114ffba, 0x0007f6f3, 
      0x8b143fbc, 0x0007f6f3, 
      0x95137fbe, 0x0007f6f3, 
      0x9e12cfbf, 0x0007f703, 
      0xa8120fc1, 0x0007f703, 
      0xb1115fc3, 0x0007f703, 
      0xba109fc5, 0x0007f713, 
      0xc30fefc7, 0x0007f713, 
      0xcb0f3fc9, 0x0007f723, 
      0xd40e8fcb, 0x0006f733, 
      0xdc0ddfcd, 0x0006f743, 
      0xe40d2fcf, 0x0006f753, 
      0xeb0c8fd0, 0x0006f773, 
      0xf30bdfd2, 0x0006f783, 
      0xfa0b3fd4, 0x0005f7a3, 
      0x010a8fd7, 0x0005f7b4, 
      0x0809efd8, 0x0005f7d4, 
      0x0e094fda, 0x0005f7f4, 
      0x1508afdb, 0x0004f824, 
      0x1b081fdc, 0x0004f844, 
      0x20077fdf, 0x0004f864, 
      0x2606efe0, 0x0003f894, 
      0x2b065fe1, 0x0003f8c4, 
      0x3005cfe3, 0x0002f8f4, 
      0x35053fe4, 0x0002f924, 
      0x3904bfe6, 0x0001f954, 
      0x3e041fe7, 0x0001f994, 
      0x4103afe9, 0x0000f9c4, 
      0x45031fea, 0x0000fa04, 
      0x48029fec, 0x0ffffa44, 
      0x4b021fed, 0x0ffffa84, 
      0x4e019fee, 0x0ffefad4, 
      0x51012fef, 0x0ffdfb14, 
      0x5300aff0, 0x0ffdfb64, 
      0x55003ff1, 0x0ffcfbb4, 
      0x56ffcff3, 0x0ffbfc04, 
      0x58ff5ff3, 0x0ffbfc54, 
      0x59fefff4, 0x0ffafca4, 
      0x59fe8ff6, 0x0ff9fd04, 
      0x5afe2ff6, 0x0ff8fd64, 
      0x5afdcff7, 0x0ff7fdc4, 
      0x5afd6ff8, 0x0ff6fe24, 
      0x59fd1ff9, 0x0ff5fe84, 
      0x59fcaffa, 0x0ff4fef4, 
      0x58fc5ffb, 0x0ff3ff54, 
      0x56fc0ffc, 0x0ff2ffc4, 
      0x55fbbffc, 0x0ff10034, 
      0x53fb6ffd, 0x0ff000a4, 
      0x51fb1ffd, 0x0fef0124, 
      0x4efadffe, 0x0fee0194, 
      0x4bfa9fff, 0x0fec0214, 
      0x48fa4000, 0x0feb0294, 
      0x45fa0000, 0x0fea0314, 
      0x41f9c001, 0x0fe90394, 
      0x3ef99000, 0x0fe70424, 
      0x39f95002, 0x0fe604a4, 
      0x35f92002, 0x0fe40534, 
      0x30f8f002, 0x0fe305c4, 
      0x2bf8c003, 0x0fe10654, 
      0x26f89003, 0x0fe006e4, 
      0x20f87004, 0x0fde0774, 
      0x1bf84003, 0x0fdd0814, 
      0x15f81004, 0x0fdb08b4, 
      0x0ef80005, 0x0fd90944, 
      0x08f7d005, 0x0fd809e4, 
      0x01f7b006, 0x0fd60a84, 
      0xfaf7a005, 0x0fd40b33, 
      0xf3f78006, 0x0fd20bd3, 
      0xebf77005, 0x0fd10c83, 
      0xe4f75006, 0x0fcf0d23, 
      0xdcf74006, 0x0fcd0dd3, 
      0xd4f73006, 0x0fcb0e83, 
      0xcbf72007, 0x0fc90f33, 
      0xc3f71007, 0x0fc70fe3, 
      0xbaf71007, 0x0fc51093, 
      0xb1f70007, 0x0fc31153, 
      0xa8f70007, 0x0fc11203, 
      0x9ef70007, 0x0fbf12c3, 
      0x95f6f008, 0x0fbd1373, 
      0x8bf6f008, 0x0fbb1433, 
      0x81f6f008, 0x0fb914f3, 
      0x77f70007, 0x0fb715b3, 
      0x6df70007, 0x0fb51673, 
      0x62f70008, 0x0fb31733, 
      0x58f71007, 0x0fb117f3, 
      0x4df71008, 0x0faf18b3, 
      0x42f72007, 0x0fad1983, 
      0x37f73008, 0x0faa1a43, 
      0x2cf74008, 0x0fa81b03, 
      0x21f74008, 0x0fa61bd3, 
      0x15f76008, 0x0fa41c93, 
      0x0af76008, 0x0fa21d63, 
      0xfef78008, 0x0fa01e22, 
      0xf3f79007, 0x0f9e1ef2, 
      0xe7f7a008, 0x0f9c1fb2, 
      0xdbf7b008, 0x0f9a2082, 
      0xcff7d007, 0x0f982152, 
      0xc3f7e008, 0x0f962212, 
      0xb7f80007, 0x0f9422e2, 
      0xabf81008, 0x0f9223a2, 
      0x9ef83008, 0x0f902472, 
      0x92f85007, 0x0f8e2542, 
      0x86f86008, 0x0f8c2602, 
      0x79f88008, 0x0f8a26d2,
   },
   { /* UV scale factor = 1.27, phases = 127, taps = 5. */
      0x7a26ef89, 0x0008f872, 
      0x87261f8b, 0x0008f852, 
      0x93255f8c, 0x0008f842, 
      0xa0248f8e, 0x0008f822, 
      0xac23bf91, 0x0008f802, 
      0xb822ff92, 0x0008f7f2, 
      0xc4222f95, 0x0008f7d2, 
      0xd0215f97, 0x0008f7c2, 
      0xdc209f99, 0x0008f7a2, 
      0xe81fcf9b, 0x0008f792, 
      0xf41eff9d, 0x0008f782, 
      0x001e3f9f, 0x0008f763, 
      0x0c1d6fa1, 0x0008f753, 
      0x171cafa3, 0x0008f743, 
      0x231bdfa5, 0x0008f733, 
      0x2e1b1fa7, 0x0008f723, 
      0x391a4faa, 0x0008f713, 
      0x44198fab, 0x0008f713, 
      0x4f18cfad, 0x0008f703, 
      0x5a17ffb0, 0x0008f6f3, 
      0x64173fb2, 0x0008f6f3, 
      0x6f166fb4, 0x0008f6f3, 
      0x7915bfb7, 0x0007f6e3, 
      0x8314ffb9, 0x0007f6e3, 
      0x8d143fbb, 0x0007f6e3, 
      0x97137fbd, 0x0007f6e3, 
      0xa012cfbf, 0x0007f6e3, 
      0xaa120fc0, 0x0007f6f3, 
      0xb3114fc3, 0x0007f6f3, 
      0xbc109fc5, 0x0007f6f3, 
      0xc50fefc6, 0x0007f703, 
      0xcd0f3fc9, 0x0006f713, 
      0xd60e8fca, 0x0006f723, 
      0xde0ddfcc, 0x0006f733, 
      0xe60d2fce, 0x0006f743, 
      0xee0c7fd0, 0x0006f753, 
      0xf50bdfd2, 0x0005f773, 
      0xfd0b2fd4, 0x0005f783, 
      0x040a8fd5, 0x0005f7a4, 
      0x0a09efd7, 0x0005f7c4, 
      0x11094fd9, 0x0004f7e4, 
      0x1708afdb, 0x0004f804, 
      0x1d080fdc, 0x0004f834, 
      0x23077fde, 0x0003f854, 
      0x2906dfdf, 0x0003f884, 
      0x2e064fe1, 0x0003f8a4, 
      0x3305bfe3, 0x0002f8d4, 
      0x38052fe3, 0x0002f914, 
      0x3c049fe6, 0x0001f944, 
      0x40041fe7, 0x0001f974, 
      0x44038fe9, 0x0000f9b4, 
      0x48030fe9, 0x0000f9f4, 
      0x4b028feb, 0x0ffffa34, 
      0x4e020fec, 0x0ffffa74, 
      0x51018fee, 0x0ffefab4, 
      0x53011fef, 0x0ffdfb04, 
      0x56009fef, 0x0ffdfb54, 
      0x58002ff0, 0x0ffcfba4, 
      0x59ffbff2, 0x0ffbfbf4, 
      0x5bff4ff3, 0x0ffafc44, 
      0x5cfedff4, 0x0ffafc94, 
      0x5cfe7ff5, 0x0ff9fcf4, 
      0x5dfe0ff6, 0x0ff8fd54, 
      0x5dfdbff6, 0x0ff7fdb4, 
      0x5dfd5ff7, 0x0ff6fe14, 
      0x5cfcfff9, 0x0ff5fe74, 
      0x5cfc9ff9, 0x0ff4fee4, 
      0x5bfc4ffa, 0x0ff3ff44, 
      0x59fbfffb, 0x0ff2ffb4, 
      0x58fbaffb, 0x0ff10024, 
      0x56fb5ffc, 0x0ff00094, 
      0x53fb0ffd, 0x0fef0114, 
      0x51facffe, 0x0fed0184, 
      0x4efa7fff, 0x0fec0204, 
      0x4bfa3fff, 0x0feb0284, 
      0x48f9ffff, 0x0fea0304, 
      0x44f9b001, 0x0fe80384, 
      0x40f97001, 0x0fe70414, 
      0x3cf94002, 0x0fe50494, 
      0x38f91001, 0x0fe40524, 
      0x33f8d003, 0x0fe205b4, 
      0x2ef8a003, 0x0fe10644, 
      0x29f88003, 0x0fdf06d4, 
      0x23f85003, 0x0fde0774, 
      0x1df83004, 0x0fdc0804, 
      0x17f80004, 0x0fdb08a4, 
      0x11f7e004, 0x0fd90944, 
      0x0af7c005, 0x0fd709e4, 
      0x04f7a005, 0x0fd50a84, 
      0xfdf78005, 0x0fd40b23, 
      0xf5f77005, 0x0fd20bd3, 
      0xeef75006, 0x0fd00c73, 
      0xe6f74006, 0x0fce0d23, 
      0xdef73006, 0x0fcc0dd3, 
      0xd6f72006, 0x0fca0e83, 
      0xcdf71006, 0x0fc90f33, 
      0xc5f70006, 0x0fc70fe3, 
      0xbcf6f007, 0x0fc51093, 
      0xb3f6f007, 0x0fc31143, 
      0xaaf6e007, 0x0fc11203, 
      0xa0f6e007, 0x0fbf12c3, 
      0x97f6e007, 0x0fbd1373, 
      0x8df6e007, 0x0fbb1433, 
      0x83f6e008, 0x0fb814f3, 
      0x79f6e008, 0x0fb615b3, 
      0x6ff6f007, 0x0fb41673, 
      0x64f6f008, 0x0fb21733, 
      0x5af6f008, 0x0fb017f3, 
      0x4ff70007, 0x0fae18c3, 
      0x44f71007, 0x0fac1983, 
      0x39f71008, 0x0faa1a43, 
      0x2ef72007, 0x0fa81b13, 
      0x23f73008, 0x0fa51bd3, 
      0x17f74008, 0x0fa31ca3, 
      0x0cf75008, 0x0fa11d63, 
      0x00f76008, 0x0f9f1e33, 
      0xf4f78008, 0x0f9d1ef2, 
      0xe8f79008, 0x0f9b1fc2, 
      0xdcf7a008, 0x0f992092, 
      0xd0f7c008, 0x0f972152, 
      0xc4f7d008, 0x0f952222, 
      0xb8f7f007, 0x0f9322f2, 
      0xacf80008, 0x0f9123b2, 
      0xa0f82007, 0x0f8f2482, 
      0x93f84007, 0x0f8d2552, 
      0x87f85008, 0x0f8b2612, 
      0x7af87008, 0x0f8926e2,
   },
   { /* UV scale factor = 1.28, phases = 127, taps = 5. */
      0x7b26ff88, 0x0008f862, 
      0x88262f8a, 0x0008f842, 
      0x94256f8b, 0x0008f832, 
      0xa1249f8d, 0x0008f812, 
      0xad23cf90, 0x0008f7f2, 
      0xb9230f91, 0x0008f7e2, 
      0xc6223f93, 0x0008f7c2, 
      0xd2216f95, 0x0008f7b2, 
      0xde209f98, 0x0008f792, 
      0xea1fdf99, 0x0008f782, 
      0xf61f0f9c, 0x0008f762, 
      0x021e3f9e, 0x0008f753, 
      0x0d1d7fa0, 0x0008f743, 
      0x191cafa2, 0x0008f733, 
      0x241befa4, 0x0008f723, 
      0x301b1fa6, 0x0008f713, 
      0x3b1a5fa8, 0x0008f703, 
      0x46198fab, 0x0008f6f3, 
      0x5118bfad, 0x0008f6f3, 
      0x5c17ffaf, 0x0008f6e3, 
      0x66173fb2, 0x0007f6e3, 
      0x71167fb4, 0x0007f6d3, 
      0x7b15bfb6, 0x0007f6d3, 
      0x8514ffb8, 0x0007f6d3, 
      0x8f143fba, 0x0007f6d3, 
      0x99137fbc, 0x0007f6d3, 
      0xa312cfbd, 0x0007f6d3, 
      0xac120fc0, 0x0007f6d3, 
      0xb5114fc2, 0x0007f6e3, 
      0xbe109fc4, 0x0007f6e3, 
      0xc70fefc5, 0x0007f6f3, 
      0xd00f3fc8, 0x0006f6f3, 
      0xd80e8fca, 0x0006f703, 
      0xe00ddfcc, 0x0006f713, 
      0xe80d1fce, 0x0006f733, 
      0xf00c7fcf, 0x0006f743, 
      0xf80bcfd2, 0x0005f753, 
      0xff0b2fd3, 0x0005f773, 
      0x060a7fd5, 0x0005f794, 
      0x0d09dfd6, 0x0005f7b4, 
      0x14093fd8, 0x0004f7d4, 
      0x1a089fda, 0x0004f7f4, 
      0x20080fdb, 0x0004f814, 
      0x26076fdd, 0x0003f844, 
      0x2b06dfdf, 0x0003f864, 
      0x31063fe1, 0x0002f894, 
      0x3605afe2, 0x0002f8c4, 
      0x3a051fe4, 0x0002f8f4, 
      0x3f048fe5, 0x0001f934, 
      0x43040fe6, 0x0001f964, 
      0x47037fe8, 0x0000f9a4, 
      0x4a02ffe9, 0x0000f9e4, 
      0x4e027fea, 0x0ffffa24, 
      0x5101ffec, 0x0ffefa64, 
      0x54017fed, 0x0ffefaa4, 
      0x56010fee, 0x0ffdfaf4, 
      0x58009ff0, 0x0ffcfb34, 
      0x5a001ff1, 0x0ffcfb84, 
      0x5cffaff2, 0x0ffbfbd4, 
      0x5dff3ff3, 0x0ffafc34, 
      0x5efedff4, 0x0ff9fc84, 
      0x5ffe6ff5, 0x0ff8fce4, 
      0x60fe0ff5, 0x0ff8fd34, 
      0x60fd9ff7, 0x0ff7fd94, 
      0x60fd3ff7, 0x0ff6fe04, 
      0x5ffceff8, 0x0ff5fe64, 
      0x5efc8ffa, 0x0ff4fec4, 
      0x5dfc3ffa, 0x0ff3ff34, 
      0x5cfbdffb, 0x0ff2ffa4, 
      0x5afb8ffc, 0x0ff10014, 
      0x58fb4ffd, 0x0fef0084, 
      0x56fafffd, 0x0fee0104, 
      0x54faaffe, 0x0fed0174, 
      0x51fa6ffe, 0x0fec01f4, 
      0x4efa2fff, 0x0fea0274, 
      0x4bf9efff, 0x0fe902f4, 
      0x47f9a000, 0x0fe80374, 
      0x43f96001, 0x0fe60404, 
      0x3ff93001, 0x0fe50484, 
      0x3af8f002, 0x0fe40514, 
      0x36f8c002, 0x0fe205a4, 
      0x31f89002, 0x0fe10634, 
      0x2bf86003, 0x0fdf06d4, 
      0x26f84003, 0x0fdd0764, 
      0x20f81003, 0x0fdc0804, 
      0x1af7f004, 0x0fda0894, 
      0x14f7d004, 0x0fd80934, 
      0x0df7b004, 0x0fd709d4, 
      0x06f79005, 0x0fd50a74, 
      0xfff77005, 0x0fd30b23, 
      0xf8f75006, 0x0fd10bc3, 
      0xf0f74005, 0x0fd00c73, 
      0xe8f73006, 0x0fce0d13, 
      0xe0f72006, 0x0fcc0dc3, 
      0xd8f70007, 0x0fca0e73, 
      0xd0f6f007, 0x0fc80f23, 
      0xc7f6f006, 0x0fc60fe3, 
      0xbef6e007, 0x0fc41093, 
      0xb5f6e007, 0x0fc21143, 
      0xacf6d007, 0x0fc01203, 
      0xa3f6c007, 0x0fbe12c3, 
      0x99f6d007, 0x0fbc1373, 
      0x8ff6d007, 0x0fba1433, 
      0x85f6d007, 0x0fb814f3, 
      0x7bf6d007, 0x0fb615b3, 
      0x71f6d007, 0x0fb41673, 
      0x66f6e008, 0x0fb11733, 
      0x5cf6e007, 0x0faf1803, 
      0x51f6f007, 0x0fad18c3, 
      0x46f6f008, 0x0fab1983, 
      0x3bf70007, 0x0fa91a53, 
      0x30f71007, 0x0fa71b13, 
      0x24f72007, 0x0fa51be3, 
      0x19f73008, 0x0fa21ca3, 
      0x0df74008, 0x0fa01d73, 
      0x02f75008, 0x0f9e1e33, 
      0xf6f76008, 0x0f9c1f02, 
      0xeaf78007, 0x0f9a1fd2, 
      0xdef79008, 0x0f982092, 
      0xd2f7b007, 0x0f962162, 
      0xc6f7c007, 0x0f942232, 
      0xb9f7e007, 0x0f922302, 
      0xadf7f008, 0x0f9023c2, 
      0xa1f81007, 0x0f8e2492, 
      0x94f83007, 0x0f8c2562, 
      0x88f84008, 0x0f8a2622, 
      0x7bf86008, 0x0f8826f2,
   },
   { /* UV scale factor = 1.29, phases = 127, taps = 5. */
      0x7d270f87, 0x0007f852, 
      0x89264f89, 0x0007f832, 
      0x96256f8a, 0x0008f822, 
      0xa224af8c, 0x0008f802, 
      0xae23df8f, 0x0008f7e2, 
      0xbb230f90, 0x0008f7d2, 
      0xc7224f92, 0x0008f7b2, 
      0xd3217f95, 0x0008f792, 
      0xdf20af97, 0x0008f782, 
      0xeb1fdf99, 0x0008f772, 
      0xf71f1f9b, 0x0008f752, 
      0x031e4f9d, 0x0008f743, 
      0x0f1d7f9f, 0x0008f733, 
      0x1a1cbfa1, 0x0008f723, 
      0x261befa3, 0x0008f713, 
      0x311b1fa6, 0x0008f703, 
      0x3d1a4fa8, 0x0008f6f3, 
      0x48198faa, 0x0008f6e3, 
      0x5318cfad, 0x0007f6d3, 
      0x5d180faf, 0x0007f6d3, 
      0x68174fb1, 0x0007f6c3, 
      0x73167fb3, 0x0007f6c3, 
      0x7d15bfb5, 0x0007f6c3, 
      0x8714ffb8, 0x0007f6b3, 
      0x91143fba, 0x0007f6b3, 
      0x9b137fbc, 0x0007f6b3, 
      0xa512bfbd, 0x0007f6c3, 
      0xae120fbf, 0x0007f6c3, 
      0xb8114fc1, 0x0007f6c3, 
      0xc1108fc3, 0x0007f6d3, 
      0xc90fefc6, 0x0006f6d3, 
      0xd20f2fc8, 0x0006f6e3, 
      0xdb0e7fc9, 0x0006f6f3, 
      0xe30dcfcb, 0x0006f703, 
      0xeb0d1fcd, 0x0006f713, 
      0xf30c6fcf, 0x0005f733, 
      0xfa0bcfd1, 0x0005f743, 
      0x020b1fd2, 0x0005f764, 
      0x090a7fd4, 0x0005f774, 
      0x1009dfd6, 0x0004f794, 
      0x16093fd8, 0x0004f7b4, 
      0x1c089fda, 0x0004f7d4, 
      0x2307ffdb, 0x0003f804, 
      0x28076fdd, 0x0003f824, 
      0x2e06cfde, 0x0003f854, 
      0x33063fe0, 0x0002f884, 
      0x38059fe2, 0x0002f8b4, 
      0x3d050fe4, 0x0001f8e4, 
      0x42048fe4, 0x0001f914, 
      0x4603ffe6, 0x0000f954, 
      0x4a037fe7, 0x0000f984, 
      0x4d02ffe9, 0x0ffff9c4, 
      0x51026fea, 0x0ffffa04, 
      0x5401efeb, 0x0ffefa54, 
      0x57016fed, 0x0ffdfa94, 
      0x5900ffee, 0x0ffdfad4, 
      0x5b007ff0, 0x0ffcfb24, 
      0x5d000ff1, 0x0ffbfb74, 
      0x5fff9ff1, 0x0ffbfbc4, 
      0x60ff2ff3, 0x0ffafc14, 
      0x61febff4, 0x0ff9fc74, 
      0x62fe5ff4, 0x0ff8fcd4, 
      0x62fdfff6, 0x0ff7fd24, 
      0x63fd8ff7, 0x0ff6fd84, 
      0x62fd3ff8, 0x0ff5fde4, 
      0x62fcdff8, 0x0ff4fe54, 
      0x61fc7ffa, 0x0ff3feb4, 
      0x60fc2ffa, 0x0ff2ff24, 
      0x5ffbcffb, 0x0ff1ff94, 
      0x5dfb7ffc, 0x0ff00004, 
      0x5bfb2ffd, 0x0fef0074, 
      0x59fadffd, 0x0fee00f4, 
      0x57fa9ffd, 0x0fed0164, 
      0x54fa5ffe, 0x0feb01e4, 
      0x51fa0fff, 0x0fea0264, 
      0x4df9c000, 0x0fe902e4, 
      0x4af98000, 0x0fe70374, 
      0x46f95000, 0x0fe603f4, 
      0x42f91000, 0x0fe50484, 
      0x3df8e002, 0x0fe30504, 
      0x38f8b002, 0x0fe20594, 
      0x33f88002, 0x0fe00634, 
      0x2ef85002, 0x0fdf06c4, 
      0x28f82004, 0x0fdd0754, 
      0x23f80003, 0x0fdb07f4, 
      0x1cf7d004, 0x0fda0894, 
      0x16f7b004, 0x0fd80934, 
      0x10f79004, 0x0fd609d4, 
      0x09f77005, 0x0fd40a74, 
      0x02f76004, 0x0fd30b14, 
      0xfaf74005, 0x0fd10bc3, 
      0xf3f73005, 0x0fcf0c63, 
      0xebf71006, 0x0fcd0d13, 
      0xe3f70006, 0x0fcb0dc3, 
      0xdbf6f006, 0x0fc90e73, 
      0xd2f6e007, 0x0fc70f23, 
      0xc9f6e007, 0x0fc50fd3, 
      0xc1f6d006, 0x0fc31093, 
      0xb8f6c007, 0x0fc11143, 
      0xaef6c007, 0x0fbf1203, 
      0xa5f6c007, 0x0fbd12b3, 
      0x9bf6b008, 0x0fbb1373, 
      0x91f6b008, 0x0fb91433, 
      0x87f6b008, 0x0fb714f3, 
      0x7df6c007, 0x0fb515b3, 
      0x73f6c007, 0x0fb31673, 
      0x68f6c008, 0x0fb11733, 
      0x5df6d008, 0x0fae1803, 
      0x53f6d008, 0x0fac18c3, 
      0x48f6e008, 0x0faa1983, 
      0x3df6f007, 0x0fa81a53, 
      0x31f70008, 0x0fa61b13, 
      0x26f71007, 0x0fa41be3, 
      0x1af72007, 0x0fa21cb3, 
      0x0ff73008, 0x0f9f1d73, 
      0x03f74008, 0x0f9d1e43, 
      0xf7f75008, 0x0f9b1f12, 
      0xebf77008, 0x0f991fd2, 
      0xdff78008, 0x0f9720a2, 
      0xd3f79008, 0x0f952172, 
      0xc7f7b007, 0x0f932242, 
      0xbbf7d007, 0x0f912302, 
      0xaef7e008, 0x0f8f23d2, 
      0xa2f80007, 0x0f8d24a2, 
      0x96f81007, 0x0f8b2572, 
      0x89f83008, 0x0f892632, 
      0x7df85007, 0x0f872702,
   },
   { /* UV scale factor = 1.30, phases = 127, taps = 5. */
      0x7e271f86, 0x0007f842, 
      0x8a265f88, 0x0007f822, 
      0x97258f8a, 0x0007f802, 
      0xa324bf8c, 0x0007f7f2, 
      0xb023ef8e, 0x0007f7d2, 
      0xbc231f90, 0x0008f7b2, 
      0xc8224f92, 0x0008f7a2, 
      0xd5218f93, 0x0008f782, 
      0xe120af96, 0x0008f772, 
      0xed1fef98, 0x0008f752, 
      0xf91f1f9a, 0x0008f742, 
      0x051e4f9c, 0x0008f733, 
      0x101d8f9e, 0x0008f723, 
      0x1c1cbfa0, 0x0008f713, 
      0x281befa3, 0x0008f6f3, 
      0x331b2fa5, 0x0007f6f3, 
      0x3e1a5fa8, 0x0007f6e3, 
      0x4a199fa9, 0x0007f6d3, 
      0x5518cfac, 0x0007f6c3, 
      0x5f180fae, 0x0007f6c3, 
      0x6a174fb0, 0x0007f6b3, 
      0x75167fb2, 0x0007f6b3, 
      0x7f15bfb5, 0x0007f6a3, 
      0x8914ffb7, 0x0007f6a3, 
      0x93143fb9, 0x0007f6a3, 
      0x9d137fbb, 0x0007f6a3, 
      0xa712bfbd, 0x0007f6a3, 
      0xb0120fbe, 0x0007f6b3, 
      0xba114fc0, 0x0007f6b3, 
      0xc3109fc3, 0x0006f6b3, 
      0xcc0fdfc5, 0x0006f6c3, 
      0xd50f2fc6, 0x0006f6d3, 
      0xdd0e7fc8, 0x0006f6e3, 
      0xe50dcfca, 0x0006f6f3, 
      0xed0d1fcc, 0x0006f703, 
      0xf50c6fcf, 0x0005f713, 
      0xfd0bbfd0, 0x0005f733, 
      0x040b1fd2, 0x0005f744, 
      0x0b0a6fd4, 0x0005f764, 
      0x1209cfd6, 0x0004f784, 
      0x19092fd7, 0x0004f7a4, 
      0x1f088fd9, 0x0004f7c4, 
      0x2507ffdb, 0x0003f7e4, 
      0x2b075fdc, 0x0003f814, 
      0x3006bfde, 0x0003f844, 
      0x36062fe0, 0x0002f864, 
      0x3b059fe1, 0x0002f894, 
      0x40050fe2, 0x0001f8d4, 
      0x44047fe4, 0x0001f904, 
      0x4903efe6, 0x0000f934, 
      0x4d035fe7, 0x0000f974, 
      0x5002dfe9, 0x0ffff9b4, 
      0x54025fe9, 0x0ffff9f4, 
      0x5701dfeb, 0x0ffefa34, 
      0x59015fed, 0x0ffdfa84, 
      0x5c00efed, 0x0ffdfac4, 
      0x5e006fef, 0x0ffcfb14, 
      0x60fffff0, 0x0ffbfb64, 
      0x62ff8ff1, 0x0ffafbb4, 
      0x63ff1ff2, 0x0ffafc04, 
      0x64feaff3, 0x0ff9fc64, 
      0x65fe4ff4, 0x0ff8fcb4, 
      0x65fddff6, 0x0ff7fd14, 
      0x65fd7ff7, 0x0ff6fd74, 
      0x65fd1ff8, 0x0ff5fdd4, 
      0x65fcbff8, 0x0ff4fe44, 
      0x64fc6ff9, 0x0ff3fea4, 
      0x63fc0ffa, 0x0ff2ff14, 
      0x62fbbffa, 0x0ff1ff84, 
      0x60fb6ffb, 0x0ff0fff4, 
      0x5efb1ffc, 0x0fef0064, 
      0x5cfacffc, 0x0fee00e4, 
      0x59fa8ffe, 0x0fec0154, 
      0x57fa3ffe, 0x0feb01d4, 
      0x54f9fffe, 0x0fea0254, 
      0x50f9b000, 0x0fe802d4, 
      0x4df97fff, 0x0fe70364, 
      0x49f93000, 0x0fe603e4, 
      0x44f90001, 0x0fe40474, 
      0x40f8c001, 0x0fe30504, 
      0x3bf89002, 0x0fe10594, 
      0x36f86002, 0x0fe00624, 
      0x31f84002, 0x0fde06b4, 
      0x2bf81003, 0x0fdc0754, 
      0x25f7e004, 0x0fdb07e4, 
      0x1ff7c004, 0x0fd90884, 
      0x19f7a004, 0x0fd70924, 
      0x12f78004, 0x0fd609c4, 
      0x0bf76005, 0x0fd40a64, 
      0x04f74005, 0x0fd20b14, 
      0xfdf73005, 0x0fd00bb3, 
      0xf5f71006, 0x0fce0c63, 
      0xedf70005, 0x0fcd0d13, 
      0xe5f6f005, 0x0fcb0dc3, 
      0xddf6e005, 0x0fc90e73, 
      0xd5f6c006, 0x0fc70f23, 
      0xccf6c006, 0x0fc50fd3, 
      0xc3f6b006, 0x0fc31093, 
      0xbaf6b006, 0x0fc11143, 
      0xb0f6b006, 0x0fbf1203, 
      0xa7f6a007, 0x0fbd12b3, 
      0x9df6a007, 0x0fbb1373, 
      0x93f6a008, 0x0fb81433, 
      0x89f6a008, 0x0fb614f3, 
      0x7ff6a008, 0x0fb415b3, 
      0x75f6b007, 0x0fb21673, 
      0x6af6b007, 0x0fb01743, 
      0x5ff6c007, 0x0fae1803, 
      0x55f6c007, 0x0fac18c3, 
      0x4af6d007, 0x0fa91993, 
      0x3ef6e008, 0x0fa71a53, 
      0x33f6f007, 0x0fa51b23, 
      0x28f6f008, 0x0fa31be3, 
      0x1cf71007, 0x0fa11cb3, 
      0x10f72007, 0x0f9f1d83, 
      0x05f73007, 0x0f9c1e53, 
      0xf9f74008, 0x0f9a1f12, 
      0xedf75008, 0x0f981fe2, 
      0xe1f77007, 0x0f9620b2, 
      0xd5f78007, 0x0f942182, 
      0xc8f7a008, 0x0f922242, 
      0xbcf7b008, 0x0f902312, 
      0xb0f7d007, 0x0f8e23e2, 
      0xa3f7f007, 0x0f8c24b2, 
      0x97f80007, 0x0f8a2582, 
      0x8af82008, 0x0f882642, 
      0x7ef84007, 0x0f862712,
   },
   { /* UV scale factor = 1.31, phases = 127, taps = 5. */
      0x7f272f85, 0x0007f832, 
      0x8b266f87, 0x0007f812, 
      0x98259f89, 0x0007f7f2, 
      0xa524cf8a, 0x0007f7e2, 
      0xb123ff8d, 0x0007f7c2, 
      0xbd233f8f, 0x0007f7a2, 
      0xca225f91, 0x0007f792, 
      0xd6219f93, 0x0007f772, 
      0xe220cf95, 0x0007f762, 
      0xee1fff98, 0x0007f742, 
      0xfa1f2f9a, 0x0007f732, 
      0x061e5f9c, 0x0007f723, 
      0x121d9f9e, 0x0007f703, 
      0x1e1ccfa0, 0x0007f6f3, 
      0x291bffa3, 0x0007f6e3, 
      0x351b2fa5, 0x0007f6d3, 
      0x401a6fa7, 0x0007f6c3, 
      0x4b199fa9, 0x0007f6c3, 
      0x5618dfab, 0x0007f6b3, 
      0x61181fad, 0x0007f6a3, 
      0x6c174faf, 0x0007f6a3, 
      0x77168fb1, 0x0007f693, 
      0x8115bfb4, 0x0007f693, 
      0x8b14ffb6, 0x0007f693, 
      0x95143fb8, 0x0007f693, 
      0x9f137fba, 0x0007f693, 
      0xa912bfbc, 0x0007f693, 
      0xb3120fbd, 0x0007f693, 
      0xbc114fc0, 0x0006f6a3, 
      0xc5108fc3, 0x0006f6a3, 
      0xce0fdfc4, 0x0006f6b3, 
      0xd70f2fc6, 0x0006f6b3, 
      0xdf0e6fc9, 0x0006f6c3, 
      0xe80dbfca, 0x0006f6d3, 
      0xf00d1fcc, 0x0005f6e3, 
      0xf80c6fcd, 0x0005f703, 
      0xff0bbfd0, 0x0005f713, 
      0x070b0fd1, 0x0005f734, 
      0x0e0a6fd3, 0x0004f754, 
      0x1509cfd5, 0x0004f764, 
      0x1b092fd7, 0x0004f784, 
      0x22087fd9, 0x0003f7b4, 
      0x2807efda, 0x0003f7d4, 
      0x2e073fdc, 0x0003f804, 
      0x3306bfde, 0x0002f824, 
      0x39061fdf, 0x0002f854, 
      0x3e058fe1, 0x0001f884, 
      0x4304ffe2, 0x0001f8b4, 
      0x47046fe3, 0x0001f8f4, 
      0x4b03dfe6, 0x0000f924, 
      0x4f035fe7, 0x0ffff964, 
      0x5302cfe8, 0x0ffff9a4, 
      0x56024fea, 0x0ffef9e4, 
      0x5a01cfea, 0x0ffefa24, 
      0x5c015fec, 0x0ffdfa64, 
      0x5f00dfed, 0x0ffcfab4, 
      0x61005fee, 0x0ffcfb04, 
      0x63ffefef, 0x0ffbfb54, 
      0x65ff7ff0, 0x0ffafba4, 
      0x66ff0ff2, 0x0ff9fbf4, 
      0x67fe9ff3, 0x0ff9fc44, 
      0x68fe3ff3, 0x0ff8fca4, 
      0x68fdcff5, 0x0ff7fd04, 
      0x68fd6ff6, 0x0ff6fd64, 
      0x68fd0ff7, 0x0ff5fdc4, 
      0x68fcaff7, 0x0ff4fe34, 
      0x67fc4ff9, 0x0ff3fe94, 
      0x66fbfff9, 0x0ff2ff04, 
      0x65fb9ffa, 0x0ff1ff74, 
      0x63fb5ffa, 0x0ff0ffe4, 
      0x61fb0ffc, 0x0fee0054, 
      0x5ffabffc, 0x0fed00d4, 
      0x5cfa6ffe, 0x0fec0144, 
      0x5afa2ffd, 0x0feb01c4, 
      0x56f9efff, 0x0fe90244, 
      0x53f9afff, 0x0fe802c4, 
      0x4ff96fff, 0x0fe70354, 
      0x4bf92001, 0x0fe503d4, 
      0x47f8f000, 0x0fe40464, 
      0x43f8b001, 0x0fe204f4, 
      0x3ef88001, 0x0fe10584, 
      0x39f85002, 0x0fdf0614, 
      0x33f82003, 0x0fde06a4, 
      0x2ef80002, 0x0fdc0744, 
      0x28f7d003, 0x0fda07e4, 
      0x22f7b003, 0x0fd90874, 
      0x1bf79004, 0x0fd70914, 
      0x15f76004, 0x0fd509c4, 
      0x0ef75004, 0x0fd30a64, 
      0x07f73004, 0x0fd20b04, 
      0xfff71005, 0x0fd00bb3, 
      0xf8f6f005, 0x0fce0c63, 
      0xf0f6e006, 0x0fcc0d03, 
      0xe8f6d006, 0x0fca0db3, 
      0xdff6d006, 0x0fc80e63, 
      0xd7f6b006, 0x0fc60f23, 
      0xcef6b006, 0x0fc40fd3, 
      0xc5f6a007, 0x0fc21083, 
      0xbcf6a006, 0x0fc01143, 
      0xb3f69006, 0x0fbe1203, 
      0xa9f69007, 0x0fbc12b3, 
      0x9ff69007, 0x0fba1373, 
      0x95f69007, 0x0fb81433, 
      0x8bf69007, 0x0fb614f3, 
      0x81f69008, 0x0fb315b3, 
      0x77f69007, 0x0fb11683, 
      0x6cf6a007, 0x0faf1743, 
      0x61f6a008, 0x0fad1803, 
      0x56f6b007, 0x0fab18d3, 
      0x4bf6c007, 0x0fa91993, 
      0x40f6c008, 0x0fa61a63, 
      0x35f6d008, 0x0fa41b23, 
      0x29f6e008, 0x0fa21bf3, 
      0x1ef6f007, 0x0fa01cc3, 
      0x12f70008, 0x0f9e1d83, 
      0x06f72007, 0x0f9c1e53, 
      0xfaf73008, 0x0f991f22, 
      0xeef74008, 0x0f971ff2, 
      0xe2f76007, 0x0f9520c2, 
      0xd6f77008, 0x0f932182, 
      0xcaf79007, 0x0f912252, 
      0xbdf7a008, 0x0f8f2322, 
      0xb1f7c007, 0x0f8d23f2, 
      0xa5f7d007, 0x0f8b24c2, 
      0x98f7f007, 0x0f892592, 
      0x8bf81008, 0x0f872652, 
      0x7ff83007, 0x0f852722,
   },
   { /* UV scale factor = 1.32, phases = 127, taps = 5. */
      0x80273f84, 0x0007f822, 
      0x8d266f86, 0x0007f802, 
      0x9925af88, 0x0007f7e2, 
      0xa624df8a, 0x0007f7c2, 
      0xb2240f8c, 0x0007f7b2, 
      0xbf233f8e, 0x0007f792, 
      0xcb226f90, 0x0007f782, 
      0xd8219f92, 0x0007f762, 
      0xe420cf95, 0x0007f742, 
      0xf01fff97, 0x0007f732, 
      0xfc1f3f98, 0x0007f722, 
      0x081e6f9b, 0x0007f703, 
      0x141d9f9d, 0x0007f6f3, 
      0x201ccf9f, 0x0007f6e3, 
      0x2b1bffa2, 0x0007f6d3, 
      0x371b3fa3, 0x0007f6c3, 
      0x421a6fa6, 0x0007f6b3, 
      0x4d19afa8, 0x0007f6a3, 
      0x5818dfaa, 0x0007f6a3, 
      0x63180fad, 0x0007f693, 
      0x6e174faf, 0x0007f683, 
      0x79168fb0, 0x0007f683, 
      0x8315bfb3, 0x0007f683, 
      0x8e14ffb4, 0x0007f683, 
      0x98143fb7, 0x0007f673, 
      0xa2137fb9, 0x0007f673, 
      0xab12bfbb, 0x0007f683, 
      0xb511ffbe, 0x0006f683, 
      0xbe114fc0, 0x0006f683, 
      0xc8108fc1, 0x0006f693, 
      0xd10fdfc3, 0x0006f693, 
      0xd90f1fc6, 0x0006f6a3, 
      0xe20e6fc7, 0x0006f6b3, 
      0xea0dbfca, 0x0005f6c3, 
      0xf20d0fcc, 0x0005f6d3, 
      0xfa0c5fce, 0x0005f6e3, 
      0x020bafcf, 0x0005f704, 
      0x090b0fd1, 0x0005f714, 
      0x100a6fd3, 0x0004f734, 
      0x1709bfd5, 0x0004f754, 
      0x1e091fd6, 0x0004f774, 
      0x24087fd9, 0x0003f794, 
      0x2b07dfd9, 0x0003f7c4, 
      0x30073fdc, 0x0003f7e4, 
      0x3606afdd, 0x0002f814, 
      0x3b060fdf, 0x0002f844, 
      0x41057fe0, 0x0001f874, 
      0x4504efe2, 0x0001f8a4, 
      0x4a045fe4, 0x0000f8d4, 
      0x4e03cfe5, 0x0000f914, 
      0x52034fe7, 0x0ffff944, 
      0x5602bfe8, 0x0ffff984, 
      0x59024fe9, 0x0ffef9c4, 
      0x5c01bfeb, 0x0ffdfa14, 
      0x5f013fec, 0x0ffdfa54, 
      0x6200cfec, 0x0ffcfaa4, 
      0x64004fef, 0x0ffbfae4, 
      0x66ffdfef, 0x0ffbfb34, 
      0x68ff6ff0, 0x0ffafb84, 
      0x69fefff1, 0x0ff9fbe4, 
      0x6afe8ff3, 0x0ff8fc34, 
      0x6bfe1ff4, 0x0ff7fc94, 
      0x6bfdbff4, 0x0ff7fcf4, 
      0x6bfd5ff5, 0x0ff6fd54, 
      0x6bfcfff6, 0x0ff5fdb4, 
      0x6bfc9ff7, 0x0ff4fe14, 
      0x6afc3ff8, 0x0ff3fe84, 
      0x69fbeff9, 0x0ff1fef4, 
      0x68fb8ffa, 0x0ff0ff64, 
      0x66fb3ffb, 0x0fefffd4, 
      0x64faeffc, 0x0fee0044, 
      0x62fa9ffc, 0x0fed00c4, 
      0x5ffa5ffd, 0x0fec0134, 
      0x5cfa1ffe, 0x0fea01b4, 
      0x59f9cfff, 0x0fe90234, 
      0x56f98fff, 0x0fe802b4, 
      0x52f94000, 0x0fe60344, 
      0x4ef91000, 0x0fe503c4, 
      0x4af8d001, 0x0fe30454, 
      0x45f8a001, 0x0fe204e4, 
      0x41f87001, 0x0fe00574, 
      0x3bf84002, 0x0fdf0604, 
      0x36f81002, 0x0fdd06a4, 
      0x30f7e003, 0x0fdc0734, 
      0x2bf7c002, 0x0fda07d4, 
      0x24f79004, 0x0fd80874, 
      0x1ef77004, 0x0fd60914, 
      0x17f75004, 0x0fd509b4, 
      0x10f73005, 0x0fd30a54, 
      0x09f71005, 0x0fd10b04, 
      0x02f70005, 0x0fcf0ba4, 
      0xfaf6e006, 0x0fcd0c53, 
      0xf2f6d006, 0x0fcb0d03, 
      0xeaf6c006, 0x0fc90db3, 
      0xe2f6b006, 0x0fc70e63, 
      0xd9f6a006, 0x0fc60f13, 
      0xd1f69006, 0x0fc30fd3, 
      0xc8f69006, 0x0fc11083, 
      0xbef68007, 0x0fbf1143, 
      0xb5f68007, 0x0fbd11f3, 
      0xabf68007, 0x0fbb12b3, 
      0xa2f67007, 0x0fb91373, 
      0x98f67007, 0x0fb71433, 
      0x8ef68006, 0x0fb514f3, 
      0x83f68007, 0x0fb315b3, 
      0x78f68007, 0x0fb11683, 
      0x6ef68008, 0x0fae1743, 
      0x63f69008, 0x0fac1803, 
      0x58f6a007, 0x0faa18d3, 
      0x4df6a008, 0x0fa81993, 
      0x42f6b007, 0x0fa61a63, 
      0x37f6c007, 0x0fa31b33, 
      0x2bf6d008, 0x0fa11bf3, 
      0x20f6e007, 0x0f9f1cc3, 
      0x14f6f007, 0x0f9d1d93, 
      0x08f70007, 0x0f9b1e63, 
      0xfcf72007, 0x0f981f32, 
      0xf0f73008, 0x0f961ff2, 
      0xe4f74008, 0x0f9420c2, 
      0xd8f76007, 0x0f922192, 
      0xcbf78007, 0x0f902262, 
      0xbff79007, 0x0f8e2332, 
      0xb2f7b007, 0x0f8c2402, 
      0xa6f7c007, 0x0f8a24d2, 
      0x99f7e007, 0x0f8825a2, 
      0x8df80007, 0x0f862662, 
      0x80f82007, 0x0f842732,
   },
   { /* UV scale factor = 1.33, phases = 127, taps = 5. */
      0x81274f83, 0x0007f812, 
      0x8e267f85, 0x0007f7f2, 
      0x9a25bf87, 0x0007f7d2, 
      0xa724ef89, 0x0007f7b2, 
      0xb4241f8a, 0x0007f7a2, 
      0xc0234f8d, 0x0007f782, 
      0xcd227f8f, 0x0007f762, 
      0xd921af91, 0x0007f752, 
      0xe520df94, 0x0007f732, 
      0xf1200f96, 0x0007f722, 
      0xfe1f3f98, 0x0007f702, 
      0x0a1e6f9a, 0x0007f6f3, 
      0x151daf9c, 0x0007f6e3, 
      0x211cdf9e, 0x0007f6d3, 
      0x2d1c0fa0, 0x0007f6c3, 
      0x381b3fa3, 0x0007f6b3, 
      0x441a6fa5, 0x0007f6a3, 
      0x4f19afa7, 0x0007f693, 
      0x5a18dfaa, 0x0007f683, 
      0x65181fab, 0x0007f683, 
      0x70174fae, 0x0007f673, 
      0x7b168faf, 0x0007f673, 
      0x8515cfb2, 0x0007f663, 
      0x9014ffb4, 0x0007f663, 
      0x9a143fb6, 0x0007f663, 
      0xa4137fb8, 0x0007f663, 
      0xae12bfbb, 0x0006f663, 
      0xb7120fbd, 0x0006f663, 
      0xc1114fbe, 0x0006f673, 
      0xca108fc1, 0x0006f673, 
      0xd30fcfc3, 0x0006f683, 
      0xdc0f1fc4, 0x0006f693, 
      0xe40e6fc6, 0x0006f6a3, 
      0xed0dbfc8, 0x0005f6b3, 
      0xf50d0fca, 0x0005f6c3, 
      0xfd0c5fcc, 0x0005f6d3, 
      0x040bafcf, 0x0005f6e4, 
      0x0c0affd1, 0x0004f704, 
      0x130a5fd2, 0x0004f724, 
      0x1a09afd4, 0x0004f744, 
      0x21090fd5, 0x0004f764, 
      0x27086fd8, 0x0003f784, 
      0x2d07cfda, 0x0003f7a4, 
      0x33073fdb, 0x0002f7d4, 
      0x39069fdd, 0x0002f7f4, 
      0x3e060fde, 0x0002f824, 
      0x43057fe0, 0x0001f854, 
      0x4804dfe1, 0x0001f894, 
      0x4d044fe3, 0x0000f8c4, 
      0x5103cfe4, 0x0000f8f4, 
      0x55033fe6, 0x0ffff934, 
      0x5902afe7, 0x0ffff974, 
      0x5c022fe9, 0x0ffef9b4, 
      0x5f01bfea, 0x0ffdf9f4, 
      0x62012feb, 0x0ffdfa44, 
      0x6500bfec, 0x0ffcfa84, 
      0x67003fee, 0x0ffbfad4, 
      0x69ffcfef, 0x0ffafb24, 
      0x6bff4ff0, 0x0ffafb74, 
      0x6cfeeff1, 0x0ff9fbc4, 
      0x6dfe7ff2, 0x0ff8fc24, 
      0x6efe0ff3, 0x0ff7fc84, 
      0x6efdaff4, 0x0ff6fce4, 
      0x6efd4ff5, 0x0ff5fd44, 
      0x6efceff6, 0x0ff4fda4, 
      0x6efc8ff7, 0x0ff3fe04, 
      0x6dfc2ff8, 0x0ff2fe74, 
      0x6cfbcff9, 0x0ff1fee4, 
      0x6bfb7ff9, 0x0ff0ff54, 
      0x69fb2ffa, 0x0fefffc4, 
      0x67fadffb, 0x0fee0034, 
      0x65fa8ffc, 0x0fec00b4, 
      0x62fa4ffd, 0x0feb0124, 
      0x5ff9fffe, 0x0fea01a4, 
      0x5cf9bffe, 0x0fe90224, 
      0x59f97ffe, 0x0fe702b4, 
      0x55f93fff, 0x0fe60334, 
      0x51f8f000, 0x0fe403c4, 
      0x4df8c000, 0x0fe30444, 
      0x48f89001, 0x0fe104d4, 
      0x43f85002, 0x0fe00564, 
      0x3ef82002, 0x0fde0604, 
      0x39f7f002, 0x0fdd0694, 
      0x33f7d002, 0x0fdb0734, 
      0x2df7b003, 0x0fd907c4, 
      0x27f78003, 0x0fd80864, 
      0x21f76003, 0x0fd60904, 
      0x1af74004, 0x0fd409a4, 
      0x13f72004, 0x0fd20a54, 
      0x0cf70004, 0x0fd10af4, 
      0x04f6e005, 0x0fcf0ba4, 
      0xfdf6d004, 0x0fcd0c53, 
      0xf5f6b005, 0x0fcb0d03, 
      0xedf6a005, 0x0fc90db3, 
      0xe4f6a005, 0x0fc70e63, 
      0xdcf69005, 0x0fc50f13, 
      0xd3f68006, 0x0fc30fc3, 
      0xcaf67006, 0x0fc11083, 
      0xc1f66006, 0x0fbf1143, 
      0xb7f66007, 0x0fbd11f3, 
      0xaef66006, 0x0fbb12b3, 
      0xa4f66007, 0x0fb81373, 
      0x9af66007, 0x0fb61433, 
      0x90f66007, 0x0fb414f3, 
      0x85f66007, 0x0fb215c3, 
      0x7bf67006, 0x0fb01683, 
      0x70f67007, 0x0fae1743, 
      0x65f68007, 0x0fab1813, 
      0x5af68008, 0x0fa918d3, 
      0x4ff69007, 0x0fa719a3, 
      0x44f6a007, 0x0fa51a63, 
      0x38f6b007, 0x0fa31b33, 
      0x2df6c007, 0x0fa01c03, 
      0x21f6d007, 0x0f9e1cd3, 
      0x15f6e008, 0x0f9c1d93, 
      0x0af6f007, 0x0f9a1e63, 
      0xfef70007, 0x0f981f32, 
      0xf1f72008, 0x0f952002, 
      0xe5f73008, 0x0f9320d2, 
      0xd9f75007, 0x0f9121a2, 
      0xcdf76007, 0x0f8f2272, 
      0xc0f78007, 0x0f8d2342, 
      0xb4f79007, 0x0f8b2412, 
      0xa7f7b007, 0x0f8924e2, 
      0x9af7d007, 0x0f8725b2, 
      0x8ef7f007, 0x0f852672, 
      0x81f81007, 0x0f832742,
   },
   { /* UV scale factor = 1.34, phases = 127, taps = 5. */
      0x82275f82, 0x0007f802, 
      0x8f268f84, 0x0007f7e2, 
      0x9c25cf85, 0x0007f7c2, 
      0xa824ff88, 0x0007f7a2, 
      0xb5242f8a, 0x0007f782, 
      0xc2235f8b, 0x0007f772, 
      0xce228f8e, 0x0007f752, 
      0xda21bf90, 0x0007f742, 
      0xe720ef92, 0x0007f722, 
      0xf3201f94, 0x0007f712, 
      0xff1f4f97, 0x0007f6f2, 
      0x0b1e7f99, 0x0007f6e3, 
      0x171daf9b, 0x0007f6d3, 
      0x231cdf9d, 0x0007f6c3, 
      0x2f1c0fa0, 0x0007f6a3, 
      0x3a1b4fa2, 0x0007f693, 
      0x461a7fa3, 0x0007f693, 
      0x5119afa6, 0x0007f683, 
      0x5c18dfa9, 0x0007f673, 
      0x67181fab, 0x0007f663, 
      0x72174fad, 0x0007f663, 
      0x7d168faf, 0x0007f653, 
      0x8715cfb1, 0x0007f653, 
      0x9214ffb3, 0x0007f653, 
      0x9c143fb5, 0x0007f653, 
      0xa6137fb8, 0x0006f653, 
      0xb012bfba, 0x0006f653, 
      0xba11ffbc, 0x0006f653, 
      0xc3113fbf, 0x0006f653, 
      0xcc108fc0, 0x0006f663, 
      0xd50fcfc3, 0x0006f663, 
      0xde0f1fc4, 0x0006f673, 
      0xe70e5fc7, 0x0005f683, 
      0xef0dafc9, 0x0005f693, 
      0xf70cffcb, 0x0005f6a3, 
      0xff0c4fcc, 0x0005f6c3, 
      0x070b9fce, 0x0005f6d4, 
      0x0e0affd0, 0x0004f6f4, 
      0x160a4fd2, 0x0004f704, 
      0x1d09afd3, 0x0004f724, 
      0x23090fd6, 0x0003f744, 
      0x2a086fd7, 0x0003f764, 
      0x3007cfd8, 0x0003f794, 
      0x36072fdb, 0x0002f7b4, 
      0x3c068fdc, 0x0002f7e4, 
      0x4105ffde, 0x0001f814, 
      0x46055fe0, 0x0001f844, 
      0x4b04cfe2, 0x0000f874, 
      0x50043fe3, 0x0000f8a4, 
      0x5403bfe4, 0x0ffff8e4, 
      0x58032fe5, 0x0ffff924, 
      0x5c02afe6, 0x0ffef964, 
      0x5f021fe8, 0x0ffef9a4, 
      0x62019fea, 0x0ffdf9e4, 
      0x65012feb, 0x0ffcfa24, 
      0x68009fec, 0x0ffcfa74, 
      0x6a002fed, 0x0ffbfac4, 
      0x6cffbfee, 0x0ffafb14, 
      0x6dff4ff0, 0x0ff9fb64, 
      0x6ffedff0, 0x0ff9fbb4, 
      0x70fe6ff1, 0x0ff8fc14, 
      0x71fdfff3, 0x0ff7fc64, 
      0x71fd9ff4, 0x0ff6fcc4, 
      0x71fd2ff6, 0x0ff5fd24, 
      0x71fccff6, 0x0ff4fd94, 
      0x71fc6ff7, 0x0ff3fdf4, 
      0x70fc1ff7, 0x0ff2fe64, 
      0x6ffbbff8, 0x0ff1fed4, 
      0x6dfb6ff9, 0x0ff0ff44, 
      0x6cfb0ffa, 0x0fefffb4, 
      0x6afacffb, 0x0fed0024, 
      0x68fa7ffb, 0x0fec00a4, 
      0x65fa2ffd, 0x0feb0114, 
      0x62f9effd, 0x0fea0194, 
      0x5ff9affe, 0x0fe80214, 
      0x5cf95ffe, 0x0fe702a4, 
      0x58f92fff, 0x0fe50324, 
      0x54f8efff, 0x0fe403b4, 
      0x50f8a000, 0x0fe30434, 
      0x4bf87001, 0x0fe104c4, 
      0x47f84001, 0x0fdf0554, 
      0x41f81001, 0x0fde05f4, 
      0x3cf7e002, 0x0fdc0684, 
      0x36f7b002, 0x0fdb0724, 
      0x30f79002, 0x0fd907c4, 
      0x2af76003, 0x0fd70864, 
      0x23f74004, 0x0fd50904, 
      0x1df72003, 0x0fd409a4, 
      0x16f70004, 0x0fd20a44, 
      0x0ef6f004, 0x0fd00af4, 
      0x07f6d005, 0x0fce0b94, 
      0xfff6c005, 0x0fcc0c43, 
      0xf7f6a006, 0x0fca0cf3, 
      0xeff69006, 0x0fc80da3, 
      0xe7f68006, 0x0fc60e53, 
      0xdef67006, 0x0fc40f13, 
      0xd5f67006, 0x0fc20fc3, 
      0xccf66006, 0x0fc01083, 
      0xc3f65007, 0x0fbe1133, 
      0xbaf65006, 0x0fbc11f3, 
      0xb0f65006, 0x0fba12b3, 
      0xa6f65006, 0x0fb81373, 
      0x9cf65006, 0x0fb61433, 
      0x92f65007, 0x0fb314f3, 
      0x87f65007, 0x0fb115c3, 
      0x7df65007, 0x0faf1683, 
      0x72f66007, 0x0fad1743, 
      0x67f66007, 0x0fab1813, 
      0x5cf67008, 0x0fa818d3, 
      0x51f68007, 0x0fa619a3, 
      0x46f68007, 0x0fa41a73, 
      0x3af69008, 0x0fa21b33, 
      0x2ff6a008, 0x0f9f1c03, 
      0x23f6c007, 0x0f9d1cd3, 
      0x17f6d007, 0x0f9b1da3, 
      0x0bf6e007, 0x0f991e73, 
      0xfff6f007, 0x0f971f42, 
      0xf3f71007, 0x0f942012, 
      0xe7f72007, 0x0f9220e2, 
      0xdaf74007, 0x0f9021b2, 
      0xcef75007, 0x0f8e2282, 
      0xc2f76007, 0x0f8c2352, 
      0xb5f78007, 0x0f8a2422, 
      0xa8f7a007, 0x0f8824f2, 
      0x9bf7c007, 0x0f8625c2, 
      0x8ff7e007, 0x0f842682, 
      0x82f80007, 0x0f822752,
   },
   { /* UV scale factor = 1.35, phases = 127, taps = 5. */
      0x83276f81, 0x0007f7f2, 
      0x9026af82, 0x0007f7d2, 
      0x9d25df84, 0x0007f7b2, 
      0xaa250f86, 0x0007f792, 
      0xb6243f89, 0x0007f772, 
      0xc3236f8a, 0x0007f762, 
      0xcf229f8d, 0x0007f742, 
      0xdc21bf90, 0x0007f722, 
      0xe820ef92, 0x0007f712, 
      0xf5201f94, 0x0007f6f2, 
      0x011f4f96, 0x0007f6e3, 
      0x0d1e7f98, 0x0007f6d3, 
      0x191dbf9a, 0x0007f6b3, 
      0x251cef9c, 0x0007f6a3, 
      0x301c1f9f, 0x0007f693, 
      0x3c1b4fa1, 0x0007f683, 
      0x481a7fa3, 0x0007f673, 
      0x5319afa6, 0x0007f663, 
      0x5e18efa7, 0x0007f663, 
      0x69181faa, 0x0007f653, 
      0x74175fac, 0x0007f643, 
      0x7f168fae, 0x0007f643, 
      0x8915cfb0, 0x0007f643, 
      0x9414ffb3, 0x0007f633, 
      0x9e144fb5, 0x0006f633, 
      0xa8138fb7, 0x0006f633, 
      0xb212bfba, 0x0006f633, 
      0xbc11ffbb, 0x0006f643, 
      0xc5113fbe, 0x0006f643, 
      0xcf108fbf, 0x0006f643, 
      0xd80fcfc1, 0x0006f653, 
      0xe10f0fc3, 0x0006f663, 
      0xe90e5fc6, 0x0005f673, 
      0xf20dafc7, 0x0005f683, 
      0xfa0cffc9, 0x0005f693, 
      0x020c4fcb, 0x0005f6a4, 
      0x0a0b9fcd, 0x0004f6c4, 
      0x110aefd0, 0x0004f6d4, 
      0x180a4fd1, 0x0004f6f4, 
      0x1f099fd3, 0x0004f714, 
      0x2608ffd5, 0x0003f734, 
      0x2d085fd6, 0x0003f754, 
      0x3307bfd9, 0x0002f774, 
      0x39071fda, 0x0002f7a4, 
      0x3e067fdc, 0x0002f7d4, 
      0x4405efde, 0x0001f7f4, 
      0x49054fdf, 0x0001f834, 
      0x4e04cfe0, 0x0000f864, 
      0x52043fe2, 0x0000f894, 
      0x5703afe3, 0x0ffff8d4, 
      0x5b031fe5, 0x0ffff904, 
      0x5f029fe6, 0x0ffef944, 
      0x62021fe8, 0x0ffdf984, 
      0x65018fe9, 0x0ffdf9d4, 
      0x68010feb, 0x0ffcfa14, 
      0x6b009feb, 0x0ffbfa64, 
      0x6d001fed, 0x0ffbfaa4, 
      0x6fffafee, 0x0ffafaf4, 
      0x70ff2ff0, 0x0ff9fb54, 
      0x72febff1, 0x0ff8fba4, 
      0x73fe5ff2, 0x0ff7fbf4, 
      0x74fdeff2, 0x0ff7fc54, 
      0x74fd7ff4, 0x0ff6fcb4, 
      0x74fd1ff5, 0x0ff5fd14, 
      0x74fcbff6, 0x0ff4fd74, 
      0x74fc5ff6, 0x0ff3fde4, 
      0x73fbfff7, 0x0ff2fe54, 
      0x72fbaff8, 0x0ff1feb4, 
      0x70fb5ffa, 0x0fefff24, 
      0x6ffafffa, 0x0feeffa4, 
      0x6dfaaffb, 0x0fed0014, 
      0x6bfa5ffb, 0x0fec0094, 
      0x68fa1ffc, 0x0feb0104, 
      0x65f9dffd, 0x0fe90184, 
      0x62f98ffe, 0x0fe80204, 
      0x5ff94ffe, 0x0fe60294, 
      0x5bf90fff, 0x0fe50314, 
      0x57f8cfff, 0x0fe403a4, 
      0x52f89000, 0x0fe20434, 
      0x4ef85000, 0x0fe104c4, 
      0x49f83000, 0x0fdf0554, 
      0x44f7f002, 0x0fdd05e4, 
      0x3ef7d002, 0x0fdc0674, 
      0x39f7a002, 0x0fda0714, 
      0x33f77003, 0x0fd807b4, 
      0x2df75002, 0x0fd70854, 
      0x26f73003, 0x0fd508f4, 
      0x1ff71004, 0x0fd30994, 
      0x18f6f004, 0x0fd10a44, 
      0x11f6d005, 0x0fcf0ae4, 
      0x0af6b004, 0x0fce0b94, 
      0x02f6a004, 0x0fcc0c44, 
      0xfaf69004, 0x0fca0cf3, 
      0xf2f67005, 0x0fc80da3, 
      0xe9f67005, 0x0fc60e53, 
      0xe1f66005, 0x0fc40f03, 
      0xd8f65005, 0x0fc20fc3, 
      0xcff64006, 0x0fbf1083, 
      0xc5f64007, 0x0fbd1133, 
      0xbcf64006, 0x0fbb11f3, 
      0xb2f63007, 0x0fb912b3, 
      0xa8f63007, 0x0fb71373, 
      0x9ef63007, 0x0fb51433, 
      0x94f63007, 0x0fb314f3, 
      0x89f64007, 0x0fb015c3, 
      0x7ff64007, 0x0fae1683, 
      0x74f64007, 0x0fac1753, 
      0x69f65007, 0x0faa1813, 
      0x5ef66006, 0x0fa818e3, 
      0x53f67007, 0x0fa519a3, 
      0x48f67007, 0x0fa31a73, 
      0x3cf68007, 0x0fa11b43, 
      0x30f69007, 0x0f9f1c13, 
      0x25f6a007, 0x0f9c1ce3, 
      0x19f6b007, 0x0f9a1db3, 
      0x0df6d007, 0x0f981e73, 
      0x01f6e007, 0x0f961f43, 
      0xf5f6f008, 0x0f932012, 
      0xe8f71008, 0x0f9120e2, 
      0xdcf72008, 0x0f8f21b2, 
      0xcff74008, 0x0f8d2282, 
      0xc3f75007, 0x0f8b2362, 
      0xb6f77007, 0x0f892432, 
      0xa9f79007, 0x0f872502, 
      0x9df7a007, 0x0f8525d2, 
      0x90f7d006, 0x0f8326a2, 
      0x83f7f007, 0x0f812762,
   },
   { /* UV scale factor = 1.36, phases = 127, taps = 5. */
      0x85277f7f, 0x0007f7e2, 
      0x9126bf81, 0x0007f7c2, 
      0x9e25ef83, 0x0007f7a2, 
      0xab251f85, 0x0007f782, 
      0xb8243f88, 0x0007f762, 
      0xc4237f8a, 0x0007f742, 
      0xd1229f8c, 0x0007f732, 
      0xdd21cf8f, 0x0007f712, 
      0xea20ff90, 0x0007f702, 
      0xf6202f93, 0x0007f6e2, 
      0x021f5f95, 0x0007f6d3, 
      0x0f1e8f97, 0x0007f6b3, 
      0x1b1dbf99, 0x0007f6a3, 
      0x261cef9c, 0x0007f693, 
      0x321c1f9e, 0x0007f683, 
      0x3e1b4fa0, 0x0007f673, 
      0x491a7fa3, 0x0007f663, 
      0x5519bfa4, 0x0007f653, 
      0x6018efa7, 0x0007f643, 
      0x6b181fa9, 0x0007f643, 
      0x76175fab, 0x0007f633, 
      0x81168fad, 0x0007f633, 
      0x8c15cfaf, 0x0007f623, 
      0x96150fb2, 0x0006f623, 
      0xa0143fb5, 0x0006f623, 
      0xaa137fb7, 0x0006f623, 
      0xb412bfb9, 0x0006f623, 
      0xbe11ffbb, 0x0006f623, 
      0xc8113fbc, 0x0006f633, 
      0xd1107fbf, 0x0006f633, 
      0xda0fcfc0, 0x0006f643, 
      0xe30f1fc3, 0x0005f643, 
      0xec0e5fc5, 0x0005f653, 
      0xf40dafc7, 0x0005f663, 
      0xfc0cefca, 0x0005f673, 
      0x040c3fcb, 0x0005f694, 
      0x0c0b9fcd, 0x0004f6a4, 
      0x140aefce, 0x0004f6c4, 
      0x1b0a3fd1, 0x0004f6d4, 
      0x22099fd3, 0x0003f6f4, 
      0x2908efd5, 0x0003f714, 
      0x2f084fd6, 0x0003f744, 
      0x3607afd8, 0x0002f764, 
      0x3b070fda, 0x0002f794, 
      0x41067fdb, 0x0002f7b4, 
      0x4705dfdd, 0x0001f7e4, 
      0x4c054fde, 0x0001f814, 
      0x5104bfe0, 0x0000f844, 
      0x55042fe1, 0x0000f884, 
      0x5a039fe3, 0x0ffff8b4, 
      0x5e030fe4, 0x0ffff8f4, 
      0x61028fe6, 0x0ffef934, 
      0x6501ffe8, 0x0ffdf974, 
      0x68017fe9, 0x0ffdf9b4, 
      0x6b00ffea, 0x0ffcfa04, 
      0x6e008feb, 0x0ffbfa44, 
      0x70000fec, 0x0ffbfa94, 
      0x72ff9fed, 0x0ffafae4, 
      0x73ff1ff0, 0x0ff9fb34, 
      0x75feaff0, 0x0ff8fb94, 
      0x76fe3ff2, 0x0ff7fbe4, 
      0x77fddff2, 0x0ff6fc44, 
      0x77fd6ff4, 0x0ff5fca4, 
      0x77fd0ff5, 0x0ff4fd04, 
      0x77fcaff6, 0x0ff3fd64, 
      0x77fc4ff6, 0x0ff2fdd4, 
      0x76fbeff8, 0x0ff1fe34, 
      0x75fb9ff8, 0x0ff0fea4, 
      0x73fb4ff9, 0x0fefff14, 
      0x72faeff9, 0x0feeff94, 
      0x70fa9ffa, 0x0fed0004, 
      0x6efa4ffb, 0x0feb0084, 
      0x6bfa0ffc, 0x0fea00f4, 
      0x68f9bffd, 0x0fe90174, 
      0x65f97ffe, 0x0fe701f4, 
      0x61f93ffe, 0x0fe60284, 
      0x5ef8fffe, 0x0fe50304, 
      0x5af8bfff, 0x0fe30394, 
      0x55f88fff, 0x0fe20424, 
      0x51f84000, 0x0fe004b4, 
      0x4cf81000, 0x0fdf0544, 
      0x47f7e001, 0x0fdd05d4, 
      0x41f7b002, 0x0fdb0674, 
      0x3bf79002, 0x0fda0704, 
      0x36f76002, 0x0fd807a4, 
      0x2ff74003, 0x0fd60844, 
      0x29f71004, 0x0fd408e4, 
      0x22f6f003, 0x0fd30994, 
      0x1bf6d004, 0x0fd10a34, 
      0x14f6c003, 0x0fcf0ae4, 
      0x0cf6a005, 0x0fcd0b84, 
      0x04f69005, 0x0fcb0c34, 
      0xfcf68005, 0x0fc90ce3, 
      0xf4f66005, 0x0fc70da3, 
      0xecf65005, 0x0fc50e53, 
      0xe3f64006, 0x0fc30f03, 
      0xdaf64005, 0x0fc10fc3, 
      0xd1f63006, 0x0fbf1073, 
      0xc8f63005, 0x0fbd1133, 
      0xbef62006, 0x0fbb11f3, 
      0xb4f62007, 0x0fb812b3, 
      0xaaf62007, 0x0fb61373, 
      0xa0f62007, 0x0fb41433, 
      0x96f62007, 0x0fb214f3, 
      0x8cf62006, 0x0fb015c3, 
      0x81f63007, 0x0fad1683, 
      0x76f63007, 0x0fab1753, 
      0x6bf64007, 0x0fa91813, 
      0x60f64007, 0x0fa718e3, 
      0x55f65007, 0x0fa419b3, 
      0x4af66007, 0x0fa21a73, 
      0x3ef67007, 0x0fa01b43, 
      0x32f68007, 0x0f9e1c13, 
      0x26f69008, 0x0f9b1ce3, 
      0x1bf6a007, 0x0f991db3, 
      0x0ff6b007, 0x0f971e83, 
      0x02f6d007, 0x0f951f53, 
      0xf6f6e008, 0x0f922022, 
      0xeaf70007, 0x0f9020f2, 
      0xddf71008, 0x0f8e21c2, 
      0xd1f73007, 0x0f8c2292, 
      0xc4f74008, 0x0f8a2362, 
      0xb8f76007, 0x0f882432, 
      0xabf78006, 0x0f862512, 
      0x9ef7a006, 0x0f8425e2, 
      0x91f7c007, 0x0f8126b2, 
      0x85f7e006, 0x0f7f2782,
   },
   { /* UV scale factor = 1.37, phases = 127, taps = 5. */
      0x86279f7e, 0x0007f7c2, 
      0x9326cf80, 0x0007f7a2, 
      0x9f25ff82, 0x0007f792, 
      0xac252f84, 0x0007f772, 
      0xb9244f87, 0x0007f752, 
      0xc6237f89, 0x0007f732, 
      0xd222af8b, 0x0007f722, 
      0xdf21df8d, 0x0007f702, 
      0xeb210f90, 0x0007f6e2, 
      0xf8203f91, 0x0007f6d2, 
      0x041f6f93, 0x0007f6c3, 
      0x101e9f96, 0x0007f6a3, 
      0x1c1dcf98, 0x0007f693, 
      0x281cff9a, 0x0007f683, 
      0x341c2f9c, 0x0007f673, 
      0x401b4f9f, 0x0007f663, 
      0x4b1a8fa1, 0x0007f653, 
      0x5719bfa3, 0x0007f643, 
      0x6218efa6, 0x0007f633, 
      0x6d182fa8, 0x0007f623, 
      0x78175faa, 0x0007f623, 
      0x83168fad, 0x0007f613, 
      0x8e15cfaf, 0x0006f613, 
      0x98150fb1, 0x0006f613, 
      0xa3143fb3, 0x0006f613, 
      0xad137fb5, 0x0006f613, 
      0xb712bfb7, 0x0006f613, 
      0xc011ffba, 0x0006f613, 
      0xca113fbc, 0x0006f613, 
      0xd3107fbe, 0x0006f623, 
      0xdd0fcfc0, 0x0005f623, 
      0xe50f0fc3, 0x0005f633, 
      0xee0e4fc5, 0x0005f643, 
      0xf70d9fc6, 0x0005f653, 
      0xff0cefc8, 0x0005f663, 
      0x070c3fcb, 0x0004f674, 
      0x0f0b8fcc, 0x0004f694, 
      0x160adfcf, 0x0004f6a4, 
      0x1e0a2fd0, 0x0004f6c4, 
      0x25098fd2, 0x0003f6e4, 
      0x2b08efd4, 0x0003f704, 
      0x32084fd5, 0x0003f724, 
      0x3807afd7, 0x0002f754, 
      0x3e070fd9, 0x0002f774, 
      0x44066fdb, 0x0001f7a4, 
      0x4a05cfdc, 0x0001f7d4, 
      0x4f053fde, 0x0000f804, 
      0x5404afdf, 0x0000f834, 
      0x58041fe2, 0x0ffff864, 
      0x5d038fe2, 0x0ffff8a4, 
      0x6102ffe4, 0x0ffef8e4, 
      0x64027fe6, 0x0ffef914, 
      0x6801efe7, 0x0ffdf964, 
      0x6b016fe9, 0x0ffcf9a4, 
      0x6e00efea, 0x0ffcf9e4, 
      0x71006feb, 0x0ffbfa34, 
      0x73ffffec, 0x0ffafa84, 
      0x75ff7fee, 0x0ff9fad4, 
      0x76ff0fef, 0x0ff9fb24, 
      0x78fe9ff0, 0x0ff8fb74, 
      0x79fe2ff1, 0x0ff7fbd4, 
      0x7afdbff2, 0x0ff6fc34, 
      0x7afd5ff3, 0x0ff5fc94, 
      0x7afcfff4, 0x0ff4fcf4, 
      0x7afc9ff5, 0x0ff3fd54, 
      0x7afc2ff6, 0x0ff2fdc4, 
      0x79fbdff7, 0x0ff1fe24, 
      0x78fb7ff8, 0x0ff0fe94, 
      0x76fb2ff9, 0x0fefff04, 
      0x75fadff9, 0x0feeff74, 
      0x73fa8ffa, 0x0fecfff4, 
      0x71fa3ffb, 0x0feb0064, 
      0x6ef9effc, 0x0fea00e4, 
      0x6bf9affd, 0x0fe80164, 
      0x68f96ffd, 0x0fe701e4, 
      0x64f91ffe, 0x0fe60274, 
      0x61f8effe, 0x0fe402f4, 
      0x5df8affe, 0x0fe30384, 
      0x58f86000, 0x0fe10414, 
      0x54f83fff, 0x0fe004a4, 
      0x4ff80000, 0x0fde0534, 
      0x4af7d001, 0x0fdc05c4, 
      0x44f7a001, 0x0fdb0664, 
      0x3ef77002, 0x0fd90704, 
      0x38f75002, 0x0fd707a4, 
      0x32f72002, 0x0fd60844, 
      0x2bf70003, 0x0fd408e4, 
      0x25f6e003, 0x0fd20984, 
      0x1ef6c003, 0x0fd00a34, 
      0x16f6b004, 0x0fce0ad4, 
      0x0ff69004, 0x0fcc0b84, 
      0x07f67005, 0x0fca0c34, 
      0xfff66005, 0x0fc80ce3, 
      0xf7f65005, 0x0fc60d93, 
      0xeef64006, 0x0fc40e43, 
      0xe5f63006, 0x0fc20f03, 
      0xddf62005, 0x0fc00fc3, 
      0xd3f62006, 0x0fbe1073, 
      0xcaf61006, 0x0fbc1133, 
      0xc0f61006, 0x0fba11f3, 
      0xb7f60006, 0x0fb812b3, 
      0xadf60006, 0x0fb61373, 
      0xa3f61006, 0x0fb31433, 
      0x98f61006, 0x0fb11503, 
      0x8ef61006, 0x0faf15c3, 
      0x83f61007, 0x0fad1683, 
      0x78f62007, 0x0faa1753, 
      0x6df62007, 0x0fa81823, 
      0x62f63007, 0x0fa618e3, 
      0x57f64006, 0x0fa419b3, 
      0x4bf65007, 0x0fa11a83, 
      0x40f66006, 0x0f9f1b53, 
      0x34f67006, 0x0f9d1c23, 
      0x28f68006, 0x0f9b1cf3, 
      0x1cf69007, 0x0f981dc3, 
      0x10f6a007, 0x0f961e93, 
      0x04f6c006, 0x0f941f63, 
      0xf8f6d006, 0x0f922032, 
      0xebf6f007, 0x0f8f2102, 
      0xdff70007, 0x0f8d21d2, 
      0xd2f72007, 0x0f8b22a2, 
      0xc6f73007, 0x0f892372, 
      0xb9f75007, 0x0f872442, 
      0xacf77006, 0x0f852522, 
      0x9ff79007, 0x0f8225f2, 
      0x93f7a007, 0x0f8026c2, 
      0x86f7c007, 0x0f7e2792,
   },
   { /* UV scale factor = 1.38, phases = 127, taps = 5. */
      0x8727af7d, 0x0007f7b2, 
      0x9426df7f, 0x0007f792, 
      0xa1260f81, 0x0007f772, 
      0xae252f83, 0x0007f762, 
      0xba245f86, 0x0007f742, 
      0xc7238f88, 0x0007f722, 
      0xd422bf8a, 0x0007f702, 
      0xe021ef8c, 0x0007f6f2, 
      0xed211f8e, 0x0007f6d2, 
      0xf9204f90, 0x0007f6c2, 
      0x061f6f93, 0x0007f6a3, 
      0x121e9f95, 0x0007f693, 
      0x1e1dcf97, 0x0007f683, 
      0x2a1cff9a, 0x0007f663, 
      0x361c2f9c, 0x0007f653, 
      0x421b5f9e, 0x0007f643, 
      0x4d1a8fa1, 0x0007f633, 
      0x5919bfa3, 0x0007f623, 
      0x6418efa5, 0x0007f623, 
      0x6f182fa7, 0x0007f613, 
      0x7a175faa, 0x0007f603, 
      0x85169fac, 0x0006f603, 
      0x9015cfae, 0x0006f603, 
      0x9a150fb1, 0x0006f5f3, 
      0xa5143fb3, 0x0006f5f3, 
      0xaf137fb5, 0x0006f5f3, 
      0xb912bfb7, 0x0006f5f3, 
      0xc311ffb9, 0x0006f5f3, 
      0xcc113fbb, 0x0006f603, 
      0xd6107fbd, 0x0006f603, 
      0xdf0fbfc0, 0x0005f613, 
      0xe80f0fc1, 0x0005f623, 
      0xf10e4fc4, 0x0005f623, 
      0xf90d9fc6, 0x0005f633, 
      0x020cefc7, 0x0004f654, 
      0x0a0c3fc9, 0x0004f664, 
      0x110b8fcc, 0x0004f674, 
      0x190adfcd, 0x0004f694, 
      0x200a2fd0, 0x0003f6b4, 
      0x27098fd2, 0x0003f6c4, 
      0x2e08dfd3, 0x0003f6f4, 
      0x35083fd5, 0x0002f714, 
      0x3b079fd7, 0x0002f734, 
      0x4106ffd8, 0x0002f764, 
      0x47065fdb, 0x0001f784, 
      0x4c05cfdc, 0x0001f7b4, 
      0x52052fde, 0x0000f7e4, 
      0x57049fdf, 0x0000f814, 
      0x5b040fe1, 0x0ffff854, 
      0x60037fe2, 0x0ffff884, 
      0x6402efe4, 0x0ffef8c4, 
      0x67026fe6, 0x0ffdf904, 
      0x6b01dfe7, 0x0ffdf944, 
      0x6e015fe9, 0x0ffcf984, 
      0x7100dfe9, 0x0ffcf9d4, 
      0x74005fea, 0x0ffbfa24, 
      0x76ffefec, 0x0ffafa64, 
      0x78ff6fee, 0x0ff9fab4, 
      0x79feffef, 0x0ff8fb14, 
      0x7bfe8fef, 0x0ff8fb64, 
      0x7cfe1ff0, 0x0ff7fbc4, 
      0x7dfdaff2, 0x0ff6fc14, 
      0x7dfd4ff3, 0x0ff5fc74, 
      0x7dfceff4, 0x0ff4fcd4, 
      0x7dfc7ff5, 0x0ff3fd44, 
      0x7dfc1ff6, 0x0ff2fda4, 
      0x7cfbcff6, 0x0ff1fe14, 
      0x7bfb6ff7, 0x0ff0fe84, 
      0x79fb1ff9, 0x0feefef4, 
      0x78fabffa, 0x0fedff64, 
      0x76fa6ffa, 0x0fecffe4, 
      0x74fa2ffa, 0x0feb0054, 
      0x71f9dffc, 0x0fe900d4, 
      0x6ef98ffd, 0x0fe80154, 
      0x6bf94ffd, 0x0fe701d4, 
      0x67f90ffe, 0x0fe50264, 
      0x64f8cffe, 0x0fe402e4, 
      0x60f88fff, 0x0fe20374, 
      0x5bf85fff, 0x0fe10404, 
      0x57f81000, 0x0fdf0494, 
      0x52f7e000, 0x0fde0524, 
      0x4cf7b001, 0x0fdc05c4, 
      0x47f78002, 0x0fda0654, 
      0x41f76001, 0x0fd906f4, 
      0x3bf73002, 0x0fd70794, 
      0x35f71002, 0x0fd50834, 
      0x2ef6f003, 0x0fd308d4, 
      0x27f6c003, 0x0fd20984, 
      0x20f6b003, 0x0fd00a24, 
      0x19f69003, 0x0fce0ad4, 
      0x11f67004, 0x0fcc0b84, 
      0x0af65004, 0x0fca0c34, 
      0x02f64004, 0x0fc80ce4, 
      0xf9f63005, 0x0fc60d93, 
      0xf1f62005, 0x0fc40e43, 
      0xe8f61005, 0x0fc20f03, 
      0xdff61005, 0x0fc00fb3, 
      0xd6f60005, 0x0fbe1073, 
      0xccf60006, 0x0fbb1133, 
      0xc3f5f006, 0x0fb911f3, 
      0xb9f5f006, 0x0fb712b3, 
      0xaff5f006, 0x0fb51373, 
      0xa5f5f006, 0x0fb31433, 
      0x9af5f007, 0x0fb01503, 
      0x90f60006, 0x0fae15c3, 
      0x85f60006, 0x0fac1693, 
      0x7af60007, 0x0faa1753, 
      0x6ff61007, 0x0fa71823, 
      0x64f62006, 0x0fa518f3, 
      0x59f62007, 0x0fa319b3, 
      0x4df64007, 0x0fa01a83, 
      0x42f64007, 0x0f9e1b53, 
      0x36f65007, 0x0f9c1c23, 
      0x2af66007, 0x0f9a1cf3, 
      0x1ef68007, 0x0f971dc3, 
      0x12f69007, 0x0f951e93, 
      0x06f6a007, 0x0f931f63, 
      0xf9f6c006, 0x0f912042, 
      0xedf6d007, 0x0f8e2112, 
      0xe0f6f007, 0x0f8c21e2, 
      0xd4f70007, 0x0f8a22b2, 
      0xc7f72007, 0x0f882382, 
      0xbaf74007, 0x0f862452, 
      0xaef76007, 0x0f832522, 
      0xa1f77007, 0x0f812602, 
      0x94f79007, 0x0f7f26d2, 
      0x87f7b007, 0x0f7d27a2,
   },
   { /* UV scale factor = 1.39, phases = 127, taps = 5. */
      0x8827bf7c, 0x0007f7a2, 
      0x9526ef7e, 0x0007f782, 
      0xa2261f80, 0x0007f762, 
      0xaf253f83, 0x0007f742, 
      0xbc246f84, 0x0007f732, 
      0xc9239f86, 0x0007f712, 
      0xd522cf89, 0x0007f6f2, 
      0xe221ef8b, 0x0007f6e2, 
      0xef211f8d, 0x0007f6c2, 
      0xfb204f90, 0x0007f6a2, 
      0x071f7f92, 0x0007f693, 
      0x141e9f94, 0x0007f683, 
      0x201ddf96, 0x0007f663, 
      0x2c1d0f98, 0x0007f653, 
      0x381c3f9a, 0x0007f643, 
      0x441b5f9d, 0x0007f633, 
      0x4f1a9f9f, 0x0007f623, 
      0x5b19cfa1, 0x0007f613, 
      0x6618ffa4, 0x0007f603, 
      0x71182fa7, 0x0006f603, 
      0x7c176fa9, 0x0006f5f3, 
      0x87169fab, 0x0006f5f3, 
      0x9215cfae, 0x0006f5e3, 
      0x9d150faf, 0x0006f5e3, 
      0xa7143fb2, 0x0006f5e3, 
      0xb1137fb4, 0x0006f5e3, 
      0xbb12bfb6, 0x0006f5e3, 
      0xc511ffb8, 0x0006f5e3, 
      0xcf113fba, 0x0006f5e3, 
      0xd8107fbd, 0x0005f5f3, 
      0xe10fcfbf, 0x0005f5f3, 
      0xea0effc2, 0x0005f603, 
      0xf30e4fc3, 0x0005f613, 
      0xfc0d8fc5, 0x0005f623, 
      0x040cdfc8, 0x0004f634, 
      0x0c0c2fca, 0x0004f644, 
      0x140b7fcb, 0x0004f664, 
      0x1c0acfcd, 0x0004f674, 
      0x230a2fcf, 0x0003f694, 
      0x2a097fd1, 0x0003f6b4, 
      0x3108dfd2, 0x0003f6d4, 
      0x38082fd5, 0x0002f6f4, 
      0x3e078fd6, 0x0002f724, 
      0x4406efd9, 0x0001f744, 
      0x4a064fda, 0x0001f774, 
      0x4f05bfdb, 0x0001f7a4, 
      0x54051fde, 0x0000f7d4, 
      0x59048fdf, 0x0000f804, 
      0x5e03ffe1, 0x0ffff834, 
      0x62037fe2, 0x0ffef874, 
      0x6702dfe3, 0x0ffef8b4, 
      0x6a025fe5, 0x0ffdf8f4, 
      0x6e01cfe6, 0x0ffdf934, 
      0x71014fe8, 0x0ffcf974, 
      0x7400cfe9, 0x0ffbf9c4, 
      0x77004fea, 0x0ffbfa04, 
      0x79ffdfeb, 0x0ffafa54, 
      0x7bff5fed, 0x0ff9faa4, 
      0x7dfeefee, 0x0ff8faf4, 
      0x7efe7fef, 0x0ff7fb54, 
      0x7ffe0ff1, 0x0ff6fba4, 
      0x80fd9ff1, 0x0ff6fc04, 
      0x80fd3ff2, 0x0ff5fc64, 
      0x80fccff4, 0x0ff4fcc4, 
      0x80fc6ff4, 0x0ff3fd34, 
      0x80fc0ff6, 0x0ff1fd94, 
      0x7ffbaff7, 0x0ff0fe04, 
      0x7efb5ff7, 0x0feffe74, 
      0x7dfafff8, 0x0feefee4, 
      0x7bfaaff9, 0x0fedff54, 
      0x79fa5ff9, 0x0fecffd4, 
      0x77fa0ffb, 0x0fea0044, 
      0x74f9cffb, 0x0fe900c4, 
      0x71f97ffc, 0x0fe80144, 
      0x6ef93ffd, 0x0fe601c4, 
      0x6af8fffd, 0x0fe50254, 
      0x67f8bffe, 0x0fe302d4, 
      0x62f87fff, 0x0fe20364, 
      0x5ef83000, 0x0fe003f4, 
      0x59f80000, 0x0fdf0484, 
      0x54f7d001, 0x0fdd0514, 
      0x4ff7a000, 0x0fdc05b4, 
      0x4af77001, 0x0fda0644, 
      0x44f74002, 0x0fd806e4, 
      0x3ef72002, 0x0fd60784, 
      0x38f6f002, 0x0fd50824, 
      0x31f6d002, 0x0fd308d4, 
      0x2af6b003, 0x0fd10974, 
      0x23f69003, 0x0fcf0a24, 
      0x1cf67004, 0x0fcd0ac4, 
      0x14f66004, 0x0fcb0b74, 
      0x0cf64005, 0x0fc90c24, 
      0x04f63005, 0x0fc70cd4, 
      0xfcf62005, 0x0fc50d83, 
      0xf3f61005, 0x0fc30e43, 
      0xeaf60006, 0x0fc10ef3, 
      0xe1f5f006, 0x0fbf0fb3, 
      0xd8f5f005, 0x0fbd1073, 
      0xcff5e005, 0x0fbb1133, 
      0xc5f5e006, 0x0fb811f3, 
      0xbbf5e006, 0x0fb612b3, 
      0xb1f5e006, 0x0fb41373, 
      0xa7f5e006, 0x0fb21433, 
      0x9df5d006, 0x0fb01503, 
      0x92f5e007, 0x0fad15c3, 
      0x87f5f006, 0x0fab1693, 
      0x7cf5f007, 0x0fa91753, 
      0x71f60006, 0x0fa71823, 
      0x66f60007, 0x0fa418f3, 
      0x5bf61006, 0x0fa219c3, 
      0x4ff62006, 0x0fa01a93, 
      0x44f63006, 0x0f9d1b63, 
      0x38f64006, 0x0f9b1c33, 
      0x2cf65006, 0x0f991d03, 
      0x20f66007, 0x0f961dd3, 
      0x14f68006, 0x0f941ea3, 
      0x07f69007, 0x0f921f73, 
      0xfbf6a007, 0x0f902042, 
      0xeff6c007, 0x0f8d2112, 
      0xe2f6e006, 0x0f8b21f2, 
      0xd5f6f007, 0x0f8922c2, 
      0xc9f71006, 0x0f872392, 
      0xbcf73006, 0x0f852462, 
      0xaff75007, 0x0f822532, 
      0xa2f76007, 0x0f802612, 
      0x95f78007, 0x0f7e26e2, 
      0x88f7a007, 0x0f7c27b2,
   },
   { /* UV scale factor = 1.40, phases = 127, taps = 5. */
      0x8927cf7b, 0x0007f792, 
      0x9626ff7d, 0x0007f772, 
      0xa3262f7f, 0x0007f752, 
      0xb0254f82, 0x0007f732, 
      0xbd247f84, 0x0007f712, 
      0xca23af85, 0x0007f702, 
      0xd722df87, 0x0007f6e2, 
      0xe321ff8b, 0x0007f6c2, 
      0xf0212f8c, 0x0007f6b2, 
      0xfd205f8e, 0x0007f692, 
      0x091f8f90, 0x0007f683, 
      0x151eaf94, 0x0007f663, 
      0x221ddf95, 0x0007f653, 
      0x2e1d0f97, 0x0007f643, 
      0x391c3f9a, 0x0007f633, 
      0x451b6f9c, 0x0007f623, 
      0x511a9f9e, 0x0007f613, 
      0x5c19cfa1, 0x0007f603, 
      0x6818ffa4, 0x0006f5f3, 
      0x73183fa6, 0x0006f5e3, 
      0x7f176fa7, 0x0006f5e3, 
      0x89169fab, 0x0006f5d3, 
      0x9415cfad, 0x0006f5d3, 
      0x9f150faf, 0x0006f5c3, 
      0xa9143fb2, 0x0006f5c3, 
      0xb4137fb3, 0x0006f5c3, 
      0xbe12bfb5, 0x0006f5c3, 
      0xc811efb7, 0x0006f5d3, 
      0xd1113fba, 0x0005f5d3, 
      0xdb107fbc, 0x0005f5d3, 
      0xe40fbfbe, 0x0005f5e3, 
      0xed0effc0, 0x0005f5f3, 
      0xf60e4fc2, 0x0005f5f3, 
      0xfe0d9fc5, 0x0004f603, 
      0x070cdfc6, 0x0004f624, 
      0x0f0c2fc8, 0x0004f634, 
      0x170b7fca, 0x0004f644, 
      0x1e0acfcd, 0x0003f664, 
      0x260a1fce, 0x0003f684, 
      0x2d096fd0, 0x0003f6a4, 
      0x3408cfd2, 0x0002f6c4, 
      0x3a082fd4, 0x0002f6e4, 
      0x41077fd6, 0x0002f704, 
      0x4706efd7, 0x0001f734, 
      0x4d064fd9, 0x0001f754, 
      0x5205afdc, 0x0000f784, 
      0x57051fdd, 0x0000f7b4, 
      0x5c047fdf, 0x0ffff7f4, 
      0x6103efe0, 0x0ffff824, 
      0x65035fe2, 0x0ffef864, 
      0x6a02cfe3, 0x0ffef894, 
      0x6d024fe5, 0x0ffdf8d4, 
      0x7101cfe6, 0x0ffcf914, 
      0x74013fe7, 0x0ffcf964, 
      0x7700bfe9, 0x0ffbf9a4, 
      0x7a003fea, 0x0ffaf9f4, 
      0x7cffbfeb, 0x0ffafa44, 
      0x7eff4fec, 0x0ff9fa94, 
      0x80fedfed, 0x0ff8fae4, 
      0x81fe6fef, 0x0ff7fb34, 
      0x82fdfff0, 0x0ff6fb94, 
      0x83fd8ff1, 0x0ff5fbf4, 
      0x83fd1ff3, 0x0ff4fc54, 
      0x83fcbff4, 0x0ff3fcb4, 
      0x83fc5ff5, 0x0ff2fd14, 
      0x83fbfff5, 0x0ff1fd84, 
      0x82fb9ff6, 0x0ff0fdf4, 
      0x81fb3ff7, 0x0feffe64, 
      0x80faeff7, 0x0feefed4, 
      0x7efa9ff8, 0x0fedff44, 
      0x7cfa4ff9, 0x0febffc4, 
      0x7af9fffa, 0x0fea0034, 
      0x77f9affb, 0x0fe900b4, 
      0x74f96ffc, 0x0fe70134, 
      0x71f91ffd, 0x0fe601b4, 
      0x6df8dffe, 0x0fe40244, 
      0x6af89ffe, 0x0fe302c4, 
      0x65f86fff, 0x0fe10354, 
      0x61f82fff, 0x0fe003e4, 
      0x5cf7f000, 0x0fde0474, 
      0x57f7b000, 0x0fdd0514, 
      0x52f78001, 0x0fdb05a4, 
      0x4df75001, 0x0fd90644, 
      0x47f72001, 0x0fd806e4, 
      0x41f70002, 0x0fd60774, 
      0x3af6e002, 0x0fd40824, 
      0x34f6c002, 0x0fd208c4, 
      0x2df6a003, 0x0fd00964, 
      0x26f67003, 0x0fcf0a14, 
      0x1ef66003, 0x0fcd0ac4, 
      0x17f64003, 0x0fcb0b74, 
      0x0ff63003, 0x0fc90c24, 
      0x07f61004, 0x0fc70cd4, 
      0xfef60005, 0x0fc50d83, 
      0xf6f5f004, 0x0fc30e43, 
      0xedf5f005, 0x0fc00ef3, 
      0xe4f5e005, 0x0fbe0fb3, 
      0xdbf5d005, 0x0fbc1073, 
      0xd1f5d006, 0x0fba1123, 
      0xc8f5c005, 0x0fb811f3, 
      0xbef5c005, 0x0fb612b3, 
      0xb4f5c006, 0x0fb31373, 
      0xa9f5d006, 0x0fb11433, 
      0x9ff5c006, 0x0faf1503, 
      0x94f5d006, 0x0fad15c3, 
      0x89f5d007, 0x0faa1693, 
      0x7ff5d006, 0x0fa81763, 
      0x73f5e007, 0x0fa61823, 
      0x68f5f007, 0x0fa318f3, 
      0x5df60006, 0x0fa119c3, 
      0x51f61006, 0x0f9f1a93, 
      0x45f62007, 0x0f9c1b63, 
      0x3af63006, 0x0f9a1c33, 
      0x2ef64006, 0x0f981d03, 
      0x22f65007, 0x0f951dd3, 
      0x15f67007, 0x0f931ea3, 
      0x09f68006, 0x0f911f83, 
      0xfdf69006, 0x0f8f2052, 
      0xf0f6b007, 0x0f8c2122, 
      0xe3f6d007, 0x0f8a21f2, 
      0xd7f6e006, 0x0f8822d2, 
      0xcaf70006, 0x0f8623a2, 
      0xbdf72007, 0x0f832472, 
      0xb0f74007, 0x0f812542, 
      0xa3f75007, 0x0f7f2622, 
      0x96f77007, 0x0f7d26f2, 
      0x89f79007, 0x0f7b27c2,
   },
   { /* UV scale factor = 1.41, phases = 127, taps = 5. */
      0x8a27ef7a, 0x0006f782, 
      0x98270f7b, 0x0007f762, 
      0xa5262f7e, 0x0007f742, 
      0xb2255f80, 0x0007f722, 
      0xbf248f82, 0x0007f702, 
      0xcb23bf85, 0x0007f6e2, 
      0xd822ef86, 0x0007f6d2, 
      0xe5220f89, 0x0007f6b2, 
      0xf2213f8b, 0x0007f692, 
      0xfe206f8d, 0x0007f682, 
      0x0b1f8f90, 0x0007f663, 
      0x171ebf92, 0x0007f653, 
      0x231def94, 0x0007f643, 
      0x2f1d1f97, 0x0007f623, 
      0x3b1c4f99, 0x0007f613, 
      0x471b7f9c, 0x0006f603, 
      0x531aaf9e, 0x0006f5f3, 
      0x5f19cfa1, 0x0006f5e3, 
      0x6a18ffa3, 0x0006f5e3, 
      0x75183fa5, 0x0006f5d3, 
      0x81176fa7, 0x0006f5c3, 
      0x8c169fa9, 0x0006f5c3, 
      0x9615dfac, 0x0006f5b3, 
      0xa1150fae, 0x0006f5b3, 
      0xac143fb0, 0x0006f5b3, 
      0xb6137fb2, 0x0006f5b3, 
      0xc012bfb4, 0x0006f5b3, 
      0xca11efb8, 0x0005f5b3, 
      0xd4112fba, 0x0005f5b3, 
      0xdd106fbc, 0x0005f5c3, 
      0xe60fbfbe, 0x0005f5c3, 
      0xf00effbf, 0x0005f5d3, 
      0xf80e3fc2, 0x0005f5e3, 
      0x010d8fc4, 0x0004f5f4, 
      0x090ccfc7, 0x0004f604, 
      0x120c1fc8, 0x0004f614, 
      0x190b6fca, 0x0004f634, 
      0x210abfcd, 0x0003f644, 
      0x290a0fce, 0x0003f664, 
      0x30096fcf, 0x0003f684, 
      0x3708bfd2, 0x0002f6a4, 
      0x3d081fd4, 0x0002f6c4, 
      0x44076fd5, 0x0002f6f4, 
      0x4a06dfd7, 0x0001f714, 
      0x50063fd8, 0x0001f744, 
      0x55059fdb, 0x0000f774, 
      0x5a050fdc, 0x0000f7a4, 
      0x5f047fde, 0x0ffff7d4, 
      0x6403dfdf, 0x0ffff814, 
      0x68034fe2, 0x0ffef844, 
      0x6d02bfe3, 0x0ffdf884, 
      0x70023fe4, 0x0ffdf8c4, 
      0x7401afe6, 0x0ffcf904, 
      0x77012fe7, 0x0ffcf944, 
      0x7a00afe8, 0x0ffbf994, 
      0x7d002fea, 0x0ffaf9d4, 
      0x7fffbfeb, 0x0ff9fa24, 
      0x81ff3fec, 0x0ff9fa74, 
      0x83febfed, 0x0ff8fad4, 
      0x84fe4fef, 0x0ff7fb24, 
      0x85fddff0, 0x0ff6fb84, 
      0x86fd7ff0, 0x0ff5fbe4, 
      0x86fd0ff2, 0x0ff4fc44, 
      0x87fcaff2, 0x0ff3fca4, 
      0x86fc4ff4, 0x0ff2fd04, 
      0x86fbeff4, 0x0ff1fd74, 
      0x85fb8ff6, 0x0ff0fdd4, 
      0x84fb2ff7, 0x0feffe44, 
      0x83fadff7, 0x0fedfec4, 
      0x81fa7ff9, 0x0fecff34, 
      0x7ffa2ffa, 0x0febffa4, 
      0x7df9dffa, 0x0fea0024, 
      0x7af99ffb, 0x0fe800a4, 
      0x77f94ffc, 0x0fe70124, 
      0x74f90ffc, 0x0fe601a4, 
      0x70f8cffd, 0x0fe40234, 
      0x6df88ffd, 0x0fe302b4, 
      0x68f84fff, 0x0fe10344, 
      0x64f81ffe, 0x0fe003d4, 
      0x5ff7d000, 0x0fde0464, 
      0x5af7a000, 0x0fdc0504, 
      0x55f77000, 0x0fdb0594, 
      0x50f74000, 0x0fd90634, 
      0x4af71001, 0x0fd706d4, 
      0x44f6f001, 0x0fd50774, 
      0x3df6c002, 0x0fd40814, 
      0x37f6a002, 0x0fd208b4, 
      0x30f68002, 0x0fd00964, 
      0x29f66003, 0x0fce0a04, 
      0x21f64004, 0x0fcc0ab4, 
      0x19f63004, 0x0fca0b64, 
      0x12f61004, 0x0fc80c14, 
      0x09f60005, 0x0fc60cc4, 
      0x01f5f004, 0x0fc40d84, 
      0xf8f5e005, 0x0fc20e33, 
      0xf0f5d004, 0x0fc00ef3, 
      0xe6f5c005, 0x0fbe0fb3, 
      0xddf5c006, 0x0fbb1063, 
      0xd4f5b006, 0x0fb91123, 
      0xcaf5b006, 0x0fb711e3, 
      0xc0f5b005, 0x0fb512b3, 
      0xb6f5b005, 0x0fb31373, 
      0xacf5b006, 0x0fb01433, 
      0xa1f5b006, 0x0fae1503, 
      0x96f5b007, 0x0fac15c3, 
      0x8cf5c006, 0x0fa91693, 
      0x81f5c006, 0x0fa71763, 
      0x75f5d006, 0x0fa51833, 
      0x6af5e006, 0x0fa318f3, 
      0x5ff5e007, 0x0fa019c3, 
      0x53f5f007, 0x0f9e1a93, 
      0x47f60007, 0x0f9c1b63, 
      0x3bf61007, 0x0f991c43, 
      0x2ff62007, 0x0f971d13, 
      0x23f64006, 0x0f951de3, 
      0x17f65007, 0x0f921eb3, 
      0x0bf66007, 0x0f901f83, 
      0xfef68006, 0x0f8e2062, 
      0xf2f69007, 0x0f8b2132, 
      0xe5f6b007, 0x0f892202, 
      0xd8f6d006, 0x0f8722e2, 
      0xcbf6e007, 0x0f8523b2, 
      0xbff70007, 0x0f822482, 
      0xb2f72007, 0x0f802552, 
      0xa5f74006, 0x0f7e2632, 
      0x98f76006, 0x0f7c2702, 
      0x8af78007, 0x0f7a27d2,
   },
   { /* UV scale factor = 1.42, phases = 127, taps = 5. */
      0x8c27ef79, 0x0006f772, 
      0x99271f7b, 0x0006f752, 
      0xa6264f7d, 0x0006f732, 
      0xb3257f7f, 0x0006f712, 
      0xc0249f82, 0x0006f6f2, 
      0xcd23cf83, 0x0007f6d2, 
      0xda22ef85, 0x0007f6c2, 
      0xe6221f88, 0x0007f6a2, 
      0xf3214f8a, 0x0007f682, 
      0x00206f8c, 0x0007f673, 
      0x0c1f9f8f, 0x0007f653, 
      0x191ebf91, 0x0007f643, 
      0x251dff94, 0x0006f623, 
      0x311d2f96, 0x0006f613, 
      0x3d1c4f99, 0x0006f603, 
      0x491b7f9b, 0x0006f5f3, 
      0x551aaf9d, 0x0006f5e3, 
      0x6119df9f, 0x0006f5d3, 
      0x6c190fa2, 0x0006f5c3, 
      0x78183fa4, 0x0006f5b3, 
      0x83176fa6, 0x0006f5b3, 
      0x8e169fa9, 0x0006f5a3, 
      0x9915cfab, 0x0006f5a3, 
      0xa3150fad, 0x0006f5a3, 
      0xae143fb0, 0x0006f593, 
      0xb8137fb2, 0x0006f593, 
      0xc212bfb5, 0x0005f593, 
      0xcc11efb7, 0x0005f5a3, 
      0xd6112fb9, 0x0005f5a3, 
      0xe0106fbb, 0x0005f5a3, 
      0xe90fafbd, 0x0005f5b3, 
      0xf20eefbf, 0x0005f5c3, 
      0xfb0e3fc1, 0x0004f5d3, 
      0x040d7fc4, 0x0004f5d4, 
      0x0c0ccfc5, 0x0004f5f4, 
      0x140c1fc7, 0x0004f604, 
      0x1c0b6fca, 0x0003f614, 
      0x240abfcb, 0x0003f634, 
      0x2b0a0fcd, 0x0003f654, 
      0x32095fd0, 0x0002f674, 
      0x3908bfd1, 0x0002f694, 
      0x40080fd3, 0x0002f6b4, 
      0x46077fd5, 0x0001f6d4, 
      0x4d06cfd6, 0x0001f704, 
      0x52063fd9, 0x0000f724, 
      0x58058fdb, 0x0000f754, 
      0x5d04ffdc, 0x0000f784, 
      0x62046fdd, 0x0ffff7c4, 
      0x6703cfe0, 0x0ffef7f4, 
      0x6b033fe1, 0x0ffef834, 
      0x7002bfe2, 0x0ffdf864, 
      0x73022fe4, 0x0ffdf8a4, 
      0x77019fe5, 0x0ffcf8f4, 
      0x7a011fe7, 0x0ffbf934, 
      0x7d009fe8, 0x0ffbf974, 
      0x80001fe9, 0x0ffaf9c4, 
      0x82ff9feb, 0x0ff9fa14, 
      0x84ff2fec, 0x0ff8fa64, 
      0x86feafee, 0x0ff7fab4, 
      0x87fe3fee, 0x0ff7fb14, 
      0x88fdcff0, 0x0ff6fb64, 
      0x89fd5ff1, 0x0ff5fbc4, 
      0x8afcfff1, 0x0ff4fc24, 
      0x8afc8ff3, 0x0ff3fc84, 
      0x8afc2ff3, 0x0ff2fcf4, 
      0x89fbcff5, 0x0ff1fd54, 
      0x88fb7ff6, 0x0feffdc4, 
      0x87fb1ff7, 0x0feefe34, 
      0x86fabff8, 0x0fedfea4, 
      0x84fa6ff8, 0x0fecff24, 
      0x82fa1ff9, 0x0febff94, 
      0x80f9cffa, 0x0fe90014, 
      0x7df97ffb, 0x0fe80094, 
      0x7af93ffb, 0x0fe70114, 
      0x77f8fffc, 0x0fe50194, 
      0x73f8affd, 0x0fe40224, 
      0x70f86ffd, 0x0fe202b4, 
      0x6bf83ffe, 0x0fe10334, 
      0x67f7ffff, 0x0fdf03c4, 
      0x62f7cfff, 0x0fdd0464, 
      0x5df78000, 0x0fdc04f4, 
      0x58f75001, 0x0fda0584, 
      0x52f73001, 0x0fd80624, 
      0x4df70000, 0x0fd706c4, 
      0x46f6d002, 0x0fd50764, 
      0x40f6b002, 0x0fd30804, 
      0x39f69002, 0x0fd108b4, 
      0x32f67003, 0x0fcf0954, 
      0x2bf65003, 0x0fcd0a04, 
      0x24f63003, 0x0fcb0ab4, 
      0x1cf61004, 0x0fc90b64, 
      0x14f60004, 0x0fc70c14, 
      0x0cf5f004, 0x0fc50cc4, 
      0x04f5d005, 0x0fc30d74, 
      0xfbf5d004, 0x0fc10e33, 
      0xf2f5c004, 0x0fbf0ef3, 
      0xe9f5b005, 0x0fbd0fa3, 
      0xe0f5a005, 0x0fbb1063, 
      0xd6f5a005, 0x0fb91123, 
      0xccf5a006, 0x0fb611e3, 
      0xc2f59006, 0x0fb412b3, 
      0xb8f59006, 0x0fb21373, 
      0xaef59006, 0x0fb01433, 
      0xa3f5a006, 0x0fad1503, 
      0x99f5a006, 0x0fab15c3, 
      0x8ef5a006, 0x0fa91693, 
      0x83f5b006, 0x0fa61763, 
      0x78f5b006, 0x0fa41833, 
      0x6cf5c006, 0x0fa21903, 
      0x61f5d006, 0x0f9f19d3, 
      0x55f5e006, 0x0f9d1aa3, 
      0x49f5f006, 0x0f9b1b73, 
      0x3df60007, 0x0f981c43, 
      0x31f61007, 0x0f961d13, 
      0x25f62007, 0x0f941de3, 
      0x19f64006, 0x0f911ec3, 
      0x0cf65007, 0x0f8f1f93, 
      0x00f67006, 0x0f8d2063, 
      0xf3f68007, 0x0f8a2142, 
      0xe7f6a006, 0x0f882212, 
      0xdaf6c006, 0x0f8622e2, 
      0xcdf6d006, 0x0f8423c2, 
      0xc0f6f007, 0x0f812492, 
      0xb3f71006, 0x0f7f2572, 
      0xa6f73006, 0x0f7d2642, 
      0x99f75006, 0x0f7b2712, 
      0x8cf77006, 0x0f7927e2,
   },
   { /* UV scale factor = 1.43, phases = 127, taps = 5. */
      0x8d280f77, 0x0006f762, 
      0x9a272f7a, 0x0006f742, 
      0xa7265f7c, 0x0006f722, 
      0xb4258f7e, 0x0006f702, 
      0xc124af81, 0x0006f6e2, 
      0xce23df83, 0x0006f6c2, 
      0xdb230f85, 0x0006f6a2, 
      0xe8222f87, 0x0006f692, 
      0xf5214f8a, 0x0006f672, 
      0x02207f8c, 0x0006f653, 
      0x0e1faf8e, 0x0006f643, 
      0x1b1ecf91, 0x0006f623, 
      0x271dff93, 0x0006f613, 
      0x331d2f95, 0x0006f603, 
      0x3f1c4f98, 0x0006f5f3, 
      0x4b1b7f9a, 0x0006f5e3, 
      0x571aaf9c, 0x0006f5d3, 
      0x6319df9e, 0x0006f5c3, 
      0x6e190fa1, 0x0006f5b3, 
      0x7a183fa3, 0x0006f5a3, 
      0x85176fa6, 0x0006f593, 
      0x90169fa8, 0x0006f593, 
      0x9b15cfaa, 0x0006f593, 
      0xa6150fac, 0x0006f583, 
      0xb0143faf, 0x0006f583, 
      0xbb136fb1, 0x0006f583, 
      0xc512afb4, 0x0005f583, 
      0xcf11efb6, 0x0005f583, 
      0xd9112fb8, 0x0005f583, 
      0xe2106fba, 0x0005f593, 
      0xec0fafbc, 0x0005f593, 
      0xf50eefbe, 0x0005f5a3, 
      0xfe0e3fc0, 0x0004f5b3, 
      0x060d7fc3, 0x0004f5c4, 
      0x0f0ccfc4, 0x0004f5d4, 
      0x170c0fc7, 0x0004f5e4, 
      0x1f0b5fc9, 0x0003f604, 
      0x270aafcb, 0x0003f614, 
      0x2e09ffcd, 0x0003f634, 
      0x35095fcf, 0x0002f654, 
      0x3c08afd1, 0x0002f674, 
      0x43080fd2, 0x0002f694, 
      0x49075fd5, 0x0001f6c4, 
      0x5006bfd6, 0x0001f6e4, 
      0x55062fd8, 0x0000f714, 
      0x5b058fd9, 0x0000f744, 
      0x6004efdc, 0x0ffff774, 
      0x65045fdd, 0x0ffff7a4, 
      0x6a03bfdf, 0x0ffef7e4, 
      0x6f032fe0, 0x0ffef814, 
      0x7302afe1, 0x0ffdf854, 
      0x77021fe3, 0x0ffcf894, 
      0x7a018fe5, 0x0ffcf8d4, 
      0x7d010fe7, 0x0ffbf914, 
      0x80008fe8, 0x0ffaf964, 
      0x83000fe8, 0x0ffaf9b4, 
      0x85ff8fea, 0x0ff9fa04, 
      0x87ff1feb, 0x0ff8fa54, 
      0x89fe9fed, 0x0ff7faa4, 
      0x8afe3fee, 0x0ff6faf4, 
      0x8cfdbfef, 0x0ff5fb54, 
      0x8cfd4ff1, 0x0ff4fbb4, 
      0x8dfceff1, 0x0ff3fc14, 
      0x8dfc7ff3, 0x0ff2fc74, 
      0x8dfc1ff3, 0x0ff1fce4, 
      0x8cfbbff5, 0x0ff0fd44, 
      0x8cfb5ff5, 0x0feffdb4, 
      0x8afafff7, 0x0feefe24, 
      0x89faaff7, 0x0fedfe94, 
      0x87fa5ff8, 0x0febff14, 
      0x85fa0ff9, 0x0feaff84, 
      0x83f9bff9, 0x0fe90004, 
      0x80f96ffa, 0x0fe80084, 
      0x7df91ffc, 0x0fe60104, 
      0x7af8dffc, 0x0fe50184, 
      0x77f89ffc, 0x0fe30214, 
      0x73f84ffd, 0x0fe202a4, 
      0x6ff81ffe, 0x0fe00324, 
      0x6af7effe, 0x0fdf03b4, 
      0x65f7afff, 0x0fdd0454, 
      0x60f77000, 0x0fdb04e4, 
      0x5bf74fff, 0x0fda0584, 
      0x55f71001, 0x0fd80614, 
      0x50f6e001, 0x0fd606b4, 
      0x49f6c002, 0x0fd40754, 
      0x43f69001, 0x0fd30804, 
      0x3cf67002, 0x0fd108a4, 
      0x35f65002, 0x0fcf0954, 
      0x2ef63003, 0x0fcd09f4, 
      0x27f61003, 0x0fcb0aa4, 
      0x1ff60003, 0x0fc90b54, 
      0x17f5e004, 0x0fc70c04, 
      0x0ff5d003, 0x0fc50cc4, 
      0x06f5c004, 0x0fc30d74, 
      0xfdf5b004, 0x0fc10e33, 
      0xf5f5a005, 0x0fbe0ee3, 
      0xecf59005, 0x0fbc0fa3, 
      0xe2f59005, 0x0fba1063, 
      0xd9f58005, 0x0fb81123, 
      0xcff58005, 0x0fb611e3, 
      0xc5f58006, 0x0fb312a3, 
      0xbbf58005, 0x0fb11373, 
      0xb0f58006, 0x0faf1433, 
      0xa6f58005, 0x0fad1503, 
      0x9bf59005, 0x0faa15d3, 
      0x90f59006, 0x0fa81693, 
      0x85f59006, 0x0fa61763, 
      0x7af5a006, 0x0fa31833, 
      0x6ef5b006, 0x0fa11903, 
      0x63f5c006, 0x0f9e19d3, 
      0x57f5d006, 0x0f9c1aa3, 
      0x4bf5e006, 0x0f9a1b73, 
      0x3ff5f007, 0x0f971c43, 
      0x33f60006, 0x0f951d23, 
      0x27f61006, 0x0f931df3, 
      0x1bf62007, 0x0f901ec3, 
      0x0ef64006, 0x0f8e1fa3, 
      0x02f65006, 0x0f8c2073, 
      0xf5f67007, 0x0f892142, 
      0xe8f69006, 0x0f872222, 
      0xdbf6a007, 0x0f8522f2, 
      0xcef6c007, 0x0f8223d2, 
      0xc1f6e007, 0x0f8024a2, 
      0xb4f70006, 0x0f7e2582, 
      0xa7f72006, 0x0f7c2652, 
      0x9af74006, 0x0f7a2722, 
      0x8df75006, 0x0f782802,
   },
   { /* UV scale factor = 1.44, phases = 127, taps = 5. */
      0x8e281f77, 0x0006f742, 
      0x9b274f79, 0x0006f722, 
      0xa9266f7b, 0x0006f702, 
      0xb6259f7d, 0x0006f6e2, 
      0xc324bf7f, 0x0006f6d2, 
      0xd023ef81, 0x0006f6b2, 
      0xdd230f84, 0x0006f692, 
      0xea223f86, 0x0006f672, 
      0xf6215f89, 0x0006f662, 
      0x03208f8b, 0x0006f643, 
      0x101faf8d, 0x0006f633, 
      0x1c1edf90, 0x0006f613, 
      0x291e0f91, 0x0006f603, 
      0x351d2f95, 0x0006f5e3, 
      0x411c5f97, 0x0006f5d3, 
      0x4d1b8f99, 0x0006f5c3, 
      0x591aaf9c, 0x0006f5b3, 
      0x6519df9e, 0x0006f5a3, 
      0x70191fa0, 0x0006f593, 
      0x7c183fa2, 0x0006f593, 
      0x87176fa5, 0x0006f583, 
      0x92169fa8, 0x0006f573, 
      0x9d15dfa9, 0x0006f573, 
      0xa8150fab, 0x0006f573, 
      0xb2143fae, 0x0006f573, 
      0xbd137fb1, 0x0005f563, 
      0xc712afb3, 0x0005f573, 
      0xd111efb5, 0x0005f573, 
      0xdb112fb7, 0x0005f573, 
      0xe5106fb9, 0x0005f573, 
      0xee0fafbb, 0x0005f583, 
      0xf70eefbe, 0x0004f593, 
      0x000e2fc0, 0x0004f5a4, 
      0x090d7fc2, 0x0004f5a4, 
      0x110cbfc4, 0x0004f5c4, 
      0x1a0c0fc6, 0x0003f5d4, 
      0x220b5fc8, 0x0003f5e4, 
      0x290aafca, 0x0003f604, 
      0x3109efcc, 0x0003f624, 
      0x38094fce, 0x0002f644, 
      0x3f089fd0, 0x0002f664, 
      0x4607ffd2, 0x0001f684, 
      0x4c075fd4, 0x0001f6a4, 
      0x5206bfd5, 0x0001f6d4, 
      0x58061fd8, 0x0000f6f4, 
      0x5e057fd9, 0x0000f724, 
      0x6304efdb, 0x0ffff754, 
      0x68044fdc, 0x0ffff794, 
      0x6d03bfde, 0x0ffef7c4, 
      0x72031fe0, 0x0ffdf804, 
      0x76029fe1, 0x0ffdf834, 
      0x7a020fe3, 0x0ffcf874, 
      0x7d017fe4, 0x0ffcf8c4, 
      0x8000ffe6, 0x0ffbf904, 
      0x83007fe8, 0x0ffaf944, 
      0x86ffffe9, 0x0ff9f994, 
      0x88ff7fea, 0x0ff9f9e4, 
      0x8afeffec, 0x0ff8fa34, 
      0x8cfe8fec, 0x0ff7fa94, 
      0x8efe1fed, 0x0ff6fae4, 
      0x8ffdafee, 0x0ff5fb44, 
      0x8ffd3ff0, 0x0ff4fba4, 
      0x90fccff1, 0x0ff3fc04, 
      0x90fc6ff2, 0x0ff2fc64, 
      0x90fc0ff3, 0x0ff1fcc4, 
      0x8ffbaff4, 0x0ff0fd34, 
      0x8ffb3ff5, 0x0feffda4, 
      0x8dfaeff6, 0x0feefe14, 
      0x8cfa9ff7, 0x0fecfe84, 
      0x8afa4ff8, 0x0febfef4, 
      0x88f9eff9, 0x0feaff74, 
      0x86f99ff9, 0x0fe9fff4, 
      0x83f94ffb, 0x0fe70074, 
      0x80f90ffb, 0x0fe600f4, 
      0x7df8cffc, 0x0fe40174, 
      0x7af87ffc, 0x0fe30204, 
      0x76f83ffd, 0x0fe10294, 
      0x72f80ffd, 0x0fe00314, 
      0x6df7cffe, 0x0fde03b4, 
      0x68f79ffe, 0x0fdd0444, 
      0x63f75000, 0x0fdb04d4, 
      0x5ef72000, 0x0fd90574, 
      0x58f6f001, 0x0fd70614, 
      0x52f6d000, 0x0fd606b4, 
      0x4cf6a001, 0x0fd40754, 
      0x46f68001, 0x0fd207f4, 
      0x3ff66002, 0x0fd00894, 
      0x38f64002, 0x0fce0944, 
      0x31f62002, 0x0fcc09f4, 
      0x29f60003, 0x0fca0aa4, 
      0x22f5e003, 0x0fc80b54, 
      0x1af5d003, 0x0fc60c04, 
      0x11f5c004, 0x0fc40cb4, 
      0x09f5a004, 0x0fc20d74, 
      0x00f5a004, 0x0fc00e24, 
      0xf7f59004, 0x0fbe0ee3, 
      0xeef58004, 0x0fbc0fa3, 
      0xe5f57005, 0x0fb91063, 
      0xdbf57005, 0x0fb71123, 
      0xd1f57005, 0x0fb511e3, 
      0xc7f57005, 0x0fb312a3, 
      0xbdf56006, 0x0fb01373, 
      0xb3f57005, 0x0fae1433, 
      0xa8f57005, 0x0fac1503, 
      0x9df57006, 0x0fa915d3, 
      0x92f58006, 0x0fa71693, 
      0x87f58006, 0x0fa51763, 
      0x7cf59006, 0x0fa21833, 
      0x70f59007, 0x0fa01903, 
      0x65f5a006, 0x0f9e19d3, 
      0x59f5b007, 0x0f9b1aa3, 
      0x4df5c006, 0x0f991b83, 
      0x41f5d007, 0x0f961c53, 
      0x35f5e007, 0x0f941d23, 
      0x29f5f006, 0x0f921e03, 
      0x1cf61007, 0x0f8f1ed3, 
      0x10f63006, 0x0f8d1fa3, 
      0x03f64006, 0x0f8b2083, 
      0xf6f66007, 0x0f882152, 
      0xeaf67006, 0x0f862232, 
      0xddf69006, 0x0f842302, 
      0xd0f6b006, 0x0f8123e2, 
      0xc3f6d006, 0x0f7f24b2, 
      0xb6f6e006, 0x0f7d2592, 
      0xa9f70006, 0x0f7b2662, 
      0x9bf72007, 0x0f792732, 
      0x8ef74007, 0x0f762812,
   },
   { /* UV scale factor = 1.45, phases = 127, taps = 5. */
      0x8f282f76, 0x0006f732, 
      0x9d275f77, 0x0006f712, 
      0xaa267f7a, 0x0006f6f2, 
      0xb725af7c, 0x0006f6d2, 
      0xc424cf7f, 0x0006f6b2, 
      0xd123ff80, 0x0006f6a2, 
      0xde231f83, 0x0006f682, 
      0xeb224f85, 0x0006f662, 
      0xf8216f88, 0x0006f642, 
      0x05209f89, 0x0006f633, 
      0x121fbf8c, 0x0006f613, 
      0x1e1eef8e, 0x0006f603, 
      0x2a1e1f91, 0x0006f5e3, 
      0x371d3f93, 0x0006f5d3, 
      0x431c5f96, 0x0006f5c3, 
      0x4f1b8f98, 0x0006f5b3, 
      0x5b1abf9a, 0x0006f5a3, 
      0x6719ef9c, 0x0006f593, 
      0x72191f9f, 0x0006f583, 
      0x7e183fa2, 0x0006f573, 
      0x89176fa4, 0x0006f573, 
      0x9416afa6, 0x0006f563, 
      0x9f15dfa8, 0x0006f563, 
      0xaa150fab, 0x0006f553, 
      0xb5143fae, 0x0005f553, 
      0xbf137fb0, 0x0005f553, 
      0xca12afb2, 0x0005f553, 
      0xd411efb4, 0x0005f553, 
      0xde112fb6, 0x0005f553, 
      0xe7106fb8, 0x0005f563, 
      0xf10fafbb, 0x0004f563, 
      0xfa0eefbd, 0x0004f573, 
      0x030e2fbf, 0x0004f584, 
      0x0c0d6fc1, 0x0004f594, 
      0x140cbfc3, 0x0004f5a4, 
      0x1c0c0fc6, 0x0003f5b4, 
      0x240b4fc8, 0x0003f5d4, 
      0x2c0a9fca, 0x0003f5e4, 
      0x3409efcc, 0x0002f604, 
      0x3b093fce, 0x0002f624, 
      0x42089fcf, 0x0002f644, 
      0x4907efd2, 0x0001f664, 
      0x4f074fd3, 0x0001f694, 
      0x5506afd6, 0x0000f6b4, 
      0x5b060fd7, 0x0000f6e4, 
      0x61056fd9, 0x0ffff714, 
      0x6604cfdb, 0x0ffff744, 
      0x6b043fdd, 0x0ffef774, 
      0x7003afdd, 0x0ffef7b4, 
      0x75030fe0, 0x0ffdf7e4, 
      0x79028fe0, 0x0ffdf824, 
      0x7d01ffe2, 0x0ffcf864, 
      0x80017fe4, 0x0ffbf8a4, 
      0x8400dfe5, 0x0ffbf8f4, 
      0x87006fe6, 0x0ffaf934, 
      0x89ffefe8, 0x0ff9f984, 
      0x8cff6fe9, 0x0ff8f9d4, 
      0x8efeefea, 0x0ff8fa24, 
      0x8ffe7fec, 0x0ff7fa74, 
      0x91fdffed, 0x0ff6fad4, 
      0x92fd9fee, 0x0ff5fb24, 
      0x93fd2fef, 0x0ff4fb84, 
      0x93fcbff1, 0x0ff3fbe4, 
      0x93fc5ff1, 0x0ff2fc54, 
      0x93fbeff3, 0x0ff1fcb4, 
      0x93fb8ff3, 0x0ff0fd24, 
      0x92fb2ff5, 0x0feefd94, 
      0x91fadff5, 0x0fedfe04, 
      0x8ffa7ff7, 0x0fecfe74, 
      0x8efa2ff7, 0x0febfee4, 
      0x8cf9dff8, 0x0fe9ff64, 
      0x89f98ff9, 0x0fe8ffe4, 
      0x87f93ff9, 0x0fe70064, 
      0x84f8fffa, 0x0fe500e4, 
      0x80f8affc, 0x0fe40164, 
      0x7df86ffc, 0x0fe201f4, 
      0x79f82ffc, 0x0fe10284, 
      0x75f7effe, 0x0fdf0304, 
      0x70f7bffd, 0x0fde03a4, 
      0x6bf77fff, 0x0fdc0434, 
      0x67f74fff, 0x0fda04c4, 
      0x61f71fff, 0x0fd90564, 
      0x5bf6e000, 0x0fd70604, 
      0x55f6b001, 0x0fd506a4, 
      0x4ff69001, 0x0fd30744, 
      0x49f66002, 0x0fd107e4, 
      0x42f64001, 0x0fd00894, 
      0x3bf62002, 0x0fce0934, 
      0x34f60002, 0x0fcc09e4, 
      0x2cf5e003, 0x0fca0a94, 
      0x24f5d003, 0x0fc80b44, 
      0x1cf5b004, 0x0fc60bf4, 
      0x14f5a003, 0x0fc40cb4, 
      0x0cf59004, 0x0fc10d64, 
      0x03f58004, 0x0fbf0e24, 
      0xfaf57004, 0x0fbd0ee3, 
      0xf1f56004, 0x0fbb0fa3, 
      0xe7f56004, 0x0fb91063, 
      0xdef55005, 0x0fb61123, 
      0xd4f55005, 0x0fb411e3, 
      0xcaf55005, 0x0fb212a3, 
      0xbff55005, 0x0fb01373, 
      0xb5f55006, 0x0fad1433, 
      0xaaf55006, 0x0fab1503, 
      0x9ff56005, 0x0fa915d3, 
      0x94f56006, 0x0fa616a3, 
      0x89f57006, 0x0fa41763, 
      0x7ef58006, 0x0fa11833, 
      0x72f58006, 0x0f9f1913, 
      0x67f58006, 0x0f9d19e3, 
      0x5bf5a006, 0x0f9a1ab3, 
      0x4ff5b006, 0x0f981b83, 
      0x43f5c007, 0x0f951c53, 
      0x37f5d006, 0x0f931d33, 
      0x2af5e007, 0x0f911e03, 
      0x1ef60006, 0x0f8e1ee3, 
      0x12f61006, 0x0f8c1fb3, 
      0x05f62006, 0x0f8a2093, 
      0xf8f64007, 0x0f872162, 
      0xebf66006, 0x0f852242, 
      0xdef68006, 0x0f832312, 
      0xd1f6a006, 0x0f8023f2, 
      0xc4f6b007, 0x0f7e24c2, 
      0xb7f6d006, 0x0f7c25a2, 
      0xaaf6f006, 0x0f7a2672, 
      0x9df71006, 0x0f772752, 
      0x8ff73007, 0x0f752822,
   },
   { /* UV scale factor = 1.46, phases = 127, taps = 5. */
      0x91283f74, 0x0006f722, 
      0x9e276f76, 0x0006f702, 
      0xab268f79, 0x0006f6e2, 
      0xb925bf7a, 0x0006f6c2, 
      0xc624df7d, 0x0006f6a2, 
      0xd3240f7f, 0x0006f682, 
      0xe0232f82, 0x0006f662, 
      0xed224f84, 0x0006f652, 
      0xfa217f86, 0x0006f632, 
      0x07209f89, 0x0006f613, 
      0x131fcf8b, 0x0006f603, 
      0x201eef8e, 0x0006f5e3, 
      0x2c1e1f90, 0x0006f5d3, 
      0x391d3f92, 0x0006f5c3, 
      0x451c6f94, 0x0006f5b3, 
      0x511b9f97, 0x0006f593, 
      0x5d1abf9a, 0x0006f583, 
      0x6919ef9c, 0x0006f573, 
      0x75190f9e, 0x0006f573, 
      0x80184fa0, 0x0006f563, 
      0x8b177fa3, 0x0006f553, 
      0x97169fa5, 0x0006f553, 
      0xa215dfa7, 0x0006f543, 
      0xad150faa, 0x0005f543, 
      0xb7143fad, 0x0005f543, 
      0xc2137fae, 0x0005f543, 
      0xcc12afb1, 0x0005f543, 
      0xd611efb3, 0x0005f543, 
      0xe0111fb6, 0x0005f543, 
      0xea105fb8, 0x0005f543, 
      0xf30f9fbb, 0x0004f553, 
      0xfc0edfbd, 0x0004f563, 
      0x060e1fbf, 0x0004f564, 
      0x0e0d6fc1, 0x0004f574, 
      0x170cafc3, 0x0003f594, 
      0x1f0bffc5, 0x0003f5a4, 
      0x270b4fc7, 0x0003f5b4, 
      0x2f0a8fc9, 0x0003f5d4, 
      0x3709dfcb, 0x0002f5f4, 
      0x3e093fcd, 0x0002f604, 
      0x44088fcf, 0x0002f634, 
      0x4c07efd0, 0x0001f654, 
      0x52073fd3, 0x0001f674, 
      0x58069fd5, 0x0000f6a4, 
      0x5e05ffd7, 0x0000f6c4, 
      0x64055fd9, 0x0ffff6f4, 
      0x6904cfda, 0x0ffff724, 
      0x6e042fdc, 0x0ffef764, 
      0x73039fdd, 0x0ffef794, 
      0x78030fde, 0x0ffdf7d4, 
      0x7c027fe0, 0x0ffcf814, 
      0x8001dfe2, 0x0ffcf854, 
      0x83015fe4, 0x0ffbf894, 
      0x8700dfe5, 0x0ffaf8d4, 
      0x8a004fe6, 0x0ffaf924, 
      0x8cffdfe8, 0x0ff9f964, 
      0x8fff5fe9, 0x0ff8f9b4, 
      0x91fedfeb, 0x0ff7fa04, 
      0x93fe6feb, 0x0ff6fa64, 
      0x94fdffed, 0x0ff5fab4, 
      0x95fd7fee, 0x0ff5fb14, 
      0x96fd0fef, 0x0ff4fb74, 
      0x96fcaff0, 0x0ff3fbd4, 
      0x97fc3ff2, 0x0ff1fc34, 
      0x96fbdff3, 0x0ff0fca4, 
      0x96fb7ff4, 0x0feffd04, 
      0x95fb1ff5, 0x0feefd74, 
      0x94fabff6, 0x0fedfde4, 
      0x93fa5ff6, 0x0fecfe64, 
      0x91fa0ff8, 0x0feafed4, 
      0x8ff9bff8, 0x0fe9ff54, 
      0x8cf96ff9, 0x0fe8ffd4, 
      0x8af92ff9, 0x0fe60054, 
      0x87f8dffa, 0x0fe500d4, 
      0x83f89ffb, 0x0fe40154, 
      0x80f85ffb, 0x0fe201e4, 
      0x7cf81ffc, 0x0fe00274, 
      0x78f7cffd, 0x0fdf0304, 
      0x73f79ffe, 0x0fdd0394, 
      0x6ef76ffe, 0x0fdc0424, 
      0x69f73fff, 0x0fda04b4, 
      0x64f6f000, 0x0fd80554, 
      0x5ef6d000, 0x0fd605f4, 
      0x58f6a000, 0x0fd50694, 
      0x52f67001, 0x0fd30734, 
      0x4cf64001, 0x0fd107e4, 
      0x45f63001, 0x0fcf0884, 
      0x3ef60002, 0x0fcd0934, 
      0x37f5e002, 0x0fcb09e4, 
      0x2ff5d003, 0x0fc90a84, 
      0x27f5b003, 0x0fc70b44, 
      0x1ff5a003, 0x0fc50bf4, 
      0x17f59003, 0x0fc30ca4, 
      0x0ef57004, 0x0fc10d64, 
      0x06f56004, 0x0fbf0e14, 
      0xfcf56005, 0x0fbc0ed3, 
      0xf3f55005, 0x0fba0f93, 
      0xeaf54005, 0x0fb81053, 
      0xe0f54005, 0x0fb61113, 
      0xd6f54005, 0x0fb311e3, 
      0xccf54005, 0x0fb112a3, 
      0xc2f53005, 0x0faf1373, 
      0xb7f54006, 0x0fac1433, 
      0xadf54005, 0x0faa1503, 
      0xa2f54005, 0x0fa815d3, 
      0x97f55005, 0x0fa516a3, 
      0x8bf55006, 0x0fa31773, 
      0x80f56005, 0x0fa11843, 
      0x75f57005, 0x0f9e1913, 
      0x69f57006, 0x0f9c19e3, 
      0x5df59006, 0x0f991ab3, 
      0x51f59006, 0x0f971b93, 
      0x45f5a006, 0x0f951c63, 
      0x39f5c006, 0x0f921d33, 
      0x2cf5d006, 0x0f901e13, 
      0x20f5e007, 0x0f8d1ee3, 
      0x13f60006, 0x0f8b1fc3, 
      0x07f61006, 0x0f892093, 
      0xfaf63006, 0x0f862172, 
      0xedf65006, 0x0f842242, 
      0xe0f66006, 0x0f822322, 
      0xd3f68006, 0x0f7f2402, 
      0xc6f6a006, 0x0f7d24d2, 
      0xb8f6c006, 0x0f7b25b2, 
      0xabf6e007, 0x0f782682, 
      0x9ef70006, 0x0f762762, 
      0x91f72006, 0x0f742832,
   },
   { /* UV scale factor = 1.47, phases = 127, taps = 5. */
      0x92284f73, 0x0006f712, 
      0x9f277f75, 0x0006f6f2, 
      0xad269f77, 0x0006f6d2, 
      0xba25cf79, 0x0006f6b2, 
      0xc724ef7c, 0x0006f692, 
      0xd4240f7f, 0x0006f672, 
      0xe1233f81, 0x0006f652, 
      0xee226f83, 0x0006f632, 
      0xfb218f85, 0x0006f622, 
      0x0820af88, 0x0006f603, 
      0x151fcf8a, 0x0006f5f3, 
      0x221eff8c, 0x0006f5d3, 
      0x2e1e1f8f, 0x0006f5c3, 
      0x3b1d4f91, 0x0006f5a3, 
      0x471c6f94, 0x0006f593, 
      0x531b9f96, 0x0006f583, 
      0x5f1acf98, 0x0006f573, 
      0x6b19ef9b, 0x0006f563, 
      0x77191f9d, 0x0006f553, 
      0x82184fa0, 0x0006f543, 
      0x8e176fa2, 0x0006f543, 
      0x9916afa4, 0x0006f533, 
      0xa415dfa7, 0x0005f533, 
      0xaf150faa, 0x0005f523, 
      0xba143fac, 0x0005f523, 
      0xc4137fae, 0x0005f523, 
      0xcf12afb0, 0x0005f523, 
      0xd911efb2, 0x0005f523, 
      0xe3111fb5, 0x0005f523, 
      0xec105fb8, 0x0004f533, 
      0xf60f9fba, 0x0004f533, 
      0xff0edfbc, 0x0004f543, 
      0x080e1fbe, 0x0004f554, 
      0x110d5fc0, 0x0004f564, 
      0x1a0cafc2, 0x0003f574, 
      0x220befc5, 0x0003f584, 
      0x2a0b3fc6, 0x0003f5a4, 
      0x320a8fc9, 0x0002f5b4, 
      0x3909dfcb, 0x0002f5d4, 
      0x41092fcc, 0x0002f5f4, 
      0x48087fcf, 0x0001f614, 
      0x4f07dfd0, 0x0001f634, 
      0x55072fd2, 0x0001f664, 
      0x5b068fd5, 0x0000f684, 
      0x6105efd6, 0x0000f6b4, 
      0x67054fd8, 0x0ffff6e4, 
      0x6c04bfd9, 0x0ffff714, 
      0x72041fdb, 0x0ffef744, 
      0x76038fdd, 0x0ffdf784, 
      0x7b02ffde, 0x0ffdf7b4, 
      0x7f026fe0, 0x0ffcf7f4, 
      0x8301dfe1, 0x0ffcf834, 
      0x87014fe3, 0x0ffbf874, 
      0x8a00cfe4, 0x0ffaf8c4, 
      0x8d003fe7, 0x0ff9f904, 
      0x90ffbfe7, 0x0ff9f954, 
      0x92ff4fe8, 0x0ff8f9a4, 
      0x94fecfea, 0x0ff7f9f4, 
      0x96fe4fec, 0x0ff6fa44, 
      0x97fddfed, 0x0ff5faa4, 
      0x98fd6fee, 0x0ff4fb04, 
      0x99fd0fef, 0x0ff3fb54, 
      0x9afc8ff0, 0x0ff2fbc4, 
      0x9afc2ff1, 0x0ff1fc24, 
      0x9afbcff2, 0x0ff0fc84, 
      0x99fb5ff4, 0x0feffcf4, 
      0x98fb0ff4, 0x0feefd64, 
      0x97faaff5, 0x0fedfdd4, 
      0x96fa4ff7, 0x0febfe44, 
      0x94f9fff7, 0x0feafec4, 
      0x92f9aff7, 0x0fe9ff44, 
      0x90f95ff9, 0x0fe7ffb4, 
      0x8df90ffa, 0x0fe60034, 
      0x8af8bffa, 0x0fe500c4, 
      0x87f87ffb, 0x0fe30144, 
      0x83f83ffb, 0x0fe201d4, 
      0x7ff7fffc, 0x0fe00264, 
      0x7bf7bffd, 0x0fde02f4, 
      0x76f78ffd, 0x0fdd0384, 
      0x72f74ffe, 0x0fdb0414, 
      0x6cf71fff, 0x0fd904b4, 
      0x67f6efff, 0x0fd80544, 
      0x61f6b000, 0x0fd605e4, 
      0x5bf68001, 0x0fd40684, 
      0x55f66001, 0x0fd20724, 
      0x4ff63001, 0x0fd007d4, 
      0x48f61002, 0x0fce0874, 
      0x41f5f001, 0x0fcd0924, 
      0x39f5d002, 0x0fcb09d4, 
      0x32f5b002, 0x0fc90a84, 
      0x2af5a003, 0x0fc60b34, 
      0x22f58004, 0x0fc40be4, 
      0x1af57003, 0x0fc20ca4, 
      0x11f56004, 0x0fc00d54, 
      0x08f55004, 0x0fbe0e14, 
      0xfff54004, 0x0fbc0ed3, 
      0xf6f53004, 0x0fba0f93, 
      0xecf53005, 0x0fb71053, 
      0xe3f52005, 0x0fb51113, 
      0xd9f52004, 0x0fb311e3, 
      0xcff52005, 0x0fb012a3, 
      0xc4f52005, 0x0fae1373, 
      0xbaf52005, 0x0fac1433, 
      0xaff52006, 0x0fa91503, 
      0xa4f53005, 0x0fa715d3, 
      0x99f53005, 0x0fa516a3, 
      0x8ef54005, 0x0fa21773, 
      0x82f54006, 0x0fa01843, 
      0x77f55006, 0x0f9d1913, 
      0x6bf56006, 0x0f9b19e3, 
      0x5ff57006, 0x0f981ac3, 
      0x53f58006, 0x0f961b93, 
      0x47f59006, 0x0f941c63, 
      0x3bf5a006, 0x0f911d43, 
      0x2ef5c006, 0x0f8f1e13, 
      0x22f5d006, 0x0f8c1ef3, 
      0x15f5f006, 0x0f8a1fc3, 
      0x08f60006, 0x0f8820a3, 
      0xfbf62006, 0x0f852182, 
      0xeef63007, 0x0f832252, 
      0xe1f65007, 0x0f802332, 
      0xd4f67007, 0x0f7e2402, 
      0xc7f69006, 0x0f7c24e2, 
      0xbaf6a006, 0x0f7a25c2, 
      0xadf6d006, 0x0f772692, 
      0x9ff6f006, 0x0f752772, 
      0x92f71006, 0x0f732842,
   },
   { /* UV scale factor = 1.48, phases = 127, taps = 5. */
      0x93286f71, 0x0006f702, 
      0xa1278f73, 0x0006f6e2, 
      0xae26af76, 0x0006f6c2, 
      0xbb25df78, 0x0006f6a2, 
      0xc924ff7a, 0x0006f682, 
      0xd6241f7d, 0x0006f662, 
      0xe3234f7f, 0x0006f642, 
      0xf0226f82, 0x0006f622, 
      0xfd218f85, 0x0006f602, 
      0x0a20bf86, 0x0006f5f3, 
      0x171fdf89, 0x0006f5d3, 
      0x231f0f8b, 0x0006f5c3, 
      0x301e2f8e, 0x0006f5a3, 
      0x3c1d4f91, 0x0006f593, 
      0x491c7f92, 0x0006f583, 
      0x551b9f95, 0x0006f573, 
      0x611acf97, 0x0006f563, 
      0x6d19ff99, 0x0006f553, 
      0x79191f9c, 0x0006f543, 
      0x84184f9f, 0x0006f533, 
      0x90177fa1, 0x0006f523, 
      0x9b16afa4, 0x0005f523, 
      0xa615dfa7, 0x0005f513, 
      0xb1150fa9, 0x0005f513, 
      0xbc143fab, 0x0005f513, 
      0xc7136fad, 0x0005f513, 
      0xd112afaf, 0x0005f513, 
      0xdb11efb1, 0x0005f513, 
      0xe5111fb5, 0x0004f513, 
      0xef105fb7, 0x0004f513, 
      0xf80f9fb9, 0x0004f523, 
      0x020ecfbb, 0x0004f534, 
      0x0b0e1fbd, 0x0004f534, 
      0x140d5fc0, 0x0003f544, 
      0x1c0cafc2, 0x0003f554, 
      0x250befc3, 0x0003f574, 
      0x2d0b3fc5, 0x0003f584, 
      0x350a7fc8, 0x0002f5a4, 
      0x3c09dfca, 0x0002f5b4, 
      0x44091fcc, 0x0002f5d4, 
      0x4b087fce, 0x0001f5f4, 
      0x5207cfcf, 0x0001f624, 
      0x58072fd2, 0x0000f644, 
      0x5e067fd4, 0x0000f674, 
      0x6405efd6, 0x0ffff694, 
      0x6a053fd8, 0x0ffff6c4, 
      0x7004afd9, 0x0ffef6f4, 
      0x75040fda, 0x0ffef734, 
      0x7a037fdc, 0x0ffdf764, 
      0x7e02dfde, 0x0ffdf7a4, 
      0x82025fdf, 0x0ffcf7e4, 
      0x8601cfe1, 0x0ffbf824, 
      0x8a013fe2, 0x0ffbf864, 
      0x8d00bfe4, 0x0ffaf8a4, 
      0x90002fe6, 0x0ff9f8f4, 
      0x93ffafe8, 0x0ff8f934, 
      0x95ff2fe9, 0x0ff8f984, 
      0x97febfe9, 0x0ff7f9e4, 
      0x99fe3feb, 0x0ff6fa34, 
      0x9afdcfed, 0x0ff5fa84, 
      0x9cfd5fed, 0x0ff4fae4, 
      0x9cfcefef, 0x0ff3fb44, 
      0x9dfc7ff0, 0x0ff2fba4, 
      0x9dfc1ff0, 0x0ff1fc14, 
      0x9dfbaff2, 0x0ff0fc74, 
      0x9cfb4ff3, 0x0feffce4, 
      0x9cfaeff4, 0x0fedfd54, 
      0x9afa9ff5, 0x0fecfdc4, 
      0x99fa3ff6, 0x0febfe34, 
      0x97f9eff6, 0x0feafeb4, 
      0x95f99ff8, 0x0fe8ff24, 
      0x93f93ff9, 0x0fe7ffa4, 
      0x90f8fff9, 0x0fe60024, 
      0x8df8affa, 0x0fe400b4, 
      0x8af86ffa, 0x0fe30134, 
      0x86f82ffb, 0x0fe101c4, 
      0x82f7dffc, 0x0fe00254, 
      0x7ef7affc, 0x0fde02e4, 
      0x7af76ffd, 0x0fdc0374, 
      0x75f73ffd, 0x0fdb0404, 
      0x70f6fffe, 0x0fd904a4, 
      0x6af6dfff, 0x0fd70534, 
      0x64f6a000, 0x0fd505d4, 
      0x5ef67000, 0x0fd40674, 
      0x58f64000, 0x0fd20724, 
      0x52f62000, 0x0fd007c4, 
      0x4bf5f001, 0x0fce0874, 
      0x44f5d002, 0x0fcc0914, 
      0x3cf5c002, 0x0fca09c4, 
      0x35f5a002, 0x0fc80a74, 
      0x2df58002, 0x0fc60b34, 
      0x25f57002, 0x0fc40be4, 
      0x1cf55004, 0x0fc20c94, 
      0x14f54004, 0x0fbf0d54, 
      0x0bf53004, 0x0fbd0e14, 
      0x02f53003, 0x0fbb0ed4, 
      0xf8f52004, 0x0fb90f93, 
      0xeff51004, 0x0fb71053, 
      0xe5f51005, 0x0fb41113, 
      0xdbf51004, 0x0fb211e3, 
      0xd1f51004, 0x0fb012a3, 
      0xc7f51004, 0x0fad1373, 
      0xbcf51005, 0x0fab1433, 
      0xb1f51005, 0x0fa91503, 
      0xa6f51006, 0x0fa615d3, 
      0x9bf52005, 0x0fa416a3, 
      0x90f52006, 0x0fa11773, 
      0x84f53006, 0x0f9f1843, 
      0x79f54006, 0x0f9c1913, 
      0x6df55005, 0x0f9a19f3, 
      0x61f56005, 0x0f981ac3, 
      0x55f57006, 0x0f951b93, 
      0x49f58005, 0x0f931c73, 
      0x3cf5a006, 0x0f901d43, 
      0x30f5a006, 0x0f8e1e23, 
      0x23f5c006, 0x0f8b1f03, 
      0x17f5d006, 0x0f891fd3, 
      0x0af5f006, 0x0f8620b3, 
      0xfdf60007, 0x0f842182, 
      0xf0f62006, 0x0f822262, 
      0xe3f64006, 0x0f7f2342, 
      0xd6f66006, 0x0f7d2412, 
      0xc9f68005, 0x0f7b24f2, 
      0xbbf6a006, 0x0f7825d2, 
      0xaef6c006, 0x0f7626a2, 
      0xa1f6e005, 0x0f742782, 
      0x93f70005, 0x0f722862,
   },
   { /* UV scale factor = 1.49, phases = 127, taps = 5. */
      0x94287f71, 0x0006f6e2, 
      0xa2279f73, 0x0006f6c2, 
      0xaf26bf76, 0x0006f6a2, 
      0xbd25ef77, 0x0006f682, 
      0xca250f7a, 0x0006f662, 
      0xd7243f7c, 0x0006f642, 
      0xe5234f7e, 0x0006f632, 
      0xf2227f80, 0x0006f612, 
      0xff219f83, 0x0006f5f2, 
      0x0c20cf85, 0x0006f5d3, 
      0x191fef87, 0x0006f5c3, 
      0x251f0f8b, 0x0006f5a3, 
      0x321e3f8c, 0x0006f593, 
      0x3e1d5f8f, 0x0006f583, 
      0x4b1c7f92, 0x0006f563, 
      0x571baf94, 0x0006f553, 
      0x631acf97, 0x0006f543, 
      0x6f19ff99, 0x0006f533, 
      0x7b192f9b, 0x0006f523, 
      0x87184f9e, 0x0006f513, 
      0x92177fa1, 0x0005f513, 
      0x9d16bfa3, 0x0005f503, 
      0xa915dfa5, 0x0005f503, 
      0xb4150fa8, 0x0005f4f3, 
      0xbe143fab, 0x0005f4f3, 
      0xc9137fac, 0x0005f4f3, 
      0xd312afaf, 0x0005f4f3, 
      0xde11dfb1, 0x0005f4f3, 
      0xe8111fb4, 0x0004f4f3, 
      0xf2105fb5, 0x0004f503, 
      0xfb0f8fb9, 0x0004f503, 
      0x040ecfbb, 0x0004f514, 
      0x0e0e0fbc, 0x0004f524, 
      0x160d5fbf, 0x0003f534, 
      0x1f0c9fc1, 0x0003f544, 
      0x280bdfc3, 0x0003f554, 
      0x300b2fc5, 0x0002f574, 
      0x380a7fc7, 0x0002f584, 
      0x3f09cfc9, 0x0002f5a4, 
      0x47091fcb, 0x0001f5c4, 
      0x4e086fcd, 0x0001f5e4, 
      0x5507bfcf, 0x0001f604, 
      0x5b071fd2, 0x0000f624, 
      0x62066fd3, 0x0000f654, 
      0x6805dfd4, 0x0ffff684, 
      0x6d053fd6, 0x0ffff6b4, 
      0x73049fd8, 0x0ffef6e4, 
      0x7803ffda, 0x0ffef714, 
      0x7d036fdb, 0x0ffdf754, 
      0x8102dfde, 0x0ffcf784, 
      0x85024fdf, 0x0ffcf7c4, 
      0x8901bfe1, 0x0ffbf804, 
      0x8d012fe3, 0x0ffaf844, 
      0x9000afe3, 0x0ffaf894, 
      0x93001fe6, 0x0ff9f8d4, 
      0x96ff9fe7, 0x0ff8f924, 
      0x99ff1fe8, 0x0ff7f974, 
      0x9bfe9fea, 0x0ff6f9c4, 
      0x9cfe2feb, 0x0ff6fa14, 
      0x9efdbfeb, 0x0ff5fa74, 
      0x9ffd3fed, 0x0ff4fad4, 
      0xa0fccfee, 0x0ff3fb34, 
      0xa0fc6fef, 0x0ff2fb94, 
      0xa0fbfff1, 0x0ff1fbf4, 
      0xa0fb9ff2, 0x0feffc64, 
      0xa0fb3ff2, 0x0feefcd4, 
      0x9ffadff4, 0x0fedfd34, 
      0x9efa7ff4, 0x0fecfdb4, 
      0x9cfa1ff6, 0x0febfe24, 
      0x9bf9cff7, 0x0fe9fe94, 
      0x99f97ff7, 0x0fe8ff14, 
      0x96f92ff8, 0x0fe7ff94, 
      0x93f8eff9, 0x0fe50014, 
      0x90f89ff9, 0x0fe400a4, 
      0x8df84ffb, 0x0fe20124, 
      0x89f80ffb, 0x0fe101b4, 
      0x85f7cffc, 0x0fdf0244, 
      0x81f78ffc, 0x0fde02d4, 
      0x7df74ffd, 0x0fdc0364, 
      0x78f71ffe, 0x0fda03f4, 
      0x73f6effe, 0x0fd80494, 
      0x6df6bffe, 0x0fd70534, 
      0x68f67fff, 0x0fd505d4, 
      0x62f65fff, 0x0fd30674, 
      0x5bf62001, 0x0fd10714, 
      0x55f60001, 0x0fcf07b4, 
      0x4ef5e001, 0x0fcd0864, 
      0x47f5c001, 0x0fcb0914, 
      0x3ff5a002, 0x0fc909c4, 
      0x38f58002, 0x0fc70a74, 
      0x30f57002, 0x0fc50b24, 
      0x28f55003, 0x0fc30bd4, 
      0x1ff54003, 0x0fc10c94, 
      0x16f53003, 0x0fbf0d54, 
      0x0ef52003, 0x0fbd0e04, 
      0x05f51004, 0x0fba0ec4, 
      0xfbf51004, 0x0fb80f83, 
      0xf2f4f004, 0x0fb61053, 
      0xe8f4f004, 0x0fb41113, 
      0xdef4f005, 0x0fb111d3, 
      0xd3f4f005, 0x0faf12a3, 
      0xc9f4f004, 0x0fad1373, 
      0xbef50005, 0x0faa1433, 
      0xb4f4f005, 0x0fa81503, 
      0xa9f50005, 0x0fa515d3, 
      0x9df50006, 0x0fa316a3, 
      0x92f51006, 0x0fa01773, 
      0x87f51006, 0x0f9e1843, 
      0x7bf52005, 0x0f9c1923, 
      0x6ff53006, 0x0f9919f3, 
      0x63f54006, 0x0f971ac3, 
      0x57f55006, 0x0f941ba3, 
      0x4bf56006, 0x0f921c73, 
      0x3ef58006, 0x0f8f1d53, 
      0x32f59005, 0x0f8d1e33, 
      0x25f5b006, 0x0f8a1f03, 
      0x19f5c005, 0x0f881fe3, 
      0x0cf5d006, 0x0f8520c3, 
      0xfff5f006, 0x0f832192, 
      0xf2f61005, 0x0f812272, 
      0xe5f63005, 0x0f7e2352, 
      0xd7f65006, 0x0f7c2422, 
      0xcaf66006, 0x0f7a2502, 
      0xbdf68006, 0x0f7725e2, 
      0xaff6b006, 0x0f7526b2, 
      0xa2f6c006, 0x0f732792, 
      0x94f6e006, 0x0f712872,
   },
   { /* UV scale factor = 1.50, phases = 127, taps = 5. */
      0x96288f6f, 0x0006f6d2, 
      0xa327af72, 0x0006f6b2, 
      0xb126df73, 0x0006f692, 
      0xbe25ff76, 0x0006f672, 
      0xcc251f78, 0x0006f652, 
      0xd9243f7b, 0x0006f632, 
      0xe6236f7d, 0x0006f612, 
      0xf3228f7f, 0x0006f602, 
      0x0021af82, 0x0006f5e3, 
      0x0d20cf85, 0x0006f5c3, 
      0x1a1fff86, 0x0006f5b3, 
      0x271f1f89, 0x0006f593, 
      0x341e3f8b, 0x0006f583, 
      0x401d5f8f, 0x0006f563, 
      0x4d1c8f90, 0x0006f553, 
      0x591baf93, 0x0006f543, 
      0x651adf95, 0x0006f533, 
      0x7119ff98, 0x0006f523, 
      0x7d192f9b, 0x0005f513, 
      0x89185f9d, 0x0005f503, 
      0x94178fa0, 0x0005f4f3, 
      0xa016afa2, 0x0005f4f3, 
      0xab15dfa5, 0x0005f4e3, 
      0xb6150fa7, 0x0005f4e3, 
      0xc1143fa9, 0x0005f4e3, 
      0xcc137fab, 0x0005f4d3, 
      0xd612afae, 0x0005f4d3, 
      0xe011dfb1, 0x0004f4e3, 
      0xea111fb3, 0x0004f4e3, 
      0xf4104fb6, 0x0004f4e3, 
      0xfe0f8fb7, 0x0004f4f3, 
      0x070ecfba, 0x0004f4f4, 
      0x100e1fbc, 0x0003f504, 
      0x190d4fbf, 0x0003f514, 
      0x220c9fc0, 0x0003f524, 
      0x2a0bdfc2, 0x0003f544, 
      0x330b2fc4, 0x0002f554, 
      0x3b0a6fc6, 0x0002f574, 
      0x4209bfc9, 0x0002f584, 
      0x4a090fcb, 0x0001f5a4, 
      0x51085fcd, 0x0001f5c4, 
      0x5807bfcf, 0x0000f5e4, 
      0x5e070fd1, 0x0000f614, 
      0x65066fd2, 0x0000f634, 
      0x6b05cfd4, 0x0ffff664, 
      0x70052fd6, 0x0ffff694, 
      0x76048fd8, 0x0ffef6c4, 
      0x7b03ffda, 0x0ffdf6f4, 
      0x80035fdb, 0x0ffdf734, 
      0x8402cfdd, 0x0ffcf774, 
      0x89023fde, 0x0ffcf7a4, 
      0x8d01afe0, 0x0ffbf7e4, 
      0x90011fe2, 0x0ffaf834, 
      0x94008fe3, 0x0ffaf874, 
      0x97000fe4, 0x0ff9f8c4, 
      0x99ff8fe7, 0x0ff8f904, 
      0x9cff0fe8, 0x0ff7f954, 
      0x9efe8fe9, 0x0ff6f9b4, 
      0xa0fe1fea, 0x0ff5fa04, 
      0xa1fd9fec, 0x0ff4fa64, 
      0xa2fd3fed, 0x0ff3fab4, 
      0xa3fcbfef, 0x0ff2fb14, 
      0xa3fc4ff0, 0x0ff1fb84, 
      0xa4fbeff0, 0x0ff0fbe4, 
      0xa3fb8ff2, 0x0feffc44, 
      0xa3fb1ff3, 0x0feefcb4, 
      0xa2fabff4, 0x0fedfd24, 
      0xa1fa6ff4, 0x0fecfd94, 
      0xa0fa0ff5, 0x0feafe14, 
      0x9ef9bff6, 0x0fe9fe84, 
      0x9cf95ff7, 0x0fe8ff04, 
      0x99f91ff8, 0x0fe6ff84, 
      0x97f8cff8, 0x0fe50004, 
      0x94f87ffa, 0x0fe30084, 
      0x90f83ffa, 0x0fe20114, 
      0x8df7effb, 0x0fe001a4, 
      0x89f7affb, 0x0fdf0234, 
      0x84f77ffc, 0x0fdd02c4, 
      0x80f73ffd, 0x0fdb0354, 
      0x7bf6fffe, 0x0fda03e4, 
      0x76f6cffe, 0x0fd80484, 
      0x70f69fff, 0x0fd60524, 
      0x6bf66fff, 0x0fd405c4, 
      0x65f63fff, 0x0fd30664, 
      0x5ef61000, 0x0fd10704, 
      0x58f5e000, 0x0fcf07b4, 
      0x51f5c001, 0x0fcd0854, 
      0x4af5a001, 0x0fcb0904, 
      0x42f58002, 0x0fc909b4, 
      0x3bf57001, 0x0fc70a64, 
      0x33f54002, 0x0fc50b24, 
      0x2af54003, 0x0fc20bd4, 
      0x22f52003, 0x0fc00c94, 
      0x19f51004, 0x0fbe0d44, 
      0x10f50004, 0x0fbc0e04, 
      0x07f4f004, 0x0fba0ec4, 
      0xfef4f004, 0x0fb70f83, 
      0xf4f4e005, 0x0fb51043, 
      0xeaf4e004, 0x0fb31113, 
      0xe0f4e005, 0x0fb011d3, 
      0xd6f4d005, 0x0fae12a3, 
      0xccf4d004, 0x0fac1373, 
      0xc1f4e005, 0x0fa91433, 
      0xb6f4e005, 0x0fa71503, 
      0xabf4e006, 0x0fa415d3, 
      0xa0f4f005, 0x0fa216a3, 
      0x94f4f006, 0x0fa01773, 
      0x89f50005, 0x0f9d1853, 
      0x7df51005, 0x0f9b1923, 
      0x71f52006, 0x0f9819f3, 
      0x65f53005, 0x0f961ad3, 
      0x59f54006, 0x0f931ba3, 
      0x4df55005, 0x0f911c83, 
      0x40f57006, 0x0f8e1d53, 
      0x34f58005, 0x0f8c1e33, 
      0x27f59006, 0x0f891f13, 
      0x1af5b005, 0x0f871ff3, 
      0x0df5d006, 0x0f8420c3, 
      0x00f5e006, 0x0f8221a3, 
      0xf3f60005, 0x0f802282, 
      0xe6f61006, 0x0f7d2362, 
      0xd9f63006, 0x0f7b2432, 
      0xccf65006, 0x0f782512, 
      0xbef67006, 0x0f7625f2, 
      0xb1f69005, 0x0f7426d2, 
      0xa3f6b006, 0x0f7227a2, 
      0x96f6d006, 0x0f6f2882,
   }
};

/** Default scaler coefficients for UV components. */
static const uint32_t _vpp_scaler_default_coeff_table_uv_vsc
   [150][VPP_SCALER_DEFAULT_TABLE_SIZE_UV] = {
   { /* UV scale factor = 0.01, phases = 127, taps = 5. */
      0x5b15a096, 0x001e0971, 
      0x5c159094, 0x001e0991, 
      0x5d158092, 0x001e09b1, 
      0x5e157091, 0x001e09c1, 
      0x5f15608f, 0x001e09e1, 
      0x6015408d, 0x001f0a01, 
      0x6115308c, 0x001f0a11, 
      0x6215208a, 0x001f0a31, 
      0x62151089, 0x001f0a51, 
      0x63150088, 0x001f0a61, 
      0x6414f086, 0x001f0a81, 
      0x6514e084, 0x001f0aa1, 
      0x6614d082, 0x00200ab1, 
      0x6714b081, 0x00200ad1, 
      0x6814a07f, 0x00200af1, 
      0x6814907e, 0x00200b11, 
      0x6914807c, 0x00210b21, 
      0x6a14607b, 0x00210b41, 
      0x6b145079, 0x00210b61, 
      0x6c144078, 0x00210b71, 
      0x6c143076, 0x00220b91, 
      0x6d141075, 0x00220bb1, 
      0x6e140073, 0x00220bd1, 
      0x6e13f072, 0x00230be1, 
      0x6f13d071, 0x00230c01, 
      0x7013c06e, 0x00240c21, 
      0x7013b06d, 0x00240c41, 
      0x7113906c, 0x00250c51, 
      0x7113806b, 0x00250c71, 
      0x72136069, 0x00260c91, 
      0x73135068, 0x00260ca1, 
      0x73134066, 0x00270cc1, 
      0x74133064, 0x00270ce1, 
      0x74131063, 0x00280d01, 
      0x75130062, 0x00280d11, 
      0x7512e061, 0x00290d31, 
      0x7612d05f, 0x00290d51, 
      0x7612b05e, 0x002a0d71, 
      0x7712a05c, 0x002b0d81, 
      0x7712805c, 0x002b0da1, 
      0x7712705a, 0x002c0dc1, 
      0x78125059, 0x002d0dd1, 
      0x78124058, 0x002d0df1, 
      0x78122057, 0x002e0e11, 
      0x79121054, 0x002f0e31, 
      0x79120054, 0x002f0e41, 
      0x7911e053, 0x00300e61, 
      0x7a11c051, 0x00310e81, 
      0x7a11a050, 0x00320ea1, 
      0x7a11904f, 0x00330eb1, 
      0x7a11804e, 0x00330ed1, 
      0x7b11604c, 0x00340ef1, 
      0x7b11504b, 0x00350f01, 
      0x7b11304a, 0x00360f21, 
      0x7b111049, 0x00370f41, 
      0x7b110048, 0x00380f51, 
      0x7b10e047, 0x00390f71, 
      0x7c10d045, 0x00390f91, 
      0x7c10b045, 0x003a0fa1, 
      0x7c109044, 0x003b0fc1, 
      0x7c108042, 0x003c0fe1, 
      0x7c106042, 0x003d0ff1, 
      0x7c104041, 0x003e1011, 
      0x7c10303f, 0x003f1031, 
      0x7c10103f, 0x00401041, 
      0x7c0ff03e, 0x00411061, 
      0x7c0fe03c, 0x00421081, 
      0x7c0fc03c, 0x00431091, 
      0x7c0fa03a, 0x004510b1, 
      0x7c0f8039, 0x004610d1, 
      0x7b0f7039, 0x004710e1, 
      0x7b0f5038, 0x00481101, 
      0x7b0f4037, 0x00491111, 
      0x7b0f2036, 0x004a1131, 
      0x7b0f0035, 0x004b1151, 
      0x7b0ef034, 0x004c1161, 
      0x7a0ed033, 0x004e1181, 
      0x7a0eb033, 0x004f1191, 
      0x7a0ea031, 0x005011b1, 
      0x7a0e8031, 0x005111c1, 
      0x790e6031, 0x005211e1, 
      0x790e4030, 0x005411f1, 
      0x790e302e, 0x00551211, 
      0x790e102e, 0x00561221, 
      0x780df02e, 0x00571241, 
      0x780dd02d, 0x00591251, 
      0x770dc02c, 0x005a1271, 
      0x770da02c, 0x005b1281, 
      0x770d802a, 0x005d12a1, 
      0x760d702a, 0x005e12b1, 
      0x760d5029, 0x005f12d1, 
      0x750d3029, 0x006112e1, 
      0x750d1028, 0x00621301, 
      0x740d0028, 0x00631311, 
      0x740cd027, 0x00651331, 
      0x730cc027, 0x00661341, 
      0x730ca026, 0x00681351, 
      0x720c9025, 0x00691371, 
      0x710c7026, 0x006a1381, 
      0x710c5025, 0x006c1391, 
      0x700c4024, 0x006d13b1, 
      0x700c2023, 0x006f13c1, 
      0x6f0c0024, 0x007013d1, 
      0x6e0be023, 0x007213f1, 
      0x6e0bd022, 0x00731401, 
      0x6d0bb022, 0x00751411, 
      0x6c0b9022, 0x00761431, 
      0x6b0b7022, 0x00781441, 
      0x6b0b6021, 0x00791451, 
      0x6a0b4021, 0x007b1461, 
      0x690b2021, 0x007c1481, 
      0x680b1020, 0x007e1491, 
      0x680af020, 0x007f14a1, 
      0x670ad020, 0x008114b1, 
      0x660ab020, 0x008214d1, 
      0x650aa01f, 0x008414e1, 
      0x640a801f, 0x008614f1, 
      0x630a6020, 0x00871501, 
      0x620a501f, 0x00891511, 
      0x620a301f, 0x008a1521, 
      0x610a101f, 0x008c1531, 
      0x600a001e, 0x008e1541, 
      0x5f09e01e, 0x008f1561, 
      0x5e09c01e, 0x00911571, 
      0x5d09b01e, 0x00921581, 
      0x5c09901e, 0x00941591, 
      0x5b09701e, 0x009615a1,
   },
   { /* UV scale factor = 0.02, phases = 127, taps = 5. */
      0x5b15a096, 0x001e0971, 
      0x5c159094, 0x001e0991, 
      0x5d158092, 0x001e09b1, 
      0x5e157091, 0x001e09c1, 
      0x5f15608f, 0x001e09e1, 
      0x6015508d, 0x001e0a01, 
      0x6115408b, 0x001f0a11, 
      0x6215208a, 0x001f0a31, 
      0x63151088, 0x001f0a51, 
      0x63150088, 0x001f0a61, 
      0x6414f086, 0x001f0a81, 
      0x6514e084, 0x001f0aa1, 
      0x6614d082, 0x00200ab1, 
      0x6714b081, 0x00200ad1, 
      0x6814a07f, 0x00200af1, 
      0x6914907d, 0x00200b11, 
      0x6914807d, 0x00200b21, 
      0x6a14707a, 0x00210b41, 
      0x6b145079, 0x00210b61, 
      0x6c144078, 0x00210b71, 
      0x6c143076, 0x00220b91, 
      0x6d141075, 0x00220bb1, 
      0x6e140073, 0x00220bd1, 
      0x6e13f072, 0x00230be1, 
      0x6f13e070, 0x00230c01, 
      0x7013c06e, 0x00240c21, 
      0x7013b06e, 0x00240c31, 
      0x7113a06c, 0x00240c51, 
      0x7213806a, 0x00250c71, 
      0x72137069, 0x00250c91, 
      0x73135068, 0x00260ca1, 
      0x73134067, 0x00260cc1, 
      0x74133064, 0x00270ce1, 
      0x74131063, 0x00280d01, 
      0x75130062, 0x00280d11, 
      0x7512e061, 0x00290d31, 
      0x7612d05f, 0x00290d51, 
      0x7612b05e, 0x002a0d71, 
      0x7712a05c, 0x002b0d81, 
      0x7712805c, 0x002b0da1, 
      0x78127059, 0x002c0dc1, 
      0x78126059, 0x002c0dd1, 
      0x78124058, 0x002d0df1, 
      0x79122056, 0x002e0e11, 
      0x79121054, 0x002f0e31, 
      0x79120054, 0x002f0e41, 
      0x7a11e052, 0x00300e61, 
      0x7a11c051, 0x00310e81, 
      0x7a11b050, 0x00320e91, 
      0x7a11a04f, 0x00320eb1, 
      0x7b11804d, 0x00330ed1, 
      0x7b11604c, 0x00340ef1, 
      0x7b11504b, 0x00350f01, 
      0x7b11304a, 0x00360f21, 
      0x7b111049, 0x00370f41, 
      0x7c110047, 0x00380f51, 
      0x7c10e047, 0x00380f71, 
      0x7c10d045, 0x00390f91, 
      0x7c10b045, 0x003a0fa1, 
      0x7c109044, 0x003b0fc1, 
      0x7c108042, 0x003c0fe1, 
      0x7c106042, 0x003d0ff1, 
      0x7c104041, 0x003e1011, 
      0x7c10303f, 0x003f1031, 
      0x7c10103f, 0x00401041, 
      0x7c0ff03e, 0x00411061, 
      0x7c0fe03c, 0x00421081, 
      0x7c0fc03c, 0x00431091, 
      0x7c0fa03b, 0x004410b1, 
      0x7c0f8039, 0x004610d1, 
      0x7c0f7038, 0x004710e1, 
      0x7c0f5037, 0x00481101, 
      0x7b0f4037, 0x00491111, 
      0x7b0f2036, 0x004a1131, 
      0x7b0f0035, 0x004b1151, 
      0x7b0ef034, 0x004c1161, 
      0x7b0ec033, 0x004e1181, 
      0x7a0eb033, 0x004f1191, 
      0x7a0e9032, 0x005011b1, 
      0x7a0e8031, 0x005111c1, 
      0x7a0e6030, 0x005211e1, 
      0x790e4030, 0x005411f1, 
      0x790e302e, 0x00551211, 
      0x790e102e, 0x00561221, 
      0x780df02e, 0x00571241, 
      0x780dd02d, 0x00591251, 
      0x780dc02b, 0x005a1271, 
      0x770da02c, 0x005b1281, 
      0x770d802a, 0x005d12a1, 
      0x760d702a, 0x005e12b1, 
      0x760d5029, 0x005f12d1, 
      0x750d3029, 0x006112e1, 
      0x750d1028, 0x00621301, 
      0x740d0028, 0x00631311, 
      0x740ce026, 0x00651331, 
      0x730cc027, 0x00661341, 
      0x730ca026, 0x00681351, 
      0x720c9025, 0x00691371, 
      0x720c7025, 0x006a1381, 
      0x710c5024, 0x006c13a1, 
      0x700c3025, 0x006d13b1, 
      0x700c2023, 0x006f13c1, 
      0x6f0c0023, 0x007013e1, 
      0x6e0be023, 0x007213f1, 
      0x6e0bd022, 0x00731401, 
      0x6d0bb022, 0x00751411, 
      0x6c0b9022, 0x00761431, 
      0x6c0b7021, 0x00781441, 
      0x6b0b6021, 0x00791451, 
      0x6a0b4020, 0x007b1471, 
      0x690b2021, 0x007c1481, 
      0x690b0020, 0x007e1491, 
      0x680af020, 0x007f14a1, 
      0x670ad020, 0x008114b1, 
      0x660ab020, 0x008214d1, 
      0x650aa01f, 0x008414e1, 
      0x640a801f, 0x008614f1, 
      0x630a701f, 0x00871501, 
      0x630a501e, 0x00891511, 
      0x620a301f, 0x008a1521, 
      0x610a101e, 0x008c1541, 
      0x600a001e, 0x008d1551, 
      0x5f09e01e, 0x008f1561, 
      0x5e09c01e, 0x00911571, 
      0x5d09b01e, 0x00921581, 
      0x5c09901e, 0x00941591, 
      0x5b09701e, 0x009615a1,
   },
   { /* UV scale factor = 0.03, phases = 127, taps = 5. */
      0x5b15a096, 0x001e0971, 
      0x5c159094, 0x001e0991, 
      0x5d158093, 0x001e09a1, 
      0x5e157091, 0x001e09c1, 
      0x5f15608f, 0x001e09e1, 
      0x6015508e, 0x001e09f1, 
      0x6115408c, 0x001e0a11, 
      0x6215208a, 0x001f0a31, 
      0x63151089, 0x001f0a41, 
      0x64150087, 0x001f0a61, 
      0x6514f085, 0x001f0a81, 
      0x6514e084, 0x001f0aa1, 
      0x6614d083, 0x001f0ab1, 
      0x6714c080, 0x00200ad1, 
      0x6814a07f, 0x00200af1, 
      0x6914907e, 0x00200b01, 
      0x6a14807c, 0x00200b21, 
      0x6a14707a, 0x00210b41, 
      0x6b145079, 0x00210b61, 
      0x6c144078, 0x00210b71, 
      0x6d143075, 0x00220b91, 
      0x6d142074, 0x00220bb1, 
      0x6e141073, 0x00220bc1, 
      0x6f13f071, 0x00230be1, 
      0x6f13e070, 0x00230c01, 
      0x7013c06f, 0x00230c21, 
      0x7113b06d, 0x00240c31, 
      0x7113a06c, 0x00240c51, 
      0x7213806a, 0x00250c71, 
      0x72137069, 0x00250c91, 
      0x73136067, 0x00260ca1, 
      0x74134066, 0x00260cc1, 
      0x74133064, 0x00270ce1, 
      0x75131063, 0x00270d01, 
      0x75130062, 0x00280d11, 
      0x7612e060, 0x00290d31, 
      0x7612d05f, 0x00290d51, 
      0x7712b05e, 0x002a0d61, 
      0x7712a05d, 0x002a0d81, 
      0x7712905b, 0x002b0da1, 
      0x78127059, 0x002c0dc1, 
      0x78126059, 0x002c0dd1, 
      0x79124057, 0x002d0df1, 
      0x79123055, 0x002e0e11, 
      0x79121055, 0x002e0e31, 
      0x7a120053, 0x002f0e41, 
      0x7a11e052, 0x00300e61, 
      0x7a11c051, 0x00310e81, 
      0x7a11b050, 0x00320e91, 
      0x7b11904f, 0x00320eb1, 
      0x7b11804d, 0x00330ed1, 
      0x7b11604c, 0x00340ef1, 
      0x7b11504b, 0x00350f01, 
      0x7c113049, 0x00360f21, 
      0x7c111048, 0x00370f41, 
      0x7c110048, 0x00370f51, 
      0x7c10e047, 0x00380f71, 
      0x7c10d045, 0x00390f91, 
      0x7c10b045, 0x003a0fa1, 
      0x7c109044, 0x003b0fc1, 
      0x7c108042, 0x003c0fe1, 
      0x7c106042, 0x003d0ff1, 
      0x7c104041, 0x003e1011, 
      0x7c10303f, 0x003f1031, 
      0x7c10103f, 0x00401041, 
      0x7c0ff03e, 0x00411061, 
      0x7c0fe03c, 0x00421081, 
      0x7c0fc03c, 0x00431091, 
      0x7c0fa03b, 0x004410b1, 
      0x7c0f9039, 0x004510d1, 
      0x7c0f7039, 0x004610e1, 
      0x7c0f5037, 0x00481101, 
      0x7c0f4036, 0x00491111, 
      0x7c0f2035, 0x004a1131, 
      0x7b0f0035, 0x004b1151, 
      0x7b0ef034, 0x004c1161, 
      0x7b0ed033, 0x004d1181, 
      0x7b0eb032, 0x004f1191, 
      0x7a0e9032, 0x005011b1, 
      0x7a0e8031, 0x005111c1, 
      0x7a0e6030, 0x005211e1, 
      0x7a0e402f, 0x00531201, 
      0x790e302e, 0x00551211, 
      0x790e102d, 0x00561231, 
      0x790df02d, 0x00571241, 
      0x780dd02d, 0x00581261, 
      0x780dc02b, 0x005a1271, 
      0x770da02b, 0x005b1291, 
      0x770d802b, 0x005c12a1, 
      0x770d602a, 0x005e12b1, 
      0x760d5029, 0x005f12d1, 
      0x760d3029, 0x006012e1, 
      0x750d1028, 0x00621301, 
      0x750d0027, 0x00631311, 
      0x740ce026, 0x00651331, 
      0x740cc026, 0x00661341, 
      0x730ca026, 0x00671361, 
      0x720c9025, 0x00691371, 
      0x720c7025, 0x006a1381, 
      0x710c5024, 0x006c13a1, 
      0x710c3024, 0x006d13b1, 
      0x700c2023, 0x006f13c1, 
      0x6f0c0023, 0x007013e1, 
      0x6f0be023, 0x007113f1, 
      0x6e0bc023, 0x00731401, 
      0x6d0bb022, 0x00741421, 
      0x6d0b9021, 0x00761431, 
      0x6c0b7022, 0x00771441, 
      0x6b0b6021, 0x00791451, 
      0x6a0b4021, 0x007a1471, 
      0x6a0b2020, 0x007c1481, 
      0x690b0020, 0x007e1491, 
      0x680af020, 0x007f14a1, 
      0x670ad01f, 0x008114c1, 
      0x660ab020, 0x008214d1, 
      0x650aa01f, 0x008414e1, 
      0x650a801f, 0x008514f1, 
      0x640a601f, 0x00871501, 
      0x630a401f, 0x00891511, 
      0x620a301e, 0x008a1531, 
      0x610a101e, 0x008c1541, 
      0x6009f01f, 0x008d1551, 
      0x5f09e01e, 0x008f1561, 
      0x5e09c01e, 0x00911571, 
      0x5d09a01f, 0x00921581, 
      0x5c09901e, 0x00941591, 
      0x5b09701f, 0x009515a1,
   },
   { /* UV scale factor = 0.04, phases = 127, taps = 5. */
      0x5b15a096, 0x001e0971, 
      0x5c159094, 0x001e0991, 
      0x5d159092, 0x001e09a1, 
      0x5e157091, 0x001e09c1, 
      0x5f15608f, 0x001e09e1, 
      0x6015508e, 0x001e09f1, 
      0x6115408c, 0x001e0a11, 
      0x6215308a, 0x001e0a31, 
      0x63152088, 0x001f0a41, 
      0x64151086, 0x001f0a61, 
      0x6514f085, 0x001f0a81, 
      0x6614e084, 0x001f0a91, 
      0x6714d082, 0x001f0ab1, 
      0x6814c080, 0x001f0ad1, 
      0x6814b07f, 0x00200ae1, 
      0x6914907e, 0x00200b01, 
      0x6a14807c, 0x00200b21, 
      0x6b14707a, 0x00200b41, 
      0x6c146078, 0x00210b51, 
      0x6c144078, 0x00210b71, 
      0x6d143076, 0x00210b91, 
      0x6e141074, 0x00220bb1, 
      0x6e141073, 0x00220bc1, 
      0x6f13f071, 0x00230be1, 
      0x7013e06f, 0x00230c01, 
      0x7013d06f, 0x00230c11, 
      0x7113b06d, 0x00240c31, 
      0x7213a06b, 0x00240c51, 
      0x7213806a, 0x00250c71, 
      0x73137069, 0x00250c81, 
      0x73136067, 0x00260ca1, 
      0x74134066, 0x00260cc1, 
      0x75132064, 0x00270ce1, 
      0x75132063, 0x00270cf1, 
      0x76130061, 0x00280d11, 
      0x7612f060, 0x00280d31, 
      0x7712d05e, 0x00290d51, 
      0x7712c05d, 0x002a0d61, 
      0x7712a05d, 0x002a0d81, 
      0x7812905a, 0x002b0da1, 
      0x7812705a, 0x002b0dc1, 
      0x79126058, 0x002c0dd1, 
      0x79124057, 0x002d0df1, 
      0x79123055, 0x002e0e11, 
      0x7a121055, 0x002e0e21, 
      0x7a120053, 0x002f0e41, 
      0x7a11e052, 0x00300e61, 
      0x7b11c050, 0x00310e81, 
      0x7b11b050, 0x00310e91, 
      0x7b11904f, 0x00320eb1, 
      0x7b11804d, 0x00330ed1, 
      0x7c11604b, 0x00340ef1, 
      0x7c11504a, 0x00350f01, 
      0x7c11304a, 0x00350f21, 
      0x7c111049, 0x00360f41, 
      0x7c110048, 0x00370f51, 
      0x7c10e047, 0x00380f71, 
      0x7c10d045, 0x00390f91, 
      0x7d10b044, 0x003a0fa1, 
      0x7d109043, 0x003b0fc1, 
      0x7d108041, 0x003c0fe1, 
      0x7d106041, 0x003d0ff1, 
      0x7d104040, 0x003e1011, 
      0x7d10303e, 0x003f1031, 
      0x7d10103e, 0x00401041, 
      0x7d0ff03d, 0x00411061, 
      0x7d0fe03b, 0x00421081, 
      0x7d0fc03b, 0x00431091, 
      0x7d0fa03a, 0x004410b1, 
      0x7c0f9039, 0x004510d1, 
      0x7c0f7039, 0x004610e1, 
      0x7c0f5038, 0x00471101, 
      0x7c0f4037, 0x00481111, 
      0x7c0f2035, 0x004a1131, 
      0x7c0f0034, 0x004b1151, 
      0x7c0ef033, 0x004c1161, 
      0x7b0ed033, 0x004d1181, 
      0x7b0eb033, 0x004e1191, 
      0x7b0e9032, 0x004f11b1, 
      0x7b0e7030, 0x005111d1, 
      0x7a0e6030, 0x005211e1, 
      0x7a0e402f, 0x00531201, 
      0x7a0e202f, 0x00541211, 
      0x790e102d, 0x00561231, 
      0x790df02d, 0x00571241, 
      0x790dd02c, 0x00581261, 
      0x780dc02b, 0x005a1271, 
      0x780da02a, 0x005b1291, 
      0x770d802b, 0x005c12a1, 
      0x770d602a, 0x005d12c1, 
      0x770d5028, 0x005f12d1, 
      0x760d3028, 0x006012f1, 
      0x760d1027, 0x00621301, 
      0x750cf028, 0x00631311, 
      0x750ce026, 0x00641331, 
      0x740cc026, 0x00661341, 
      0x730ca026, 0x00671361, 
      0x730c8025, 0x00691371, 
      0x720c7025, 0x006a1381, 
      0x720c5024, 0x006b13a1, 
      0x710c3024, 0x006d13b1, 
      0x700c1024, 0x006e13d1, 
      0x700c0022, 0x007013e1, 
      0x6f0be023, 0x007113f1, 
      0x6e0bc022, 0x00731411, 
      0x6e0bb021, 0x00741421, 
      0x6d0b9021, 0x00761431, 
      0x6c0b7022, 0x00771441, 
      0x6c0b5020, 0x00791461, 
      0x6b0b4020, 0x007a1471, 
      0x6a0b2020, 0x007c1481, 
      0x690b1020, 0x007d1491, 
      0x680ae020, 0x007f14b1, 
      0x680ad01f, 0x008014c1, 
      0x670ab01f, 0x008214d1, 
      0x660a901f, 0x008414e1, 
      0x650a801f, 0x008514f1, 
      0x640a601e, 0x00871511, 
      0x630a401f, 0x00881521, 
      0x620a301e, 0x008a1531, 
      0x610a101f, 0x008b1541, 
      0x6009f01f, 0x008d1551, 
      0x5f09e01e, 0x008f1561, 
      0x5e09c01f, 0x00901571, 
      0x5d09a01f, 0x00921581, 
      0x5c09901e, 0x00941591, 
      0x5c09701e, 0x009515a1,
   },
   { /* UV scale factor = 0.05, phases = 127, taps = 5. */
      0x5c15b094, 0x001e0971, 
      0x5d15a093, 0x001e0981, 
      0x5e159091, 0x001e09a1, 
      0x5f157090, 0x001e09c1, 
      0x6015708e, 0x001e09d1, 
      0x6115508d, 0x001e09f1, 
      0x6215408b, 0x001e0a11, 
      0x6315308a, 0x001e0a21, 
      0x64152088, 0x001e0a41, 
      0x65151086, 0x001e0a61, 
      0x65150085, 0x001f0a71, 
      0x6614f083, 0x001f0a91, 
      0x6714d082, 0x001f0ab1, 
      0x6814c080, 0x001f0ad1, 
      0x6914b07f, 0x001f0ae1, 
      0x6a14a07c, 0x00200b01, 
      0x6a14807c, 0x00200b21, 
      0x6b14807a, 0x00200b31, 
      0x6c146078, 0x00210b51, 
      0x6d145076, 0x00210b71, 
      0x6d143076, 0x00210b91, 
      0x6e142074, 0x00220ba1, 
      0x6f141072, 0x00220bc1, 
      0x7013f071, 0x00220be1, 
      0x7013e06f, 0x00230c01, 
      0x7113d06e, 0x00230c11, 
      0x7213b06c, 0x00240c31, 
      0x7213a06b, 0x00240c51, 
      0x73139069, 0x00240c71, 
      0x73137069, 0x00250c81, 
      0x74136067, 0x00250ca1, 
      0x74134066, 0x00260cc1, 
      0x75134064, 0x00260cd1, 
      0x76132062, 0x00270cf1, 
      0x76130061, 0x00280d11, 
      0x7712f05f, 0x00280d31, 
      0x7712d05f, 0x00290d41, 
      0x7712c05e, 0x00290d61, 
      0x7812a05c, 0x002a0d81, 
      0x7812905a, 0x002b0da1, 
      0x7912705a, 0x002b0db1, 
      0x79126058, 0x002c0dd1, 
      0x7a124056, 0x002d0df1, 
      0x7a123055, 0x002d0e11, 
      0x7a121055, 0x002e0e21, 
      0x7b120052, 0x002f0e41, 
      0x7b11e051, 0x00300e61, 
      0x7b11d050, 0x00300e81, 
      0x7b11b050, 0x00310e91, 
      0x7c11904e, 0x00320eb1, 
      0x7c11804c, 0x00330ed1, 
      0x7c11604c, 0x00340ee1, 
      0x7c11504b, 0x00340f01, 
      0x7c11304a, 0x00350f21, 
      0x7d111048, 0x00360f41, 
      0x7d110047, 0x00370f51, 
      0x7d10e046, 0x00380f71, 
      0x7d10d044, 0x00390f91, 
      0x7d10b044, 0x003a0fa1, 
      0x7d109043, 0x003b0fc1, 
      0x7d108041, 0x003c0fe1, 
      0x7d106041, 0x003d0ff1, 
      0x7d104040, 0x003e1011, 
      0x7d10303e, 0x003f1031, 
      0x7d10103e, 0x00401041, 
      0x7d0ff03d, 0x00411061, 
      0x7d0fe03b, 0x00421081, 
      0x7d0fc03b, 0x00431091, 
      0x7d0fa03a, 0x004410b1, 
      0x7d0f9038, 0x004510d1, 
      0x7d0f7038, 0x004610e1, 
      0x7d0f5037, 0x00471101, 
      0x7d0f3036, 0x00481121, 
      0x7c0f2036, 0x00491131, 
      0x7c0f0035, 0x004a1151, 
      0x7c0ee034, 0x004c1161, 
      0x7c0ed032, 0x004d1181, 
      0x7c0eb032, 0x004e1191, 
      0x7b0e9032, 0x004f11b1, 
      0x7b0e8030, 0x005011d1, 
      0x7b0e602f, 0x005211e1, 
      0x7b0e402e, 0x00531201, 
      0x7a0e202f, 0x00541211, 
      0x7a0e102d, 0x00551231, 
      0x7a0df02c, 0x00571241, 
      0x790dd02c, 0x00581261, 
      0x790db02c, 0x00591271, 
      0x780da02a, 0x005b1291, 
      0x780d802a, 0x005c12a1, 
      0x770d602a, 0x005d12c1, 
      0x770d4029, 0x005f12d1, 
      0x770d2028, 0x006012f1, 
      0x760d1028, 0x00611301, 
      0x760cf026, 0x00631321, 
      0x750cd027, 0x00641331, 
      0x750cc026, 0x00651341, 
      0x740ca025, 0x00671361, 
      0x730c9025, 0x00681371, 
      0x730c6024, 0x006a1391, 
      0x720c5024, 0x006b13a1, 
      0x720c3023, 0x006d13b1, 
      0x710c1023, 0x006e13d1, 
      0x700c0023, 0x006f13e1, 
      0x700be022, 0x007113f1, 
      0x6f0bc022, 0x00721411, 
      0x6e0ba022, 0x00741421, 
      0x6d0b9022, 0x00751431, 
      0x6d0b7020, 0x00771451, 
      0x6c0b5021, 0x00781461, 
      0x6b0b3021, 0x007a1471, 
      0x6b0b2020, 0x007b1481, 
      0x6a0b001f, 0x007d14a1, 
      0x690ae01f, 0x007f14b1, 
      0x680ad01f, 0x008014c1, 
      0x670ab01f, 0x008214d1, 
      0x660a901f, 0x008314f1, 
      0x650a701f, 0x00851501, 
      0x650a601e, 0x00861511, 
      0x640a401e, 0x00881521, 
      0x630a201e, 0x008a1531, 
      0x620a101e, 0x008b1541, 
      0x6109f01e, 0x008d1551, 
      0x6009d01e, 0x008e1571, 
      0x5f09c01d, 0x00901581, 
      0x5e09a01d, 0x00921591, 
      0x5d09801e, 0x009315a1, 
      0x5c09701d, 0x009515b1,
   },
   { /* UV scale factor = 0.06, phases = 127, taps = 5. */
      0x5c15c095, 0x001d0961, 
      0x5d15b093, 0x001d0981, 
      0x5e159092, 0x001d09a1, 
      0x5f158090, 0x001e09b1, 
      0x6015708e, 0x001e09d1, 
      0x6115608c, 0x001e09f1, 
      0x6215508b, 0x001e0a01, 
      0x63154089, 0x001e0a21, 
      0x64152088, 0x001e0a41, 
      0x65151087, 0x001e0a51, 
      0x66150085, 0x001e0a71, 
      0x6714f082, 0x001f0a91, 
      0x6814d081, 0x001f0ab1, 
      0x6914d07f, 0x001f0ac1, 
      0x6914b07f, 0x001f0ae1, 
      0x6a14a07d, 0x001f0b01, 
      0x6b14907b, 0x00200b11, 
      0x6c148079, 0x00200b31, 
      0x6d146078, 0x00200b51, 
      0x6d145076, 0x00210b71, 
      0x6e144075, 0x00210b81, 
      0x6f142074, 0x00210ba1, 
      0x6f141072, 0x00220bc1, 
      0x70140070, 0x00220be1, 
      0x7113e070, 0x00220bf1, 
      0x7213d06d, 0x00230c11, 
      0x7213c06c, 0x00230c31, 
      0x7313a06a, 0x00240c51, 
      0x7313906a, 0x00240c61, 
      0x74138067, 0x00250c81, 
      0x75136066, 0x00250ca1, 
      0x75134065, 0x00260cc1, 
      0x76133064, 0x00260cd1, 
      0x76132062, 0x00270cf1, 
      0x77130061, 0x00270d11, 
      0x7712f05f, 0x00280d31, 
      0x7812d05f, 0x00280d41, 
      0x7812c05d, 0x00290d61, 
      0x7912a05b, 0x002a0d81, 
      0x7912905a, 0x002a0da1, 
      0x79128059, 0x002b0db1, 
      0x7a126057, 0x002c0dd1, 
      0x7a124057, 0x002c0df1, 
      0x7b123055, 0x002d0e01, 
      0x7b121054, 0x002e0e21, 
      0x7b120053, 0x002e0e41, 
      0x7c11e051, 0x002f0e61, 
      0x7c11d050, 0x00300e71, 
      0x7c11b04f, 0x00310e91, 
      0x7c11a04d, 0x00320eb1, 
      0x7d11804c, 0x00320ed1, 
      0x7d11604c, 0x00330ee1, 
      0x7d11504a, 0x00340f01, 
      0x7d113049, 0x00350f21, 
      0x7d112047, 0x00360f41, 
      0x7d110047, 0x00370f51, 
      0x7e10e045, 0x00380f71, 
      0x7e10d044, 0x00380f91, 
      0x7e10b044, 0x00390fa1, 
      0x7e109043, 0x003a0fc1, 
      0x7e108041, 0x003b0fe1, 
      0x7e106041, 0x003c0ff1, 
      0x7e104040, 0x003d1011, 
      0x7e10303e, 0x003e1031, 
      0x7e10103e, 0x003f1041, 
      0x7e0ff03d, 0x00401061, 
      0x7e0fe03b, 0x00411081, 
      0x7e0fc03b, 0x00421091, 
      0x7e0fa03a, 0x004310b1, 
      0x7e0f8038, 0x004510d1, 
      0x7e0f7037, 0x004610e1, 
      0x7d0f5037, 0x00471101, 
      0x7d0f4035, 0x00481121, 
      0x7d0f2035, 0x00491131, 
      0x7d0f0034, 0x004a1151, 
      0x7d0ee034, 0x004b1161, 
      0x7d0ed032, 0x004c1181, 
      0x7c0eb031, 0x004e11a1, 
      0x7c0e9031, 0x004f11b1, 
      0x7c0e7030, 0x005011d1, 
      0x7c0e602f, 0x005111e1, 
      0x7b0e402f, 0x00521201, 
      0x7b0e202e, 0x00541211, 
      0x7b0e002d, 0x00551231, 
      0x7a0df02d, 0x00561241, 
      0x7a0dd02b, 0x00581261, 
      0x790dc02b, 0x00591271, 
      0x790da02a, 0x005a1291, 
      0x790d802a, 0x005b12a1, 
      0x780d6029, 0x005d12c1, 
      0x780d4029, 0x005e12d1, 
      0x770d3028, 0x005f12f1, 
      0x770d1027, 0x00611301, 
      0x760cf027, 0x00621321, 
      0x760cd026, 0x00641331, 
      0x750cc025, 0x00651351, 
      0x750ca025, 0x00661361, 
      0x740c8024, 0x00681381, 
      0x730c6025, 0x00691391, 
      0x730c5023, 0x006b13a1, 
      0x720c3023, 0x006c13c1, 
      0x720c1022, 0x006e13d1, 
      0x710bf023, 0x006f13e1, 
      0x700bd022, 0x00711401, 
      0x6f0bc022, 0x00721411, 
      0x6f0ba022, 0x00731421, 
      0x6e0b8021, 0x00751441, 
      0x6d0b7020, 0x00771451, 
      0x6d0b5020, 0x00781461, 
      0x6c0b301f, 0x007a1481, 
      0x6b0b1020, 0x007b1491, 
      0x6a0b001f, 0x007d14a1, 
      0x690ae020, 0x007e14b1, 
      0x690ac01e, 0x008014d1, 
      0x680ab01e, 0x008114e1, 
      0x670a901e, 0x008314f1, 
      0x660a701f, 0x00841501, 
      0x650a501f, 0x00861511, 
      0x640a401e, 0x00881521, 
      0x630a201e, 0x00891541, 
      0x620a001e, 0x008b1551, 
      0x6109f01e, 0x008c1561, 
      0x6009d01e, 0x008e1571, 
      0x5f09b01e, 0x00901581, 
      0x5e09a01e, 0x00911591, 
      0x5d09801e, 0x009315a1, 
      0x5c09601e, 0x009515b1,
   },
   { /* UV scale factor = 0.07, phases = 127, taps = 5. */
      0x5d15c094, 0x001d0961, 
      0x5e15b092, 0x001d0981, 
      0x5f15a091, 0x001d0991, 
      0x6015908f, 0x001d09b1, 
      0x6115808d, 0x001d09d1, 
      0x6215608d, 0x001d09e1, 
      0x6315508b, 0x001d0a01, 
      0x64154088, 0x001e0a21, 
      0x65153087, 0x001e0a31, 
      0x66152085, 0x001e0a51, 
      0x67150084, 0x001e0a71, 
      0x67150083, 0x001e0a81, 
      0x6814f081, 0x001e0aa1, 
      0x6914d07f, 0x001f0ac1, 
      0x6a14c07d, 0x001f0ae1, 
      0x6b14b07c, 0x001f0af1, 
      0x6c14907b, 0x001f0b11, 
      0x6c148079, 0x00200b31, 
      0x6d147077, 0x00200b51, 
      0x6e145077, 0x00200b61, 
      0x6f144074, 0x00210b81, 
      0x6f143073, 0x00210ba1, 
      0x70141072, 0x00210bc1, 
      0x71140070, 0x00220bd1, 
      0x7213f06e, 0x00220bf1, 
      0x7213d06e, 0x00220c11, 
      0x7313c06c, 0x00230c21, 
      0x7413b06a, 0x00230c41, 
      0x74139069, 0x00240c61, 
      0x75138067, 0x00240c81, 
      0x75136066, 0x00250ca1, 
      0x76135065, 0x00250cb1, 
      0x76134063, 0x00260cd1, 
      0x77132062, 0x00260cf1, 
      0x77131060, 0x00270d11, 
      0x7812f05f, 0x00280d21, 
      0x7812e05e, 0x00280d41, 
      0x7912c05c, 0x00290d61, 
      0x7912b05b, 0x00290d81, 
      0x7a12905a, 0x002a0d91, 
      0x7a128058, 0x002b0db1, 
      0x7b126057, 0x002b0dd1, 
      0x7b125055, 0x002c0df1, 
      0x7b123055, 0x002d0e01, 
      0x7c122053, 0x002d0e21, 
      0x7c120052, 0x002e0e41, 
      0x7c11e051, 0x002f0e61, 
      0x7d11d04f, 0x00300e71, 
      0x7d11b04f, 0x00300e91, 
      0x7d11a04d, 0x00310eb1, 
      0x7d11804c, 0x00320ed1, 
      0x7e11604b, 0x00330ee1, 
      0x7e115049, 0x00340f01, 
      0x7e113049, 0x00340f21, 
      0x7e112048, 0x00350f31, 
      0x7e110047, 0x00360f51, 
      0x7e10e046, 0x00370f71, 
      0x7f10c044, 0x00380f91, 
      0x7f10b043, 0x00390fa1, 
      0x7f109042, 0x003a0fc1, 
      0x7f108040, 0x003b0fe1, 
      0x7f106040, 0x003c0ff1, 
      0x7f10403f, 0x003d1011, 
      0x7f10303d, 0x003e1031, 
      0x7f10103d, 0x003f1041, 
      0x7f0ff03c, 0x00401061, 
      0x7f0fe03a, 0x00411081, 
      0x7f0fc03a, 0x00421091, 
      0x7f0fa039, 0x004310b1, 
      0x7f0f8038, 0x004410d1, 
      0x7e0f7038, 0x004510e1, 
      0x7e0f5037, 0x00461101, 
      0x7e0f3036, 0x00471121, 
      0x7e0f2034, 0x00491131, 
      0x7e0f0033, 0x004a1151, 
      0x7e0ee033, 0x004b1161, 
      0x7d0ed032, 0x004c1181, 
      0x7d0eb031, 0x004d11a1, 
      0x7d0e9031, 0x004e11b1, 
      0x7d0e702f, 0x005011d1, 
      0x7c0e602f, 0x005111e1, 
      0x7c0e402e, 0x00521201, 
      0x7c0e202d, 0x00531221, 
      0x7b0e002d, 0x00551231, 
      0x7b0df02b, 0x00561251, 
      0x7b0dd02b, 0x00571261, 
      0x7a0db02b, 0x00581281, 
      0x7a0d902a, 0x005a1291, 
      0x790d8029, 0x005b12b1, 
      0x790d6029, 0x005c12c1, 
      0x780d4028, 0x005e12e1, 
      0x780d2028, 0x005f12f1, 
      0x770d1027, 0x00601311, 
      0x770cf026, 0x00621321, 
      0x760cd026, 0x00631341, 
      0x760cb025, 0x00651351, 
      0x750ca025, 0x00661361, 
      0x750c8024, 0x00671381, 
      0x740c6024, 0x00691391, 
      0x740c4023, 0x006a13b1, 
      0x730c2023, 0x006c13c1, 
      0x720c1023, 0x006d13d1, 
      0x720be022, 0x006f13f1, 
      0x710bd022, 0x00701401, 
      0x700bc021, 0x00721411, 
      0x6f0ba021, 0x00731431, 
      0x6f0b8020, 0x00751441, 
      0x6e0b6021, 0x00761451, 
      0x6d0b501f, 0x00781471, 
      0x6c0b3020, 0x00791481, 
      0x6c0b101f, 0x007b1491, 
      0x6b0af01f, 0x007c14b1, 
      0x6a0ae01e, 0x007e14c1, 
      0x690ac01f, 0x007f14d1, 
      0x680aa01f, 0x008114e1, 
      0x670a901f, 0x008214f1, 
      0x670a601e, 0x00841511, 
      0x660a501d, 0x00861521, 
      0x650a301e, 0x00871531, 
      0x640a201d, 0x00891541, 
      0x630a001e, 0x008a1551, 
      0x6209e01e, 0x008c1561, 
      0x6109c01d, 0x008e1581, 
      0x6009b01d, 0x008f1591, 
      0x5f09901d, 0x009115a1, 
      0x5e09701d, 0x009315b1, 
      0x5d09601d, 0x009415c1,
   },
   { /* UV scale factor = 0.08, phases = 127, taps = 5. */
      0x5e15d093, 0x001d0951, 
      0x5f15b092, 0x001d0971, 
      0x6015a090, 0x001d0991, 
      0x6115908f, 0x001d09a1, 
      0x6215808d, 0x001d09c1, 
      0x6315708b, 0x001d09e1, 
      0x64156089, 0x001d0a01, 
      0x65155088, 0x001d0a11, 
      0x65154087, 0x001d0a31, 
      0x66152086, 0x001d0a51, 
      0x67151084, 0x001e0a61, 
      0x68150082, 0x001e0a81, 
      0x6914f080, 0x001e0aa1, 
      0x6a14e07f, 0x001e0ab1, 
      0x6b14c07e, 0x001e0ad1, 
      0x6c14b07b, 0x001f0af1, 
      0x6c14a07a, 0x001f0b11, 
      0x6d149079, 0x001f0b21, 
      0x6e147077, 0x00200b41, 
      0x6f146075, 0x00200b61, 
      0x70144074, 0x00200b81, 
      0x70143073, 0x00210b91, 
      0x71142071, 0x00210bb1, 
      0x7214106f, 0x00210bd1, 
      0x7213f06e, 0x00220bf1, 
      0x7313e06d, 0x00220c01, 
      0x7413c06b, 0x00230c21, 
      0x7413b06a, 0x00230c41, 
      0x7513a068, 0x00230c61, 
      0x76138067, 0x00240c71, 
      0x76137066, 0x00240c91, 
      0x77135064, 0x00250cb1, 
      0x77134063, 0x00250cd1, 
      0x78132061, 0x00260cf1, 
      0x78131060, 0x00270d01, 
      0x7912f05f, 0x00270d21, 
      0x7912e05d, 0x00280d41, 
      0x7a12c05c, 0x00280d61, 
      0x7a12b05b, 0x00290d71, 
      0x7b129059, 0x002a0d91, 
      0x7b128058, 0x002a0db1, 
      0x7b126057, 0x002b0dd1, 
      0x7c125055, 0x002c0de1, 
      0x7c123055, 0x002c0e01, 
      0x7d122052, 0x002d0e21, 
      0x7d120051, 0x002e0e41, 
      0x7d11f051, 0x002e0e51, 
      0x7e11d04f, 0x002f0e71, 
      0x7e11b04e, 0x00300e91, 
      0x7e11a04c, 0x00310eb1, 
      0x7e11804c, 0x00320ec1, 
      0x7f11704a, 0x00320ee1, 
      0x7f115049, 0x00330f01, 
      0x7f113048, 0x00340f21, 
      0x7f112047, 0x00350f31, 
      0x7f110046, 0x00360f51, 
      0x7f10e045, 0x00370f71, 
      0x7f10d043, 0x00380f91, 
      0x8010b042, 0x00390fa1, 
      0x80109042, 0x00390fc1, 
      0x80108040, 0x003a0fe1, 
      0x80106040, 0x003b0ff1, 
      0x8010403f, 0x003c1011, 
      0x8010303d, 0x003d1031, 
      0x8010103d, 0x003e1041, 
      0x800ff03c, 0x003f1061, 
      0x800fe03a, 0x00401081, 
      0x800fc03a, 0x00411091, 
      0x800fa038, 0x004310b1, 
      0x7f0f9037, 0x004410d1, 
      0x7f0f7037, 0x004510e1, 
      0x7f0f5036, 0x00461101, 
      0x7f0f3035, 0x00471121, 
      0x7f0f2034, 0x00481131, 
      0x7f0f0033, 0x00491151, 
      0x7f0ee032, 0x004a1171, 
      0x7e0ec032, 0x004c1181, 
      0x7e0eb030, 0x004d11a1, 
      0x7e0e9030, 0x004e11b1, 
      0x7e0e702f, 0x004f11d1, 
      0x7d0e502f, 0x005011f1, 
      0x7d0e402d, 0x00521201, 
      0x7d0e202c, 0x00531221, 
      0x7c0e002d, 0x00541231, 
      0x7c0de02c, 0x00551251, 
      0x7b0dd02b, 0x00571261, 
      0x7b0db02a, 0x00581281, 
      0x7b0d902a, 0x00591291, 
      0x7a0d7029, 0x005b12b1, 
      0x7a0d6028, 0x005c12c1, 
      0x790d4028, 0x005d12e1, 
      0x790d2027, 0x005f12f1, 
      0x780d0027, 0x00601311, 
      0x780cf026, 0x00611321, 
      0x770cd025, 0x00631341, 
      0x770cb025, 0x00641351, 
      0x760c9025, 0x00651371, 
      0x760c7024, 0x00671381, 
      0x750c6023, 0x006813a1, 
      0x740c4023, 0x006a13b1, 
      0x740c2023, 0x006b13c1, 
      0x730c0022, 0x006d13e1, 
      0x720bf022, 0x006e13f1, 
      0x720bc021, 0x00701411, 
      0x710bb021, 0x00711421, 
      0x700b9021, 0x00731431, 
      0x700b7020, 0x00741451, 
      0x6f0b601f, 0x00761461, 
      0x6e0b4020, 0x00771471, 
      0x6d0b2020, 0x00791481, 
      0x6c0b101f, 0x007a14a1, 
      0x6c0af01e, 0x007c14b1, 
      0x6b0ad01f, 0x007d14c1, 
      0x6a0ab01e, 0x007f14e1, 
      0x690aa01e, 0x008014f1, 
      0x680a801e, 0x00821501, 
      0x670a601e, 0x00841511, 
      0x660a501e, 0x00851521, 
      0x650a301d, 0x00871541, 
      0x650a101d, 0x00881551, 
      0x6409f01d, 0x008a1561, 
      0x6309e01c, 0x008c1571, 
      0x6209c01d, 0x008d1581, 
      0x6109a01d, 0x008f1591, 
      0x6009901d, 0x009015a1, 
      0x5f09701d, 0x009215b1, 
      0x5e09501c, 0x009415d1,
   },
   { /* UV scale factor = 0.09, phases = 127, taps = 5. */
      0x5e15d094, 0x001c0951, 
      0x5f15c092, 0x001c0971, 
      0x6015c090, 0x001c0981, 
      0x6115a08f, 0x001c09a1, 
      0x6215908d, 0x001c09c1, 
      0x6315808b, 0x001d09d1, 
      0x64157089, 0x001d09f1, 
      0x65155088, 0x001d0a11, 
      0x66154087, 0x001d0a21, 
      0x67153085, 0x001d0a41, 
      0x68152083, 0x001d0a61, 
      0x69151081, 0x001d0a81, 
      0x6a14f080, 0x001e0a91, 
      0x6b14e07e, 0x001e0ab1, 
      0x6c14d07c, 0x001e0ad1, 
      0x6c14c07b, 0x001e0af1, 
      0x6d14a07a, 0x001f0b01, 
      0x6e149078, 0x001f0b21, 
      0x6f148076, 0x001f0b41, 
      0x70147075, 0x001f0b51, 
      0x70145074, 0x00200b71, 
      0x71144072, 0x00200b91, 
      0x72142070, 0x00210bb1, 
      0x7314106e, 0x00210bd1, 
      0x7314006e, 0x00210be1, 
      0x7413e06c, 0x00220c01, 
      0x7513d06a, 0x00220c21, 
      0x7513b069, 0x00230c41, 
      0x7613a068, 0x00230c51, 
      0x77139066, 0x00230c71, 
      0x77137065, 0x00240c91, 
      0x78136063, 0x00240cb1, 
      0x78134063, 0x00250cc1, 
      0x79133060, 0x00260ce1, 
      0x79131060, 0x00260d01, 
      0x7a13005d, 0x00270d21, 
      0x7a12e05d, 0x00270d41, 
      0x7b12d05b, 0x00280d51, 
      0x7b12c05a, 0x00280d71, 
      0x7c12a058, 0x00290d91, 
      0x7c128057, 0x002a0db1, 
      0x7d127056, 0x002a0dc1, 
      0x7d125055, 0x002b0de1, 
      0x7d124053, 0x002c0e01, 
      0x7e122052, 0x002c0e21, 
      0x7e121051, 0x002d0e31, 
      0x7e11f050, 0x002e0e51, 
      0x7f11d04e, 0x002f0e71, 
      0x7f11c04d, 0x002f0e91, 
      0x7f11a04d, 0x00300ea1, 
      0x7f11904b, 0x00310ec1, 
      0x80117049, 0x00320ee1, 
      0x80115048, 0x00330f01, 
      0x80113048, 0x00340f11, 
      0x80112047, 0x00340f31, 
      0x80110046, 0x00350f51, 
      0x8010f044, 0x00360f71, 
      0x8110d043, 0x00370f81, 
      0x8110b042, 0x00380fa1, 
      0x8110a040, 0x00390fc1, 
      0x8110803f, 0x003a0fe1, 
      0x8110603f, 0x003b0ff1, 
      0x8110403e, 0x003c1011, 
      0x8110303c, 0x003d1031, 
      0x8110103c, 0x003e1041, 
      0x810ff03b, 0x003f1061, 
      0x810fe039, 0x00401081, 
      0x810fc038, 0x004110a1, 
      0x810fa038, 0x004210b1, 
      0x810f8037, 0x004310d1, 
      0x800f7036, 0x004410f1, 
      0x800f5036, 0x00451101, 
      0x800f3035, 0x00461121, 
      0x800f2034, 0x00471131, 
      0x800f0032, 0x00491151, 
      0x800ee031, 0x004a1171, 
      0x7f0ec032, 0x004b1181, 
      0x7f0ea031, 0x004c11a1, 
      0x7f0e902f, 0x004d11c1, 
      0x7f0e702e, 0x004f11d1, 
      0x7e0e502e, 0x005011f1, 
      0x7e0e302e, 0x00511201, 
      0x7e0e202c, 0x00521221, 
      0x7d0e002c, 0x00531241, 
      0x7d0de02b, 0x00551251, 
      0x7d0dc02a, 0x00561271, 
      0x7c0db02a, 0x00571281, 
      0x7c0d8029, 0x005912a1, 
      0x7b0d7029, 0x005a12b1, 
      0x7b0d5028, 0x005b12d1, 
      0x7a0d4027, 0x005d12e1, 
      0x7a0d2026, 0x005e1301, 
      0x790d0027, 0x005f1311, 
      0x790ce025, 0x00611331, 
      0x780cc026, 0x00621341, 
      0x780cb024, 0x00631361, 
      0x770c9024, 0x00651371, 
      0x770c7023, 0x00661391, 
      0x760c5023, 0x006813a1, 
      0x750c4023, 0x006913b1, 
      0x750c1022, 0x006b13d1, 
      0x740c0022, 0x006c13e1, 
      0x730be022, 0x006d1401, 
      0x730bd020, 0x006f1411, 
      0x720bb021, 0x00701421, 
      0x710b9020, 0x00721441, 
      0x700b8020, 0x00731451, 
      0x700b5020, 0x00751461, 
      0x6f0b401f, 0x00761481, 
      0x6e0b201f, 0x00781491, 
      0x6d0b001f, 0x007a14a1, 
      0x6c0af01e, 0x007b14c1, 
      0x6c0ac01e, 0x007d14d1, 
      0x6b0ab01e, 0x007e14e1, 
      0x6a0a901e, 0x008014f1, 
      0x690a801d, 0x00811511, 
      0x680a601d, 0x00831521, 
      0x670a401d, 0x00851531, 
      0x660a301d, 0x00861541, 
      0x650a101d, 0x00881551, 
      0x6409f01d, 0x00891571, 
      0x6309d01d, 0x008b1581, 
      0x6209c01c, 0x008d1591, 
      0x6109a01d, 0x008e15a1, 
      0x6009801d, 0x009015b1, 
      0x5f09701c, 0x009215c1, 
      0x5e09501d, 0x009315d1,
   },
   { /* UV scale factor = 0.10, phases = 127, taps = 5. */
      0x5f15e093, 0x001c0941, 
      0x6015d091, 0x001c0961, 
      0x6115c08f, 0x001c0981, 
      0x6215b08e, 0x001c0991, 
      0x6315a08c, 0x001c09b1, 
      0x6415808b, 0x001c09d1, 
      0x65158089, 0x001c09e1, 
      0x66156088, 0x001c0a01, 
      0x67155086, 0x001c0a21, 
      0x68154083, 0x001d0a41, 
      0x69152083, 0x001d0a51, 
      0x6a151081, 0x001d0a71, 
      0x6b15007f, 0x001d0a91, 
      0x6c14f07d, 0x001d0ab1, 
      0x6d14d07c, 0x001e0ac1, 
      0x6d14c07b, 0x001e0ae1, 
      0x6e14b079, 0x001e0b01, 
      0x6f14a078, 0x001e0b11, 
      0x70148076, 0x001f0b31, 
      0x71147074, 0x001f0b51, 
      0x71146073, 0x001f0b71, 
      0x72144071, 0x00200b91, 
      0x73143070, 0x00200ba1, 
      0x7414206e, 0x00200bc1, 
      0x7414006d, 0x00210be1, 
      0x7513f06b, 0x00210c01, 
      0x7613d06a, 0x00220c11, 
      0x7613c069, 0x00220c31, 
      0x7713a067, 0x00230c51, 
      0x78139065, 0x00230c71, 
      0x78138064, 0x00240c81, 
      0x79136063, 0x00240ca1, 
      0x79135061, 0x00250cc1, 
      0x7a133060, 0x00250ce1, 
      0x7a13205e, 0x00260d01, 
      0x7b13005e, 0x00260d11, 
      0x7b12f05c, 0x00270d31, 
      0x7c12d05b, 0x00270d51, 
      0x7c12c059, 0x00280d71, 
      0x7d12a057, 0x00290d91, 
      0x7d129057, 0x00290da1, 
      0x7e127055, 0x002a0dc1, 
      0x7e125054, 0x002b0de1, 
      0x7e124053, 0x002b0e01, 
      0x7f122052, 0x002c0e11, 
      0x7f121050, 0x002d0e31, 
      0x7f11f050, 0x002d0e51, 
      0x8011d04e, 0x002e0e71, 
      0x8011c04c, 0x002f0e91, 
      0x8011a04c, 0x00300ea1, 
      0x8111804a, 0x00310ec1, 
      0x81117049, 0x00310ee1, 
      0x81115048, 0x00320f01, 
      0x81114047, 0x00330f11, 
      0x81112046, 0x00340f31, 
      0x81110045, 0x00350f51, 
      0x8210e043, 0x00360f71, 
      0x8210d042, 0x00370f81, 
      0x8210b042, 0x00370fa1, 
      0x8210a040, 0x00380fc1, 
      0x8210803f, 0x00390fe1, 
      0x8210603f, 0x003a0ff1, 
      0x8210403e, 0x003b1011, 
      0x8210303c, 0x003c1031, 
      0x8210103c, 0x003d1041, 
      0x820ff03b, 0x003e1061, 
      0x820fe039, 0x003f1081, 
      0x820fc038, 0x004010a1, 
      0x820fa038, 0x004110b1, 
      0x820f8037, 0x004210d1, 
      0x820f6035, 0x004410f1, 
      0x810f5035, 0x00451101, 
      0x810f3034, 0x00461121, 
      0x810f1033, 0x00471141, 
      0x810f0032, 0x00481151, 
      0x810ee031, 0x00491171, 
      0x810ec030, 0x004a1191, 
      0x800ea030, 0x004c11a1, 
      0x800e902e, 0x004d11c1, 
      0x800e702e, 0x004e11d1, 
      0x7f0e502e, 0x004f11f1, 
      0x7f0e302d, 0x00501211, 
      0x7f0e102c, 0x00521221, 
      0x7e0e002b, 0x00531241, 
      0x7e0de02b, 0x00541251, 
      0x7e0dc02a, 0x00551271, 
      0x7d0da02a, 0x00571281, 
      0x7d0d9028, 0x005812a1, 
      0x7c0d7028, 0x005912c1, 
      0x7c0d5027, 0x005b12d1, 
      0x7b0d3027, 0x005c12f1, 
      0x7b0d1027, 0x005d1301, 
      0x7a0d0025, 0x005f1321, 
      0x7a0ce025, 0x00601331, 
      0x790cc025, 0x00611351, 
      0x790ca024, 0x00631361, 
      0x780c8024, 0x00641381, 
      0x780c6023, 0x00661391, 
      0x770c5023, 0x006713a1, 
      0x760c3023, 0x006813c1, 
      0x760c1022, 0x006a13d1, 
      0x750c0021, 0x006b13f1, 
      0x740be021, 0x006d1401, 
      0x740bc020, 0x006e1421, 
      0x730ba020, 0x00701431, 
      0x720b9020, 0x00711441, 
      0x710b701f, 0x00731461, 
      0x710b501f, 0x00741471, 
      0x700b301f, 0x00761481, 
      0x6f0b101f, 0x007714a1, 
      0x6e0b001e, 0x007914b1, 
      0x6e0ae01e, 0x007a14c1, 
      0x6d0ac01e, 0x007c14d1, 
      0x6c0aa01d, 0x007e14f1, 
      0x6b0a901d, 0x007f1501, 
      0x6a0a701d, 0x00811511, 
      0x690a601d, 0x00821521, 
      0x680a401c, 0x00841541, 
      0x670a201c, 0x00861551, 
      0x660a001d, 0x00871561, 
      0x6509e01d, 0x00891571, 
      0x6409d01d, 0x008a1581, 
      0x6309b01c, 0x008c15a1, 
      0x6209901c, 0x008e15b1, 
      0x6109801c, 0x008f15c1, 
      0x6009601c, 0x009115d1, 
      0x5f09401c, 0x009315e1,
   },
   { /* UV scale factor = 0.11, phases = 127, taps = 5. */
      0x6015f092, 0x001b0941, 
      0x6115e091, 0x001b0951, 
      0x6215d08f, 0x001b0971, 
      0x6315c08d, 0x001b0991, 
      0x6415a08c, 0x001c09a1, 
      0x6515908a, 0x001c09c1, 
      0x66158088, 0x001c09e1, 
      0x67157086, 0x001c0a01, 
      0x68156085, 0x001c0a11, 
      0x69154084, 0x001c0a31, 
      0x6a153082, 0x001c0a51, 
      0x6b152081, 0x001c0a61, 
      0x6c15107e, 0x001d0a81, 
      0x6d14f07d, 0x001d0aa1, 
      0x6e14e07b, 0x001d0ac1, 
      0x6f14d07a, 0x001d0ad1, 
      0x6f14c078, 0x001e0af1, 
      0x7014a077, 0x001e0b11, 
      0x71149075, 0x001e0b31, 
      0x72148073, 0x001f0b41, 
      0x73146072, 0x001f0b61, 
      0x73145071, 0x001f0b81, 
      0x7414306f, 0x00200ba1, 
      0x7514206d, 0x00200bc1, 
      0x7614106c, 0x00200bd1, 
      0x7613f06b, 0x00210bf1, 
      0x7713e069, 0x00210c11, 
      0x7813c067, 0x00220c31, 
      0x7813b067, 0x00220c41, 
      0x7913a065, 0x00220c61, 
      0x79138064, 0x00230c81, 
      0x7a137062, 0x00230ca1, 
      0x7b135060, 0x00240cc1, 
      0x7b13405f, 0x00250cd1, 
      0x7c13205e, 0x00250cf1, 
      0x7c13105c, 0x00260d11, 
      0x7d12f05b, 0x00260d31, 
      0x7d12d05a, 0x00270d51, 
      0x7e12c059, 0x00270d61, 
      0x7e12a058, 0x00280d81, 
      0x7f129055, 0x00290da1, 
      0x7f127055, 0x00290dc1, 
      0x7f126053, 0x002a0de1, 
      0x80124052, 0x002b0df1, 
      0x80123051, 0x002b0e11, 
      0x80121050, 0x002c0e31, 
      0x8111f04e, 0x002d0e51, 
      0x8111d04d, 0x002e0e71, 
      0x8111c04d, 0x002e0e81, 
      0x8211a04b, 0x002f0ea1, 
      0x82119049, 0x00300ec1, 
      0x82117048, 0x00310ee1, 
      0x82115048, 0x00320ef1, 
      0x82114047, 0x00320f11, 
      0x83112045, 0x00330f31, 
      0x83110044, 0x00340f51, 
      0x8310f043, 0x00350f61, 
      0x8310d042, 0x00360f81, 
      0x8310b041, 0x00370fa1, 
      0x8310a03f, 0x00380fc1, 
      0x8310803f, 0x00390fd1, 
      0x8310603e, 0x003a0ff1, 
      0x8310403d, 0x003b1011, 
      0x8310303b, 0x003c1031, 
      0x8310103b, 0x003d1041, 
      0x830ff03a, 0x003e1061, 
      0x830fd039, 0x003f1081, 
      0x830fc037, 0x004010a1, 
      0x830fa037, 0x004110b1, 
      0x830f8036, 0x004210d1, 
      0x830f6035, 0x004310f1, 
      0x830f5034, 0x00441101, 
      0x830f3033, 0x00451121, 
      0x820f1033, 0x00461141, 
      0x820f0032, 0x00471151, 
      0x820ee031, 0x00481171, 
      0x820ec02f, 0x004a1191, 
      0x820ea02f, 0x004b11a1, 
      0x810e802f, 0x004c11c1, 
      0x810e702d, 0x004d11e1, 
      0x810e502d, 0x004e11f1, 
      0x800e302c, 0x00501211, 
      0x800e102c, 0x00511221, 
      0x800df02b, 0x00521241, 
      0x7f0de02a, 0x00531261, 
      0x7f0dc029, 0x00551271, 
      0x7f0da028, 0x00561291, 
      0x7e0d8029, 0x005712a1, 
      0x7e0d6027, 0x005912c1, 
      0x7d0d5027, 0x005a12d1, 
      0x7d0d3026, 0x005b12f1, 
      0x7c0d1025, 0x005d1311, 
      0x7c0cf025, 0x005e1321, 
      0x7b0cd025, 0x005f1341, 
      0x7b0cc023, 0x00611351, 
      0x7a0ca023, 0x00621371, 
      0x790c9023, 0x00631381, 
      0x790c6022, 0x006513a1, 
      0x780c4023, 0x006613b1, 
      0x780c3021, 0x006813c1, 
      0x770c1021, 0x006913e1, 
      0x760bf021, 0x006b13f1, 
      0x760bd020, 0x006c1411, 
      0x750bc01f, 0x006e1421, 
      0x740ba020, 0x006f1431, 
      0x730b801f, 0x00711451, 
      0x730b601f, 0x00721461, 
      0x720b401e, 0x00741481, 
      0x710b301e, 0x00751491, 
      0x700b101e, 0x007714a1, 
      0x6f0af01e, 0x007814c1, 
      0x6f0ad01d, 0x007a14d1, 
      0x6e0ac01d, 0x007b14e1, 
      0x6d0aa01d, 0x007d14f1, 
      0x6c0a801d, 0x007e1511, 
      0x6b0a601d, 0x00801521, 
      0x6a0a501c, 0x00821531, 
      0x690a301d, 0x00831541, 
      0x680a101c, 0x00851561, 
      0x670a001c, 0x00861571, 
      0x6609e01c, 0x00881581, 
      0x6509c01c, 0x008a1591, 
      0x6409b01c, 0x008b15a1, 
      0x6309901b, 0x008d15c1, 
      0x6209701b, 0x008f15d1, 
      0x6109501c, 0x009015e1, 
      0x6009401b, 0x009215f1,
   },
   { /* UV scale factor = 0.12, phases = 127, taps = 5. */
      0x61160091, 0x001b0931, 
      0x6215f08f, 0x001b0951, 
      0x6315e08e, 0x001b0961, 
      0x6415d08c, 0x001b0981, 
      0x6515b08b, 0x001b09a1, 
      0x6615b089, 0x001b09b1, 
      0x67159088, 0x001b09d1, 
      0x68158086, 0x001b09f1, 
      0x69157084, 0x001b0a11, 
      0x6a155083, 0x001c0a21, 
      0x6b154081, 0x001c0a41, 
      0x6c15307f, 0x001c0a61, 
      0x6d15207d, 0x001c0a81, 
      0x6e15007d, 0x001c0a91, 
      0x6f14f07a, 0x001d0ab1, 
      0x7014e078, 0x001d0ad1, 
      0x7114c077, 0x001d0af1, 
      0x7114c076, 0x001d0b01, 
      0x7214a074, 0x001e0b21, 
      0x73148073, 0x001e0b41, 
      0x74147071, 0x001e0b61, 
      0x7514606f, 0x001f0b71, 
      0x7514406f, 0x001f0b91, 
      0x7614306d, 0x001f0bb1, 
      0x7714106b, 0x00200bd1, 
      0x7714006a, 0x00200bf1, 
      0x7813e069, 0x00210c01, 
      0x7913d067, 0x00210c21, 
      0x7913c066, 0x00210c41, 
      0x7a13a064, 0x00220c61, 
      0x7b139062, 0x00220c81, 
      0x7b137062, 0x00230c91, 
      0x7c136060, 0x00230cb1, 
      0x7c13405f, 0x00240cd1, 
      0x7d13305d, 0x00240cf1, 
      0x7e13105b, 0x00250d11, 
      0x7e12f05b, 0x00260d21, 
      0x7f12e059, 0x00260d41, 
      0x7f12c058, 0x00270d61, 
      0x7f12b057, 0x00270d81, 
      0x80129055, 0x00280da1, 
      0x80128054, 0x00290db1, 
      0x81126053, 0x00290dd1, 
      0x81124052, 0x002a0df1, 
      0x81123050, 0x002b0e11, 
      0x8212104f, 0x002b0e31, 
      0x8212004e, 0x002c0e41, 
      0x8211e04d, 0x002d0e61, 
      0x8311c04b, 0x002e0e81, 
      0x8311b04a, 0x002e0ea1, 
      0x83119049, 0x002f0ec1, 
      0x84117048, 0x00300ed1, 
      0x84116046, 0x00310ef1, 
      0x84114045, 0x00320f11, 
      0x84112044, 0x00330f31, 
      0x84110044, 0x00330f51, 
      0x8410f043, 0x00340f61, 
      0x8510d041, 0x00350f81, 
      0x8510b040, 0x00360fa1, 
      0x8510a03e, 0x00370fc1, 
      0x8510803e, 0x00380fd1, 
      0x8510603d, 0x00390ff1, 
      0x8510403c, 0x003a1011, 
      0x8510303a, 0x003b1031, 
      0x8510103a, 0x003c1041, 
      0x850ff039, 0x003d1061, 
      0x850fd038, 0x003e1081, 
      0x850fb037, 0x003f10a1, 
      0x850fa036, 0x004010b1, 
      0x850f8035, 0x004110d1, 
      0x840f6035, 0x004210f1, 
      0x840f5034, 0x00431101, 
      0x840f3033, 0x00441121, 
      0x840f1032, 0x00451141, 
      0x840ef030, 0x00471161, 
      0x840ed030, 0x00481171, 
      0x830ec02f, 0x00491191, 
      0x830ea02e, 0x004a11b1, 
      0x830e802e, 0x004b11c1, 
      0x820e702d, 0x004c11e1, 
      0x820e402c, 0x004e1201, 
      0x820e302b, 0x004f1211, 
      0x810e102b, 0x00501231, 
      0x810df02b, 0x00511241, 
      0x810dd029, 0x00531261, 
      0x800db029, 0x00541281, 
      0x800da028, 0x00551291, 
      0x7f0d8028, 0x005612b1, 
      0x7f0d6027, 0x005812c1, 
      0x7f0d4026, 0x005912e1, 
      0x7e0d3026, 0x005a12f1, 
      0x7e0d0025, 0x005c1311, 
      0x7d0cf024, 0x005d1331, 
      0x7c0cd024, 0x005f1341, 
      0x7c0cb023, 0x00601361, 
      0x7b0ca023, 0x00611371, 
      0x7b0c7022, 0x00631391, 
      0x7a0c6022, 0x006413a1, 
      0x790c4021, 0x006613c1, 
      0x790c2021, 0x006713d1, 
      0x780c1021, 0x006813e1, 
      0x770bf020, 0x006a1401, 
      0x770bd020, 0x006b1411, 
      0x760bb01f, 0x006d1431, 
      0x750ba01f, 0x006e1441, 
      0x750b701e, 0x00701461, 
      0x740b601e, 0x00711471, 
      0x730b401e, 0x00731481, 
      0x720b201e, 0x007414a1, 
      0x710b001e, 0x007614b1, 
      0x710af01d, 0x007714c1, 
      0x700ad01c, 0x007914e1, 
      0x6f0ab01c, 0x007b14f1, 
      0x6e0a901d, 0x007c1501, 
      0x6d0a701c, 0x007e1521, 
      0x6c0a601c, 0x007f1531, 
      0x6b0a401c, 0x00811541, 
      0x6a0a301c, 0x00821551, 
      0x690a101b, 0x00841571, 
      0x6809f01b, 0x00861581, 
      0x6709d01c, 0x00871591, 
      0x6609b01c, 0x008915a1, 
      0x6509a01b, 0x008b15b1, 
      0x6409801b, 0x008c15d1, 
      0x6309601b, 0x008e15e1, 
      0x6209501a, 0x009015f1, 
      0x6109301b, 0x00911601,
   },
   { /* UV scale factor = 0.13, phases = 127, taps = 5. */
      0x62161091, 0x001a0921, 
      0x6316008f, 0x001a0941, 
      0x6415f08d, 0x001a0961, 
      0x6515e08c, 0x001a0971, 
      0x6615d08a, 0x001a0991, 
      0x6715b089, 0x001a09b1, 
      0x6915a086, 0x001b09c1, 
      0x6a159084, 0x001b09e1, 
      0x6b157083, 0x001b0a01, 
      0x6b156082, 0x001b0a21, 
      0x6c155081, 0x001b0a31, 
      0x6d15407f, 0x001b0a51, 
      0x6e15207d, 0x001c0a71, 
      0x6f15107b, 0x001c0a91, 
      0x7015007a, 0x001c0aa1, 
      0x7114e079, 0x001c0ac1, 
      0x7214d077, 0x001c0ae1, 
      0x7314b075, 0x001d0b01, 
      0x7414a074, 0x001d0b11, 
      0x7414a072, 0x001d0b31, 
      0x75148070, 0x001e0b51, 
      0x7614606f, 0x001e0b71, 
      0x7714506d, 0x001e0b91, 
      0x7714406c, 0x001f0ba1, 
      0x7814206b, 0x001f0bc1, 
      0x79141068, 0x00200be1, 
      0x7a13f067, 0x00200c01, 
      0x7a13e066, 0x00200c21, 
      0x7b13c065, 0x00210c31, 
      0x7c13b063, 0x00210c51, 
      0x7c139062, 0x00220c71, 
      0x7d138060, 0x00220c91, 
      0x7d13605f, 0x00230cb1, 
      0x7e13505d, 0x00230cd1, 
      0x7e13305d, 0x00240ce1, 
      0x7f13205b, 0x00240d01, 
      0x80130059, 0x00250d21, 
      0x8012e058, 0x00260d41, 
      0x8112d056, 0x00260d61, 
      0x8112b056, 0x00270d71, 
      0x8112a055, 0x00270d91, 
      0x82128053, 0x00280db1, 
      0x82126052, 0x00290dd1, 
      0x83125050, 0x00290df1, 
      0x8312304f, 0x002a0e11, 
      0x8312104f, 0x002b0e21, 
      0x8412004c, 0x002c0e41, 
      0x8411e04c, 0x002c0e61, 
      0x8411c04b, 0x002d0e81, 
      0x8511a049, 0x002e0ea1, 
      0x85119048, 0x002f0eb1, 
      0x85118047, 0x002f0ed1, 
      0x85116046, 0x00300ef1, 
      0x85114045, 0x00310f11, 
      0x86112043, 0x00320f31, 
      0x86111042, 0x00330f41, 
      0x8610f041, 0x00340f61, 
      0x8610d041, 0x00340f81, 
      0x8610b040, 0x00350fa1, 
      0x8610a03e, 0x00360fc1, 
      0x8610803e, 0x00370fd1, 
      0x8610603d, 0x00380ff1, 
      0x8610403c, 0x00391011, 
      0x8610303a, 0x003a1031, 
      0x8610103a, 0x003b1041, 
      0x860ff039, 0x003c1061, 
      0x860fd038, 0x003d1081, 
      0x860fc036, 0x003e10a1, 
      0x860fa036, 0x003f10b1, 
      0x860f8035, 0x004010d1, 
      0x860f6034, 0x004110f1, 
      0x860f4033, 0x00421111, 
      0x860f3031, 0x00441121, 
      0x850f1031, 0x00451141, 
      0x850ef030, 0x00461161, 
      0x850ed030, 0x00471171, 
      0x850eb02f, 0x00481191, 
      0x850ea02d, 0x004911b1, 
      0x840e802e, 0x004a11c1, 
      0x840e602c, 0x004c11e1, 
      0x840e402b, 0x004d1201, 
      0x830e302b, 0x004e1211, 
      0x830e102a, 0x004f1231, 
      0x830de029, 0x00511251, 
      0x820dd029, 0x00521261, 
      0x820db028, 0x00531281, 
      0x810d9028, 0x005412a1, 
      0x810d7027, 0x005612b1, 
      0x810d5026, 0x005712d1, 
      0x800d4026, 0x005812e1, 
      0x800d2024, 0x005a1301, 
      0x7f0d0025, 0x005b1311, 
      0x7e0cf024, 0x005c1331, 
      0x7e0cc023, 0x005e1351, 
      0x7d0cb023, 0x005f1361, 
      0x7d0c9022, 0x00601381, 
      0x7c0c7022, 0x00621391, 
      0x7c0c5021, 0x006313b1, 
      0x7b0c3021, 0x006513c1, 
      0x7a0c2020, 0x006613e1, 
      0x7a0c001f, 0x006813f1, 
      0x790be01f, 0x00691411, 
      0x780bc020, 0x006a1421, 
      0x770bb01f, 0x006c1431, 
      0x770b901e, 0x006d1451, 
      0x760b701e, 0x006f1461, 
      0x750b501e, 0x00701481, 
      0x740b301e, 0x00721491, 
      0x740b101e, 0x007314a1, 
      0x730b001c, 0x007514c1, 
      0x720ae01c, 0x007714d1, 
      0x710ac01d, 0x007814e1, 
      0x700aa01c, 0x007a1501, 
      0x6f0a901c, 0x007b1511, 
      0x6e0a701c, 0x007d1521, 
      0x6d0a501c, 0x007e1541, 
      0x6c0a301c, 0x00801551, 
      0x6b0a201b, 0x00821561, 
      0x6b0a001a, 0x00831581, 
      0x6a09e01a, 0x00851591, 
      0x6909c01a, 0x008715a1, 
      0x6709b01b, 0x008815b1, 
      0x6609901b, 0x008a15c1, 
      0x6509701b, 0x008b15e1, 
      0x6409601a, 0x008d15f1, 
      0x6309401a, 0x008f1601, 
      0x6209201a, 0x00911611,
   },
   { /* UV scale factor = 0.14, phases = 127, taps = 5. */
      0x63163090, 0x00190911, 
      0x6416208e, 0x00190931, 
      0x6615f08c, 0x001a0951, 
      0x6715f08a, 0x001a0961, 
      0x6815d089, 0x001a0981, 
      0x6915c087, 0x001a09a1, 
      0x6a15b085, 0x001a09c1, 
      0x6b15a084, 0x001a09d1, 
      0x6c159082, 0x001a09f1, 
      0x6d157081, 0x001a0a11, 
      0x6d15607f, 0x001b0a31, 
      0x6f15507d, 0x001b0a41, 
      0x7015307c, 0x001b0a61, 
      0x7115207a, 0x001b0a81, 
      0x71151079, 0x001b0aa1, 
      0x7214f078, 0x001c0ab1, 
      0x7314e076, 0x001c0ad1, 
      0x7414d074, 0x001c0af1, 
      0x7514b073, 0x001c0b11, 
      0x76149071, 0x001d0b31, 
      0x77148070, 0x001d0b41, 
      0x7714806e, 0x001d0b61, 
      0x7814606c, 0x001e0b81, 
      0x7914406b, 0x001e0ba1, 
      0x7a142069, 0x001f0bc1, 
      0x7a141069, 0x001f0bd1, 
      0x7b140067, 0x001f0bf1, 
      0x7c13e065, 0x00200c11, 
      0x7c13d064, 0x00200c31, 
      0x7d13b062, 0x00210c51, 
      0x7e13a060, 0x00210c71, 
      0x7e138060, 0x00220c81, 
      0x7f13705e, 0x00220ca1, 
      0x8013505c, 0x00230cc1, 
      0x8013405b, 0x00230ce1, 
      0x81132059, 0x00240d01, 
      0x81130059, 0x00240d21, 
      0x8212f057, 0x00250d31, 
      0x8212d057, 0x00250d51, 
      0x8312c054, 0x00260d71, 
      0x8312a053, 0x00270d91, 
      0x83128053, 0x00270db1, 
      0x84127050, 0x00280dd1, 
      0x84125050, 0x00290de1, 
      0x8512304f, 0x00290e01, 
      0x8512204d, 0x002a0e21, 
      0x8512004c, 0x002b0e41, 
      0x8611e04a, 0x002c0e61, 
      0x8611d049, 0x002c0e81, 
      0x8611b049, 0x002d0e91, 
      0x87119047, 0x002e0eb1, 
      0x87117046, 0x002f0ed1, 
      0x87116045, 0x002f0ef1, 
      0x87114044, 0x00300f11, 
      0x87113043, 0x00310f21, 
      0x88111041, 0x00320f41, 
      0x8810f040, 0x00330f61, 
      0x8810d03f, 0x00340f81, 
      0x8810b03e, 0x00350fa1, 
      0x8810a03e, 0x00350fb1, 
      0x8810803d, 0x00360fd1, 
      0x8810603c, 0x00370ff1, 
      0x8810403b, 0x00381011, 
      0x88103039, 0x00391031, 
      0x88101039, 0x003a1041, 
      0x880ff038, 0x003b1061, 
      0x880fd037, 0x003c1081, 
      0x880fb036, 0x003d10a1, 
      0x880fa035, 0x003e10b1, 
      0x880f8034, 0x003f10d1, 
      0x880f6033, 0x004010f1, 
      0x880f4031, 0x00421111, 
      0x870f2032, 0x00431121, 
      0x870f1030, 0x00441141, 
      0x870ef02f, 0x00451161, 
      0x870ed02e, 0x00461181, 
      0x870eb02e, 0x00471191, 
      0x860e902e, 0x004811b1, 
      0x860e702c, 0x004a11d1, 
      0x860e602b, 0x004b11e1, 
      0x850e402b, 0x004c1201, 
      0x850e202a, 0x004d1221, 
      0x850e002a, 0x004e1231, 
      0x840de029, 0x00501251, 
      0x840dc028, 0x00511271, 
      0x830db028, 0x00521281, 
      0x830d9027, 0x005312a1, 
      0x820d7026, 0x005512c1, 
      0x820d5026, 0x005612d1, 
      0x820d3025, 0x005712f1, 
      0x810d2024, 0x00591301, 
      0x810d0023, 0x005a1321, 
      0x800ce023, 0x005b1341, 
      0x800cc022, 0x005d1351, 
      0x7f0ca022, 0x005e1371, 
      0x7e0c9022, 0x005f1381, 
      0x7e0c6021, 0x006113a1, 
      0x7d0c5021, 0x006213b1, 
      0x7c0c3020, 0x006413d1, 
      0x7c0c1020, 0x006513e1, 
      0x7b0bf01f, 0x00671401, 
      0x7a0be01f, 0x00681411, 
      0x7a0bb01e, 0x006a1431, 
      0x790ba01e, 0x006b1441, 
      0x780b801e, 0x006c1461, 
      0x770b601e, 0x006e1471, 
      0x770b401e, 0x006f1481, 
      0x760b301c, 0x007114a1, 
      0x750b101c, 0x007314b1, 
      0x740af01c, 0x007414d1, 
      0x730ad01c, 0x007614e1, 
      0x720ac01c, 0x007714f1, 
      0x710aa01b, 0x00791511, 
      0x710a801b, 0x007a1521, 
      0x700a601b, 0x007c1531, 
      0x6f0a401a, 0x007e1551, 
      0x6e0a301a, 0x007f1561, 
      0x6d0a101a, 0x00811571, 
      0x6c09f01a, 0x00821591, 
      0x6b09d01a, 0x008415a1, 
      0x6a09c019, 0x008615b1, 
      0x6909a01a, 0x008715c1, 
      0x6809801a, 0x008915d1, 
      0x67096019, 0x008b15f1, 
      0x66095019, 0x008c1601, 
      0x6409301a, 0x008e1611, 
      0x6309101a, 0x00901621,
   },
   { /* UV scale factor = 0.15, phases = 127, taps = 5. */
      0x6516308f, 0x00190901, 
      0x6616208d, 0x00190921, 
      0x6716108b, 0x00190941, 
      0x68160089, 0x00190961, 
      0x6915f088, 0x00190971, 
      0x6a15d087, 0x00190991, 
      0x6b15c085, 0x001909b1, 
      0x6c15b084, 0x001909c1, 
      0x6d15a081, 0x001a09e1, 
      0x6e158080, 0x001a0a01, 
      0x6f15707e, 0x001a0a21, 
      0x7015607c, 0x001a0a41, 
      0x7115507b, 0x001a0a51, 
      0x7215307a, 0x001a0a71, 
      0x73152077, 0x001b0a91, 
      0x74150076, 0x001b0ab1, 
      0x7514f075, 0x001b0ac1, 
      0x7614e073, 0x001b0ae1, 
      0x7614c072, 0x001c0b01, 
      0x7714b070, 0x001c0b21, 
      0x7814906f, 0x001c0b41, 
      0x7914806d, 0x001d0b51, 
      0x7a14606c, 0x001d0b71, 
      0x7b14506a, 0x001d0b91, 
      0x7b143069, 0x001e0bb1, 
      0x7c142067, 0x001e0bd1, 
      0x7d140065, 0x001f0bf1, 
      0x7d13f065, 0x001f0c01, 
      0x7e13e063, 0x001f0c21, 
      0x7f13c061, 0x00200c41, 
      0x7f13b060, 0x00200c61, 
      0x8013905e, 0x00210c81, 
      0x8113705d, 0x00210ca1, 
      0x8113605c, 0x00220cb1, 
      0x8213405b, 0x00220cd1, 
      0x82133059, 0x00230cf1, 
      0x83131057, 0x00240d11, 
      0x8312f057, 0x00240d31, 
      0x8412d055, 0x00250d51, 
      0x8412c054, 0x00250d71, 
      0x8512a053, 0x00260d81, 
      0x85129051, 0x00270da1, 
      0x86127050, 0x00270dc1, 
      0x8612504f, 0x00280de1, 
      0x8612404d, 0x00290e01, 
      0x8712204c, 0x00290e21, 
      0x8712004b, 0x002a0e41, 
      0x8711f04a, 0x002b0e51, 
      0x8811d049, 0x002b0e71, 
      0x8811b048, 0x002c0e91, 
      0x8811a046, 0x002d0eb1, 
      0x89117045, 0x002e0ed1, 
      0x89116043, 0x002f0ef1, 
      0x89115043, 0x002f0f01, 
      0x89113042, 0x00300f21, 
      0x89111041, 0x00310f41, 
      0x8a10f03f, 0x00320f61, 
      0x8a10d03e, 0x00330f81, 
      0x8a10b03d, 0x00340fa1, 
      0x8a10a03c, 0x00350fb1, 
      0x8a10803b, 0x00360fd1, 
      0x8a10603b, 0x00360ff1, 
      0x8a10403a, 0x00371011, 
      0x8a103038, 0x00381031, 
      0x8a101038, 0x00391041, 
      0x8a0ff037, 0x003a1061, 
      0x8a0fd036, 0x003b1081, 
      0x8a0fb035, 0x003c10a1, 
      0x8a0fa033, 0x003d10c1, 
      0x8a0f8033, 0x003e10d1, 
      0x8a0f6031, 0x004010f1, 
      0x890f4031, 0x00411111, 
      0x890f2030, 0x00421131, 
      0x890f0030, 0x00431141, 
      0x890ef02e, 0x00441161, 
      0x890ed02d, 0x00451181, 
      0x880eb02d, 0x004611a1, 
      0x880e902d, 0x004711b1, 
      0x880e702b, 0x004911d1, 
      0x870e502b, 0x004a11f1, 
      0x870e402a, 0x004b1201, 
      0x870e2029, 0x004c1221, 
      0x860e0029, 0x004d1241, 
      0x860de028, 0x004f1251, 
      0x860dc027, 0x00501271, 
      0x850da027, 0x00511291, 
      0x850d9026, 0x005212a1, 
      0x840d7025, 0x005412c1, 
      0x840d5024, 0x005512e1, 
      0x830d3025, 0x005612f1, 
      0x830d1023, 0x00581311, 
      0x820cf023, 0x00591331, 
      0x820cd023, 0x005a1341, 
      0x810cb022, 0x005c1361, 
      0x810ca021, 0x005d1371, 
      0x800c8021, 0x005e1391, 
      0x7f0c6021, 0x006013a1, 
      0x7f0c4020, 0x006113c1, 
      0x7e0c2020, 0x006313d1, 
      0x7d0c0020, 0x006413f1, 
      0x7d0bf01e, 0x00661401, 
      0x7c0bd01e, 0x00671421, 
      0x7b0bb01e, 0x00691431, 
      0x7b0b901d, 0x006a1451, 
      0x7a0b701e, 0x006b1461, 
      0x790b501d, 0x006d1481, 
      0x780b401d, 0x006e1491, 
      0x770b201c, 0x007014b1, 
      0x760b001c, 0x007214c1, 
      0x760ae01b, 0x007314e1, 
      0x750ac01b, 0x007514f1, 
      0x740ab01b, 0x00761501, 
      0x730a901a, 0x00781521, 
      0x720a701b, 0x00791531, 
      0x710a501b, 0x007b1541, 
      0x700a301a, 0x007d1561, 
      0x6f0a201a, 0x007e1571, 
      0x6e0a001a, 0x00801581, 
      0x6d09e01a, 0x008115a1, 
      0x6c09c01a, 0x008315b1, 
      0x6b09b019, 0x008515c1, 
      0x6a09901a, 0x008615d1, 
      0x69097019, 0x008815f1, 
      0x68096018, 0x008a1601, 
      0x67094019, 0x008b1611, 
      0x66092019, 0x008d1621, 
      0x65090019, 0x008f1631,
   },
   { /* UV scale factor = 0.16, phases = 127, taps = 5. */
      0x6616508e, 0x001808f1, 
      0x6716408c, 0x00180911, 
      0x6816208b, 0x00180931, 
      0x69161089, 0x00180951, 
      0x6b160087, 0x00180961, 
      0x6c15f085, 0x00180981, 
      0x6d15d083, 0x001909a1, 
      0x6d15c082, 0x001909c1, 
      0x6f15b080, 0x001909d1, 
      0x7015a07e, 0x001909f1, 
      0x7115807d, 0x00190a11, 
      0x7215707b, 0x00190a31, 
      0x7315507a, 0x001a0a41, 
      0x74154078, 0x001a0a61, 
      0x75153076, 0x001a0a81, 
      0x75151076, 0x001a0aa1, 
      0x76150074, 0x001a0ac1, 
      0x7714f072, 0x001b0ad1, 
      0x7814d071, 0x001b0af1, 
      0x7914c06f, 0x001b0b11, 
      0x7a14a06d, 0x001c0b31, 
      0x7b14906b, 0x001c0b51, 
      0x7b14706b, 0x001c0b71, 
      0x7c146069, 0x001d0b81, 
      0x7d144068, 0x001d0ba1, 
      0x7e143066, 0x001d0bc1, 
      0x7e141065, 0x001e0be1, 
      0x7f140063, 0x001e0c01, 
      0x8013e061, 0x001f0c21, 
      0x8113d060, 0x001f0c31, 
      0x8113b05f, 0x00200c51, 
      0x8213905e, 0x00200c71, 
      0x8213805c, 0x00210c91, 
      0x8313605b, 0x00210cb1, 
      0x84134059, 0x00220cd1, 
      0x84133058, 0x00220cf1, 
      0x85131057, 0x00230d01, 
      0x85130056, 0x00230d21, 
      0x8612e054, 0x00240d41, 
      0x8612d052, 0x00250d61, 
      0x8712b051, 0x00250d81, 
      0x87129050, 0x00260da1, 
      0x8812804e, 0x00260dc1, 
      0x8812604d, 0x00270de1, 
      0x8812404d, 0x00280df1, 
      0x8912204c, 0x00280e11, 
      0x8912104a, 0x00290e31, 
      0x8911f049, 0x002a0e51, 
      0x8a11d047, 0x002b0e71, 
      0x8a11c046, 0x002b0e91, 
      0x8a11a045, 0x002c0eb1, 
      0x8b118044, 0x002d0ec1, 
      0x8b116043, 0x002e0ee1, 
      0x8b115041, 0x002f0f01, 
      0x8b113041, 0x002f0f21, 
      0x8b111040, 0x00300f41, 
      0x8b10f03f, 0x00310f61, 
      0x8c10d03d, 0x00320f81, 
      0x8c10c03c, 0x00330f91, 
      0x8c10a03b, 0x00340fb1, 
      0x8c10803a, 0x00350fd1, 
      0x8c106039, 0x00360ff1, 
      0x8c104038, 0x00371011, 
      0x8c103037, 0x00371031, 
      0x8c101037, 0x00381041, 
      0x8c0ff036, 0x00391061, 
      0x8c0fd035, 0x003a1081, 
      0x8c0fb034, 0x003b10a1, 
      0x8c0f9033, 0x003c10c1, 
      0x8c0f8031, 0x003e10d1, 
      0x8b0f6031, 0x003f10f1, 
      0x8b0f4030, 0x00401111, 
      0x8b0f202f, 0x00411131, 
      0x8b0f002e, 0x00421151, 
      0x8b0ee02e, 0x00431161, 
      0x8b0ec02d, 0x00441181, 
      0x8a0eb02c, 0x004511a1, 
      0x8a0e902b, 0x004611c1, 
      0x8a0e702a, 0x004811d1, 
      0x890e502a, 0x004911f1, 
      0x890e3029, 0x004a1211, 
      0x890e1029, 0x004b1221, 
      0x880e0028, 0x004c1241, 
      0x880dd027, 0x004e1261, 
      0x880db026, 0x004f1281, 
      0x870da026, 0x00501291, 
      0x870d8025, 0x005112b1, 
      0x860d6024, 0x005312d1, 
      0x860d4024, 0x005412e1, 
      0x850d2024, 0x00551301, 
      0x850d0023, 0x00571311, 
      0x840cf022, 0x00581331, 
      0x840cd021, 0x00591351, 
      0x830cb021, 0x005b1361, 
      0x820c9021, 0x005c1381, 
      0x820c7021, 0x005d1391, 
      0x810c5020, 0x005f13b1, 
      0x810c301f, 0x006013d1, 
      0x800c201e, 0x006213e1, 
      0x7f0c001e, 0x00631401, 
      0x7e0be01e, 0x00651411, 
      0x7e0bc01d, 0x00661431, 
      0x7d0ba01e, 0x00671441, 
      0x7c0b801d, 0x00691461, 
      0x7b0b701d, 0x006a1471, 
      0x7b0b401c, 0x006c1491, 
      0x7a0b301c, 0x006d14a1, 
      0x790b101b, 0x006f14c1, 
      0x780af01c, 0x007014d1, 
      0x770ad01b, 0x007214f1, 
      0x760ac01a, 0x00741501, 
      0x750aa01b, 0x00751511, 
      0x750a8019, 0x00771531, 
      0x740a601a, 0x00781541, 
      0x730a401a, 0x007a1551, 
      0x720a2019, 0x007c1571, 
      0x710a1019, 0x007d1581, 
      0x7009f018, 0x007f15a1, 
      0x6f09d019, 0x008015b1, 
      0x6e09c018, 0x008215c1, 
      0x6d09a018, 0x008415d1, 
      0x6c098018, 0x008515f1, 
      0x6a096019, 0x00871601, 
      0x69095018, 0x00891611, 
      0x68093019, 0x008a1621, 
      0x67091018, 0x008c1641, 
      0x6608f018, 0x008e1651,
   },
   { /* UV scale factor = 0.17, phases = 127, taps = 5. */
      0x6716708d, 0x001708e1, 
      0x6916508b, 0x00170901, 
      0x6a164089, 0x00170921, 
      0x6b163087, 0x00170941, 
      0x6c161086, 0x00180951, 
      0x6d160084, 0x00180971, 
      0x6e15f082, 0x00180991, 
      0x6f15d081, 0x001809b1, 
      0x7015c080, 0x001809c1, 
      0x7115b07e, 0x001809e1, 
      0x7215907d, 0x00180a01, 
      0x7315807a, 0x00190a21, 
      0x74157079, 0x00190a31, 
      0x75155078, 0x00190a51, 
      0x76154076, 0x00190a71, 
      0x77152075, 0x00190a91, 
      0x78151072, 0x001a0ab1, 
      0x79150070, 0x001a0ad1, 
      0x7a14e070, 0x001a0ae1, 
      0x7b14d06d, 0x001b0b01, 
      0x7c14b06c, 0x001b0b21, 
      0x7c14a06b, 0x001b0b41, 
      0x7d148069, 0x001c0b61, 
      0x7e147067, 0x001c0b81, 
      0x7f145067, 0x001c0b91, 
      0x80144064, 0x001d0bb1, 
      0x80142064, 0x001d0bd1, 
      0x81141061, 0x001e0bf1, 
      0x8213f060, 0x001e0c11, 
      0x8213d060, 0x001e0c31, 
      0x8313c05d, 0x001f0c51, 
      0x8413a05d, 0x001f0c61, 
      0x8413905b, 0x00200c81, 
      0x8513705a, 0x00200ca1, 
      0x86135058, 0x00210cc1, 
      0x86134057, 0x00210ce1, 
      0x87132055, 0x00220d01, 
      0x87130054, 0x00230d21, 
      0x8812f052, 0x00230d41, 
      0x8812d052, 0x00240d51, 
      0x8912b051, 0x00240d71, 
      0x8912a04f, 0x00250d91, 
      0x8a12804d, 0x00260db1, 
      0x8a12604d, 0x00260dd1, 
      0x8a12504b, 0x00270df1, 
      0x8b12204a, 0x00280e11, 
      0x8b121049, 0x00280e31, 
      0x8b11f048, 0x00290e51, 
      0x8c11e046, 0x002a0e61, 
      0x8c11c046, 0x002a0e81, 
      0x8c11a045, 0x002b0ea1, 
      0x8d118043, 0x002c0ec1, 
      0x8d116042, 0x002d0ee1, 
      0x8d115040, 0x002e0f01, 
      0x8d113040, 0x002e0f21, 
      0x8d11103f, 0x002f0f41, 
      0x8e10f03e, 0x00300f51, 
      0x8e10d03d, 0x00310f71, 
      0x8e10c03b, 0x00320f91, 
      0x8e10a03a, 0x00330fb1, 
      0x8e108039, 0x00340fd1, 
      0x8e106038, 0x00350ff1, 
      0x8e104037, 0x00361011, 
      0x8e103037, 0x00361021, 
      0x8e101036, 0x00371041, 
      0x8e0ff035, 0x00381061, 
      0x8e0fd034, 0x00391081, 
      0x8e0fb033, 0x003a10a1, 
      0x8e0f9032, 0x003b10c1, 
      0x8e0f8031, 0x003c10d1, 
      0x8e0f5030, 0x003e10f1, 
      0x8d0f402f, 0x003f1111, 
      0x8d0f202e, 0x00401131, 
      0x8d0f002d, 0x00411151, 
      0x8d0ee02d, 0x00421161, 
      0x8d0ec02c, 0x00431181, 
      0x8c0ea02c, 0x004411a1, 
      0x8c0e802b, 0x004511c1, 
      0x8c0e602a, 0x004611e1, 
      0x8b0e5029, 0x004811f1, 
      0x8b0e3028, 0x00491211, 
      0x8b0e1027, 0x004a1231, 
      0x8a0df027, 0x004b1251, 
      0x8a0dd027, 0x004c1261, 
      0x8a0db025, 0x004e1281, 
      0x890d9025, 0x004f12a1, 
      0x890d7025, 0x005012b1, 
      0x880d5024, 0x005212d1, 
      0x880d3023, 0x005312f1, 
      0x870d2023, 0x00541301, 
      0x870d0022, 0x00551321, 
      0x860ce021, 0x00571341, 
      0x860cc021, 0x00581351, 
      0x850ca020, 0x005a1371, 
      0x840c8020, 0x005b1391, 
      0x840c6020, 0x005c13a1, 
      0x830c501e, 0x005e13c1, 
      0x820c301f, 0x005f13d1, 
      0x820c101e, 0x006013f1, 
      0x810bf01d, 0x00621411, 
      0x800bd01e, 0x00631421, 
      0x800bb01c, 0x00651441, 
      0x7f0b901d, 0x00661451, 
      0x7e0b801b, 0x00681471, 
      0x7d0b601c, 0x00691481, 
      0x7c0b401b, 0x006b14a1, 
      0x7c0b201b, 0x006c14b1, 
      0x7b0b001a, 0x006e14d1, 
      0x7a0ae01b, 0x006f14e1, 
      0x790ac01a, 0x00711501, 
      0x780ab01a, 0x00721511, 
      0x770a901a, 0x00741521, 
      0x760a7019, 0x00761541, 
      0x750a6019, 0x00771551, 
      0x740a3019, 0x00791571, 
      0x730a2019, 0x007a1581, 
      0x720a0019, 0x007c1591, 
      0x7109e018, 0x007e15b1, 
      0x7009c019, 0x007f15c1, 
      0x6f09b018, 0x008115d1, 
      0x6e099017, 0x008315f1, 
      0x6d097018, 0x00841601, 
      0x6c095018, 0x00861611, 
      0x6b093017, 0x00881631, 
      0x6a092017, 0x00891641, 
      0x69090017, 0x008b1651, 
      0x6708e018, 0x008d1661,
   },
   { /* UV scale factor = 0.18, phases = 127, taps = 5. */
      0x6916808c, 0x001608d1, 
      0x6a16708a, 0x001608f1, 
      0x6b165088, 0x00170911, 
      0x6c164087, 0x00170921, 
      0x6e163084, 0x00170941, 
      0x6f161083, 0x00170961, 
      0x70160081, 0x00170981, 
      0x7115f07f, 0x001709a1, 
      0x7215d07f, 0x001709b1, 
      0x7315c07d, 0x001709d1, 
      0x7415b07a, 0x001809f1, 
      0x75159079, 0x00180a11, 
      0x76158078, 0x00180a21, 
      0x77157076, 0x00180a41, 
      0x78155075, 0x00180a61, 
      0x79154072, 0x00190a81, 
      0x7a152071, 0x00190aa1, 
      0x7b15106f, 0x00190ac1, 
      0x7c14f06f, 0x00190ad1, 
      0x7d14e06c, 0x001a0af1, 
      0x7d14c06c, 0x001a0b11, 
      0x7e14b06a, 0x001a0b31, 
      0x7f149068, 0x001b0b51, 
      0x80148066, 0x001b0b71, 
      0x80146065, 0x001c0b91, 
      0x82145063, 0x001c0ba1, 
      0x82143063, 0x001c0bc1, 
      0x83141061, 0x001d0be1, 
      0x8414005f, 0x001d0c01, 
      0x8413e05e, 0x001e0c21, 
      0x8513d05c, 0x001e0c41, 
      0x8613a05b, 0x001f0c61, 
      0x8613905a, 0x001f0c81, 
      0x87138058, 0x00200c91, 
      0x88136057, 0x00200cb1, 
      0x88134056, 0x00210cd1, 
      0x89133054, 0x00210cf1, 
      0x89131053, 0x00220d11, 
      0x8a12f052, 0x00220d31, 
      0x8a12e050, 0x00230d51, 
      0x8b12c04f, 0x00230d71, 
      0x8b12a04e, 0x00240d91, 
      0x8c12804c, 0x00250db1, 
      0x8c12704b, 0x00250dd1, 
      0x8d12504a, 0x00260de1, 
      0x8d123049, 0x00270e01, 
      0x8d122048, 0x00270e21, 
      0x8e120046, 0x00280e41, 
      0x8e11e045, 0x00290e61, 
      0x8e11c044, 0x002a0e81, 
      0x8f11a043, 0x002a0ea1, 
      0x8f118042, 0x002b0ec1, 
      0x8f117040, 0x002c0ee1, 
      0x8f11503f, 0x002d0f01, 
      0x8f11403f, 0x002d0f11, 
      0x9011103e, 0x002e0f31, 
      0x9010f03d, 0x002f0f51, 
      0x9010e03b, 0x00300f71, 
      0x9010c03a, 0x00310f91, 
      0x9010a039, 0x00320fb1, 
      0x90108038, 0x00330fd1, 
      0x90106037, 0x00340ff1, 
      0x90104037, 0x00341011, 
      0x90103036, 0x00351021, 
      0x90101035, 0x00361041, 
      0x900ff034, 0x00371061, 
      0x900fd033, 0x00381081, 
      0x900fb032, 0x003910a1, 
      0x900f9031, 0x003a10c1, 
      0x900f7030, 0x003b10e1, 
      0x900f5030, 0x003c10f1, 
      0x900f302f, 0x003d1111, 
      0x8f0f102e, 0x003f1131, 
      0x8f0f002c, 0x00401151, 
      0x8f0ee02b, 0x00411171, 
      0x8f0ec02b, 0x00421181, 
      0x8f0ea02a, 0x004311a1, 
      0x8e0e802a, 0x004411c1, 
      0x8e0e6029, 0x004511e1, 
      0x8e0e4028, 0x00461201, 
      0x8d0e2028, 0x00481211, 
      0x8d0e0027, 0x00491231, 
      0x8d0de026, 0x004a1251, 
      0x8c0dd025, 0x004b1271, 
      0x8c0db024, 0x004d1281, 
      0x8b0d9024, 0x004e12a1, 
      0x8b0d7023, 0x004f12c1, 
      0x8a0d5023, 0x005012e1, 
      0x8a0d3022, 0x005212f1, 
      0x890d1022, 0x00531311, 
      0x890cf021, 0x00541331, 
      0x880cd021, 0x00561341, 
      0x880cb020, 0x00571361, 
      0x870c9020, 0x00581381, 
      0x860c801f, 0x005a1391, 
      0x860c601e, 0x005b13b1, 
      0x850c401e, 0x005c13d1, 
      0x840c201e, 0x005e13e1, 
      0x840c001d, 0x005f1401, 
      0x830be01d, 0x00611411, 
      0x820bc01d, 0x00621431, 
      0x820ba01b, 0x00641451, 
      0x810b901b, 0x00651461, 
      0x800b601b, 0x00671481, 
      0x7f0b501b, 0x00681491, 
      0x7e0b301a, 0x006a14b1, 
      0x7d0b101b, 0x006b14c1, 
      0x7d0af019, 0x006d14e1, 
      0x7c0ad01a, 0x006e14f1, 
      0x7b0ab019, 0x00701511, 
      0x7a0aa019, 0x00711521, 
      0x790a8018, 0x00731541, 
      0x780a6019, 0x00741551, 
      0x770a4019, 0x00761561, 
      0x760a2018, 0x00781581, 
      0x750a1018, 0x00791591, 
      0x7409f017, 0x007b15b1, 
      0x7309d018, 0x007c15c1, 
      0x7209b018, 0x007e15d1, 
      0x71099017, 0x008015f1, 
      0x70098017, 0x00811601, 
      0x6f096017, 0x00831611, 
      0x6e094016, 0x00851631, 
      0x6c093017, 0x00861641, 
      0x6b091017, 0x00881651, 
      0x6a08f017, 0x008a1661, 
      0x6908d016, 0x008c1681,
   },
   { /* UV scale factor = 0.19, phases = 127, taps = 5. */
      0x6b16908a, 0x001608c1, 
      0x6c168088, 0x001608e1, 
      0x6d167086, 0x00160901, 
      0x6e165086, 0x00160911, 
      0x6f164084, 0x00160931, 
      0x70163082, 0x00160951, 
      0x72161080, 0x00160971, 
      0x7316007f, 0x00160981, 
      0x7415f07d, 0x001609a1, 
      0x7515d07b, 0x001709c1, 
      0x7615c079, 0x001709e1, 
      0x7715b077, 0x00170a01, 
      0x78159077, 0x00170a11, 
      0x79158075, 0x00170a31, 
      0x7a156073, 0x00180a51, 
      0x7b155071, 0x00180a71, 
      0x7c153070, 0x00180a91, 
      0x7d15206e, 0x00180ab1, 
      0x7e15006d, 0x00190ac1, 
      0x7f14f06b, 0x00190ae1, 
      0x7f14e06a, 0x00190b01, 
      0x8014c068, 0x001a0b21, 
      0x8114a067, 0x001a0b41, 
      0x82149065, 0x001a0b61, 
      0x83147063, 0x001b0b81, 
      0x84145062, 0x001b0ba1, 
      0x85144061, 0x001b0bb1, 
      0x85142060, 0x001c0bd1, 
      0x8614105e, 0x001c0bf1, 
      0x8713f05c, 0x001d0c11, 
      0x8713d05c, 0x001d0c31, 
      0x8813c059, 0x001e0c51, 
      0x8913a058, 0x001e0c71, 
      0x89138057, 0x001f0c91, 
      0x8a137055, 0x001f0cb1, 
      0x8a135054, 0x00200cd1, 
      0x8b133054, 0x00200ce1, 
      0x8c132051, 0x00210d01, 
      0x8c130051, 0x00210d21, 
      0x8d12e04f, 0x00220d41, 
      0x8d12d04e, 0x00220d61, 
      0x8e12b04c, 0x00230d81, 
      0x8e12904b, 0x00240da1, 
      0x8e12704b, 0x00240dc1, 
      0x8f125049, 0x00250de1, 
      0x8f124047, 0x00260e01, 
      0x90122046, 0x00260e21, 
      0x90120045, 0x00270e41, 
      0x9011e044, 0x00280e61, 
      0x9111c042, 0x00290e81, 
      0x9111b042, 0x00290e91, 
      0x91119041, 0x002a0eb1, 
      0x91117040, 0x002b0ed1, 
      0x9211503e, 0x002c0ef1, 
      0x9211303e, 0x002c0f11, 
      0x9211103d, 0x002d0f31, 
      0x9210f03c, 0x002e0f51, 
      0x9210e03a, 0x002f0f71, 
      0x9210c039, 0x00300f91, 
      0x93109038, 0x00310fb1, 
      0x92108037, 0x00320fd1, 
      0x93106036, 0x00320ff1, 
      0x93104036, 0x00331001, 
      0x93102035, 0x00341021, 
      0x93100034, 0x00351041, 
      0x930ff032, 0x00361061, 
      0x930fd031, 0x00371081, 
      0x930fb030, 0x003810a1, 
      0x920f9030, 0x003910c1, 
      0x920f702f, 0x003a10e1, 
      0x920f502f, 0x003b10f1, 
      0x920f302e, 0x003c1111, 
      0x920f102d, 0x003d1131, 
      0x920ef02c, 0x003e1151, 
      0x910ed02b, 0x00401171, 
      0x910eb02a, 0x00411191, 
      0x910e9029, 0x004211b1, 
      0x910e8028, 0x004311c1, 
      0x900e6028, 0x004411e1, 
      0x900e4027, 0x00451201, 
      0x900e2026, 0x00461221, 
      0x8f0e0025, 0x00481241, 
      0x8f0de025, 0x00491251, 
      0x8e0dc025, 0x004a1271, 
      0x8e0da024, 0x004b1291, 
      0x8d0d8023, 0x004d12b1, 
      0x8d0d6023, 0x004e12c1, 
      0x8d0d4022, 0x004f12e1, 
      0x8c0d2022, 0x00501301, 
      0x8c0d0020, 0x00521321, 
      0x8b0ce021, 0x00531331, 
      0x8a0cd020, 0x00541351, 
      0x8a0ca01f, 0x00561371, 
      0x890c901f, 0x00571381, 
      0x890c701e, 0x005813a1, 
      0x880c501d, 0x005a13c1, 
      0x870c301e, 0x005b13d1, 
      0x870c101c, 0x005d13f1, 
      0x860bf01c, 0x005e1411, 
      0x850be01c, 0x005f1421, 
      0x840bb01c, 0x00611441, 
      0x840ba01b, 0x00621451, 
      0x830b801a, 0x00641471, 
      0x820b601a, 0x00651491, 
      0x810b401a, 0x006714a1, 
      0x800b201a, 0x006814c1, 
      0x7f0b001a, 0x006a14d1, 
      0x7f0ae019, 0x006b14f1, 
      0x7e0ac019, 0x006d1501, 
      0x7d0ab018, 0x006e1521, 
      0x7c0a9018, 0x00701531, 
      0x7b0a7017, 0x00721551, 
      0x7a0a5018, 0x00731561, 
      0x790a3017, 0x00751581, 
      0x780a1018, 0x00761591, 
      0x770a0016, 0x007815b1, 
      0x7609e016, 0x007a15c1, 
      0x7509c017, 0x007b15d1, 
      0x7409a016, 0x007d15f1, 
      0x73098016, 0x007f1601, 
      0x72096016, 0x00801621, 
      0x70095016, 0x00821631, 
      0x6f093016, 0x00841641, 
      0x6e092016, 0x00851651, 
      0x6d090015, 0x00871671, 
      0x6c08e015, 0x00891681, 
      0x6b08c016, 0x008a1691,
   },
   { /* UV scale factor = 0.20, phases = 127, taps = 5. */
      0x6c16b089, 0x001508b1, 
      0x6e169087, 0x001508d1, 
      0x6f168086, 0x001508e1, 
      0x70167084, 0x00150901, 
      0x71166082, 0x00150921, 
      0x72164081, 0x00150941, 
      0x7316407f, 0x00150951, 
      0x7516207d, 0x00150971, 
      0x7616007b, 0x00160991, 
      0x7715f079, 0x001609b1, 
      0x7815d078, 0x001609d1, 
      0x7915c077, 0x001609e1, 
      0x7a15b075, 0x00160a01, 
      0x7b159073, 0x00170a21, 
      0x7c158071, 0x00170a41, 
      0x7d156070, 0x00170a61, 
      0x7e15506e, 0x00170a81, 
      0x7e15306d, 0x00180aa1, 
      0x8015206b, 0x00180ab1, 
      0x8115006a, 0x00180ad1, 
      0x8214e069, 0x00180af1, 
      0x8214d067, 0x00190b11, 
      0x8314b066, 0x00190b31, 
      0x8414a064, 0x00190b51, 
      0x85148062, 0x001a0b71, 
      0x86146061, 0x001a0b91, 
      0x8714505f, 0x001b0ba1, 
      0x8714305f, 0x001b0bc1, 
      0x8814205d, 0x001b0be1, 
      0x8914005b, 0x001c0c01, 
      0x8a13e05a, 0x001c0c21, 
      0x8a13d058, 0x001d0c41, 
      0x8b13b057, 0x001d0c61, 
      0x8c139055, 0x001e0c81, 
      0x8c137055, 0x001e0ca1, 
      0x8d135053, 0x001f0cc1, 
      0x8d134052, 0x001f0ce1, 
      0x8e132050, 0x00200d01, 
      0x8e130050, 0x00200d21, 
      0x8f12f04d, 0x00210d41, 
      0x8f12d04c, 0x00220d61, 
      0x9012b04c, 0x00220d71, 
      0x9012904b, 0x00230d91, 
      0x91128049, 0x00230db1, 
      0x91126048, 0x00240dd1, 
      0x92124046, 0x00250df1, 
      0x92122046, 0x00250e11, 
      0x92121044, 0x00260e31, 
      0x9311e043, 0x00270e51, 
      0x9311d042, 0x00270e71, 
      0x9311b041, 0x00280e91, 
      0x9411903f, 0x00290eb1, 
      0x9411703e, 0x002a0ed1, 
      0x9411503d, 0x002b0ef1, 
      0x9411303d, 0x002b0f11, 
      0x9511103b, 0x002c0f31, 
      0x9510f03a, 0x002d0f51, 
      0x9510d039, 0x002e0f71, 
      0x9510b038, 0x002f0f91, 
      0x95109037, 0x00300fb1, 
      0x95108037, 0x00300fc1, 
      0x95106036, 0x00310fe1, 
      0x95104035, 0x00321001, 
      0x95102034, 0x00331021, 
      0x95100033, 0x00341041, 
      0x950fe032, 0x00351061, 
      0x950fc031, 0x00361081, 
      0x950fb02f, 0x003710a1, 
      0x950f902e, 0x003810c1, 
      0x950f702d, 0x003910e1, 
      0x950f502c, 0x003a1101, 
      0x950f302c, 0x003b1111, 
      0x940f102c, 0x003c1131, 
      0x940ef02b, 0x003d1151, 
      0x940ed02a, 0x003e1171, 
      0x940eb029, 0x003f1191, 
      0x930e9028, 0x004111b1, 
      0x930e7027, 0x004211d1, 
      0x930e5027, 0x004311e1, 
      0x920e3027, 0x00441201, 
      0x920e1026, 0x00451221, 
      0x920df025, 0x00461241, 
      0x910dd024, 0x00481261, 
      0x910db023, 0x00491281, 
      0x900da023, 0x004a1291, 
      0x900d7023, 0x004b12b1, 
      0x8f0d6021, 0x004d12d1, 
      0x8f0d4020, 0x004e12f1, 
      0x8e0d2021, 0x004f1301, 
      0x8e0d0020, 0x00501321, 
      0x8d0ce01f, 0x00521341, 
      0x8d0cc01e, 0x00531361, 
      0x8c0ca01f, 0x00541371, 
      0x8c0c801d, 0x00561391, 
      0x8b0c601d, 0x005713b1, 
      0x8a0c401d, 0x005813d1, 
      0x8a0c201c, 0x005a13e1, 
      0x890c001c, 0x005b1401, 
      0x880be01b, 0x005d1421, 
      0x870bd01b, 0x005e1431, 
      0x870ba01a, 0x00601451, 
      0x860b901a, 0x00611461, 
      0x850b701a, 0x00621481, 
      0x840b5019, 0x006414a1, 
      0x830b301a, 0x006514b1, 
      0x820b1019, 0x006714d1, 
      0x820af019, 0x006814e1, 
      0x810ad018, 0x006a1501, 
      0x800ab017, 0x006c1521, 
      0x7f0aa017, 0x006d1531, 
      0x7e0a7017, 0x006f1551, 
      0x7d0a6017, 0x00701561, 
      0x7c0a4016, 0x00721581, 
      0x7b0a2017, 0x00731591, 
      0x7a0a0016, 0x007515b1, 
      0x7909e016, 0x007715c1, 
      0x7809d016, 0x007815d1, 
      0x7709b015, 0x007a15f1, 
      0x76099015, 0x007c1601, 
      0x75097015, 0x007d1621, 
      0x73095016, 0x007f1631, 
      0x72094015, 0x00811641, 
      0x71092015, 0x00821661, 
      0x70090015, 0x00841671, 
      0x6f08e015, 0x00861681, 
      0x6e08d014, 0x008716a1, 
      0x6c08b015, 0x008916b1,
   },
   { /* UV scale factor = 0.21, phases = 127, taps = 5. */
      0x6e16d087, 0x001408a1, 
      0x6f16b087, 0x001408b1, 
      0x7116a084, 0x001408d1, 
      0x72169082, 0x001408f1, 
      0x73167081, 0x00140911, 
      0x74166080, 0x00140921, 
      0x7516507e, 0x00140941, 
      0x7616307c, 0x00150961, 
      0x7816107a, 0x00150981, 
      0x79160078, 0x001509a1, 
      0x7a15f077, 0x001509b1, 
      0x7b15d076, 0x001509d1, 
      0x7c15c074, 0x001509f1, 
      0x7d15a072, 0x00160a11, 
      0x7e159070, 0x00160a31, 
      0x7f15706f, 0x00160a51, 
      0x8015606d, 0x00160a71, 
      0x8115406c, 0x00170a81, 
      0x8215306a, 0x00170aa1, 
      0x83151069, 0x00170ac1, 
      0x8414f067, 0x00180ae1, 
      0x8514e065, 0x00180b01, 
      0x8614c064, 0x00180b21, 
      0x8614b062, 0x00190b41, 
      0x87149061, 0x00190b61, 
      0x88147060, 0x00190b81, 
      0x8914505e, 0x001a0ba1, 
      0x8a14405d, 0x001a0bb1, 
      0x8a14305c, 0x001a0bd1, 
      0x8b14105a, 0x001b0bf1, 
      0x8c13f059, 0x001b0c11, 
      0x8d13d057, 0x001c0c31, 
      0x8d13c056, 0x001c0c51, 
      0x8e13a054, 0x001d0c71, 
      0x8f138053, 0x001d0c91, 
      0x8f136052, 0x001e0cb1, 
      0x90135050, 0x001e0cd1, 
      0x9013304f, 0x001f0cf1, 
      0x9113104e, 0x001f0d11, 
      0x9112f04d, 0x00200d31, 
      0x9212e04b, 0x00200d51, 
      0x9312c049, 0x00210d71, 
      0x9312a048, 0x00220d91, 
      0x93128048, 0x00220db1, 
      0x94126046, 0x00230dd1, 
      0x94124045, 0x00240df1, 
      0x95123043, 0x00240e11, 
      0x95121042, 0x00250e31, 
      0x9511f041, 0x00260e51, 
      0x9611d040, 0x00260e71, 
      0x9611b03f, 0x00270e91, 
      0x9611903e, 0x00280eb1, 
      0x9611703d, 0x00290ed1, 
      0x9711503c, 0x00290ef1, 
      0x9711403b, 0x002a0f01, 
      0x9711203a, 0x002b0f21, 
      0x97110039, 0x002c0f41, 
      0x9710e038, 0x002d0f61, 
      0x9810c037, 0x002d0f81, 
      0x9810a036, 0x002e0fa1, 
      0x98108035, 0x002f0fc1, 
      0x98106034, 0x00300fe1, 
      0x98104033, 0x00311001, 
      0x98102032, 0x00321021, 
      0x98100031, 0x00331041, 
      0x980fe030, 0x00341061, 
      0x980fc02f, 0x00351081, 
      0x980fa02e, 0x003610a1, 
      0x980f802d, 0x003710c1, 
      0x970f602d, 0x003810e1, 
      0x970f402c, 0x00391101, 
      0x970f202b, 0x003a1121, 
      0x970f002b, 0x003b1131, 
      0x970ef029, 0x003c1151, 
      0x970ed028, 0x003d1171, 
      0x960eb028, 0x003e1191, 
      0x960e9027, 0x003f11b1, 
      0x960e7026, 0x004011d1, 
      0x950e5025, 0x004211f1, 
      0x950e3024, 0x00431211, 
      0x950e0024, 0x00441231, 
      0x940df024, 0x00451241, 
      0x940dd023, 0x00461261, 
      0x930db023, 0x00471281, 
      0x930d9021, 0x004912a1, 
      0x930d6021, 0x004a12c1, 
      0x920d5020, 0x004b12e1, 
      0x920d3020, 0x004c12f1, 
      0x910d101f, 0x004e1311, 
      0x900cf01f, 0x004f1331, 
      0x900cd01e, 0x00501351, 
      0x8f0cb01e, 0x00521361, 
      0x8f0c901d, 0x00531381, 
      0x8e0c701d, 0x005413a1, 
      0x8d0c501c, 0x005613c1, 
      0x8d0c301c, 0x005713d1, 
      0x8c0c101c, 0x005813f1, 
      0x8b0bf01b, 0x005a1411, 
      0x8a0be01b, 0x005b1421, 
      0x8a0bb01a, 0x005d1441, 
      0x890ba019, 0x005e1461, 
      0x880b8019, 0x00601471, 
      0x870b6019, 0x00611491, 
      0x860b4018, 0x006314b1, 
      0x860b2018, 0x006414c1, 
      0x850b0017, 0x006614e1, 
      0x840ae017, 0x00671501, 
      0x830ac017, 0x00691511, 
      0x820aa017, 0x006a1531, 
      0x810a8017, 0x006c1541, 
      0x800a7016, 0x006d1561, 
      0x7f0a5016, 0x006f1571, 
      0x7e0a3016, 0x00701591, 
      0x7d0a1016, 0x007215a1, 
      0x7c09f015, 0x007415c1, 
      0x7b09d016, 0x007515d1, 
      0x7a09b015, 0x007715f1, 
      0x7909a014, 0x00791601, 
      0x78098014, 0x007a1621, 
      0x76096015, 0x007c1631, 
      0x75094014, 0x007e1651, 
      0x74092015, 0x007f1661, 
      0x73091014, 0x00811671, 
      0x7208e014, 0x00831691, 
      0x7108d014, 0x008416a1, 
      0x6f08c014, 0x008616b1, 
      0x6e08a013, 0x008816d1,
   },
   { /* UV scale factor = 0.22, phases = 127, taps = 5. */
      0x7016f086, 0x00130881, 
      0x7116d085, 0x001308a1, 
      0x7216c083, 0x001308c1, 
      0x7416b081, 0x001308d1, 
      0x75169080, 0x001308f1, 
      0x7616807e, 0x00130911, 
      0x7716607d, 0x00130931, 
      0x7916407a, 0x00140951, 
      0x7a163079, 0x00140961, 
      0x7b162077, 0x00140981, 
      0x7c160076, 0x001409a1, 
      0x7d15f074, 0x001409c1, 
      0x7e15d072, 0x001509e1, 
      0x7f15c070, 0x00150a01, 
      0x8015a06f, 0x00150a21, 
      0x8115906e, 0x00150a31, 
      0x8215806c, 0x00150a51, 
      0x8315606a, 0x00160a71, 
      0x84154069, 0x00160a91, 
      0x85152068, 0x00160ab1, 
      0x86151065, 0x00170ad1, 
      0x8714f064, 0x00170af1, 
      0x8814e062, 0x00170b11, 
      0x8914b061, 0x00180b31, 
      0x8a14a05f, 0x00180b51, 
      0x8b14805e, 0x00180b71, 
      0x8b14705d, 0x00190b81, 
      0x8c14505c, 0x00190ba1, 
      0x8d14405a, 0x00190bc1, 
      0x8e142058, 0x001a0be1, 
      0x8e141057, 0x001a0c01, 
      0x8f13e056, 0x001b0c21, 
      0x9013d054, 0x001b0c41, 
      0x9113b052, 0x001c0c61, 
      0x91139052, 0x001c0c81, 
      0x92137050, 0x001d0ca1, 
      0x9213604f, 0x001d0cc1, 
      0x9313404d, 0x001e0ce1, 
      0x9413204c, 0x001e0d01, 
      0x9413004b, 0x001f0d21, 
      0x9512e04a, 0x001f0d41, 
      0x9512c049, 0x00200d61, 
      0x9612a047, 0x00210d81, 
      0x96129046, 0x00210da1, 
      0x97127044, 0x00220dc1, 
      0x97125043, 0x00230de1, 
      0x97123043, 0x00230e01, 
      0x98121041, 0x00240e21, 
      0x9811f040, 0x00250e41, 
      0x9811e03f, 0x00250e61, 
      0x9911b03e, 0x00260e81, 
      0x9911903d, 0x00270ea1, 
      0x9911803c, 0x00270ec1, 
      0x9a11603a, 0x00280ee1, 
      0x9a114039, 0x00290f01, 
      0x9a112038, 0x002a0f21, 
      0x9a110037, 0x002b0f41, 
      0x9a10e037, 0x002b0f61, 
      0x9a10c036, 0x002c0f81, 
      0x9a10a035, 0x002d0fa1, 
      0x9b108033, 0x002e0fc1, 
      0x9b106032, 0x002f0fe1, 
      0x9b104031, 0x00301001, 
      0x9b102030, 0x00311021, 
      0x9b10002f, 0x00321041, 
      0x9b0fe02e, 0x00331061, 
      0x9b0fc02e, 0x00331081, 
      0x9a0fa02e, 0x003410a1, 
      0x9a0f802d, 0x003510c1, 
      0x9a0f602c, 0x003610e1, 
      0x9a0f402b, 0x00371101, 
      0x9a0f202a, 0x00381121, 
      0x990f0029, 0x003a1141, 
      0x990ee028, 0x003b1161, 
      0x990ec027, 0x003c1181, 
      0x990ea027, 0x003d1191, 
      0x990e8026, 0x003e11b1, 
      0x980e6026, 0x003f11d1, 
      0x980e4025, 0x004011f1, 
      0x980e2024, 0x00411211, 
      0x970e0024, 0x00421231, 
      0x970de022, 0x00441251, 
      0x970dc021, 0x00451271, 
      0x960da021, 0x00461291, 
      0x960d8021, 0x004712a1, 
      0x950d6021, 0x004812c1, 
      0x950d401f, 0x004a12e1, 
      0x940d201f, 0x004b1301, 
      0x940d001e, 0x004c1321, 
      0x930ce01d, 0x004e1341, 
      0x920cc01e, 0x004f1351, 
      0x920ca01d, 0x00501371, 
      0x910c801d, 0x00511391, 
      0x910c601b, 0x005313b1, 
      0x900c401b, 0x005413d1, 
      0x8f0c201b, 0x005613e1, 
      0x8e0c001b, 0x00571401, 
      0x8e0be01a, 0x00581421, 
      0x8d0bc01a, 0x005a1431, 
      0x8c0ba01a, 0x005b1451, 
      0x8b0b8019, 0x005d1471, 
      0x8b0b6018, 0x005e1491, 
      0x8a0b5017, 0x006014a1, 
      0x890b3017, 0x006114c1, 
      0x880b0017, 0x006314e1, 
      0x870af017, 0x006414f1, 
      0x860ad016, 0x00661511, 
      0x850ab017, 0x00671521, 
      0x840a9016, 0x00691541, 
      0x830a7016, 0x006a1561, 
      0x820a5016, 0x006c1571, 
      0x810a3016, 0x006d1591, 
      0x800a2015, 0x006f15a1, 
      0x7f0a0014, 0x007115c1, 
      0x7e09e015, 0x007215d1, 
      0x7d09c014, 0x007415f1, 
      0x7c09a015, 0x00751601, 
      0x7b098014, 0x00771621, 
      0x7a096014, 0x00791631, 
      0x79095013, 0x007a1651, 
      0x77093014, 0x007c1661, 
      0x76091013, 0x007e1681, 
      0x7508f014, 0x007f1691, 
      0x7408d013, 0x008116b1, 
      0x7208c013, 0x008316c1, 
      0x7108a013, 0x008516d1, 
      0x70088013, 0x008616f1,
   },
   { /* UV scale factor = 0.23, phases = 127, taps = 5. */
      0x72171084, 0x00120871, 
      0x7316f084, 0x00120881, 
      0x7416e082, 0x001208a1, 
      0x7616c080, 0x001208c1, 
      0x7716b07e, 0x001208e1, 
      0x7816907d, 0x00120901, 
      0x7916807b, 0x00130911, 
      0x7b167078, 0x00130931, 
      0x7c165077, 0x00130951, 
      0x7d164075, 0x00130971, 
      0x7e162074, 0x00130991, 
      0x7f161072, 0x001309b1, 
      0x8015f071, 0x001409c1, 
      0x8115e06f, 0x001409e1, 
      0x8315c06d, 0x00140a01, 
      0x8415a06c, 0x00140a21, 
      0x8515806a, 0x00150a41, 
      0x86157068, 0x00150a61, 
      0x87155067, 0x00150a81, 
      0x88154065, 0x00150aa1, 
      0x89152063, 0x00160ac1, 
      0x8a150062, 0x00160ae1, 
      0x8a14f061, 0x00160b01, 
      0x8b14d060, 0x00170b11, 
      0x8c14c05e, 0x00170b31, 
      0x8d14a05d, 0x00170b51, 
      0x8e14805b, 0x00180b71, 
      0x8f14605a, 0x00180b91, 
      0x90144059, 0x00180bb1, 
      0x90143057, 0x00190bd1, 
      0x91141056, 0x00190bf1, 
      0x9213f054, 0x001a0c11, 
      0x9313d053, 0x001a0c31, 
      0x9313c051, 0x001b0c51, 
      0x9413a050, 0x001b0c71, 
      0x9513804e, 0x001c0c91, 
      0x9513604e, 0x001c0cb1, 
      0x9613404c, 0x001d0cd1, 
      0x9613304b, 0x001d0cf1, 
      0x97131049, 0x001e0d11, 
      0x9712f049, 0x001e0d31, 
      0x9812d047, 0x001f0d51, 
      0x9812b046, 0x00200d71, 
      0x99129045, 0x00200d91, 
      0x99127044, 0x00210db1, 
      0x9a125043, 0x00210dd1, 
      0x9a124041, 0x00220df1, 
      0x9b121040, 0x00230e11, 
      0x9b11f03f, 0x00230e41, 
      0x9b11e03d, 0x00240e61, 
      0x9c11b03c, 0x00250e81, 
      0x9c11903b, 0x00260ea1, 
      0x9c11803a, 0x00260ec1, 
      0x9c116039, 0x00270ee1, 
      0x9d113038, 0x00280f01, 
      0x9d111037, 0x00290f21, 
      0x9d110036, 0x00290f41, 
      0x9d10e035, 0x002a0f61, 
      0x9d10c034, 0x002b0f81, 
      0x9d10a033, 0x002c0fa1, 
      0x9d108032, 0x002d0fc1, 
      0x9e105031, 0x002e0fe1, 
      0x9e104030, 0x002e1001, 
      0x9e10202f, 0x002f1021, 
      0x9e10002e, 0x00301041, 
      0x9e0fe02d, 0x00311061, 
      0x9d0fc02d, 0x00321081, 
      0x9d0fa02c, 0x003310a1, 
      0x9d0f802b, 0x003410c1, 
      0x9d0f602a, 0x003510e1, 
      0x9d0f4029, 0x00361101, 
      0x9d0f2028, 0x00371121, 
      0x9d0f0027, 0x00381141, 
      0x9c0ee027, 0x00391161, 
      0x9c0ec026, 0x003a1181, 
      0x9c0ea025, 0x003b11a1, 
      0x9c0e8024, 0x003c11c1, 
      0x9b0e5024, 0x003e11e1, 
      0x9b0e4023, 0x003f11f1, 
      0x9b0e1023, 0x00401211, 
      0x9a0df023, 0x00411231, 
      0x9a0dd022, 0x00421251, 
      0x990dc021, 0x00431271, 
      0x990d9020, 0x00451291, 
      0x980d7020, 0x004612b1, 
      0x980d501f, 0x004712d1, 
      0x970d301f, 0x004812f1, 
      0x970d101e, 0x00491311, 
      0x960cf01e, 0x004b1321, 
      0x960cd01d, 0x004c1341, 
      0x950cb01d, 0x004d1361, 
      0x950c901b, 0x004f1381, 
      0x940c701b, 0x005013a1, 
      0x930c501b, 0x005113c1, 
      0x930c301a, 0x005313d1, 
      0x920c101a, 0x005413f1, 
      0x910bf01a, 0x00551411, 
      0x900bd019, 0x00571431, 
      0x900bb019, 0x00581441, 
      0x8f0b9018, 0x005a1461, 
      0x8e0b7018, 0x005b1481, 
      0x8d0b5017, 0x005d14a1, 
      0x8c0b4017, 0x005e14b1, 
      0x8b0b2017, 0x005f14d1, 
      0x8a0b0016, 0x006114f1, 
      0x8a0ae016, 0x00621501, 
      0x890ac015, 0x00641521, 
      0x880a9015, 0x00661541, 
      0x870a8015, 0x00671551, 
      0x860a6014, 0x00691571, 
      0x850a4014, 0x006a1591, 
      0x840a2014, 0x006c15a1, 
      0x830a0014, 0x006d15c1, 
      0x8109f014, 0x006f15d1, 
      0x8009c014, 0x007115f1, 
      0x7f09b013, 0x00721611, 
      0x7e099013, 0x00741621, 
      0x7d097012, 0x00761641, 
      0x7c095013, 0x00771651, 
      0x7b093012, 0x00791671, 
      0x79091013, 0x007b1681, 
      0x78090013, 0x007c1691, 
      0x7708e012, 0x007e16b1, 
      0x7608c012, 0x008016c1, 
      0x7408a013, 0x008116e1, 
      0x73089012, 0x008316f1, 
      0x72087011, 0x00851711,
   },
   { /* UV scale factor = 0.24, phases = 127, taps = 5. */
      0x74173083, 0x00110851, 
      0x75171082, 0x00110871, 
      0x7717007f, 0x00110891, 
      0x7816e07e, 0x001108b1, 
      0x7916d07d, 0x001108c1, 
      0x7a16c07b, 0x001108e1, 
      0x7c16a078, 0x00120901, 
      0x7d168077, 0x00120921, 
      0x7e167075, 0x00120941, 
      0x7f166074, 0x00120951, 
      0x80164073, 0x00120971, 
      0x82162071, 0x00120991, 
      0x8316106e, 0x001309b1, 
      0x8415f06d, 0x001309d1, 
      0x8515d06c, 0x001309f1, 
      0x8615c06a, 0x00130a11, 
      0x8715a068, 0x00140a31, 
      0x88158067, 0x00140a51, 
      0x89157065, 0x00140a71, 
      0x8a156064, 0x00140a81, 
      0x8b153063, 0x00150aa1, 
      0x8c152061, 0x00150ac1, 
      0x8d150060, 0x00150ae1, 
      0x8e14e05e, 0x00160b01, 
      0x8f14d05c, 0x00160b21, 
      0x9014b05b, 0x00160b41, 
      0x91149059, 0x00170b61, 
      0x91147059, 0x00170b81, 
      0x92146057, 0x00170ba1, 
      0x93144055, 0x00180bc1, 
      0x94142054, 0x00180be1, 
      0x95140052, 0x00190c01, 
      0x9513e052, 0x00190c21, 
      0x9613c050, 0x001a0c41, 
      0x9713b04e, 0x001a0c61, 
      0x9713904d, 0x001b0c81, 
      0x9813704c, 0x001b0ca1, 
      0x9913504a, 0x001c0cc1, 
      0x9913304a, 0x001c0ce1, 
      0x9a131048, 0x001d0d01, 
      0x9a130047, 0x001d0d21, 
      0x9b12d045, 0x001e0d51, 
      0x9b12c044, 0x001e0d71, 
      0x9c12a042, 0x001f0d91, 
      0x9c128041, 0x00200db1, 
      0x9d126040, 0x00200dd1, 
      0x9d12403f, 0x00210df1, 
      0x9e12103e, 0x00220e11, 
      0x9e12003d, 0x00220e31, 
      0x9e11e03c, 0x00230e51, 
      0x9f11c03a, 0x00240e71, 
      0x9f11a03a, 0x00240e91, 
      0x9f118039, 0x00250eb1, 
      0x9f116038, 0x00260ed1, 
      0xa0114036, 0x00270ef1, 
      0xa0112036, 0x00270f11, 
      0xa0110035, 0x00280f31, 
      0xa010e034, 0x00290f51, 
      0xa010c033, 0x002a0f71, 
      0xa010a031, 0x002b0fa1, 
      0xa1108030, 0x002b0fc1, 
      0xa110602f, 0x002c0fe1, 
      0xa110402e, 0x002d1001, 
      0xa110202d, 0x002e1021, 
      0xa10ff02d, 0x002f1041, 
      0xa10fd02c, 0x00301061, 
      0xa10fb02b, 0x00311081, 
      0xa00fa02a, 0x003210a1, 
      0xa00f702a, 0x003310c1, 
      0xa00f5029, 0x003410e1, 
      0xa00f3028, 0x00351101, 
      0xa00f1027, 0x00361121, 
      0xa00ef026, 0x00371141, 
      0x9f0ed026, 0x00381161, 
      0x9f0eb025, 0x00391181, 
      0x9f0e9024, 0x003a11a1, 
      0x9f0e7023, 0x003b11c1, 
      0x9e0e5023, 0x003c11e1, 
      0x9e0e3022, 0x003d1201, 
      0x9e0e1021, 0x003e1221, 
      0x9d0df021, 0x003f1241, 
      0x9d0dc020, 0x00411261, 
      0x9c0db01f, 0x00421281, 
      0x9c0d901e, 0x004312a1, 
      0x9b0d701e, 0x004412c1, 
      0x9b0d501e, 0x004512d1, 
      0x9a0d201e, 0x004712f1, 
      0x9a0d001d, 0x00481311, 
      0x990ce01d, 0x00491331, 
      0x990cc01c, 0x004a1351, 
      0x980ca01b, 0x004c1371, 
      0x970c801b, 0x004d1391, 
      0x970c601a, 0x004e13b1, 
      0x960c401a, 0x005013c1, 
      0x950c201a, 0x005113e1, 
      0x950c0019, 0x00521401, 
      0x940be018, 0x00541421, 
      0x930bc018, 0x00551441, 
      0x920ba017, 0x00571461, 
      0x910b8018, 0x00581471, 
      0x910b6017, 0x00591491, 
      0x900b4016, 0x005b14b1, 
      0x8f0b2016, 0x005c14d1, 
      0x8e0b0016, 0x005e14e1, 
      0x8d0ae016, 0x005f1501, 
      0x8c0ac015, 0x00611521, 
      0x8b0ab015, 0x00621531, 
      0x8a0a8015, 0x00641551, 
      0x890a7014, 0x00651571, 
      0x880a5014, 0x00671581, 
      0x870a3013, 0x006915a1, 
      0x860a1013, 0x006a15c1, 
      0x8509f013, 0x006c15d1, 
      0x8409d013, 0x006d15f1, 
      0x8309b012, 0x006f1611, 
      0x82099012, 0x00711621, 
      0x80097013, 0x00721641, 
      0x7f095013, 0x00741651, 
      0x7e094011, 0x00761671, 
      0x7d092012, 0x00771681, 
      0x7c090011, 0x007916a1, 
      0x7a08e012, 0x007b16b1, 
      0x7908c012, 0x007c16d1, 
      0x7808b011, 0x007e16e1, 
      0x77088011, 0x00801701, 
      0x75087011, 0x00821711, 
      0x74085011, 0x00831731,
   },
   { /* UV scale factor = 0.25, phases = 127, taps = 5. */
      0x76175081, 0x00100841, 
      0x77173081, 0x00100851, 
      0x7917207e, 0x00100871, 
      0x7a17007d, 0x00100891, 
      0x7b16f07b, 0x001008b1, 
      0x7d16d079, 0x001008d1, 
      0x7e16c077, 0x001108e1, 
      0x7f16a076, 0x00110901, 
      0x80169074, 0x00110921, 
      0x82167072, 0x00110941, 
      0x83165071, 0x00110961, 
      0x8416406f, 0x00110981, 
      0x8516206d, 0x001209a1, 
      0x8616106b, 0x001209c1, 
      0x8715f06b, 0x001209d1, 
      0x8915d069, 0x001209f1, 
      0x8a15c066, 0x00130a11, 
      0x8b15a065, 0x00130a31, 
      0x8c158064, 0x00130a51, 
      0x8d157062, 0x00130a71, 
      0x8e155060, 0x00140a91, 
      0x8f15305f, 0x00140ab1, 
      0x9015105e, 0x00140ad1, 
      0x9114f05c, 0x00150af1, 
      0x9214e05a, 0x00150b11, 
      0x9314c059, 0x00150b31, 
      0x9314a058, 0x00160b51, 
      0x94148057, 0x00160b71, 
      0x95147055, 0x00160b91, 
      0x96145053, 0x00170bb1, 
      0x97143052, 0x00170bd1, 
      0x97141051, 0x00180bf1, 
      0x9813f050, 0x00180c11, 
      0x9913d04e, 0x00190c31, 
      0x9a13b04d, 0x00190c51, 
      0x9a13a04c, 0x00190c71, 
      0x9b13804a, 0x001a0c91, 
      0x9c136049, 0x001a0cb1, 
      0x9c134048, 0x001b0cd1, 
      0x9d132046, 0x001c0cf1, 
      0x9d130045, 0x001c0d21, 
      0x9e12e043, 0x001d0d41, 
      0x9e12c043, 0x001d0d61, 
      0x9f12a041, 0x001e0d81, 
      0x9f128041, 0x001e0da1, 
      0xa012603f, 0x001f0dc1, 
      0xa012403e, 0x00200de1, 
      0xa112203d, 0x00200e01, 
      0xa112003c, 0x00210e21, 
      0xa111e03b, 0x00220e41, 
      0xa211c03a, 0x00220e61, 
      0xa211a039, 0x00230e81, 
      0xa2118037, 0x00240eb1, 
      0xa3116036, 0x00240ed1, 
      0xa3114035, 0x00250ef1, 
      0xa3112034, 0x00260f11, 
      0xa3110033, 0x00270f31, 
      0xa310e032, 0x00280f51, 
      0xa410c031, 0x00280f71, 
      0xa410a030, 0x00290f91, 
      0xa410802f, 0x002a0fb1, 
      0xa410602e, 0x002b0fd1, 
      0xa410402d, 0x002c0ff1, 
      0xa410102c, 0x002d1021, 
      0xa40ff02c, 0x002d1041, 
      0xa40fd02b, 0x002e1061, 
      0xa40fb02a, 0x002f1081, 
      0xa40f9029, 0x003010a1, 
      0xa40f7028, 0x003110c1, 
      0xa30f5028, 0x003210e1, 
      0xa30f3027, 0x00331101, 
      0xa30f1026, 0x00341121, 
      0xa30ef025, 0x00351141, 
      0xa30ed024, 0x00361161, 
      0xa20eb024, 0x00371181, 
      0xa20e9023, 0x003811a1, 
      0xa20e6023, 0x003911c1, 
      0xa10e5022, 0x003a11e1, 
      0xa10e2021, 0x003c1201, 
      0xa10e0020, 0x003d1221, 
      0xa00de020, 0x003e1241, 
      0xa00dc01f, 0x003f1261, 
      0x9f0da01f, 0x00401281, 
      0x9f0d801e, 0x004112a1, 
      0x9e0d601d, 0x004312c1, 
      0x9e0d401c, 0x004412e1, 
      0x9d0d201c, 0x00451301, 
      0x9d0cf01c, 0x00461321, 
      0x9c0cd01b, 0x00481341, 
      0x9c0cb01a, 0x00491361, 
      0x9b0c901a, 0x004a1381, 
      0x9a0c701a, 0x004b13a1, 
      0x9a0c5019, 0x004d13b1, 
      0x990c3019, 0x004e13d1, 
      0x980c1019, 0x004f13f1, 
      0x970bf018, 0x00511411, 
      0x970bd017, 0x00521431, 
      0x960bb017, 0x00531451, 
      0x950b9016, 0x00551471, 
      0x940b7017, 0x00561481, 
      0x930b5016, 0x005814a1, 
      0x930b3015, 0x005914c1, 
      0x920b1014, 0x005b14e1, 
      0x910af014, 0x005c1501, 
      0x900ad014, 0x005e1511, 
      0x8f0ab014, 0x005f1531, 
      0x8e0a9013, 0x00611551, 
      0x8d0a7013, 0x00621571, 
      0x8c0a5013, 0x00641581, 
      0x8b0a3013, 0x006515a1, 
      0x8a0a1012, 0x006715c1, 
      0x8909f013, 0x006815d1, 
      0x8709d013, 0x006a15f1, 
      0x8609c011, 0x006c1611, 
      0x8509a012, 0x006d1621, 
      0x84098011, 0x006f1641, 
      0x83096011, 0x00711651, 
      0x82094011, 0x00721671, 
      0x80092011, 0x00741691, 
      0x7f090011, 0x007616a1, 
      0x7e08e011, 0x007716c1, 
      0x7d08d010, 0x007916d1, 
      0x7b08b010, 0x007b16f1, 
      0x7a089011, 0x007c1701, 
      0x79087010, 0x007e1721, 
      0x77086010, 0x00801731, 
      0x7608400f, 0x00821751,
   },
   { /* UV scale factor = 0.26, phases = 127, taps = 5. */
      0x78177080, 0x000f0821, 
      0x7a17507e, 0x000f0841, 
      0x7b17407d, 0x000f0851, 
      0x7c17307b, 0x000f0871, 
      0x7e171079, 0x000f0891, 
      0x7f16f078, 0x000f08b1, 
      0x8016e075, 0x001008d1, 
      0x8216c073, 0x001008f1, 
      0x8316b072, 0x00100901, 
      0x84169071, 0x00100921, 
      0x8516806f, 0x00100941, 
      0x8716606d, 0x00100961, 
      0x8816406b, 0x00110981, 
      0x8916206a, 0x001109a1, 
      0x8a161068, 0x001109c1, 
      0x8b15f067, 0x001109e1, 
      0x8c15d065, 0x00120a01, 
      0x8d15c063, 0x00120a21, 
      0x8f15a061, 0x00120a41, 
      0x90158060, 0x00120a61, 
      0x9115605e, 0x00130a81, 
      0x9215405d, 0x00130aa1, 
      0x9315305b, 0x00130ac1, 
      0x9415005a, 0x00140ae1, 
      0x9514f058, 0x00140b01, 
      0x9514d058, 0x00140b21, 
      0x9614b056, 0x00150b41, 
      0x9714a054, 0x00150b61, 
      0x98148053, 0x00150b81, 
      0x99146051, 0x00160ba1, 
      0x9a144050, 0x00160bc1, 
      0x9b14204e, 0x00170be1, 
      0x9b14004e, 0x00170c01, 
      0x9c13e04d, 0x00170c21, 
      0x9d13c04b, 0x00180c41, 
      0x9d13b04a, 0x00180c61, 
      0x9e138049, 0x00190c81, 
      0x9f137047, 0x00190ca1, 
      0x9f135046, 0x001a0cc1, 
      0xa0133044, 0x001a0cf1, 
      0xa1130043, 0x001b0d11, 
      0xa112f042, 0x001b0d31, 
      0xa212d040, 0x001c0d51, 
      0xa212b03f, 0x001d0d71, 
      0xa312903e, 0x001d0d91, 
      0xa312703d, 0x001e0db1, 
      0xa412503c, 0x001e0dd1, 
      0xa412303b, 0x001f0df1, 
      0xa412103a, 0x00200e11, 
      0xa511e039, 0x00200e41, 
      0xa511c038, 0x00210e61, 
      0xa511a037, 0x00220e81, 
      0xa6118036, 0x00220ea1, 
      0xa6116035, 0x00230ec1, 
      0xa6114034, 0x00240ee1, 
      0xa6112033, 0x00250f01, 
      0xa7110032, 0x00250f21, 
      0xa710e030, 0x00260f51, 
      0xa710c02f, 0x00270f71, 
      0xa710a02e, 0x00280f91, 
      0xa710802d, 0x00290fb1, 
      0xa710602d, 0x00290fd1, 
      0xa710302d, 0x002a0ff1, 
      0xa710102c, 0x002b1011, 
      0xa70ff02b, 0x002c1031, 
      0xa70fd029, 0x002d1061, 
      0xa70fb028, 0x002e1081, 
      0xa70f9027, 0x002f10a1, 
      0xa70f7026, 0x003010c1, 
      0xa70f4026, 0x003110e1, 
      0xa70f2025, 0x00321101, 
      0xa60f0025, 0x00331121, 
      0xa60ee024, 0x00341141, 
      0xa60ec023, 0x00351161, 
      0xa60ea022, 0x00361181, 
      0xa50e8022, 0x003711a1, 
      0xa50e6021, 0x003811c1, 
      0xa50e4020, 0x003911e1, 
      0xa40e1020, 0x003a1211, 
      0xa40df01f, 0x003b1231, 
      0xa40dd01e, 0x003c1251, 
      0xa30db01e, 0x003d1271, 
      0xa20d901d, 0x003f1291, 
      0xa20d701c, 0x004012b1, 
      0xa20d501b, 0x004112d1, 
      0xa10d301b, 0x004212f1, 
      0xa10d101a, 0x00431311, 
      0xa00ce01a, 0x00451331, 
      0x9f0cc01a, 0x00461351, 
      0x9f0ca019, 0x00471371, 
      0x9e0c9019, 0x00481381, 
      0x9d0c6019, 0x004a13a1, 
      0x9d0c4018, 0x004b13c1, 
      0x9c0c2018, 0x004c13e1, 
      0x9b0c0017, 0x004e1401, 
      0x9b0be016, 0x004f1421, 
      0x9a0bc016, 0x00501441, 
      0x990ba015, 0x00521461, 
      0x980b8015, 0x00531481, 
      0x970b6014, 0x005514a1, 
      0x960b4015, 0x005614b1, 
      0x950b2015, 0x005714d1, 
      0x950b0013, 0x005914f1, 
      0x940ae013, 0x005a1511, 
      0x930ab013, 0x005c1531, 
      0x920aa012, 0x005d1551, 
      0x910a8012, 0x005f1561, 
      0x900a6012, 0x00601581, 
      0x8f0a3012, 0x006215a1, 
      0x8d0a2011, 0x006415c1, 
      0x8c0a0012, 0x006515d1, 
      0x8b09e011, 0x006715f1, 
      0x8a09c011, 0x00681611, 
      0x8909a011, 0x006a1621, 
      0x88098010, 0x006c1641, 
      0x87096010, 0x006d1661, 
      0x85094011, 0x006f1671, 
      0x84092011, 0x00701691, 
      0x83090010, 0x007216b1, 
      0x8208f00f, 0x007416c1, 
      0x8008d00f, 0x007616e1, 
      0x7f08b010, 0x007716f1, 
      0x7e08900f, 0x00791711, 
      0x7c087010, 0x007b1721, 
      0x7b08500f, 0x007d1741, 
      0x7a08400f, 0x007e1751, 
      0x7808200f, 0x00801771,
   },
   { /* UV scale factor = 0.27, phases = 127, taps = 5. */
      0x7b17907e, 0x000e0801, 
      0x7c17807c, 0x000e0821, 
      0x7d17607b, 0x000e0841, 
      0x7f175078, 0x000e0861, 
      0x80173078, 0x000e0871, 
      0x82171076, 0x000e0891, 
      0x83170073, 0x000f08b1, 
      0x8416e072, 0x000f08d1, 
      0x8516d070, 0x000f08f1, 
      0x8716b06e, 0x000f0911, 
      0x8816906d, 0x000f0931, 
      0x8916806b, 0x000f0951, 
      0x8a16606a, 0x00100961, 
      0x8c164068, 0x00100981, 
      0x8d162067, 0x001009a1, 
      0x8e161065, 0x001009c1, 
      0x8f15f064, 0x001009e1, 
      0x9015d062, 0x00110a01, 
      0x9115b061, 0x00110a21, 
      0x9215a05f, 0x00110a41, 
      0x9415705d, 0x00120a61, 
      0x9515605b, 0x00120a81, 
      0x9615405a, 0x00120aa1, 
      0x97152059, 0x00120ac1, 
      0x98150057, 0x00130ae1, 
      0x9814f056, 0x00130b01, 
      0x9914d055, 0x00130b21, 
      0x9a14b053, 0x00140b41, 
      0x9b149052, 0x00140b61, 
      0x9c147050, 0x00150b81, 
      0x9d14504e, 0x00150bb1, 
      0x9e14304d, 0x00150bd1, 
      0x9e14104c, 0x00160bf1, 
      0x9f13f04b, 0x00160c11, 
      0xa013d049, 0x00170c31, 
      0xa113b048, 0x00170c51, 
      0xa1139047, 0x00180c71, 
      0xa2137046, 0x00180c91, 
      0xa3135044, 0x00190cb1, 
      0xa3134043, 0x00190cd1, 
      0xa4131041, 0x001a0d01, 
      0xa412f041, 0x001a0d21, 
      0xa512d03f, 0x001b0d41, 
      0xa612b03e, 0x001b0d61, 
      0xa612903d, 0x001c0d81, 
      0xa712703c, 0x001c0da1, 
      0xa712503b, 0x001d0dc1, 
      0xa7123039, 0x001e0df1, 
      0xa8121038, 0x001e0e11, 
      0xa811f037, 0x001f0e31, 
      0xa811d036, 0x00200e51, 
      0xa911b035, 0x00200e71, 
      0xa9118035, 0x00210e91, 
      0xa9116033, 0x00220ec1, 
      0xaa114032, 0x00220ee1, 
      0xaa112031, 0x00230f01, 
      0xaa110030, 0x00240f21, 
      0xaa10e02f, 0x00250f41, 
      0xaa10c02f, 0x00250f61, 
      0xaa10a02e, 0x00260f81, 
      0xab10702c, 0x00270fb1, 
      0xab10502b, 0x00280fd1, 
      0xab10302a, 0x00290ff1, 
      0xab101029, 0x002a1011, 
      0xab0ff029, 0x002a1031, 
      0xab0fd028, 0x002b1051, 
      0xab0fb027, 0x002c1071, 
      0xaa0f8027, 0x002d10a1, 
      0xaa0f6026, 0x002e10c1, 
      0xaa0f4025, 0x002f10e1, 
      0xaa0f2024, 0x00301101, 
      0xaa0f0023, 0x00311121, 
      0xaa0ee022, 0x00321141, 
      0xa90ec022, 0x00331161, 
      0xa90e9022, 0x00341181, 
      0xa90e7020, 0x003511b1, 
      0xa80e5020, 0x003611d1, 
      0xa80e301f, 0x003711f1, 
      0xa80e101e, 0x00381211, 
      0xa70df01e, 0x00391231, 
      0xa70dc01d, 0x003b1251, 
      0xa70da01c, 0x003c1271, 
      0xa60d801c, 0x003d1291, 
      0xa60d601b, 0x003e12b1, 
      0xa50d401b, 0x003f12d1, 
      0xa40d201b, 0x004012f1, 
      0xa40d0019, 0x00421311, 
      0xa30cd01a, 0x00431331, 
      0xa30cb019, 0x00441351, 
      0xa20c9019, 0x00451371, 
      0xa10c7018, 0x00471391, 
      0xa10c5017, 0x004813b1, 
      0xa00c3017, 0x004913d1, 
      0x9f0c1017, 0x004a13f1, 
      0x9e0bf016, 0x004c1411, 
      0x9e0bd015, 0x004d1431, 
      0x9d0bb014, 0x004f1451, 
      0x9c0b8015, 0x00501471, 
      0x9b0b6015, 0x00511491, 
      0x9a0b4014, 0x005314b1, 
      0x990b2014, 0x005414d1, 
      0x980b0013, 0x005614f1, 
      0x980ae013, 0x00571501, 
      0x970ac012, 0x00591521, 
      0x960aa012, 0x005a1541, 
      0x950a8011, 0x005c1561, 
      0x940a6011, 0x005d1581, 
      0x920a4011, 0x005f15a1, 
      0x910a3011, 0x006015b1, 
      0x900a0011, 0x006215d1, 
      0x8f09e011, 0x006315f1, 
      0x8e09c010, 0x00651611, 
      0x8d09a011, 0x00661621, 
      0x8c098010, 0x00681641, 
      0x8a096010, 0x006a1661, 
      0x8909500f, 0x006b1681, 
      0x8809300f, 0x006d1691, 
      0x8709000f, 0x006f16b1, 
      0x8508f00f, 0x007016d1, 
      0x8408d00f, 0x007216e1, 
      0x8308b00e, 0x00741701, 
      0x8208900f, 0x00751711, 
      0x8008700f, 0x00771731, 
      0x7f08500e, 0x00791751, 
      0x7d08400e, 0x007b1761, 
      0x7c08200d, 0x007d1781, 
      0x7b08000e, 0x007e1791,
   },
   { /* UV scale factor = 0.28, phases = 127, taps = 5. */
      0x7d17b07d, 0x000d07e1, 
      0x7e17a07b, 0x000d0801, 
      0x80178079, 0x000d0821, 
      0x81177077, 0x000d0841, 
      0x83175075, 0x000d0861, 
      0x84174074, 0x000d0871, 
      0x86172072, 0x000d0891, 
      0x87170070, 0x000e08b1, 
      0x8816f06e, 0x000e08d1, 
      0x8916d06d, 0x000e08f1, 
      0x8b16b06b, 0x000e0911, 
      0x8c16906a, 0x000e0931, 
      0x8d168067, 0x000f0951, 
      0x8e166066, 0x000f0971, 
      0x90164064, 0x000f0991, 
      0x91162063, 0x000f09b1, 
      0x92161061, 0x000f09d1, 
      0x9315f05f, 0x001009f1, 
      0x9415d05e, 0x00100a11, 
      0x9515b05d, 0x00100a31, 
      0x9715905b, 0x00100a51, 
      0x98157059, 0x00110a71, 
      0x99155058, 0x00110a91, 
      0x9a154056, 0x00110ab1, 
      0x9b151055, 0x00120ad1, 
      0x9c150053, 0x00120af1, 
      0x9d14e052, 0x00120b11, 
      0x9d14c051, 0x00130b31, 
      0x9e14a050, 0x00130b51, 
      0x9f14804f, 0x00130b71, 
      0xa014604d, 0x00140b91, 
      0xa114404c, 0x00140bb1, 
      0xa214204a, 0x00150bd1, 
      0xa3140048, 0x00150c01, 
      0xa313e048, 0x00150c21, 
      0xa413c046, 0x00160c41, 
      0xa513a045, 0x00160c61, 
      0xa5138044, 0x00170c81, 
      0xa6136043, 0x00170ca1, 
      0xa7134041, 0x00180cc1, 
      0xa7132040, 0x00180cf1, 
      0xa813003e, 0x00190d11, 
      0xa812e03e, 0x00190d31, 
      0xa912c03c, 0x001a0d51, 
      0xaa12903b, 0x001b0d71, 
      0xaa12803a, 0x001b0d91, 
      0xaa125039, 0x001c0dc1, 
      0xab123038, 0x001c0de1, 
      0xab121037, 0x001d0e01, 
      0xac11f035, 0x001e0e21, 
      0xac11d035, 0x001e0e41, 
      0xac11b034, 0x001f0e61, 
      0xad118032, 0x00200e91, 
      0xad116032, 0x00200eb1, 
      0xad114031, 0x00210ed1, 
      0xad112030, 0x00220ef1, 
      0xae11002f, 0x00220f11, 
      0xae10e02d, 0x00230f41, 
      0xae10c02c, 0x00240f61, 
      0xae10a02b, 0x00250f81, 
      0xae10702b, 0x00260fa1, 
      0xae10602a, 0x00260fc1, 
      0xae103029, 0x00270ff1, 
      0xae101028, 0x00281011, 
      0xae0ff027, 0x00291031, 
      0xae0fc027, 0x002a1051, 
      0xae0fa026, 0x002b1071, 
      0xae0f8024, 0x002c10a1, 
      0xae0f5024, 0x002d10c1, 
      0xae0f4023, 0x002d10e1, 
      0xae0f1023, 0x002e1101, 
      0xad0f0022, 0x002f1121, 
      0xad0ed022, 0x00301141, 
      0xad0eb021, 0x00311161, 
      0xad0e901f, 0x00321191, 
      0xac0e701f, 0x003311b1, 
      0xac0e401f, 0x003411d1, 
      0xac0e201e, 0x003511f1, 
      0xab0e001d, 0x00371211, 
      0xab0de01c, 0x00381231, 
      0xaa0dc01c, 0x00391251, 
      0xaa0d901b, 0x003a1281, 
      0xaa0d701a, 0x003b12a1, 
      0xa90d501a, 0x003c12c1, 
      0xa80d301a, 0x003d12e1, 
      0xa80d1018, 0x003f1301, 
      0xa70cf018, 0x00401321, 
      0xa70cc018, 0x00411341, 
      0xa60ca018, 0x00421361, 
      0xa50c9017, 0x00431381, 
      0xa50c6016, 0x004513a1, 
      0xa40c4016, 0x004613c1, 
      0xa30c2016, 0x004713e1, 
      0xa30bf015, 0x00491401, 
      0xa20bd015, 0x004a1421, 
      0xa10bb015, 0x004b1441, 
      0xa00b9014, 0x004d1461, 
      0x9f0b7014, 0x004e1481, 
      0x9e0b5014, 0x004f14a1, 
      0x9d0b3013, 0x005114c1, 
      0x9d0b1012, 0x005214e1, 
      0x9c0ae012, 0x00541501, 
      0x9b0ad011, 0x00551521, 
      0x9a0aa011, 0x00571541, 
      0x990a8011, 0x00581561, 
      0x980a7010, 0x005a1571, 
      0x970a5010, 0x005b1591, 
      0x950a3010, 0x005d15b1, 
      0x940a1010, 0x005e15d1, 
      0x9309f00f, 0x006015f1, 
      0x9209d00f, 0x00611611, 
      0x9109b00f, 0x00631621, 
      0x9009900e, 0x00651641, 
      0x8e09700f, 0x00661661, 
      0x8d09500e, 0x00681681, 
      0x8c09300f, 0x00691691, 
      0x8b09100e, 0x006b16b1, 
      0x8908f00e, 0x006d16d1, 
      0x8808d00e, 0x006e16f1, 
      0x8708b00e, 0x00701701, 
      0x8508900e, 0x00721721, 
      0x8408700d, 0x00741741, 
      0x8308600d, 0x00751751, 
      0x8108400d, 0x00771771, 
      0x8008200d, 0x00791781, 
      0x7e08000d, 0x007b17a1, 
      0x7d07f00d, 0x007c17b1,
   },
   { /* UV scale factor = 0.29, phases = 127, taps = 5. */
      0x7f17e07b, 0x000c07c1, 
      0x8117c079, 0x000c07e1, 
      0x8217b077, 0x000c0801, 
      0x84179075, 0x000c0821, 
      0x85177074, 0x000c0841, 
      0x87176071, 0x000c0861, 
      0x88175070, 0x000c0871, 
      0x8a17206e, 0x000d0891, 
      0x8b17106c, 0x000d08b1, 
      0x8c16f06b, 0x000d08d1, 
      0x8e16d069, 0x000d08f1, 
      0x8f16b068, 0x000d0911, 
      0x9016a066, 0x000d0931, 
      0x91168064, 0x000e0951, 
      0x93166062, 0x000e0971, 
      0x94164061, 0x000e0991, 
      0x95162060, 0x000e09b1, 
      0x9616105d, 0x000f09d1, 
      0x9715f05c, 0x000f09f1, 
      0x9915d05a, 0x000f0a11, 
      0x9a15b059, 0x000f0a31, 
      0x9b159057, 0x00100a51, 
      0x9c157056, 0x00100a71, 
      0x9d155055, 0x00100a91, 
      0x9e153053, 0x00110ab1, 
      0x9f151052, 0x00110ad1, 
      0xa014f051, 0x00110af1, 
      0xa114d04f, 0x00120b11, 
      0xa214b04d, 0x00120b41, 
      0xa314904c, 0x00120b61, 
      0xa314704b, 0x00130b81, 
      0xa414504a, 0x00130ba1, 
      0xa5143049, 0x00130bc1, 
      0xa6141047, 0x00140be1, 
      0xa713f046, 0x00140c01, 
      0xa713d044, 0x00150c31, 
      0xa813b043, 0x00150c51, 
      0xa9139041, 0x00160c71, 
      0xaa137040, 0x00160c91, 
      0xaa13503f, 0x00170cb1, 
      0xab13303e, 0x00170cd1, 
      0xac13003c, 0x00180d01, 
      0xac12e03c, 0x00180d21, 
      0xad12c03a, 0x00190d41, 
      0xad12a03a, 0x00190d61, 
      0xae128038, 0x001a0d81, 
      0xae126037, 0x001a0db1, 
      0xaf124035, 0x001b0dd1, 
      0xaf122034, 0x001c0df1, 
      0xaf120034, 0x001c0e11, 
      0xb011d032, 0x001d0e41, 
      0xb011b031, 0x001e0e61, 
      0xb0119031, 0x001e0e81, 
      0xb111702f, 0x001f0ea1, 
      0xb111402f, 0x00200ec1, 
      0xb111202e, 0x00200ef1, 
      0xb111002d, 0x00210f11, 
      0xb210e02b, 0x00220f31, 
      0xb210c02b, 0x00220f51, 
      0xb210902a, 0x00230f81, 
      0xb2107029, 0x00240fa1, 
      0xb2105028, 0x00250fc1, 
      0xb2103027, 0x00260fe1, 
      0xb2101027, 0x00261001, 
      0xb20fe026, 0x00271031, 
      0xb20fc025, 0x00281051, 
      0xb20fa024, 0x00291071, 
      0xb20f8023, 0x002a1091, 
      0xb20f5022, 0x002b10c1, 
      0xb20f3021, 0x002c10e1, 
      0xb10f1021, 0x002d1101, 
      0xb10ef020, 0x002e1121, 
      0xb10ec020, 0x002f1141, 
      0xb10ea01e, 0x00301171, 
      0xb00e801e, 0x00311191, 
      0xb00e601d, 0x003211b1, 
      0xb00e401c, 0x003311d1, 
      0xaf0e101d, 0x003411f1, 
      0xaf0df01b, 0x00351221, 
      0xaf0dd01a, 0x00361241, 
      0xae0db01a, 0x00371261, 
      0xae0d801a, 0x00381281, 
      0xad0d601a, 0x003912a1, 
      0xad0d4019, 0x003a12c1, 
      0xac0d2018, 0x003c12e1, 
      0xac0cf017, 0x003d1311, 
      0xab0cd017, 0x003e1331, 
      0xaa0cb017, 0x003f1351, 
      0xaa0c9016, 0x00401371, 
      0xa90c7015, 0x00421391, 
      0xa80c5015, 0x004313b1, 
      0xa80c3014, 0x004413d1, 
      0xa70c0015, 0x004513f1, 
      0xa60be014, 0x00471411, 
      0xa50bc014, 0x00481431, 
      0xa40ba014, 0x00491451, 
      0xa30b8013, 0x004b1471, 
      0xa30b6012, 0x004c1491, 
      0xa20b4012, 0x004d14b1, 
      0xa10b1012, 0x004f14d1, 
      0xa00af012, 0x005014f1, 
      0x9f0ad011, 0x00521511, 
      0x9e0ab011, 0x00531531, 
      0x9d0a9010, 0x00551551, 
      0x9c0a7010, 0x00561571, 
      0x9b0a500f, 0x00581591, 
      0x9a0a300f, 0x005915b1, 
      0x990a000f, 0x005b15d1, 
      0x9709f00f, 0x005c15f1, 
      0x9609d00e, 0x005e1611, 
      0x9509b00f, 0x005f1621, 
      0x9409900e, 0x00611641, 
      0x9309700d, 0x00631661, 
      0x9109500e, 0x00641681, 
      0x9009300d, 0x006616a1, 
      0x8f09100e, 0x006716b1, 
      0x8e08f00d, 0x006916d1, 
      0x8c08d00d, 0x006b16f1, 
      0x8b08b00d, 0x006c1711, 
      0x8a08900d, 0x006e1721, 
      0x8808700d, 0x00701741, 
      0x8708500c, 0x00721761, 
      0x8508400d, 0x00731771, 
      0x8408200c, 0x00751791, 
      0x8208000c, 0x007717b1, 
      0x8107e00c, 0x007917c1, 
      0x7f07c00c, 0x007b17e1,
   },
   { /* UV scale factor = 0.30, phases = 127, taps = 5. */
      0x82180079, 0x000b07a1, 
      0x8417f076, 0x000b07c1, 
      0x8517d075, 0x000b07e1, 
      0x8717b073, 0x000b0801, 
      0x8817a071, 0x000b0821, 
      0x89178070, 0x000b0841, 
      0x8b17606e, 0x000b0861, 
      0x8c17506c, 0x000c0871, 
      0x8e17306a, 0x000c0891, 
      0x8f171069, 0x000c08b1, 
      0x9016f068, 0x000c08d1, 
      0x9216d066, 0x000c08f1, 
      0x9316c064, 0x000c0911, 
      0x9416a062, 0x000d0931, 
      0x96168060, 0x000d0951, 
      0x9716605f, 0x000d0971, 
      0x9816405e, 0x000d0991, 
      0x9916305c, 0x000d09b1, 
      0x9b16005a, 0x000e09d1, 
      0x9c15e059, 0x000e09f1, 
      0x9d15c058, 0x000e0a11, 
      0x9e15b055, 0x000f0a31, 
      0x9f159054, 0x000f0a51, 
      0xa0157052, 0x000f0a81, 
      0xa1155051, 0x000f0aa1, 
      0xa215304f, 0x00100ac1, 
      0xa315104e, 0x00100ae1, 
      0xa414f04d, 0x00100b01, 
      0xa514d04b, 0x00110b21, 
      0xa614a04b, 0x00110b41, 
      0xa7149049, 0x00110b61, 
      0xa8146047, 0x00120b91, 
      0xa9144046, 0x00120bb1, 
      0xaa142044, 0x00130bd1, 
      0xaa140044, 0x00130bf1, 
      0xab13e043, 0x00130c11, 
      0xac13c041, 0x00140c31, 
      0xad13a03f, 0x00140c61, 
      0xad13803e, 0x00150c81, 
      0xae13503e, 0x00150ca1, 
      0xaf13303c, 0x00160cc1, 
      0xaf13203b, 0x00160ce1, 
      0xb012f039, 0x00170d11, 
      0xb012d039, 0x00170d31, 
      0xb112b037, 0x00180d51, 
      0xb1129037, 0x00180d71, 
      0xb2126035, 0x00190da1, 
      0xb2124034, 0x001a0dc1, 
      0xb3122033, 0x001a0de1, 
      0xb3120032, 0x001b0e01, 
      0xb411d031, 0x001b0e31, 
      0xb411b030, 0x001c0e51, 
      0xb411902f, 0x001d0e71, 
      0xb511702e, 0x001d0e91, 
      0xb511402d, 0x001e0ec1, 
      0xb511202c, 0x001f0ee1, 
      0xb611002b, 0x001f0f01, 
      0xb510e02a, 0x00200f31, 
      0xb610b029, 0x00210f51, 
      0xb6109028, 0x00220f71, 
      0xb6107028, 0x00220f91, 
      0xb6105026, 0x00230fc1, 
      0xb6102026, 0x00240fe1, 
      0xb6100025, 0x00251001, 
      0xb60fe024, 0x00261021, 
      0xb60fb023, 0x00271051, 
      0xb60f9023, 0x00271071, 
      0xb60f7022, 0x00281091, 
      0xb60f5021, 0x002910b1, 
      0xb50f3020, 0x002a10e1, 
      0xb50f0020, 0x002b1101, 
      0xb50ee01f, 0x002c1121, 
      0xb50ec01e, 0x002d1141, 
      0xb50e901d, 0x002e1171, 
      0xb40e701d, 0x002f1191, 
      0xb40e501c, 0x003011b1, 
      0xb40e301b, 0x003111d1, 
      0xb30e001b, 0x00321201, 
      0xb30de01a, 0x00331221, 
      0xb20dc01a, 0x00341241, 
      0xb20da019, 0x00351261, 
      0xb10d8019, 0x00361281, 
      0xb10d5018, 0x003712b1, 
      0xb00d3018, 0x003812d1, 
      0xb00d1016, 0x003a12f1, 
      0xaf0ce017, 0x003b1311, 
      0xaf0cc016, 0x003c1331, 
      0xae0ca016, 0x003d1351, 
      0xad0c8015, 0x003e1381, 
      0xad0c5014, 0x004013a1, 
      0xac0c3014, 0x004113c1, 
      0xab0c1014, 0x004213e1, 
      0xaa0bf014, 0x00431401, 
      0xaa0bd012, 0x00451421, 
      0xa90bb012, 0x00461441, 
      0xa80b9012, 0x00471461, 
      0xa70b6012, 0x00491481, 
      0xa60b4012, 0x004a14a1, 
      0xa50b2011, 0x004b14d1, 
      0xa40b0010, 0x004d14f1, 
      0xa30ae010, 0x004e1511, 
      0xa20ac00f, 0x00501531, 
      0xa10aa00f, 0x00511551, 
      0xa00a700f, 0x00531571, 
      0x9f0a500f, 0x00541591, 
      0x9e0a300e, 0x005615b1, 
      0x9d0a100f, 0x005715c1, 
      0x9c09f00e, 0x005915e1, 
      0x9b09d00e, 0x005a1601, 
      0x9909b00e, 0x005c1621, 
      0x9809900e, 0x005d1641, 
      0x9709700d, 0x005f1661, 
      0x9609500d, 0x00601681, 
      0x9409300d, 0x006216a1, 
      0x9309100c, 0x006416c1, 
      0x9208f00d, 0x006516d1, 
      0x9008d00d, 0x006716f1, 
      0x8f08b00c, 0x00691711, 
      0x8e08900c, 0x006a1731, 
      0x8c08700c, 0x006c1751, 
      0x8b08600b, 0x006e1761, 
      0x8908400b, 0x00701781, 
      0x8808200b, 0x007117a1, 
      0x8708000b, 0x007317b1, 
      0x8507e00b, 0x007517d1, 
      0x8407c00a, 0x007717f1, 
      0x8207a00b, 0x00791801,
   },
   { /* UV scale factor = 0.31, phases = 127, taps = 5. */
      0x85183076, 0x000a0781, 
      0x86181075, 0x000a07a1, 
      0x88180072, 0x000a07c1, 
      0x8917e071, 0x000a07e1, 
      0x8b17c06f, 0x000a0801, 
      0x8c17a06e, 0x000a0821, 
      0x8e17906b, 0x000a0841, 
      0x8f17706b, 0x000a0851, 
      0x91175068, 0x000b0871, 
      0x92173067, 0x000b0891, 
      0x93172065, 0x000b08b1, 
      0x9516f064, 0x000b08d1, 
      0x9616e062, 0x000b08f1, 
      0x9816c05f, 0x000c0911, 
      0x9916a05e, 0x000c0931, 
      0x9a16805d, 0x000c0951, 
      0x9b16605c, 0x000c0971, 
      0x9d16405a, 0x000c0991, 
      0x9e162058, 0x000d09b1, 
      0x9f160057, 0x000d09d1, 
      0xa015e055, 0x000d0a01, 
      0xa115c054, 0x000d0a21, 
      0xa315a051, 0x000e0a41, 
      0xa4158050, 0x000e0a61, 
      0xa515604f, 0x000e0a81, 
      0xa615404d, 0x000f0aa1, 
      0xa715204c, 0x000f0ac1, 
      0xa815004b, 0x000f0ae1, 
      0xa914e049, 0x00100b01, 
      0xaa14b048, 0x00100b31, 
      0xab14a046, 0x00100b51, 
      0xac147045, 0x00110b71, 
      0xac146044, 0x00110b91, 
      0xad144043, 0x00110bb1, 
      0xae141041, 0x00120be1, 
      0xaf13f040, 0x00120c01, 
      0xb013d03e, 0x00130c21, 
      0xb013b03e, 0x00130c41, 
      0xb113803c, 0x00140c71, 
      0xb213603b, 0x00140c91, 
      0xb313403a, 0x00140cb1, 
      0xb3132039, 0x00150cd1, 
      0xb4130037, 0x00150d01, 
      0xb412d037, 0x00160d21, 
      0xb512b035, 0x00170d41, 
      0xb5129035, 0x00170d61, 
      0xb6126033, 0x00180d91, 
      0xb6124033, 0x00180db1, 
      0xb7122031, 0x00190dd1, 
      0xb7120031, 0x00190df1, 
      0xb811d02f, 0x001a0e21, 
      0xb811b02e, 0x001b0e41, 
      0xb811902e, 0x001b0e61, 
      0xb911602c, 0x001c0e91, 
      0xb911402b, 0x001d0eb1, 
      0xb911202b, 0x001d0ed1, 
      0xb9110029, 0x001e0f01, 
      0xba10d028, 0x001f0f21, 
      0xba10b028, 0x001f0f41, 
      0xba109026, 0x00200f71, 
      0xba107025, 0x00210f91, 
      0xba104025, 0x00220fb1, 
      0xba102025, 0x00220fd1, 
      0xba100023, 0x00231001, 
      0xba0fd023, 0x00241021, 
      0xba0fb022, 0x00251041, 
      0xba0f9020, 0x00261071, 
      0xba0f6020, 0x00271091, 
      0xba0f4020, 0x002710b1, 
      0xba0f201e, 0x002810e1, 
      0xb90f001e, 0x00291101, 
      0xb90ed01e, 0x002a1121, 
      0xb90eb01d, 0x002b1141, 
      0xb90e901b, 0x002c1171, 
      0xb80e601c, 0x002d1191, 
      0xb80e401b, 0x002e11b1, 
      0xb80e2019, 0x002f11e1, 
      0xb70df01a, 0x00301201, 
      0xb70dd019, 0x00311221, 
      0xb60db019, 0x00321241, 
      0xb60d9017, 0x00331271, 
      0xb50d6018, 0x00341291, 
      0xb50d4017, 0x003512b1, 
      0xb40d2016, 0x003712d1, 
      0xb40cf015, 0x00381301, 
      0xb30cd015, 0x00391321, 
      0xb30cb014, 0x003a1341, 
      0xb20c9014, 0x003b1361, 
      0xb10c7014, 0x003c1381, 
      0xb00c4013, 0x003e13b1, 
      0xb00c2012, 0x003f13d1, 
      0xaf0c0012, 0x004013f1, 
      0xae0be012, 0x00411411, 
      0xad0bb012, 0x00431431, 
      0xac0b9012, 0x00441451, 
      0xac0b7011, 0x00451471, 
      0xab0b4010, 0x004714a1, 
      0xaa0b300f, 0x004814c1, 
      0xa90b0010, 0x004914e1, 
      0xa80ae00f, 0x004b1501, 
      0xa70ac00f, 0x004c1521, 
      0xa60aa00e, 0x004e1541, 
      0xa50a800e, 0x004f1561, 
      0xa40a600e, 0x00501581, 
      0xa30a400d, 0x005215a1, 
      0xa10a200e, 0x005315c1, 
      0xa00a000d, 0x005515e1, 
      0x9f09e00d, 0x00561601, 
      0x9e09b00d, 0x00581621, 
      0x9d09900c, 0x005a1641, 
      0x9b09700d, 0x005b1661, 
      0x9a09500c, 0x005d1681, 
      0x9909300c, 0x005e16a1, 
      0x9809100b, 0x006016c1, 
      0x9608f00b, 0x006216e1, 
      0x9508d00c, 0x006316f1, 
      0x9308c00b, 0x00651711, 
      0x9208900b, 0x00671731, 
      0x9108700b, 0x00681751, 
      0x8f08500b, 0x006a1771, 
      0x8e08300a, 0x006c1791, 
      0x8c08200a, 0x006e17a1, 
      0x8b08000a, 0x006f17c1, 
      0x8907e00a, 0x007117e1, 
      0x8807c009, 0x00731801, 
      0x8607a00a, 0x00751811, 
      0x85078009, 0x00771831,
   },
   { /* UV scale factor = 0.32, phases = 127, taps = 5. */
      0x87186075, 0x00080761, 
      0x89184072, 0x00090781, 
      0x8b182070, 0x000907a1, 
      0x8c18006f, 0x000907c1, 
      0x8e17e06d, 0x000907e1, 
      0x8f17d06b, 0x00090801, 
      0x9117b06a, 0x00090811, 
      0x9217a068, 0x00090831, 
      0x94177066, 0x000a0851, 
      0x95175065, 0x000a0871, 
      0x97174062, 0x000a0891, 
      0x98172061, 0x000a08b1, 
      0x99170060, 0x000a08d1, 
      0x9b16e05e, 0x000a08f1, 
      0x9c16c05c, 0x000b0911, 
      0x9d16a05b, 0x000b0931, 
      0x9f168059, 0x000b0951, 
      0xa0166058, 0x000b0971, 
      0xa1164056, 0x000c0991, 
      0xa3161054, 0x000c09c1, 
      0xa4160052, 0x000c09e1, 
      0xa515e051, 0x000c0a01, 
      0xa615c04f, 0x000d0a21, 
      0xa715a04e, 0x000d0a41, 
      0xa815804d, 0x000d0a61, 
      0xa915604c, 0x000d0a81, 
      0xaa15304b, 0x000e0aa1, 
      0xab151049, 0x000e0ad1, 
      0xac14f048, 0x000e0af1, 
      0xad14d046, 0x000f0b11, 
      0xae14b045, 0x000f0b31, 
      0xaf149044, 0x000f0b51, 
      0xb0146042, 0x00100b81, 
      0xb1144041, 0x00100ba1, 
      0xb214203f, 0x00110bc1, 
      0xb314003e, 0x00110be1, 
      0xb413e03c, 0x00110c11, 
      0xb413b03c, 0x00120c31, 
      0xb513903b, 0x00120c51, 
      0xb6137039, 0x00130c71, 
      0xb7135037, 0x00130ca1, 
      0xb7132037, 0x00140cc1, 
      0xb8130036, 0x00140ce1, 
      0xb812e034, 0x00150d11, 
      0xb912c033, 0x00150d31, 
      0xba129032, 0x00160d51, 
      0xba127031, 0x00160d81, 
      0xbb124030, 0x00170da1, 
      0xbb122030, 0x00170dc1, 
      0xbb12002f, 0x00180de1, 
      0xbc11e02d, 0x00180e11, 
      0xbc11b02d, 0x00190e31, 
      0xbc11902c, 0x001a0e51, 
      0xbd11702a, 0x001a0e81, 
      0xbd11402a, 0x001b0ea1, 
      0xbd112028, 0x001c0ed1, 
      0xbe110027, 0x001c0ef1, 
      0xbe10d027, 0x001d0f11, 
      0xbe10b025, 0x001e0f41, 
      0xbe109025, 0x001e0f61, 
      0xbe107024, 0x001f0f81, 
      0xbe104023, 0x00200fb1, 
      0xbe102022, 0x00210fd1, 
      0xbe100022, 0x00210ff1, 
      0xbe0fd021, 0x00221021, 
      0xbe0fb020, 0x00231041, 
      0xbe0f8020, 0x00241061, 
      0xbe0f601e, 0x00251091, 
      0xbe0f401d, 0x002610b1, 
      0xbe0f101d, 0x002710d1, 
      0xbe0ef01c, 0x00271101, 
      0xbd0ed01c, 0x00281121, 
      0xbd0eb01b, 0x00291141, 
      0xbd0e801a, 0x002a1171, 
      0xbc0e601a, 0x002b1191, 
      0xbc0e301a, 0x002c11b1, 
      0xbc0e1018, 0x002d11e1, 
      0xbb0df018, 0x002e1201, 
      0xbb0dc018, 0x002f1221, 
      0xbb0da016, 0x00301251, 
      0xba0d8016, 0x00311271, 
      0xba0d5016, 0x00321291, 
      0xb90d3015, 0x003312c1, 
      0xb80d1014, 0x003512e1, 
      0xb80ce014, 0x00361301, 
      0xb70cc014, 0x00371321, 
      0xb70c9013, 0x00381351, 
      0xb60c7013, 0x00391371, 
      0xb50c5013, 0x003a1391, 
      0xb40c3012, 0x003c13b1, 
      0xb40c0011, 0x003d13e1, 
      0xb30be011, 0x003e1401, 
      0xb20bc011, 0x003f1421, 
      0xb10ba010, 0x00411441, 
      0xb00b8010, 0x00421461, 
      0xaf0b5010, 0x00431491, 
      0xae0b300f, 0x004514b1, 
      0xad0b100f, 0x004614d1, 
      0xac0af00f, 0x004714f1, 
      0xab0ad00e, 0x00491511, 
      0xaa0ab00e, 0x004a1531, 
      0xa90a900e, 0x004b1551, 
      0xa80a600d, 0x004d1581, 
      0xa70a400d, 0x004e15a1, 
      0xa60a200c, 0x005015c1, 
      0xa50a000c, 0x005115e1, 
      0xa409d00c, 0x00531601, 
      0xa309c00b, 0x00541621, 
      0xa109900c, 0x00561641, 
      0xa009700c, 0x00571661, 
      0x9f09500b, 0x00591681, 
      0x9d09300b, 0x005b16a1, 
      0x9c09100b, 0x005c16c1, 
      0x9b08f00a, 0x005e16e1, 
      0x9908d00b, 0x005f1701, 
      0x9808b00a, 0x00611721, 
      0x97089009, 0x00631741, 
      0x9508800a, 0x00641751, 
      0x9408500a, 0x00661771, 
      0x9208300a, 0x00681791, 
      0x91081009, 0x006a17b1, 
      0x8f080009, 0x006b17d1, 
      0x8e07e008, 0x006d17f1, 
      0x8c07c009, 0x006f1801, 
      0x8b07a008, 0x00711821, 
      0x89078008, 0x00731841, 
      0x87076009, 0x00741861,
   },
   { /* UV scale factor = 0.33, phases = 127, taps = 5. */
      0x8a188073, 0x00070741, 
      0x8c187070, 0x00070761, 
      0x8d18506e, 0x00080781, 
      0x8f18306c, 0x000807a1, 
      0x9118106b, 0x000807b1, 
      0x9217f06a, 0x000807d1, 
      0x9417d068, 0x000807f1, 
      0x9517c066, 0x00080811, 
      0x9717a064, 0x00080831, 
      0x98178062, 0x00090851, 
      0x9a176060, 0x00090871, 
      0x9b17405f, 0x00090891, 
      0x9d17205d, 0x000908b1, 
      0x9e17005c, 0x000908d1, 
      0x9f16e05a, 0x000a08f1, 
      0xa116c058, 0x000a0911, 
      0xa216a057, 0x000a0931, 
      0xa4168055, 0x000a0951, 
      0xa5166053, 0x000a0981, 
      0xa6163052, 0x000b09a1, 
      0xa7162050, 0x000b09c1, 
      0xa915f04f, 0x000b09e1, 
      0xaa15d04e, 0x000b0a01, 
      0xab15b04c, 0x000c0a21, 
      0xac15904b, 0x000c0a41, 
      0xad15704a, 0x000c0a61, 
      0xae155047, 0x000d0a91, 
      0xaf153046, 0x000d0ab1, 
      0xb0150046, 0x000d0ad1, 
      0xb114f044, 0x000d0af1, 
      0xb214c042, 0x000e0b21, 
      0xb314a041, 0x000e0b41, 
      0xb414803f, 0x000f0b61, 
      0xb514503f, 0x000f0b81, 
      0xb614303d, 0x000f0bb1, 
      0xb714103b, 0x00100bd1, 
      0xb813f03a, 0x00100bf1, 
      0xb813d03a, 0x00100c11, 
      0xb913a038, 0x00110c41, 
      0xba138037, 0x00110c61, 
      0xbb135036, 0x00120c81, 
      0xbb133035, 0x00120cb1, 
      0xbc131033, 0x00130cd1, 
      0xbd12e033, 0x00130cf1, 
      0xbd12c031, 0x00140d21, 
      0xbe12a030, 0x00140d41, 
      0xbe127030, 0x00150d61, 
      0xbf12502e, 0x00150d91, 
      0xbf12302d, 0x00160db1, 
      0xc012002d, 0x00160dd1, 
      0xc011e02b, 0x00170e01, 
      0xc011c02a, 0x00180e21, 
      0xc1119029, 0x00180e51, 
      0xc1117028, 0x00190e71, 
      0xc1115028, 0x00190e91, 
      0xc2112026, 0x001a0ec1, 
      0xc2110025, 0x001b0ee1, 
      0xc210d025, 0x001b0f11, 
      0xc210b024, 0x001c0f31, 
      0xc2109023, 0x001d0f51, 
      0xc2106022, 0x001e0f81, 
      0xc3104021, 0x001e0fa1, 
      0xc3101020, 0x001f0fd1, 
      0xc30ff01f, 0x00200ff1, 
      0xc30fd01e, 0x00211011, 
      0xc30fa01e, 0x00211041, 
      0xc30f801d, 0x00221061, 
      0xc20f501d, 0x00231091, 
      0xc20f301c, 0x002410b1, 
      0xc20f101b, 0x002510d1, 
      0xc20ee01a, 0x00261101, 
      0xc20ec01a, 0x00261121, 
      0xc10ea01a, 0x00271141, 
      0xc10e7019, 0x00281171, 
      0xc10e5018, 0x00291191, 
      0xc00e2018, 0x002a11c1, 
      0xc00e0017, 0x002b11e1, 
      0xc00dd017, 0x002c1201, 
      0xbf0db016, 0x002d1231, 
      0xbf0d9015, 0x002e1251, 
      0xbe0d7015, 0x002f1271, 
      0xbe0d4014, 0x003012a1, 
      0xbd0d2014, 0x003112c1, 
      0xbd0cf013, 0x003312e1, 
      0xbc0cd012, 0x00341311, 
      0xbb0cb012, 0x00351331, 
      0xbb0c8012, 0x00361351, 
      0xba0c6011, 0x00371381, 
      0xb90c4011, 0x003813a1, 
      0xb80c2011, 0x003913c1, 
      0xb70bf010, 0x003b13f1, 
      0xb70bd00f, 0x003c1411, 
      0xb60bb00f, 0x003d1431, 
      0xb50b900f, 0x003e1451, 
      0xb40b600e, 0x00401481, 
      0xb30b400e, 0x004114a1, 
      0xb20b200e, 0x004214c1, 
      0xb10af00e, 0x004414e1, 
      0xb00ad00e, 0x00451501, 
      0xaf0ab00d, 0x00461531, 
      0xae0a900c, 0x00481551, 
      0xad0a600d, 0x00491571, 
      0xac0a400c, 0x004b1591, 
      0xab0a200c, 0x004c15b1, 
      0xaa0a000b, 0x004e15d1, 
      0xa909e00b, 0x004f15f1, 
      0xa709c00a, 0x00511621, 
      0xa609a00a, 0x00521641, 
      0xa509700a, 0x00541661, 
      0xa409500a, 0x00551681, 
      0xa209300a, 0x005716a1, 
      0xa109100a, 0x005816c1, 
      0x9f08f00a, 0x005a16e1, 
      0x9e08d00a, 0x005b1701, 
      0x9d08b009, 0x005d1721, 
      0x9b089009, 0x005f1741, 
      0x9a087009, 0x00601761, 
      0x98085009, 0x00621781, 
      0x97083008, 0x006417a1, 
      0x95081008, 0x006617c1, 
      0x9407f009, 0x006717d1, 
      0x9207e008, 0x006917f1, 
      0x9107b008, 0x006b1811, 
      0x8f07a007, 0x006d1831, 
      0x8d078008, 0x006e1851, 
      0x8c076007, 0x00701871, 
      0x8a074008, 0x00721881,
   },
   { /* UV scale factor = 0.34, phases = 127, taps = 5. */
      0x8d18b070, 0x00060721, 
      0x8f18906e, 0x00060741, 
      0x9018806c, 0x00070751, 
      0x9218606a, 0x00070771, 
      0x94184068, 0x00070791, 
      0x95182067, 0x000707b1, 
      0x97180065, 0x000707d1, 
      0x9917e063, 0x000707f1, 
      0x9a17c062, 0x00070811, 
      0x9c17a05f, 0x00080831, 
      0x9d17805e, 0x00080851, 
      0x9f17605c, 0x00080871, 
      0xa017405b, 0x00080891, 
      0xa2172059, 0x000808b1, 
      0xa3170058, 0x000808d1, 
      0xa416e056, 0x000908f1, 
      0xa616c054, 0x00090911, 
      0xa716a053, 0x00090931, 
      0xa8168052, 0x00090951, 
      0xaa165050, 0x00090981, 
      0xab16304e, 0x000a09a1, 
      0xac16104d, 0x000a09c1, 
      0xad15f04c, 0x000a09e1, 
      0xaf15d04a, 0x000a0a01, 
      0xb015b048, 0x000b0a21, 
      0xb1158047, 0x000b0a51, 
      0xb2156046, 0x000b0a71, 
      0xb3154044, 0x000c0a91, 
      0xb4152043, 0x000c0ab1, 
      0xb5150041, 0x000c0ae1, 
      0xb614d040, 0x000d0b01, 
      0xb714b03f, 0x000d0b21, 
      0xb814903e, 0x000d0b41, 
      0xb914603c, 0x000e0b71, 
      0xba14403b, 0x000e0b91, 
      0xbb14203a, 0x000e0bb1, 
      0xbc13f038, 0x000f0be1, 
      0xbd13d037, 0x000f0c01, 
      0xbd13b036, 0x00100c21, 
      0xbe138035, 0x00100c51, 
      0xbf136034, 0x00100c71, 
      0xc0134032, 0x00110c91, 
      0xc0131032, 0x00110cc1, 
      0xc112f030, 0x00120ce1, 
      0xc212d02f, 0x00120d01, 
      0xc212a02e, 0x00130d31, 
      0xc312802d, 0x00130d51, 
      0xc312502c, 0x00140d81, 
      0xc412302b, 0x00140da1, 
      0xc412102a, 0x00150dc1, 
      0xc511e029, 0x00150df1, 
      0xc511c028, 0x00160e11, 
      0xc5119027, 0x00170e41, 
      0xc6117026, 0x00170e61, 
      0xc6114026, 0x00180e81, 
      0xc6112025, 0x00180eb1, 
      0xc6110024, 0x00190ed1, 
      0xc710d022, 0x001a0f01, 
      0xc710b022, 0x001a0f21, 
      0xc7108021, 0x001b0f51, 
      0xc7106020, 0x001c0f71, 
      0xc710301f, 0x001d0fa1, 
      0xc710101f, 0x001d0fc1, 
      0xc70fe01f, 0x001e0fe1, 
      0xc70fc01d, 0x001f1011, 
      0xc70fa01c, 0x00201031, 
      0xc70f701c, 0x00201061, 
      0xc70f501b, 0x00211081, 
      0xc70f201a, 0x002210b1, 
      0xc70f0019, 0x002310d1, 
      0xc60ed019, 0x00241101, 
      0xc60eb018, 0x00251121, 
      0xc60e9018, 0x00251141, 
      0xc60e6017, 0x00261171, 
      0xc50e4017, 0x00271191, 
      0xc50e1016, 0x002811c1, 
      0xc50df015, 0x002911e1, 
      0xc40dc015, 0x002a1211, 
      0xc40da014, 0x002b1231, 
      0xc30d8014, 0x002c1251, 
      0xc30d5013, 0x002d1281, 
      0xc20d3013, 0x002e12a1, 
      0xc20d0012, 0x002f12d1, 
      0xc10ce012, 0x003012f1, 
      0xc00cc011, 0x00321311, 
      0xc00c9010, 0x00331341, 
      0xbf0c7010, 0x00341361, 
      0xbe0c5010, 0x00351381, 
      0xbd0c2010, 0x003613b1, 
      0xbd0c000f, 0x003713d1, 
      0xbc0be00f, 0x003813f1, 
      0xbb0bb00e, 0x003a1421, 
      0xba0b900e, 0x003b1441, 
      0xb90b700e, 0x003c1461, 
      0xb80b400e, 0x003d1491, 
      0xb70b200d, 0x003f14b1, 
      0xb60b000d, 0x004014d1, 
      0xb50ae00c, 0x00411501, 
      0xb40ab00c, 0x00431521, 
      0xb30a900c, 0x00441541, 
      0xb20a700b, 0x00461561, 
      0xb10a500b, 0x00471581, 
      0xb00a200b, 0x004815b1, 
      0xaf0a000a, 0x004a15d1, 
      0xad09e00b, 0x004b15f1, 
      0xac09c00a, 0x004d1611, 
      0xab09a00a, 0x004e1631, 
      0xaa098009, 0x00501651, 
      0xa809500a, 0x00511681, 
      0xa7093009, 0x005316a1, 
      0xa6091009, 0x005416c1, 
      0xa408f009, 0x005616e1, 
      0xa308d008, 0x00581701, 
      0xa208b008, 0x00591721, 
      0xa0089008, 0x005b1741, 
      0x9f087008, 0x005c1761, 
      0x9d085008, 0x005e1781, 
      0x9c083007, 0x006017a1, 
      0x9a081007, 0x006217c1, 
      0x9907f007, 0x006317e1, 
      0x9707d007, 0x00651801, 
      0x9507b007, 0x00671821, 
      0x94079006, 0x00691841, 
      0x92077007, 0x006a1861, 
      0x90075007, 0x006c1881, 
      0x8f074006, 0x006e1891, 
      0x8d072006, 0x007018b1,
   },
   { /* UV scale factor = 0.35, phases = 127, taps = 5. */
      0x9018e06e, 0x000506f1, 
      0x9218c06c, 0x00050711, 
      0x9318b06a, 0x00050731, 
      0x95188068, 0x00060751, 
      0x97186066, 0x00060771, 
      0x99184064, 0x00060791, 
      0x9a183062, 0x000607b1, 
      0x9c181060, 0x000607d1, 
      0x9d17f05f, 0x000607f1, 
      0x9f17d05d, 0x00060811, 
      0xa117a05b, 0x00070831, 
      0xa217805a, 0x00070851, 
      0xa4176058, 0x00070871, 
      0xa5174057, 0x00070891, 
      0xa7172055, 0x000708b1, 
      0xa8170053, 0x000808d1, 
      0xa916e052, 0x000808f1, 
      0xab16c050, 0x00080911, 
      0xac16a04f, 0x00080931, 
      0xae16704e, 0x00080951, 
      0xaf16504b, 0x00090981, 
      0xb016304a, 0x000909a1, 
      0xb1161049, 0x000909c1, 
      0xb315e048, 0x000909e1, 
      0xb415c046, 0x000a0a01, 
      0xb515a044, 0x000a0a31, 
      0xb6158043, 0x000a0a51, 
      0xb7156042, 0x000a0a71, 
      0xb8153041, 0x000b0a91, 
      0xb915103f, 0x000b0ac1, 
      0xbb14e03e, 0x000b0ae1, 
      0xbc14c03c, 0x000c0b01, 
      0xbd14903b, 0x000c0b31, 
      0xbd14803a, 0x000c0b51, 
      0xbe145039, 0x000d0b71, 
      0xbf143037, 0x000d0ba1, 
      0xc0140037, 0x000d0bc1, 
      0xc113e035, 0x000e0be1, 
      0xc213c033, 0x000e0c11, 
      0xc3139032, 0x000f0c31, 
      0xc3137032, 0x000f0c51, 
      0xc4134031, 0x000f0c81, 
      0xc513202f, 0x00100ca1, 
      0xc512f02f, 0x00100cd1, 
      0xc612d02d, 0x00110cf1, 
      0xc712b02c, 0x00110d11, 
      0xc712802b, 0x00120d41, 
      0xc812602a, 0x00120d61, 
      0xc8123029, 0x00130d91, 
      0xc9121028, 0x00130db1, 
      0xc911e027, 0x00140de1, 
      0xca11c026, 0x00140e01, 
      0xca119025, 0x00150e31, 
      0xca117024, 0x00160e51, 
      0xcb114024, 0x00160e71, 
      0xcb112022, 0x00170ea1, 
      0xcb110022, 0x00170ec1, 
      0xcb10d021, 0x00180ef1, 
      0xcb10a021, 0x00190f11, 
      0xcc10801f, 0x00190f41, 
      0xcc10501f, 0x001a0f61, 
      0xcc10301d, 0x001b0f91, 
      0xcc10101d, 0x001b0fb1, 
      0xcc0fe01c, 0x001c0fe1, 
      0xcc0fb01c, 0x001d1001, 
      0xcc0f901a, 0x001e1031, 
      0xcc0f601a, 0x001f1051, 
      0xcc0f4019, 0x001f1081, 
      0xcb0f2019, 0x002010a1, 
      0xcb0ef018, 0x002110d1, 
      0xcb0ec018, 0x002210f1, 
      0xcb0ea016, 0x00231121, 
      0xcb0e7016, 0x00241141, 
      0xca0e5016, 0x00241171, 
      0xca0e3015, 0x00251191, 
      0xca0e0014, 0x002611c1, 
      0xc90de014, 0x002711e1, 
      0xc90db013, 0x00281211, 
      0xc80d9013, 0x00291231, 
      0xc80d6012, 0x002a1261, 
      0xc70d4012, 0x002b1281, 
      0xc70d1011, 0x002c12b1, 
      0xc60cf011, 0x002d12d1, 
      0xc50cd011, 0x002e12f1, 
      0xc50ca010, 0x002f1321, 
      0xc40c8010, 0x00301341, 
      0xc30c500f, 0x00321371, 
      0xc30c300e, 0x00331391, 
      0xc20c000e, 0x003413c1, 
      0xc10be00e, 0x003513e1, 
      0xc00bc00e, 0x00361401, 
      0xbf0ba00d, 0x00371431, 
      0xbe0b700d, 0x00391451, 
      0xbd0b500d, 0x003a1471, 
      0xbd0b300b, 0x003b14a1, 
      0xbc0b000c, 0x003c14c1, 
      0xbb0ae00b, 0x003e14e1, 
      0xb90ac00b, 0x003f1511, 
      0xb80aa00b, 0x00401531, 
      0xb70a700b, 0x00421551, 
      0xb60a500a, 0x00431581, 
      0xb50a3009, 0x004515a1, 
      0xb40a000a, 0x004615c1, 
      0xb309e00a, 0x004715e1, 
      0xb109c009, 0x00491611, 
      0xb009a009, 0x004a1631, 
      0xaf098008, 0x004c1651, 
      0xae095009, 0x004d1671, 
      0xac093008, 0x004f16a1, 
      0xab091008, 0x005016c1, 
      0xa908f008, 0x005216e1, 
      0xa808d007, 0x00541701, 
      0xa708b007, 0x00551721, 
      0xa5089007, 0x00571741, 
      0xa4087007, 0x00581761, 
      0xa2085007, 0x005a1781, 
      0xa1083006, 0x005c17a1, 
      0x9f081006, 0x005d17d1, 
      0x9d07f006, 0x005f17f1, 
      0x9c07c006, 0x00611811, 
      0x9a07b005, 0x00631831, 
      0x99079005, 0x00641851, 
      0x97077006, 0x00661861, 
      0x95075006, 0x00681881, 
      0x93073006, 0x006a18a1, 
      0x92071005, 0x006c18c1, 
      0x9006f006, 0x006d18e1,
   },
   { /* UV scale factor = 0.36, phases = 127, taps = 5. */
      0x9319106b, 0x000406d1, 
      0x9518f069, 0x000406f1, 
      0x9718d067, 0x00040711, 
      0x9818b065, 0x00050731, 
      0x9a189064, 0x00050741, 
      0x9c187062, 0x00050761, 
      0x9d185061, 0x00050781, 
      0x9f18305f, 0x000507a1, 
      0xa118105d, 0x000507c1, 
      0xa317f05b, 0x000507e1, 
      0xa417d059, 0x00060801, 
      0xa617b057, 0x00060821, 
      0xa7179056, 0x00060841, 
      0xa9176054, 0x00060871, 
      0xaa174053, 0x00060891, 
      0xac172051, 0x000608b1, 
      0xad17004f, 0x000708d1, 
      0xaf16e04d, 0x000708f1, 
      0xb016b04d, 0x00070911, 
      0xb116a04b, 0x00070931, 
      0xb316704a, 0x00070951, 
      0xb4165047, 0x00080981, 
      0xb5162047, 0x000809a1, 
      0xb7160045, 0x000809c1, 
      0xb815e044, 0x000809e1, 
      0xb915b042, 0x00090a11, 
      0xba159041, 0x00090a31, 
      0xbb157040, 0x00090a51, 
      0xbd15403f, 0x00090a71, 
      0xbe15203c, 0x000a0aa1, 
      0xbf15003b, 0x000a0ac1, 
      0xc014d03b, 0x000a0ae1, 
      0xc114b038, 0x000b0b11, 
      0xc2149037, 0x000b0b31, 
      0xc3146037, 0x000b0b51, 
      0xc4143035, 0x000c0b81, 
      0xc5141034, 0x000c0ba1, 
      0xc513f033, 0x000c0bd1, 
      0xc613c032, 0x000d0bf1, 
      0xc713a031, 0x000d0c11, 
      0xc813702f, 0x000e0c41, 
      0xc913502e, 0x000e0c61, 
      0xc913202e, 0x000e0c91, 
      0xca13002c, 0x000f0cb1, 
      0xcb12d02b, 0x000f0ce1, 
      0xcb12b02a, 0x00100d01, 
      0xcc12802a, 0x00100d21, 
      0xcc126028, 0x00110d51, 
      0xcd123028, 0x00110d71, 
      0xcd121026, 0x00120da1, 
      0xce11e026, 0x00120dc1, 
      0xce11c024, 0x00130df1, 
      0xcf119024, 0x00130e11, 
      0xcf117022, 0x00140e41, 
      0xcf114022, 0x00150e61, 
      0xd0112020, 0x00150e91, 
      0xd010f020, 0x00160eb1, 
      0xd010d01f, 0x00160ee1, 
      0xd010a01e, 0x00170f11, 
      0xd010701e, 0x00180f31, 
      0xd110501c, 0x00180f61, 
      0xd110201c, 0x00190f81, 
      0xd10ff01b, 0x001a0fb1, 
      0xd10fd01b, 0x001a0fd1, 
      0xd10fb019, 0x001b1001, 
      0xd10f8019, 0x001c1021, 
      0xd10f5018, 0x001d1051, 
      0xd00f4018, 0x001d1071, 
      0xd00f1017, 0x001e10a1, 
      0xd00ee016, 0x001f10d1, 
      0xd00eb016, 0x002010f1, 
      0xd00e8015, 0x00211121, 
      0xcf0e6015, 0x00221141, 
      0xcf0e4014, 0x00221171, 
      0xcf0e1014, 0x00231191, 
      0xce0df013, 0x002411c1, 
      0xce0dc013, 0x002511e1, 
      0xcd0da012, 0x00261211, 
      0xcd0d7012, 0x00271231, 
      0xcc0d5011, 0x00281261, 
      0xcc0d2011, 0x00291281, 
      0xcb0d0010, 0x002a12b1, 
      0xcb0ce00f, 0x002b12d1, 
      0xca0cb00f, 0x002c1301, 
      0xc90c900f, 0x002d1321, 
      0xc90c600e, 0x002e1351, 
      0xc80c400e, 0x002f1371, 
      0xc70c100e, 0x003013a1, 
      0xc60bf00d, 0x003213c1, 
      0xc50bd00c, 0x003313f1, 
      0xc50ba00c, 0x00341411, 
      0xc40b800b, 0x00351441, 
      0xc30b500c, 0x00361461, 
      0xc10b300b, 0x00381491, 
      0xc10b100a, 0x003914b1, 
      0xc00ae00b, 0x003a14d1, 
      0xbf0ac00a, 0x003b1501, 
      0xbe0aa009, 0x003d1521, 
      0xbd0a700a, 0x003e1541, 
      0xbb0a500a, 0x003f1571, 
      0xba0a3009, 0x00411591, 
      0xb90a1008, 0x004215c1, 
      0xb809e008, 0x004415e1, 
      0xb709c008, 0x00451601, 
      0xb609a008, 0x00461621, 
      0xb4098007, 0x00481651, 
      0xb3095008, 0x00491671, 
      0xb1093008, 0x004b1691, 
      0xb0091008, 0x004c16b1, 
      0xaf08f006, 0x004e16e1, 
      0xad08d007, 0x004f1701, 
      0xac08b006, 0x00511721, 
      0xaa089006, 0x00531741, 
      0xa9087006, 0x00541761, 
      0xa7084006, 0x00561791, 
      0xa6082005, 0x005817b1, 
      0xa4080006, 0x005917d1, 
      0xa207e006, 0x005b17f1, 
      0xa107c005, 0x005d1811, 
      0x9f07a006, 0x005e1831, 
      0x9d079005, 0x00601851, 
      0x9c076005, 0x00621871, 
      0x9a074005, 0x00641891, 
      0x98073005, 0x006518b1, 
      0x97071004, 0x006718d1, 
      0x9506f004, 0x006918f1, 
      0x9306d004, 0x006b1911,
   },
   { /* UV scale factor = 0.37, phases = 127, taps = 5. */
      0x96194069, 0x000306a1, 
      0x98192067, 0x000306c1, 
      0x9a190065, 0x000306e1, 
      0x9c18e063, 0x00030701, 
      0x9d18c061, 0x00040721, 
      0x9f18a05f, 0x00040741, 
      0xa118805d, 0x00040761, 
      0xa318605b, 0x00040781, 
      0xa418405a, 0x000407a1, 
      0xa6181059, 0x000407c1, 
      0xa817f057, 0x000407e1, 
      0xa917d055, 0x00050801, 
      0xab17b053, 0x00050821, 
      0xac179052, 0x00050841, 
      0xae177050, 0x00050861, 
      0xb017404f, 0x00050881, 
      0xb117204d, 0x000608a1, 
      0xb316f04b, 0x000608d1, 
      0xb416d04a, 0x000608f1, 
      0xb516b049, 0x00060911, 
      0xb7169047, 0x00060931, 
      0xb8167045, 0x00070951, 
      0xba164043, 0x00070981, 
      0xbb162042, 0x000709a1, 
      0xbc15f042, 0x000709c1, 
      0xbd15e040, 0x000709e1, 
      0xbf15a03e, 0x00080a11, 
      0xc015803d, 0x00080a31, 
      0xc115603c, 0x00080a51, 
      0xc215303a, 0x00090a81, 
      0xc3151039, 0x00090aa1, 
      0xc414f038, 0x00090ac1, 
      0xc514c037, 0x00090af1, 
      0xc614a035, 0x000a0b11, 
      0xc7147035, 0x000a0b31, 
      0xc8145033, 0x000a0b61, 
      0xc9142032, 0x000b0b81, 
      0xca140030, 0x000b0bb1, 
      0xcb13d030, 0x000b0bd1, 
      0xcc13a02e, 0x000c0c01, 
      0xcd13802d, 0x000c0c21, 
      0xcd13502c, 0x000d0c51, 
      0xce13302b, 0x000d0c71, 
      0xcf13002a, 0x000d0ca1, 
      0xcf12e029, 0x000e0cc1, 
      0xd012b028, 0x000e0cf1, 
      0xd1129026, 0x000f0d11, 
      0xd1126026, 0x000f0d41, 
      0xd2124024, 0x00100d61, 
      0xd2121024, 0x00100d91, 
      0xd311e023, 0x00110db1, 
      0xd311c022, 0x00110de1, 
      0xd4119021, 0x00120e01, 
      0xd4117020, 0x00120e31, 
      0xd4114020, 0x00130e51, 
      0xd511101f, 0x00130e81, 
      0xd510f01d, 0x00140eb1, 
      0xd510c01d, 0x00150ed1, 
      0xd510a01c, 0x00150f01, 
      0xd510701c, 0x00160f21, 
      0xd510401b, 0x00170f51, 
      0xd610201a, 0x00170f71, 
      0xd60ff019, 0x00180fa1, 
      0xd60fc018, 0x00190fd1, 
      0xd60fa018, 0x00190ff1, 
      0xd60f7017, 0x001a1021, 
      0xd50f5017, 0x001b1041, 
      0xd50f3016, 0x001b1071, 
      0xd50f0015, 0x001c10a1, 
      0xd50ed015, 0x001d10c1, 
      0xd50ea014, 0x001e10f1, 
      0xd50e8013, 0x001f1111, 
      0xd40e5013, 0x00201141, 
      0xd40e3012, 0x00201171, 
      0xd40e0012, 0x00211191, 
      0xd30de011, 0x002211c1, 
      0xd30db011, 0x002311e1, 
      0xd20d9010, 0x00241211, 
      0xd20d600f, 0x00251241, 
      0xd10d400f, 0x00261261, 
      0xd10d100e, 0x00271291, 
      0xd00cf00e, 0x002812b1, 
      0xcf0cc00e, 0x002912e1, 
      0xcf0ca00d, 0x002a1301, 
      0xce0c700d, 0x002b1331, 
      0xcd0c500d, 0x002c1351, 
      0xcd0c200c, 0x002d1381, 
      0xcc0c000b, 0x002e13b1, 
      0xcb0bd00c, 0x002f13d1, 
      0xca0bb00b, 0x00301401, 
      0xc90b800b, 0x00321421, 
      0xc80b600a, 0x00331451, 
      0xc70b300b, 0x00341471, 
      0xc60b100a, 0x003514a1, 
      0xc50af00a, 0x003614c1, 
      0xc40ac009, 0x003814f1, 
      0xc30aa009, 0x00391511, 
      0xc20a8009, 0x003a1531, 
      0xc10a5008, 0x003c1561, 
      0xc00a3008, 0x003d1581, 
      0xbf0a1007, 0x003e15b1, 
      0xbd09e008, 0x004015d1, 
      0xbc09c008, 0x004115f1, 
      0xbb09a007, 0x00421621, 
      0xba098006, 0x00441641, 
      0xb8095007, 0x00451671, 
      0xb7093006, 0x00471691, 
      0xb5091007, 0x004816b1, 
      0xb408f006, 0x004a16d1, 
      0xb308d005, 0x004b1701, 
      0xb108a006, 0x004d1721, 
      0xb0088005, 0x004f1741, 
      0xae086005, 0x00501771, 
      0xac084005, 0x00521791, 
      0xab082005, 0x005317b1, 
      0xa9080005, 0x005517d1, 
      0xa807e004, 0x005717f1, 
      0xa607c005, 0x00581811, 
      0xa407a004, 0x005a1841, 
      0xa3077004, 0x005c1861, 
      0xa1076003, 0x005e1881, 
      0x9f074004, 0x005f18a1, 
      0x9d072004, 0x006118c1, 
      0x9c070003, 0x006318e1, 
      0x9a06e003, 0x00651901, 
      0x9806c003, 0x00671921, 
      0x9606a004, 0x00681941,
   },
   { /* UV scale factor = 0.38, phases = 127, taps = 5. */
      0x99197066, 0x00020681, 
      0x9b195064, 0x000206a1, 
      0x9d193063, 0x000206b1, 
      0x9f191061, 0x000206d1, 
      0xa118f05e, 0x000306f1, 
      0xa318d05c, 0x00030711, 
      0xa418b05b, 0x00030731, 
      0xa618805a, 0x00030751, 
      0xa8186058, 0x00030771, 
      0xaa184056, 0x00030791, 
      0xab182055, 0x000307b1, 
      0xad180052, 0x000407d1, 
      0xaf17d050, 0x00040801, 
      0xb017b04f, 0x00040821, 
      0xb217904d, 0x00040841, 
      0xb317704c, 0x00040861, 
      0xb517404b, 0x00040881, 
      0xb7172048, 0x000508a1, 
      0xb816f048, 0x000508c1, 
      0xba16d045, 0x000508f1, 
      0xbb16b044, 0x00050911, 
      0xbc169043, 0x00050931, 
      0xbe166041, 0x00060951, 
      0xbf16403f, 0x00060981, 
      0xc016103f, 0x000609a1, 
      0xc215f03d, 0x000609c1, 
      0xc315c03b, 0x000709f1, 
      0xc415a03a, 0x00070a11, 
      0xc515703a, 0x00070a31, 
      0xc7155037, 0x00070a61, 
      0xc8152036, 0x00080a81, 
      0xc9150035, 0x00080aa1, 
      0xca14d034, 0x00080ad1, 
      0xcb14b033, 0x00080af1, 
      0xcc148031, 0x00090b21, 
      0xcd146030, 0x00090b41, 
      0xce143030, 0x00090b61, 
      0xcf14002e, 0x000a0b91, 
      0xd013e02d, 0x000a0bb1, 
      0xd113b02c, 0x000a0be1, 
      0xd113902b, 0x000b0c01, 
      0xd213602a, 0x000b0c31, 
      0xd3133029, 0x000c0c51, 
      0xd4131027, 0x000c0c81, 
      0xd412f027, 0x000c0ca1, 
      0xd512c025, 0x000d0cd1, 
      0xd6129025, 0x000d0cf1, 
      0xd6126024, 0x000e0d21, 
      0xd7124022, 0x000e0d51, 
      0xd7121022, 0x000f0d71, 
      0xd811e021, 0x000f0da1, 
      0xd811c020, 0x00100dc1, 
      0xd911901f, 0x00100df1, 
      0xd911601e, 0x00110e21, 
      0xd911401e, 0x00110e41, 
      0xda11101c, 0x00120e71, 
      0xda10f01c, 0x00120e91, 
      0xda10c01b, 0x00130ec1, 
      0xda10901b, 0x00130ef1, 
      0xda10701a, 0x00140f11, 
      0xdb104018, 0x00150f41, 
      0xdb101018, 0x00150f71, 
      0xdb0ff017, 0x00160f91, 
      0xdb0fc016, 0x00170fc1, 
      0xdb0f9016, 0x00170ff1, 
      0xdb0f7015, 0x00181011, 
      0xdb0f4014, 0x00191041, 
      0xda0f1014, 0x001a1071, 
      0xda0ef014, 0x001a1091, 
      0xda0ec013, 0x001b10c1, 
      0xda0e9013, 0x001c10e1, 
      0xda0e7011, 0x001d1111, 
      0xd90e4012, 0x001d1141, 
      0xd90e2011, 0x001e1161, 
      0xd90df010, 0x001f1191, 
      0xd80dc010, 0x002011c1, 
      0xd80da00f, 0x002111e1, 
      0xd70d700f, 0x00221211, 
      0xd70d400e, 0x00231241, 
      0xd60d200e, 0x00241261, 
      0xd60cf00d, 0x00251291, 
      0xd50cd00c, 0x002612c1, 
      0xd40ca00d, 0x002712e1, 
      0xd40c800b, 0x00281311, 
      0xd30c500c, 0x00291331, 
      0xd20c300b, 0x002a1361, 
      0xd10c000b, 0x002b1391, 
      0xd10be00a, 0x002c13b1, 
      0xd00bb00a, 0x002d13e1, 
      0xcf0b900a, 0x002e1401, 
      0xce0b600a, 0x002f1431, 
      0xcd0b4009, 0x00301461, 
      0xcc0b2008, 0x00321481, 
      0xcb0af008, 0x003314b1, 
      0xca0ad008, 0x003414d1, 
      0xc90aa008, 0x00351501, 
      0xc80a8007, 0x00371521, 
      0xc70a5007, 0x00381551, 
      0xc50a3008, 0x00391571, 
      0xc40a1007, 0x003a15a1, 
      0xc309f006, 0x003c15c1, 
      0xc209c006, 0x003d15f1, 
      0xc009a006, 0x003f1611, 
      0xbf098005, 0x00401641, 
      0xbe095006, 0x00411661, 
      0xbc093006, 0x00431681, 
      0xbb091005, 0x004416b1, 
      0xba08f004, 0x004616d1, 
      0xb808d005, 0x004716f1, 
      0xb708a004, 0x00491721, 
      0xb5088005, 0x004a1741, 
      0xb3086005, 0x004c1761, 
      0xb2084004, 0x004d1791, 
      0xb0082004, 0x004f17b1, 
      0xaf080003, 0x005117d1, 
      0xad07d004, 0x00521801, 
      0xab07b004, 0x00541821, 
      0xaa079003, 0x00561841, 
      0xa8077004, 0x00571861, 
      0xa6076003, 0x00591881, 
      0xa4073003, 0x005b18b1, 
      0xa3071002, 0x005d18d1, 
      0xa106f003, 0x005e18f1, 
      0x9f06d003, 0x00601911, 
      0x9d06b003, 0x00621931, 
      0x9b06a002, 0x00641951, 
      0x99068002, 0x00661971,
   },
   { /* UV scale factor = 0.39, phases = 127, taps = 5. */
      0x9c19a064, 0x00010651, 
      0x9e198062, 0x00010671, 
      0xa0196060, 0x00010691, 
      0xa219405e, 0x000106b1, 
      0xa419205b, 0x000206d1, 
      0xa6190059, 0x000206f1, 
      0xa818d058, 0x00020711, 
      0xaa18b056, 0x00020731, 
      0xac189054, 0x00020751, 
      0xad187053, 0x00020771, 
      0xaf184052, 0x00020791, 
      0xb118204f, 0x000307b1, 
      0xb317f04e, 0x000307d1, 
      0xb417d04d, 0x000307f1, 
      0xb617b04b, 0x00030811, 
      0xb8179049, 0x00030831, 
      0xb9176048, 0x00030861, 
      0xbb173046, 0x00040881, 
      0xbc172044, 0x000408a1, 
      0xbe16f043, 0x000408c1, 
      0xbf16d042, 0x000408e1, 
      0xc116a040, 0x00040911, 
      0xc216803f, 0x00040931, 
      0xc416503d, 0x00050951, 
      0xc516303b, 0x00050981, 
      0xc616003b, 0x000509a1, 
      0xc815e039, 0x000509c1, 
      0xc915b037, 0x000609f1, 
      0xca159036, 0x00060a11, 
      0xcb156036, 0x00060a31, 
      0xcc153035, 0x00060a61, 
      0xce151032, 0x00070a81, 
      0xcf14e031, 0x00070ab1, 
      0xd014c030, 0x00070ad1, 
      0xd1149030, 0x00070af1, 
      0xd214602e, 0x00080b21, 
      0xd314402d, 0x00080b41, 
      0xd414102c, 0x00080b71, 
      0xd513f02a, 0x00090b91, 
      0xd613c029, 0x00090bc1, 
      0xd613a029, 0x00090be1, 
      0xd7137027, 0x000a0c11, 
      0xd8134026, 0x000a0c41, 
      0xd9131025, 0x000b0c61, 
      0xd912f024, 0x000b0c91, 
      0xda12c024, 0x000b0cb1, 
      0xdb129022, 0x000c0ce1, 
      0xdb127021, 0x000c0d11, 
      0xdc124020, 0x000d0d31, 
      0xdc121020, 0x000d0d61, 
      0xdd11e01f, 0x000e0d81, 
      0xdd11c01e, 0x000e0db1, 
      0xde11901d, 0x000e0de1, 
      0xde11601d, 0x000f0e01, 
      0xdf11301b, 0x00100e31, 
      0xdf11101a, 0x00100e61, 
      0xdf10e01a, 0x00110e81, 
      0xdf10b01a, 0x00110eb1, 
      0xe0108018, 0x00120ee1, 
      0xe0106018, 0x00120f01, 
      0xe0103017, 0x00130f31, 
      0xe0100016, 0x00140f61, 
      0xe00fe016, 0x00140f81, 
      0xe00fb015, 0x00150fb1, 
      0xe00f8015, 0x00150fe1, 
      0xe00f6013, 0x00161011, 
      0xe00f3013, 0x00171031, 
      0xe00f0012, 0x00181061, 
      0xe00ee011, 0x00181091, 
      0xdf0eb012, 0x001910b1, 
      0xdf0e8011, 0x001a10e1, 
      0xdf0e5010, 0x001b1111, 
      0xdf0e300f, 0x001b1141, 
      0xde0e100f, 0x001c1161, 
      0xde0de00e, 0x001d1191, 
      0xdd0db00e, 0x001e11c1, 
      0xdd0d800e, 0x001f11e1, 
      0xdc0d600d, 0x00201211, 
      0xdc0d300c, 0x00211241, 
      0xdb0d100c, 0x00211271, 
      0xdb0ce00c, 0x00221291, 
      0xda0cb00c, 0x002312c1, 
      0xd90c900b, 0x002412f1, 
      0xd90c600b, 0x00251311, 
      0xd80c400a, 0x00261341, 
      0xd70c100a, 0x00271371, 
      0xd60bf00a, 0x00281391, 
      0xd60bb009, 0x002a13c1, 
      0xd50b9008, 0x002b13f1, 
      0xd40b7008, 0x002c1411, 
      0xd30b4008, 0x002d1441, 
      0xd20b2008, 0x002e1461, 
      0xd10af008, 0x002f1491, 
      0xd00ad007, 0x003014c1, 
      0xcf0ab006, 0x003214e1, 
      0xce0a8006, 0x00331511, 
      0xcc0a6007, 0x00341531, 
      0xcb0a3007, 0x00351561, 
      0xca0a1005, 0x00371591, 
      0xc909f005, 0x003815b1, 
      0xc809c005, 0x003915e1, 
      0xc609a005, 0x003b1601, 
      0xc5098004, 0x003c1631, 
      0xc4095005, 0x003d1651, 
      0xc2093004, 0x003f1681, 
      0xc1091004, 0x004016a1, 
      0xbf08e004, 0x004216d1, 
      0xbe08c004, 0x004316f1, 
      0xbc08a003, 0x00451721, 
      0xbb088003, 0x00461741, 
      0xb9086003, 0x00481761, 
      0xb8083003, 0x00491791, 
      0xb6081003, 0x004b17b1, 
      0xb4080003, 0x004c17d1, 
      0xb307d002, 0x004e1801, 
      0xb107b002, 0x00501821, 
      0xaf079003, 0x00511841, 
      0xad077002, 0x00531871, 
      0xac074002, 0x00551891, 
      0xaa073002, 0x005618b1, 
      0xa8071002, 0x005818d1, 
      0xa606f001, 0x005a1901, 
      0xa406d001, 0x005c1921, 
      0xa206b001, 0x005e1941, 
      0xa0069002, 0x005f1961, 
      0x9e067002, 0x00611981, 
      0x9c065002, 0x006319a1,
   },
   { /* UV scale factor = 0.40, phases = 127, taps = 5. */
      0xa019e060, 0x00000621, 
      0xa219b05f, 0x00000641, 
      0xa419905d, 0x00000661, 
      0xa619705b, 0x00000681, 
      0xa8195058, 0x000106a1, 
      0xaa192057, 0x000106c1, 
      0xac190055, 0x000106e1, 
      0xad18e054, 0x00010701, 
      0xaf18c052, 0x00010721, 
      0xb1189051, 0x00010741, 
      0xb318704f, 0x00010761, 
      0xb518504c, 0x00020781, 
      0xb718204b, 0x000207a1, 
      0xb818004a, 0x000207c1, 
      0xba17d048, 0x000207f1, 
      0xbc17b046, 0x00020811, 
      0xbd179045, 0x00020831, 
      0xbf176044, 0x00020851, 
      0xc1174041, 0x00030871, 
      0xc2171040, 0x000308a1, 
      0xc416f03e, 0x000308c1, 
      0xc516c03e, 0x000308e1, 
      0xc716a03c, 0x00030901, 
      0xc816703a, 0x00040931, 
      0xc916403a, 0x00040951, 
      0xcb162038, 0x00040971, 
      0xcc15f037, 0x000409a1, 
      0xcd15d036, 0x000409c1, 
      0xcf15a033, 0x000509f1, 
      0xd0157033, 0x00050a11, 
      0xd1155032, 0x00050a31, 
      0xd2152031, 0x00050a61, 
      0xd414f02f, 0x00060a81, 
      0xd514d02d, 0x00060ab1, 
      0xd614a02d, 0x00060ad1, 
      0xd714702c, 0x00060b01, 
      0xd814502a, 0x00070b21, 
      0xd9142029, 0x00070b51, 
      0xda13f029, 0x00070b71, 
      0xdb13c027, 0x00080ba1, 
      0xdc139026, 0x00080bd1, 
      0xdc137026, 0x00080bf1, 
      0xdd134024, 0x00090c21, 
      0xde132023, 0x00090c41, 
      0xdf12f022, 0x00090c71, 
      0xdf12c021, 0x000a0ca1, 
      0xe0129021, 0x000a0cc1, 
      0xe112601f, 0x000b0cf1, 
      0xe112401e, 0x000b0d21, 
      0xe212101e, 0x000b0d41, 
      0xe211e01d, 0x000c0d71, 
      0xe311c01b, 0x000c0da1, 
      0xe311901b, 0x000d0dc1, 
      0xe411601a, 0x000d0df1, 
      0xe4113019, 0x000e0e21, 
      0xe4111019, 0x000e0e41, 
      0xe510e017, 0x000f0e71, 
      0xe510b017, 0x000f0ea1, 
      0xe5108016, 0x00100ed1, 
      0xe5105016, 0x00110ef1, 
      0xe5103015, 0x00110f21, 
      0xe5100014, 0x00120f51, 
      0xe50fd014, 0x00120f81, 
      0xe50fb013, 0x00130fa1, 
      0xe50f8012, 0x00140fd1, 
      0xe50f5012, 0x00141001, 
      0xe50f2011, 0x00151031, 
      0xe50ef011, 0x00161051, 
      0xe50ed010, 0x00161081, 
      0xe50ea00f, 0x001710b1, 
      0xe50e700e, 0x001810e1, 
      0xe40e400f, 0x00191101, 
      0xe40e200e, 0x00191131, 
      0xe40df00d, 0x001a1161, 
      0xe30dc00d, 0x001b1191, 
      0xe30d900c, 0x001c11c1, 
      0xe20d700c, 0x001d11e1, 
      0xe20d400c, 0x001d1211, 
      0xe10d200b, 0x001e1241, 
      0xe10cf00a, 0x001f1271, 
      0xe00cc00b, 0x00201291, 
      0xdf0ca00a, 0x002112c1, 
      0xdf0c7009, 0x002212f1, 
      0xde0c4009, 0x00231321, 
      0xdd0c2009, 0x00241341, 
      0xdc0bf009, 0x00251371, 
      0xdc0bd007, 0x002613a1, 
      0xdb0ba007, 0x002713d1, 
      0xda0b7008, 0x002813f1, 
      0xd90b5007, 0x00291421, 
      0xd80b2007, 0x002a1451, 
      0xd70b0007, 0x002b1471, 
      0xd60ad006, 0x002d14a1, 
      0xd50ab005, 0x002e14d1, 
      0xd40a8006, 0x002f14f1, 
      0xd20a6006, 0x00301521, 
      0xd10a3006, 0x00311551, 
      0xd00a1005, 0x00331571, 
      0xcf09f004, 0x003415a1, 
      0xcd09c005, 0x003515d1, 
      0xcc09a004, 0x003715f1, 
      0xcb097004, 0x00381621, 
      0xc9096004, 0x00391641, 
      0xc8093003, 0x003b1671, 
      0xc7090003, 0x003c16a1, 
      0xc508e004, 0x003d16c1, 
      0xc408c002, 0x003f16f1, 
      0xc208a003, 0x00401711, 
      0xc1087002, 0x00421741, 
      0xbf085003, 0x00431761, 
      0xbd083002, 0x00451791, 
      0xbc081002, 0x004617b1, 
      0xba07f002, 0x004817d1, 
      0xb807c002, 0x004a1801, 
      0xb707a002, 0x004b1821, 
      0xb5078001, 0x004d1851, 
      0xb3076001, 0x004f1871, 
      0xb1074002, 0x00501891, 
      0xaf072001, 0x005218c1, 
      0xad070001, 0x005418e1, 
      0xac06e001, 0x00551901, 
      0xaa06c000, 0x00571931, 
      0xa806a000, 0x00591951, 
      0xa6068000, 0x005b1971, 
      0xa4066000, 0x005d1991, 
      0xa2064001, 0x005e19b1, 
      0xa0062000, 0x006019e1,
   },
   { /* UV scale factor = 0.41, phases = 127, taps = 5. */
      0xa31a105e, 0x0fff05f1, 
      0xa519f05c, 0x0fff0611, 
      0xa719d05a, 0x0fff0631, 
      0xa919b058, 0x0fff0651, 
      0xab198056, 0x00000671, 
      0xad196054, 0x00000691, 
      0xaf193053, 0x000006b1, 
      0xb1191051, 0x000006d1, 
      0xb318e050, 0x000006f1, 
      0xb518c04e, 0x00000711, 
      0xb718a04c, 0x00000731, 
      0xb918704b, 0x00000751, 
      0xbb184048, 0x00010781, 
      0xbc182047, 0x000107a1, 
      0xbe180045, 0x000107c1, 
      0xc017d044, 0x000107e1, 
      0xc217b042, 0x00010801, 
      0xc3179041, 0x00010821, 
      0xc517503f, 0x00020851, 
      0xc717303d, 0x00020871, 
      0xc817103c, 0x00020891, 
      0xca16e03a, 0x000208c1, 
      0xcb16b03a, 0x000208e1, 
      0xcd169038, 0x00020901, 
      0xce166036, 0x00030931, 
      0xd0163035, 0x00030951, 
      0xd1161034, 0x00030971, 
      0xd215e033, 0x000309a1, 
      0xd415b032, 0x000309c1, 
      0xd5158030, 0x000409f1, 
      0xd615602f, 0x00040a11, 
      0xd715302e, 0x00040a41, 
      0xd915102c, 0x00040a61, 
      0xda14d02b, 0x00050a91, 
      0xdb14b02a, 0x00050ab1, 
      0xdc148029, 0x00050ae1, 
      0xdd146028, 0x00050b01, 
      0xde143026, 0x00060b31, 
      0xdf140026, 0x00060b51, 
      0xe013d025, 0x00060b81, 
      0xe113a023, 0x00070bb1, 
      0xe2138022, 0x00070bd1, 
      0xe2135022, 0x00070c01, 
      0xe3132021, 0x00080c21, 
      0xe412f020, 0x00080c51, 
      0xe512c01f, 0x00080c81, 
      0xe512a01e, 0x00090ca1, 
      0xe612701d, 0x00090cd1, 
      0xe712401c, 0x00090d01, 
      0xe712101b, 0x000a0d31, 
      0xe811e01b, 0x000a0d51, 
      0xe811b01a, 0x000b0d81, 
      0xe9119018, 0x000b0db1, 
      0xe9116017, 0x000c0de1, 
      0xe9113018, 0x000c0e01, 
      0xea110016, 0x000d0e31, 
      0xea10d016, 0x000d0e61, 
      0xea10a015, 0x000e0e91, 
      0xeb108014, 0x000e0eb1, 
      0xeb105013, 0x000f0ee1, 
      0xeb102013, 0x000f0f11, 
      0xeb0ff012, 0x00100f41, 
      0xeb0fc012, 0x00100f71, 
      0xeb0f9012, 0x00110f91, 
      0xeb0f7010, 0x00120fc1, 
      0xeb0f4010, 0x00120ff1, 
      0xeb0f100f, 0x00131021, 
      0xeb0ee00e, 0x00141051, 
      0xeb0eb00e, 0x00141081, 
      0xea0e900e, 0x001510a1, 
      0xea0e600d, 0x001610d1, 
      0xea0e300d, 0x00161101, 
      0xe90e000d, 0x00171131, 
      0xe90de00b, 0x00181161, 
      0xe90da00b, 0x00191191, 
      0xe80d800b, 0x001a11b1, 
      0xe80d500b, 0x001a11e1, 
      0xe70d300a, 0x001b1211, 
      0xe70d0009, 0x001c1241, 
      0xe60cd009, 0x001d1271, 
      0xe50ca009, 0x001e12a1, 
      0xe50c8008, 0x001f12c1, 
      0xe40c5008, 0x002012f1, 
      0xe30c2008, 0x00211321, 
      0xe20c0007, 0x00221351, 
      0xe20bd006, 0x00231381, 
      0xe10bb006, 0x002413a1, 
      0xe00b8006, 0x002513d1, 
      0xdf0b5006, 0x00261401, 
      0xde0b3005, 0x00271431, 
      0xdd0b0005, 0x00281461, 
      0xdc0ae005, 0x00291481, 
      0xdb0ab005, 0x002a14b1, 
      0xda0a9004, 0x002b14e1, 
      0xd90a6004, 0x002c1511, 
      0xd70a4004, 0x002e1531, 
      0xd60a1004, 0x002f1561, 
      0xd509f003, 0x00301591, 
      0xd409c004, 0x003115b1, 
      0xd209a003, 0x003315e1, 
      0xd1097003, 0x00341611, 
      0xd0095003, 0x00351631, 
      0xce093002, 0x00371661, 
      0xcd090002, 0x00381691, 
      0xcb08e003, 0x003916b1, 
      0xca08b002, 0x003b16e1, 
      0xc8089002, 0x003c1711, 
      0xc7087001, 0x003e1731, 
      0xc5085001, 0x003f1761, 
      0xc3082002, 0x00411781, 
      0xc2080001, 0x004217b1, 
      0xc007e001, 0x004417d1, 
      0xbe07c001, 0x00451801, 
      0xbc07a001, 0x00471821, 
      0xbb078000, 0x00481851, 
      0xb9075001, 0x004a1871, 
      0xb7073000, 0x004c18a1, 
      0xb5071001, 0x004d18c1, 
      0xb306f001, 0x004f18e1, 
      0xb106d000, 0x00511911, 
      0xaf06b000, 0x00531931, 
      0xad069000, 0x00541961, 
      0xab067000, 0x00561981, 
      0xa9065000, 0x005819a1, 
      0xa7063000, 0x005a19c1, 
      0xa5061fff, 0x005c19f1, 
      0xa305f000, 0x005d1a11,
   },
   { /* UV scale factor = 0.42, phases = 127, taps = 5. */
      0xa71a405b, 0x0ffe05c1, 
      0xa91a2059, 0x0ffe05e1, 
      0xab1a0057, 0x0ffe0601, 
      0xad19d055, 0x0fff0621, 
      0xaf19b053, 0x0fff0641, 
      0xb1199051, 0x0fff0661, 
      0xb3196050, 0x0fff0681, 
      0xb519404e, 0x0fff06a1, 
      0xb719104d, 0x0fff06c1, 
      0xb918f04b, 0x0fff06e1, 
      0xbb18d049, 0x0fff0701, 
      0xbd189047, 0x00000731, 
      0xbf187045, 0x00000751, 
      0xc1185043, 0x00000771, 
      0xc2182043, 0x00000791, 
      0xc4180041, 0x000007b1, 
      0xc617d040, 0x000007d1, 
      0xc817a03e, 0x00000801, 
      0xc917803d, 0x00000821, 
      0xcb17503b, 0x00010841, 
      0xcd172039, 0x00010871, 
      0xce170038, 0x00010891, 
      0xd016d037, 0x000108b1, 
      0xd116a036, 0x000108e1, 
      0xd3168034, 0x00010901, 
      0xd4165033, 0x00020921, 
      0xd6162031, 0x00020951, 
      0xd7160030, 0x00020971, 
      0xd915d02e, 0x000209a1, 
      0xda15a02e, 0x000209c1, 
      0xdb15702c, 0x000309f1, 
      0xdc15502b, 0x00030a11, 
      0xde152029, 0x00030a41, 
      0xdf14f029, 0x00030a61, 
      0xe014c027, 0x00040a91, 
      0xe1149027, 0x00040ab1, 
      0xe2146026, 0x00040ae1, 
      0xe3144024, 0x00040b11, 
      0xe4141023, 0x00050b31, 
      0xe513e022, 0x00050b61, 
      0xe613b022, 0x00050b81, 
      0xe7138020, 0x00060bb1, 
      0xe813501f, 0x00060be1, 
      0xe913201f, 0x00060c01, 
      0xea12f01e, 0x00060c31, 
      0xea12d01c, 0x00070c61, 
      0xeb12a01b, 0x00070c91, 
      0xec12701a, 0x00080cb1, 
      0xec12401a, 0x00080ce1, 
      0xed121019, 0x00080d11, 
      0xed11e018, 0x00090d41, 
      0xee11b018, 0x00090d61, 
      0xee118017, 0x000a0d91, 
      0xef115016, 0x000a0dc1, 
      0xef112016, 0x000a0df1, 
      0xf010f014, 0x000b0e21, 
      0xf010d014, 0x000b0e41, 
      0xf010a013, 0x000c0e71, 
      0xf0107013, 0x000c0ea1, 
      0xf0104012, 0x000d0ed1, 
      0xf1101011, 0x000d0f01, 
      0xf10fe010, 0x000e0f31, 
      0xf10fb00f, 0x000f0f61, 
      0xf10f8010, 0x000f0f81, 
      0xf10f600e, 0x00100fb1, 
      0xf10f300e, 0x00100fe1, 
      0xf10f000d, 0x00111011, 
      0xf00ed00d, 0x00121041, 
      0xf00ea00d, 0x00121071, 
      0xf00e700c, 0x001310a1, 
      0xf00e400b, 0x001410d1, 
      0xf00e200a, 0x00141101, 
      0xef0df00b, 0x00151121, 
      0xef0dc00a, 0x00161151, 
      0xee0d900a, 0x00171181, 
      0xee0d600a, 0x001711b1, 
      0xed0d4009, 0x001811e1, 
      0xed0d1008, 0x00191211, 
      0xec0ce008, 0x001a1241, 
      0xec0cb007, 0x001b1271, 
      0xeb0c8007, 0x001c12a1, 
      0xea0c6007, 0x001c12d1, 
      0xea0c3007, 0x001d12f1, 
      0xe90c0007, 0x001e1321, 
      0xe80be006, 0x001f1351, 
      0xe70bb006, 0x00201381, 
      0xe60b8006, 0x002113b1, 
      0xe50b6005, 0x002213e1, 
      0xe40b3005, 0x00231411, 
      0xe30b1004, 0x00241441, 
      0xe20ae005, 0x00251461, 
      0xe10ac004, 0x00261491, 
      0xe00a9003, 0x002814c1, 
      0xdf0a6003, 0x002914f1, 
      0xde0a3003, 0x002a1521, 
      0xdc0a2003, 0x002b1541, 
      0xdb09f003, 0x002c1571, 
      0xda09c003, 0x002d15a1, 
      0xd9099002, 0x002f15d1, 
      0xd7097002, 0x00301601, 
      0xd6095002, 0x00311621, 
      0xd4092002, 0x00331651, 
      0xd3090001, 0x00341681, 
      0xd108e002, 0x003516a1, 
      0xd008b001, 0x003716d1, 
      0xce089001, 0x00381701, 
      0xcd087000, 0x00391731, 
      0xcb084001, 0x003b1751, 
      0xc9082001, 0x003c1781, 
      0xc8080000, 0x003e17a1, 
      0xc607d001, 0x003f17d1, 
      0xc407b000, 0x00411801, 
      0xc207a000, 0x00421821, 
      0xc1077fff, 0x00441851, 
      0xbf075fff, 0x00461871, 
      0xbd073fff, 0x004718a1, 
      0xbb070000, 0x004918c1, 
      0xb906e000, 0x004a18f1, 
      0xb706c000, 0x004c1911, 
      0xb506afff, 0x004e1941, 
      0xb3068fff, 0x00501961, 
      0xb1066fff, 0x00511991, 
      0xaf064fff, 0x005319b1, 
      0xad062fff, 0x005519d1, 
      0xab060ffe, 0x00571a01, 
      0xa905effe, 0x00591a21, 
      0xa705cffe, 0x005b1a41,
   },
   { /* UV scale factor = 0.43, phases = 127, taps = 5. */
      0xaa1a8058, 0x0ffd0591, 
      0xac1a6056, 0x0ffd05b1, 
      0xae1a3054, 0x0ffe05d1, 
      0xb11a1051, 0x0ffe05f1, 
      0xb319e050, 0x0ffe0611, 
      0xb519c04e, 0x0ffe0631, 
      0xb719904d, 0x0ffe0651, 
      0xb919704b, 0x0ffe0671, 
      0xbb19404a, 0x0ffe0691, 
      0xbd192048, 0x0ffe06b1, 
      0xbf190046, 0x0ffe06d1, 
      0xc118c044, 0x0fff0701, 
      0xc318a042, 0x0fff0721, 
      0xc5187041, 0x0fff0741, 
      0xc718503f, 0x0fff0761, 
      0xc918203e, 0x0fff0781, 
      0xca17f03d, 0x0fff07b1, 
      0xcc17d03b, 0x0fff07d1, 
      0xce17a03a, 0x0fff07f1, 
      0xd0177038, 0x00000811, 
      0xd1175036, 0x00000841, 
      0xd3172035, 0x00000861, 
      0xd516f034, 0x00000881, 
      0xd616c033, 0x000008b1, 
      0xd8169032, 0x000008d1, 
      0xd916702f, 0x00010901, 
      0xdb16402e, 0x00010921, 
      0xdc16102d, 0x00010951, 
      0xde15e02c, 0x00010971, 
      0xdf15b02b, 0x000109a1, 
      0xe015902a, 0x000109c1, 
      0xe2155028, 0x000209f1, 
      0xe3153027, 0x00020a11, 
      0xe4150026, 0x00020a41, 
      0xe614d025, 0x00020a61, 
      0xe714a023, 0x00030a91, 
      0xe8147022, 0x00030ac1, 
      0xe9144022, 0x00030ae1, 
      0xea141021, 0x00030b11, 
      0xeb13e01f, 0x00040b41, 
      0xec13b01f, 0x00040b61, 
      0xed13901d, 0x00040b91, 
      0xee13601c, 0x00040bc1, 
      0xee13301c, 0x00050be1, 
      0xef13001b, 0x00050c11, 
      0xf012d01a, 0x00050c41, 
      0xf1129019, 0x00060c71, 
      0xf1127019, 0x00060c91, 
      0xf2124018, 0x00060cc1, 
      0xf3121016, 0x00070cf1, 
      0xf311e016, 0x00070d21, 
      0xf411a015, 0x00080d51, 
      0xf4118014, 0x00080d81, 
      0xf5115014, 0x00080da1, 
      0xf5112013, 0x00090dd1, 
      0xf510f013, 0x00090e01, 
      0xf610c011, 0x000a0e31, 
      0xf6109011, 0x000a0e61, 
      0xf6106010, 0x000b0e91, 
      0xf6103010, 0x000b0ec1, 
      0xf710000e, 0x000c0ef1, 
      0xf70fd00e, 0x000c0f21, 
      0xf70fa00e, 0x000d0f41, 
      0xf70f700e, 0x000d0f71, 
      0xf70f400d, 0x000e0fa1, 
      0xf70f200c, 0x000e0fd1, 
      0xf70ef00b, 0x000f1001, 
      0xf60ec00b, 0x00101031, 
      0xf60e900b, 0x00101061, 
      0xf60e600a, 0x00111091, 
      0xf60e3009, 0x001210c1, 
      0xf50e000a, 0x001210f1, 
      0xf50dd009, 0x00131121, 
      0xf50da008, 0x00141151, 
      0xf40d8008, 0x00141181, 
      0xf40d5007, 0x001511b1, 
      0xf30d2007, 0x001611e1, 
      0xf30cf006, 0x00171211, 
      0xf20cc006, 0x00181241, 
      0xf10c9007, 0x00181271, 
      0xf10c7005, 0x001912a1, 
      0xf00c4005, 0x001a12d1, 
      0xef0c1005, 0x001b1301, 
      0xee0be005, 0x001c1331, 
      0xee0bb004, 0x001d1361, 
      0xed0b8004, 0x001e1391, 
      0xec0b6004, 0x001f13b1, 
      0xeb0b4003, 0x002013e1, 
      0xea0b1003, 0x00211411, 
      0xe90ae003, 0x00221441, 
      0xe80ac002, 0x00231471, 
      0xe70a9002, 0x002414a1, 
      0xe50a6003, 0x002514d1, 
      0xe40a4002, 0x00261501, 
      0xe30a1002, 0x00271531, 
      0xe209f001, 0x00281561, 
      0xe009c002, 0x00291591, 
      0xdf09a001, 0x002b15b1, 
      0xde097001, 0x002c15e1, 
      0xdc095001, 0x002d1611, 
      0xdb092001, 0x002e1641, 
      0xd9090000, 0x00301671, 
      0xd808d001, 0x00311691, 
      0xd608b001, 0x003216c1, 
      0xd5088000, 0x003416f1, 
      0xd3086000, 0x00351721, 
      0xd1084fff, 0x00371751, 
      0xd0081000, 0x00381771, 
      0xce07f000, 0x003917a1, 
      0xcc07dfff, 0x003b17d1, 
      0xca07b000, 0x003c17f1, 
      0xc9078fff, 0x003e1821, 
      0xc7076fff, 0x003f1851, 
      0xc5074fff, 0x00411871, 
      0xc3072ffe, 0x004318a1, 
      0xc1070ffe, 0x004418d1, 
      0xbf06dfff, 0x004618f1, 
      0xbd06bfff, 0x00471921, 
      0xbb069fff, 0x00491941, 
      0xb9067ffe, 0x004b1971, 
      0xb7065ffe, 0x004d1991, 
      0xb5063ffe, 0x004e19c1, 
      0xb3061ffe, 0x005019e1, 
      0xb105fffd, 0x00521a11, 
      0xae05dffe, 0x00541a31, 
      0xac05bffe, 0x00561a51, 
      0xaa059ffd, 0x00581a81,
   },
   { /* UV scale factor = 0.44, phases = 127, taps = 5. */
      0xae1ab055, 0x0ffc0561, 
      0xb01a9052, 0x0ffd0581, 
      0xb21a6051, 0x0ffd05a1, 
      0xb41a404f, 0x0ffd05c1, 
      0xb71a104d, 0x0ffd05e1, 
      0xb919f04b, 0x0ffd0601, 
      0xbb19c04a, 0x0ffd0621, 
      0xbd19a048, 0x0ffd0641, 
      0xbf197047, 0x0ffd0661, 
      0xc1195045, 0x0ffd0681, 
      0xc3192043, 0x0ffe06a1, 
      0xc518f041, 0x0ffe06d1, 
      0xc718d03f, 0x0ffe06f1, 
      0xc918a03e, 0x0ffe0711, 
      0xcb18703d, 0x0ffe0731, 
      0xcd18503b, 0x0ffe0751, 
      0xcf182039, 0x0ffe0781, 
      0xd117f038, 0x0ffe07a1, 
      0xd317c037, 0x0ffe07c1, 
      0xd4179035, 0x0fff07f1, 
      0xd6177033, 0x0fff0811, 
      0xd8174032, 0x0fff0831, 
      0xda171030, 0x0fff0861, 
      0xdb16e030, 0x0fff0881, 
      0xdd16b02f, 0x0fff08a1, 
      0xde16902d, 0x0fff08d1, 
      0xe016502c, 0x000008f1, 
      0xe116202b, 0x00000921, 
      0xe3160029, 0x00000941, 
      0xe415d028, 0x00000971, 
      0xe615a027, 0x00000991, 
      0xe7157026, 0x000009c1, 
      0xe8154024, 0x000109f1, 
      0xea151023, 0x00010a11, 
      0xeb14e022, 0x00010a41, 
      0xec14b021, 0x00010a71, 
      0xed148020, 0x00020a91, 
      0xee14501f, 0x00020ac1, 
      0xef14201e, 0x00020af1, 
      0xf013f01e, 0x00020b11, 
      0xf113c01d, 0x00020b41, 
      0xf213901b, 0x00030b71, 
      0xf313601b, 0x00030b91, 
      0xf413301a, 0x00030bc1, 
      0xf5130018, 0x00040bf1, 
      0xf612d017, 0x00040c21, 
      0xf712a016, 0x00040c51, 
      0xf7127017, 0x00040c71, 
      0xf8124015, 0x00050ca1, 
      0xf9121014, 0x00050cd1, 
      0xf911e013, 0x00060d01, 
      0xfa11b012, 0x00060d31, 
      0xfa118012, 0x00060d61, 
      0xfb114011, 0x00070d91, 
      0xfb111011, 0x00070dc1, 
      0xfb10e011, 0x00070df1, 
      0xfc10b00f, 0x00080e21, 
      0xfc10900f, 0x00080e41, 
      0xfc10500f, 0x00090e71, 
      0xfc10300e, 0x00090ea1, 
      0xfd0ff00d, 0x000a0ed1, 
      0xfd0fc00d, 0x000a0f01, 
      0xfd0f900c, 0x000b0f31, 
      0xfd0f600c, 0x000b0f61, 
      0xfd0f300b, 0x000c0f91, 
      0xfd0f000b, 0x000c0fc1, 
      0xfd0ed00a, 0x000d0ff1, 
      0xfc0ea00a, 0x000e1021, 
      0xfc0e8009, 0x000e1051, 
      0xfc0e4009, 0x000f1081, 
      0xfc0e2008, 0x000f10b1, 
      0xfb0df008, 0x001010e1, 
      0xfb0dc007, 0x00111111, 
      0xfb0d9006, 0x00111151, 
      0xfa0d6006, 0x00121181, 
      0xfa0d3005, 0x001311b1, 
      0xf90d0005, 0x001411e1, 
      0xf90cd005, 0x00141211, 
      0xf80ca005, 0x00151241, 
      0xf70c7005, 0x00161271, 
      0xf70c4004, 0x001712a1, 
      0xf60c2003, 0x001812d1, 
      0xf50bf003, 0x00191301, 
      0xf40bc004, 0x00191331, 
      0xf30ba003, 0x001a1361, 
      0xf20b7003, 0x001b1391, 
      0xf10b4003, 0x001c13c1, 
      0xf00b1003, 0x001d13f1, 
      0xef0af002, 0x001e1421, 
      0xee0ac002, 0x001f1451, 
      0xed0a9002, 0x00201481, 
      0xec0a7001, 0x002114b1, 
      0xeb0a4001, 0x002214e1, 
      0xea0a1001, 0x00231511, 
      0xe809f001, 0x00241541, 
      0xe709c000, 0x00261571, 
      0xe6099000, 0x002715a1, 
      0xe4097000, 0x002815d1, 
      0xe3094000, 0x00291601, 
      0xe2092000, 0x002a1621, 
      0xe008f000, 0x002c1651, 
      0xde08d000, 0x002d1681, 
      0xdd08a000, 0x002e16b1, 
      0xdb088000, 0x002f16e1, 
      0xda085fff, 0x00311711, 
      0xd8083fff, 0x00321741, 
      0xd6081ffe, 0x00341771, 
      0xd507fffe, 0x00351791, 
      0xd307cfff, 0x003617c1, 
      0xd107affe, 0x003817f1, 
      0xcf078ffe, 0x00391821, 
      0xcd075fff, 0x003b1841, 
      0xcb074ffe, 0x003c1871, 
      0xc9071ffe, 0x003e18a1, 
      0xc706fffd, 0x004018d1, 
      0xc506dffe, 0x004118f1, 
      0xc306affe, 0x00431921, 
      0xc1069ffe, 0x00441941, 
      0xbf066ffe, 0x00461971, 
      0xbd064ffd, 0x004819a1, 
      0xbb062ffd, 0x004a19c1, 
      0xb9060ffd, 0x004b19f1, 
      0xb705effd, 0x004d1a11, 
      0xb405cffd, 0x004f1a41, 
      0xb205affd, 0x00511a61, 
      0xb0058ffc, 0x00531a91, 
      0xae056ffd, 0x00541ab1,
   },
   { /* UV scale factor = 0.45, phases = 127, taps = 5. */
      0xb11af051, 0x0ffc0531, 
      0xb41ac04f, 0x0ffc0551, 
      0xb61aa04d, 0x0ffc0571, 
      0xb81a704c, 0x0ffc0591, 
      0xbb1a5049, 0x0ffc05b1, 
      0xbd1a2048, 0x0ffc05d1, 
      0xbf19f047, 0x0ffc05f1, 
      0xc119d045, 0x0ffc0611, 
      0xc319a044, 0x0ffc0631, 
      0xc6197041, 0x0ffd0651, 
      0xc819503f, 0x0ffd0671, 
      0xca19203e, 0x0ffd0691, 
      0xcc18f03c, 0x0ffd06c1, 
      0xce18c03b, 0x0ffd06e1, 
      0xd018a039, 0x0ffd0701, 
      0xd2187038, 0x0ffd0721, 
      0xd4184036, 0x0ffd0751, 
      0xd6181035, 0x0ffd0771, 
      0xd817e034, 0x0ffd0791, 
      0xd917b032, 0x0ffe07c1, 
      0xdb179030, 0x0ffe07e1, 
      0xdd17602f, 0x0ffe0801, 
      0xdf17302d, 0x0ffe0831, 
      0xe017002d, 0x0ffe0851, 
      0xe216d02b, 0x0ffe0881, 
      0xe416a02a, 0x0ffe08a1, 
      0xe5167028, 0x0fff08d1, 
      0xe7164027, 0x0fff08f1, 
      0xe8161026, 0x0fff0921, 
      0xea15e025, 0x0fff0941, 
      0xeb15b024, 0x0fff0971, 
      0xed158023, 0x0fff0991, 
      0xee155022, 0x0fff09c1, 
      0xef152020, 0x000009f1, 
      0xf014f020, 0x00000a11, 
      0xf214c01e, 0x00000a41, 
      0xf314901d, 0x00000a71, 
      0xf414601d, 0x00000a91, 
      0xf514301b, 0x00010ac1, 
      0xf613f01b, 0x00010af1, 
      0xf713c01a, 0x00010b21, 
      0xf813a019, 0x00010b41, 
      0xf9136018, 0x00020b71, 
      0xfa133017, 0x00020ba1, 
      0xfb130016, 0x00020bd1, 
      0xfc12d015, 0x00020c01, 
      0xfd129014, 0x00030c31, 
      0xfd127014, 0x00030c51, 
      0xfe124013, 0x00030c81, 
      0xff120012, 0x00040cb1, 
      0xff11d012, 0x00040ce1, 
      0x0011a011, 0x00040d12, 
      0x00117010, 0x00050d42, 
      0x0111400f, 0x00050d72, 
      0x0111100f, 0x00050da2, 
      0x0210e00d, 0x00060dd2, 
      0x0210b00d, 0x00060e02, 
      0x0210800c, 0x00070e32, 
      0x0210400d, 0x00070e62, 
      0x0310100c, 0x00070e92, 
      0x030fe00b, 0x00080ec2, 
      0x030fb00b, 0x00080ef2, 
      0x030f800a, 0x00090f22, 
      0x030f500a, 0x00090f52, 
      0x030f2009, 0x000a0f82, 
      0x030ef009, 0x000a0fb2, 
      0x030ec008, 0x000b0fe2, 
      0x030e9007, 0x000c1012, 
      0x020e6008, 0x000c1042, 
      0x020e3006, 0x000d1082, 
      0x020e0006, 0x000d10b2, 
      0x020dd005, 0x000e10e2, 
      0x010da005, 0x000f1112, 
      0x010d7005, 0x000f1142, 
      0x000d4005, 0x00101172, 
      0x000d1004, 0x001111a2, 
      0xff0cf004, 0x001111d1, 
      0xff0cb004, 0x00121201, 
      0xfe0c8003, 0x00131241, 
      0xfd0c5003, 0x00141271, 
      0xfd0c3002, 0x001412a1, 
      0xfc0c0002, 0x001512d1, 
      0xfb0bd002, 0x00161301, 
      0xfa0ba002, 0x00171331, 
      0xf90b7002, 0x00181361, 
      0xf80b4002, 0x00191391, 
      0xf70b2001, 0x001a13c1, 
      0xf60af001, 0x001b13f1, 
      0xf50ac000, 0x001c1431, 
      0xf40a9000, 0x001d1461, 
      0xf30a6000, 0x001e1491, 
      0xf20a3000, 0x001f14c1, 
      0xf00a1000, 0x002014f1, 
      0xef09ffff, 0x00211521, 
      0xee09cfff, 0x00221551, 
      0xed099fff, 0x00231581, 
      0xeb097fff, 0x002415b1, 
      0xea094fff, 0x002515e1, 
      0xe8092fff, 0x00261611, 
      0xe708fffe, 0x00281641, 
      0xe508dffe, 0x00291671, 
      0xe408affe, 0x002a16a1, 
      0xe2088ffe, 0x002b16d1, 
      0xe0085ffe, 0x002d1701, 
      0xdf083ffd, 0x002e1731, 
      0xdd080ffe, 0x002f1761, 
      0xdb07effd, 0x00311791, 
      0xd907cffe, 0x003217b1, 
      0xd8079ffe, 0x003317e1, 
      0xd6077ffd, 0x00351811, 
      0xd4075ffd, 0x00361841, 
      0xd2072ffd, 0x00381871, 
      0xd0070ffd, 0x003918a1, 
      0xce06effd, 0x003b18c1, 
      0xcc06cffd, 0x003c18f1, 
      0xca069ffd, 0x003e1921, 
      0xc8067ffc, 0x00401951, 
      0xc6065ffd, 0x00411971, 
      0xc3063ffd, 0x004319a1, 
      0xc1061ffc, 0x004519d1, 
      0xbf05fffd, 0x004619f1, 
      0xbd05dffc, 0x00481a21, 
      0xbb05affc, 0x004a1a51, 
      0xb8059ffc, 0x004c1a71, 
      0xb6057ffb, 0x004e1aa1, 
      0xb4055ffc, 0x004f1ac1, 
      0xb1053ffc, 0x00511af1,
   },
   { /* UV scale factor = 0.46, phases = 127, taps = 5. */
      0xb51b204e, 0x0ffb0501, 
      0xb71b004c, 0x0ffb0521, 
      0xba1ad04a, 0x0ffb0541, 
      0xbc1ab048, 0x0ffb0561, 
      0xbf1a8046, 0x0ffb0581, 
      0xc11a5045, 0x0ffb05a1, 
      0xc31a2044, 0x0ffb05c1, 
      0xc51a0042, 0x0ffb05e1, 
      0xc819d03f, 0x0ffc0601, 
      0xca19a03e, 0x0ffc0621, 
      0xcc19703d, 0x0ffc0641, 
      0xce19503b, 0x0ffc0661, 
      0xd019203a, 0x0ffc0681, 
      0xd318f037, 0x0ffc06b1, 
      0xd518c036, 0x0ffc06d1, 
      0xd7189035, 0x0ffc06f1, 
      0xd9186034, 0x0ffc0711, 
      0xdb183032, 0x0ffc0741, 
      0xdc180031, 0x0ffd0761, 
      0xde17e02f, 0x0ffd0781, 
      0xe017b02d, 0x0ffd07b1, 
      0xe217802c, 0x0ffd07d1, 
      0xe417502a, 0x0ffd0801, 
      0xe6172029, 0x0ffd0821, 
      0xe716f028, 0x0ffd0851, 
      0xe916b028, 0x0ffd0871, 
      0xeb168026, 0x0ffd08a1, 
      0xec165025, 0x0ffe08c1, 
      0xee162023, 0x0ffe08f1, 
      0xef15f023, 0x0ffe0911, 
      0xf115c021, 0x0ffe0941, 
      0xf2159020, 0x0ffe0971, 
      0xf415601f, 0x0ffe0991, 
      0xf515301e, 0x0ffe09c1, 
      0xf615001c, 0x0fff09f1, 
      0xf814d01b, 0x0fff0a11, 
      0xf914901b, 0x0fff0a41, 
      0xfa14601a, 0x0fff0a71, 
      0xfb143019, 0x0fff0aa1, 
      0xfc140018, 0x00000ac1, 
      0xfd13d017, 0x00000af1, 
      0xfe13a016, 0x00000b21, 
      0xff136016, 0x00000b51, 
      0x00133015, 0x00000b82, 
      0x01130013, 0x00010bb2, 
      0x0212d013, 0x00010bd2, 
      0x0312a012, 0x00010c02, 
      0x03126012, 0x00020c32, 
      0x04123011, 0x00020c62, 
      0x05120010, 0x00020c92, 
      0x0511d010, 0x00020cc2, 
      0x0611a00e, 0x00030cf2, 
      0x0711700d, 0x00030d22, 
      0x0711300e, 0x00030d52, 
      0x0711000d, 0x00040d82, 
      0x0810d00c, 0x00040db2, 
      0x0810a00c, 0x00040de2, 
      0x0910700a, 0x00050e12, 
      0x0910400a, 0x00050e42, 
      0x0910000a, 0x00060e72, 
      0x090fd009, 0x00060eb2, 
      0x090fa008, 0x00070ee2, 
      0x090f7008, 0x00070f12, 
      0x090f4008, 0x00070f42, 
      0x090f1007, 0x00080f72, 
      0x090ee007, 0x00080fa2, 
      0x090eb006, 0x00090fd2, 
      0x090e7006, 0x000a1002, 
      0x090e4005, 0x000a1042, 
      0x090e1004, 0x000b1072, 
      0x080de005, 0x000b10a2, 
      0x080db004, 0x000c10d2, 
      0x070d9004, 0x000c1102, 
      0x070d5004, 0x000d1132, 
      0x060d2003, 0x000e1172, 
      0x060cf003, 0x000e11a2, 
      0x050cc003, 0x000f11d2, 
      0x050c9002, 0x00101202, 
      0x040c6002, 0x00111232, 
      0x030c4002, 0x00111262, 
      0x030c0001, 0x001212a2, 
      0x020bd001, 0x001312d2, 
      0x010bb000, 0x00141302, 
      0x000b8001, 0x00141332, 
      0xff0b5001, 0x00151361, 
      0xfe0b2000, 0x001613a1, 
      0xfd0af000, 0x001713d1, 
      0xfc0ac000, 0x00181401, 
      0xfb0aafff, 0x00191431, 
      0xfa0a7fff, 0x001a1461, 
      0xf90a4fff, 0x001b1491, 
      0xf80a1ffe, 0x001c14d1, 
      0xf609fffe, 0x001d1501, 
      0xf509cffe, 0x001e1531, 
      0xf4099ffe, 0x001f1561, 
      0xf2097ffe, 0x00201591, 
      0xf1094ffe, 0x002115c1, 
      0xef092ffe, 0x002215f1, 
      0xee08fffe, 0x00231621, 
      0xec08cffe, 0x00251651, 
      0xeb08affd, 0x00261681, 
      0xe9087ffe, 0x002716b1, 
      0xe7085ffd, 0x002816f1, 
      0xe5082ffd, 0x002a1721, 
      0xe4080ffc, 0x002b1751, 
      0xe207dffd, 0x002c1781, 
      0xe007bffc, 0x002e17b1, 
      0xde078ffd, 0x002f17e1, 
      0xdc077ffd, 0x00301801, 
      0xdb074ffc, 0x00321831, 
      0xd9071ffd, 0x00331861, 
      0xd706fffc, 0x00351891, 
      0xd506dffc, 0x003618c1, 
      0xd306affc, 0x003818f1, 
      0xd0069ffc, 0x00391921, 
      0xce066ffc, 0x003b1951, 
      0xcc064ffc, 0x003d1971, 
      0xca062ffc, 0x003e19a1, 
      0xc8060ffb, 0x004019d1, 
      0xc505effb, 0x00421a01, 
      0xc305cffc, 0x00431a21, 
      0xc105affb, 0x00451a51, 
      0xbf057ffb, 0x00471a81, 
      0xbc055ffb, 0x00491ab1, 
      0xba054ffb, 0x004a1ad1, 
      0xb7052ffb, 0x004c1b01, 
      0xb5050ffb, 0x004e1b21,
   },
   { /* UV scale factor = 0.47, phases = 127, taps = 5. */
      0xb91b604a, 0x0ffa04d1, 
      0xbb1b3049, 0x0ffa04f1, 
      0xbe1b1047, 0x0ffa0501, 
      0xc01ae046, 0x0ffa0521, 
      0xc31ab044, 0x0ffa0541, 
      0xc51a8042, 0x0ffb0561, 
      0xc71a6040, 0x0ffb0581, 
      0xca1a303e, 0x0ffb05a1, 
      0xcc1a003c, 0x0ffb05d1, 
      0xce19d03b, 0x0ffb05f1, 
      0xd119a039, 0x0ffb0611, 
      0xd3197038, 0x0ffb0631, 
      0xd5194037, 0x0ffb0651, 
      0xd7192035, 0x0ffb0671, 
      0xd918f033, 0x0ffb06a1, 
      0xdb18c032, 0x0ffb06c1, 
      0xdd189031, 0x0ffb06e1, 
      0xe018502e, 0x0ffc0711, 
      0xe218202d, 0x0ffc0731, 
      0xe318002c, 0x0ffc0751, 
      0xe517d02a, 0x0ffc0781, 
      0xe717902a, 0x0ffc07a1, 
      0xe9176028, 0x0ffc07d1, 
      0xeb173027, 0x0ffc07f1, 
      0xed170025, 0x0ffc0821, 
      0xee16d025, 0x0ffc0841, 
      0xf016a023, 0x0ffc0871, 
      0xf2167021, 0x0ffd0891, 
      0xf3164020, 0x0ffd08c1, 
      0xf5160020, 0x0ffd08e1, 
      0xf615d01f, 0x0ffd0911, 
      0xf815a01d, 0x0ffd0941, 
      0xf915701d, 0x0ffd0961, 
      0xfb15401b, 0x0ffd0991, 
      0xfc15001b, 0x0ffd09c1, 
      0xfd14d019, 0x0ffe09f1, 
      0xff14a018, 0x0ffe0a11, 
      0x00147017, 0x0ffe0a42, 
      0x01144016, 0x0ffe0a72, 
      0x02140016, 0x0ffe0aa2, 
      0x0313d014, 0x0fff0ad2, 
      0x0413a014, 0x0fff0af2, 
      0x05137013, 0x0fff0b22, 
      0x06133013, 0x0fff0b52, 
      0x07130012, 0x0fff0b82, 
      0x0812d010, 0x00000bb2, 
      0x0912a00f, 0x00000be2, 
      0x0a12600f, 0x00000c12, 
      0x0b12300e, 0x00000c42, 
      0x0b12000d, 0x00010c72, 
      0x0c11c00d, 0x00010ca2, 
      0x0c11900d, 0x00010cd2, 
      0x0d11600c, 0x00010d02, 
      0x0d11300b, 0x00020d32, 
      0x0e10f00b, 0x00020d62, 
      0x0e10d00a, 0x00020d92, 
      0x0f109009, 0x00030dc2, 
      0x0f106008, 0x00030e02, 
      0x0f102008, 0x00040e32, 
      0x0f0ff008, 0x00040e62, 
      0x100fc007, 0x00040e92, 
      0x100f9006, 0x00050ec2, 
      0x100f6006, 0x00050ef2, 
      0x100f2006, 0x00060f22, 
      0x100ef005, 0x00060f62, 
      0x100ec004, 0x00070f92, 
      0x100e9004, 0x00070fc2, 
      0x0f0e6004, 0x00080ff2, 
      0x0f0e3003, 0x00081032, 
      0x0f0df003, 0x00091062, 
      0x0f0dc003, 0x00091092, 
      0x0e0d9003, 0x000a10c2, 
      0x0e0d6003, 0x000a10f2, 
      0x0d0d3002, 0x000b1132, 
      0x0d0d0001, 0x000c1162, 
      0x0c0cd002, 0x000c1192, 
      0x0c0ca001, 0x000d11c2, 
      0x0b0c7000, 0x000e1202, 
      0x0b0c4000, 0x000e1232, 
      0x0a0c1000, 0x000f1262, 
      0x090befff, 0x001012a2, 
      0x080bb000, 0x001012d2, 
      0x070b8000, 0x00111302, 
      0x060b5000, 0x00121332, 
      0x050b2fff, 0x00131372, 
      0x040affff, 0x001413a2, 
      0x030adffe, 0x001513d2, 
      0x020aafff, 0x00151402, 
      0x010a7ffe, 0x00161442, 
      0x000a4ffe, 0x00171472, 
      0xff0a1ffe, 0x001814a1, 
      0xfd09fffe, 0x001914d1, 
      0xfc09cffe, 0x001a1501, 
      0xfb099ffd, 0x001b1541, 
      0xf9096ffe, 0x001c1571, 
      0xf8094ffd, 0x001d15a1, 
      0xf7091ffd, 0x001e15d1, 
      0xf508fffd, 0x001f1601, 
      0xf308cffc, 0x00211641, 
      0xf2089ffc, 0x00221671, 
      0xf0087ffc, 0x002316a1, 
      0xee084ffd, 0x002416d1, 
      0xed082ffc, 0x00251701, 
      0xeb07fffc, 0x00271731, 
      0xe907dffc, 0x00281761, 
      0xe707bffc, 0x00291791, 
      0xe5078ffb, 0x002b17d1, 
      0xe3075ffc, 0x002c1801, 
      0xe2073ffb, 0x002d1831, 
      0xe0070ffb, 0x002f1861, 
      0xdd06effc, 0x00301891, 
      0xdb06cffb, 0x003218c1, 
      0xd906affb, 0x003318f1, 
      0xd7067ffb, 0x00351921, 
      0xd5065ffc, 0x00361941, 
      0xd3063ffb, 0x00381971, 
      0xd1061ffb, 0x003919a1, 
      0xce05fffb, 0x003b19d1, 
      0xcc05dffa, 0x003d1a01, 
      0xca05affb, 0x003e1a31, 
      0xc7058ffb, 0x00401a61, 
      0xc5056ffb, 0x00421a81, 
      0xc3054ffb, 0x00431ab1, 
      0xc0052ffb, 0x00451ae1, 
      0xbe050ffa, 0x00471b11, 
      0xbb04fffa, 0x00491b31, 
      0xb904cffa, 0x004b1b61,
   },
   { /* UV scale factor = 0.48, phases = 127, taps = 5. */
      0xbc1ba048, 0x0ff90491, 
      0xbf1b7046, 0x0ff904b1, 
      0xc21b4043, 0x0ffa04d1, 
      0xc41b1042, 0x0ffa04f1, 
      0xc71ae040, 0x0ffa0511, 
      0xc91ac03e, 0x0ffa0531, 
      0xcc1a903c, 0x0ffa0551, 
      0xce1a603b, 0x0ffa0571, 
      0xd01a303a, 0x0ffa0591, 
      0xd31a0038, 0x0ffa05b1, 
      0xd519d037, 0x0ffa05d1, 
      0xd719a035, 0x0ffa0601, 
      0xda197033, 0x0ffa0621, 
      0xdc194032, 0x0ffa0641, 
      0xde192030, 0x0ffa0661, 
      0xe018e02e, 0x0ffb0691, 
      0xe218b02d, 0x0ffb06b1, 
      0xe518802b, 0x0ffb06d1, 
      0xe718402a, 0x0ffb0701, 
      0xe9182028, 0x0ffb0721, 
      0xeb17f027, 0x0ffb0741, 
      0xed17b026, 0x0ffb0771, 
      0xee179025, 0x0ffb0791, 
      0xf0175024, 0x0ffb07c1, 
      0xf2172023, 0x0ffb07e1, 
      0xf416f021, 0x0ffb0811, 
      0xf616c020, 0x0ffb0831, 
      0xf716801f, 0x0ffc0861, 
      0xf916501d, 0x0ffc0891, 
      0xfb16201c, 0x0ffc08b1, 
      0xfc15e01c, 0x0ffc08e1, 
      0xfe15b01a, 0x0ffc0911, 
      0xff15801a, 0x0ffc0931, 
      0x01155018, 0x0ffc0962, 
      0x02151018, 0x0ffc0992, 
      0x0314e017, 0x0ffc09c2, 
      0x0514b015, 0x0ffd09e2, 
      0x06147015, 0x0ffd0a12, 
      0x07144014, 0x0ffd0a42, 
      0x08141013, 0x0ffd0a72, 
      0x0a13d012, 0x0ffd0aa2, 
      0x0b13a011, 0x0ffd0ad2, 
      0x0c136010, 0x0ffe0b02, 
      0x0d13300f, 0x0ffe0b32, 
      0x0e13000e, 0x0ffe0b62, 
      0x0f12d00d, 0x0ffe0b92, 
      0x0f12900e, 0x0ffe0bc2, 
      0x1012600c, 0x0fff0bf2, 
      0x1112300b, 0x0fff0c22, 
      0x1211f00b, 0x0fff0c52, 
      0x1211c00b, 0x0fff0c82, 
      0x13119009, 0x00000cb2, 
      0x14115009, 0x00000ce2, 
      0x14112009, 0x00000d12, 
      0x1510f008, 0x00000d42, 
      0x1510b008, 0x00010d72, 
      0x15108007, 0x00010db2, 
      0x16105006, 0x00010de2, 
      0x16101006, 0x00020e12, 
      0x160fe006, 0x00020e42, 
      0x160fb005, 0x00030e72, 
      0x160f8004, 0x00030eb2, 
      0x170f4004, 0x00030ee2, 
      0x170f1003, 0x00040f12, 
      0x170ee003, 0x00040f42, 
      0x160eb002, 0x00050f82, 
      0x160e7003, 0x00050fb2, 
      0x160e4002, 0x00060fe2, 
      0x160e1002, 0x00061012, 
      0x160dd001, 0x00071052, 
      0x150db001, 0x00071082, 
      0x150d7001, 0x000810b2, 
      0x150d4000, 0x000810f2, 
      0x140d1000, 0x00091122, 
      0x140ce000, 0x00091152, 
      0x130cbfff, 0x000a1192, 
      0x120c8fff, 0x000b11c2, 
      0x120c5fff, 0x000b11f2, 
      0x110c2ffe, 0x000c1232, 
      0x100bfffe, 0x000d1262, 
      0x0f0bcfff, 0x000d1292, 
      0x0f0b8ffe, 0x000e12d2, 
      0x0e0b6ffd, 0x000f1302, 
      0x0d0b3ffd, 0x00101332, 
      0x0c0b0ffd, 0x00101372, 
      0x0b0adffd, 0x001113a2, 
      0x0a0aaffd, 0x001213d2, 
      0x080a7ffd, 0x00131412, 
      0x070a4ffd, 0x00141442, 
      0x060a1ffd, 0x00151472, 
      0x0509effd, 0x001514b2, 
      0x0309cffd, 0x001614e2, 
      0x02099ffd, 0x00171512, 
      0x01096ffc, 0x00181552, 
      0xff093ffd, 0x00191581, 
      0xfe091ffc, 0x001a15b1, 
      0xfc08effc, 0x001c15e1, 
      0xfb08bffb, 0x001d1621, 
      0xf9089ffb, 0x001e1651, 
      0xf7086ffc, 0x001f1681, 
      0xf6083ffc, 0x002016b1, 
      0xf4081ffb, 0x002116f1, 
      0xf207effc, 0x00221721, 
      0xf007cffb, 0x00241751, 
      0xee079ffc, 0x00251781, 
      0xed077ffb, 0x002617b1, 
      0xeb074ffb, 0x002717f1, 
      0xe9072ffa, 0x00291821, 
      0xe7070ffa, 0x002a1851, 
      0xe506dffa, 0x002c1881, 
      0xe206bffb, 0x002d18b1, 
      0xe0069ffb, 0x002e18e1, 
      0xde066ffb, 0x00301911, 
      0xdc064ffb, 0x00311941, 
      0xda062ffa, 0x00331971, 
      0xd7060ffb, 0x003419a1, 
      0xd505dffb, 0x003619d1, 
      0xd305bffa, 0x00381a01, 
      0xd0059ffb, 0x00391a31, 
      0xce057ffa, 0x003b1a61, 
      0xcc055ff9, 0x003d1a91, 
      0xc9053ffa, 0x003e1ac1, 
      0xc7051ff9, 0x00401af1, 
      0xc404fffa, 0x00421b11, 
      0xc204dff9, 0x00441b41, 
      0xbf04bffa, 0x00451b71, 
      0xbc049ffa, 0x00471ba1,
   },
   { /* UV scale factor = 0.49, phases = 127, taps = 5. */
      0xc01bd044, 0x0ff90461, 
      0xc31ba042, 0x0ff90481, 
      0xc61b7040, 0x0ff904a1, 
      0xc81b503e, 0x0ff904c1, 
      0xcb1b203c, 0x0ff904e1, 
      0xcd1af03b, 0x0ff90501, 
      0xd01ac039, 0x0ff90521, 
      0xd21a9038, 0x0ff90541, 
      0xd51a6036, 0x0ff90561, 
      0xd71a3035, 0x0ff90581, 
      0xda1a0033, 0x0ff905a1, 
      0xdc19d031, 0x0ffa05c1, 
      0xdf19a02f, 0x0ffa05e1, 
      0xe119602e, 0x0ffa0611, 
      0xe319402c, 0x0ffa0631, 
      0xe519102b, 0x0ffa0651, 
      0xe818d029, 0x0ffa0681, 
      0xea18a028, 0x0ffa06a1, 
      0xec187027, 0x0ffa06c1, 
      0xee184025, 0x0ffa06f1, 
      0xf0181024, 0x0ffa0711, 
      0xf217d023, 0x0ffa0741, 
      0xf417a022, 0x0ffa0761, 
      0xf6177020, 0x0ffa0791, 
      0xf8173020, 0x0ffa07b1, 
      0xfa17001e, 0x0ffa07e1, 
      0xfb16d01d, 0x0ffb0801, 
      0xfd16a01b, 0x0ffb0831, 
      0xff16601b, 0x0ffb0851, 
      0x01163019, 0x0ffb0882, 
      0x02160018, 0x0ffb08b2, 
      0x0415c017, 0x0ffb08e2, 
      0x05159017, 0x0ffb0902, 
      0x07155016, 0x0ffb0932, 
      0x08152015, 0x0ffb0962, 
      0x0a14f013, 0x0ffb0992, 
      0x0b14c013, 0x0ffb09b2, 
      0x0c148012, 0x0ffc09e2, 
      0x0e144011, 0x0ffc0a12, 
      0x0f141010, 0x0ffc0a42, 
      0x1013e00f, 0x0ffc0a72, 
      0x1113a00f, 0x0ffc0aa2, 
      0x1213700e, 0x0ffc0ad2, 
      0x1313300e, 0x0ffc0b02, 
      0x1413000c, 0x0ffd0b32, 
      0x1512c00c, 0x0ffd0b62, 
      0x1612900b, 0x0ffd0b92, 
      0x1712600a, 0x0ffd0bc2, 
      0x1812200a, 0x0ffd0bf2, 
      0x1811f009, 0x0ffe0c22, 
      0x1911b009, 0x0ffe0c52, 
      0x1a118007, 0x0ffe0c92, 
      0x1a115007, 0x0ffe0cc2, 
      0x1b111006, 0x0fff0cf2, 
      0x1b10e006, 0x0fff0d22, 
      0x1c10a006, 0x0fff0d52, 
      0x1c107005, 0x0fff0d92, 
      0x1c104004, 0x00000dc2, 
      0x1d100004, 0x00000df2, 
      0x1d0fd004, 0x00000e22, 
      0x1d0f9003, 0x00010e62, 
      0x1d0f6003, 0x00010e92, 
      0x1d0f3003, 0x00010ec2, 
      0x1d0f0002, 0x00020ef2, 
      0x1d0ec002, 0x00020f32, 
      0x1d0e9001, 0x00030f62, 
      0x1d0e6001, 0x00030f92, 
      0x1d0e2000, 0x00040fd2, 
      0x1d0df000, 0x00041002, 
      0x1c0dc000, 0x00041042, 
      0x1c0d9fff, 0x00051072, 
      0x1c0d5000, 0x000510a2, 
      0x1b0d2fff, 0x000610e2, 
      0x1b0cfffe, 0x00071112, 
      0x1a0ccffe, 0x00071152, 
      0x1a0c8ffe, 0x00081182, 
      0x190c6ffe, 0x000811b2, 
      0x180c2ffe, 0x000911f2, 
      0x180bfffd, 0x000a1222, 
      0x170bcffd, 0x000a1262, 
      0x160b9ffd, 0x000b1292, 
      0x150b6ffd, 0x000c12c2, 
      0x140b3ffd, 0x000c1302, 
      0x130b0ffd, 0x000d1332, 
      0x120adffc, 0x000e1372, 
      0x110aaffc, 0x000f13a2, 
      0x100a7ffc, 0x000f13e2, 
      0x0f0a4ffc, 0x00101412, 
      0x0e0a1ffc, 0x00111442, 
      0x0c09effc, 0x00121482, 
      0x0b09bffc, 0x001314b2, 
      0x0a098ffb, 0x001414f2, 
      0x08096ffb, 0x00151522, 
      0x07093ffb, 0x00161552, 
      0x05090ffb, 0x00171592, 
      0x0408effa, 0x001815c2, 
      0x0208bffa, 0x00191602, 
      0x01088ffa, 0x001a1632, 
      0xff085ffb, 0x001b1661, 
      0xfd083ffa, 0x001c16a1, 
      0xfb080ffb, 0x001d16d1, 
      0xfa07effa, 0x001e1701, 
      0xf807bffb, 0x001f1731, 
      0xf6078ffa, 0x00211771, 
      0xf4076ffa, 0x002217a1, 
      0xf2074ffa, 0x002317d1, 
      0xf0071ffa, 0x00241811, 
      0xee06effa, 0x00261841, 
      0xec06cffa, 0x00271871, 
      0xea06affa, 0x002818a1, 
      0xe8068ff9, 0x002a18d1, 
      0xe5065ffa, 0x002b1911, 
      0xe3063ff9, 0x002d1941, 
      0xe1061ff9, 0x002e1971, 
      0xdf05eff9, 0x003019a1, 
      0xdc05cffa, 0x003119d1, 
      0xda05aff9, 0x00331a01, 
      0xd7058ffa, 0x00341a31, 
      0xd5056ff9, 0x00361a61, 
      0xd2054ff9, 0x00381a91, 
      0xd0052ff9, 0x00391ac1, 
      0xcd050ff9, 0x003b1af1, 
      0xcb04dff9, 0x003d1b21, 
      0xc804cff9, 0x003e1b51, 
      0xc604aff8, 0x00401b81, 
      0xc3048ff8, 0x00421bb1, 
      0xc0046ff9, 0x00441bd1,
   },
   { /* UV scale factor = 0.50, phases = 127, taps = 5. */
      0xc41c1041, 0x0ff80421, 
      0xc71be03f, 0x0ff80441, 
      0xca1bb03d, 0x0ff80461, 
      0xcc1b903b, 0x0ff80481, 
      0xcf1b503a, 0x0ff804a1, 
      0xd21b2038, 0x0ff804c1, 
      0xd41af036, 0x0ff904e1, 
      0xd71ac034, 0x0ff90501, 
      0xd91a9033, 0x0ff90521, 
      0xdc1a6031, 0x0ff90541, 
      0xde1a3030, 0x0ff90561, 
      0xe11a002d, 0x0ff90591, 
      0xe319d02c, 0x0ff905b1, 
      0xe619902b, 0x0ff905d1, 
      0xe819602a, 0x0ff905f1, 
      0xea193028, 0x0ff90621, 
      0xed190026, 0x0ff90641, 
      0xef18c026, 0x0ff90661, 
      0xf1189024, 0x0ff90691, 
      0xf3186023, 0x0ff906b1, 
      0xf5183021, 0x0ff906e1, 
      0xf7180020, 0x0ff90701, 
      0xfa17c01e, 0x0ff90731, 
      0xfc17801e, 0x0ff90751, 
      0xfd17501d, 0x0ff90781, 
      0xff17201b, 0x0ffa07a1, 
      0x0116e01a, 0x0ffa07d2, 
      0x0316b018, 0x0ffa0802, 
      0x05167018, 0x0ffa0822, 
      0x07164016, 0x0ffa0852, 
      0x08161015, 0x0ffa0882, 
      0x0a15d015, 0x0ffa08a2, 
      0x0b15a014, 0x0ffa08d2, 
      0x0d156013, 0x0ffa0902, 
      0x0f153011, 0x0ffa0932, 
      0x1014f011, 0x0ffa0962, 
      0x1114c011, 0x0ffa0982, 
      0x13148010, 0x0ffa09b2, 
      0x1414500e, 0x0ffb09e2, 
      0x1514100e, 0x0ffb0a12, 
      0x1713e00c, 0x0ffb0a42, 
      0x1813a00c, 0x0ffb0a72, 
      0x1913700b, 0x0ffb0aa2, 
      0x1a13300b, 0x0ffb0ad2, 
      0x1b13000a, 0x0ffb0b02, 
      0x1c12c009, 0x0ffc0b32, 
      0x1d129008, 0x0ffc0b62, 
      0x1e125007, 0x0ffc0ba2, 
      0x1e122007, 0x0ffc0bd2, 
      0x1f11e007, 0x0ffc0c02, 
      0x2011b006, 0x0ffc0c32, 
      0x21117005, 0x0ffd0c62, 
      0x21114005, 0x0ffd0c92, 
      0x22110004, 0x0ffd0cd2, 
      0x2210d004, 0x0ffd0d02, 
      0x23109003, 0x0ffe0d32, 
      0x23106003, 0x0ffe0d62, 
      0x23102003, 0x0ffe0da2, 
      0x240ff002, 0x0ffe0dd2, 
      0x240fb002, 0x0fff0e02, 
      0x240f8001, 0x0fff0e42, 
      0x240f5001, 0x0fff0e72, 
      0x240f1001, 0x00000ea2, 
      0x240ee000, 0x00000ee2, 
      0x240eb000, 0x00000f12, 
      0x240e7fff, 0x00010f52, 
      0x240e4fff, 0x00010f82, 
      0x240e0fff, 0x00020fb2, 
      0x240ddffe, 0x00020ff2, 
      0x230dafff, 0x00021022, 
      0x230d6ffe, 0x00031062, 
      0x230d3ffe, 0x00031092, 
      0x220d0ffd, 0x000410d2, 
      0x220cdffd, 0x00041102, 
      0x210c9ffd, 0x00051142, 
      0x210c6ffd, 0x00051172, 
      0x200c3ffc, 0x000611b2, 
      0x1f0c0ffc, 0x000711e2, 
      0x1e0bdffc, 0x00071222, 
      0x1e0baffb, 0x00081252, 
      0x1d0b6ffc, 0x00081292, 
      0x1c0b3ffc, 0x000912c2, 
      0x1b0b0ffb, 0x000a1302, 
      0x1a0adffb, 0x000b1332, 
      0x190aaffb, 0x000b1372, 
      0x180a7ffb, 0x000c13a2, 
      0x170a4ffa, 0x000d13e2, 
      0x150a1ffb, 0x000e1412, 
      0x1409effb, 0x000e1452, 
      0x1309bffb, 0x000f1482, 
      0x11098ffb, 0x001014c2, 
      0x10096ffa, 0x001114f2, 
      0x0f092ffa, 0x00121532, 
      0x0d090ffa, 0x00131562, 
      0x0b08dffa, 0x001415a2, 
      0x0a08affa, 0x001515d2, 
      0x08088ff9, 0x00161612, 
      0x07085ff9, 0x00171642, 
      0x05082ffa, 0x00181672, 
      0x03080ff9, 0x001916b2, 
      0x0107dffa, 0x001a16e2, 
      0xff07affa, 0x001b1721, 
      0xfd078ffa, 0x001c1751, 
      0xfc075ffa, 0x001d1781, 
      0xfa072ff9, 0x001f17c1, 
      0xf7070ffa, 0x002017f1, 
      0xf506eff9, 0x00211831, 
      0xf306bffa, 0x00221861, 
      0xf1069ff9, 0x00241891, 
      0xef066ffa, 0x002518c1, 
      0xec064ff9, 0x00271901, 
      0xea062ff9, 0x00281931, 
      0xe8060ff9, 0x00291961, 
      0xe605dff9, 0x002b1991, 
      0xe305bff9, 0x002c19d1, 
      0xe1059ff8, 0x002e1a01, 
      0xde057ff9, 0x002f1a31, 
      0xdc054ff9, 0x00311a61, 
      0xd9052ff9, 0x00331a91, 
      0xd7050ff9, 0x00341ac1, 
      0xd404eff9, 0x00361af1, 
      0xd204cff9, 0x00371b21, 
      0xcf04aff9, 0x00391b51, 
      0xcc048ff9, 0x003b1b81, 
      0xca046ff8, 0x003d1bb1, 
      0xc7044ff8, 0x003f1be1, 
      0xc4042ff9, 0x00401c11,
   },
   { /* UV scale factor = 0.51, phases = 127, taps = 5. */
      0xc81c503c, 0x0ff803f1, 
      0xcb1c203a, 0x0ff80411, 
      0xce1bf039, 0x0ff80421, 
      0xd01bc038, 0x0ff80441, 
      0xd31b9036, 0x0ff80461, 
      0xd61b6034, 0x0ff80481, 
      0xd91b3032, 0x0ff804a1, 
      0xdb1b0031, 0x0ff804c1, 
      0xde1ac02f, 0x0ff804f1, 
      0xe11a902d, 0x0ff80511, 
      0xe31a602c, 0x0ff80531, 
      0xe61a302a, 0x0ff80551, 
      0xe81a0029, 0x0ff80571, 
      0xeb19c027, 0x0ff805a1, 
      0xed199026, 0x0ff805c1, 
      0xf0195025, 0x0ff805e1, 
      0xf2192024, 0x0ff80601, 
      0xf418f022, 0x0ff80631, 
      0xf718b021, 0x0ff80651, 
      0xf918801f, 0x0ff80681, 
      0xfb18501e, 0x0ff806a1, 
      0xfd18101c, 0x0ff906d1, 
      0xff17e01b, 0x0ff906f1, 
      0x0117a01a, 0x0ff90722, 
      0x03177019, 0x0ff90742, 
      0x05173018, 0x0ff90772, 
      0x07170017, 0x0ff90792, 
      0x0916c016, 0x0ff907c2, 
      0x0b169014, 0x0ff907f2, 
      0x0d165013, 0x0ff90822, 
      0x0e162013, 0x0ff90842, 
      0x1015e012, 0x0ff90872, 
      0x1215a011, 0x0ff908a2, 
      0x13157010, 0x0ff908d2, 
      0x1515300f, 0x0ff90902, 
      0x1615000f, 0x0ff90922, 
      0x1814c00e, 0x0ff90952, 
      0x1914900d, 0x0ff90982, 
      0x1b14500c, 0x0ff909b2, 
      0x1c14100b, 0x0ffa09e2, 
      0x1d13e00a, 0x0ffa0a12, 
      0x1e13a00a, 0x0ffa0a42, 
      0x20137008, 0x0ffa0a72, 
      0x21133008, 0x0ffa0aa2, 
      0x2212f008, 0x0ffa0ad2, 
      0x2312c006, 0x0ffa0b12, 
      0x24128006, 0x0ffa0b42, 
      0x25125005, 0x0ffa0b72, 
      0x25121005, 0x0ffb0ba2, 
      0x2611d005, 0x0ffb0bd2, 
      0x2711a004, 0x0ffb0c02, 
      0x28116003, 0x0ffb0c42, 
      0x28113003, 0x0ffb0c72, 
      0x2910f002, 0x0ffc0ca2, 
      0x2910c001, 0x0ffc0ce2, 
      0x2a108001, 0x0ffc0d12, 
      0x2a105001, 0x0ffc0d42, 
      0x2a101001, 0x0ffc0d82, 
      0x2b0fd000, 0x0ffd0db2, 
      0x2b0fa000, 0x0ffd0de2, 
      0x2b0f7fff, 0x0ffd0e22, 
      0x2b0f3fff, 0x0ffe0e52, 
      0x2b0f0ffe, 0x0ffe0e92, 
      0x2b0ecfff, 0x0ffe0ec2, 
      0x2b0e9ffd, 0x0fff0f02, 
      0x2b0e5ffe, 0x0fff0f32, 
      0x2b0e2ffd, 0x0fff0f72, 
      0x2b0deffd, 0x00000fa2, 
      0x2b0dbffc, 0x00000fe2, 
      0x2a0d8ffd, 0x00001012, 
      0x2a0d4ffc, 0x00011052, 
      0x2a0d1ffc, 0x00011082, 
      0x290ceffb, 0x000210c2, 
      0x290caffc, 0x000210f2, 
      0x280c7ffb, 0x00031132, 
      0x280c4ffb, 0x00031162, 
      0x270c0ffb, 0x000411a2, 
      0x260beffb, 0x000411d2, 
      0x250baffb, 0x00051212, 
      0x250b7ffa, 0x00051252, 
      0x240b4ffa, 0x00061282, 
      0x230b0ffa, 0x000712c2, 
      0x220adffb, 0x000712f2, 
      0x210aaffa, 0x00081332, 
      0x200a7ff9, 0x00091372, 
      0x1e0a5ffa, 0x000913a2, 
      0x1d0a1ffa, 0x000a13e2, 
      0x1c09effa, 0x000b1412, 
      0x1b09bff9, 0x000c1452, 
      0x19098ff9, 0x000d1492, 
      0x18095ffa, 0x000d14c2, 
      0x16092ffa, 0x000e1502, 
      0x15090ff9, 0x000f1532, 
      0x1308dff9, 0x00101572, 
      0x1208aff9, 0x001115a2, 
      0x10087ff9, 0x001215e2, 
      0x0e084ff9, 0x00131622, 
      0x0d082ff8, 0x00141652, 
      0x0b07fff8, 0x00151692, 
      0x0907cff9, 0x001616c2, 
      0x07079ff9, 0x00171702, 
      0x05077ff9, 0x00181732, 
      0x03074ff9, 0x00191772, 
      0x01072ff9, 0x001a17a2, 
      0xff06fff8, 0x001c17e1, 
      0xfd06dff8, 0x001d1811, 
      0xfb06aff9, 0x001e1841, 
      0xf9068ff8, 0x001f1881, 
      0xf7065ff8, 0x002118b1, 
      0xf4063ff8, 0x002218f1, 
      0xf2060ff9, 0x00231921, 
      0xf005eff8, 0x00251951, 
      0xed05cff8, 0x00261991, 
      0xeb05aff8, 0x002719c1, 
      0xe8057ff9, 0x002919f1, 
      0xe6055ff8, 0x002a1a31, 
      0xe3053ff8, 0x002c1a61, 
      0xe1051ff8, 0x002d1a91, 
      0xde04fff8, 0x002f1ac1, 
      0xdb04dff8, 0x00311af1, 
      0xd904aff8, 0x00321b31, 
      0xd6048ff8, 0x00341b61, 
      0xd3046ff8, 0x00361b91, 
      0xd0045ff8, 0x00371bc1, 
      0xce042ff8, 0x00391bf1, 
      0xcb041ff7, 0x003b1c21, 
      0xc803fff7, 0x003d1c51,
   },
   { /* UV scale factor = 0.52, phases = 127, taps = 5. */
      0xcc1c9039, 0x0ff703b1, 
      0xcf1c6037, 0x0ff703d1, 
      0xd21c3035, 0x0ff703f1, 
      0xd51bf034, 0x0ff70411, 
      0xd81bc032, 0x0ff70431, 
      0xda1b9031, 0x0ff70451, 
      0xdd1b602f, 0x0ff70471, 
      0xe01b302d, 0x0ff70491, 
      0xe31af02c, 0x0ff704b1, 
      0xe51ad02a, 0x0ff704d1, 
      0xe81a9028, 0x0ff804f1, 
      0xeb1a5027, 0x0ff80511, 
      0xed1a2025, 0x0ff80541, 
      0xf019e024, 0x0ff80561, 
      0xf219b023, 0x0ff80581, 
      0xf5198021, 0x0ff805a1, 
      0xf7194020, 0x0ff805d1, 
      0xfa19101e, 0x0ff805f1, 
      0xfc18d01d, 0x0ff80621, 
      0xfe18a01c, 0x0ff80641, 
      0x0118601b, 0x0ff80662, 
      0x03183019, 0x0ff80692, 
      0x0517f019, 0x0ff806b2, 
      0x0717c017, 0x0ff806e2, 
      0x09178016, 0x0ff80712, 
      0x0b175015, 0x0ff80732, 
      0x0d171014, 0x0ff80762, 
      0x0f16d013, 0x0ff80792, 
      0x1116a012, 0x0ff807b2, 
      0x13166011, 0x0ff807e2, 
      0x1516300f, 0x0ff80812, 
      0x1615f00f, 0x0ff80842, 
      0x1815b00f, 0x0ff80862, 
      0x1a15800d, 0x0ff80892, 
      0x1b15400d, 0x0ff808c2, 
      0x1d15000c, 0x0ff808f2, 
      0x1e14d00b, 0x0ff80922, 
      0x2014900a, 0x0ff80952, 
      0x2114500a, 0x0ff80982, 
      0x23142008, 0x0ff809b2, 
      0x2413e007, 0x0ff909e2, 
      0x2513a007, 0x0ff90a12, 
      0x26136007, 0x0ff90a42, 
      0x28133005, 0x0ff90a72, 
      0x2912f005, 0x0ff90aa2, 
      0x2a12b004, 0x0ff90ae2, 
      0x2b128003, 0x0ff90b12, 
      0x2c124003, 0x0ff90b42, 
      0x2c121003, 0x0ff90b72, 
      0x2d11d002, 0x0ff90bb2, 
      0x2e119001, 0x0ffa0be2, 
      0x2f115001, 0x0ffa0c12, 
      0x2f112001, 0x0ffa0c42, 
      0x3010e000, 0x0ffa0c82, 
      0x3010b000, 0x0ffa0cb2, 
      0x31107fff, 0x0ffa0cf2, 
      0x31103fff, 0x0ffb0d22, 
      0x32100ffe, 0x0ffb0d52, 
      0x320fcffe, 0x0ffb0d92, 
      0x320f9ffe, 0x0ffb0dc2, 
      0x320f5ffd, 0x0ffc0e02, 
      0x330f1ffd, 0x0ffc0e32, 
      0x330eeffc, 0x0ffc0e72, 
      0x330eaffd, 0x0ffc0ea2, 
      0x330e6ffc, 0x0ffd0ee2, 
      0x330e3ffc, 0x0ffd0f12, 
      0x320e0ffc, 0x0ffd0f52, 
      0x320dcffc, 0x0ffe0f82, 
      0x320d9ffb, 0x0ffe0fc2, 
      0x320d5ffb, 0x0ffe1002, 
      0x310d2ffb, 0x0fff1032, 
      0x310cfffa, 0x0fff1072, 
      0x300cbffb, 0x000010a2, 
      0x300c8ffa, 0x000010e2, 
      0x2f0c4ffa, 0x00011122, 
      0x2f0c1ffa, 0x00011152, 
      0x2e0beff9, 0x00021192, 
      0x2d0bbff9, 0x000211d2, 
      0x2c0b7ffa, 0x00031202, 
      0x2c0b4ff9, 0x00031242, 
      0x2b0b0ff9, 0x00041282, 
      0x2a0aeff9, 0x000412b2, 
      0x290aaff9, 0x000512f2, 
      0x280a7ff8, 0x00061332, 
      0x260a5ff9, 0x00061362, 
      0x250a1ff9, 0x000713a2, 
      0x2409eff8, 0x000813e2, 
      0x2309bff8, 0x00081422, 
      0x21098ff9, 0x00091452, 
      0x20095ff8, 0x000a1492, 
      0x1e092ff8, 0x000b14d2, 
      0x1d08fff9, 0x000b1502, 
      0x1b08cff9, 0x000c1542, 
      0x1a089ff8, 0x000d1582, 
      0x18086ff9, 0x000e15b2, 
      0x16084ff8, 0x000f15f2, 
      0x15080ff8, 0x00101632, 
      0x1307eff8, 0x00111662, 
      0x1107bff8, 0x001216a2, 
      0x0f079ff8, 0x001316d2, 
      0x0d076ff8, 0x00141712, 
      0x0b073ff8, 0x00151752, 
      0x09071ff8, 0x00161782, 
      0x0706eff8, 0x001717c2, 
      0x0506cff8, 0x001817f2, 
      0x03069ff7, 0x001a1832, 
      0x01066ff8, 0x001b1862, 
      0xfe064ff8, 0x001c18a1, 
      0xfc062ff8, 0x001d18d1, 
      0xfa05fff7, 0x001f1911, 
      0xf705dff8, 0x00201941, 
      0xf505aff8, 0x00211981, 
      0xf2058ff8, 0x002319b1, 
      0xf0056ff7, 0x002419f1, 
      0xed054ff8, 0x00251a21, 
      0xeb051ff8, 0x00271a51, 
      0xe804fff8, 0x00281a91, 
      0xe504dff8, 0x002a1ac1, 
      0xe304bff7, 0x002c1af1, 
      0xe0049ff7, 0x002d1b31, 
      0xdd047ff7, 0x002f1b61, 
      0xda045ff8, 0x00301b91, 
      0xd8043ff7, 0x00321bc1, 
      0xd5041ff7, 0x00341bf1, 
      0xd203eff7, 0x00361c31, 
      0xcf03dff7, 0x00371c61, 
      0xcc03bff7, 0x00391c91,
   },
   { /* UV scale factor = 0.53, phases = 127, taps = 5. */
      0xd01cd035, 0x0ff70371, 
      0xd31ca033, 0x0ff70391, 
      0xd61c6032, 0x0ff703b1, 
      0xd91c3030, 0x0ff703d1, 
      0xdc1c002e, 0x0ff703f1, 
      0xdf1bd02c, 0x0ff70411, 
      0xe21b902b, 0x0ff70431, 
      0xe51b6029, 0x0ff70451, 
      0xe71b3028, 0x0ff70471, 
      0xea1af027, 0x0ff70491, 
      0xed1ac025, 0x0ff704b1, 
      0xf01a8023, 0x0ff704e1, 
      0xf21a5022, 0x0ff70501, 
      0xf51a1021, 0x0ff70521, 
      0xf819e01f, 0x0ff70541, 
      0xfa19a01e, 0x0ff70571, 
      0xfd19701c, 0x0ff70591, 
      0xff19301c, 0x0ff705b1, 
      0x02190019, 0x0ff705e2, 
      0x0418c019, 0x0ff70602, 
      0x06188018, 0x0ff70632, 
      0x09185016, 0x0ff70652, 
      0x0b181015, 0x0ff70682, 
      0x0d17d015, 0x0ff706a2, 
      0x0f17a013, 0x0ff706d2, 
      0x11176012, 0x0ff70702, 
      0x13173011, 0x0ff70722, 
      0x1516f010, 0x0ff70752, 
      0x1716b00f, 0x0ff70782, 
      0x1916800e, 0x0ff707a2, 
      0x1b16400d, 0x0ff707d2, 
      0x1d16000c, 0x0ff70802, 
      0x1f15c00b, 0x0ff70832, 
      0x2015800b, 0x0ff70862, 
      0x2215400a, 0x0ff70892, 
      0x24151008, 0x0ff708c2, 
      0x2514d008, 0x0ff708f2, 
      0x27149007, 0x0ff70922, 
      0x28145007, 0x0ff70952, 
      0x2a142005, 0x0ff70982, 
      0x2b13e005, 0x0ff709b2, 
      0x2c13a004, 0x0ff809e2, 
      0x2d136004, 0x0ff80a12, 
      0x2f132003, 0x0ff80a42, 
      0x3012f002, 0x0ff80a72, 
      0x3112b001, 0x0ff80ab2, 
      0x32127001, 0x0ff80ae2, 
      0x33123001, 0x0ff80b12, 
      0x34120000, 0x0ff80b42, 
      0x3411c000, 0x0ff80b82, 
      0x35118000, 0x0ff80bb2, 
      0x36115fff, 0x0ff80be2, 
      0x37110ffe, 0x0ff90c22, 
      0x3710dffe, 0x0ff90c52, 
      0x38109ffd, 0x0ff90c92, 
      0x38105ffe, 0x0ff90cc2, 
      0x39102ffc, 0x0ff90d02, 
      0x390feffd, 0x0ff90d32, 
      0x390faffd, 0x0ffa0d62, 
      0x3a0f7ffb, 0x0ffa0da2, 
      0x3a0f3ffb, 0x0ffa0de2, 
      0x3a0efffc, 0x0ffa0e12, 
      0x3a0ecffb, 0x0ffa0e52, 
      0x3a0e8ffb, 0x0ffb0e82, 
      0x3a0e5ffa, 0x0ffb0ec2, 
      0x3a0e1ffb, 0x0ffb0ef2, 
      0x3a0deffa, 0x0ffb0f32, 
      0x3a0daff9, 0x0ffc0f72, 
      0x390d7ffa, 0x0ffc0fa2, 
      0x390d3ffa, 0x0ffc0fe2, 
      0x390cfff9, 0x0ffd1022, 
      0x380cdff9, 0x0ffd1052, 
      0x380c9ff8, 0x0ffe1092, 
      0x370c5ff9, 0x0ffe10d2, 
      0x370c2ff8, 0x0ffe1112, 
      0x360beff9, 0x0fff1142, 
      0x350bbff9, 0x0fff1182, 
      0x340b8ff8, 0x000011c2, 
      0x340b4ff8, 0x00001202, 
      0x330b1ff8, 0x00011232, 
      0x320aeff8, 0x00011272, 
      0x310abff7, 0x000212b2, 
      0x300a7ff7, 0x000312f2, 
      0x2f0a4ff8, 0x00031322, 
      0x2d0a1ff8, 0x00041362, 
      0x2c09eff8, 0x000413a2, 
      0x2b09bff7, 0x000513e2, 
      0x2a097ff7, 0x00061422, 
      0x28095ff8, 0x00061452, 
      0x27092ff7, 0x00071492, 
      0x2508fff7, 0x000814d2, 
      0x2408bff7, 0x00091512, 
      0x22089ff7, 0x000a1542, 
      0x20086ff8, 0x000a1582, 
      0x1f083ff7, 0x000b15c2, 
      0x1d080ff7, 0x000c1602, 
      0x1b07dff8, 0x000d1632, 
      0x1907aff8, 0x000e1672, 
      0x17078ff7, 0x000f16b2, 
      0x15075ff7, 0x001016f2, 
      0x13072ff8, 0x00111722, 
      0x11070ff7, 0x00121762, 
      0x0f06dff7, 0x001317a2, 
      0x0d06aff8, 0x001417d2, 
      0x0b068ff7, 0x00151812, 
      0x09065ff7, 0x00161852, 
      0x06063ff7, 0x00181882, 
      0x04060ff7, 0x001918c2, 
      0x0205dff7, 0x001a1902, 
      0xff05bff8, 0x001b1931, 
      0xfc059ff7, 0x001d1971, 
      0xfa057ff7, 0x001e19a1, 
      0xf8054ff7, 0x001f19e1, 
      0xf5052ff7, 0x00211a11, 
      0xf2050ff7, 0x00221a51, 
      0xf004eff7, 0x00231a81, 
      0xed04bff7, 0x00251ac1, 
      0xea04aff7, 0x00261af1, 
      0xe7048ff7, 0x00281b21, 
      0xe5045ff6, 0x002a1b61, 
      0xe2043ff7, 0x002b1b91, 
      0xdf041ff6, 0x002d1bd1, 
      0xdc03fff7, 0x002e1c01, 
      0xd903dff7, 0x00301c31, 
      0xd603bff7, 0x00321c61, 
      0xd3039ff6, 0x00341ca1, 
      0xd0037ff7, 0x00351cd1,
   },
   { /* UV scale factor = 0.54, phases = 127, taps = 5. */
      0xd41d1031, 0x0ff60341, 
      0xd71ce030, 0x0ff60351, 
      0xda1ca02f, 0x0ff60371, 
      0xdd1c702d, 0x0ff60391, 
      0xe01c402b, 0x0ff603b1, 
      0xe31c002a, 0x0ff603d1, 
      0xe61bd028, 0x0ff603f1, 
      0xe91ba026, 0x0ff60411, 
      0xec1b6025, 0x0ff60431, 
      0xef1b2023, 0x0ff70451, 
      0xf21ae021, 0x0ff70481, 
      0xf51ab01f, 0x0ff704a1, 
      0xf81a701e, 0x0ff704c1, 
      0xfa1a401d, 0x0ff704e1, 
      0xfd1a001c, 0x0ff70501, 
      0x0019c01a, 0x0ff70532, 
      0x02199019, 0x0ff70552, 
      0x05195018, 0x0ff60582, 
      0x07192017, 0x0ff605a2, 
      0x0a18e016, 0x0ff605c2, 
      0x0c18a015, 0x0ff605f2, 
      0x0e187014, 0x0ff60612, 
      0x11183012, 0x0ff60642, 
      0x1317f011, 0x0ff60672, 
      0x1517c010, 0x0ff60692, 
      0x1717800f, 0x0ff606c2, 
      0x1a17400d, 0x0ff606f2, 
      0x1c17000d, 0x0ff60712, 
      0x1e16c00c, 0x0ff60742, 
      0x2016800b, 0x0ff60772, 
      0x2216400a, 0x0ff607a2, 
      0x2416000a, 0x0ff607c2, 
      0x2515d009, 0x0ff607f2, 
      0x27159008, 0x0ff60822, 
      0x29155007, 0x0ff60852, 
      0x2a152006, 0x0ff60882, 
      0x2c14d006, 0x0ff608b2, 
      0x2e149005, 0x0ff608e2, 
      0x2f146004, 0x0ff60912, 
      0x31142003, 0x0ff60942, 
      0x3213e003, 0x0ff60972, 
      0x3313a002, 0x0ff609b2, 
      0x35136001, 0x0ff609e2, 
      0x36132000, 0x0ff70a12, 
      0x3712e000, 0x0ff70a42, 
      0x3812a000, 0x0ff70a72, 
      0x39126fff, 0x0ff70ab2, 
      0x3a123ffe, 0x0ff70ae2, 
      0x3b11fffe, 0x0ff70b12, 
      0x3c11bffd, 0x0ff70b52, 
      0x3d117ffd, 0x0ff70b82, 
      0x3d113ffd, 0x0ff70bc2, 
      0x3e10fffd, 0x0ff70bf2, 
      0x3f10cffc, 0x0ff70c22, 
      0x3f108ffc, 0x0ff70c62, 
      0x40104ffb, 0x0ff80c92, 
      0x40100ffb, 0x0ff80cd2, 
      0x410fcffa, 0x0ff80d12, 
      0x410f9ffa, 0x0ff80d42, 
      0x410f5ffa, 0x0ff80d82, 
      0x410f2ffa, 0x0ff80db2, 
      0x420edff9, 0x0ff90df2, 
      0x420e9ff9, 0x0ff90e32, 
      0x420e6ff9, 0x0ff90e62, 
      0x420e3ff8, 0x0ff90ea2, 
      0x420dfff8, 0x0ff90ee2, 
      0x410dbff9, 0x0ffa0f12, 
      0x410d8ff8, 0x0ffa0f52, 
      0x410d4ff8, 0x0ffa0f92, 
      0x410d1ff7, 0x0ffb0fc2, 
      0x400cdff8, 0x0ffb1002, 
      0x400c9ff8, 0x0ffb1042, 
      0x3f0c6ff7, 0x0ffc1082, 
      0x3f0c2ff7, 0x0ffc10c2, 
      0x3e0bfff8, 0x0ffc10f2, 
      0x3d0bcff7, 0x0ffd1132, 
      0x3d0b8ff7, 0x0ffd1172, 
      0x3c0b5ff6, 0x0ffe11b2, 
      0x3b0b1ff7, 0x0ffe11f2, 
      0x3a0aeff6, 0x0fff1232, 
      0x390abff7, 0x0fff1262, 
      0x380a7ff7, 0x000012a2, 
      0x370a4ff7, 0x000012e2, 
      0x360a1ff6, 0x00011322, 
      0x3509eff6, 0x00011362, 
      0x3309bff6, 0x000213a2, 
      0x32097ff7, 0x000213e2, 
      0x31094ff6, 0x00031422, 
      0x2f091ff7, 0x00041452, 
      0x2e08eff6, 0x00051492, 
      0x2c08bff7, 0x000514d2, 
      0x2a088ff7, 0x00061512, 
      0x29085ff6, 0x00071552, 
      0x27082ff6, 0x00081592, 
      0x2507fff7, 0x000815d2, 
      0x2407cff7, 0x00091602, 
      0x2207aff6, 0x000a1642, 
      0x20077ff6, 0x000b1682, 
      0x1e074ff6, 0x000c16c2, 
      0x1c071ff6, 0x000d1702, 
      0x1a06eff6, 0x000e1742, 
      0x1706cff7, 0x000f1772, 
      0x15069ff7, 0x001017b2, 
      0x13067ff6, 0x001117f2, 
      0x11064ff6, 0x00121832, 
      0x0e062ff7, 0x00131862, 
      0x0c05fff7, 0x001418a2, 
      0x0a05cff7, 0x001518e2, 
      0x0705aff6, 0x00171922, 
      0x05058ff6, 0x00181952, 
      0x02055ff7, 0x00191992, 
      0x00053ff6, 0x001a19d2, 
      0xfd050ff7, 0x001c1a01, 
      0xfa04eff7, 0x001d1a41, 
      0xf804cff6, 0x001f1a71, 
      0xf504aff6, 0x00201ab1, 
      0xf2048ff6, 0x00211af1, 
      0xef045ff7, 0x00231b21, 
      0xec043ff7, 0x00241b61, 
      0xe9041ff7, 0x00261b91, 
      0xe603fff6, 0x00281bd1, 
      0xe303dff7, 0x00291c01, 
      0xe003bff7, 0x002b1c31, 
      0xdd039ff7, 0x002c1c71, 
      0xda037ff7, 0x002e1ca1, 
      0xd7035ff7, 0x00301cd1, 
      0xd4033ff6, 0x00321d11,
   },
   { /* UV scale factor = 0.55, phases = 127, taps = 5. */
      0xd81d502d, 0x0ff60301, 
      0xdb1d102c, 0x0ff60321, 
      0xde1ce02b, 0x0ff60331, 
      0xe21ca029, 0x0ff60351, 
      0xe51c7027, 0x0ff60371, 
      0xe81c3026, 0x0ff60391, 
      0xeb1c0024, 0x0ff603b1, 
      0xee1bc023, 0x0ff603d1, 
      0xf11b9021, 0x0ff603f1, 
      0xf41b5020, 0x0ff60411, 
      0xf71b101e, 0x0ff60441, 
      0xfa1ae01c, 0x0ff60461, 
      0xfd1aa01b, 0x0ff60481, 
      0x001a601a, 0x0ff604a2, 
      0x021a3018, 0x0ff604d2, 
      0x0519f017, 0x0ff604f2, 
      0x0819b016, 0x0ff60512, 
      0x0a198014, 0x0ff60542, 
      0x0d194013, 0x0ff60562, 
      0x1018f012, 0x0ff60592, 
      0x1218c011, 0x0ff605b2, 
      0x14188010, 0x0ff605e2, 
      0x1718400f, 0x0ff60602, 
      0x1918100d, 0x0ff60632, 
      0x1c17d00c, 0x0ff60652, 
      0x1e17900b, 0x0ff60682, 
      0x2017500a, 0x0ff606b2, 
      0x2217100a, 0x0ff606d2, 
      0x2416d009, 0x0ff60702, 
      0x26169008, 0x0ff60732, 
      0x28165007, 0x0ff60762, 
      0x2a161006, 0x0ff60792, 
      0x2c15d005, 0x0ff607c2, 
      0x2e159004, 0x0ff607f2, 
      0x30155003, 0x0ff60822, 
      0x31151003, 0x0ff60852, 
      0x3314d003, 0x0ff50882, 
      0x35149002, 0x0ff508b2, 
      0x36145002, 0x0ff508e2, 
      0x38141001, 0x0ff50912, 
      0x3913e000, 0x0ff50942, 
      0x3b139000, 0x0ff50972, 
      0x3c136fff, 0x0ff509a2, 
      0x3d132ffe, 0x0ff509e2, 
      0x3e12effe, 0x0ff50a12, 
      0x3f12affd, 0x0ff60a42, 
      0x40126ffc, 0x0ff60a82, 
      0x42121ffc, 0x0ff60ab2, 
      0x4211effc, 0x0ff60ae2, 
      0x4311affb, 0x0ff60b22, 
      0x44116ffb, 0x0ff60b52, 
      0x45112ffa, 0x0ff60b92, 
      0x4610effa, 0x0ff60bc2, 
      0x4610affa, 0x0ff60c02, 
      0x47106ffa, 0x0ff60c32, 
      0x47102ffa, 0x0ff60c72, 
      0x480ffff9, 0x0ff60ca2, 
      0x480fbff9, 0x0ff60ce2, 
      0x490f7ff8, 0x0ff60d22, 
      0x490f3ff8, 0x0ff70d52, 
      0x490efff8, 0x0ff70d92, 
      0x490ecff7, 0x0ff70dd2, 
      0x490e8ff8, 0x0ff70e02, 
      0x490e4ff8, 0x0ff70e42, 
      0x490e0ff8, 0x0ff70e82, 
      0x490ddff6, 0x0ff80ec2, 
      0x490d9ff7, 0x0ff80ef2, 
      0x490d5ff7, 0x0ff80f32, 
      0x490d2ff6, 0x0ff80f72, 
      0x480ceff6, 0x0ff90fb2, 
      0x480caff6, 0x0ff90ff2, 
      0x470c7ff7, 0x0ff91022, 
      0x470c3ff6, 0x0ffa1062, 
      0x460c0ff6, 0x0ffa10a2, 
      0x460bcff6, 0x0ffa10e2, 
      0x450b9ff5, 0x0ffb1122, 
      0x440b5ff6, 0x0ffb1162, 
      0x430b2ff6, 0x0ffb11a2, 
      0x420aeff6, 0x0ffc11e2, 
      0x420abff5, 0x0ffc1222, 
      0x400a8ff5, 0x0ffd1262, 
      0x3f0a4ff6, 0x0ffd12a2, 
      0x3e0a1ff5, 0x0ffe12e2, 
      0x3d09eff5, 0x0ffe1322, 
      0x3c09aff6, 0x0fff1352, 
      0x3b097ff6, 0x0fff1392, 
      0x39094ff6, 0x000013d2, 
      0x38091ff5, 0x00011412, 
      0x3608eff6, 0x00011452, 
      0x3508bff5, 0x00021492, 
      0x33088ff5, 0x000314d2, 
      0x31085ff6, 0x00031512, 
      0x30082ff5, 0x00041552, 
      0x2e07fff5, 0x00051592, 
      0x2c07cff5, 0x000615d2, 
      0x2a079ff6, 0x00061612, 
      0x28076ff6, 0x00071652, 
      0x26073ff6, 0x00081692, 
      0x24070ff6, 0x000916d2, 
      0x2206dff6, 0x000a1712, 
      0x2006bff5, 0x000b1752, 
      0x1e068ff5, 0x000c1792, 
      0x1c065ff5, 0x000d17d2, 
      0x19063ff5, 0x000e1812, 
      0x17060ff6, 0x000f1842, 
      0x1405eff6, 0x00101882, 
      0x1205bff6, 0x001118c2, 
      0x10059ff5, 0x00121902, 
      0x0d056ff6, 0x00131942, 
      0x0a054ff5, 0x00151982, 
      0x08051ff6, 0x001619b2, 
      0x0504fff6, 0x001719f2, 
      0x0204dff6, 0x00181a32, 
      0x0004aff6, 0x001a1a62, 
      0xfd048ff6, 0x001b1aa1, 
      0xfa046ff6, 0x001c1ae1, 
      0xf7044ff6, 0x001e1b11, 
      0xf4041ff7, 0x001f1b51, 
      0xf103fff6, 0x00211b91, 
      0xee03dff7, 0x00221bc1, 
      0xeb03bff6, 0x00241c01, 
      0xe8039ff7, 0x00251c31, 
      0xe5037ff6, 0x00271c71, 
      0xe2035ff6, 0x00291ca1, 
      0xde033ff7, 0x002a1ce1, 
      0xdb032ff6, 0x002c1d11, 
      0xd8030ff5, 0x002e1d51,
   },
   { /* UV scale factor = 0.56, phases = 127, taps = 5. */
      0xdc1d802a, 0x0ff602c1, 
      0xdf1d5028, 0x0ff602e1, 
      0xe31d1026, 0x0ff60301, 
      0xe61ce025, 0x0ff60311, 
      0xe91ca024, 0x0ff60331, 
      0xec1c7022, 0x0ff60351, 
      0xf01c3020, 0x0ff60371, 
      0xf31c001e, 0x0ff60391, 
      0xf61bc01d, 0x0ff603b1, 
      0xf91b801c, 0x0ff603d1, 
      0xfc1b401a, 0x0ff60401, 
      0xff1b1018, 0x0ff60421, 
      0x021ad017, 0x0ff60442, 
      0x051a9016, 0x0ff60462, 
      0x081a5014, 0x0ff60492, 
      0x0b1a1013, 0x0ff604b2, 
      0x0d19e012, 0x0ff604d2, 
      0x10199011, 0x0ff60502, 
      0x13196010, 0x0ff50522, 
      0x1519200f, 0x0ff50552, 
      0x1818e00e, 0x0ff50572, 
      0x1b18a00c, 0x0ff505a2, 
      0x1d18600c, 0x0ff505c2, 
      0x1f18200b, 0x0ff505f2, 
      0x2217e00a, 0x0ff50612, 
      0x2417a009, 0x0ff50642, 
      0x26176008, 0x0ff50672, 
      0x29172006, 0x0ff506a2, 
      0x2b16e006, 0x0ff506c2, 
      0x2d16a005, 0x0ff506f2, 
      0x2f166004, 0x0ff50722, 
      0x31162003, 0x0ff50752, 
      0x3315e002, 0x0ff50782, 
      0x3515a001, 0x0ff507b2, 
      0x37155001, 0x0ff507e2, 
      0x38152000, 0x0ff50812, 
      0x3a14d000, 0x0ff50842, 
      0x3c149fff, 0x0ff50872, 
      0x3d145fff, 0x0ff508a2, 
      0x3f141ffe, 0x0ff508d2, 
      0x4013dffe, 0x0ff50902, 
      0x42139ffc, 0x0ff50942, 
      0x43135ffd, 0x0ff40972, 
      0x45131ffc, 0x0ff409a2, 
      0x4612dffb, 0x0ff409e2, 
      0x47129ffb, 0x0ff40a12, 
      0x48125ffb, 0x0ff40a42, 
      0x49121ffa, 0x0ff40a82, 
      0x4a11dffa, 0x0ff40ab2, 
      0x4b119ff9, 0x0ff40af2, 
      0x4c115ff8, 0x0ff50b22, 
      0x4d110ff8, 0x0ff50b62, 
      0x4d10dff8, 0x0ff50b92, 
      0x4e109ff7, 0x0ff50bd2, 
      0x4f105ff7, 0x0ff50c02, 
      0x4f101ff7, 0x0ff50c42, 
      0x500fcff7, 0x0ff50c82, 
      0x500f9ff7, 0x0ff50cb2, 
      0x510f5ff6, 0x0ff50cf2, 
      0x510f1ff6, 0x0ff50d32, 
      0x510edff7, 0x0ff50d62, 
      0x510eaff6, 0x0ff50da2, 
      0x510e6ff6, 0x0ff50de2, 
      0x510e2ff5, 0x0ff60e22, 
      0x510deff5, 0x0ff60e62, 
      0x510daff6, 0x0ff60e92, 
      0x510d6ff6, 0x0ff60ed2, 
      0x510d3ff5, 0x0ff60f12, 
      0x510ceff5, 0x0ff70f52, 
      0x500cbff5, 0x0ff70f92, 
      0x500c8ff4, 0x0ff70fd2, 
      0x4f0c4ff5, 0x0ff71012, 
      0x4f0c0ff4, 0x0ff81052, 
      0x4e0bdff4, 0x0ff81092, 
      0x4d0b9ff5, 0x0ff810d2, 
      0x4d0b5ff4, 0x0ff91112, 
      0x4c0b2ff4, 0x0ff91152, 
      0x4b0afff4, 0x0ff91192, 
      0x4a0abff4, 0x0ffa11d2, 
      0x490a8ff4, 0x0ffa1212, 
      0x480a4ff5, 0x0ffa1252, 
      0x470a1ff4, 0x0ffb1292, 
      0x4609eff4, 0x0ffb12d2, 
      0x4509aff4, 0x0ffc1312, 
      0x43097ff5, 0x0ffc1352, 
      0x42094ff4, 0x0ffd1392, 
      0x40091ff5, 0x0ffd13d2, 
      0x3f08dff5, 0x0ffe1412, 
      0x3d08aff5, 0x0fff1452, 
      0x3c087ff5, 0x0fff1492, 
      0x3a084ff5, 0x000014d2, 
      0x38081ff4, 0x00011522, 
      0x3707eff4, 0x00011562, 
      0x3507bff4, 0x000215a2, 
      0x33078ff4, 0x000315e2, 
      0x31075ff5, 0x00031622, 
      0x2f072ff5, 0x00041662, 
      0x2d06fff5, 0x000516a2, 
      0x2b06cff5, 0x000616e2, 
      0x29069ff5, 0x00071722, 
      0x26067ff5, 0x00081762, 
      0x24064ff5, 0x000917a2, 
      0x22061ff5, 0x000a17e2, 
      0x1f05fff5, 0x000b1822, 
      0x1d05cff5, 0x000c1862, 
      0x1b059ff5, 0x000d18a2, 
      0x18057ff5, 0x000e18e2, 
      0x15055ff5, 0x000f1922, 
      0x13052ff5, 0x00101962, 
      0x10050ff5, 0x001119a2, 
      0x0d04dff6, 0x001219e2, 
      0x0b04bff5, 0x00141a12, 
      0x08049ff5, 0x00151a52, 
      0x05046ff6, 0x00161a92, 
      0x02044ff6, 0x00171ad2, 
      0xff042ff5, 0x00191b11, 
      0xfc040ff6, 0x001a1b41, 
      0xf903dff6, 0x001c1b81, 
      0xf603bff6, 0x001d1bc1, 
      0xf3039ff5, 0x001f1c01, 
      0xf0037ff6, 0x00201c31, 
      0xec035ff6, 0x00221c71, 
      0xe9034ff6, 0x00231ca1, 
      0xe6031ff6, 0x00251ce1, 
      0xe3030ff5, 0x00271d11, 
      0xdf02eff6, 0x00281d51, 
      0xdc02cff6, 0x002a1d81,
   },
   { /* UV scale factor = 0.57, phases = 127, taps = 5. */
      0xe01dc026, 0x0ff60281, 
      0xe31d9024, 0x0ff602a1, 
      0xe71d5022, 0x0ff602c1, 
      0xea1d2021, 0x0ff602d1, 
      0xee1ce01f, 0x0ff602f1, 
      0xf11ca01e, 0x0ff60311, 
      0xf41c601d, 0x0ff60331, 
      0xf81c301b, 0x0ff50351, 
      0xfb1bf01a, 0x0ff50371, 
      0xfe1bb019, 0x0ff50391, 
      0x011b7017, 0x0ff503c2, 
      0x041b3016, 0x0ff503e2, 
      0x071b0014, 0x0ff50402, 
      0x0a1ac013, 0x0ff50422, 
      0x0d1a8012, 0x0ff50442, 
      0x101a4010, 0x0ff50472, 
      0x131a000f, 0x0ff50492, 
      0x1619c00d, 0x0ff504c2, 
      0x1919800c, 0x0ff504e2, 
      0x1b19400c, 0x0ff50502, 
      0x1e19000a, 0x0ff50532, 
      0x2118c009, 0x0ff50552, 
      0x23188008, 0x0ff50582, 
      0x26183007, 0x0ff505b2, 
      0x2817f007, 0x0ff505d2, 
      0x2b17b005, 0x0ff50602, 
      0x2d177004, 0x0ff50632, 
      0x2f173004, 0x0ff40662, 
      0x3216f003, 0x0ff40682, 
      0x3416b002, 0x0ff406b2, 
      0x36166002, 0x0ff406e2, 
      0x38162001, 0x0ff40712, 
      0x3a15e000, 0x0ff40742, 
      0x3c15afff, 0x0ff40772, 
      0x3e156ffe, 0x0ff407a2, 
      0x40152ffd, 0x0ff407d2, 
      0x4114dffe, 0x0ff40802, 
      0x43149ffd, 0x0ff40832, 
      0x45145ffc, 0x0ff40862, 
      0x46141ffb, 0x0ff408a2, 
      0x4813dffa, 0x0ff408d2, 
      0x49139ffa, 0x0ff40902, 
      0x4b134ffa, 0x0ff40932, 
      0x4c130ff9, 0x0ff40972, 
      0x4d12cff9, 0x0ff409a2, 
      0x4f128ff9, 0x0ff309d2, 
      0x50124ff8, 0x0ff30a12, 
      0x51120ff8, 0x0ff30a42, 
      0x5211cff7, 0x0ff30a82, 
      0x53117ff8, 0x0ff30ab2, 
      0x54113ff7, 0x0ff30af2, 
      0x5510fff7, 0x0ff30b22, 
      0x5510bff7, 0x0ff30b62, 
      0x56107ff6, 0x0ff30ba2, 
      0x57103ff6, 0x0ff30bd2, 
      0x570ffff6, 0x0ff30c12, 
      0x580faff5, 0x0ff40c52, 
      0x580f7ff5, 0x0ff40c82, 
      0x580f3ff5, 0x0ff40cc2, 
      0x590efff4, 0x0ff40d02, 
      0x590ebff4, 0x0ff40d42, 
      0x590e7ff4, 0x0ff40d82, 
      0x590e3ff5, 0x0ff40db2, 
      0x590dfff5, 0x0ff40df2, 
      0x590dcff4, 0x0ff40e32, 
      0x590d8ff4, 0x0ff40e72, 
      0x590d4ff4, 0x0ff40eb2, 
      0x590d0ff3, 0x0ff50ef2, 
      0x580ccff4, 0x0ff50f32, 
      0x580c8ff4, 0x0ff50f72, 
      0x580c5ff3, 0x0ff50fb2, 
      0x570c1ff4, 0x0ff50ff2, 
      0x570bdff3, 0x0ff61032, 
      0x560baff3, 0x0ff61072, 
      0x550b6ff4, 0x0ff610b2, 
      0x550b2ff3, 0x0ff710f2, 
      0x540afff3, 0x0ff71132, 
      0x530abff4, 0x0ff71172, 
      0x520a8ff3, 0x0ff711c2, 
      0x510a4ff3, 0x0ff81202, 
      0x500a1ff3, 0x0ff81242, 
      0x4f09dff3, 0x0ff91282, 
      0x4d09aff4, 0x0ff912c2, 
      0x4c097ff4, 0x0ff91302, 
      0x4b093ff4, 0x0ffa1342, 
      0x49090ff4, 0x0ffa1392, 
      0x4808dff3, 0x0ffb13d2, 
      0x4608aff4, 0x0ffb1412, 
      0x45086ff4, 0x0ffc1452, 
      0x43083ff4, 0x0ffd1492, 
      0x41081ff4, 0x0ffd14d2, 
      0x4007dff3, 0x0ffe1522, 
      0x3e07aff4, 0x0ffe1562, 
      0x3c077ff4, 0x0fff15a2, 
      0x3a074ff4, 0x000015e2, 
      0x38071ff4, 0x00011622, 
      0x3606eff5, 0x00011662, 
      0x3406bff4, 0x000216b2, 
      0x32068ff4, 0x000316f2, 
      0x2f066ff4, 0x00041732, 
      0x2d063ff4, 0x00051772, 
      0x2b060ff4, 0x000617b2, 
      0x2805eff5, 0x000617f2, 
      0x2605bff5, 0x00071832, 
      0x23058ff5, 0x00081882, 
      0x21055ff5, 0x000918c2, 
      0x1e053ff5, 0x000a1902, 
      0x1b050ff5, 0x000c1942, 
      0x1904dff5, 0x000d1982, 
      0x1604bff5, 0x000e19c2, 
      0x13049ff5, 0x000f1a02, 
      0x10047ff5, 0x00101a42, 
      0x0d044ff6, 0x00111a82, 
      0x0a042ff5, 0x00131ac2, 
      0x07040ff5, 0x00141b02, 
      0x0403eff6, 0x00151b32, 
      0x0103cff5, 0x00171b72, 
      0xfe039ff6, 0x00181bb1, 
      0xfb037ff6, 0x00191bf1, 
      0xf8035ff5, 0x001b1c31, 
      0xf4034ff6, 0x001c1c61, 
      0xf1031ff6, 0x001e1ca1, 
      0xee02fff5, 0x00201ce1, 
      0xea02dff6, 0x00211d21, 
      0xe702cff5, 0x00231d51, 
      0xe302aff6, 0x00241d91, 
      0xe0028ff6, 0x00261dc1,
   },
   { /* UV scale factor = 0.58, phases = 127, taps = 5. */
      0xe41e0023, 0x0ff50241, 
      0xe81dd020, 0x0ff50261, 
      0xeb1d901f, 0x0ff50281, 
      0xef1d501e, 0x0ff50291, 
      0xf21d201c, 0x0ff502b1, 
      0xf61ce01a, 0x0ff502d1, 
      0xf91ca019, 0x0ff502f1, 
      0xfc1c6018, 0x0ff50311, 
      0x001c2016, 0x0ff50332, 
      0x031be015, 0x0ff50352, 
      0x061bb013, 0x0ff50372, 
      0x0a1b6011, 0x0ff503a2, 
      0x0d1b2010, 0x0ff503c2, 
      0x101ae00f, 0x0ff503e2, 
      0x131aa00e, 0x0ff50402, 
      0x161a600c, 0x0ff50432, 
      0x191a200b, 0x0ff50452, 
      0x1c19e00a, 0x0ff50472, 
      0x1f199009, 0x0ff504a2, 
      0x21196008, 0x0ff504c2, 
      0x24191007, 0x0ff504f2, 
      0x2718d007, 0x0ff40512, 
      0x2a189005, 0x0ff40542, 
      0x2c185004, 0x0ff40572, 
      0x2f181003, 0x0ff40592, 
      0x3117c003, 0x0ff405c2, 
      0x34178001, 0x0ff405f2, 
      0x36174001, 0x0ff40612, 
      0x38170000, 0x0ff40642, 
      0x3b16bfff, 0x0ff40672, 
      0x3d167ffe, 0x0ff406a2, 
      0x3f163ffd, 0x0ff406d2, 
      0x4115effd, 0x0ff40702, 
      0x4315affd, 0x0ff30732, 
      0x45156ffc, 0x0ff30762, 
      0x47152ffb, 0x0ff30792, 
      0x4914dffb, 0x0ff307c2, 
      0x4a149ffb, 0x0ff307f2, 
      0x4c145ffa, 0x0ff30822, 
      0x4e141ff8, 0x0ff30862, 
      0x4f13cff9, 0x0ff30892, 
      0x51138ff8, 0x0ff308c2, 
      0x52134ff7, 0x0ff30902, 
      0x5412fff7, 0x0ff30932, 
      0x5512bff7, 0x0ff30962, 
      0x56127ff6, 0x0ff309a2, 
      0x58123ff6, 0x0ff209d2, 
      0x5911eff6, 0x0ff20a12, 
      0x5a11aff6, 0x0ff20a42, 
      0x5b116ff5, 0x0ff20a82, 
      0x5c112ff5, 0x0ff20ab2, 
      0x5c10eff5, 0x0ff20af2, 
      0x5d109ff5, 0x0ff20b32, 
      0x5e105ff5, 0x0ff20b62, 
      0x5f101ff4, 0x0ff20ba2, 
      0x5f0fdff4, 0x0ff20be2, 
      0x600f9ff3, 0x0ff20c22, 
      0x600f5ff4, 0x0ff20c52, 
      0x610f1ff3, 0x0ff20c92, 
      0x610edff3, 0x0ff20cd2, 
      0x610e9ff3, 0x0ff20d12, 
      0x610e5ff3, 0x0ff20d52, 
      0x610e1ff3, 0x0ff20d92, 
      0x610ddff2, 0x0ff30dd2, 
      0x610d9ff2, 0x0ff30e12, 
      0x610d5ff2, 0x0ff30e52, 
      0x610d1ff2, 0x0ff30e92, 
      0x610cdff2, 0x0ff30ed2, 
      0x610c9ff2, 0x0ff30f12, 
      0x600c5ff3, 0x0ff30f52, 
      0x600c2ff2, 0x0ff30f92, 
      0x5f0beff2, 0x0ff40fd2, 
      0x5f0baff2, 0x0ff41012, 
      0x5e0b6ff3, 0x0ff41052, 
      0x5d0b3ff3, 0x0ff41092, 
      0x5c0afff2, 0x0ff510e2, 
      0x5c0abff2, 0x0ff51122, 
      0x5b0a8ff2, 0x0ff51162, 
      0x5a0a4ff3, 0x0ff511a2, 
      0x590a1ff2, 0x0ff611e2, 
      0x5809dff2, 0x0ff61232, 
      0x5609aff3, 0x0ff61272, 
      0x55096ff3, 0x0ff712b2, 
      0x54093ff3, 0x0ff712f2, 
      0x52090ff2, 0x0ff81342, 
      0x5108cff3, 0x0ff81382, 
      0x4f089ff3, 0x0ff913c2, 
      0x4e086ff2, 0x0ff91412, 
      0x4c082ff3, 0x0ffa1452, 
      0x4a07fff4, 0x0ffa1492, 
      0x4907cff3, 0x0ffb14d2, 
      0x47079ff3, 0x0ffb1522, 
      0x45076ff3, 0x0ffc1562, 
      0x43073ff4, 0x0ffc15a2, 
      0x41070ff3, 0x0ffd15f2, 
      0x3f06dff3, 0x0ffe1632, 
      0x3d06aff4, 0x0ffe1672, 
      0x3b067ff4, 0x0fff16b2, 
      0x38064ff4, 0x00001702, 
      0x36061ff4, 0x00011742, 
      0x3405eff4, 0x00021782, 
      0x3105cff5, 0x000217c2, 
      0x2f059ff4, 0x00031812, 
      0x2c057ff4, 0x00041852, 
      0x2a054ff4, 0x00051892, 
      0x27051ff5, 0x000618d2, 
      0x2404fff5, 0x00071912, 
      0x2104cff5, 0x00081962, 
      0x1f04aff4, 0x000919a2, 
      0x1c047ff5, 0x000a19e2, 
      0x19045ff5, 0x000b1a22, 
      0x16043ff4, 0x000d1a62, 
      0x13040ff5, 0x000e1aa2, 
      0x1003eff5, 0x000f1ae2, 
      0x0d03cff5, 0x00101b22, 
      0x0a039ff5, 0x00121b62, 
      0x06037ff6, 0x00131ba2, 
      0x03035ff6, 0x00141be2, 
      0x00033ff5, 0x00161c22, 
      0xfc031ff6, 0x00171c61, 
      0xf902fff5, 0x00191ca1, 
      0xf602dff5, 0x001a1ce1, 
      0xf202bff6, 0x001c1d11, 
      0xef029ff6, 0x001d1d51, 
      0xeb028ff5, 0x001f1d91, 
      0xe8025ff5, 0x00211dd1, 
      0xe4024ff6, 0x00221e01,
   },
   { /* UV scale factor = 0.59, phases = 127, taps = 5. */
      0xe81e401f, 0x0ff50201, 
      0xec1e101c, 0x0ff50221, 
      0xef1dd01b, 0x0ff50241, 
      0xf31d901a, 0x0ff50251, 
      0xf71d5018, 0x0ff50271, 
      0xfa1d1017, 0x0ff50291, 
      0xfe1cd015, 0x0ff502b1, 
      0x011c9014, 0x0ff502d2, 
      0x051c5012, 0x0ff502f2, 
      0x081c1011, 0x0ff50312, 
      0x0c1bd00f, 0x0ff50332, 
      0x0f1b900e, 0x0ff50352, 
      0x121b500c, 0x0ff50382, 
      0x151b100b, 0x0ff503a2, 
      0x181ac00b, 0x0ff503c2, 
      0x1c1a8009, 0x0ff503e2, 
      0x1e1a4008, 0x0ff50412, 
      0x221a0007, 0x0ff40432, 
      0x2519c005, 0x0ff40462, 
      0x28197005, 0x0ff40482, 
      0x2a193004, 0x0ff404b2, 
      0x2d18f003, 0x0ff404d2, 
      0x3018a002, 0x0ff40502, 
      0x33186001, 0x0ff40522, 
      0x35182000, 0x0ff40552, 
      0x3817dfff, 0x0ff40582, 
      0x3a179fff, 0x0ff405a2, 
      0x3d175ffd, 0x0ff405d2, 
      0x3f170ffe, 0x0ff30602, 
      0x4216cffc, 0x0ff30632, 
      0x44168ffb, 0x0ff30662, 
      0x46163ffb, 0x0ff30692, 
      0x4815fffa, 0x0ff306c2, 
      0x4a15affa, 0x0ff306f2, 
      0x4c156ff9, 0x0ff30722, 
      0x4e152ff8, 0x0ff30752, 
      0x5014dff8, 0x0ff30782, 
      0x52149ff8, 0x0ff207b2, 
      0x54144ff7, 0x0ff207f2, 
      0x55140ff7, 0x0ff20822, 
      0x5713cff6, 0x0ff20852, 
      0x59137ff6, 0x0ff20882, 
      0x5a133ff5, 0x0ff208c2, 
      0x5c12fff4, 0x0ff208f2, 
      0x5d12aff4, 0x0ff20932, 
      0x5e126ff4, 0x0ff20962, 
      0x5f121ff4, 0x0ff209a2, 
      0x6111dff3, 0x0ff209d2, 
      0x62119ff3, 0x0ff10a12, 
      0x63115ff3, 0x0ff10a42, 
      0x64110ff3, 0x0ff10a82, 
      0x6510cff2, 0x0ff10ac2, 
      0x65108ff3, 0x0ff10af2, 
      0x66103ff3, 0x0ff10b32, 
      0x670ffff2, 0x0ff10b72, 
      0x670fbff2, 0x0ff10bb2, 
      0x680f7ff2, 0x0ff10be2, 
      0x680f3ff2, 0x0ff10c22, 
      0x690eeff2, 0x0ff10c62, 
      0x690eaff2, 0x0ff10ca2, 
      0x690e6ff2, 0x0ff10ce2, 
      0x6a0e2ff1, 0x0ff10d22, 
      0x6a0deff1, 0x0ff10d62, 
      0x6a0daff1, 0x0ff10da2, 
      0x6a0d6ff1, 0x0ff10de2, 
      0x6a0d2ff1, 0x0ff10e22, 
      0x690ceff2, 0x0ff10e62, 
      0x690caff2, 0x0ff10ea2, 
      0x690c6ff2, 0x0ff10ee2, 
      0x680c2ff1, 0x0ff20f32, 
      0x680beff1, 0x0ff20f72, 
      0x670bbff1, 0x0ff20fb2, 
      0x670b7ff1, 0x0ff20ff2, 
      0x660b3ff2, 0x0ff21032, 
      0x650afff2, 0x0ff21082, 
      0x650abff1, 0x0ff310c2, 
      0x640a8ff1, 0x0ff31102, 
      0x630a4ff1, 0x0ff31152, 
      0x620a1ff1, 0x0ff31192, 
      0x6109dff1, 0x0ff411d2, 
      0x5f09aff2, 0x0ff41212, 
      0x5e096ff2, 0x0ff41262, 
      0x5d093ff1, 0x0ff512a2, 
      0x5c08fff1, 0x0ff512f2, 
      0x5a08cff2, 0x0ff51332, 
      0x59088ff2, 0x0ff61372, 
      0x57085ff2, 0x0ff613c2, 
      0x55082ff2, 0x0ff71402, 
      0x5407fff2, 0x0ff71442, 
      0x5207bff3, 0x0ff71492, 
      0x50078ff3, 0x0ff814d2, 
      0x4e075ff2, 0x0ff91522, 
      0x4c072ff3, 0x0ff91562, 
      0x4a06fff3, 0x0ffa15a2, 
      0x4806cff3, 0x0ffa15f2, 
      0x46069ff3, 0x0ffb1632, 
      0x44065ff3, 0x0ffc1682, 
      0x42063ff3, 0x0ffc16c2, 
      0x3f060ff4, 0x0ffd1702, 
      0x3d05dff3, 0x0ffe1752, 
      0x3a05aff4, 0x0fff1792, 
      0x38058ff4, 0x0fff17d2, 
      0x35055ff4, 0x00001822, 
      0x33052ff4, 0x00011862, 
      0x30050ff4, 0x000218a2, 
      0x2d04dff4, 0x000318f2, 
      0x2a04bff4, 0x00041932, 
      0x28048ff4, 0x00051972, 
      0x25045ff4, 0x000619c2, 
      0x22043ff4, 0x00071a02, 
      0x1f041ff4, 0x00081a42, 
      0x1c03eff5, 0x00091a82, 
      0x1803dff5, 0x000a1ac2, 
      0x1503aff4, 0x000c1b12, 
      0x12038ff4, 0x000d1b52, 
      0x0f035ff5, 0x000e1b92, 
      0x0c033ff5, 0x000f1bd2, 
      0x08031ff5, 0x00111c12, 
      0x0502fff5, 0x00121c52, 
      0x0102dff6, 0x00131c92, 
      0xfe02bff5, 0x00151cd1, 
      0xfa029ff6, 0x00161d11, 
      0xf7027ff5, 0x00181d51, 
      0xf3025ff6, 0x00191d91, 
      0xef024ff5, 0x001b1dd1, 
      0xec021ff5, 0x001d1e11, 
      0xe8020ff6, 0x001e1e41,
   },
   { /* UV scale factor = 0.60, phases = 127, taps = 5. */
      0xec1e801b, 0x0ff501c1, 
      0xf01e4019, 0x0ff501e1, 
      0xf41e0018, 0x0ff501f1, 
      0xf81dc016, 0x0ff50211, 
      0xfb1d9014, 0x0ff50231, 
      0xff1d4013, 0x0ff50251, 
      0x031d0011, 0x0ff50272, 
      0x061cc010, 0x0ff50292, 
      0x0a1c800e, 0x0ff502b2, 
      0x0d1c400d, 0x0ff502d2, 
      0x111c000b, 0x0ff502f2, 
      0x141bc00a, 0x0ff50312, 
      0x181b7009, 0x0ff50332, 
      0x1b1b3007, 0x0ff50362, 
      0x1e1af006, 0x0ff50382, 
      0x211ab006, 0x0ff403a2, 
      0x251a6005, 0x0ff403c2, 
      0x281a2003, 0x0ff403f2, 
      0x2b19d003, 0x0ff40412, 
      0x2e199001, 0x0ff40442, 
      0x31195000, 0x0ff40462, 
      0x34190fff, 0x0ff40492, 
      0x3618cfff, 0x0ff404b2, 
      0x39187ffe, 0x0ff404e2, 
      0x3c183ffd, 0x0ff30512, 
      0x3f17effd, 0x0ff30532, 
      0x4117affc, 0x0ff30562, 
      0x44175ffb, 0x0ff30592, 
      0x46171ffa, 0x0ff305c2, 
      0x4916cff9, 0x0ff305f2, 
      0x4b168ff8, 0x0ff30622, 
      0x4d163ff8, 0x0ff30652, 
      0x4f15fff8, 0x0ff20682, 
      0x5215aff7, 0x0ff206b2, 
      0x54156ff6, 0x0ff206e2, 
      0x56151ff6, 0x0ff20712, 
      0x5814dff5, 0x0ff20742, 
      0x5a148ff5, 0x0ff20772, 
      0x5b144ff5, 0x0ff207a2, 
      0x5d13fff4, 0x0ff207e2, 
      0x5f13bff4, 0x0ff10812, 
      0x60137ff4, 0x0ff10842, 
      0x62132ff3, 0x0ff10882, 
      0x6312eff3, 0x0ff108b2, 
      0x65129ff2, 0x0ff108f2, 
      0x66125ff2, 0x0ff10922, 
      0x68120ff1, 0x0ff10962, 
      0x6911cff1, 0x0ff10992, 
      0x6a117ff1, 0x0ff109d2, 
      0x6b113ff1, 0x0ff00a12, 
      0x6c10fff1, 0x0ff00a42, 
      0x6d10aff1, 0x0ff00a82, 
      0x6e106ff0, 0x0ff00ac2, 
      0x6e101ff1, 0x0ff00b02, 
      0x6f0fdff1, 0x0ff00b32, 
      0x700f9ff0, 0x0ff00b72, 
      0x700f5ff0, 0x0ff00bb2, 
      0x710f0ff0, 0x0ff00bf2, 
      0x710ecff0, 0x0ff00c32, 
      0x720e8fef, 0x0ff00c72, 
      0x720e4fef, 0x0ff00cb2, 
      0x720dfff0, 0x0ff00cf2, 
      0x720dbff0, 0x0ff00d32, 
      0x720d7ff0, 0x0ff00d72, 
      0x720d3ff0, 0x0ff00db2, 
      0x720cfff0, 0x0ff00df2, 
      0x720cbfef, 0x0ff00e42, 
      0x720c7fef, 0x0ff00e82, 
      0x710c3ff0, 0x0ff00ec2, 
      0x710bfff0, 0x0ff00f02, 
      0x700bbff0, 0x0ff00f52, 
      0x700b7ff0, 0x0ff00f92, 
      0x6f0b3ff1, 0x0ff00fd2, 
      0x6e0b0ff1, 0x0ff01012, 
      0x6e0abff0, 0x0ff11062, 
      0x6d0a8ff0, 0x0ff110a2, 
      0x6c0a4ff0, 0x0ff110f2, 
      0x6b0a1ff0, 0x0ff11132, 
      0x6a09dff1, 0x0ff11172, 
      0x69099ff0, 0x0ff211c2, 
      0x68096ff0, 0x0ff21202, 
      0x66092ff1, 0x0ff21252, 
      0x6508fff1, 0x0ff21292, 
      0x6308bff2, 0x0ff312d2, 
      0x62088ff1, 0x0ff31322, 
      0x60085ff2, 0x0ff31362, 
      0x5f081ff1, 0x0ff413b2, 
      0x5d07eff2, 0x0ff413f2, 
      0x5b07aff2, 0x0ff51442, 
      0x5a077ff2, 0x0ff51482, 
      0x58074ff2, 0x0ff514d2, 
      0x56071ff2, 0x0ff61512, 
      0x5406eff2, 0x0ff61562, 
      0x5206bff2, 0x0ff715a2, 
      0x4f068ff2, 0x0ff815f2, 
      0x4d065ff3, 0x0ff81632, 
      0x4b062ff2, 0x0ff91682, 
      0x4905fff3, 0x0ff916c2, 
      0x4605cff3, 0x0ffa1712, 
      0x44059ff3, 0x0ffb1752, 
      0x41056ff3, 0x0ffc17a2, 
      0x3f053ff4, 0x0ffc17e2, 
      0x3c051ff3, 0x0ffd1832, 
      0x3904eff4, 0x0ffe1872, 
      0x3604bff4, 0x0fff18c2, 
      0x34049ff3, 0x00001902, 
      0x31046ff3, 0x00011952, 
      0x2e043ff4, 0x00021992, 
      0x2b041ff4, 0x000319d2, 
      0x2803eff4, 0x00041a22, 
      0x2503cff4, 0x00051a62, 
      0x2103aff5, 0x00061aa2, 
      0x1e038ff4, 0x00071af2, 
      0x1b036ff4, 0x00081b32, 
      0x18033ff5, 0x00091b72, 
      0x14031ff5, 0x000a1bc2, 
      0x1102fff4, 0x000c1c02, 
      0x0d02dff5, 0x000d1c42, 
      0x0a02bff5, 0x000e1c82, 
      0x06029ff5, 0x00101cc2, 
      0x03027ff5, 0x00111d02, 
      0xff025ff5, 0x00131d41, 
      0xfb023ff6, 0x00141d81, 
      0xf8021ff5, 0x00161dc1, 
      0xf401fff6, 0x00171e01, 
      0xf001eff5, 0x00191e41, 
      0xec01cff6, 0x001a1e81,
   },
   { /* UV scale factor = 0.61, phases = 127, taps = 5. */
      0xf01ec017, 0x0ff50181, 
      0xf41e8015, 0x0ff501a1, 
      0xf81e4014, 0x0ff501b1, 
      0xfc1e0012, 0x0ff501d1, 
      0x001dc010, 0x0ff501f2, 
      0x041d800e, 0x0ff50212, 
      0x071d400d, 0x0ff50232, 
      0x0b1cf00c, 0x0ff50252, 
      0x0f1cb00a, 0x0ff50272, 
      0x121c7009, 0x0ff50292, 
      0x161c3007, 0x0ff502b2, 
      0x1a1be006, 0x0ff502d2, 
      0x1d1ba005, 0x0ff502f2, 
      0x201b6005, 0x0ff40312, 
      0x241b1004, 0x0ff40332, 
      0x271ad002, 0x0ff40362, 
      0x2a1a8002, 0x0ff40382, 
      0x2e1a4000, 0x0ff403a2, 
      0x3119ffff, 0x0ff403d2, 
      0x3419bffe, 0x0ff403f2, 
      0x37196ffd, 0x0ff40422, 
      0x3a192ffc, 0x0ff40442, 
      0x3d18dffc, 0x0ff30472, 
      0x40188ffb, 0x0ff304a2, 
      0x43184ffa, 0x0ff304c2, 
      0x4517fffa, 0x0ff304f2, 
      0x4817bff8, 0x0ff30522, 
      0x4b176ff7, 0x0ff30552, 
      0x4d172ff7, 0x0ff30572, 
      0x5016dff6, 0x0ff305a2, 
      0x52168ff7, 0x0ff205d2, 
      0x54164ff6, 0x0ff20602, 
      0x5715fff5, 0x0ff20632, 
      0x5915aff5, 0x0ff20662, 
      0x5b156ff4, 0x0ff20692, 
      0x5d151ff3, 0x0ff206d2, 
      0x5f14dff3, 0x0ff10702, 
      0x61148ff3, 0x0ff10732, 
      0x63143ff3, 0x0ff10762, 
      0x6513fff1, 0x0ff107a2, 
      0x6713aff1, 0x0ff107d2, 
      0x68136ff1, 0x0ff10802, 
      0x6a131ff0, 0x0ff10842, 
      0x6c12cff1, 0x0ff00872, 
      0x6d128ff0, 0x0ff008b2, 
      0x6e124ff0, 0x0ff008e2, 
      0x7011ffef, 0x0ff00922, 
      0x7111aff0, 0x0ff00952, 
      0x72116fef, 0x0ff00992, 
      0x73111fef, 0x0ff009d2, 
      0x7410dfef, 0x0fef0a12, 
      0x75109fef, 0x0fef0a42, 
      0x76104fef, 0x0fef0a82, 
      0x770fffef, 0x0fef0ac2, 
      0x780fbfee, 0x0fef0b02, 
      0x780f7fee, 0x0fef0b42, 
      0x790f2fee, 0x0fef0b82, 
      0x790eefee, 0x0fef0bc2, 
      0x7a0e9fee, 0x0fef0c02, 
      0x7a0e5fee, 0x0fef0c42, 
      0x7a0e1fee, 0x0fef0c82, 
      0x7a0ddfef, 0x0fee0cc2, 
      0x7b0d8fef, 0x0fee0d02, 
      0x7b0d4fef, 0x0fee0d42, 
      0x7b0d0fef, 0x0fee0d82, 
      0x7a0ccfef, 0x0fee0dd2, 
      0x7a0c8fef, 0x0fee0e12, 
      0x7a0c4fef, 0x0fee0e52, 
      0x7a0c0fef, 0x0fee0e92, 
      0x790bcfef, 0x0fee0ee2, 
      0x790b8fef, 0x0fee0f22, 
      0x780b4fee, 0x0fef0f72, 
      0x780affef, 0x0fef0fb2, 
      0x770acfef, 0x0fef0ff2, 
      0x760a8fef, 0x0fef1042, 
      0x750a4ff0, 0x0fef1082, 
      0x740a1fef, 0x0fef10d2, 
      0x7309dff0, 0x0fef1112, 
      0x72099ff0, 0x0fef1162, 
      0x71095ff0, 0x0ff011a2, 
      0x70092fef, 0x0ff011f2, 
      0x6e08eff1, 0x0ff01232, 
      0x6d08bff0, 0x0ff01282, 
      0x6c087ff0, 0x0ff112c2, 
      0x6a084ff0, 0x0ff11312, 
      0x68080ff1, 0x0ff11362, 
      0x6707dff1, 0x0ff113a2, 
      0x65079ff1, 0x0ff213f2, 
      0x63076ff2, 0x0ff21432, 
      0x61073ff1, 0x0ff31482, 
      0x5f070ff1, 0x0ff314d2, 
      0x5d06dff2, 0x0ff31512, 
      0x5b069ff2, 0x0ff41562, 
      0x59067ff2, 0x0ff415a2, 
      0x57063ff2, 0x0ff515f2, 
      0x54060ff3, 0x0ff51642, 
      0x5205dff3, 0x0ff61682, 
      0x5005aff2, 0x0ff716d2, 
      0x4d057ff3, 0x0ff71722, 
      0x4b055ff2, 0x0ff81762, 
      0x48052ff2, 0x0ff917b2, 
      0x4504fff4, 0x0ff917f2, 
      0x4304cff3, 0x0ffa1842, 
      0x4004aff3, 0x0ffb1882, 
      0x3d047ff3, 0x0ffc18d2, 
      0x3a044ff3, 0x0ffd1922, 
      0x37042ff4, 0x0ffd1962, 
      0x3403fff4, 0x0ffe19b2, 
      0x3103dff4, 0x0fff19f2, 
      0x2e03aff4, 0x00001a42, 
      0x2a038ff5, 0x00011a82, 
      0x27036ff4, 0x00021ad2, 
      0x24033ff5, 0x00031b12, 
      0x20032ff5, 0x00041b52, 
      0x1d02fff4, 0x00061ba2, 
      0x1a02dff4, 0x00071be2, 
      0x1602bff4, 0x00081c32, 
      0x12029ff5, 0x00091c72, 
      0x0f027ff4, 0x000b1cb2, 
      0x0b025ff5, 0x000c1cf2, 
      0x07023ff5, 0x000d1d42, 
      0x04020ff5, 0x000f1d82, 
      0x0001fff5, 0x00101dc2, 
      0xfc01dff5, 0x00121e01, 
      0xf801bff6, 0x00131e41, 
      0xf401aff5, 0x00151e81, 
      0xf0018ff6, 0x00161ec1,
   },
   { /* UV scale factor = 0.62, phases = 127, taps = 5. */
      0xf41f0012, 0x0ff60141, 
      0xf81ec011, 0x0ff50161, 
      0xfc1e8010, 0x0ff50171, 
      0x001e400e, 0x0ff50192, 
      0x041df00d, 0x0ff501b2, 
      0x081db00b, 0x0ff501d2, 
      0x0c1d700a, 0x0ff501e2, 
      0x101d2009, 0x0ff50202, 
      0x141ce007, 0x0ff50222, 
      0x181ca005, 0x0ff50242, 
      0x1b1c5005, 0x0ff50262, 
      0x1f1c1003, 0x0ff50282, 
      0x221bc002, 0x0ff502b2, 
      0x261b8001, 0x0ff402d2, 
      0x2a1b3000, 0x0ff402f2, 
      0x2d1affff, 0x0ff40312, 
      0x301aaffe, 0x0ff40342, 
      0x341a6ffc, 0x0ff40362, 
      0x371a1ffc, 0x0ff40382, 
      0x3a19cffb, 0x0ff403b2, 
      0x3d198ffa, 0x0ff403d2, 
      0x40193ffa, 0x0ff30402, 
      0x4318fff9, 0x0ff30422, 
      0x4618aff8, 0x0ff30452, 
      0x49185ff7, 0x0ff30482, 
      0x4c180ff7, 0x0ff304a2, 
      0x4f17bff6, 0x0ff304d2, 
      0x52176ff5, 0x0ff30502, 
      0x54172ff5, 0x0ff20532, 
      0x5716dff4, 0x0ff20562, 
      0x59169ff3, 0x0ff20592, 
      0x5c164ff2, 0x0ff205c2, 
      0x5e15fff2, 0x0ff205f2, 
      0x6115aff1, 0x0ff20622, 
      0x63156ff1, 0x0ff10652, 
      0x65151ff1, 0x0ff10682, 
      0x6714cff1, 0x0ff106b2, 
      0x69147ff0, 0x0ff106f2, 
      0x6b143fef, 0x0ff10722, 
      0x6d13efef, 0x0ff10752, 
      0x6f139fef, 0x0ff00792, 
      0x70135fef, 0x0ff007c2, 
      0x72130fee, 0x0ff00802, 
      0x7412bfee, 0x0ff00832, 
      0x75126fee, 0x0ff00872, 
      0x77122fee, 0x0fef08a2, 
      0x7811dfee, 0x0fef08e2, 
      0x79119fee, 0x0fef0912, 
      0x7a114fee, 0x0fef0952, 
      0x7c10ffed, 0x0fef0992, 
      0x7d10afed, 0x0fef09d2, 
      0x7d106fed, 0x0fef0a12, 
      0x7f102fed, 0x0fee0a42, 
      0x7f0fdfee, 0x0fee0a82, 
      0x800f9fed, 0x0fee0ac2, 
      0x810f4fed, 0x0fee0b02, 
      0x810f0fed, 0x0fee0b42, 
      0x820ebfed, 0x0fee0b82, 
      0x820e7fed, 0x0fee0bc2, 
      0x830e3fed, 0x0fed0c02, 
      0x830defed, 0x0fed0c52, 
      0x830dafed, 0x0fed0c92, 
      0x830d5fee, 0x0fed0cd2, 
      0x830d1fee, 0x0fed0d12, 
      0x830cdfee, 0x0fed0d52, 
      0x830c9fed, 0x0fed0da2, 
      0x830c5fed, 0x0fed0de2, 
      0x830c0fee, 0x0fed0e22, 
      0x820bcfee, 0x0fed0e72, 
      0x820b8fee, 0x0fed0eb2, 
      0x810b4fee, 0x0fed0f02, 
      0x810b0fee, 0x0fed0f42, 
      0x800acfee, 0x0fed0f92, 
      0x7f0a8fef, 0x0fed0fd2, 
      0x7f0a4fee, 0x0fed1022, 
      0x7e0a1fee, 0x0fed1062, 
      0x7d09dfee, 0x0fed10b2, 
      0x7c099fef, 0x0fed10f2, 
      0x7a096fef, 0x0fed1142, 
      0x79091ff0, 0x0fee1182, 
      0x7808efef, 0x0fee11d2, 
      0x7708afef, 0x0fee1222, 
      0x75087ff0, 0x0fee1262, 
      0x74083ff0, 0x0fee12b2, 
      0x72080fef, 0x0fef1302, 
      0x7007cff1, 0x0fef1342, 
      0x6f079ff0, 0x0fef1392, 
      0x6d075ff1, 0x0fef13e2, 
      0x6b072ff0, 0x0ff01432, 
      0x6906fff1, 0x0ff01472, 
      0x6706bff1, 0x0ff114c2, 
      0x65068ff1, 0x0ff11512, 
      0x63065ff1, 0x0ff11562, 
      0x61062ff1, 0x0ff215a2, 
      0x5e05fff2, 0x0ff215f2, 
      0x5c05cff1, 0x0ff31642, 
      0x59059ff2, 0x0ff31692, 
      0x57056ff2, 0x0ff416d2, 
      0x54053ff3, 0x0ff41722, 
      0x52050ff2, 0x0ff51772, 
      0x4f04dff3, 0x0ff617b2, 
      0x4c04bff3, 0x0ff61802, 
      0x49048ff3, 0x0ff71852, 
      0x46045ff3, 0x0ff818a2, 
      0x43042ff4, 0x0ff918e2, 
      0x40040ff4, 0x0ff91932, 
      0x3d03dff4, 0x0ffa1982, 
      0x3a03bff4, 0x0ffb19c2, 
      0x37038ff4, 0x0ffc1a12, 
      0x34036ff3, 0x0ffd1a62, 
      0x30034ff4, 0x0ffe1aa2, 
      0x2d031ff4, 0x0fff1af2, 
      0x2a02fff4, 0x00001b32, 
      0x2602dff4, 0x00011b82, 
      0x2302bff4, 0x00021bc2, 
      0x1f028ff5, 0x00031c12, 
      0x1b027ff5, 0x00041c52, 
      0x18024ff4, 0x00061ca2, 
      0x14022ff5, 0x00071ce2, 
      0x10020ff6, 0x00081d22, 
      0x0c01eff6, 0x00091d72, 
      0x0801dff5, 0x000b1db2, 
      0x0401bff6, 0x000c1df2, 
      0x00019ff5, 0x000e1e42, 
      0xfc017ff6, 0x000f1e81, 
      0xf8016ff5, 0x00111ec1, 
      0xf4014ff6, 0x00121f01,
   },
   { /* UV scale factor = 0.63, phases = 127, taps = 5. */
      0xf81f400e, 0x0ff60101, 
      0xfd1f000c, 0x0ff60111, 
      0x011eb00b, 0x0ff60132, 
      0x051e700a, 0x0ff50152, 
      0x091e3008, 0x0ff50172, 
      0x0d1df007, 0x0ff50182, 
      0x111da006, 0x0ff501a2, 
      0x151d5005, 0x0ff501c2, 
      0x191d1003, 0x0ff501e2, 
      0x1d1cc002, 0x0ff50202, 
      0x211c8000, 0x0ff50222, 
      0x241c3000, 0x0ff50242, 
      0x281bfffe, 0x0ff50262, 
      0x2c1baffe, 0x0ff40282, 
      0x2f1b5ffd, 0x0ff402b2, 
      0x331b1ffb, 0x0ff402d2, 
      0x361acffb, 0x0ff402f2, 
      0x3a1a7ffa, 0x0ff40312, 
      0x3d1a3ff8, 0x0ff40342, 
      0x4119eff7, 0x0ff40362, 
      0x44199ff7, 0x0ff30392, 
      0x47194ff7, 0x0ff303b2, 
      0x4a18fff6, 0x0ff303e2, 
      0x4d18bff4, 0x0ff30412, 
      0x50186ff4, 0x0ff30432, 
      0x53181ff3, 0x0ff30462, 
      0x5617cff2, 0x0ff30492, 
      0x59177ff3, 0x0ff204b2, 
      0x5b173ff2, 0x0ff204e2, 
      0x5e16eff1, 0x0ff20512, 
      0x61169ff0, 0x0ff20542, 
      0x63164ff0, 0x0ff20572, 
      0x6615fff0, 0x0ff105a2, 
      0x6815aff0, 0x0ff105d2, 
      0x6a156fef, 0x0ff10602, 
      0x6d150fee, 0x0ff10642, 
      0x6f14bfee, 0x0ff10672, 
      0x71147fee, 0x0ff006a2, 
      0x73142fee, 0x0ff006d2, 
      0x7513dfed, 0x0ff00712, 
      0x77138fed, 0x0ff00742, 
      0x79133fec, 0x0ff00782, 
      0x7a12ffed, 0x0fef07b2, 
      0x7c12afec, 0x0fef07f2, 
      0x7d125fed, 0x0fef0822, 
      0x7f120fec, 0x0fef0862, 
      0x8011bfec, 0x0fef08a2, 
      0x82117fec, 0x0fee08d2, 
      0x83112fec, 0x0fee0912, 
      0x8410dfec, 0x0fee0952, 
      0x85109feb, 0x0fee0992, 
      0x86104feb, 0x0fee09d2, 
      0x870fffeb, 0x0fee0a12, 
      0x880fbfec, 0x0fed0a42, 
      0x890f6fec, 0x0fed0a82, 
      0x890f2fec, 0x0fed0ac2, 
      0x8a0edfeb, 0x0fed0b12, 
      0x8b0e8feb, 0x0fed0b52, 
      0x8b0e4feb, 0x0fed0b92, 
      0x8b0e0fec, 0x0fec0bd2, 
      0x8c0dbfec, 0x0fec0c12, 
      0x8c0d7fec, 0x0fec0c52, 
      0x8c0d2fec, 0x0fec0ca2, 
      0x8c0cefec, 0x0fec0ce2, 
      0x8c0cafec, 0x0fec0d22, 
      0x8c0c5fec, 0x0fec0d72, 
      0x8c0c1fec, 0x0fec0db2, 
      0x8b0bdfec, 0x0fec0e02, 
      0x8b0b9fec, 0x0fec0e42, 
      0x8b0b5fec, 0x0fec0e82, 
      0x8a0b1fed, 0x0feb0ed2, 
      0x890acfee, 0x0feb0f22, 
      0x890a8fee, 0x0feb0f62, 
      0x880a4fee, 0x0feb0fb2, 
      0x870a1fee, 0x0feb0ff2, 
      0x8609dfee, 0x0feb1042, 
      0x85099fed, 0x0fec1092, 
      0x84095fee, 0x0fec10d2, 
      0x83091fee, 0x0fec1122, 
      0x8208dfee, 0x0fec1172, 
      0x8008afef, 0x0fec11b2, 
      0x7f086fef, 0x0fec1202, 
      0x7d082ff0, 0x0fec1252, 
      0x7c07ffef, 0x0fec12a2, 
      0x7a07bff0, 0x0fed12e2, 
      0x79078fef, 0x0fed1332, 
      0x77074ff0, 0x0fed1382, 
      0x75071ff0, 0x0fed13d2, 
      0x7306dff0, 0x0fee1422, 
      0x7106aff0, 0x0fee1472, 
      0x6f067ff1, 0x0fee14b2, 
      0x6d064ff1, 0x0fee1502, 
      0x6a060ff2, 0x0fef1552, 
      0x6805dff2, 0x0fef15a2, 
      0x6605aff1, 0x0ff015f2, 
      0x63057ff2, 0x0ff01642, 
      0x61054ff1, 0x0ff11692, 
      0x5e051ff2, 0x0ff116e2, 
      0x5b04eff3, 0x0ff21722, 
      0x5904bff3, 0x0ff21772, 
      0x56049ff2, 0x0ff317c2, 
      0x53046ff3, 0x0ff31812, 
      0x50043ff3, 0x0ff41862, 
      0x4d040ff3, 0x0ff518b2, 
      0x4a03eff4, 0x0ff518f2, 
      0x4703bff4, 0x0ff61942, 
      0x44039ff3, 0x0ff71992, 
      0x41036ff3, 0x0ff819e2, 
      0x3d034ff3, 0x0ff91a32, 
      0x3a031ff4, 0x0ffa1a72, 
      0x3602fff5, 0x0ffa1ac2, 
      0x3302dff4, 0x0ffb1b12, 
      0x2f02bff5, 0x0ffc1b52, 
      0x2c028ff5, 0x0ffd1ba2, 
      0x28026ff5, 0x0ffe1bf2, 
      0x24024ff5, 0x00001c32, 
      0x21022ff4, 0x00011c82, 
      0x1d020ff5, 0x00021cc2, 
      0x1901eff5, 0x00031d12, 
      0x1501cff6, 0x00041d52, 
      0x1101aff5, 0x00061da2, 
      0x0d018ff6, 0x00071de2, 
      0x09017ff5, 0x00081e32, 
      0x05015ff5, 0x000a1e72, 
      0x01013ff6, 0x000b1eb2, 
      0xfd011ff5, 0x000d1f01, 
      0xf8010ff6, 0x000e1f41,
   },
   { /* UV scale factor = 0.64, phases = 127, taps = 5. */
      0xfc1f800a, 0x0ff600c1, 
      0x011f4008, 0x0ff600d2, 
      0x051ef007, 0x0ff600f2, 
      0x091eb005, 0x0ff60112, 
      0x0e1e6004, 0x0ff60122, 
      0x121e2003, 0x0ff50142, 
      0x161dd002, 0x0ff50162, 
      0x1a1d8001, 0x0ff50182, 
      0x1e1d4fff, 0x0ff501a2, 
      0x221cfffe, 0x0ff501c2, 
      0x261caffd, 0x0ff501e2, 
      0x2a1c6ffb, 0x0ff50202, 
      0x2e1c1ffa, 0x0ff50222, 
      0x311bcffa, 0x0ff50242, 
      0x351b8ff9, 0x0ff40262, 
      0x391b3ff8, 0x0ff40282, 
      0x3c1aeff7, 0x0ff402b2, 
      0x401a9ff6, 0x0ff402d2, 
      0x431a4ff6, 0x0ff402f2, 
      0x4719fff4, 0x0ff40322, 
      0x4a19bff4, 0x0ff30342, 
      0x4e195ff3, 0x0ff30372, 
      0x51190ff3, 0x0ff30392, 
      0x5418bff2, 0x0ff303c2, 
      0x57186ff1, 0x0ff303f2, 
      0x5a182ff0, 0x0ff30412, 
      0x5d17dff0, 0x0ff20442, 
      0x60178fef, 0x0ff20472, 
      0x63173fee, 0x0ff204a2, 
      0x6616dfee, 0x0ff204d2, 
      0x68169fed, 0x0ff20502, 
      0x6b164fed, 0x0ff10532, 
      0x6d15ffed, 0x0ff10562, 
      0x7015afec, 0x0ff10592, 
      0x72155fec, 0x0ff105c2, 
      0x7514ffec, 0x0ff105f2, 
      0x7714bfec, 0x0ff00622, 
      0x79146feb, 0x0ff00662, 
      0x7b141feb, 0x0ff00692, 
      0x7d13cfeb, 0x0ff006c2, 
      0x7f137feb, 0x0fef0702, 
      0x81132feb, 0x0fef0732, 
      0x8312dfea, 0x0fef0772, 
      0x84128feb, 0x0fef07a2, 
      0x86123fea, 0x0fef07e2, 
      0x8711efeb, 0x0fee0822, 
      0x8911afea, 0x0fee0852, 
      0x8a115fea, 0x0fee0892, 
      0x8c110fe9, 0x0fee08d2, 
      0x8d10bfea, 0x0fed0912, 
      0x8e106fea, 0x0fed0952, 
      0x8f102fe9, 0x0fed0992, 
      0x900fdfea, 0x0fed09c2, 
      0x910f8fea, 0x0fed0a02, 
      0x920f3fea, 0x0fec0a52, 
      0x920effea, 0x0fec0a92, 
      0x930eafea, 0x0fec0ad2, 
      0x930e6fea, 0x0fec0b12, 
      0x940e1fea, 0x0fec0b52, 
      0x940dcfeb, 0x0fec0b92, 
      0x950d8fea, 0x0feb0be2, 
      0x950d4fea, 0x0feb0c22, 
      0x950cffeb, 0x0feb0c62, 
      0x950cbfea, 0x0feb0cb2, 
      0x950c6feb, 0x0feb0cf2, 
      0x950c1feb, 0x0feb0d42, 
      0x950befeb, 0x0fea0d82, 
      0x940bafec, 0x0fea0dc2, 
      0x940b5fec, 0x0fea0e12, 
      0x930b1fec, 0x0fea0e62, 
      0x930adfec, 0x0fea0ea2, 
      0x920a9fec, 0x0fea0ef2, 
      0x920a5fec, 0x0fea0f32, 
      0x910a0fed, 0x0fea0f82, 
      0x9009cfed, 0x0fea0fd2, 
      0x8f098fed, 0x0fea1022, 
      0x8e095fed, 0x0fea1062, 
      0x8d091fed, 0x0fea10b2, 
      0x8c08dfed, 0x0fea1102, 
      0x8a089fee, 0x0fea1152, 
      0x89085fee, 0x0fea11a2, 
      0x87082fef, 0x0fea11e2, 
      0x8607efef, 0x0fea1232, 
      0x8407bfef, 0x0fea1282, 
      0x83076fef, 0x0feb12d2, 
      0x81073fef, 0x0feb1322, 
      0x7f070fef, 0x0feb1372, 
      0x7d06cff0, 0x0feb13c2, 
      0x7b069ff0, 0x0feb1412, 
      0x79065ff0, 0x0fec1462, 
      0x77062ff0, 0x0fec14b2, 
      0x7505fff0, 0x0fec1502, 
      0x7205cff1, 0x0fec1552, 
      0x70058ff1, 0x0fed15a2, 
      0x6d056ff1, 0x0fed15f2, 
      0x6b052ff1, 0x0fee1642, 
      0x68050ff1, 0x0fee1692, 
      0x6604dff1, 0x0fee16e2, 
      0x63049ff2, 0x0fef1732, 
      0x60047ff2, 0x0fef1782, 
      0x5d044ff2, 0x0ff017d2, 
      0x5a041ff2, 0x0ff11822, 
      0x5703fff2, 0x0ff11872, 
      0x5403cff3, 0x0ff218b2, 
      0x51039ff4, 0x0ff21902, 
      0x4e037ff3, 0x0ff31952, 
      0x4a034ff4, 0x0ff419a2, 
      0x47032ff3, 0x0ff519f2, 
      0x43030ff4, 0x0ff51a42, 
      0x4002dff4, 0x0ff61a92, 
      0x3c02bff4, 0x0ff71ae2, 
      0x39028ff4, 0x0ff81b32, 
      0x35026ff5, 0x0ff91b72, 
      0x31024ff5, 0x0ffa1bc2, 
      0x2e022ff4, 0x0ffb1c12, 
      0x2a020ff4, 0x0ffc1c62, 
      0x2601eff4, 0x0ffd1cb2, 
      0x2201cff5, 0x0ffe1cf2, 
      0x1e01aff5, 0x0fff1d42, 
      0x1a018ff5, 0x00011d82, 
      0x16016ff5, 0x00021dd2, 
      0x12014ff5, 0x00031e22, 
      0x0e012ff6, 0x00041e62, 
      0x09011ff5, 0x00061eb2, 
      0x0500fff6, 0x00071ef2, 
      0x0100dff5, 0x00091f42, 
      0xfc00cff6, 0x000a1f81,
   },
   { /* UV scale factor = 0.65, phases = 127, taps = 5. */
      0x001fc006, 0x0ff60082, 
      0x051f7005, 0x0ff60092, 
      0x091f3003, 0x0ff600b2, 
      0x0e1ee002, 0x0ff600c2, 
      0x121ea000, 0x0ff600e2, 
      0x161e5fff, 0x0ff60102, 
      0x1b1e0ffd, 0x0ff60122, 
      0x1f1dcffd, 0x0ff50132, 
      0x231d7ffc, 0x0ff50152, 
      0x271d2ffb, 0x0ff50172, 
      0x2b1cdffa, 0x0ff50192, 
      0x2f1c8ff9, 0x0ff501b2, 
      0x331c3ff8, 0x0ff501d2, 
      0x371beff7, 0x0ff501f2, 
      0x3b1baff5, 0x0ff50212, 
      0x3f1b5ff4, 0x0ff40242, 
      0x431b0ff3, 0x0ff40262, 
      0x461abff3, 0x0ff40282, 
      0x4a1a5ff2, 0x0ff402b2, 
      0x4d1a1ff1, 0x0ff402d2, 
      0x5119cff0, 0x0ff402f2, 
      0x54196ff1, 0x0ff30322, 
      0x58191fef, 0x0ff30352, 
      0x5b18cfef, 0x0ff30372, 
      0x5e187fee, 0x0ff303a2, 
      0x61182fed, 0x0ff303d2, 
      0x6417dfee, 0x0ff203f2, 
      0x67178fed, 0x0ff20422, 
      0x6a173fec, 0x0ff20452, 
      0x6d16efeb, 0x0ff20482, 
      0x70168feb, 0x0ff204b2, 
      0x72163fec, 0x0ff104e2, 
      0x7515efeb, 0x0ff10512, 
      0x78159fea, 0x0ff10542, 
      0x7a154fea, 0x0ff10572, 
      0x7d14ffea, 0x0ff005a2, 
      0x7f14afe9, 0x0ff005e2, 
      0x81145fe9, 0x0ff00612, 
      0x83140fe9, 0x0ff00642, 
      0x8513bfe9, 0x0fef0682, 
      0x87136fe9, 0x0fef06b2, 
      0x89131fe8, 0x0fef06f2, 
      0x8b12cfe8, 0x0fef0722, 
      0x8d127fe8, 0x0fee0762, 
      0x8e122fe8, 0x0fee07a2, 
      0x9011dfe8, 0x0fee07d2, 
      0x91118fe8, 0x0fee0812, 
      0x93113fe8, 0x0fed0852, 
      0x9410efe8, 0x0fed0892, 
      0x95109fe9, 0x0fed08c2, 
      0x97104fe8, 0x0fed0902, 
      0x980fffe9, 0x0fec0942, 
      0x990fafe9, 0x0fec0982, 
      0x9a0f5fe9, 0x0fec09c2, 
      0x9a0f1fe9, 0x0fec0a02, 
      0x9b0ecfe8, 0x0fec0a52, 
      0x9c0e7fe9, 0x0feb0a92, 
      0x9c0e3fe9, 0x0feb0ad2, 
      0x9d0defe9, 0x0feb0b12, 
      0x9d0d9fe9, 0x0feb0b62, 
      0x9e0d5fe9, 0x0fea0ba2, 
      0x9e0d0fea, 0x0fea0be2, 
      0x9e0ccfe9, 0x0fea0c32, 
      0x9e0c7fea, 0x0fea0c72, 
      0x9e0c2fea, 0x0fea0cc2, 
      0x9e0befea, 0x0fea0d02, 
      0x9e0bafea, 0x0fe90d52, 
      0x9d0b6feb, 0x0fe90d92, 
      0x9d0b1feb, 0x0fe90de2, 
      0x9c0adfeb, 0x0fe90e32, 
      0x9c0a9feb, 0x0fe90e72, 
      0x9b0a5feb, 0x0fe90ec2, 
      0x9a0a0fec, 0x0fe90f12, 
      0x9a09cfec, 0x0fe90f52, 
      0x99098fed, 0x0fe80fa2, 
      0x98094fed, 0x0fe80ff2, 
      0x97090fed, 0x0fe81042, 
      0x9508dfed, 0x0fe81092, 
      0x94089fed, 0x0fe810e2, 
      0x93085fed, 0x0fe81132, 
      0x91081fee, 0x0fe81182, 
      0x9007dfee, 0x0fe811d2, 
      0x8e07afee, 0x0fe81222, 
      0x8d076fee, 0x0fe81272, 
      0x8b072fee, 0x0fe912c2, 
      0x8906ffee, 0x0fe91312, 
      0x8706bfef, 0x0fe91362, 
      0x85068fef, 0x0fe913b2, 
      0x83064ff0, 0x0fe91402, 
      0x81061ff0, 0x0fe91452, 
      0x7f05dff0, 0x0fea14a2, 
      0x7c05aff1, 0x0fea14f2, 
      0x7a057ff1, 0x0fea1542, 
      0x78054ff1, 0x0fea1592, 
      0x75051ff1, 0x0feb15e2, 
      0x7204eff2, 0x0feb1632, 
      0x7004bff1, 0x0feb1692, 
      0x6d048ff1, 0x0fec16e2, 
      0x6a045ff2, 0x0fec1732, 
      0x67042ff2, 0x0fed1782, 
      0x6403fff3, 0x0fed17d2, 
      0x6103dff2, 0x0fee1822, 
      0x5e03aff3, 0x0fee1872, 
      0x5b037ff3, 0x0fef18c2, 
      0x58035ff3, 0x0fef1912, 
      0x54032ff4, 0x0ff01962, 
      0x5102fff3, 0x0ff119c2, 
      0x4d02dff4, 0x0ff11a12, 
      0x4a02bff3, 0x0ff21a62, 
      0x46028ff4, 0x0ff31ab2, 
      0x43025ff4, 0x0ff41b02, 
      0x3f023ff4, 0x0ff51b52, 
      0x3b021ff5, 0x0ff51ba2, 
      0x37020ff5, 0x0ff61be2, 
      0x3301eff5, 0x0ff71c32, 
      0x2f01cff5, 0x0ff81c82, 
      0x2b019ff6, 0x0ff91cd2, 
      0x27017ff6, 0x0ffa1d22, 
      0x23015ff5, 0x0ffc1d72, 
      0x1f013ff6, 0x0ffd1db2, 
      0x1b012ff5, 0x0ffe1e02, 
      0x16010ff6, 0x0fff1e52, 
      0x1200eff6, 0x00001ea2, 
      0x0e00cff6, 0x00021ee2, 
      0x0900bff6, 0x00031f32, 
      0x05009ff6, 0x00051f72, 
      0x00008ff6, 0x00061fc2,
   },
   { /* UV scale factor = 0.66, phases = 127, taps = 5. */
      0x04200002, 0x0ff70032, 
      0x091fb000, 0x0ff70052, 
      0x0e1f6fff, 0x0ff60072, 
      0x121f2ffe, 0x0ff60082, 
      0x171edffc, 0x0ff600a2, 
      0x1b1e8ffc, 0x0ff600b2, 
      0x201e3ffa, 0x0ff600d2, 
      0x241deff9, 0x0ff600f2, 
      0x281d9ff8, 0x0ff60112, 
      0x2c1d5ff7, 0x0ff50132, 
      0x311d0ff5, 0x0ff50152, 
      0x351cbff4, 0x0ff50172, 
      0x391c6ff3, 0x0ff50192, 
      0x3d1c1ff2, 0x0ff501b2, 
      0x411bbff2, 0x0ff501d2, 
      0x451b6ff1, 0x0ff501f2, 
      0x491b1ff1, 0x0ff40212, 
      0x4c1acff0, 0x0ff40242, 
      0x501a7fef, 0x0ff40262, 
      0x541a2fee, 0x0ff40282, 
      0x5719dfed, 0x0ff402b2, 
      0x5b197fee, 0x0ff302d2, 
      0x5e192fed, 0x0ff30302, 
      0x6218dfec, 0x0ff30322, 
      0x65188feb, 0x0ff30352, 
      0x68183fea, 0x0ff30382, 
      0x6b17efeb, 0x0ff203a2, 
      0x6e179fea, 0x0ff203d2, 
      0x71173fea, 0x0ff20402, 
      0x7416efe9, 0x0ff20432, 
      0x77169fe9, 0x0ff10462, 
      0x7a163fe9, 0x0ff10492, 
      0x7d15efe8, 0x0ff104c2, 
      0x7f159fe8, 0x0ff104f2, 
      0x82154fe8, 0x0ff00522, 
      0x8414efe8, 0x0ff00562, 
      0x87149fe7, 0x0ff00592, 
      0x89144fe7, 0x0ff005c2, 
      0x8b13ffe7, 0x0fef0602, 
      0x8d13afe7, 0x0fef0632, 
      0x90134fe6, 0x0fef0672, 
      0x9212ffe6, 0x0fef06a2, 
      0x9312afe7, 0x0fee06e2, 
      0x95125fe7, 0x0fee0712, 
      0x97120fe6, 0x0fee0752, 
      0x9911afe6, 0x0fee0792, 
      0x9a116fe7, 0x0fed07c2, 
      0x9c110fe7, 0x0fed0802, 
      0x9d10bfe7, 0x0fed0842, 
      0x9e107fe7, 0x0fec0882, 
      0x9f102fe7, 0x0fec08c2, 
      0xa10fcfe7, 0x0fec0902, 
      0xa20f7fe7, 0x0fec0942, 
      0xa30f3fe7, 0x0feb0982, 
      0xa30eefe8, 0x0feb09c2, 
      0xa40e9fe8, 0x0feb0a02, 
      0xa50e4fe7, 0x0feb0a52, 
      0xa50e0fe8, 0x0fea0a92, 
      0xa60dbfe8, 0x0fea0ad2, 
      0xa60d6fe8, 0x0fea0b22, 
      0xa70d1fe8, 0x0fea0b62, 
      0xa70cdfe8, 0x0fe90bb2, 
      0xa70c8fe9, 0x0fe90bf2, 
      0xa70c4fe8, 0x0fe90c42, 
      0xa70bffe9, 0x0fe90c82, 
      0xa70bafe9, 0x0fe90cd2, 
      0xa70b6fea, 0x0fe80d12, 
      0xa60b2fea, 0x0fe80d62, 
      0xa60adfea, 0x0fe80db2, 
      0xa50a9feb, 0x0fe80df2, 
      0xa50a5fea, 0x0fe80e42, 
      0xa40a1feb, 0x0fe70e92, 
      0xa309cfec, 0x0fe70ee2, 
      0xa3098feb, 0x0fe70f32, 
      0xa2094feb, 0x0fe70f82, 
      0xa1090fec, 0x0fe70fc2, 
      0x9f08cfed, 0x0fe71012, 
      0x9e088fed, 0x0fe71062, 
      0x9d084fed, 0x0fe710b2, 
      0x9c080fed, 0x0fe71102, 
      0x9a07cfee, 0x0fe71152, 
      0x99078fed, 0x0fe711b2, 
      0x97075fed, 0x0fe71202, 
      0x95071fee, 0x0fe71252, 
      0x9306efee, 0x0fe712a2, 
      0x9206afee, 0x0fe712f2, 
      0x90067fee, 0x0fe71342, 
      0x8d063ff0, 0x0fe71392, 
      0x8b060fef, 0x0fe713f2, 
      0x8905cff0, 0x0fe71442, 
      0x87059ff0, 0x0fe71492, 
      0x84056ff0, 0x0fe814e2, 
      0x82052ff1, 0x0fe81532, 
      0x7f04fff1, 0x0fe81592, 
      0x7d04cff1, 0x0fe815e2, 
      0x7a049ff1, 0x0fe91632, 
      0x77046ff2, 0x0fe91682, 
      0x74043ff2, 0x0fe916e2, 
      0x71040ff2, 0x0fea1732, 
      0x6e03dff3, 0x0fea1782, 
      0x6b03bff3, 0x0fea17d2, 
      0x68038ff2, 0x0feb1832, 
      0x65035ff3, 0x0feb1882, 
      0x62032ff3, 0x0fec18d2, 
      0x5e030ff4, 0x0fec1922, 
      0x5b02dff4, 0x0fed1972, 
      0x5702bff3, 0x0fee19d2, 
      0x54028ff4, 0x0fee1a22, 
      0x50026ff4, 0x0fef1a72, 
      0x4c024ff4, 0x0ff01ac2, 
      0x49021ff5, 0x0ff01b12, 
      0x4501fff5, 0x0ff11b62, 
      0x4101dff5, 0x0ff21bb2, 
      0x3d01bff4, 0x0ff31c12, 
      0x39018ff5, 0x0ff41c62, 
      0x35016ff5, 0x0ff51cb2, 
      0x31014ff5, 0x0ff61d02, 
      0x2c013ff5, 0x0ff71d52, 
      0x28011ff6, 0x0ff81d92, 
      0x2400fff6, 0x0ff91de2, 
      0x2000dff6, 0x0ffa1e32, 
      0x1b00bff7, 0x0ffb1e82, 
      0x17009ff6, 0x0ffd1ed2, 
      0x12008ff6, 0x0ffe1f22, 
      0x0e007ff6, 0x0fff1f62, 
      0x09005ff6, 0x00011fb2, 
      0x04003ff7, 0x00022002,
   },
   { /* UV scale factor = 0.67, phases = 127, taps = 5. */
      0x08204ffe, 0x0ff7fff2, 
      0x0d1ffffc, 0x0ff70012, 
      0x121faffb, 0x0ff70022, 
      0x161f5ffa, 0x0ff70042, 
      0x1b1f0ff9, 0x0ff70052, 
      0x201ebff8, 0x0ff60072, 
      0x241e6ff7, 0x0ff60092, 
      0x291e1ff5, 0x0ff600b2, 
      0x2d1dcff5, 0x0ff600c2, 
      0x321d7ff3, 0x0ff600e2, 
      0x361d2ff2, 0x0ff60102, 
      0x3a1cdff2, 0x0ff50122, 
      0x3e1c8ff1, 0x0ff50142, 
      0x431c3fef, 0x0ff50162, 
      0x471bdfef, 0x0ff50182, 
      0x4b1b8fee, 0x0ff501a2, 
      0x4f1b2fed, 0x0ff501d2, 
      0x531aefec, 0x0ff401f2, 
      0x561a9fec, 0x0ff40212, 
      0x5a1a3feb, 0x0ff40242, 
      0x5e19efea, 0x0ff40262, 
      0x62198fea, 0x0ff40282, 
      0x65193fea, 0x0ff302b2, 
      0x6918dfe9, 0x0ff302e2, 
      0x6c188fe9, 0x0ff30302, 
      0x6f183fe8, 0x0ff30332, 
      0x7317efe7, 0x0ff20362, 
      0x76178fe8, 0x0ff20382, 
      0x79173fe7, 0x0ff203b2, 
      0x7c16dfe7, 0x0ff203e2, 
      0x7f168fe6, 0x0ff20412, 
      0x82163fe6, 0x0ff10442, 
      0x8515dfe6, 0x0ff10472, 
      0x87158fe6, 0x0ff104a2, 
      0x8a153fe5, 0x0ff004e2, 
      0x8c14dfe6, 0x0ff00512, 
      0x8f148fe5, 0x0ff00542, 
      0x91142fe6, 0x0ff00572, 
      0x9413dfe5, 0x0fef05b2, 
      0x96138fe5, 0x0fef05e2, 
      0x98133fe4, 0x0fef0622, 
      0x9a12efe5, 0x0fee0652, 
      0x9c128fe5, 0x0fee0692, 
      0x9e123fe4, 0x0fee06d2, 
      0xa011efe4, 0x0fee0702, 
      0xa1119fe5, 0x0fed0742, 
      0xa3113fe5, 0x0fed0782, 
      0xa410efe5, 0x0fed07c2, 
      0xa6109fe5, 0x0fec0802, 
      0xa7104fe6, 0x0fec0832, 
      0xa80fffe6, 0x0fec0872, 
      0xaa0f9fe5, 0x0fec08c2, 
      0xab0f5fe5, 0x0feb0902, 
      0xac0f0fe5, 0x0feb0942, 
      0xad0eafe6, 0x0feb0982, 
      0xad0e6fe7, 0x0fea09c2, 
      0xae0e1fe6, 0x0fea0a12, 
      0xaf0dcfe6, 0x0fea0a52, 
      0xaf0d8fe7, 0x0fe90a92, 
      0xb00d2fe7, 0x0fe90ae2, 
      0xb00cefe7, 0x0fe90b22, 
      0xb00c9fe7, 0x0fe90b72, 
      0xb00c5fe8, 0x0fe80bb2, 
      0xb00c0fe8, 0x0fe80c02, 
      0xb00bbfe9, 0x0fe80c42, 
      0xb00b7fe8, 0x0fe80c92, 
      0xb00b2fe9, 0x0fe70ce2, 
      0xb00adfe9, 0x0fe70d32, 
      0xaf0a9fea, 0x0fe70d72, 
      0xaf0a5fe9, 0x0fe70dc2, 
      0xae0a1fea, 0x0fe60e12, 
      0xad09cfeb, 0x0fe60e62, 
      0xad098fea, 0x0fe60eb2, 
      0xac094fea, 0x0fe60f02, 
      0xab08ffeb, 0x0fe60f52, 
      0xaa08bfeb, 0x0fe60fa2, 
      0xa8088fec, 0x0fe50ff2, 
      0xa7083fed, 0x0fe51042, 
      0xa6080fec, 0x0fe51092, 
      0xa407cfed, 0x0fe510e2, 
      0xa3078fed, 0x0fe51132, 
      0xa1074fee, 0x0fe51182, 
      0xa0070fed, 0x0fe511e2, 
      0x9e06dfed, 0x0fe51232, 
      0x9c069fee, 0x0fe51282, 
      0x9a065fef, 0x0fe512d2, 
      0x98062fee, 0x0fe51332, 
      0x9605efef, 0x0fe51382, 
      0x9405bfef, 0x0fe513d2, 
      0x91058ff0, 0x0fe51422, 
      0x8f054ff0, 0x0fe51482, 
      0x8c051ff1, 0x0fe514d2, 
      0x8a04dff0, 0x0fe61532, 
      0x8704aff1, 0x0fe61582, 
      0x85047ff1, 0x0fe615d2, 
      0x82044ff1, 0x0fe61632, 
      0x7f041ff2, 0x0fe61682, 
      0x7c03eff2, 0x0fe716d2, 
      0x7903bff2, 0x0fe71732, 
      0x76038ff3, 0x0fe71782, 
      0x73035ff2, 0x0fe817e2, 
      0x6f033ff3, 0x0fe81832, 
      0x6c030ff3, 0x0fe91882, 
      0x6902dff3, 0x0fe918e2, 
      0x6502bff3, 0x0fea1932, 
      0x62028ff4, 0x0fea1982, 
      0x5e026ff3, 0x0feb19e2, 
      0x5a024ff4, 0x0feb1a32, 
      0x56021ff5, 0x0fec1a82, 
      0x5301eff4, 0x0fed1ae2, 
      0x4f01dff4, 0x0fed1b32, 
      0x4b01aff5, 0x0fee1b82, 
      0x47018ff5, 0x0fef1bd2, 
      0x42016ff5, 0x0ff01c32, 
      0x3e014ff6, 0x0ff01c82, 
      0x3a012ff6, 0x0ff11cd2, 
      0x36010ff6, 0x0ff21d22, 
      0x3200eff6, 0x0ff31d72, 
      0x2d00dff6, 0x0ff41dc2, 
      0x2900bff6, 0x0ff51e12, 
      0x24009ff7, 0x0ff61e62, 
      0x20007ff6, 0x0ff81eb2, 
      0x1b005ff7, 0x0ff91f02, 
      0x16004ff7, 0x0ffa1f52, 
      0x12002ff7, 0x0ffb1fa2, 
      0x0d001ff6, 0x0ffd1ff2, 
      0x08fffff8, 0x0ffe2032,
   },
   { /* UV scale factor = 0.68, phases = 127, taps = 5. */
      0x0c208ffa, 0x0ff7ffb2, 
      0x11202ff9, 0x0ff7ffd2, 
      0x161fdff8, 0x0ff7ffe2, 
      0x1b1f8ff6, 0x0ff70002, 
      0x201f3ff5, 0x0ff70012, 
      0x241eeff4, 0x0ff70032, 
      0x291e9ff3, 0x0ff70042, 
      0x2e1e4ff2, 0x0ff60062, 
      0x321dfff1, 0x0ff60082, 
      0x371dafef, 0x0ff600a2, 
      0x3b1d4fef, 0x0ff600c2, 
      0x401cffed, 0x0ff600e2, 
      0x441cafed, 0x0ff600f2, 
      0x481c5fed, 0x0ff50112, 
      0x4d1bffeb, 0x0ff50142, 
      0x511bafea, 0x0ff50162, 
      0x551b4fea, 0x0ff50182, 
      0x591affe9, 0x0ff501a2, 
      0x5d1aafe9, 0x0ff401c2, 
      0x611a4fe8, 0x0ff401f2, 
      0x6519ffe7, 0x0ff40212, 
      0x68199fe7, 0x0ff40242, 
      0x6c194fe6, 0x0ff40262, 
      0x7018efe6, 0x0ff30292, 
      0x73189fe6, 0x0ff302b2, 
      0x77183fe5, 0x0ff302e2, 
      0x7a17dfe5, 0x0ff30312, 
      0x7d179fe5, 0x0ff20332, 
      0x80173fe5, 0x0ff20362, 
      0x8416dfe4, 0x0ff20392, 
      0x87167fe4, 0x0ff203c2, 
      0x8a162fe4, 0x0ff103f2, 
      0x8c15dfe4, 0x0ff10422, 
      0x8f157fe4, 0x0ff10452, 
      0x92152fe3, 0x0ff00492, 
      0x9514cfe3, 0x0ff004c2, 
      0x97147fe3, 0x0ff004f2, 
      0x9a141fe3, 0x0ff00522, 
      0x9c13cfe3, 0x0fef0562, 
      0x9e136fe4, 0x0fef0592, 
      0xa1130fe3, 0x0fef05d2, 
      0xa312bfe4, 0x0fee0602, 
      0xa5126fe3, 0x0fee0642, 
      0xa7120fe3, 0x0fee0682, 
      0xa811cfe4, 0x0fed06b2, 
      0xaa116fe4, 0x0fed06f2, 
      0xac111fe3, 0x0fed0732, 
      0xad10cfe4, 0x0fec0772, 
      0xaf106fe4, 0x0fec07b2, 
      0xb0101fe4, 0x0fec07f2, 
      0xb20fcfe4, 0x0feb0832, 
      0xb30f7fe4, 0x0feb0872, 
      0xb40f2fe4, 0x0feb08b2, 
      0xb50edfe4, 0x0feb08f2, 
      0xb60e8fe4, 0x0fea0942, 
      0xb70e2fe5, 0x0fea0982, 
      0xb70defe5, 0x0fea09c2, 
      0xb80d9fe5, 0x0fe90a12, 
      0xb80d4fe6, 0x0fe90a52, 
      0xb90cffe6, 0x0fe90a92, 
      0xb90cafe7, 0x0fe80ae2, 
      0xb90c5fe7, 0x0fe80b32, 
      0xba0c0fe7, 0x0fe80b72, 
      0xba0bcfe7, 0x0fe70bc2, 
      0xba0b7fe7, 0x0fe70c12, 
      0xb90b3fe8, 0x0fe70c52, 
      0xb90aefe9, 0x0fe60ca2, 
      0xb90a9fe9, 0x0fe60cf2, 
      0xb80a5fe9, 0x0fe60d42, 
      0xb80a0fe9, 0x0fe60d92, 
      0xb709cfea, 0x0fe50de2, 
      0xb7098fe9, 0x0fe50e32, 
      0xb6093fea, 0x0fe50e82, 
      0xb508ffea, 0x0fe50ed2, 
      0xb408bfea, 0x0fe50f22, 
      0xb3087feb, 0x0fe40f72, 
      0xb2083feb, 0x0fe40fc2, 
      0xb007ffec, 0x0fe41012, 
      0xaf07bfec, 0x0fe41062, 
      0xad077fec, 0x0fe410c2, 
      0xac073fec, 0x0fe41112, 
      0xaa06ffee, 0x0fe31162, 
      0xa806cfee, 0x0fe311b2, 
      0xa7068fed, 0x0fe31212, 
      0xa5064fee, 0x0fe31262, 
      0xa3060fef, 0x0fe312b2, 
      0xa105dfee, 0x0fe31312, 
      0x9e059ff0, 0x0fe31362, 
      0x9c056fef, 0x0fe313c2, 
      0x9a052ff0, 0x0fe31412, 
      0x9704fff0, 0x0fe31472, 
      0x9504cff0, 0x0fe314c2, 
      0x92049ff0, 0x0fe31522, 
      0x8f045ff1, 0x0fe41572, 
      0x8c042ff1, 0x0fe415d2, 
      0x8a03fff1, 0x0fe41622, 
      0x8703cff1, 0x0fe41682, 
      0x84039ff2, 0x0fe416d2, 
      0x80036ff2, 0x0fe51732, 
      0x7d033ff3, 0x0fe51782, 
      0x7a031ff2, 0x0fe517e2, 
      0x7702eff2, 0x0fe61832, 
      0x7302bff3, 0x0fe61892, 
      0x70029ff3, 0x0fe618e2, 
      0x6c026ff3, 0x0fe71942, 
      0x68024ff4, 0x0fe71992, 
      0x64021ff4, 0x0fe819f2, 
      0x6101fff4, 0x0fe81a42, 
      0x5d01cff5, 0x0fe91a92, 
      0x5901aff5, 0x0fe91af2, 
      0x55018ff5, 0x0fea1b42, 
      0x51015ff5, 0x0feb1ba2, 
      0x4d014ff5, 0x0feb1bf2, 
      0x48012ff6, 0x0fec1c42, 
      0x4400fff6, 0x0fed1ca2, 
      0x4000eff5, 0x0fee1cf2, 
      0x3b00cff6, 0x0fef1d42, 
      0x37009ff6, 0x0ff01da2, 
      0x32008ff6, 0x0ff11df2, 
      0x2e006ff6, 0x0ff21e42, 
      0x29004ff7, 0x0ff31e92, 
      0x24003ff7, 0x0ff41ee2, 
      0x20001ff7, 0x0ff51f32, 
      0x1b000ff7, 0x0ff61f82, 
      0x16ffeff8, 0x0ff71fd2, 
      0x11ffdff7, 0x0ff92022, 
      0x0cffbff8, 0x0ffa2072,
   },
   { /* UV scale factor = 0.69, phases = 127, taps = 5. */
      0x1020bff6, 0x0ff8ff72, 
      0x15206ff4, 0x0ff8ff92, 
      0x1a201ff3, 0x0ff8ffa2, 
      0x1f1fcff2, 0x0ff8ffb2, 
      0x241f6ff2, 0x0ff7ffd2, 
      0x291f1ff1, 0x0ff7ffe2, 
      0x2e1ecfef, 0x0ff70002, 
      0x331e6fee, 0x0ff70022, 
      0x371e1fee, 0x0ff70032, 
      0x3c1dcfec, 0x0ff70052, 
      0x411d7feb, 0x0ff60072, 
      0x451d1feb, 0x0ff60092, 
      0x4a1ccfe9, 0x0ff600b2, 
      0x4e1c6fe9, 0x0ff600d2, 
      0x521c1fe8, 0x0ff600f2, 
      0x571bbfe8, 0x0ff50112, 
      0x5b1b6fe7, 0x0ff50132, 
      0x5f1b0fe7, 0x0ff50152, 
      0x631abfe5, 0x0ff50182, 
      0x671a5fe5, 0x0ff501a2, 
      0x6b1a0fe5, 0x0ff401c2, 
      0x6f19afe4, 0x0ff401f2, 
      0x73194fe4, 0x0ff40212, 
      0x7718efe3, 0x0ff40242, 
      0x7a189fe4, 0x0ff30262, 
      0x7e183fe3, 0x0ff30292, 
      0x8117efe2, 0x0ff302c2, 
      0x85178fe2, 0x0ff302e2, 
      0x88172fe3, 0x0ff20312, 
      0x8b16dfe2, 0x0ff20342, 
      0x8e167fe2, 0x0ff20372, 
      0x91162fe2, 0x0ff103a2, 
      0x9415cfe2, 0x0ff103d2, 
      0x97156fe2, 0x0ff10402, 
      0x9a150fe1, 0x0ff10442, 
      0x9d14bfe1, 0x0ff00472, 
      0x9f145fe2, 0x0ff004a2, 
      0xa2140fe1, 0x0ff004d2, 
      0xa413afe2, 0x0fef0512, 
      0xa7135fe1, 0x0fef0542, 
      0xa912ffe1, 0x0fef0582, 
      0xab12afe2, 0x0fee05b2, 
      0xad124fe2, 0x0fee05f2, 
      0xaf11ffe1, 0x0fee0632, 
      0xb111afe2, 0x0fed0662, 
      0xb3114fe2, 0x0fed06a2, 
      0xb510efe2, 0x0fed06e2, 
      0xb6109fe3, 0x0fec0722, 
      0xb8104fe2, 0x0fec0762, 
      0xb90fefe3, 0x0fec07a2, 
      0xbb0f9fe3, 0x0feb07e2, 
      0xbc0f4fe3, 0x0feb0822, 
      0xbd0effe3, 0x0feb0862, 
      0xbe0e9fe4, 0x0fea08b2, 
      0xbf0e4fe4, 0x0fea08f2, 
      0xc00dffe5, 0x0fe90932, 
      0xc10dafe4, 0x0fe90982, 
      0xc10d5fe5, 0x0fe909c2, 
      0xc20d0fe5, 0x0fe80a12, 
      0xc20cbfe6, 0x0fe80a52, 
      0xc30c6fe5, 0x0fe80aa2, 
      0xc30c1fe7, 0x0fe70ae2, 
      0xc30bdfe6, 0x0fe70b32, 
      0xc30b8fe6, 0x0fe70b82, 
      0xc30b3fe7, 0x0fe60bd2, 
      0xc30aefe8, 0x0fe60c12, 
      0xc30aafe7, 0x0fe60c62, 
      0xc20a5fe9, 0x0fe50cb2, 
      0xc20a1fe8, 0x0fe50d02, 
      0xc109cfe9, 0x0fe50d52, 
      0xc1097fe9, 0x0fe50da2, 
      0xc0093fea, 0x0fe40df2, 
      0xbf08ffea, 0x0fe40e42, 
      0xbe08bfea, 0x0fe40e92, 
      0xbd086feb, 0x0fe30ef2, 
      0xbc082feb, 0x0fe30f42, 
      0xbb07efeb, 0x0fe30f92, 
      0xb907afec, 0x0fe30fe2, 
      0xb8076feb, 0x0fe31042, 
      0xb6072fed, 0x0fe21092, 
      0xb506efed, 0x0fe210e2, 
      0xb306afed, 0x0fe21142, 
      0xb1066fee, 0x0fe21192, 
      0xaf063fed, 0x0fe211f2, 
      0xad05ffee, 0x0fe21242, 
      0xab05bfef, 0x0fe21292, 
      0xa9058fef, 0x0fe112f2, 
      0xa7054fef, 0x0fe11352, 
      0xa4051ff0, 0x0fe113a2, 
      0xa204dff0, 0x0fe11402, 
      0x9f04bff0, 0x0fe11452, 
      0x9d047ff0, 0x0fe114b2, 
      0x9a044ff1, 0x0fe11502, 
      0x97041ff1, 0x0fe11562, 
      0x9403dff1, 0x0fe215c2, 
      0x9103aff2, 0x0fe21612, 
      0x8e037ff2, 0x0fe21672, 
      0x8b034ff2, 0x0fe216d2, 
      0x88031ff3, 0x0fe21722, 
      0x8502eff3, 0x0fe21782, 
      0x8102cff2, 0x0fe317e2, 
      0x7e029ff3, 0x0fe31832, 
      0x7a026ff4, 0x0fe31892, 
      0x77024ff3, 0x0fe418e2, 
      0x73021ff4, 0x0fe41942, 
      0x6f01fff4, 0x0fe419a2, 
      0x6b01cff5, 0x0fe519f2, 
      0x6701aff5, 0x0fe51a52, 
      0x63018ff4, 0x0fe61ab2, 
      0x5f015ff6, 0x0fe61b02, 
      0x5b013ff5, 0x0fe71b62, 
      0x57011ff5, 0x0fe81bb2, 
      0x5200fff6, 0x0fe81c12, 
      0x4e00dff6, 0x0fe91c62, 
      0x4a00aff6, 0x0fea1cc2, 
      0x45009ff7, 0x0fea1d12, 
      0x41007ff6, 0x0feb1d72, 
      0x3c005ff7, 0x0fec1dc2, 
      0x37004ff7, 0x0fed1e12, 
      0x33002ff6, 0x0fee1e72, 
      0x2e000ff7, 0x0fef1ec2, 
      0x29ffeff8, 0x0ff01f12, 
      0x24ffdff8, 0x0ff11f62, 
      0x1fffbff8, 0x0ff21fc2, 
      0x1affaff8, 0x0ff32012, 
      0x15ff9ff7, 0x0ff52062, 
      0x10ff7ff8, 0x0ff620b2,
   },
   { /* UV scale factor = 0.70, phases = 127, taps = 5. */
      0x1420fff1, 0x0ff9ff32, 
      0x1920aff1, 0x0ff8ff42, 
      0x1e204ff0, 0x0ff8ff62, 
      0x231fffef, 0x0ff8ff72, 
      0x291f9fed, 0x0ff8ff92, 
      0x2e1f4fec, 0x0ff8ffa2, 
      0x331eefeb, 0x0ff8ffc2, 
      0x371eafeb, 0x0ff7ffd2, 
      0x3c1e4fea, 0x0ff7fff2, 
      0x411defe9, 0x0ff70012, 
      0x461d9fe7, 0x0ff70032, 
      0x4b1d3fe7, 0x0ff70042, 
      0x4f1cefe7, 0x0ff60062, 
      0x541c8fe6, 0x0ff60082, 
      0x581c2fe6, 0x0ff600a2, 
      0x5d1bdfe4, 0x0ff600c2, 
      0x611b7fe4, 0x0ff600e2, 
      0x651b1fe4, 0x0ff50112, 
      0x6a1acfe2, 0x0ff50132, 
      0x6e1a6fe2, 0x0ff50152, 
      0x721a0fe2, 0x0ff50172, 
      0x7619afe2, 0x0ff401a2, 
      0x7a195fe1, 0x0ff401c2, 
      0x7e18efe1, 0x0ff401f2, 
      0x81189fe1, 0x0ff40212, 
      0x85183fe1, 0x0ff30242, 
      0x8917dfe0, 0x0ff30272, 
      0x8c178fe0, 0x0ff30292, 
      0x90172fdf, 0x0ff302c2, 
      0x9316cfe0, 0x0ff202f2, 
      0x96166fe0, 0x0ff20322, 
      0x99160fe0, 0x0ff20352, 
      0x9c15bfe0, 0x0ff10382, 
      0x9f155fe0, 0x0ff103b2, 
      0xa214ffe0, 0x0ff103e2, 
      0xa5149fe0, 0x0ff00422, 
      0xa8144fdf, 0x0ff00452, 
      0xaa13efe0, 0x0ff00482, 
      0xad138fe0, 0x0fef04c2, 
      0xaf133fe0, 0x0fef04f2, 
      0xb212dfdf, 0x0fef0532, 
      0xb4128fe0, 0x0fee0562, 
      0xb6122fe0, 0x0fee05a2, 
      0xb811cfe0, 0x0fee05e2, 
      0xba117fe1, 0x0fed0612, 
      0xbc111fe1, 0x0fed0652, 
      0xbe10cfe0, 0x0fed0692, 
      0xbf106fe2, 0x0fec06d2, 
      0xc1101fe1, 0x0fec0712, 
      0xc30fbfe2, 0x0feb0752, 
      0xc40f6fe2, 0x0feb0792, 
      0xc50f1fe2, 0x0feb07d2, 
      0xc60ebfe3, 0x0fea0822, 
      0xc70e6fe3, 0x0fea0862, 
      0xc80e1fe3, 0x0fea08a2, 
      0xc90dcfe3, 0x0fe908f2, 
      0xca0d6fe4, 0x0fe90932, 
      0xcb0d1fe4, 0x0fe80982, 
      0xcb0ccfe5, 0x0fe809c2, 
      0xcc0c7fe4, 0x0fe80a12, 
      0xcc0c2fe6, 0x0fe70a52, 
      0xcc0bdfe6, 0x0fe70aa2, 
      0xcc0b8fe6, 0x0fe70af2, 
      0xcd0b3fe6, 0x0fe60b42, 
      0xcc0affe7, 0x0fe60b82, 
      0xcc0abfe7, 0x0fe50bd2, 
      0xcc0a5fe8, 0x0fe50c22, 
      0xcc0a1fe7, 0x0fe50c72, 
      0xcb09cfe9, 0x0fe40cc2, 
      0xcb098fe8, 0x0fe40d12, 
      0xca093fe9, 0x0fe40d62, 
      0xc908ffe9, 0x0fe30dc2, 
      0xc808afea, 0x0fe30e12, 
      0xc7086fea, 0x0fe30e62, 
      0xc6082feb, 0x0fe20eb2, 
      0xc507dfeb, 0x0fe20f12, 
      0xc4079feb, 0x0fe20f62, 
      0xc3075feb, 0x0fe20fb2, 
      0xc1071fec, 0x0fe11012, 
      0xbf06dfed, 0x0fe11062, 
      0xbe069fec, 0x0fe110c2, 
      0xbc065fed, 0x0fe11112, 
      0xba061fee, 0x0fe01172, 
      0xb805efee, 0x0fe011c2, 
      0xb605afee, 0x0fe01222, 
      0xb4056fef, 0x0fe01272, 
      0xb2053fee, 0x0fe012d2, 
      0xaf04ffef, 0x0fe01332, 
      0xad04cfef, 0x0fe01382, 
      0xaa048ff0, 0x0fe013e2, 
      0xa8045ff0, 0x0fdf1442, 
      0xa5042ff1, 0x0fdf1492, 
      0xa203fff1, 0x0fdf14f2, 
      0x9f03bff2, 0x0fdf1552, 
      0x9c038ff2, 0x0fdf15b2, 
      0x99035ff2, 0x0fe01602, 
      0x96032ff2, 0x0fe01662, 
      0x9302fff2, 0x0fe016c2, 
      0x9002cff2, 0x0fe01722, 
      0x8c029ff3, 0x0fe01782, 
      0x89027ff3, 0x0fe017d2, 
      0x85024ff4, 0x0fe01832, 
      0x81021ff4, 0x0fe11892, 
      0x7e01fff3, 0x0fe118f2, 
      0x7a01cff4, 0x0fe11952, 
      0x7601aff4, 0x0fe219a2, 
      0x72017ff5, 0x0fe21a02, 
      0x6e015ff5, 0x0fe21a62, 
      0x6a012ff5, 0x0fe31ac2, 
      0x65011ff6, 0x0fe31b12, 
      0x6100eff6, 0x0fe41b72, 
      0x5d00cff5, 0x0fe51bd2, 
      0x5800aff7, 0x0fe51c22, 
      0x54008ff6, 0x0fe61c82, 
      0x4f006ff7, 0x0fe61ce2, 
      0x4b004ff7, 0x0fe71d32, 
      0x46003ff6, 0x0fe81d92, 
      0x41001ff7, 0x0fe91de2, 
      0x3cfffff7, 0x0fea1e42, 
      0x37ffeff8, 0x0fea1e92, 
      0x33ffcff7, 0x0feb1ef2, 
      0x2effaff8, 0x0fec1f42, 
      0x29ff9ff7, 0x0fed1fa2, 
      0x23ff7ff9, 0x0fee1ff2, 
      0x1eff6ff8, 0x0ff02042, 
      0x19ff4ff9, 0x0ff12092, 
      0x14ff3ff8, 0x0ff220f2,
   },
   { /* UV scale factor = 0.71, phases = 127, taps = 5. */
      0x18212fee, 0x0ff9fef2, 
      0x1d20dfed, 0x0ff9ff02, 
      0x22207fec, 0x0ff9ff22, 
      0x28202fea, 0x0ff9ff32, 
      0x2d1fdfea, 0x0ff8ff42, 
      0x321f7fe9, 0x0ff8ff62, 
      0x371f2fe8, 0x0ff8ff72, 
      0x3c1ecfe7, 0x0ff8ff92, 
      0x411e6fe6, 0x0ff8ffb2, 
      0x461e1fe5, 0x0ff8ffc2, 
      0x4b1dbfe5, 0x0ff7ffe2, 
      0x501d5fe4, 0x0ff70002, 
      0x551cffe3, 0x0ff70022, 
      0x5a1c9fe2, 0x0ff70042, 
      0x5e1c4fe2, 0x0ff70052, 
      0x631befe2, 0x0ff60072, 
      0x671b8fe1, 0x0ff600a2, 
      0x6c1b2fe0, 0x0ff600c2, 
      0x701acfe0, 0x0ff600e2, 
      0x741a7fe0, 0x0ff50102, 
      0x781a1fe0, 0x0ff50122, 
      0x7d19afdf, 0x0ff50152, 
      0x81195fde, 0x0ff50172, 
      0x8518ffde, 0x0ff401a2, 
      0x88189fdf, 0x0ff401c2, 
      0x8c183fde, 0x0ff401f2, 
      0x9017dfdd, 0x0ff40222, 
      0x94177fde, 0x0ff30242, 
      0x97171fde, 0x0ff30272, 
      0x9b16bfdd, 0x0ff302a2, 
      0x9e165fde, 0x0ff202d2, 
      0xa115ffde, 0x0ff20302, 
      0xa415afdd, 0x0ff20332, 
      0xa7154fde, 0x0ff10362, 
      0xaa14efde, 0x0ff10392, 
      0xad148fde, 0x0ff103c2, 
      0xb0142fde, 0x0ff00402, 
      0xb313cfde, 0x0ff00432, 
      0xb6136fde, 0x0ff00462, 
      0xb8131fde, 0x0fef04a2, 
      0xba12bfdf, 0x0fef04d2, 
      0xbd125fde, 0x0fef0512, 
      0xbf11ffdf, 0x0fee0552, 
      0xc111afdf, 0x0fee0582, 
      0xc3114fe0, 0x0fed05c2, 
      0xc510efe0, 0x0fed0602, 
      0xc7109fdf, 0x0fed0642, 
      0xc9103fe0, 0x0fec0682, 
      0xca0fefe0, 0x0fec06c2, 
      0xcc0f8fe1, 0x0feb0702, 
      0xcd0f3fe1, 0x0feb0742, 
      0xcf0edfe1, 0x0feb0782, 
      0xd00e8fe1, 0x0fea07d2, 
      0xd10e2fe2, 0x0fea0812, 
      0xd20ddfe3, 0x0fe90852, 
      0xd30d8fe2, 0x0fe908a2, 
      0xd40d3fe2, 0x0fe908e2, 
      0xd40cdfe4, 0x0fe80932, 
      0xd50c8fe4, 0x0fe80972, 
      0xd50c3fe5, 0x0fe709c2, 
      0xd60befe4, 0x0fe70a12, 
      0xd60b9fe4, 0x0fe70a62, 
      0xd60b4fe6, 0x0fe60aa2, 
      0xd60affe6, 0x0fe60af2, 
      0xd60aafe7, 0x0fe50b42, 
      0xd60a6fe6, 0x0fe50b92, 
      0xd60a1fe6, 0x0fe50be2, 
      0xd509cfe8, 0x0fe40c32, 
      0xd5097fe8, 0x0fe40c82, 
      0xd4093fe9, 0x0fe30cd2, 
      0xd408efe8, 0x0fe30d32, 
      0xd308afe8, 0x0fe30d82, 
      0xd2085fea, 0x0fe20dd2, 
      0xd1081fea, 0x0fe20e22, 
      0xd007cfea, 0x0fe20e82, 
      0xcf078feb, 0x0fe10ed2, 
      0xcd074feb, 0x0fe10f32, 
      0xcc070feb, 0x0fe10f82, 
      0xca06cfec, 0x0fe00fe2, 
      0xc9068fec, 0x0fe01032, 
      0xc7064fec, 0x0fe01092, 
      0xc5060fee, 0x0fdf10e2, 
      0xc305cfee, 0x0fdf1142, 
      0xc1058fee, 0x0fdf11a2, 
      0xbf055fee, 0x0fdf11f2, 
      0xbd051fee, 0x0fdf1252, 
      0xba04efef, 0x0fde12b2, 
      0xb804afef, 0x0fde1312, 
      0xb6046ff0, 0x0fde1362, 
      0xb3043ff0, 0x0fde13c2, 
      0xb0040ff0, 0x0fde1422, 
      0xad03cff1, 0x0fde1482, 
      0xaa039ff1, 0x0fde14e2, 
      0xa7036ff1, 0x0fde1542, 
      0xa4033ff1, 0x0fde15a2, 
      0xa1030ff2, 0x0fde15f2, 
      0x9e02dff2, 0x0fde1652, 
      0x9b02aff2, 0x0fde16b2, 
      0x97027ff3, 0x0fde1712, 
      0x94024ff3, 0x0fde1772, 
      0x90022ff3, 0x0fde17d2, 
      0x8c01fff4, 0x0fde1832, 
      0x8801cff5, 0x0fde1892, 
      0x8501aff4, 0x0fde18f2, 
      0x81017ff4, 0x0fdf1952, 
      0x7d015ff4, 0x0fdf19b2, 
      0x78012ff6, 0x0fdf1a12, 
      0x74010ff5, 0x0fe01a72, 
      0x7000eff6, 0x0fe01ac2, 
      0x6c00cff5, 0x0fe11b22, 
      0x6700aff6, 0x0fe11b82, 
      0x63007ff7, 0x0fe11be2, 
      0x5e005ff7, 0x0fe21c42, 
      0x5a003ff6, 0x0fe31ca2, 
      0x55002ff7, 0x0fe31cf2, 
      0x50000ff7, 0x0fe41d52, 
      0x4bffeff7, 0x0fe51db2, 
      0x46ffcff8, 0x0fe51e12, 
      0x41ffbff8, 0x0fe61e62, 
      0x3cff9ff8, 0x0fe71ec2, 
      0x37ff7ff9, 0x0fe81f12, 
      0x32ff6ff8, 0x0fe91f72, 
      0x2dff4ff8, 0x0fea1fd2, 
      0x28ff3ff8, 0x0feb2022, 
      0x22ff2ff9, 0x0fec2072, 
      0x1dff0ff9, 0x0fed20d2, 
      0x18fefff9, 0x0fee2122,
   },
   { /* UV scale factor = 0.72, phases = 127, taps = 5. */
      0x1b216fea, 0x0ffafeb2, 
      0x21210fe9, 0x0ffafec2, 
      0x2620bfe8, 0x0ff9fee2, 
      0x2c205fe7, 0x0ff9fef2, 
      0x31200fe6, 0x0ff9ff02, 
      0x371f9fe5, 0x0ff9ff22, 
      0x3c1f4fe4, 0x0ff9ff32, 
      0x411eefe3, 0x0ff9ff52, 
      0x461e9fe3, 0x0ff8ff62, 
      0x4b1e3fe2, 0x0ff8ff82, 
      0x501ddfe2, 0x0ff8ff92, 
      0x551d7fe1, 0x0ff8ffb2, 
      0x5a1d1fe0, 0x0ff8ffd2, 
      0x5f1cbfe0, 0x0ff7fff2, 
      0x641c5fdf, 0x0ff70012, 
      0x691bffde, 0x0ff70032, 
      0x6d1b9fde, 0x0ff70052, 
      0x721b3fde, 0x0ff60072, 
      0x761adfde, 0x0ff60092, 
      0x7b1a7fdd, 0x0ff600b2, 
      0x7f1a1fdd, 0x0ff600d2, 
      0x8319bfdd, 0x0ff50102, 
      0x88195fdc, 0x0ff50122, 
      0x8c18efdc, 0x0ff50152, 
      0x90189fdb, 0x0ff50172, 
      0x94183fdb, 0x0ff401a2, 
      0x9717dfdc, 0x0ff401c2, 
      0x9b177fdb, 0x0ff401f2, 
      0x9f170fdc, 0x0ff30222, 
      0xa216afdc, 0x0ff30252, 
      0xa6164fdb, 0x0ff30282, 
      0xa915efdc, 0x0ff202b2, 
      0xac158fdc, 0x0ff202e2, 
      0xb0152fdb, 0x0ff20312, 
      0xb314cfdc, 0x0ff10342, 
      0xb6146fdc, 0x0ff10372, 
      0xb9140fdc, 0x0ff103a2, 
      0xbb13afdd, 0x0ff003e2, 
      0xbe134fdd, 0x0ff00412, 
      0xc112efdc, 0x0ff00452, 
      0xc3129fdd, 0x0fef0482, 
      0xc6122fdd, 0x0fef04c2, 
      0xc811dfdd, 0x0fee0502, 
      0xca117fde, 0x0fee0532, 
      0xcc111fde, 0x0fee0572, 
      0xce10bfdf, 0x0fed05b2, 
      0xd0106fde, 0x0fed05f2, 
      0xd2100fdf, 0x0fec0632, 
      0xd40fafdf, 0x0fec0672, 
      0xd50f5fdf, 0x0fec06b2, 
      0xd70effe0, 0x0feb06f2, 
      0xd80eafe0, 0x0feb0732, 
      0xd90e4fe1, 0x0fea0782, 
      0xda0dffe1, 0x0fea07c2, 
      0xdb0dafe2, 0x0fe90802, 
      0xdc0d4fe2, 0x0fe90852, 
      0xdd0cffe3, 0x0fe80892, 
      0xde0c9fe3, 0x0fe808e2, 
      0xde0c4fe3, 0x0fe80932, 
      0xdf0bffe4, 0x0fe70972, 
      0xdf0bafe4, 0x0fe709c2, 
      0xe00b5fe4, 0x0fe60a12, 
      0xe00b0fe4, 0x0fe60a62, 
      0xe00abfe5, 0x0fe50ab2, 
      0xe00a6fe5, 0x0fe50b02, 
      0xe00a1fe6, 0x0fe40b52, 
      0xdf09cfe7, 0x0fe40ba2, 
      0xdf097fe7, 0x0fe40bf2, 
      0xde093fe8, 0x0fe30c42, 
      0xde08efe8, 0x0fe30c92, 
      0xdd089fe9, 0x0fe20cf2, 
      0xdc085fe9, 0x0fe20d42, 
      0xdb080fea, 0x0fe20d92, 
      0xda07cfea, 0x0fe10df2, 
      0xd9078fea, 0x0fe10e42, 
      0xd8073feb, 0x0fe00ea2, 
      0xd706ffeb, 0x0fe00ef2, 
      0xd506bfeb, 0x0fe00f52, 
      0xd4067fec, 0x0fdf0fa2, 
      0xd2063fec, 0x0fdf1002, 
      0xd005ffec, 0x0fdf1062, 
      0xce05bfee, 0x0fde10b2, 
      0xcc057fee, 0x0fde1112, 
      0xca053fee, 0x0fde1172, 
      0xc8050fee, 0x0fdd11d2, 
      0xc604cfee, 0x0fdd1232, 
      0xc3048ff0, 0x0fdd1282, 
      0xc1045fef, 0x0fdd12e2, 
      0xbe042ff0, 0x0fdc1342, 
      0xbb03eff1, 0x0fdc13a2, 
      0xb903aff1, 0x0fdc1402, 
      0xb6037ff1, 0x0fdc1462, 
      0xb3034ff1, 0x0fdc14c2, 
      0xb0031ff1, 0x0fdc1522, 
      0xac02eff2, 0x0fdc1582, 
      0xa902bff2, 0x0fdc15e2, 
      0xa6028ff2, 0x0fdc1642, 
      0xa2025ff3, 0x0fdc16a2, 
      0x9f022ff3, 0x0fdc1702, 
      0x9b01fff3, 0x0fdc1772, 
      0x9701cff4, 0x0fdc17d2, 
      0x94019ff4, 0x0fdc1832, 
      0x90017ff4, 0x0fdc1892, 
      0x8c015ff4, 0x0fdc18f2, 
      0x88012ff5, 0x0fdc1952, 
      0x83010ff6, 0x0fdc19b2, 
      0x7f00dff6, 0x0fdd1a12, 
      0x7b00bff6, 0x0fdd1a72, 
      0x76009ff7, 0x0fdd1ad2, 
      0x72007ff6, 0x0fde1b32, 
      0x6d005ff7, 0x0fde1b92, 
      0x69003ff6, 0x0fdf1bf2, 
      0x64001ff7, 0x0fdf1c52, 
      0x5ffffff7, 0x0fe01cb2, 
      0x5affdff8, 0x0fe01d12, 
      0x55ffbff8, 0x0fe11d72, 
      0x50ffaff8, 0x0fe11dd2, 
      0x4bff8ff8, 0x0fe21e32, 
      0x46ff6ff8, 0x0fe31e92, 
      0x41ff5ff9, 0x0fe31ee2, 
      0x3cff3ff9, 0x0fe41f42, 
      0x37ff2ff8, 0x0fe51fa2, 
      0x31ff0ffa, 0x0fe61ff2, 
      0x2cfefff9, 0x0fe72052, 
      0x26feeff9, 0x0fe820b2, 
      0x21fecffa, 0x0fe92102, 
      0x1bfebffa, 0x0fea2162,
   },
   { /* UV scale factor = 0.73, phases = 127, taps = 5. */
      0x1f219fe7, 0x0ffafe72, 
      0x25214fe5, 0x0ffafe82, 
      0x2a20efe4, 0x0ffafea2, 
      0x30208fe3, 0x0ffafeb2, 
      0x35202fe3, 0x0ffafec2, 
      0x3b1fcfe2, 0x0ffafed2, 
      0x401f7fe1, 0x0ff9fef2, 
      0x461f1fe0, 0x0ff9ff02, 
      0x4b1ebfdf, 0x0ff9ff22, 
      0x501e5fdf, 0x0ff9ff32, 
      0x561defde, 0x0ff9ff52, 
      0x5b1d9fdd, 0x0ff8ff72, 
      0x601d3fdd, 0x0ff8ff82, 
      0x651cdfdc, 0x0ff8ffa2, 
      0x6a1c6fdc, 0x0ff8ffc2, 
      0x6f1c0fdc, 0x0ff7ffe2, 
      0x731bafdc, 0x0ff70002, 
      0x781b4fdb, 0x0ff70022, 
      0x7d1aefda, 0x0ff70042, 
      0x811a8fdb, 0x0ff60062, 
      0x861a1fdb, 0x0ff60082, 
      0x8a19bfda, 0x0ff600b2, 
      0x8e195fda, 0x0ff600d2, 
      0x9318ffd9, 0x0ff50102, 
      0x97188fda, 0x0ff50122, 
      0x9b182fd9, 0x0ff50152, 
      0x9f17cfda, 0x0ff40172, 
      0xa3176fd9, 0x0ff401a2, 
      0xa6170fd9, 0x0ff401d2, 
      0xaa16afda, 0x0ff301f2, 
      0xae163fda, 0x0ff30222, 
      0xb115dfda, 0x0ff30252, 
      0xb5157fda, 0x0ff20282, 
      0xb8151fda, 0x0ff202b2, 
      0xbb14afda, 0x0ff202f2, 
      0xbe144fdb, 0x0ff10322, 
      0xc113efdb, 0x0ff10352, 
      0xc4138fdb, 0x0ff10382, 
      0xc7132fdb, 0x0ff003c2, 
      0xc912cfdc, 0x0ff003f2, 
      0xcc126fdc, 0x0fef0432, 
      0xcf120fdc, 0x0fef0462, 
      0xd111afdc, 0x0fef04a2, 
      0xd3114fdd, 0x0fee04e2, 
      0xd510efdd, 0x0fee0522, 
      0xd7108fde, 0x0fed0562, 
      0xd9103fdd, 0x0fed05a2, 
      0xdb0fcfde, 0x0fed05e2, 
      0xdd0f7fde, 0x0fec0622, 
      0xdf0f1fde, 0x0fec0662, 
      0xe00ecfdf, 0x0feb06a2, 
      0xe10e6fe0, 0x0feb06e2, 
      0xe30e0fe0, 0x0fea0732, 
      0xe40dbfe0, 0x0fea0772, 
      0xe50d6fe1, 0x0fe907b2, 
      0xe60d0fe1, 0x0fe90802, 
      0xe70cbfe2, 0x0fe80842, 
      0xe80c5fe2, 0x0fe80892, 
      0xe80c0fe3, 0x0fe708e2, 
      0xe90bafe3, 0x0fe70932, 
      0xe90b5fe4, 0x0fe70972, 
      0xe90b0fe5, 0x0fe609c2, 
      0xe90abfe5, 0x0fe60a12, 
      0xea0a6fe5, 0x0fe50a62, 
      0xe90a1fe6, 0x0fe50ab2, 
      0xe909cfe7, 0x0fe40b02, 
      0xe9097fe7, 0x0fe40b52, 
      0xe9092fe7, 0x0fe30bb2, 
      0xe808efe7, 0x0fe30c02, 
      0xe8089fe8, 0x0fe20c52, 
      0xe7084fe8, 0x0fe20cb2, 
      0xe6080fe9, 0x0fe10d02, 
      0xe507bfea, 0x0fe10d52, 
      0xe4077fe9, 0x0fe10db2, 
      0xe3073fea, 0x0fe00e02, 
      0xe106efeb, 0x0fe00e62, 
      0xe006afeb, 0x0fdf0ec2, 
      0xdf066feb, 0x0fdf0f12, 
      0xdd062fec, 0x0fde0f72, 
      0xdb05efec, 0x0fde0fd2, 
      0xd905afec, 0x0fde1032, 
      0xd7056fee, 0x0fdd1082, 
      0xd5052fee, 0x0fdd10e2, 
      0xd304efee, 0x0fdd1142, 
      0xd104afef, 0x0fdc11a2, 
      0xcf046fef, 0x0fdc1202, 
      0xcc043fef, 0x0fdc1262, 
      0xc9040ff0, 0x0fdb12c2, 
      0xc703cff0, 0x0fdb1322, 
      0xc4038ff1, 0x0fdb1382, 
      0xc1035ff1, 0x0fdb13e2, 
      0xbe032ff2, 0x0fda1442, 
      0xbb02fff2, 0x0fda14a2, 
      0xb802bff2, 0x0fda1512, 
      0xb5028ff2, 0x0fda1572, 
      0xb1025ff3, 0x0fda15d2, 
      0xae022ff3, 0x0fda1632, 
      0xaa01fff4, 0x0fda1692, 
      0xa601dff3, 0x0fda1702, 
      0xa3019ff4, 0x0fda1762, 
      0x9f017ff4, 0x0fda17c2, 
      0x9b015ff4, 0x0fda1822, 
      0x97012ff5, 0x0fda1882, 
      0x9300fff5, 0x0fda18f2, 
      0x8e00dff6, 0x0fda1952, 
      0x8a00bff6, 0x0fda19b2, 
      0x86008ff7, 0x0fda1a12, 
      0x81006ff7, 0x0fda1a82, 
      0x7d004ff6, 0x0fdb1ae2, 
      0x78002ff7, 0x0fdb1b42, 
      0x73000ff8, 0x0fdb1ba2, 
      0x6fffeff7, 0x0fdc1c02, 
      0x6affcff8, 0x0fdc1c62, 
      0x65ffaff7, 0x0fdd1cd2, 
      0x60ff8ff8, 0x0fdd1d32, 
      0x5bff6ff8, 0x0fde1d92, 
      0x56ff5ff8, 0x0fde1df2, 
      0x50ff3ff9, 0x0fdf1e52, 
      0x4bff2ff9, 0x0fdf1eb2, 
      0x46ff0ff9, 0x0fe01f12, 
      0x40fefff9, 0x0fe11f72, 
      0x3bfedffa, 0x0fe21fc2, 
      0x35fedffa, 0x0fe22022, 
      0x30febffa, 0x0fe32082, 
      0x2afeaffa, 0x0fe420e2, 
      0x25fe8ffa, 0x0fe52142, 
      0x1ffe7ffb, 0x0fe62192,
   },
   { /* UV scale factor = 0.74, phases = 127, taps = 5. */
      0x2221dfe3, 0x0ffbfe32, 
      0x28217fe2, 0x0ffbfe42, 
      0x2e211fe0, 0x0ffbfe62, 
      0x3420bfdf, 0x0ffbfe72, 
      0x3a205fdf, 0x0ffafe82, 
      0x3f1fffdf, 0x0ffafe92, 
      0x451f9fdd, 0x0ffafeb2, 
      0x4b1f3fdc, 0x0ffafec2, 
      0x501edfdc, 0x0ffafed2, 
      0x551e7fdc, 0x0ff9fef2, 
      0x5b1e1fdb, 0x0ff9ff02, 
      0x601dafdb, 0x0ff9ff22, 
      0x651d4fda, 0x0ff9ff42, 
      0x6b1cdfd9, 0x0ff9ff62, 
      0x701c8fd9, 0x0ff8ff72, 
      0x751c1fd9, 0x0ff8ff92, 
      0x7a1bbfd8, 0x0ff8ffb2, 
      0x7e1b5fd8, 0x0ff8ffd2, 
      0x831aefd9, 0x0ff7fff2, 
      0x881a8fd8, 0x0ff70012, 
      0x8c1a2fd7, 0x0ff70042, 
      0x9119bfd8, 0x0ff60062, 
      0x95195fd8, 0x0ff60082, 
      0x9a18efd8, 0x0ff600a2, 
      0x9e188fd7, 0x0ff600d2, 
      0xa2182fd8, 0x0ff500f2, 
      0xa617bfd8, 0x0ff50122, 
      0xaa175fd7, 0x0ff50152, 
      0xae16ffd8, 0x0ff40172, 
      0xb2168fd8, 0x0ff401a2, 
      0xb6162fd7, 0x0ff401d2, 
      0xb915bfd9, 0x0ff30202, 
      0xbd155fd8, 0x0ff30232, 
      0xc014ffd8, 0x0ff30262, 
      0xc3149fd9, 0x0ff20292, 
      0xc7142fd9, 0x0ff202c2, 
      0xca13cfd9, 0x0ff10302, 
      0xcd136fd9, 0x0ff10332, 
      0xcf130fda, 0x0ff10362, 
      0xd2129fdb, 0x0ff003a2, 
      0xd5123fdb, 0x0ff003d2, 
      0xd711efdb, 0x0fef0412, 
      0xda117fdb, 0x0fef0452, 
      0xdc111fdc, 0x0fef0482, 
      0xde10cfdc, 0x0fee04c2, 
      0xe1105fdc, 0x0fee0502, 
      0xe30fffdd, 0x0fed0542, 
      0xe50f9fdd, 0x0fed0582, 
      0xe60f4fde, 0x0fec05c2, 
      0xe80eefde, 0x0fec0602, 
      0xea0e8fde, 0x0feb0652, 
      0xeb0e2fdf, 0x0feb0692, 
      0xec0ddfe0, 0x0fea06d2, 
      0xee0d7fdf, 0x0fea0722, 
      0xef0d1fe1, 0x0fe90762, 
      0xf00ccfe0, 0x0fe907b2, 
      0xf10c6fe2, 0x0fe807f2, 
      0xf10c1fe2, 0x0fe80842, 
      0xf20bbfe3, 0x0fe70892, 
      0xf20b6fe3, 0x0fe708e2, 
      0xf30b1fe4, 0x0fe60922, 
      0xf30acfe4, 0x0fe60972, 
      0xf30a7fe5, 0x0fe509c2, 
      0xf30a2fe5, 0x0fe50a12, 
      0xf309dfe6, 0x0fe40a62, 
      0xf3097fe6, 0x0fe40ac2, 
      0xf3092fe7, 0x0fe30b12, 
      0xf208efe7, 0x0fe30b62, 
      0xf2089fe8, 0x0fe20bb2, 
      0xf1084fe8, 0x0fe20c12, 
      0xf107ffe9, 0x0fe10c62, 
      0xf007bfe8, 0x0fe10cc2, 
      0xef076fea, 0x0fe00d12, 
      0xee072fe9, 0x0fe00d72, 
      0xec06efeb, 0x0fdf0dc2, 
      0xeb069feb, 0x0fdf0e22, 
      0xea064feb, 0x0fdf0e82, 
      0xe8060fec, 0x0fde0ee2, 
      0xe605cfed, 0x0fde0f32, 
      0xe5058fed, 0x0fdd0f92, 
      0xe3054fed, 0x0fdd0ff2, 
      0xe1050fee, 0x0fdc1052, 
      0xde04cfef, 0x0fdc10b2, 
      0xdc048fef, 0x0fdc1112, 
      0xda045fef, 0x0fdb1172, 
      0xd7041ff0, 0x0fdb11d2, 
      0xd503eff0, 0x0fda1232, 
      0xd203aff1, 0x0fda1292, 
      0xcf036ff1, 0x0fda1302, 
      0xcd032ff1, 0x0fda1362, 
      0xca030ff1, 0x0fd913c2, 
      0xc702cff2, 0x0fd91422, 
      0xc3029ff2, 0x0fd91492, 
      0xc0026ff3, 0x0fd814f2, 
      0xbd023ff3, 0x0fd81552, 
      0xb9020ff4, 0x0fd815b2, 
      0xb601dff3, 0x0fd81622, 
      0xb201aff4, 0x0fd81682, 
      0xae017ff4, 0x0fd816f2, 
      0xaa015ff4, 0x0fd81752, 
      0xa6012ff5, 0x0fd817b2, 
      0xa200fff6, 0x0fd71822, 
      0x9e00dff6, 0x0fd71882, 
      0x9a00aff6, 0x0fd818e2, 
      0x95008ff6, 0x0fd81952, 
      0x91006ff6, 0x0fd819b2, 
      0x8c004ff6, 0x0fd81a22, 
      0x88001ff7, 0x0fd81a82, 
      0x83fffff8, 0x0fd81ae2, 
      0x7effdff8, 0x0fd81b52, 
      0x7affbff7, 0x0fd91bb2, 
      0x75ff9ff8, 0x0fd91c12, 
      0x70ff7ff8, 0x0fd91c82, 
      0x6bff5ff8, 0x0fda1ce2, 
      0x65ff4ff9, 0x0fda1d42, 
      0x60ff3ff9, 0x0fda1da2, 
      0x5bff0ff9, 0x0fdb1e12, 
      0x55fefff9, 0x0fdc1e72, 
      0x50fedffa, 0x0fdc1ed2, 
      0x4bfecff9, 0x0fdd1f32, 
      0x45febffa, 0x0fdd1f92, 
      0x3ffe9ffb, 0x0fde1ff2, 
      0x3afe8ffa, 0x0fdf2052, 
      0x34fe7ffa, 0x0fe020b2, 
      0x2efe6ffa, 0x0fe12112, 
      0x28fe4ffc, 0x0fe12172, 
      0x22fe3ffc, 0x0fe221d2,
   },
   { /* UV scale factor = 0.75, phases = 127, taps = 5. */
      0x26220fde, 0x0ffcfe02, 
      0x2c21afdd, 0x0ffcfe12, 
      0x32214fdc, 0x0ffcfe22, 
      0x3820efdc, 0x0ffbfe32, 
      0x3e208fdb, 0x0ffbfe42, 
      0x44202fda, 0x0ffbfe52, 
      0x491fbfdb, 0x0ffbfe62, 
      0x4f1f5fd9, 0x0ffbfe82, 
      0x551effd9, 0x0ffafe92, 
      0x5a1e9fd8, 0x0ffafeb2, 
      0x601e2fd8, 0x0ffafec2, 
      0x651dcfd7, 0x0ffafee2, 
      0x6b1d5fd8, 0x0ff9fef2, 
      0x701cffd7, 0x0ff9ff12, 
      0x751c9fd6, 0x0ff9ff32, 
      0x7a1c2fd7, 0x0ff9ff42, 
      0x801bcfd6, 0x0ff8ff62, 
      0x851b5fd6, 0x0ff8ff82, 
      0x891affd6, 0x0ff8ffa2, 
      0x8e1a8fd6, 0x0ff8ffc2, 
      0x931a2fd5, 0x0ff7fff2, 
      0x9819bfd5, 0x0ff70012, 
      0x9c195fd5, 0x0ff70032, 
      0xa118efd6, 0x0ff60052, 
      0xa5187fd6, 0x0ff60082, 
      0xa9181fd6, 0x0ff600a2, 
      0xae17afd5, 0x0ff600d2, 
      0xb2174fd6, 0x0ff500f2, 
      0xb616dfd6, 0x0ff50122, 
      0xba166fd6, 0x0ff50152, 
      0xbd160fd7, 0x0ff40182, 
      0xc115afd6, 0x0ff401b2, 
      0xc5153fd7, 0x0ff301e2, 
      0xc814dfd7, 0x0ff30212, 
      0xcc146fd7, 0x0ff30242, 
      0xcf140fd8, 0x0ff20272, 
      0xd213afd8, 0x0ff202a2, 
      0xd5133fd9, 0x0ff202d2, 
      0xd812dfd9, 0x0ff10312, 
      0xdb127fd9, 0x0ff10342, 
      0xde121fd9, 0x0ff00382, 
      0xe011afda, 0x0ff003c2, 
      0xe3114fdb, 0x0fef03f2, 
      0xe510efdb, 0x0fef0432, 
      0xe8107fdb, 0x0fef0472, 
      0xea102fdb, 0x0fee04b2, 
      0xec0fbfdc, 0x0fee04f2, 
      0xee0f6fdc, 0x0fed0532, 
      0xf00effdd, 0x0fed0572, 
      0xf20eafdd, 0x0fec05b2, 
      0xf30e4fde, 0x0fec05f2, 
      0xf50defdf, 0x0feb0632, 
      0xf60d8fdf, 0x0feb0682, 
      0xf70d3fe0, 0x0fea06c2, 
      0xf80cdfe0, 0x0fea0712, 
      0xf90c8fe1, 0x0fe90752, 
      0xfa0c2fe1, 0x0fe907a2, 
      0xfb0bcfe2, 0x0fe807f2, 
      0xfc0b6fe2, 0x0fe80842, 
      0xfc0b2fe3, 0x0fe70882, 
      0xfd0acfe3, 0x0fe708d2, 
      0xfd0a7fe4, 0x0fe60922, 
      0xfd0a2fe5, 0x0fe50972, 
      0xfd09dfe5, 0x0fe509c2, 
      0xfd097fe6, 0x0fe40a22, 
      0xfd092fe6, 0x0fe40a72, 
      0xfd08dfe7, 0x0fe30ac2, 
      0xfc088fe8, 0x0fe30b12, 
      0xfc084fe7, 0x0fe20b72, 
      0xfb07ffe8, 0x0fe20bc2, 
      0xfa07afe9, 0x0fe10c22, 
      0xf9075fea, 0x0fe10c72, 
      0xf8071fea, 0x0fe00cd2, 
      0xf706cfea, 0x0fe00d32, 
      0xf6068feb, 0x0fdf0d82, 
      0xf5063feb, 0x0fdf0de2, 
      0xf305ffec, 0x0fde0e42, 
      0xf205afec, 0x0fde0ea2, 
      0xf0057fec, 0x0fdd0f02, 
      0xee052fed, 0x0fdd0f62, 
      0xec04ffed, 0x0fdc0fc2, 
      0xea04afee, 0x0fdc1022, 
      0xe8047fee, 0x0fdb1082, 
      0xe5043fef, 0x0fdb10e2, 
      0xe303fff0, 0x0fda1142, 
      0xe003cff0, 0x0fda11a2, 
      0xde038ff0, 0x0fd91212, 
      0xdb034ff1, 0x0fd91272, 
      0xd8031ff1, 0x0fd912d2, 
      0xd502eff2, 0x0fd81332, 
      0xd202aff2, 0x0fd813a2, 
      0xcf027ff2, 0x0fd81402, 
      0xcc024ff2, 0x0fd71472, 
      0xc8021ff3, 0x0fd714d2, 
      0xc501eff3, 0x0fd71532, 
      0xc101bff4, 0x0fd615a2, 
      0xbd018ff5, 0x0fd61602, 
      0xba015ff4, 0x0fd61672, 
      0xb6012ff5, 0x0fd616d2, 
      0xb200fff5, 0x0fd61742, 
      0xae00dff5, 0x0fd617a2, 
      0xa900aff6, 0x0fd61812, 
      0xa5008ff7, 0x0fd51872, 
      0xa1005ff7, 0x0fd518e2, 
      0x9c003ff7, 0x0fd51952, 
      0x98001ff7, 0x0fd519b2, 
      0x93fffff7, 0x0fd51a22, 
      0x8effcff8, 0x0fd61a82, 
      0x89ffaff8, 0x0fd61af2, 
      0x85ff8ff8, 0x0fd61b52, 
      0x80ff6ff8, 0x0fd61bc2, 
      0x7aff5ff9, 0x0fd61c22, 
      0x75ff3ff9, 0x0fd61c92, 
      0x70ff1ff9, 0x0fd71cf2, 
      0x6bfefffa, 0x0fd71d52, 
      0x65feeff9, 0x0fd81dc2, 
      0x60fecffa, 0x0fd81e22, 
      0x5afebffa, 0x0fd81e92, 
      0x55fe9ffa, 0x0fd91ef2, 
      0x4ffe8ffb, 0x0fd91f52, 
      0x49fe7ffb, 0x0fda1fb2, 
      0x44fe5ffa, 0x0fdb2022, 
      0x3efe4ffb, 0x0fdb2082, 
      0x38fe3ffb, 0x0fdc20e2, 
      0x32fe2ffb, 0x0fdd2142, 
      0x2cfe1ffb, 0x0fde21a2, 
      0x26fe0ffb, 0x0fdf2202,
   },
   { /* UV scale factor = 0.76, phases = 127, taps = 5. */
      0x29223fdb, 0x0ffdfdc2, 
      0x3021dfda, 0x0ffcfdd2, 
      0x36217fd9, 0x0ffcfde2, 
      0x3c211fd8, 0x0ffcfdf2, 
      0x4220afd8, 0x0ffcfe02, 
      0x48204fd7, 0x0ffcfe12, 
      0x4e1fefd7, 0x0ffbfe22, 
      0x541f7fd6, 0x0ffbfe42, 
      0x5a1f1fd5, 0x0ffbfe52, 
      0x5f1eafd6, 0x0ffbfe62, 
      0x651e3fd5, 0x0ffbfe82, 
      0x6b1ddfd5, 0x0ffafe92, 
      0x701d7fd4, 0x0ffafeb2, 
      0x761d0fd4, 0x0ffafec2, 
      0x7b1c9fd4, 0x0ffafee2, 
      0x801c3fd4, 0x0ff9ff02, 
      0x861bcfd3, 0x0ff9ff22, 
      0x8b1b6fd3, 0x0ff9ff32, 
      0x901affd3, 0x0ff9ff52, 
      0x951a8fd4, 0x0ff8ff72, 
      0x9a1a1fd3, 0x0ff8ffa2, 
      0x9e19bfd3, 0x0ff8ffc2, 
      0xa3194fd4, 0x0ff7ffe2, 
      0xa818dfd4, 0x0ff70002, 
      0xac187fd3, 0x0ff70032, 
      0xb1180fd3, 0x0ff70052, 
      0xb5179fd4, 0x0ff60082, 
      0xb9173fd4, 0x0ff600a2, 
      0xbd16cfd4, 0x0ff600d2, 
      0xc1165fd5, 0x0ff50102, 
      0xc515ffd5, 0x0ff50122, 
      0xc9158fd6, 0x0ff40152, 
      0xcd151fd6, 0x0ff40182, 
      0xd114bfd5, 0x0ff401b2, 
      0xd4144fd7, 0x0ff301e2, 
      0xd713efd7, 0x0ff30212, 
      0xdb137fd6, 0x0ff30252, 
      0xde131fd7, 0x0ff20282, 
      0xe112afd8, 0x0ff202b2, 
      0xe4124fd8, 0x0ff102f2, 
      0xe711efd8, 0x0ff10322, 
      0xe9118fd9, 0x0ff00362, 
      0xec111fd9, 0x0ff003a2, 
      0xef10bfda, 0x0fef03d2, 
      0xf1104fdb, 0x0fef0412, 
      0xf30fefdb, 0x0fef0452, 
      0xf50f8fdc, 0x0fee0492, 
      0xf70f2fdc, 0x0fee04d2, 
      0xf90ecfdd, 0x0fed0512, 
      0xfb0e6fdd, 0x0fed0552, 
      0xfd0e0fdd, 0x0fec05a2, 
      0xfe0dafde, 0x0fec05e2, 
      0x000d4fdf, 0x0feb0623, 
      0x010cefdf, 0x0feb0673, 
      0x020c9fe0, 0x0fea06b3, 
      0x030c3fe1, 0x0fe90703, 
      0x040bdfe1, 0x0fe90753, 
      0x050b8fe2, 0x0fe80793, 
      0x060b2fe2, 0x0fe807e3, 
      0x060adfe3, 0x0fe70833, 
      0x070a7fe3, 0x0fe70883, 
      0x070a2fe4, 0x0fe608d3, 
      0x0709dfe4, 0x0fe60923, 
      0x07098fe5, 0x0fe50973, 
      0x07092fe6, 0x0fe409d3, 
      0x0708dfe6, 0x0fe40a23, 
      0x07088fe7, 0x0fe30a73, 
      0x06083fe7, 0x0fe30ad3, 
      0x0607efe8, 0x0fe20b23, 
      0x05079fe8, 0x0fe20b83, 
      0x04075fe9, 0x0fe10bd3, 
      0x03070fea, 0x0fe00c33, 
      0x0206bfea, 0x0fe00c93, 
      0x01067feb, 0x0fdf0ce3, 
      0x00062feb, 0x0fdf0d43, 
      0xfe05efec, 0x0fde0da2, 
      0xfd059fec, 0x0fde0e02, 
      0xfb055fed, 0x0fdd0e62, 
      0xf9051fed, 0x0fdd0ec2, 
      0xf704dfee, 0x0fdc0f22, 
      0xf5049fef, 0x0fdb0f82, 
      0xf3045fef, 0x0fdb0fe2, 
      0xf1041ff0, 0x0fda1042, 
      0xef03dfef, 0x0fda10b2, 
      0xec03aff0, 0x0fd91112, 
      0xe9036ff1, 0x0fd91172, 
      0xe7032ff1, 0x0fd811e2, 
      0xe402fff1, 0x0fd81242, 
      0xe102bff2, 0x0fd812a2, 
      0xde028ff2, 0x0fd71312, 
      0xdb025ff2, 0x0fd71372, 
      0xd7022ff3, 0x0fd613e2, 
      0xd401eff4, 0x0fd61442, 
      0xd101bff3, 0x0fd614b2, 
      0xcd018ff5, 0x0fd51512, 
      0xc9015ff5, 0x0fd51582, 
      0xc5012ff5, 0x0fd515f2, 
      0xc1010ff6, 0x0fd41652, 
      0xbd00dff6, 0x0fd416c2, 
      0xb900aff6, 0x0fd41732, 
      0xb5008ff6, 0x0fd41792, 
      0xb1005ff6, 0x0fd41802, 
      0xac003ff6, 0x0fd41872, 
      0xa8000ff8, 0x0fd318d2, 
      0xa3ffeff8, 0x0fd31942, 
      0x9effcff8, 0x0fd319b2, 
      0x9affaff8, 0x0fd31a12, 
      0x95ff7ff9, 0x0fd31a82, 
      0x90ff5ff9, 0x0fd31af2, 
      0x8bff3ff9, 0x0fd31b62, 
      0x86ff1ff9, 0x0fd41bc2, 
      0x80ff0ff9, 0x0fd41c32, 
      0x7bfeeffa, 0x0fd41c92, 
      0x76fecffa, 0x0fd41d02, 
      0x70febffa, 0x0fd41d72, 
      0x6bfe9ffa, 0x0fd51dd2, 
      0x65fe8ffa, 0x0fd51e42, 
      0x5ffe7ffb, 0x0fd51ea2, 
      0x5afe4ffb, 0x0fd61f12, 
      0x54fe4ffb, 0x0fd61f72, 
      0x4efe2ffb, 0x0fd71fe2, 
      0x48fe1ffc, 0x0fd72042, 
      0x42fe0ffc, 0x0fd820a2, 
      0x3cfdeffc, 0x0fd92112, 
      0x36fdeffc, 0x0fd92172, 
      0x30fddffc, 0x0fda21d2, 
      0x29fdcffd, 0x0fdb2232,
   },
   { /* UV scale factor = 0.77, phases = 127, taps = 5. */
      0x2d226fd8, 0x0ffdfd82, 
      0x33220fd7, 0x0ffdfd92, 
      0x3921afd6, 0x0ffdfda2, 
      0x40213fd5, 0x0ffdfdb2, 
      0x4620dfd4, 0x0ffdfdc2, 
      0x4c206fd5, 0x0ffcfdd2, 
      0x52200fd4, 0x0ffcfde2, 
      0x581f9fd4, 0x0ffcfdf2, 
      0x5e1f2fd3, 0x0ffcfe12, 
      0x641ecfd2, 0x0ffcfe22, 
      0x6a1e5fd3, 0x0ffbfe32, 
      0x701defd2, 0x0ffbfe52, 
      0x761d8fd1, 0x0ffbfe62, 
      0x7b1d1fd1, 0x0ffbfe82, 
      0x811cafd2, 0x0ffafe92, 
      0x861c3fd2, 0x0ffafeb2, 
      0x8c1bcfd1, 0x0ffafed2, 
      0x911b5fd1, 0x0ffafef2, 
      0x961affd1, 0x0ff9ff12, 
      0x9b1a8fd1, 0x0ff9ff32, 
      0xa01a1fd1, 0x0ff9ff52, 
      0xa519afd2, 0x0ff8ff72, 
      0xaa194fd1, 0x0ff8ff92, 
      0xaf18dfd1, 0x0ff8ffb2, 
      0xb3186fd2, 0x0ff8ffd2, 
      0xb817ffd2, 0x0ff70002, 
      0xbc178fd3, 0x0ff70022, 
      0xc1171fd2, 0x0ff70052, 
      0xc516bfd3, 0x0ff60072, 
      0xc9164fd3, 0x0ff600a2, 
      0xcd15dfd3, 0x0ff600d2, 
      0xd1156fd4, 0x0ff50102, 
      0xd514ffd4, 0x0ff50132, 
      0xd9149fd4, 0x0ff40162, 
      0xdc142fd5, 0x0ff40192, 
      0xe013bfd5, 0x0ff401c2, 
      0xe3135fd6, 0x0ff301f2, 
      0xe712efd6, 0x0ff30222, 
      0xea128fd6, 0x0ff20262, 
      0xed121fd7, 0x0ff20292, 
      0xf011afd8, 0x0ff102d2, 
      0xf3114fd8, 0x0ff10302, 
      0xf510efd8, 0x0ff10342, 
      0xf8107fd9, 0x0ff00382, 
      0xfa101fda, 0x0ff003b2, 
      0xfd0fbfda, 0x0fef03f2, 
      0xff0f4fdb, 0x0fef0432, 
      0x010eefdc, 0x0fee0473, 
      0x030e7fdc, 0x0fee04c3, 
      0x050e2fdc, 0x0fed0503, 
      0x060dcfdd, 0x0fed0543, 
      0x080d6fde, 0x0fec0583, 
      0x090d0fdf, 0x0feb05d3, 
      0x0b0cafdf, 0x0feb0613, 
      0x0c0c4fe0, 0x0fea0663, 
      0x0d0befe0, 0x0fea06b3, 
      0x0e0b9fe1, 0x0fe906f3, 
      0x0f0b3fe1, 0x0fe90743, 
      0x100adfe2, 0x0fe80793, 
      0x100a8fe2, 0x0fe807e3, 
      0x110a2fe3, 0x0fe70833, 
      0x1109dfe4, 0x0fe60883, 
      0x11098fe4, 0x0fe608d3, 
      0x11092fe6, 0x0fe50923, 
      0x1108dfe5, 0x0fe50983, 
      0x11088fe6, 0x0fe409d3, 
      0x11083fe7, 0x0fe30a23, 
      0x1007efe7, 0x0fe30a83, 
      0x10079fe8, 0x0fe20ad3, 
      0x0f074fe8, 0x0fe20b33, 
      0x0e06ffe9, 0x0fe10b93, 
      0x0d06bfea, 0x0fe00be3, 
      0x0c066fea, 0x0fe00c43, 
      0x0b061feb, 0x0fdf0ca3, 
      0x0905dfec, 0x0fde0d03, 
      0x08058fec, 0x0fde0d63, 
      0x06054fed, 0x0fdd0dc3, 
      0x0504ffed, 0x0fdd0e23, 
      0x0304cfed, 0x0fdc0e83, 
      0x01047fee, 0x0fdc0ee3, 
      0xff043fef, 0x0fdb0f42, 
      0xfd03ffef, 0x0fda0fb2, 
      0xfa03bff0, 0x0fda1012, 
      0xf8038ff0, 0x0fd91072, 
      0xf5034ff0, 0x0fd910e2, 
      0xf3030ff1, 0x0fd81142, 
      0xf002dff1, 0x0fd811a2, 
      0xed029ff2, 0x0fd71212, 
      0xea025ff2, 0x0fd71282, 
      0xe7022ff3, 0x0fd612e2, 
      0xe301fff3, 0x0fd61352, 
      0xe001cff4, 0x0fd513b2, 
      0xdc019ff4, 0x0fd51422, 
      0xd9016ff4, 0x0fd41492, 
      0xd5013ff5, 0x0fd414f2, 
      0xd1010ff5, 0x0fd41562, 
      0xcd00dff6, 0x0fd315d2, 
      0xc900aff6, 0x0fd31642, 
      0xc5007ff6, 0x0fd316b2, 
      0xc1005ff7, 0x0fd21712, 
      0xbc003ff7, 0x0fd21782, 
      0xb8000ff7, 0x0fd217f2, 
      0xb3ffdff8, 0x0fd21862, 
      0xafffbff7, 0x0fd218d2, 
      0xaaff9ff8, 0x0fd11942, 
      0xa5ff7ff9, 0x0fd119a2, 
      0xa0ff5ff9, 0x0fd11a12, 
      0x9bff3ff9, 0x0fd11a82, 
      0x96ff1ff9, 0x0fd11af2, 
      0x91fefff9, 0x0fd11b62, 
      0x8cfedff9, 0x0fd11bd2, 
      0x86febffb, 0x0fd11c32, 
      0x81fe9ffb, 0x0fd11ca2, 
      0x7bfe8ffb, 0x0fd11d12, 
      0x76fe6ffa, 0x0fd21d82, 
      0x70fe5ffb, 0x0fd21de2, 
      0x6afe3ffc, 0x0fd21e52, 
      0x64fe2ffb, 0x0fd31ec2, 
      0x5efe1ffc, 0x0fd31f22, 
      0x58fdfffd, 0x0fd31f92, 
      0x52fdeffc, 0x0fd42002, 
      0x4cfddffd, 0x0fd42062, 
      0x46fdcffc, 0x0fd520d2, 
      0x40fdbffd, 0x0fd52132, 
      0x39fdaffd, 0x0fd621a2, 
      0x33fd9ffd, 0x0fd72202, 
      0x2dfd8ffe, 0x0fd72262,
   },
   { /* UV scale factor = 0.78, phases = 127, taps = 5. */
      0x30229fd4, 0x0ffefd52, 
      0x36223fd4, 0x0ffefd52, 
      0x3d21cfd3, 0x0ffefd62, 
      0x43216fd2, 0x0ffefd72, 
      0x4a20ffd2, 0x0ffdfd82, 
      0x50208fd2, 0x0ffdfd92, 
      0x56202fd1, 0x0ffdfda2, 
      0x5d1fbfd0, 0x0ffdfdb2, 
      0x631f4fd0, 0x0ffdfdc2, 
      0x691edfd0, 0x0ffcfde2, 
      0x6f1e6fd0, 0x0ffcfdf2, 
      0x751e0fcf, 0x0ffcfe02, 
      0x7b1d8fcf, 0x0ffcfe22, 
      0x811d2fcf, 0x0ffbfe32, 
      0x861cbfcf, 0x0ffbfe52, 
      0x8c1c4fcf, 0x0ffbfe62, 
      0x911bdfcf, 0x0ffbfe82, 
      0x971b6fcf, 0x0ffafea2, 
      0x9c1affcf, 0x0ffafec2, 
      0xa21a7fcf, 0x0ffafee2, 
      0xa71a0fcf, 0x0ffaff02, 
      0xac19afcf, 0x0ff9ff22, 
      0xb1193fcf, 0x0ff9ff42, 
      0xb618cfcf, 0x0ff9ff62, 
      0xbb185fd0, 0x0ff8ff82, 
      0xbf17efd0, 0x0ff8ffb2, 
      0xc4177fd0, 0x0ff8ffd2, 
      0xc8170fd1, 0x0ff70002, 
      0xcd169fd1, 0x0ff70022, 
      0xd1162fd1, 0x0ff70052, 
      0xd515bfd3, 0x0ff60072, 
      0xd9154fd3, 0x0ff600a2, 
      0xdd14efd3, 0x0ff500d2, 
      0xe1146fd4, 0x0ff50102, 
      0xe513ffd4, 0x0ff50132, 
      0xe8139fd5, 0x0ff40162, 
      0xec132fd5, 0x0ff40192, 
      0xef12bfd6, 0x0ff301d2, 
      0xf3124fd6, 0x0ff30202, 
      0xf611efd6, 0x0ff30232, 
      0xf9117fd7, 0x0ff20272, 
      0xfc110fd7, 0x0ff202b2, 
      0xfe10afd9, 0x0ff102e2, 
      0x01104fd8, 0x0ff10323, 
      0x040fdfd9, 0x0ff00363, 
      0x060f7fd9, 0x0ff003a3, 
      0x080f0fdb, 0x0fef03e3, 
      0x0a0eafdb, 0x0fef0423, 
      0x0c0e4fdc, 0x0fee0463, 
      0x0e0defdc, 0x0fee04a3, 
      0x100d7fde, 0x0fed04e3, 
      0x120d1fdd, 0x0fed0533, 
      0x130cbfdf, 0x0fec0573, 
      0x150c5fdf, 0x0feb05c3, 
      0x160bffe0, 0x0feb0603, 
      0x170b9fe1, 0x0fea0653, 
      0x180b4fe0, 0x0fea06a3, 
      0x190aefe2, 0x0fe906e3, 
      0x1a0a8fe3, 0x0fe80733, 
      0x1a0a3fe3, 0x0fe80783, 
      0x1b09dfe4, 0x0fe707d3, 
      0x1b098fe4, 0x0fe70823, 
      0x1b092fe5, 0x0fe60883, 
      0x1b08dfe6, 0x0fe508d3, 
      0x1b088fe6, 0x0fe50923, 
      0x1b082fe7, 0x0fe40983, 
      0x1b07dfe7, 0x0fe409d3, 
      0x1a078fe8, 0x0fe30a33, 
      0x1a073fe9, 0x0fe20a83, 
      0x1906efe9, 0x0fe20ae3, 
      0x1806afe9, 0x0fe10b43, 
      0x17065feb, 0x0fe00b93, 
      0x16060feb, 0x0fe00bf3, 
      0x1505cfeb, 0x0fdf0c53, 
      0x13058fec, 0x0fde0cb3, 
      0x12053fec, 0x0fde0d13, 
      0x1004efee, 0x0fdd0d73, 
      0x0e04afee, 0x0fdc0de3, 
      0x0c046fee, 0x0fdc0e43, 
      0x0a042fef, 0x0fdb0ea3, 
      0x0803efef, 0x0fdb0f03, 
      0x0603afef, 0x0fda0f73, 
      0x04036ff0, 0x0fd90fd3, 
      0x01032ff0, 0x0fd91043, 
      0xfe02eff2, 0x0fd810a2, 
      0xfc02aff1, 0x0fd81112, 
      0xf9027ff2, 0x0fd71172, 
      0xf6023ff3, 0x0fd611e2, 
      0xf3020ff3, 0x0fd61242, 
      0xef01dff4, 0x0fd512b2, 
      0xec019ff4, 0x0fd51322, 
      0xe8016ff5, 0x0fd41392, 
      0xe5013ff5, 0x0fd413f2, 
      0xe1010ff6, 0x0fd31462, 
      0xdd00dff6, 0x0fd314d2, 
      0xd900bff6, 0x0fd21542, 
      0xd5007ff7, 0x0fd215b2, 
      0xd1005ff6, 0x0fd21622, 
      0xcd002ff7, 0x0fd11692, 
      0xc8000ff7, 0x0fd11702, 
      0xc4ffdff7, 0x0fd11772, 
      0xbfffbff8, 0x0fd017e2, 
      0xbbff8ff8, 0x0fd01852, 
      0xb6ff6ff8, 0x0fd018c2, 
      0xb1ff4ff8, 0x0fd01932, 
      0xacff2ff9, 0x0fcf19a2, 
      0xa7ff0ff9, 0x0fcf1a12, 
      0xa2feeff9, 0x0fcf1a82, 
      0x9cfecffa, 0x0fcf1af2, 
      0x97feaffa, 0x0fcf1b62, 
      0x91fe8ffb, 0x0fcf1bd2, 
      0x8cfe6ffb, 0x0fcf1c42, 
      0x86fe5ffb, 0x0fcf1cb2, 
      0x81fe3ffb, 0x0fcf1d22, 
      0x7bfe2ffb, 0x0fcf1d92, 
      0x75fe0ffc, 0x0fcf1e02, 
      0x6ffdfffd, 0x0fcf1e62, 
      0x69fdeffc, 0x0fd01ed2, 
      0x63fdcffd, 0x0fd01f42, 
      0x5dfdbffd, 0x0fd01fb2, 
      0x56fdaffd, 0x0fd12022, 
      0x50fd9ffe, 0x0fd12082, 
      0x4afd8ffd, 0x0fd220f2, 
      0x43fd7ffe, 0x0fd22162, 
      0x3dfd6ffe, 0x0fd321c2, 
      0x36fd5fff, 0x0fd32232, 
      0x30fd5ffe, 0x0fd42292,
   },
   { /* UV scale factor = 0.79, phases = 127, taps = 5. */
      0x3322cfd1, 0x0ffffd12, 
      0x3a225fd0, 0x0ffffd22, 
      0x4021ffcf, 0x0ffffd32, 
      0x47219fcf, 0x0ffefd32, 
      0x4e211fcf, 0x0ffefd42, 
      0x5420afcf, 0x0ffefd52, 
      0x5b203fce, 0x0ffefd62, 
      0x611fdfcd, 0x0ffefd72, 
      0x671f6fce, 0x0ffdfd82, 
      0x6e1eefcd, 0x0ffdfda2, 
      0x741e8fcc, 0x0ffdfdb2, 
      0x7a1e1fcc, 0x0ffdfdc2, 
      0x801dafcd, 0x0ffcfdd2, 
      0x861d2fcd, 0x0ffcfdf2, 
      0x8c1cbfcd, 0x0ffcfe02, 
      0x921c4fcc, 0x0ffcfe22, 
      0x971bdfcd, 0x0ffbfe42, 
      0x9d1b6fcd, 0x0ffbfe52, 
      0xa31aefcd, 0x0ffbfe72, 
      0xa81a7fcd, 0x0ffbfe92, 
      0xad1a0fce, 0x0ffafeb2, 
      0xb3199fcd, 0x0ffafed2, 
      0xb8192fcd, 0x0ffafef2, 
      0xbd18bfce, 0x0ff9ff12, 
      0xc2184fce, 0x0ff9ff32, 
      0xc717cfcf, 0x0ff9ff52, 
      0xcb175fd0, 0x0ff8ff82, 
      0xd016efd0, 0x0ff8ffa2, 
      0xd4167fd0, 0x0ff8ffd2, 
      0xd9160fd1, 0x0ff7fff2, 
      0xdd159fd1, 0x0ff70022, 
      0xe1152fd1, 0x0ff70052, 
      0xe514bfd2, 0x0ff60082, 
      0xe9144fd2, 0x0ff600b2, 
      0xed13dfd3, 0x0ff500e2, 
      0xf1136fd3, 0x0ff50112, 
      0xf512efd4, 0x0ff50142, 
      0xf8128fd5, 0x0ff40172, 
      0xfb121fd6, 0x0ff401a2, 
      0xff11afd6, 0x0ff301e2, 
      0x02114fd6, 0x0ff30213, 
      0x0510dfd7, 0x0ff20253, 
      0x08106fd8, 0x0ff20283, 
      0x0a100fd9, 0x0ff102c3, 
      0x0d0f9fd9, 0x0ff10303, 
      0x0f0f3fda, 0x0ff00343, 
      0x120ecfda, 0x0ff00383, 
      0x140e6fdb, 0x0fef03c3, 
      0x160dffdc, 0x0fef0403, 
      0x180d9fdd, 0x0fee0443, 
      0x1a0d3fdd, 0x0fee0483, 
      0x1c0cdfdd, 0x0fed04d3, 
      0x1d0c7fde, 0x0fed0513, 
      0x1f0c0fdf, 0x0fec0563, 
      0x200bbfe0, 0x0feb05a3, 
      0x210b5fe0, 0x0feb05f3, 
      0x220affe1, 0x0fea0643, 
      0x230a9fe1, 0x0fea0693, 
      0x240a3fe2, 0x0fe906e3, 
      0x2409dfe4, 0x0fe80733, 
      0x25098fe3, 0x0fe80783, 
      0x25092fe5, 0x0fe707d3, 
      0x2508dfe6, 0x0fe60823, 
      0x25088fe5, 0x0fe60883, 
      0x25082fe7, 0x0fe508d3, 
      0x2507dfe8, 0x0fe40923, 
      0x25078fe7, 0x0fe40983, 
      0x24073fe9, 0x0fe309d3, 
      0x2406efe9, 0x0fe20a33, 
      0x23069fe9, 0x0fe20a93, 
      0x22064fea, 0x0fe10af3, 
      0x2105ffeb, 0x0fe00b53, 
      0x2005afec, 0x0fe00ba3, 
      0x1f056fec, 0x0fdf0c03, 
      0x1d051fed, 0x0fde0c73, 
      0x1c04cfed, 0x0fde0cd3, 
      0x1a048fee, 0x0fdd0d33, 
      0x18044fef, 0x0fdc0d93, 
      0x16040fef, 0x0fdc0df3, 
      0x1403cfef, 0x0fdb0e63, 
      0x12038ff0, 0x0fda0ec3, 
      0x0f034ff0, 0x0fda0f33, 
      0x0d030ff1, 0x0fd90f93, 
      0x0a02cff2, 0x0fd81003, 
      0x08028ff2, 0x0fd81063, 
      0x05025ff2, 0x0fd710d3, 
      0x02021ff3, 0x0fd61143, 
      0xff01eff3, 0x0fd611a2, 
      0xfb01bff4, 0x0fd51212, 
      0xf8017ff4, 0x0fd51282, 
      0xf5014ff4, 0x0fd412f2, 
      0xf1010ff5, 0x0fd41362, 
      0xed00eff5, 0x0fd313d2, 
      0xe900bff6, 0x0fd21442, 
      0xe5008ff6, 0x0fd214b2, 
      0xe1005ff7, 0x0fd11522, 
      0xdd002ff7, 0x0fd11592, 
      0xd9fffff8, 0x0fd01602, 
      0xd4ffdff8, 0x0fd01672, 
      0xd0ffaff8, 0x0fd016e2, 
      0xcbff8ff9, 0x0fcf1752, 
      0xc7ff5ff9, 0x0fcf17c2, 
      0xc1ff3ff9, 0x0fcf1842, 
      0xbdff1ff9, 0x0fce18b2, 
      0xb8fefff9, 0x0fce1922, 
      0xb3fecffa, 0x0fce1992, 
      0xadfebffb, 0x0fcd1a02, 
      0xa8fe9ffb, 0x0fcd1a72, 
      0xa3fe7ffa, 0x0fcd1af2, 
      0x9dfe5ffb, 0x0fcd1b62, 
      0x97fe4ffb, 0x0fcd1bd2, 
      0x92fe2ffb, 0x0fcd1c42, 
      0x8cfe0ffc, 0x0fcd1cb2, 
      0x86fdfffc, 0x0fcd1d22, 
      0x80fddffd, 0x0fcd1d92, 
      0x7afdcffc, 0x0fcd1e12, 
      0x74fdbffc, 0x0fcd1e82, 
      0x6efd9ffd, 0x0fcd1ef2, 
      0x67fd8ffe, 0x0fcd1f62, 
      0x61fd7ffd, 0x0fce1fd2, 
      0x5bfd6ffe, 0x0fce2032, 
      0x54fd5fff, 0x0fce20a2, 
      0x4efd4ffe, 0x0fcf2112, 
      0x47fd3fff, 0x0fcf2182, 
      0x40fd3fff, 0x0fcf21f2, 
      0x3afd2ffe, 0x0fd02262, 
      0x33fd1fff, 0x0fd122c2,
   },
   { /* UV scale factor = 0.80, phases = 127, taps = 5. */
      0x3622ffcd, 0x0000fce2, 
      0x3d228fcd, 0x0000fce2, 
      0x44221fcd, 0x0ffffcf2, 
      0x4b21afcc, 0x0ffffd02, 
      0x51213fcc, 0x0ffffd12, 
      0x5820cfcc, 0x0ffffd12, 
      0x5f205fcb, 0x0ffffd22, 
      0x651fffcb, 0x0ffefd32, 
      0x6c1f7fcb, 0x0ffefd42, 
      0x721f0fcb, 0x0ffefd52, 
      0x791e8fca, 0x0ffefd72, 
      0x7f1e1fcb, 0x0ffdfd82, 
      0x851dafcb, 0x0ffdfd92, 
      0x8b1d3fcb, 0x0ffdfda2, 
      0x911ccfca, 0x0ffdfdc2, 
      0x971c5fcb, 0x0ffcfdd2, 
      0x9d1bdfcb, 0x0ffcfdf2, 
      0xa31b6fca, 0x0ffcfe12, 
      0xa91aefcb, 0x0ffcfe22, 
      0xae1a7fcc, 0x0ffbfe42, 
      0xb41a0fcb, 0x0ffbfe62, 
      0xb9198fcc, 0x0ffbfe82, 
      0xbe191fcc, 0x0ffbfea2, 
      0xc418afcc, 0x0ffafec2, 
      0xc9182fcd, 0x0ffafee2, 
      0xce17bfcd, 0x0ffaff02, 
      0xd3174fcd, 0x0ff9ff32, 
      0xd716cfcf, 0x0ff9ff52, 
      0xdc165fcf, 0x0ff9ff72, 
      0xe115efcf, 0x0ff8ffa2, 
      0xe5157fcf, 0x0ff8ffd2, 
      0xe9150fd1, 0x0ff7fff2, 
      0xee148fd1, 0x0ff70022, 
      0xf2141fd1, 0x0ff70052, 
      0xf613afd2, 0x0ff60082, 
      0xf9133fd3, 0x0ff600b2, 
      0xfd12cfd4, 0x0ff500e2, 
      0x01125fd4, 0x0ff50113, 
      0x0411efd4, 0x0ff50153, 
      0x08117fd5, 0x0ff40183, 
      0x0b110fd6, 0x0ff401b3, 
      0x0e109fd7, 0x0ff301f3, 
      0x11102fd7, 0x0ff30233, 
      0x140fcfd8, 0x0ff20263, 
      0x160f5fd9, 0x0ff202a3, 
      0x190eefda, 0x0ff102e3, 
      0x1b0e8fda, 0x0ff10323, 
      0x1e0e1fdb, 0x0ff00363, 
      0x200dbfdb, 0x0ff003a3, 
      0x220d4fdd, 0x0fef03e3, 
      0x240cefdd, 0x0fee0433, 
      0x250c8fde, 0x0fee0473, 
      0x270c2fdf, 0x0fed04b3, 
      0x290bbfdf, 0x0fed0503, 
      0x2a0b5fe0, 0x0fec0553, 
      0x2b0b0fe1, 0x0feb0593, 
      0x2c0aafe1, 0x0feb05e3, 
      0x2d0a4fe2, 0x0fea0633, 
      0x2e09efe2, 0x0fea0683, 
      0x2e098fe4, 0x0fe906d3, 
      0x2f092fe5, 0x0fe80723, 
      0x2f08dfe5, 0x0fe80773, 
      0x30087fe5, 0x0fe707d3, 
      0x30082fe6, 0x0fe60823, 
      0x3007dfe6, 0x0fe60873, 
      0x2f077fe8, 0x0fe508d3, 
      0x2f072fe9, 0x0fe40923, 
      0x2e06dfe9, 0x0fe40983, 
      0x2e068fe9, 0x0fe309e3, 
      0x2d063fea, 0x0fe20a43, 
      0x2c05efeb, 0x0fe10aa3, 
      0x2b059fec, 0x0fe10af3, 
      0x2a055fec, 0x0fe00b53, 
      0x29050fec, 0x0fdf0bc3, 
      0x2704bfed, 0x0fdf0c23, 
      0x25047fee, 0x0fde0c83, 
      0x24043fee, 0x0fdd0ce3, 
      0x2203ffef, 0x0fdc0d43, 
      0x2003afef, 0x0fdc0db3, 
      0x1e036ff0, 0x0fdb0e13, 
      0x1b032ff1, 0x0fda0e83, 
      0x1902eff1, 0x0fda0ee3, 
      0x1602aff2, 0x0fd90f53, 
      0x14026ff2, 0x0fd80fc3, 
      0x11023ff3, 0x0fd71023, 
      0x0e01fff3, 0x0fd71093, 
      0x0b01bff4, 0x0fd61103, 
      0x08018ff4, 0x0fd51173, 
      0x04015ff4, 0x0fd511e3, 
      0x01011ff5, 0x0fd41253, 
      0xfd00eff6, 0x0fd312c2, 
      0xf900bff6, 0x0fd31332, 
      0xf6008ff6, 0x0fd213a2, 
      0xf2005ff6, 0x0fd21412, 
      0xee002ff7, 0x0fd11482, 
      0xe9000ff8, 0x0fd014f2, 
      0xe5ffdff7, 0x0fd01572, 
      0xe1ffaff8, 0x0fcf15e2, 
      0xdcff7ff9, 0x0fcf1652, 
      0xd8ff5ff9, 0x0fce16c2, 
      0xd3ff2ff9, 0x0fce1742, 
      0xceff0ff9, 0x0fce17b2, 
      0xc9feeffa, 0x0fcd1822, 
      0xc4febffa, 0x0fcd18a2, 
      0xbefeaffb, 0x0fcc1912, 
      0xb9fe8ffb, 0x0fcc1982, 
      0xb4fe5ffb, 0x0fcc1a02, 
      0xaefe4ffc, 0x0fcb1a72, 
      0xa9fe2ffc, 0x0fcb1ae2, 
      0xa3fe1ffb, 0x0fcb1b62, 
      0x9dfdfffc, 0x0fcb1bd2, 
      0x97fddffd, 0x0fcb1c42, 
      0x91fdcffd, 0x0fca1cc2, 
      0x8bfdbffd, 0x0fca1d32, 
      0x85fd9ffe, 0x0fca1da2, 
      0x7ffd8ffe, 0x0fca1e12, 
      0x79fd7ffd, 0x0fca1e92, 
      0x72fd5ffe, 0x0fcb1f02, 
      0x6cfd4ffe, 0x0fcb1f72, 
      0x65fd3fff, 0x0fcb1fe2, 
      0x5ffd2fff, 0x0fcb2052, 
      0x58fd2fff, 0x0fcb20c2, 
      0x51fd1fff, 0x0fcc2132, 
      0x4bfd0fff, 0x0fcc21a2, 
      0x44fcf000, 0x0fcc2212, 
      0x3dfce000, 0x0fcd2282, 
      0x36fce000, 0x0fcd22f2,
   },
   { /* UV scale factor = 0.81, phases = 127, taps = 5. */
      0x39231fca, 0x0001fcb2, 
      0x4022bfc9, 0x0001fcb2, 
      0x47224fc9, 0x0000fcc2, 
      0x4e21cfca, 0x0000fcc2, 
      0x55215fc9, 0x0000fcd2, 
      0x5c20efc8, 0x0000fce2, 
      0x63207fc8, 0x0ffffcf2, 
      0x6a1fffc8, 0x0ffffd02, 
      0x701f8fc9, 0x0ffffd02, 
      0x771f1fc8, 0x0ffffd12, 
      0x7d1e9fc8, 0x0ffffd32, 
      0x841e2fc8, 0x0ffefd42, 
      0x8a1dbfc8, 0x0ffefd52, 
      0x911d3fc8, 0x0ffefd62, 
      0x971ccfc8, 0x0ffefd72, 
      0x9d1c4fc9, 0x0ffdfd92, 
      0xa31bdfc9, 0x0ffdfda2, 
      0xa91b5fc9, 0x0ffdfdc2, 
      0xaf1adfc9, 0x0ffdfde2, 
      0xb51a6fca, 0x0ffcfdf2, 
      0xba19ffca, 0x0ffcfe12, 
      0xc0197fca, 0x0ffcfe32, 
      0xc5190fcb, 0x0ffbfe52, 
      0xcb188fcb, 0x0ffbfe72, 
      0xd0181fcb, 0x0ffbfe92, 
      0xd5179fcd, 0x0ffafeb2, 
      0xda172fcd, 0x0ffafed2, 
      0xdf16afcd, 0x0ffaff02, 
      0xe4163fce, 0x0ff9ff22, 
      0xe815bfcf, 0x0ff9ff52, 
      0xed154fcf, 0x0ff9ff72, 
      0xf114dfd0, 0x0ff8ffa2, 
      0xf6145fd0, 0x0ff8ffd2, 
      0xfa13efd1, 0x0ff8fff2, 
      0xfe137fd2, 0x0ff70022, 
      0x02130fd2, 0x0ff70053, 
      0x06129fd3, 0x0ff60083, 
      0x0a121fd3, 0x0ff600c3, 
      0x0d11afd5, 0x0ff500f3, 
      0x11113fd5, 0x0ff50123, 
      0x1410cfd6, 0x0ff40163, 
      0x17105fd7, 0x0ff40193, 
      0x1a0fefd7, 0x0ff401d3, 
      0x1d0f8fd8, 0x0ff30203, 
      0x200f1fd8, 0x0ff30243, 
      0x220eafda, 0x0ff20283, 
      0x250e3fdb, 0x0ff102c3, 
      0x270ddfdb, 0x0ff10303, 
      0x2a0d6fdc, 0x0ff00343, 
      0x2c0d0fdc, 0x0ff00383, 
      0x2e0c9fdd, 0x0fef03d3, 
      0x2f0c3fde, 0x0fef0413, 
      0x310bdfdf, 0x0fee0453, 
      0x330b6fe0, 0x0fed04a3, 
      0x340b0fe0, 0x0fed04f3, 
      0x350aafe2, 0x0fec0533, 
      0x360a4fe2, 0x0fec0583, 
      0x3709efe3, 0x0feb05d3, 
      0x38098fe4, 0x0fea0623, 
      0x39093fe3, 0x0fea0673, 
      0x3908dfe5, 0x0fe906c3, 
      0x39087fe6, 0x0fe80723, 
      0x3a081fe6, 0x0fe80773, 
      0x3a07cfe7, 0x0fe707c3, 
      0x3a077fe7, 0x0fe60823, 
      0x39072fe9, 0x0fe50873, 
      0x3906cfe9, 0x0fe508d3, 
      0x39067fe9, 0x0fe40933, 
      0x38062feb, 0x0fe30983, 
      0x3705dfeb, 0x0fe309e3, 
      0x36058fec, 0x0fe20a43, 
      0x35053fed, 0x0fe10aa3, 
      0x3404ffed, 0x0fe00b03, 
      0x3304afed, 0x0fe00b63, 
      0x31045fee, 0x0fdf0bd3, 
      0x2f041fef, 0x0fde0c33, 
      0x2e03dfef, 0x0fdd0c93, 
      0x2c038fef, 0x0fdd0d03, 
      0x2a034ff0, 0x0fdc0d63, 
      0x27030ff1, 0x0fdb0dd3, 
      0x2502cff2, 0x0fda0e33, 
      0x22029ff2, 0x0fd90ea3, 
      0x20024ff2, 0x0fd90f13, 
      0x1d020ff3, 0x0fd80f83, 
      0x1a01dff4, 0x0fd70fe3, 
      0x17019ff4, 0x0fd71053, 
      0x14016ff4, 0x0fd610c3, 
      0x11012ff5, 0x0fd51133, 
      0x0d00fff6, 0x0fd411a3, 
      0x0a00cff5, 0x0fd41213, 
      0x06008ff6, 0x0fd31293, 
      0x02005ff7, 0x0fd21303, 
      0xfe002ff7, 0x0fd21372, 
      0xfafffff8, 0x0fd113e2, 
      0xf6ffdff8, 0x0fd01452, 
      0xf1ffaff8, 0x0fd014d2, 
      0xedff7ff9, 0x0fcf1542, 
      0xe8ff5ff9, 0x0fcf15b2, 
      0xe4ff2ff9, 0x0fce1632, 
      0xdfff0ffa, 0x0fcd16a2, 
      0xdafedffa, 0x0fcd1722, 
      0xd5febffb, 0x0fcc1792, 
      0xd0fe9ffa, 0x0fcc1812, 
      0xcbfe7ffb, 0x0fcb1882, 
      0xc5fe5ffb, 0x0fcb1902, 
      0xc0fe3ffb, 0x0fcb1972, 
      0xbafe1ffc, 0x0fca19f2, 
      0xb5fdfffc, 0x0fca1a62, 
      0xaffdeffc, 0x0fc91ae2, 
      0xa9fdcffd, 0x0fc91b52, 
      0xa3fdaffd, 0x0fc91bd2, 
      0x9dfd9ffd, 0x0fc91c42, 
      0x97fd7ffe, 0x0fc81cc2, 
      0x91fd6ffe, 0x0fc81d32, 
      0x8afd5ffe, 0x0fc81db2, 
      0x84fd4ffe, 0x0fc81e22, 
      0x7dfd3fff, 0x0fc81e92, 
      0x77fd1fff, 0x0fc81f12, 
      0x70fd0000, 0x0fc81f82, 
      0x6afcffff, 0x0fc82002, 
      0x63fcffff, 0x0fc82072, 
      0x5cfcefff, 0x0fc920e2, 
      0x55fcd000, 0x0fc92152, 
      0x4efcc001, 0x0fc921c2, 
      0x47fcc000, 0x0fc92242, 
      0x40fcb000, 0x0fca22b2, 
      0x39fcb000, 0x0fca2322,
   },
   { /* UV scale factor = 0.82, phases = 127, taps = 5. */
      0x3b234fc7, 0x0002fc82, 
      0x4322dfc7, 0x0001fc82, 
      0x4a226fc7, 0x0001fc82, 
      0x5121ffc6, 0x0001fc92, 
      0x58217fc6, 0x0001fca2, 
      0x60210fc6, 0x0000fca2, 
      0x67208fc6, 0x0000fcb2, 
      0x6e201fc5, 0x0000fcc2, 
      0x741f9fc6, 0x0000fcd2, 
      0x7b1f2fc5, 0x0000fce2, 
      0x821eafc6, 0x0ffffcf2, 
      0x891e2fc6, 0x0ffffd02, 
      0x8f1dbfc6, 0x0ffffd12, 
      0x961d3fc6, 0x0ffffd22, 
      0x9c1ccfc7, 0x0ffefd32, 
      0xa21c5fc7, 0x0ffefd42, 
      0xa91bcfc7, 0x0ffefd62, 
      0xaf1b5fc7, 0x0ffefd72, 
      0xb51adfc8, 0x0ffdfd92, 
      0xbb1a5fc8, 0x0ffdfdb2, 
      0xc119efc8, 0x0ffdfdc2, 
      0xc6196fc9, 0x0ffdfde2, 
      0xcc18efca, 0x0ffcfe02, 
      0xd1187fca, 0x0ffcfe22, 
      0xd717ffca, 0x0ffcfe42, 
      0xdc177fcc, 0x0ffbfe62, 
      0xe1170fcc, 0x0ffbfe82, 
      0xe6168fcd, 0x0ffbfea2, 
      0xeb161fcd, 0x0ffafed2, 
      0xf0159fce, 0x0ffafef2, 
      0xf5151fce, 0x0ffaff22, 
      0xf914afd0, 0x0ff9ff42, 
      0xfe143fcf, 0x0ff9ff72, 
      0x0213bfd1, 0x0ff8ffa3, 
      0x06134fd1, 0x0ff8ffd3, 
      0x0a12cfd2, 0x0ff80003, 
      0x0e125fd3, 0x0ff70033, 
      0x1211efd3, 0x0ff70063, 
      0x16117fd4, 0x0ff60093, 
      0x1a10ffd5, 0x0ff600c3, 
      0x1d108fd6, 0x0ff50103, 
      0x20101fd7, 0x0ff50133, 
      0x230fafd8, 0x0ff40173, 
      0x260f3fd9, 0x0ff401a3, 
      0x290edfd9, 0x0ff301e3, 
      0x2c0e6fd9, 0x0ff30223, 
      0x2f0dffda, 0x0ff20263, 
      0x310d8fdb, 0x0ff202a3, 
      0x330d2fdc, 0x0ff102e3, 
      0x350cbfdd, 0x0ff10323, 
      0x370c4fde, 0x0ff00373, 
      0x390befdf, 0x0fef03b3, 
      0x3b0b8fdf, 0x0fef03f3, 
      0x3d0b1fe0, 0x0fee0443, 
      0x3e0abfe0, 0x0fee0493, 
      0x3f0a5fe2, 0x0fed04d3, 
      0x4009ffe3, 0x0fec0523, 
      0x41099fe3, 0x0fec0573, 
      0x42093fe4, 0x0feb05c3, 
      0x4308dfe5, 0x0fea0613, 
      0x43087fe6, 0x0fea0663, 
      0x44081fe6, 0x0fe906c3, 
      0x4407cfe7, 0x0fe80713, 
      0x44076fe8, 0x0fe80763, 
      0x44071fe8, 0x0fe707c3, 
      0x4406cfe8, 0x0fe60823, 
      0x43067fea, 0x0fe50873, 
      0x43061fea, 0x0fe508d3, 
      0x4205cfeb, 0x0fe40933, 
      0x41057fec, 0x0fe30993, 
      0x40052fed, 0x0fe209f3, 
      0x3f04dfed, 0x0fe20a53, 
      0x3e049fed, 0x0fe10ab3, 
      0x3d044fee, 0x0fe00b13, 
      0x3b03ffef, 0x0fdf0b83, 
      0x3903bff0, 0x0fde0be3, 
      0x37037ff0, 0x0fde0c43, 
      0x35032ff1, 0x0fdd0cb3, 
      0x3302eff2, 0x0fdc0d13, 
      0x3102aff2, 0x0fdb0d83, 
      0x2f026ff2, 0x0fda0df3, 
      0x2c022ff2, 0x0fda0e63, 
      0x2901eff4, 0x0fd90ec3, 
      0x2601bff4, 0x0fd80f33, 
      0x23017ff5, 0x0fd70fa3, 
      0x20014ff5, 0x0fd61013, 
      0x1d010ff5, 0x0fd61083, 
      0x1a00cff6, 0x0fd510f3, 
      0x16009ff6, 0x0fd41173, 
      0x12006ff7, 0x0fd311e3, 
      0x0e003ff7, 0x0fd31253, 
      0x0a000ff8, 0x0fd212c3, 
      0x06ffdff8, 0x0fd11343, 
      0x02ffaff9, 0x0fd013b3, 
      0xfeff7ff8, 0x0fd01432, 
      0xf9ff4ffa, 0x0fcf14a2, 
      0xf5ff2ffa, 0x0fce1512, 
      0xf0fefffa, 0x0fce1592, 
      0xebfedffa, 0x0fcd1612, 
      0xe6febffb, 0x0fcc1682, 
      0xe1fe8ffb, 0x0fcc1702, 
      0xdcfe6ffc, 0x0fcb1772, 
      0xd7fe4ffb, 0x0fcb17f2, 
      0xd1fe2ffc, 0x0fca1872, 
      0xccfe0ffc, 0x0fca18e2, 
      0xc6fdeffd, 0x0fc91962, 
      0xc1fdcffc, 0x0fc919e2, 
      0xbbfdbffd, 0x0fc81a52, 
      0xb5fd9ffd, 0x0fc81ad2, 
      0xaffd7ffd, 0x0fc81b52, 
      0xa9fd6ffe, 0x0fc71bc2, 
      0xa2fd4fff, 0x0fc71c42, 
      0x9cfd3ffe, 0x0fc71cc2, 
      0x96fd2fff, 0x0fc61d32, 
      0x8ffd1fff, 0x0fc61db2, 
      0x89fcffff, 0x0fc61e32, 
      0x82fcffff, 0x0fc61ea2, 
      0x7bfcefff, 0x0fc61f22, 
      0x74fcd000, 0x0fc61f92, 
      0x6efcb000, 0x0fc62012, 
      0x67fcb000, 0x0fc62082, 
      0x60fca000, 0x0fc62102, 
      0x59fca000, 0x0fc62172, 
      0x51fc9001, 0x0fc621f2, 
      0x4afc8002, 0x0fc62262, 
      0x43fc8001, 0x0fc722d2, 
      0x3cfc8001, 0x0fc72342,
   },
   { /* UV scale factor = 0.83, phases = 127, taps = 5. */
      0x3e237fc5, 0x0002fc42, 
      0x4622ffc4, 0x0002fc52, 
      0x4d228fc4, 0x0002fc52, 
      0x55220fc3, 0x0002fc62, 
      0x5c219fc3, 0x0002fc62, 
      0x63211fc4, 0x0001fc72, 
      0x6a20afc4, 0x0001fc72, 
      0x72202fc3, 0x0001fc82, 
      0x791fafc3, 0x0001fc92, 
      0x801f3fc3, 0x0000fca2, 
      0x871ebfc3, 0x0000fcb2, 
      0x8d1e3fc4, 0x0000fcc2, 
      0x941dbfc4, 0x0000fcd2, 
      0x9b1d3fc4, 0x0000fce2, 
      0xa11ccfc5, 0x0ffffcf2, 
      0xa81c4fc5, 0x0ffffd02, 
      0xae1bcfc6, 0x0ffffd12, 
      0xb51b3fc6, 0x0ffffd32, 
      0xbb1acfc7, 0x0ffefd42, 
      0xc11a4fc7, 0x0ffefd62, 
      0xc719cfc7, 0x0ffefd82, 
      0xcd195fc8, 0x0ffdfd92, 
      0xd318dfc8, 0x0ffdfdb2, 
      0xd8185fc9, 0x0ffdfdd2, 
      0xde17dfc9, 0x0ffdfdf2, 
      0xe3175fcb, 0x0ffcfe12, 
      0xe916dfcb, 0x0ffcfe32, 
      0xee166fcb, 0x0ffcfe52, 
      0xf315efcc, 0x0ffbfe82, 
      0xf8156fcd, 0x0ffbfea2, 
      0xfd14ffcd, 0x0ffbfec2, 
      0x01147fcf, 0x0ffafef3, 
      0x0613ffcf, 0x0ffaff23, 
      0x0a138fd1, 0x0ff9ff43, 
      0x0f130fd1, 0x0ff9ff73, 
      0x13129fd1, 0x0ff9ffa3, 
      0x17121fd3, 0x0ff8ffd3, 
      0x1b11afd3, 0x0ff80003, 
      0x1f113fd4, 0x0ff70033, 
      0x2210cfd5, 0x0ff70063, 
      0x26104fd6, 0x0ff600a3, 
      0x290fdfd7, 0x0ff600d3, 
      0x2d0f6fd7, 0x0ff50113, 
      0x300effd8, 0x0ff50143, 
      0x330e8fd9, 0x0ff40183, 
      0x350e1fda, 0x0ff401c3, 
      0x380dafdb, 0x0ff30203, 
      0x3b0d3fdb, 0x0ff30243, 
      0x3d0ccfdd, 0x0ff20283, 
      0x3f0c6fdd, 0x0ff202c3, 
      0x410bffde, 0x0ff10313, 
      0x430b9fdf, 0x0ff00353, 
      0x450b2fe0, 0x0ff00393, 
      0x470acfe0, 0x0fef03e3, 
      0x480a5fe1, 0x0fef0433, 
      0x4909ffe3, 0x0fee0473, 
      0x4b099fe3, 0x0fed04c3, 
      0x4c093fe3, 0x0fed0513, 
      0x4c08dfe5, 0x0fec0563, 
      0x4d087fe6, 0x0feb05b3, 
      0x4e081fe7, 0x0fea0603, 
      0x4e07cfe6, 0x0fea0663, 
      0x4e076fe8, 0x0fe906b3, 
      0x4e071fe8, 0x0fe80713, 
      0x4e06bfe9, 0x0fe80763, 
      0x4e066fe9, 0x0fe707c3, 
      0x4e060feb, 0x0fe60813, 
      0x4d05bfec, 0x0fe50873, 
      0x4c057fec, 0x0fe408d3, 
      0x4c051fec, 0x0fe40933, 
      0x4b04cfed, 0x0fe30993, 
      0x49048fee, 0x0fe209f3, 
      0x48043fee, 0x0fe10a63, 
      0x4703efef, 0x0fe00ac3, 
      0x45039ff0, 0x0fe00b23, 
      0x43035ff0, 0x0fdf0b93, 
      0x41031ff1, 0x0fde0bf3, 
      0x3f02cff2, 0x0fdd0c63, 
      0x3d028ff3, 0x0fdc0cc3, 
      0x3b024ff3, 0x0fdb0d33, 
      0x38020ff3, 0x0fdb0da3, 
      0x3501cff4, 0x0fda0e13, 
      0x33018ff4, 0x0fd90e83, 
      0x30014ff5, 0x0fd80ef3, 
      0x2d011ff5, 0x0fd70f63, 
      0x2900eff6, 0x0fd60fd3, 
      0x2600aff6, 0x0fd61043, 
      0x22007ff7, 0x0fd510b3, 
      0x1f003ff7, 0x0fd41133, 
      0x1b000ff8, 0x0fd311a3, 
      0x17ffdff9, 0x0fd21213, 
      0x13ffaff8, 0x0fd21293, 
      0x0fff7ff9, 0x0fd11303, 
      0x0aff4ffa, 0x0fd01383, 
      0x06ff2ffa, 0x0fcf13f3, 
      0x01fefffa, 0x0fcf1473, 
      0xfdfecffa, 0x0fce14f2, 
      0xf8feaffb, 0x0fcd1562, 
      0xf3fe8ffb, 0x0fcc15e2, 
      0xeefe5ffb, 0x0fcc1662, 
      0xe9fe3ffb, 0x0fcb16e2, 
      0xe3fe1ffd, 0x0fca1752, 
      0xdefdfffc, 0x0fca17d2, 
      0xd8fddffd, 0x0fc91852, 
      0xd2fdbffd, 0x0fc918d2, 
      0xcdfd9ffd, 0x0fc81952, 
      0xc7fd8ffe, 0x0fc719c2, 
      0xc1fd6ffe, 0x0fc71a42, 
      0xbbfd4fff, 0x0fc61ac2, 
      0xb5fd3ffe, 0x0fc61b42, 
      0xaefd1fff, 0x0fc61bc2, 
      0xa8fd0fff, 0x0fc51c42, 
      0xa1fcffff, 0x0fc51cc2, 
      0x9bfcefff, 0x0fc51d32, 
      0x94fcd000, 0x0fc41db2, 
      0x8dfcc000, 0x0fc41e32, 
      0x87fca000, 0x0fc41eb2, 
      0x80fc9000, 0x0fc41f32, 
      0x79fc9000, 0x0fc41fa2, 
      0x72fc8001, 0x0fc32022, 
      0x6afc7002, 0x0fc320a2, 
      0x63fc7002, 0x0fc32112, 
      0x5cfc6002, 0x0fc32192, 
      0x55fc6001, 0x0fc42202, 
      0x4dfc5002, 0x0fc42282, 
      0x46fc5002, 0x0fc422f2, 
      0x3efc4003, 0x0fc42372,
   },
   { /* UV scale factor = 0.84, phases = 127, taps = 5. */
      0x41239fc1, 0x0003fc22, 
      0x48232fc1, 0x0003fc22, 
      0x5022afc1, 0x0003fc22, 
      0x57222fc1, 0x0003fc32, 
      0x5f21afc2, 0x0002fc32, 
      0x67213fc1, 0x0002fc32, 
      0x6e20bfc1, 0x0002fc42, 
      0x75203fc1, 0x0002fc52, 
      0x7d1fbfc2, 0x0001fc52, 
      0x841f3fc2, 0x0001fc62, 
      0x8b1ebfc2, 0x0001fc72, 
      0x921e3fc2, 0x0001fc82, 
      0x991dbfc2, 0x0001fc92, 
      0xa01d3fc3, 0x0000fca2, 
      0xa71cbfc3, 0x0000fcb2, 
      0xad1c3fc4, 0x0000fcc2, 
      0xb41bbfc4, 0x0000fcd2, 
      0xba1b4fc5, 0x0ffffce2, 
      0xc11abfc5, 0x0ffffd02, 
      0xc71a3fc6, 0x0ffffd12, 
      0xcd19bfc6, 0x0ffffd32, 
      0xd3193fc7, 0x0ffefd52, 
      0xd918bfc8, 0x0ffefd62, 
      0xdf183fc8, 0x0ffefd82, 
      0xe517bfc9, 0x0ffdfda2, 
      0xea173fca, 0x0ffdfdc2, 
      0xf016bfca, 0x0ffdfde2, 
      0xf5163fcb, 0x0ffdfe02, 
      0xfa15cfcc, 0x0ffcfe22, 
      0xff153fcd, 0x0ffcfe52, 
      0x0414cfce, 0x0ffbfe73, 
      0x09144fcf, 0x0ffbfe93, 
      0x0e13cfcf, 0x0ffbfec3, 
      0x13134fd0, 0x0ffafef3, 
      0x1712dfd1, 0x0ffaff13, 
      0x1b125fd2, 0x0ffaff43, 
      0x2011efd2, 0x0ff9ff73, 
      0x24116fd3, 0x0ff9ffa3, 
      0x2810ffd4, 0x0ff8ffd3, 
      0x2b107fd5, 0x0ff80013, 
      0x2f100fd6, 0x0ff70043, 
      0x330f9fd6, 0x0ff70073, 
      0x360f1fd8, 0x0ff600b3, 
      0x390eafd9, 0x0ff600e3, 
      0x3c0e3fda, 0x0ff50123, 
      0x3f0dcfda, 0x0ff50163, 
      0x420d5fdb, 0x0ff401a3, 
      0x440cefdc, 0x0ff401e3, 
      0x470c7fdd, 0x0ff30223, 
      0x490c1fdd, 0x0ff30263, 
      0x4b0bafdf, 0x0ff202a3, 
      0x4d0b3fe0, 0x0ff102f3, 
      0x4f0adfe0, 0x0ff10333, 
      0x510a6fe1, 0x0ff00383, 
      0x520a1fe2, 0x0fef03c3, 
      0x5409afe2, 0x0fef0413, 
      0x55094fe3, 0x0fee0463, 
      0x5608dfe5, 0x0fed04b3, 
      0x57087fe5, 0x0fed0503, 
      0x57081fe7, 0x0fec0553, 
      0x5807cfe7, 0x0feb05a3, 
      0x58076fe7, 0x0feb0603, 
      0x59070fe8, 0x0fea0653, 
      0x5906afe9, 0x0fe906b3, 
      0x59065fea, 0x0fe80703, 
      0x58060fea, 0x0fe80763, 
      0x5805afeb, 0x0fe707c3, 
      0x57055fed, 0x0fe60813, 
      0x57050fed, 0x0fe50873, 
      0x5604bfee, 0x0fe408d3, 
      0x55045fee, 0x0fe40943, 
      0x54041fee, 0x0fe309a3, 
      0x5203cff0, 0x0fe20a03, 
      0x51038ff0, 0x0fe10a63, 
      0x4f033ff1, 0x0fe00ad3, 
      0x4d02fff2, 0x0fdf0b33, 
      0x4b02aff2, 0x0fdf0ba3, 
      0x49026ff2, 0x0fde0c13, 
      0x47022ff3, 0x0fdd0c73, 
      0x4401eff4, 0x0fdc0ce3, 
      0x4201aff4, 0x0fdb0d53, 
      0x3f016ff5, 0x0fda0dc3, 
      0x3c012ff6, 0x0fd90e33, 
      0x3900fff6, 0x0fd80ea3, 
      0x3600bff6, 0x0fd80f13, 
      0x33007ff6, 0x0fd70f93, 
      0x2f004ff7, 0x0fd61003, 
      0x2b001ff8, 0x0fd51073, 
      0x28ffdff8, 0x0fd410f3, 
      0x24ffaff9, 0x0fd31163, 
      0x20ff7ff9, 0x0fd211e3, 
      0x1bff4ffa, 0x0fd21253, 
      0x17ff1ffa, 0x0fd112d3, 
      0x13fefffa, 0x0fd01343, 
      0x0efecffb, 0x0fcf13c3, 
      0x09fe9ffc, 0x0fce1443, 
      0x04fe7ffc, 0x0fcd14c3, 
      0xfffe5ffc, 0x0fcd1532, 
      0xfafe2ffd, 0x0fcc15b2, 
      0xf5fe0ffd, 0x0fcb1632, 
      0xf0fdeffd, 0x0fca16b2, 
      0xeafdcffd, 0x0fca1732, 
      0xe5fdaffd, 0x0fc917b2, 
      0xdffd8ffe, 0x0fc81832, 
      0xd9fd6ffe, 0x0fc818b2, 
      0xd3fd5ffe, 0x0fc71932, 
      0xcdfd3fff, 0x0fc619b2, 
      0xc7fd1fff, 0x0fc61a32, 
      0xc1fd0fff, 0x0fc51ab2, 
      0xbafce000, 0x0fc51b32, 
      0xb4fcd000, 0x0fc41bb2, 
      0xadfcc000, 0x0fc41c32, 
      0xa7fcb000, 0x0fc31cb2, 
      0xa0fca000, 0x0fc31d32, 
      0x99fc9000, 0x0fc31db2, 
      0x92fc8001, 0x0fc21e32, 
      0x8bfc7001, 0x0fc21eb2, 
      0x84fc6001, 0x0fc21f32, 
      0x7dfc5002, 0x0fc11fb2, 
      0x75fc5002, 0x0fc12032, 
      0x6efc4002, 0x0fc120b2, 
      0x67fc3002, 0x0fc12132, 
      0x5ffc3003, 0x0fc121a2, 
      0x58fc3002, 0x0fc12222, 
      0x50fc2003, 0x0fc122a2, 
      0x48fc2003, 0x0fc12322, 
      0x41fc2003, 0x0fc12392,
   },
   { /* UV scale factor = 0.85, phases = 127, taps = 5. */
      0x4323bfbf, 0x0004fbf2, 
      0x4b234fbe, 0x0004fbf2, 
      0x5322cfbf, 0x0003fbf2, 
      0x5b224fbe, 0x0003fc02, 
      0x6221cfbf, 0x0003fc02, 
      0x6a214fbf, 0x0003fc02, 
      0x7220bfbf, 0x0003fc12, 
      0x79204fbf, 0x0003fc12, 
      0x811fcfbf, 0x0002fc22, 
      0x881f4fc0, 0x0002fc22, 
      0x8f1ebfc1, 0x0002fc32, 
      0x971e3fc0, 0x0002fc42, 
      0x9e1dbfc1, 0x0001fc52, 
      0xa51d3fc1, 0x0001fc62, 
      0xac1cbfc1, 0x0001fc72, 
      0xb31c2fc2, 0x0001fc82, 
      0xb91bafc3, 0x0001fc92, 
      0xc01b2fc4, 0x0000fca2, 
      0xc61aafc5, 0x0000fcb2, 
      0xcd1a2fc4, 0x0000fcd2, 
      0xd3199fc6, 0x0000fce2, 
      0xd9191fc7, 0x0ffffd02, 
      0xe0189fc6, 0x0ffffd22, 
      0xe6181fc7, 0x0ffffd32, 
      0xeb179fc9, 0x0ffefd52, 
      0xf1171fc9, 0x0ffefd72, 
      0xf7169fc9, 0x0ffefd92, 
      0xfc161fcb, 0x0ffdfdb2, 
      0x02158fcc, 0x0ffdfdd3, 
      0x07150fcd, 0x0ffdfdf3, 
      0x0c149fcd, 0x0ffcfe23, 
      0x11141fce, 0x0ffcfe43, 
      0x16139fce, 0x0ffcfe73, 
      0x1b131fd0, 0x0ffbfe93, 
      0x1f129fd1, 0x0ffbfec3, 
      0x24121fd1, 0x0ffbfef3, 
      0x2811afd2, 0x0ffaff23, 
      0x2c112fd3, 0x0ffaff53, 
      0x3010afd5, 0x0ff9ff83, 
      0x34103fd5, 0x0ff9ffb3, 
      0x380fbfd7, 0x0ff8ffe3, 
      0x3c0f4fd7, 0x0ff80013, 
      0x3f0edfd8, 0x0ff70053, 
      0x420e6fd9, 0x0ff70083, 
      0x460defda, 0x0ff600c3, 
      0x490d7fda, 0x0ff60103, 
      0x4b0d0fdc, 0x0ff50143, 
      0x4e0c9fdc, 0x0ff50183, 
      0x510c2fdd, 0x0ff401c3, 
      0x530bbfde, 0x0ff40203, 
      0x550b5fdf, 0x0ff30243, 
      0x570aefe1, 0x0ff20283, 
      0x590a7fe1, 0x0ff202d3, 
      0x5b0a1fe2, 0x0ff10313, 
      0x5c09afe3, 0x0ff10363, 
      0x5e094fe3, 0x0ff003b3, 
      0x5f08efe4, 0x0fef0403, 
      0x60088fe5, 0x0fee0453, 
      0x61081fe6, 0x0fee04a3, 
      0x6207bfe7, 0x0fed04f3, 
      0x62076fe8, 0x0fec0543, 
      0x63070fe8, 0x0fec0593, 
      0x6306afe9, 0x0feb05f3, 
      0x63064feb, 0x0fea0643, 
      0x6305ffeb, 0x0fe906a3, 
      0x63059feb, 0x0fe90703, 
      0x62054fec, 0x0fe80763, 
      0x6204ffed, 0x0fe707b3, 
      0x6104afee, 0x0fe60813, 
      0x60045fee, 0x0fe50883, 
      0x5f040fef, 0x0fe408e3, 
      0x5e03bfef, 0x0fe40943, 
      0x5c036ff1, 0x0fe309a3, 
      0x5b031ff1, 0x0fe20a13, 
      0x5902dff2, 0x0fe10a73, 
      0x57028ff3, 0x0fe00ae3, 
      0x55024ff3, 0x0fdf0b53, 
      0x53020ff4, 0x0fde0bb3, 
      0x5101cff4, 0x0fdd0c23, 
      0x4e018ff5, 0x0fdc0c93, 
      0x4b014ff5, 0x0fdc0d03, 
      0x49010ff5, 0x0fdb0d73, 
      0x4600cff6, 0x0fda0de3, 
      0x42009ff7, 0x0fd90e53, 
      0x3f005ff7, 0x0fd80ed3, 
      0x3c001ff8, 0x0fd70f43, 
      0x38ffeff9, 0x0fd60fb3, 
      0x34ffbff9, 0x0fd51033, 
      0x30ff8ffa, 0x0fd410a3, 
      0x2cff5ffa, 0x0fd31123, 
      0x28ff2ffa, 0x0fd211a3, 
      0x24fefffa, 0x0fd21213, 
      0x1ffecffb, 0x0fd11293, 
      0x1bfe9ffb, 0x0fd01313, 
      0x16fe7ffb, 0x0fcf1393, 
      0x11fe4ffc, 0x0fce1413, 
      0x0cfe2ffc, 0x0fcd1493, 
      0x07fe0ffd, 0x0fcc1503, 
      0x02fddffe, 0x0fcb1583, 
      0xfcfdbffd, 0x0fcb1612, 
      0xf7fd9ffd, 0x0fca1692, 
      0xf1fd7ffe, 0x0fc91712, 
      0xebfd5fff, 0x0fc81792, 
      0xe6fd3ffe, 0x0fc81812, 
      0xe0fd2ffe, 0x0fc71892, 
      0xd9fd0000, 0x0fc61912, 
      0xd3fcf000, 0x0fc51992, 
      0xcdfcdfff, 0x0fc51a22, 
      0xc6fcb001, 0x0fc41aa2, 
      0xc0fca000, 0x0fc41b22, 
      0xb9fc9001, 0x0fc31ba2, 
      0xb3fc8000, 0x0fc21c32, 
      0xacfc6001, 0x0fc21cb2, 
      0xa5fc6001, 0x0fc11d32, 
      0x9efc5001, 0x0fc11db2, 
      0x97fc4001, 0x0fc11e32, 
      0x8ffc4002, 0x0fc01eb2, 
      0x88fc2002, 0x0fc01f42, 
      0x81fc1002, 0x0fc01fc2, 
      0x79fc1003, 0x0fbf2042, 
      0x72fc1002, 0x0fbf20c2, 
      0x6afc0003, 0x0fbf2142, 
      0x62fc0003, 0x0fbf21c2, 
      0x5bfbf003, 0x0fbf2242, 
      0x53fbf003, 0x0fbf22c2, 
      0x4bfbf003, 0x0fbf2342, 
      0x43fbf004, 0x0fbf23b2,
   },
   { /* UV scale factor = 0.86, phases = 127, taps = 5. */
      0x4523dfbd, 0x0005fbc2, 
      0x4e235fbd, 0x0004fbc2, 
      0x5622dfbd, 0x0004fbc2, 
      0x5e225fbc, 0x0004fbd2, 
      0x6621dfbc, 0x0004fbd2, 
      0x6d215fbd, 0x0004fbd2, 
      0x7520cfbd, 0x0004fbe2, 
      0x7d205fbd, 0x0003fbe2, 
      0x851fcfbe, 0x0003fbe2, 
      0x8c1f4fbe, 0x0003fbf2, 
      0x941ebfbe, 0x0003fc02, 
      0x9b1e3fbf, 0x0003fc02, 
      0xa21dbfc0, 0x0002fc12, 
      0xaa1d2fc0, 0x0002fc22, 
      0xb11cafc0, 0x0002fc32, 
      0xb81c1fc1, 0x0002fc42, 
      0xbf1b9fc2, 0x0001fc52, 
      0xc51b1fc3, 0x0001fc62, 
      0xcc1a9fc3, 0x0001fc72, 
      0xd31a0fc4, 0x0001fc82, 
      0xd9198fc5, 0x0000fca2, 
      0xe018ffc6, 0x0000fcb2, 
      0xe6187fc6, 0x0000fcd2, 
      0xec17ffc7, 0x0000fce2, 
      0xf2177fc8, 0x0ffffd02, 
      0xf816efc9, 0x0ffffd22, 
      0xfe166fc9, 0x0ffffd42, 
      0x0415efca, 0x0ffefd63, 
      0x09155fcc, 0x0ffefd83, 
      0x0f14dfcc, 0x0ffefda3, 
      0x14145fce, 0x0ffdfdc3, 
      0x1913dfce, 0x0ffdfdf3, 
      0x1e135fcf, 0x0ffdfe13, 
      0x2312dfd0, 0x0ffcfe43, 
      0x28125fd1, 0x0ffcfe63, 
      0x2c11dfd2, 0x0ffcfe93, 
      0x31115fd3, 0x0ffbfec3, 
      0x3510efd3, 0x0ffbfef3, 
      0x39106fd5, 0x0ffaff23, 
      0x3d0fefd6, 0x0ffaff53, 
      0x410f7fd7, 0x0ff9ff83, 
      0x450effd8, 0x0ff9ffb3, 
      0x480e8fd9, 0x0ff8fff3, 
      0x4c0e0fda, 0x0ff80023, 
      0x4f0d9fdb, 0x0ff70063, 
      0x520d2fdb, 0x0ff700a3, 
      0x550cbfdc, 0x0ff600e3, 
      0x580c4fdd, 0x0ff60113, 
      0x5a0bdfde, 0x0ff50163, 
      0x5d0b5fdf, 0x0ff501a3, 
      0x5f0affe0, 0x0ff401e3, 
      0x610a8fe1, 0x0ff40223, 
      0x630a2fe1, 0x0ff30273, 
      0x6509bfe3, 0x0ff202b3, 
      0x66094fe4, 0x0ff20303, 
      0x6808efe4, 0x0ff10353, 
      0x69088fe6, 0x0ff00393, 
      0x6a082fe6, 0x0ff003e3, 
      0x6b07bfe8, 0x0fef0433, 
      0x6c075fe8, 0x0fee0493, 
      0x6d06ffe9, 0x0fed04e3, 
      0x6d06afe9, 0x0fed0533, 
      0x6d064fea, 0x0fec0593, 
      0x6d05efec, 0x0feb05e3, 
      0x6d059fec, 0x0fea0643, 
      0x6d053fec, 0x0fea06a3, 
      0x6d04efed, 0x0fe906f3, 
      0x6c049fee, 0x0fe80753, 
      0x6b044fef, 0x0fe707b3, 
      0x6a03eff0, 0x0fe60823, 
      0x69039ff1, 0x0fe50883, 
      0x68035ff1, 0x0fe408e3, 
      0x66030ff2, 0x0fe40943, 
      0x6502bff2, 0x0fe309b3, 
      0x63027ff2, 0x0fe20a23, 
      0x61022ff4, 0x0fe10a83, 
      0x5f01eff4, 0x0fe00af3, 
      0x5d01aff4, 0x0fdf0b63, 
      0x5a016ff5, 0x0fde0bd3, 
      0x58011ff6, 0x0fdd0c43, 
      0x5500eff6, 0x0fdc0cb3, 
      0x5200aff7, 0x0fdb0d23, 
      0x4f006ff8, 0x0fda0d93, 
      0x4c003ff8, 0x0fd90e03, 
      0x48fffff9, 0x0fd80e83, 
      0x45ffcff9, 0x0fd70ef3, 
      0x41ff8ffa, 0x0fd60f73, 
      0x3dff5ffa, 0x0fd60fe3, 
      0x39ff2ffa, 0x0fd51063, 
      0x35fefffa, 0x0fd410e3, 
      0x31fecffb, 0x0fd31153, 
      0x2cfe9ffc, 0x0fd211d3, 
      0x28fe6ffc, 0x0fd11253, 
      0x23fe4ffc, 0x0fd012d3, 
      0x1efe1ffd, 0x0fcf1353, 
      0x19fdfffd, 0x0fce13d3, 
      0x14fdcffe, 0x0fcd1453, 
      0x0ffdaffe, 0x0fcc14d3, 
      0x09fd8fff, 0x0fcb1553, 
      0x04fd6ffe, 0x0fca15e3, 
      0xfefd4fff, 0x0fc91662, 
      0xf8fd2fff, 0x0fc916e2, 
      0xf2fd0000, 0x0fc81762, 
      0xecfce000, 0x0fc717f2, 
      0xe6fcd000, 0x0fc61872, 
      0xe0fcb001, 0x0fc518f2, 
      0xd9fca000, 0x0fc51982, 
      0xd3fc8001, 0x0fc41a02, 
      0xccfc7001, 0x0fc31a92, 
      0xc5fc6002, 0x0fc21b12, 
      0xbffc5001, 0x0fc21b92, 
      0xb8fc4001, 0x0fc11c22, 
      0xb1fc3001, 0x0fc11ca2, 
      0xaafc2002, 0x0fc01d22, 
      0xa2fc1003, 0x0fbf1db2, 
      0x9bfc0003, 0x0fbf1e32, 
      0x94fbf002, 0x0fbf1ec2, 
      0x8cfbf003, 0x0fbe1f42, 
      0x85fbe003, 0x0fbe1fc2, 
      0x7dfbe003, 0x0fbd2052, 
      0x75fbe003, 0x0fbd20d2, 
      0x6dfbd004, 0x0fbd2152, 
      0x66fbd003, 0x0fbd21d2, 
      0x5efbd004, 0x0fbc2252, 
      0x56fbc005, 0x0fbc22d2, 
      0x4efbc005, 0x0fbc2352, 
      0x45fbd005, 0x0fbc23d2,
   },
   { /* UV scale factor = 0.87, phases = 127, taps = 5. */
      0x4823ffba, 0x0005fba2, 
      0x50237fba, 0x0005fba2, 
      0x5822ffba, 0x0005fba2, 
      0x60227fba, 0x0005fba2, 
      0x6821efbb, 0x0005fba2, 
      0x71216fbb, 0x0004fba2, 
      0x7920dfbc, 0x0004fba2, 
      0x80205fbc, 0x0004fbb2, 
      0x881fdfbc, 0x0004fbb2, 
      0x901f4fbc, 0x0004fbc2, 
      0x981ebfbd, 0x0004fbc2, 
      0x9f1e3fbe, 0x0003fbd2, 
      0xa71dafbf, 0x0003fbd2, 
      0xae1d2fbf, 0x0003fbe2, 
      0xb61c9fbf, 0x0003fbf2, 
      0xbd1c1fc0, 0x0002fc02, 
      0xc41b8fc1, 0x0002fc12, 
      0xcb1b0fc1, 0x0002fc22, 
      0xd21a7fc2, 0x0002fc32, 
      0xd919efc3, 0x0002fc42, 
      0xe0196fc4, 0x0001fc52, 
      0xe618dfc5, 0x0001fc72, 
      0xec185fc6, 0x0001fc82, 
      0xf317cfc6, 0x0001fca2, 
      0xf9174fc8, 0x0000fcb2, 
      0xff16bfc9, 0x0000fcd2, 
      0x05163fc9, 0x0000fcf3, 
      0x0b15bfca, 0x0ffffd13, 
      0x11152fcb, 0x0ffffd33, 
      0x1614afcc, 0x0ffffd53, 
      0x1c142fcd, 0x0ffefd73, 
      0x21139fcf, 0x0ffefd93, 
      0x26131fcf, 0x0ffefdc3, 
      0x2b129fd1, 0x0ffdfde3, 
      0x30121fd1, 0x0ffdfe13, 
      0x35119fd2, 0x0ffdfe33, 
      0x39111fd4, 0x0ffcfe63, 
      0x3e109fd4, 0x0ffcfe93, 
      0x42101fd6, 0x0ffbfec3, 
      0x460fafd6, 0x0ffbfef3, 
      0x4a0f2fd7, 0x0ffbff23, 
      0x4e0eafd9, 0x0ffaff53, 
      0x520e2fd9, 0x0ffaff93, 
      0x550dbfdb, 0x0ff9ffc3, 
      0x580d4fdb, 0x0ff90003, 
      0x5c0ccfdc, 0x0ff80043, 
      0x5f0c5fdd, 0x0ff80073, 
      0x610bffde, 0x0ff700b3, 
      0x640b8fdf, 0x0ff600f3, 
      0x670b0fe0, 0x0ff60133, 
      0x690a9fe1, 0x0ff50183, 
      0x6b0a2fe2, 0x0ff501c3, 
      0x6d09cfe3, 0x0ff40203, 
      0x6f095fe4, 0x0ff30253, 
      0x7108ffe4, 0x0ff30293, 
      0x72088fe6, 0x0ff202e3, 
      0x73082fe7, 0x0ff10333, 
      0x7507bfe7, 0x0ff10383, 
      0x76075fe8, 0x0ff003d3, 
      0x76070fe9, 0x0fef0423, 
      0x77069fea, 0x0fef0473, 
      0x77063feb, 0x0fee04d3, 
      0x7805efeb, 0x0fed0523, 
      0x78058fec, 0x0fec0583, 
      0x78052fed, 0x0feb05e3, 
      0x7704dfee, 0x0feb0633, 
      0x77047fef, 0x0fea0693, 
      0x76042ff0, 0x0fe906f3, 
      0x7603dff0, 0x0fe80753, 
      0x75038ff1, 0x0fe707b3, 
      0x73033ff2, 0x0fe60823, 
      0x7202eff3, 0x0fe50883, 
      0x71029ff2, 0x0fe508f3, 
      0x6f025ff3, 0x0fe40953, 
      0x6d020ff4, 0x0fe309c3, 
      0x6b01cff5, 0x0fe20a23, 
      0x69018ff5, 0x0fe10a93, 
      0x67013ff6, 0x0fe00b03, 
      0x6400fff7, 0x0fdf0b73, 
      0x6100bff8, 0x0fde0be3, 
      0x5f007ff8, 0x0fdd0c53, 
      0x5c003ff8, 0x0fdc0cd3, 
      0x58000ff9, 0x0fdb0d43, 
      0x55ffcffa, 0x0fda0db3, 
      0x52ff9ff9, 0x0fd90e33, 
      0x4eff5ffb, 0x0fd80ea3, 
      0x4aff2ffb, 0x0fd70f23, 
      0x46fefffb, 0x0fd60fa3, 
      0x42fecffc, 0x0fd51013, 
      0x3efe9ffc, 0x0fd41093, 
      0x39fe6ffd, 0x0fd31113, 
      0x35fe3ffd, 0x0fd21193, 
      0x30fe1ffd, 0x0fd11213, 
      0x2bfdeffe, 0x0fd01293, 
      0x26fdcffe, 0x0fcf1313, 
      0x21fd9fff, 0x0fce1393, 
      0x1cfd7ffe, 0x0fcd1423, 
      0x16fd5fff, 0x0fcc14a3, 
      0x11fd3fff, 0x0fcb1523, 
      0x0bfd1fff, 0x0fca15b3, 
      0x05fcf000, 0x0fc91633, 
      0xfffcd001, 0x0fc816b2, 
      0xf9fcb001, 0x0fc71742, 
      0xf3fca000, 0x0fc717c2, 
      0xecfc8001, 0x0fc61852, 
      0xe6fc7001, 0x0fc518d2, 
      0xdffc5002, 0x0fc41962, 
      0xd9fc4002, 0x0fc319e2, 
      0xd2fc3002, 0x0fc21a72, 
      0xcbfc1002, 0x0fc21b02, 
      0xc4fc1002, 0x0fc11b82, 
      0xbdfc0002, 0x0fc01c12, 
      0xb6fbf003, 0x0fbf1c92, 
      0xaefbe003, 0x0fbf1d22, 
      0xa7fbd004, 0x0fbe1da2, 
      0x9ffbd003, 0x0fbe1e32, 
      0x98fbc003, 0x0fbd1ec2, 
      0x90fbc003, 0x0fbd1f42, 
      0x88fbb004, 0x0fbc1fd2, 
      0x80fbb004, 0x0fbc2052, 
      0x79fba005, 0x0fbb20d2, 
      0x71fba004, 0x0fbb2162, 
      0x68fba005, 0x0fbb21e2, 
      0x60fba005, 0x0fba2272, 
      0x58fba005, 0x0fba22f2, 
      0x50fba005, 0x0fba2372, 
      0x48fba005, 0x0fba23f2,
   },
   { /* UV scale factor = 0.88, phases = 127, taps = 5. */
      0x4a241fb8, 0x0006fb72, 
      0x52239fb8, 0x0006fb72, 
      0x5b230fb8, 0x0006fb72, 
      0x63228fb8, 0x0006fb72, 
      0x6b220fb9, 0x0005fb72, 
      0x74217fb9, 0x0005fb72, 
      0x7c20efb9, 0x0005fb82, 
      0x84205fba, 0x0005fb82, 
      0x8c1fdfba, 0x0005fb82, 
      0x941f4fbc, 0x0004fb82, 
      0x9c1ebfbc, 0x0004fb92, 
      0xa41e3fbc, 0x0004fb92, 
      0xab1dafbd, 0x0004fba2, 
      0xb31d1fbd, 0x0004fbb2, 
      0xba1c8fbf, 0x0004fbb2, 
      0xc21c0fbf, 0x0003fbc2, 
      0xc91b7fc0, 0x0003fbd2, 
      0xd01aefc1, 0x0003fbe2, 
      0xd71a5fc2, 0x0003fbf2, 
      0xde19dfc3, 0x0002fc02, 
      0xe5194fc4, 0x0002fc12, 
      0xec18bfc5, 0x0002fc22, 
      0xf3182fc5, 0x0002fc42, 
      0xf917afc6, 0x0002fc52, 
      0x00171fc7, 0x0001fc73, 
      0x06168fc9, 0x0001fc83, 
      0x0c160fc9, 0x0001fca3, 
      0x12157fcb, 0x0000fcc3, 
      0x1814ffcb, 0x0000fce3, 
      0x1e146fcc, 0x0000fd03, 
      0x2313efce, 0x0ffffd23, 
      0x29136fce, 0x0ffffd43, 
      0x2e12dfd0, 0x0ffffd63, 
      0x33125fd1, 0x0ffefd93, 
      0x3811dfd2, 0x0ffefdb3, 
      0x3d115fd2, 0x0ffefde3, 
      0x4210dfd3, 0x0ffdfe13, 
      0x46105fd5, 0x0ffdfe33, 
      0x4b0fdfd5, 0x0ffdfe63, 
      0x4f0f5fd7, 0x0ffcfe93, 
      0x530edfd8, 0x0ffcfec3, 
      0x570e5fd9, 0x0ffbff03, 
      0x5b0defd9, 0x0ffbff33, 
      0x5e0d7fdb, 0x0ffaff63, 
      0x620cffdb, 0x0ffaffa3, 
      0x650c8fdd, 0x0ff9ffd3, 
      0x680c0fde, 0x0ff90013, 
      0x6b0b9fdf, 0x0ff80053, 
      0x6e0b1fe0, 0x0ff80093, 
      0x710aafe1, 0x0ff700d3, 
      0x730a3fe2, 0x0ff70113, 
      0x7509dfe2, 0x0ff60163, 
      0x77096fe4, 0x0ff501a3, 
      0x7908ffe5, 0x0ff501e3, 
      0x7b088fe6, 0x0ff40233, 
      0x7c082fe7, 0x0ff30283, 
      0x7e07bfe7, 0x0ff302d3, 
      0x7f075fe8, 0x0ff20323, 
      0x8006ffe9, 0x0ff10373, 
      0x81068fea, 0x0ff103c3, 
      0x81063feb, 0x0ff00413, 
      0x8205dfec, 0x0fef0463, 
      0x82057fed, 0x0fee04c3, 
      0x82052fee, 0x0fed0513, 
      0x8204cfee, 0x0fed0573, 
      0x82046fef, 0x0fec05d3, 
      0x81041ff0, 0x0feb0633, 
      0x8103cff0, 0x0fea0693, 
      0x80037ff1, 0x0fe906f3, 
      0x7f032ff2, 0x0fe80753, 
      0x7e02dff2, 0x0fe707c3, 
      0x7c028ff3, 0x0fe70823, 
      0x7b023ff4, 0x0fe60883, 
      0x7901eff5, 0x0fe508f3, 
      0x7701aff5, 0x0fe40963, 
      0x75016ff5, 0x0fe309d3, 
      0x73011ff7, 0x0fe20a33, 
      0x7100dff7, 0x0fe10aa3, 
      0x6e009ff8, 0x0fe00b13, 
      0x6b005ff8, 0x0fdf0b93, 
      0x68001ff9, 0x0fde0c03, 
      0x65ffdffa, 0x0fdd0c73, 
      0x62ffaff9, 0x0fdc0cf3, 
      0x5eff6ffb, 0x0fdb0d63, 
      0x5bff3ffa, 0x0fda0de3, 
      0x57ff0ffb, 0x0fd90e53, 
      0x53fecffc, 0x0fd80ed3, 
      0x4ffe9ffc, 0x0fd70f53, 
      0x4bfe6ffc, 0x0fd60fd3, 
      0x46fe3ffd, 0x0fd51053, 
      0x42fe0ffd, 0x0fd410d3, 
      0x3dfdeffe, 0x0fd21153, 
      0x38fdbfff, 0x0fd111d3, 
      0x33fd9fff, 0x0fd01253, 
      0x2efd7fff, 0x0fcf12d3, 
      0x29fd4fff, 0x0fce1363, 
      0x23fd2000, 0x0fcd13e3, 
      0x1efd0000, 0x0fcc1463, 
      0x18fce000, 0x0fcb14f3, 
      0x12fcc001, 0x0fca1573, 
      0x0cfca001, 0x0fc91603, 
      0x06fc9001, 0x0fc81683, 
      0x00fc7001, 0x0fc71713, 
      0xf9fc5002, 0x0fc617a2, 
      0xf3fc4002, 0x0fc51822, 
      0xecfc2003, 0x0fc418b2, 
      0xe5fc1002, 0x0fc41942, 
      0xdefc0003, 0x0fc319c2, 
      0xd7fbf003, 0x0fc21a52, 
      0xd0fbe003, 0x0fc11ae2, 
      0xc9fbd003, 0x0fc01b72, 
      0xc2fbc003, 0x0fbf1c02, 
      0xbafbb004, 0x0fbf1c82, 
      0xb3fbb003, 0x0fbe1d12, 
      0xabfba004, 0x0fbd1da2, 
      0xa4fb9004, 0x0fbc1e32, 
      0x9cfb9004, 0x0fbc1eb2, 
      0x94fb8005, 0x0fbb1f42, 
      0x8cfb8004, 0x0fbb1fd2, 
      0x84fb8005, 0x0fba2052, 
      0x7cfb7005, 0x0fba20e2, 
      0x74fb7005, 0x0fb92172, 
      0x6bfb7006, 0x0fb921f2, 
      0x63fb7006, 0x0fb82282, 
      0x5bfb7006, 0x0fb82302, 
      0x52fb7006, 0x0fb82392, 
      0x4afb7006, 0x0fb82412,
   },
   { /* UV scale factor = 0.89, phases = 127, taps = 5. */
      0x4c243fb5, 0x0007fb52, 
      0x5423afb6, 0x0007fb52, 
      0x5d232fb6, 0x0006fb52, 
      0x65229fb7, 0x0006fb52, 
      0x6e220fb7, 0x0006fb52, 
      0x76217fb8, 0x0006fb52, 
      0x7f20efb8, 0x0006fb52, 
      0x87206fb8, 0x0006fb52, 
      0x8f1fdfba, 0x0005fb52, 
      0x981f4fba, 0x0005fb52, 
      0xa01ebfba, 0x0005fb62, 
      0xa81e2fbb, 0x0005fb62, 
      0xaf1d9fbc, 0x0005fb72, 
      0xb71d0fbd, 0x0005fb72, 
      0xbf1c7fbe, 0x0004fb82, 
      0xc71befbf, 0x0004fb82, 
      0xce1b5fc0, 0x0004fb92, 
      0xd61acfc0, 0x0004fba2, 
      0xdd1a3fc1, 0x0004fbb2, 
      0xe419afc3, 0x0003fbc2, 
      0xeb192fc3, 0x0003fbd2, 
      0xf2189fc4, 0x0003fbe2, 
      0xf9180fc5, 0x0003fbf2, 
      0x00177fc6, 0x0002fc13, 
      0x0616efc8, 0x0002fc23, 
      0x0d165fc8, 0x0002fc43, 
      0x1315dfc9, 0x0002fc53, 
      0x19154fcb, 0x0001fc73, 
      0x1f14bfcc, 0x0001fc93, 
      0x25143fcc, 0x0001fcb3, 
      0x2b13afcd, 0x0001fcd3, 
      0x30132fcf, 0x0000fcf3, 
      0x36129fd0, 0x0000fd13, 
      0x3b121fd1, 0x0000fd33, 
      0x40119fd2, 0x0ffffd63, 
      0x45110fd4, 0x0ffffd83, 
      0x4a108fd5, 0x0ffefdb3, 
      0x4f100fd5, 0x0ffefde3, 
      0x540f7fd6, 0x0ffefe13, 
      0x580f0fd8, 0x0ffdfe33, 
      0x5c0e8fd8, 0x0ffdfe73, 
      0x600e0fda, 0x0ffcfea3, 
      0x640d8fdb, 0x0ffcfed3, 
      0x680d1fdc, 0x0ffbff03, 
      0x6b0c9fdd, 0x0ffbff43, 
      0x6f0c2fde, 0x0ffaff73, 
      0x720bafdf, 0x0ffaffb3, 
      0x750b3fe0, 0x0ff9fff3, 
      0x780acfe0, 0x0ff90033, 
      0x7a0a5fe2, 0x0ff80073, 
      0x7d09dfe3, 0x0ff800b3, 
      0x7f097fe4, 0x0ff700f3, 
      0x81090fe4, 0x0ff70143, 
      0x83089fe6, 0x0ff60183, 
      0x85082fe7, 0x0ff501d3, 
      0x8707cfe7, 0x0ff50213, 
      0x88075fe9, 0x0ff40263, 
      0x8906ffea, 0x0ff302b3, 
      0x8a069fea, 0x0ff30303, 
      0x8b062fec, 0x0ff20353, 
      0x8c05cfec, 0x0ff103b3, 
      0x8c057fed, 0x0ff00403, 
      0x8c051fee, 0x0ff00453, 
      0x8d04bfee, 0x0fef04b3, 
      0x8c045ff0, 0x0fee0513, 
      0x8c040ff0, 0x0fed0573, 
      0x8c03bff1, 0x0fec05c3, 
      0x8b036ff2, 0x0feb0623, 
      0x8a030ff2, 0x0feb0693, 
      0x8902bff3, 0x0fea06f3, 
      0x88026ff4, 0x0fe90753, 
      0x87021ff4, 0x0fe807c3, 
      0x8501dff5, 0x0fe70823, 
      0x83018ff6, 0x0fe60893, 
      0x81014ff6, 0x0fe50903, 
      0x7f00fff8, 0x0fe40963, 
      0x7d00bff8, 0x0fe309d3, 
      0x7a007ff9, 0x0fe20a43, 
      0x78003ff8, 0x0fe10ac3, 
      0x75fffff9, 0x0fe00b33, 
      0x72ffbffa, 0x0fdf0ba3, 
      0x6fff7ffa, 0x0fde0c23, 
      0x6bff4ffb, 0x0fdd0c93, 
      0x68ff0ffb, 0x0fdc0d13, 
      0x64fedffc, 0x0fdb0d83, 
      0x60feaffc, 0x0fda0e03, 
      0x5cfe7ffc, 0x0fd90e83, 
      0x58fe3ffe, 0x0fd70f03, 
      0x54fe1ffd, 0x0fd60f83, 
      0x4ffdeffe, 0x0fd51003, 
      0x4afdbfff, 0x0fd41083, 
      0x45fd9fff, 0x0fd31103, 
      0x40fd6fff, 0x0fd21193, 
      0x3bfd3000, 0x0fd11213, 
      0x36fd1000, 0x0fd01293, 
      0x30fcf000, 0x0fcf1323, 
      0x2bfcd000, 0x0fce13a3, 
      0x25fcb000, 0x0fcd1433, 
      0x1ffc9002, 0x0fcb14b3, 
      0x19fc7002, 0x0fca1543, 
      0x13fc5002, 0x0fc915d3, 
      0x0dfc4002, 0x0fc81653, 
      0x06fc2003, 0x0fc716e3, 
      0x00fc1002, 0x0fc61773, 
      0xf9fbf003, 0x0fc51802, 
      0xf2fbe003, 0x0fc41892, 
      0xebfbd003, 0x0fc31922, 
      0xe4fbc004, 0x0fc219a2, 
      0xddfbb004, 0x0fc11a32, 
      0xd6fba004, 0x0fc01ac2, 
      0xcefb9004, 0x0fc01b52, 
      0xc7fb8004, 0x0fbf1be2, 
      0xbffb8004, 0x0fbe1c72, 
      0xb7fb7005, 0x0fbd1d02, 
      0xb0fb7004, 0x0fbc1d92, 
      0xa8fb6005, 0x0fbb1e22, 
      0xa0fb5005, 0x0fbb1eb2, 
      0x98fb5005, 0x0fba1f42, 
      0x8ffb5006, 0x0fb91fd2, 
      0x87fb5005, 0x0fb92062, 
      0x7ffb5006, 0x0fb820e2, 
      0x76fb5006, 0x0fb82172, 
      0x6efb5006, 0x0fb72202, 
      0x65fb5006, 0x0fb72292, 
      0x5dfb5006, 0x0fb62322, 
      0x54fb5007, 0x0fb623a2, 
      0x4cfb5006, 0x0fb62432,
   },
   { /* UV scale factor = 0.90, phases = 127, taps = 5. */
      0x4d245fb4, 0x0007fb32, 
      0x5623cfb4, 0x0007fb32, 
      0x5f233fb4, 0x0007fb32, 
      0x68229fb5, 0x0007fb32, 
      0x71221fb5, 0x0007fb22, 
      0x79218fb6, 0x0007fb22, 
      0x8220ffb7, 0x0006fb22, 
      0x8a206fb8, 0x0006fb22, 
      0x931fdfb8, 0x0006fb22, 
      0x9b1f4fb9, 0x0006fb22, 
      0xa31eafba, 0x0006fb32, 
      0xac1e1fba, 0x0006fb32, 
      0xb41d8fbc, 0x0005fb32, 
      0xbc1cffbc, 0x0005fb42, 
      0xc41c6fbd, 0x0005fb42, 
      0xcb1bdfbe, 0x0005fb52, 
      0xd31b3fbf, 0x0005fb62, 
      0xdb1aafc0, 0x0005fb62, 
      0xe21a1fc2, 0x0004fb72, 
      0xea198fc2, 0x0004fb82, 
      0xf118ffc3, 0x0004fb92, 
      0xf8186fc4, 0x0004fba2, 
      0xff17dfc5, 0x0004fbb2, 
      0x06174fc7, 0x0003fbc3, 
      0x0d16bfc7, 0x0003fbe3, 
      0x13162fc9, 0x0003fbf3, 
      0x1a159fc9, 0x0003fc13, 
      0x20151fcb, 0x0002fc23, 
      0x26148fcc, 0x0002fc43, 
      0x2c13ffcd, 0x0002fc63, 
      0x32136fce, 0x0002fc83, 
      0x3812efcf, 0x0001fca3, 
      0x3e125fd0, 0x0001fcc3, 
      0x4311cfd2, 0x0001fce3, 
      0x49114fd2, 0x0000fd13, 
      0x4e10cfd3, 0x0000fd33, 
      0x53103fd5, 0x0000fd53, 
      0x580fbfd6, 0x0ffffd83, 
      0x5c0f3fd7, 0x0ffffdb3, 
      0x610ebfd8, 0x0ffefde3, 
      0x650e3fd9, 0x0ffefe13, 
      0x690dbfda, 0x0ffefe43, 
      0x6d0d3fdc, 0x0ffdfe73, 
      0x710cbfdd, 0x0ffdfea3, 
      0x750c3fde, 0x0ffcfee3, 
      0x780bcfdf, 0x0ffcff13, 
      0x7c0b4fe0, 0x0ffbff53, 
      0x7f0acfe1, 0x0ffbff93, 
      0x820a6fe2, 0x0ffaffc3, 
      0x8409efe4, 0x0ffa0003, 
      0x87097fe4, 0x0ff90053, 
      0x89090fe6, 0x0ff80093, 
      0x8b089fe7, 0x0ff800d3, 
      0x8d083fe7, 0x0ff70123, 
      0x8f07cfe8, 0x0ff70163, 
      0x91075fe9, 0x0ff601b3, 
      0x9206ffea, 0x0ff50203, 
      0x94068fea, 0x0ff50253, 
      0x95062feb, 0x0ff402a3, 
      0x9505cfed, 0x0ff302f3, 
      0x96056fee, 0x0ff20343, 
      0x97050fee, 0x0ff20393, 
      0x9704afef, 0x0ff103f3, 
      0x97044ff1, 0x0ff00443, 
      0x9703fff1, 0x0fef04a3, 
      0x97039ff2, 0x0fee0503, 
      0x96034ff2, 0x0fee0563, 
      0x9502fff3, 0x0fed05c3, 
      0x9502aff3, 0x0fec0623, 
      0x94025ff4, 0x0feb0683, 
      0x92020ff5, 0x0fea06f3, 
      0x9101bff6, 0x0fe90753, 
      0x8f016ff7, 0x0fe807c3, 
      0x8d012ff7, 0x0fe70833, 
      0x8b00eff8, 0x0fe60893, 
      0x89009ff9, 0x0fe50903, 
      0x87005ff9, 0x0fe40973, 
      0x84001ffa, 0x0fe309e3, 
      0x82ffcffa, 0x0fe20a63, 
      0x7fff9ffa, 0x0fe10ad3, 
      0x7cff5ffb, 0x0fe00b43, 
      0x78ff1ffc, 0x0fdf0bc3, 
      0x75feeffc, 0x0fde0c33, 
      0x71feaffd, 0x0fdd0cb3, 
      0x6dfe7ffd, 0x0fdc0d33, 
      0x69fe4ffd, 0x0fdb0db3, 
      0x65fe1ffe, 0x0fd90e33, 
      0x61fdeffe, 0x0fd80eb3, 
      0x5cfdbfff, 0x0fd70f33, 
      0x58fd8fff, 0x0fd60fb3, 
      0x53fd5000, 0x0fd51033, 
      0x4efd3fff, 0x0fd410c3, 
      0x49fd0000, 0x0fd31143, 
      0x43fce001, 0x0fd211c3, 
      0x3efcc001, 0x0fd01253, 
      0x38fca001, 0x0fcf12e3, 
      0x32fc8002, 0x0fce1363, 
      0x2cfc6002, 0x0fcd13f3, 
      0x26fc4002, 0x0fcc1483, 
      0x20fc2003, 0x0fcb1503, 
      0x1afc1002, 0x0fca1593, 
      0x13fc0003, 0x0fc81623, 
      0x0dfbe003, 0x0fc716b3, 
      0x06fbc004, 0x0fc61743, 
      0xfffbb004, 0x0fc517d2, 
      0xf8fba004, 0x0fc41862, 
      0xf1fb9004, 0x0fc318f2, 
      0xeafb8004, 0x0fc21982, 
      0xe2fb7005, 0x0fc11a12, 
      0xdbfb6005, 0x0fc01aa2, 
      0xd3fb6004, 0x0fbf1b42, 
      0xcbfb5005, 0x0fbe1bd2, 
      0xc4fb4005, 0x0fbd1c62, 
      0xbcfb4005, 0x0fbc1cf2, 
      0xb4fb3006, 0x0fbb1d82, 
      0xacfb3005, 0x0fbb1e12, 
      0xa3fb3006, 0x0fba1ea2, 
      0x9bfb3006, 0x0fb91f32, 
      0x93fb2006, 0x0fb81fd2, 
      0x8afb2006, 0x0fb82062, 
      0x82fb2006, 0x0fb720f2, 
      0x79fb2007, 0x0fb62182, 
      0x71fb2006, 0x0fb62212, 
      0x68fb3006, 0x0fb522a2, 
      0x5ffb3006, 0x0fb52332, 
      0x56fb3007, 0x0fb423c2, 
      0x4dfb3008, 0x0fb42442,
   },
   { /* UV scale factor = 0.91, phases = 127, taps = 5. */
      0x4f246fb1, 0x0008fb22, 
      0x5823dfb2, 0x0008fb12, 
      0x61233fb3, 0x0008fb12, 
      0x6a22bfb4, 0x0007fb02, 
      0x73221fb5, 0x0007fb02, 
      0x7c218fb5, 0x0007fb02, 
      0x8520ffb5, 0x0007fb02, 
      0x8d206fb6, 0x0007fb02, 
      0x961fcfb7, 0x0007fb02, 
      0x9f1f2fb8, 0x0007fb02, 
      0xa71eafb9, 0x0006fb02, 
      0xaf1e1fba, 0x0006fb02, 
      0xb81d7fbb, 0x0006fb02, 
      0xc01cefbb, 0x0006fb12, 
      0xc81c4fbd, 0x0006fb12, 
      0xd01bbfbe, 0x0006fb12, 
      0xd81b2fbe, 0x0006fb22, 
      0xe01a8fc0, 0x0005fb32, 
      0xe819ffc1, 0x0005fb32, 
      0xef196fc2, 0x0005fb42, 
      0xf718cfc3, 0x0005fb52, 
      0xfe183fc4, 0x0005fb62, 
      0x0517afc6, 0x0004fb73, 
      0x0c171fc7, 0x0004fb83, 
      0x13168fc8, 0x0004fb93, 
      0x1a15ffc8, 0x0004fbb3, 
      0x21156fc9, 0x0004fbc3, 
      0x2714dfcb, 0x0003fbe3, 
      0x2e144fcc, 0x0003fbf3, 
      0x3413bfcd, 0x0003fc13, 
      0x3a132fce, 0x0003fc33, 
      0x40129fd0, 0x0002fc53, 
      0x46120fd1, 0x0002fc73, 
      0x4b118fd2, 0x0002fc93, 
      0x5110ffd4, 0x0001fcb3, 
      0x56107fd4, 0x0001fce3, 
      0x5b0fefd6, 0x0001fd03, 
      0x600f6fd7, 0x0000fd33, 
      0x650eefd8, 0x0000fd53, 
      0x6a0e5fd9, 0x0000fd83, 
      0x6e0ddfdb, 0x0ffffdb3, 
      0x720d5fdc, 0x0ffffde3, 
      0x760cefdd, 0x0ffefe13, 
      0x7a0c6fde, 0x0ffefe43, 
      0x7e0befdf, 0x0ffdfe83, 
      0x820b6fe0, 0x0ffdfeb3, 
      0x850aefe2, 0x0ffcfef3, 
      0x880a7fe3, 0x0ffcff23, 
      0x8b0a0fe4, 0x0ffbff63, 
      0x8e098fe5, 0x0ffbffa3, 
      0x91091fe6, 0x0ffaffe3, 
      0x9308afe7, 0x0ffa0023, 
      0x96083fe7, 0x0ff90073, 
      0x9807cfe8, 0x0ff900b3, 
      0x99075fea, 0x0ff80103, 
      0x9b06ffeb, 0x0ff70143, 
      0x9d068feb, 0x0ff70193, 
      0x9e062fec, 0x0ff601e3, 
      0x9f05cfed, 0x0ff50233, 
      0xa0055fee, 0x0ff50283, 
      0xa104ffef, 0x0ff402d3, 
      0xa1049ff0, 0x0ff30333, 
      0xa1044ff1, 0x0ff20383, 
      0xa103eff2, 0x0ff103e3, 
      0xa1038ff2, 0x0ff10443, 
      0xa1033ff3, 0x0ff00493, 
      0xa102dff4, 0x0fef04f3, 
      0xa0028ff5, 0x0fee0553, 
      0x9f023ff5, 0x0fed05c3, 
      0x9e01eff6, 0x0fec0623, 
      0x9d019ff7, 0x0feb0683, 
      0x9b014ff8, 0x0fea06f3, 
      0x9a010ff8, 0x0fe90753, 
      0x9800bff8, 0x0fe907c3, 
      0x96006ff9, 0x0fe80833, 
      0x93002ffa, 0x0fe708a3, 
      0x91ffeffb, 0x0fe50913, 
      0x8effbffb, 0x0fe40983, 
      0x8bff6ffc, 0x0fe30a03, 
      0x88ff3ffc, 0x0fe20a73, 
      0x85fefffd, 0x0fe10ae3, 
      0x82febffd, 0x0fe00b63, 
      0x7efe8ffd, 0x0fdf0be3, 
      0x7afe5ffe, 0x0fde0c53, 
      0x76fe1fff, 0x0fdd0cd3, 
      0x72fdefff, 0x0fdc0d53, 
      0x6efdbfff, 0x0fdb0dd3, 
      0x6afd8000, 0x0fd90e53, 
      0x65fd5000, 0x0fd80ee3, 
      0x60fd3000, 0x0fd70f63, 
      0x5bfd0001, 0x0fd60fe3, 
      0x56fcd001, 0x0fd51073, 
      0x51fcb001, 0x0fd410f3, 
      0x4bfc9002, 0x0fd21183, 
      0x46fc7002, 0x0fd11203, 
      0x40fc5002, 0x0fd01293, 
      0x3afc3002, 0x0fcf1323, 
      0x34fc1002, 0x0fce13b3, 
      0x2efbf003, 0x0fcc1443, 
      0x27fbe003, 0x0fcb14d3, 
      0x21fbc003, 0x0fca1563, 
      0x1afbb003, 0x0fc915f3, 
      0x13fb9004, 0x0fc81683, 
      0x0cfb8004, 0x0fc71713, 
      0x05fb7005, 0x0fc517a3, 
      0xfefb6005, 0x0fc41832, 
      0xf7fb5005, 0x0fc318c2, 
      0xeffb4005, 0x0fc21962, 
      0xe8fb3005, 0x0fc119f2, 
      0xe0fb3005, 0x0fc01a82, 
      0xd8fb2005, 0x0fbf1b22, 
      0xd0fb1006, 0x0fbe1bb2, 
      0xc8fb1006, 0x0fbd1c42, 
      0xc0fb0006, 0x0fbc1ce2, 
      0xb8fb0006, 0x0fbb1d72, 
      0xaffb0007, 0x0fba1e02, 
      0xa7fb0006, 0x0fb91ea2, 
      0x9ffb0006, 0x0fb81f32, 
      0x96fb0007, 0x0fb71fc2, 
      0x8dfb0007, 0x0fb62062, 
      0x85faf007, 0x0fb620f2, 
      0x7cfb0007, 0x0fb52182, 
      0x73fb0008, 0x0fb42212, 
      0x6afb0008, 0x0fb422a2, 
      0x61fb1007, 0x0fb32342, 
      0x58fb1007, 0x0fb323d2, 
      0x4ffb2007, 0x0fb22462,
   },
   { /* UV scale factor = 0.92, phases = 127, taps = 5. */
      0x50247fb1, 0x0008fb02, 
      0x5a23efb1, 0x0008faf2, 
      0x63234fb2, 0x0008faf2, 
      0x6c22bfb3, 0x0008fae2, 
      0x75222fb3, 0x0008fae2, 
      0x7e218fb4, 0x0008fae2, 
      0x8720ffb4, 0x0008fae2, 
      0x90205fb6, 0x0008fad2, 
      0x991fcfb7, 0x0007fad2, 
      0xa21f2fb8, 0x0007fad2, 
      0xab1e9fb8, 0x0007fad2, 
      0xb31dffba, 0x0007fad2, 
      0xbc1d6fba, 0x0007fad2, 
      0xc41ccfbb, 0x0007fae2, 
      0xcc1c3fbc, 0x0007fae2, 
      0xd51b9fbe, 0x0006fae2, 
      0xdd1b0fbe, 0x0006faf2, 
      0xe51a6fc0, 0x0006faf2, 
      0xed19dfc0, 0x0006fb02, 
      0xf4193fc3, 0x0006fb02, 
      0xfc18afc3, 0x0006fb12, 
      0x04180fc5, 0x0005fb23, 
      0x0b177fc6, 0x0005fb33, 
      0x1216efc7, 0x0005fb43, 
      0x19164fc9, 0x0005fb53, 
      0x2015bfca, 0x0005fb63, 
      0x27152fcb, 0x0004fb83, 
      0x2e149fcc, 0x0004fb93, 
      0x3513ffcd, 0x0004fbb3, 
      0x3b137fce, 0x0004fbc3, 
      0x4112efcf, 0x0004fbe3, 
      0x47125fd1, 0x0003fc03, 
      0x4d11cfd2, 0x0003fc23, 
      0x53113fd3, 0x0003fc43, 
      0x5910afd5, 0x0002fc63, 
      0x5e102fd6, 0x0002fc83, 
      0x640f9fd6, 0x0002fcb3, 
      0x690f1fd8, 0x0001fcd3, 
      0x6e0e8fd9, 0x0001fd03, 
      0x720e0fdb, 0x0001fd23, 
      0x770d8fdc, 0x0000fd53, 
      0x7b0d0fdd, 0x0000fd83, 
      0x800c7fde, 0x0000fdb3, 
      0x840c0fdf, 0x0ffffde3, 
      0x880b7fe0, 0x0ffffe23, 
      0x8b0b0fe2, 0x0ffefe53, 
      0x8f0a8fe2, 0x0ffefe93, 
      0x920a1fe4, 0x0ffdfec3, 
      0x95099fe5, 0x0ffdff03, 
      0x98092fe6, 0x0ffcff43, 
      0x9b08bfe6, 0x0ffcff83, 
      0x9d084fe8, 0x0ffbffc3, 
      0xa007dfe8, 0x0ffb0003, 
      0xa2076fe9, 0x0ffa0053, 
      0xa406ffeb, 0x0ff90093, 
      0xa5068fec, 0x0ff900e3, 
      0xa7062fed, 0x0ff80123, 
      0xa805cfee, 0x0ff70173, 
      0xa9055fef, 0x0ff701c3, 
      0xaa04fff0, 0x0ff60213, 
      0xab049ff0, 0x0ff50273, 
      0xac043ff1, 0x0ff402c3, 
      0xac03dff2, 0x0ff40313, 
      0xac037ff3, 0x0ff30373, 
      0xac031ff4, 0x0ff203d3, 
      0xac02cff4, 0x0ff10433, 
      0xab027ff5, 0x0ff00493, 
      0xaa021ff6, 0x0ff004f3, 
      0xa901cff7, 0x0fef0553, 
      0xa8017ff8, 0x0fee05b3, 
      0xa7012ff8, 0x0fed0623, 
      0xa500eff9, 0x0fec0683, 
      0xa4009ff9, 0x0feb06f3, 
      0xa2005ff9, 0x0fea0763, 
      0xa0000ffa, 0x0fe907d3, 
      0x9dffcffb, 0x0fe80843, 
      0x9bff8ffb, 0x0fe708b3, 
      0x98ff4ffc, 0x0fe60923, 
      0x95ff0ffd, 0x0fe50993, 
      0x92fecffd, 0x0fe40a13, 
      0x8ffe9ffd, 0x0fe30a83, 
      0x8bfe5fff, 0x0fe10b03, 
      0x88fe2ffe, 0x0fe00b83, 
      0x84fdefff, 0x0fdf0c03, 
      0x80fdbfff, 0x0fde0c83, 
      0x7bfd8000, 0x0fdd0d03, 
      0x77fd5000, 0x0fdc0d83, 
      0x72fd2001, 0x0fdb0e03, 
      0x6efd0001, 0x0fd90e83, 
      0x69fcd001, 0x0fd80f13, 
      0x64fcb001, 0x0fd70f93, 
      0x5efc8002, 0x0fd61023, 
      0x59fc6003, 0x0fd410a3, 
      0x53fc4003, 0x0fd31133, 
      0x4dfc2003, 0x0fd211c3, 
      0x47fc0003, 0x0fd11253, 
      0x41fbe003, 0x0fd012e3, 
      0x3bfbc004, 0x0fce1373, 
      0x35fba004, 0x0fcd1403, 
      0x2efb9004, 0x0fcc1493, 
      0x27fb8004, 0x0fcb1523, 
      0x20fb7005, 0x0fc915b3, 
      0x19fb6005, 0x0fc81643, 
      0x12fb4005, 0x0fc716e3, 
      0x0bfb3005, 0x0fc61773, 
      0x04fb2006, 0x0fc41803, 
      0xfcfb1006, 0x0fc318a2, 
      0xf4fb1006, 0x0fc21932, 
      0xedfaf006, 0x0fc119d2, 
      0xe5faf006, 0x0fc01a62, 
      0xddfae006, 0x0fbf1b02, 
      0xd5fae006, 0x0fbe1b92, 
      0xccfae006, 0x0fbd1c32, 
      0xc4fae007, 0x0fbb1cc2, 
      0xbcfad007, 0x0fba1d62, 
      0xb3fad008, 0x0fb91df2, 
      0xabfad007, 0x0fb81e92, 
      0xa2fad008, 0x0fb71f22, 
      0x99fad007, 0x0fb71fc2, 
      0x90fad008, 0x0fb62052, 
      0x87fae007, 0x0fb520f2, 
      0x7efae008, 0x0fb42182, 
      0x75fae008, 0x0fb32222, 
      0x6cfae009, 0x0fb222b2, 
      0x63faf008, 0x0fb22342, 
      0x5afaf008, 0x0fb123e2, 
      0x50fb0009, 0x0fb02472,
   },
   { /* UV scale factor = 0.93, phases = 127, taps = 5. */
      0x52248faf, 0x0009fae2, 
      0x5b23ffaf, 0x0009fae2, 
      0x65235fb0, 0x0009fad2, 
      0x6e22bfb1, 0x0009fad2, 
      0x77222fb3, 0x0008fac2, 
      0x81218fb3, 0x0008fac2, 
      0x8a20ffb4, 0x0008fab2, 
      0x93205fb5, 0x0008fab2, 
      0x9c1fbfb6, 0x0008fab2, 
      0xa51f1fb7, 0x0008fab2, 
      0xae1e8fb7, 0x0008fab2, 
      0xb71ddfb9, 0x0008fab2, 
      0xbf1d4fba, 0x0008fab2, 
      0xc81cafbc, 0x0007fab2, 
      0xd11c1fbc, 0x0007fab2, 
      0xd91b7fbe, 0x0007fab2, 
      0xe11aefbf, 0x0007fab2, 
      0xea1a4fbf, 0x0007fac2, 
      0xf219afc1, 0x0007fac2, 
      0xfa190fc2, 0x0007fad2, 
      0x02187fc3, 0x0006fae3, 
      0x0917efc5, 0x0006fae3, 
      0x11174fc6, 0x0006faf3, 
      0x1816afc8, 0x0006fb03, 
      0x20161fc8, 0x0006fb13, 
      0x27157fca, 0x0006fb23, 
      0x2e14efcc, 0x0005fb33, 
      0x35145fcc, 0x0005fb53, 
      0x3c13bfce, 0x0005fb63, 
      0x42132fcf, 0x0005fb83, 
      0x49129fd0, 0x0005fb93, 
      0x4f120fd2, 0x0004fbb3, 
      0x55117fd3, 0x0004fbd3, 
      0x5b10efd4, 0x0004fbf3, 
      0x61105fd6, 0x0003fc13, 
      0x660fdfd7, 0x0003fc33, 
      0x6c0f4fd8, 0x0003fc53, 
      0x710ebfd9, 0x0003fc83, 
      0x760e3fdb, 0x0002fca3, 
      0x7b0dafdc, 0x0002fcd3, 
      0x800d2fdd, 0x0002fcf3, 
      0x840cafdf, 0x0001fd23, 
      0x890c2fdf, 0x0001fd53, 
      0x8d0bafe1, 0x0000fd83, 
      0x910b2fe1, 0x0000fdc3, 
      0x950aafe2, 0x0000fdf3, 
      0x980a2fe5, 0x0ffffe23, 
      0x9c09afe5, 0x0ffffe63, 
      0x9f093fe6, 0x0ffefea3, 
      0xa208cfe7, 0x0ffefed3, 
      0xa5084fe9, 0x0ffdff13, 
      0xa707dfe9, 0x0ffdff63, 
      0xaa076fea, 0x0ffcffa3, 
      0xac06ffec, 0x0ffbffe3, 
      0xae068fec, 0x0ffb0033, 
      0xb0062fed, 0x0ffa0073, 
      0xb105bfee, 0x0ffa00c3, 
      0xb3054fef, 0x0ff90113, 
      0xb404eff0, 0x0ff80163, 
      0xb5048ff1, 0x0ff701b3, 
      0xb5042ff2, 0x0ff70203, 
      0xb603cff3, 0x0ff60253, 
      0xb6036ff4, 0x0ff502b3, 
      0xb6031ff5, 0x0ff40303, 
      0xb602bff5, 0x0ff40363, 
      0xb6025ff6, 0x0ff303c3, 
      0xb5020ff7, 0x0ff20423, 
      0xb501bff7, 0x0ff10483, 
      0xb4016ff8, 0x0ff004e3, 
      0xb3011ff8, 0x0fef0553, 
      0xb100cffa, 0x0fee05b3, 
      0xb0007ffa, 0x0fed0623, 
      0xae003ffb, 0x0fec0683, 
      0xacffeffc, 0x0feb06f3, 
      0xaaffaffc, 0x0fea0763, 
      0xa7ff6ffd, 0x0fe907d3, 
      0xa5ff1ffe, 0x0fe80843, 
      0xa2fedffe, 0x0fe708c3, 
      0x9ffeaffe, 0x0fe60933, 
      0x9cfe6ffe, 0x0fe509b3, 
      0x98fe2000, 0x0fe40a23, 
      0x95fdffff, 0x0fe30aa3, 
      0x91fdcfff, 0x0fe20b23, 
      0x8dfd8000, 0x0fe10ba3, 
      0x89fd5001, 0x0fdf0c23, 
      0x84fd2002, 0x0fde0ca3, 
      0x80fcf002, 0x0fdd0d23, 
      0x7bfcd002, 0x0fdc0da3, 
      0x76fca002, 0x0fdb0e33, 
      0x71fc8003, 0x0fd90eb3, 
      0x6cfc5003, 0x0fd80f43, 
      0x66fc3003, 0x0fd70fd3, 
      0x61fc1003, 0x0fd61053, 
      0x5bfbf004, 0x0fd410e3, 
      0x55fbd004, 0x0fd31173, 
      0x4ffbb004, 0x0fd21203, 
      0x49fb9005, 0x0fd01293, 
      0x42fb8005, 0x0fcf1323, 
      0x3cfb6005, 0x0fce13b3, 
      0x35fb4005, 0x0fcd1453, 
      0x2efb3006, 0x0fcb14e3, 
      0x27fb2006, 0x0fca1573, 
      0x20fb1005, 0x0fc91613, 
      0x18fb1006, 0x0fc716a3, 
      0x11faf006, 0x0fc61743, 
      0x09fae007, 0x0fc517d3, 
      0x02fad006, 0x0fc41873, 
      0xfafad007, 0x0fc21902, 
      0xf2fac007, 0x0fc119a2, 
      0xeafac006, 0x0fc01a42, 
      0xe1fab008, 0x0fbf1ad2, 
      0xd9fab007, 0x0fbe1b72, 
      0xd1fab007, 0x0fbc1c12, 
      0xc8fab008, 0x0fbb1ca2, 
      0xc0fab007, 0x0fba1d42, 
      0xb7fab007, 0x0fb91de2, 
      0xaefab007, 0x0fb81e82, 
      0xa5fab008, 0x0fb71f12, 
      0x9cfab008, 0x0fb61fb2, 
      0x93fab008, 0x0fb52052, 
      0x8afab008, 0x0fb420f2, 
      0x81fac008, 0x0fb32182, 
      0x77fac009, 0x0fb22222, 
      0x6efad009, 0x0fb122b2, 
      0x65fad008, 0x0fb12352, 
      0x5bfae008, 0x0fb023f2, 
      0x52fae009, 0x0faf2482,
   },
   { /* UV scale factor = 0.94, phases = 127, taps = 5. */
      0x53249fae, 0x0009fad2, 
      0x5c240faf, 0x0009fac2, 
      0x66236faf, 0x0009fac2, 
      0x7022cfb0, 0x0009fab2, 
      0x79222fb2, 0x0009faa2, 
      0x83218fb2, 0x0009faa2, 
      0x8c20efb4, 0x0009fa92, 
      0x96204fb4, 0x0009fa92, 
      0x9f1fafb5, 0x0009fa92, 
      0xa81f1fb7, 0x0008fa82, 
      0xb11e7fb8, 0x0008fa82, 
      0xba1ddfb9, 0x0008fa82, 
      0xc31d3fba, 0x0008fa82, 
      0xcc1c9fbb, 0x0008fa82, 
      0xd51bffbc, 0x0008fa82, 
      0xdd1b5fbe, 0x0008fa82, 
      0xe61abfbf, 0x0008fa82, 
      0xee1a1fc0, 0x0008fa92, 
      0xf7197fc2, 0x0007fa92, 
      0xff18dfc3, 0x0007faa2, 
      0x07184fc4, 0x0007faa3, 
      0x0f17afc5, 0x0007fab3, 
      0x17170fc7, 0x0007fab3, 
      0x1e166fc9, 0x0007fac3, 
      0x2615dfc9, 0x0007fad3, 
      0x2d154fcb, 0x0006fae3, 
      0x3414afcd, 0x0006faf3, 
      0x3c140fce, 0x0006fb03, 
      0x43137fce, 0x0006fb23, 
      0x4912efd0, 0x0006fb33, 
      0x50124fd2, 0x0005fb53, 
      0x5611cfd3, 0x0005fb63, 
      0x5d112fd4, 0x0005fb83, 
      0x63109fd5, 0x0005fba3, 
      0x69100fd6, 0x0005fbc3, 
      0x6f0f7fd8, 0x0004fbe3, 
      0x740eefda, 0x0004fc03, 
      0x7a0e6fda, 0x0004fc23, 
      0x7f0ddfdc, 0x0003fc53, 
      0x840d5fdd, 0x0003fc73, 
      0x890ccfde, 0x0003fca3, 
      0x8d0c4fe0, 0x0002fcd3, 
      0x920bcfe0, 0x0002fd03, 
      0x960b3fe2, 0x0002fd33, 
      0x9a0acfe3, 0x0001fd63, 
      0x9e0a4fe4, 0x0001fd93, 
      0xa209cfe6, 0x0000fdc3, 
      0xa5094fe7, 0x0000fe03, 
      0xa908dfe8, 0x0ffffe33, 
      0xac085fe9, 0x0ffffe73, 
      0xaf07efea, 0x0ffefeb3, 
      0xb1077feb, 0x0ffefef3, 
      0xb406ffed, 0x0ffdff33, 
      0xb6068fed, 0x0ffdff83, 
      0xb8062fee, 0x0ffcffc3, 
      0xba05bfef, 0x0ffc0003, 
      0xbc054ff0, 0x0ffb0053, 
      0xbd04eff1, 0x0ffa00a3, 
      0xbe047ff2, 0x0ffa00f3, 
      0xbf041ff3, 0x0ff90143, 
      0xc003bff4, 0x0ff80193, 
      0xc0035ff5, 0x0ff801e3, 
      0xc102fff5, 0x0ff70243, 
      0xc1029ff6, 0x0ff602a3, 
      0xc1024ff7, 0x0ff502f3, 
      0xc001fff8, 0x0ff40353, 
      0xc0019ff8, 0x0ff403b3, 
      0xbf014ff9, 0x0ff30413, 
      0xbe00fffa, 0x0ff20473, 
      0xbd00affa, 0x0ff104e3, 
      0xbc005ffb, 0x0ff00543, 
      0xba000ffc, 0x0fef05b3, 
      0xb8ffcffc, 0x0fee0623, 
      0xb6ff8ffd, 0x0fed0683, 
      0xb4ff3ffe, 0x0fec06f3, 
      0xb1fefffe, 0x0feb0773, 
      0xaffebffe, 0x0fea07e3, 
      0xacfe7fff, 0x0fe90853, 
      0xa9fe3fff, 0x0fe808d3, 
      0xa5fe0000, 0x0fe70943, 
      0xa2fdc000, 0x0fe609c3, 
      0x9efd9001, 0x0fe40a43, 
      0x9afd6001, 0x0fe30ac3, 
      0x96fd3001, 0x0fe20b43, 
      0x92fd0001, 0x0fe10bc3, 
      0x8dfcd002, 0x0fe00c43, 
      0x89fca003, 0x0fde0cc3, 
      0x84fc7003, 0x0fdd0d53, 
      0x7ffc5003, 0x0fdc0dd3, 
      0x7afc2003, 0x0fdb0e63, 
      0x74fc1004, 0x0fd90ee3, 
      0x6ffbe004, 0x0fd80f73, 
      0x69fbc004, 0x0fd71003, 
      0x63fba004, 0x0fd61093, 
      0x5dfb8005, 0x0fd41123, 
      0x56fb6006, 0x0fd311b3, 
      0x50fb5005, 0x0fd21243, 
      0x49fb3006, 0x0fd012e3, 
      0x43fb2005, 0x0fcf1373, 
      0x3cfb0006, 0x0fce1403, 
      0x34faf007, 0x0fcc14a3, 
      0x2dfae007, 0x0fcb1533, 
      0x26fad006, 0x0fca15d3, 
      0x1efad007, 0x0fc81663, 
      0x17fab007, 0x0fc71703, 
      0x0ffaa007, 0x0fc617a3, 
      0x07faa007, 0x0fc41843, 
      0xfffaa007, 0x0fc318d2, 
      0xf7fa9007, 0x0fc21972, 
      0xeefa9008, 0x0fc01a12, 
      0xe6fa8008, 0x0fbf1ab2, 
      0xddfa8008, 0x0fbe1b52, 
      0xd5fa8007, 0x0fbd1bf2, 
      0xccfa8008, 0x0fbb1c92, 
      0xc3fa8008, 0x0fba1d32, 
      0xbafa8009, 0x0fb91dc2, 
      0xb1fa8009, 0x0fb81e62, 
      0xa8fa8009, 0x0fb71f02, 
      0x9ffa9008, 0x0fb61fa2, 
      0x96fa9009, 0x0fb42042, 
      0x8cfaa009, 0x0fb320e2, 
      0x83faa009, 0x0fb22182, 
      0x79fab009, 0x0fb12222, 
      0x70fab009, 0x0fb022c2, 
      0x66fab009, 0x0fb02362, 
      0x5cfac00a, 0x0faf23f2, 
      0x53fad009, 0x0fae2492,
   },
   { /* UV scale factor = 0.95, phases = 127, taps = 5. */
      0x5424afac, 0x000afac2, 
      0x5e240fad, 0x000afab2, 
      0x68236faf, 0x0009faa2, 
      0x7122cfb0, 0x0009faa2, 
      0x7b222fb1, 0x0009fa92, 
      0x85218fb2, 0x0009fa82, 
      0x8f20dfb3, 0x0009fa82, 
      0x98203fb5, 0x0009fa72, 
      0xa21f9fb5, 0x0009fa72, 
      0xab1effb7, 0x0009fa62, 
      0xb41e5fb8, 0x0009fa62, 
      0xbe1dbfb8, 0x0009fa62, 
      0xc71d0fba, 0x0009fa62, 
      0xd01c7fbb, 0x0009fa52, 
      0xd91bcfbd, 0x0009fa52, 
      0xe21b2fbf, 0x0008fa52, 
      0xea1a8fc0, 0x0008fa62, 
      0xf319efc1, 0x0008fa62, 
      0xfc194fc2, 0x0008fa62, 
      0x0418afc4, 0x0008fa63, 
      0x0c180fc5, 0x0008fa73, 
      0x14176fc7, 0x0008fa73, 
      0x1c16cfc8, 0x0008fa83, 
      0x24162fc9, 0x0008fa93, 
      0x2c159fcb, 0x0007fa93, 
      0x3414ffcc, 0x0007faa3, 
      0x3b145fce, 0x0007fab3, 
      0x4213cfcf, 0x0007fac3, 
      0x49132fd1, 0x0007fad3, 
      0x50129fd1, 0x0007faf3, 
      0x57120fd3, 0x0006fb03, 
      0x5e116fd4, 0x0006fb23, 
      0x6410dfd6, 0x0006fb33, 
      0x6b104fd6, 0x0006fb53, 
      0x710fafd8, 0x0006fb73, 
      0x770f2fd9, 0x0005fb93, 
      0x7c0e9fdb, 0x0005fbb3, 
      0x820e0fdc, 0x0005fbd3, 
      0x870d8fde, 0x0004fbf3, 
      0x8d0cffde, 0x0004fc23, 
      0x920c6fe0, 0x0004fc43, 
      0x960befe1, 0x0004fc73, 
      0x9b0b6fe2, 0x0003fca3, 
      0x9f0adfe4, 0x0003fcd3, 
      0xa40a5fe5, 0x0002fd03, 
      0xa809dfe6, 0x0002fd33, 
      0xab095fe8, 0x0002fd63, 
      0xaf08efe8, 0x0001fda3, 
      0xb2086fea, 0x0001fdd3, 
      0xb607ffea, 0x0000fe13, 
      0xb9077feb, 0x0000fe53, 
      0xbb070fed, 0x0ffffe93, 
      0xbe069fed, 0x0ffffed3, 
      0xc0062fef, 0x0ffeff13, 
      0xc205bff0, 0x0ffeff53, 
      0xc4054ff1, 0x0ffdffa3, 
      0xc604dff2, 0x0ffcfff3, 
      0xc7047ff3, 0x0ffc0033, 
      0xc9041ff3, 0x0ffb0083, 
      0xca03aff4, 0x0ffb00d3, 
      0xca034ff6, 0x0ffa0123, 
      0xcb02eff6, 0x0ff90183, 
      0xcb029ff7, 0x0ff801d3, 
      0xcb023ff7, 0x0ff80233, 
      0xcb01dff9, 0x0ff70283, 
      0xcb018ff9, 0x0ff602e3, 
      0xca013ffa, 0x0ff50343, 
      0xca00dffb, 0x0ff403a3, 
      0xc9008ffb, 0x0ff30413, 
      0xc7003ffc, 0x0ff30473, 
      0xc6fffffc, 0x0ff204d3, 
      0xc4ffaffd, 0x0ff10543, 
      0xc2ff5ffe, 0x0ff005b3, 
      0xc0ff1ffe, 0x0fef0623, 
      0xbefedffe, 0x0fee0693, 
      0xbbfe9fff, 0x0fed0703, 
      0xb9fe5fff, 0x0fec0773, 
      0xb6fe0000, 0x0feb07f3, 
      0xb2fde001, 0x0fe90863, 
      0xaffda001, 0x0fe808e3, 
      0xabfd7002, 0x0fe70953, 
      0xa8fd3002, 0x0fe609d3, 
      0xa4fd0002, 0x0fe50a53, 
      0x9ffcd003, 0x0fe40ad3, 
      0x9bfca003, 0x0fe20b63, 
      0x96fc7004, 0x0fe10be3, 
      0x92fc4004, 0x0fe00c63, 
      0x8dfc1004, 0x0fdf0cf3, 
      0x87fc0005, 0x0fdd0d73, 
      0x82fbd005, 0x0fdc0e03, 
      0x7cfbb005, 0x0fdb0e93, 
      0x77fb8005, 0x0fda0f23, 
      0x71fb7005, 0x0fd80fb3, 
      0x6bfb5005, 0x0fd71043, 
      0x64fb3007, 0x0fd510d3, 
      0x5efb2006, 0x0fd41163, 
      0x57fb0006, 0x0fd31203, 
      0x50faf007, 0x0fd11293, 
      0x49fae007, 0x0fd01323, 
      0x42fac007, 0x0fcf13c3, 
      0x3bfab008, 0x0fcd1453, 
      0x34faa007, 0x0fcc14f3, 
      0x2cfa9008, 0x0fca1593, 
      0x24fa9007, 0x0fc91633, 
      0x1cfa8008, 0x0fc816c3, 
      0x14fa8008, 0x0fc61763, 
      0x0cfa7008, 0x0fc51803, 
      0x04fa6008, 0x0fc418a3, 
      0xfcfa6008, 0x0fc21942, 
      0xf3fa6008, 0x0fc119e2, 
      0xeafa6009, 0x0fbf1a82, 
      0xe2fa5009, 0x0fbe1b22, 
      0xd9fa5009, 0x0fbd1bc2, 
      0xd0fa5008, 0x0fbc1c72, 
      0xc7fa6008, 0x0fba1d12, 
      0xbefa6008, 0x0fb91db2, 
      0xb4fa6009, 0x0fb81e52, 
      0xabfa7009, 0x0fb61ef2, 
      0xa2fa7009, 0x0fb51f92, 
      0x98fa700a, 0x0fb42032, 
      0x8ffa7009, 0x0fb320e2, 
      0x85fa8009, 0x0fb22182, 
      0x7bfa9009, 0x0fb12222, 
      0x71faa009, 0x0fb022c2, 
      0x68faa009, 0x0faf2362, 
      0x5efab009, 0x0fae2402, 
      0x54fac009, 0x0fad24a2,
   },
   { /* UV scale factor = 0.96, phases = 127, taps = 5. */
      0x5524afac, 0x000afab2, 
      0x5f240fad, 0x000afaa2, 
      0x69236fae, 0x000afa92, 
      0x7322cfaf, 0x000afa82, 
      0x7d221fb0, 0x000afa82, 
      0x87217fb1, 0x000afa72, 
      0x9120dfb2, 0x000afa62, 
      0x9a202fb4, 0x000afa62, 
      0xa41f8fb6, 0x0009fa52, 
      0xae1eefb7, 0x0009fa42, 
      0xb71e4fb8, 0x0009fa42, 
      0xc11d9fb9, 0x0009fa42, 
      0xca1cffbb, 0x0009fa32, 
      0xd31c5fbc, 0x0009fa32, 
      0xdd1bafbd, 0x0009fa32, 
      0xe61b0fbe, 0x0009fa32, 
      0xef1a5fc0, 0x0009fa32, 
      0xf819bfc1, 0x0009fa32, 
      0x00191fc3, 0x0009fa33, 
      0x09187fc4, 0x0009fa33, 
      0x1117dfc5, 0x0009fa43, 
      0x1a172fc7, 0x0009fa43, 
      0x22169fc9, 0x0008fa43, 
      0x2a15ffca, 0x0008fa53, 
      0x32155fcb, 0x0008fa63, 
      0x3a14bfcd, 0x0008fa63, 
      0x41141fcf, 0x0008fa73, 
      0x49137fd0, 0x0008fa83, 
      0x5012efd1, 0x0008fa93, 
      0x57124fd3, 0x0007fab3, 
      0x5e11afd5, 0x0007fac3, 
      0x65111fd6, 0x0007fad3, 
      0x6c108fd6, 0x0007faf3, 
      0x720fefd9, 0x0007fb03, 
      0x790f5fd9, 0x0007fb23, 
      0x7f0ecfdb, 0x0006fb43, 
      0x850e3fdc, 0x0006fb63, 
      0x8a0dafde, 0x0006fb83, 
      0x900d1fdf, 0x0006fba3, 
      0x950c9fe1, 0x0005fbc3, 
      0x9a0c0fe2, 0x0005fbf3, 
      0x9f0b8fe3, 0x0005fc13, 
      0xa40affe5, 0x0004fc43, 
      0xa90a7fe5, 0x0004fc73, 
      0xad09ffe6, 0x0004fca3, 
      0xb1097fe8, 0x0003fcd3, 
      0xb508ffe9, 0x0003fd03, 
      0xb8087fea, 0x0003fd43, 
      0xbc07ffec, 0x0002fd73, 
      0xc0077fec, 0x0002fdb3, 
      0xc3070fee, 0x0001fde3, 
      0xc5069fef, 0x0001fe23, 
      0xc8062ff0, 0x0000fe63, 
      0xca05bff0, 0x0000feb3, 
      0xcd054ff1, 0x0ffffef3, 
      0xcf04dff2, 0x0fffff33, 
      0xd0047ff3, 0x0ffeff83, 
      0xd2040ff4, 0x0ffdffd3, 
      0xd303aff5, 0x0ffd0013, 
      0xd4033ff7, 0x0ffc0063, 
      0xd502dff7, 0x0ffb00c3, 
      0xd5027ff8, 0x0ffb0113, 
      0xd6021ff9, 0x0ffa0163, 
      0xd601cff9, 0x0ff901c3, 
      0xd6017ffa, 0x0ff80213, 
      0xd5011ffb, 0x0ff80273, 
      0xd500cffb, 0x0ff702d3, 
      0xd4006ffd, 0x0ff60333, 
      0xd3001ffd, 0x0ff503a3, 
      0xd2ffdffd, 0x0ff40403, 
      0xd0ff8ffe, 0x0ff30473, 
      0xcfff3fff, 0x0ff204d3, 
      0xcdfeffff, 0x0ff10543, 
      0xcafeb000, 0x0ff005b3, 
      0xc8fe6001, 0x0fef0623, 
      0xc5fe3001, 0x0fee0693, 
      0xc3fde002, 0x0fed0703, 
      0xc0fdb001, 0x0fec0783, 
      0xbcfd7003, 0x0feb07f3, 
      0xb9fd4002, 0x0fea0873, 
      0xb5fd0003, 0x0fe908f3, 
      0xb1fcd003, 0x0fe80973, 
      0xadfca003, 0x0fe709f3, 
      0xa9fc7004, 0x0fe50a73, 
      0xa4fc4005, 0x0fe40af3, 
      0x9ffc1005, 0x0fe30b83, 
      0x9afbf005, 0x0fe20c03, 
      0x95fbc006, 0x0fe00c93, 
      0x90fba006, 0x0fdf0d13, 
      0x8afb8006, 0x0fde0da3, 
      0x85fb6006, 0x0fdc0e33, 
      0x7ffb4006, 0x0fdb0ec3, 
      0x79fb2006, 0x0fda0f53, 
      0x72fb1007, 0x0fd80fe3, 
      0x6cfaf006, 0x0fd71083, 
      0x65fad007, 0x0fd61113, 
      0x5efac008, 0x0fd411a3, 
      0x57fab007, 0x0fd31243, 
      0x50fa9008, 0x0fd112e3, 
      0x49fa8008, 0x0fd01373, 
      0x41fa8008, 0x0fce1413, 
      0x3afa6008, 0x0fcd14b3, 
      0x32fa5008, 0x0fcc1553, 
      0x2afa5008, 0x0fca15f3, 
      0x22fa4008, 0x0fc91693, 
      0x1afa4008, 0x0fc71733, 
      0x11fa4008, 0x0fc617d3, 
      0x09fa3009, 0x0fc41873, 
      0x00fa3009, 0x0fc31913, 
      0xf8fa3009, 0x0fc119b2, 
      0xeffa3008, 0x0fc01a62, 
      0xe6fa2009, 0x0fbf1b02, 
      0xddfa3009, 0x0fbd1ba2, 
      0xd3fa300a, 0x0fbc1c42, 
      0xcafa3009, 0x0fbb1cf2, 
      0xc1fa4009, 0x0fb91d92, 
      0xb7fa400a, 0x0fb81e32, 
      0xaefa4009, 0x0fb71ee2, 
      0xa4fa500a, 0x0fb51f82, 
      0x9afa600a, 0x0fb42022, 
      0x91fa6009, 0x0fb320d2, 
      0x87fa7009, 0x0fb22172, 
      0x7dfa800a, 0x0fb02212, 
      0x73fa800a, 0x0faf22c2, 
      0x69fa900a, 0x0fae2362, 
      0x5ffaa00a, 0x0fad2402, 
      0x55fab00a, 0x0fac24a2,
   },
   { /* UV scale factor = 0.97, phases = 127, taps = 5. */
      0x5524bfac, 0x000afaa2, 
      0x60240fad, 0x000afa92, 
      0x6a236fae, 0x000afa82, 
      0x7422cfaf, 0x000afa72, 
      0x7e221fb0, 0x000afa72, 
      0x89216fb1, 0x000afa62, 
      0x9320cfb2, 0x000afa52, 
      0x9d201fb4, 0x000afa42, 
      0xa71f7fb5, 0x000afa32, 
      0xb01ecfb7, 0x000afa32, 
      0xba1e2fb8, 0x000afa22, 
      0xc41d7fb9, 0x000afa22, 
      0xce1cdfba, 0x000afa12, 
      0xd71c2fbc, 0x000afa12, 
      0xe01b8fbd, 0x000afa12, 
      0xea1adfbf, 0x000afa02, 
      0xf31a3fc1, 0x0009fa02, 
      0xfc198fc3, 0x0009fa02, 
      0x0518efc4, 0x0009fa03, 
      0x0e183fc6, 0x0009fa03, 
      0x1617afc7, 0x0009fa03, 
      0x1f16ffc8, 0x0009fa13, 
      0x27165fca, 0x0009fa13, 
      0x3015afcb, 0x0009fa23, 
      0x38150fcd, 0x0009fa23, 
      0x40146fce, 0x0009fa33, 
      0x4813cfcf, 0x0009fa43, 
      0x4f133fd1, 0x0009fa43, 
      0x57129fd3, 0x0008fa53, 
      0x5e11ffd5, 0x0008fa63, 
      0x65115fd6, 0x0008fa83, 
      0x6c10cfd7, 0x0008fa93, 
      0x73102fd9, 0x0008faa3, 
      0x7a0f9fd9, 0x0008fac3, 
      0x800f0fdb, 0x0008fad3, 
      0x870e6fdd, 0x0007faf3, 
      0x8d0ddfde, 0x0007fb13, 
      0x930d4fdf, 0x0007fb33, 
      0x980cbfe1, 0x0007fb53, 
      0x9e0c3fe2, 0x0006fb73, 
      0xa30bafe3, 0x0006fba3, 
      0xa80b1fe5, 0x0006fbc3, 
      0xad0a9fe5, 0x0006fbf3, 
      0xb20a0fe8, 0x0005fc13, 
      0xb6098fe9, 0x0005fc43, 
      0xbb090fe9, 0x0005fc73, 
      0xbf088feb, 0x0004fca3, 
      0xc2080fec, 0x0004fce3, 
      0xc6079fed, 0x0003fd13, 
      0xc9071fee, 0x0003fd53, 
      0xcd069fef, 0x0003fd83, 
      0xcf062ff1, 0x0002fdc3, 
      0xd205bff1, 0x0002fe03, 
      0xd5054ff2, 0x0001fe43, 
      0xd704dff3, 0x0001fe83, 
      0xd9046ff4, 0x0000fed3, 
      0xdb03fff5, 0x0000ff13, 
      0xdc039ff6, 0x0fffff63, 
      0xdd033ff7, 0x0ffeffb3, 
      0xdf02cff7, 0x0ffe0003, 
      0xdf026ff9, 0x0ffd0053, 
      0xe0020ffa, 0x0ffc00a3, 
      0xe001bffa, 0x0ffc00f3, 
      0xe0015ffb, 0x0ffb0153, 
      0xe000fffc, 0x0ffa01b3, 
      0xe000affd, 0x0ff90203, 
      0xdf005ffd, 0x0ff90263, 
      0xdf000ffd, 0x0ff802c3, 
      0xddffbffe, 0x0ff70333, 
      0xdcff6fff, 0x0ff60393, 
      0xdbff1fff, 0x0ff50403, 
      0xd9fed000, 0x0ff40463, 
      0xd7fe8001, 0x0ff304d3, 
      0xd5fe4001, 0x0ff20543, 
      0xd2fe0002, 0x0ff105b3, 
      0xcffdc003, 0x0ff00623, 
      0xcdfd8002, 0x0fef06a3, 
      0xc9fd5003, 0x0fee0713, 
      0xc6fd1003, 0x0fed0793, 
      0xc2fce004, 0x0fec0803, 
      0xbffca004, 0x0feb0883, 
      0xbbfc7004, 0x0fea0903, 
      0xb6fc5005, 0x0fe80983, 
      0xb2fc1006, 0x0fe70a03, 
      0xadfbf005, 0x0fe60a93, 
      0xa8fbc006, 0x0fe50b13, 
      0xa3fba006, 0x0fe30ba3, 
      0x9efb7006, 0x0fe20c33, 
      0x98fb5007, 0x0fe10cb3, 
      0x93fb3007, 0x0fdf0d43, 
      0x8dfb1007, 0x0fde0dd3, 
      0x87faf007, 0x0fdd0e63, 
      0x80fad008, 0x0fdb0f03, 
      0x7afac007, 0x0fda0f93, 
      0x73fab008, 0x0fd81023, 
      0x6cfa9008, 0x0fd710c3, 
      0x65fa8008, 0x0fd61153, 
      0x5efa6009, 0x0fd411f3, 
      0x57fa5008, 0x0fd31293, 
      0x4ffa4009, 0x0fd11333, 
      0x48fa4008, 0x0fd013c3, 
      0x40fa3009, 0x0fce1463, 
      0x38fa2009, 0x0fcd1503, 
      0x30fa2009, 0x0fcb15a3, 
      0x27fa1009, 0x0fca1653, 
      0x1ffa1009, 0x0fc816f3, 
      0x16fa000a, 0x0fc71793, 
      0x0efa000a, 0x0fc51833, 
      0x05fa0009, 0x0fc418e3, 
      0xfcfa000a, 0x0fc21982, 
      0xf3fa0009, 0x0fc11a32, 
      0xeafa000a, 0x0fbf1ad2, 
      0xe0fa1009, 0x0fbe1b82, 
      0xd7fa100a, 0x0fbc1c22, 
      0xcefa1009, 0x0fbb1cd2, 
      0xc4fa2009, 0x0fba1d72, 
      0xbafa200a, 0x0fb81e22, 
      0xb0fa300a, 0x0fb71ec2, 
      0xa7fa300a, 0x0fb51f72, 
      0x9dfa400a, 0x0fb42012, 
      0x93fa5009, 0x0fb320c2, 
      0x89fa600a, 0x0fb12162, 
      0x7efa700a, 0x0fb02212, 
      0x74fa700b, 0x0faf22b2, 
      0x6afa800a, 0x0fae2362, 
      0x60fa900a, 0x0fad2402, 
      0x55faa00b, 0x0fab24b2,
   },
   { /* UV scale factor = 0.98, phases = 127, taps = 5. */
      0x5624bfab, 0x000afaa2, 
      0x60240fad, 0x000afa92, 
      0x6b236fad, 0x000afa82, 
      0x7522bfaf, 0x000afa72, 
      0x80220fb0, 0x000afa62, 
      0x8a216fb1, 0x000afa52, 
      0x9420bfb3, 0x000afa42, 
      0x9f200fb4, 0x000afa32, 
      0xa91f5fb6, 0x000afa22, 
      0xb31eafb8, 0x000afa12, 
      0xbd1e0fb8, 0x000afa12, 
      0xc71d5fba, 0x000afa02, 
      0xd11cafbc, 0x000af9f2, 
      0xda1bffbe, 0x000af9f2, 
      0xe41b5fbe, 0x000af9f2, 
      0xee1aafc0, 0x000af9e2, 
      0xf719ffc2, 0x000af9e2, 
      0x00195fc3, 0x000af9e3, 
      0x0918afc5, 0x000af9e3, 
      0x12180fc6, 0x000af9e3, 
      0x1b175fc8, 0x000af9e3, 
      0x2416bfc9, 0x000af9e3, 
      0x2d160fcb, 0x000af9e3, 
      0x35156fcd, 0x000af9e3, 
      0x3e14bfce, 0x000af9f3, 
      0x46142fcf, 0x000af9f3, 
      0x4e138fd1, 0x0009fa03, 
      0x5612efd2, 0x0009fa13, 
      0x5d124fd5, 0x0009fa13, 
      0x6511afd6, 0x0009fa23, 
      0x6c110fd8, 0x0009fa33, 
      0x74106fd8, 0x0009fa53, 
      0x7b0fcfda, 0x0009fa63, 
      0x810f3fdc, 0x0009fa73, 
      0x880eafdd, 0x0008fa93, 
      0x8f0e0fdf, 0x0008faa3, 
      0x950d7fe0, 0x0008fac3, 
      0x9b0cefe1, 0x0008fae3, 
      0xa10c5fe2, 0x0008fb03, 
      0xa60bdfe4, 0x0007fb23, 
      0xac0b3fe6, 0x0007fb43, 
      0xb10abfe6, 0x0007fb73, 
      0xb60a2fe8, 0x0007fb93, 
      0xbb09afe9, 0x0006fbc3, 
      0xc0091fea, 0x0006fbf3, 
      0xc4089fec, 0x0006fc13, 
      0xc8082fed, 0x0005fc43, 
      0xcc07afed, 0x0005fc83, 
      0xd0072fee, 0x0005fcb3, 
      0xd306bff0, 0x0004fce3, 
      0xd6063ff1, 0x0004fd23, 
      0xd905bff2, 0x0004fd63, 
      0xdc054ff3, 0x0003fda3, 
      0xdf04cff4, 0x0003fde3, 
      0xe1046ff5, 0x0002fe23, 
      0xe303fff6, 0x0002fe63, 
      0xe5039ff6, 0x0001feb3, 
      0xe7032ff8, 0x0000fef3, 
      0xe802cff8, 0x0000ff43, 
      0xe9025ffa, 0x0fffff93, 
      0xea01fffa, 0x0fffffe3, 
      0xea019ffc, 0x0ffe0033, 
      0xeb014ffc, 0x0ffd0083, 
      0xeb00effc, 0x0ffd00e3, 
      0xeb008ffd, 0x0ffc0143, 
      0xea004ffe, 0x0ffb0193, 
      0xeaffefff, 0x0ffa01f3, 
      0xe9ff9fff, 0x0ffa0253, 
      0xe8ff4fff, 0x0ff902c3, 
      0xe7fef000, 0x0ff80323, 
      0xe5fea001, 0x0ff70393, 
      0xe3fe6002, 0x0ff603f3, 
      0xe1fe2002, 0x0ff50463, 
      0xdffde002, 0x0ff404d3, 
      0xdcfda003, 0x0ff30543, 
      0xd9fd6004, 0x0ff205b3, 
      0xd6fd2004, 0x0ff10633, 
      0xd3fce005, 0x0ff006a3, 
      0xd0fcb004, 0x0fef0723, 
      0xccfc7005, 0x0fee07a3, 
      0xc8fc4006, 0x0fed0813, 
      0xc4fc2006, 0x0feb0893, 
      0xc0fbe006, 0x0fea0923, 
      0xbbfbc006, 0x0fe909a3, 
      0xb6fb9007, 0x0fe80a23, 
      0xb1fb7007, 0x0fe60ab3, 
      0xacfb4008, 0x0fe50b33, 
      0xa6fb2008, 0x0fe40bc3, 
      0xa1fb0007, 0x0fe30c53, 
      0x9bfae008, 0x0fe10ce3, 
      0x95fac008, 0x0fe00d73, 
      0x8ffaa009, 0x0fde0e03, 
      0x88fa9008, 0x0fdd0ea3, 
      0x81fa7009, 0x0fdc0f33, 
      0x7bfa6008, 0x0fda0fd3, 
      0x74fa5008, 0x0fd91063, 
      0x6cfa300a, 0x0fd71103, 
      0x65fa2009, 0x0fd611a3, 
      0x5dfa100a, 0x0fd41243, 
      0x56fa0009, 0x0fd312e3, 
      0x4efa0009, 0x0fd11383, 
      0x46f9f009, 0x0fd01423, 
      0x3ef9f009, 0x0fce14c3, 
      0x35f9e00a, 0x0fcd1563, 
      0x2df9e00a, 0x0fcb1603, 
      0x24f9e00a, 0x0fc916b3, 
      0x1bf9e00a, 0x0fc81753, 
      0x12f9e00a, 0x0fc61803, 
      0x09f9e00a, 0x0fc518a3, 
      0x00f9e00a, 0x0fc31953, 
      0xf7f9e00a, 0x0fc219f2, 
      0xeef9e00a, 0x0fc01aa2, 
      0xe4f9e00a, 0x0fbf1b52, 
      0xdaf9f00b, 0x0fbd1bf2, 
      0xd1f9f00a, 0x0fbc1ca2, 
      0xc7fa000a, 0x0fba1d52, 
      0xbdfa000a, 0x0fb91e02, 
      0xb3fa100b, 0x0fb71ea2, 
      0xa9fa200a, 0x0fb61f52, 
      0x9ffa300a, 0x0fb42002, 
      0x94fa400a, 0x0fb320b2, 
      0x8afa400a, 0x0fb22162, 
      0x80fa600a, 0x0fb02202, 
      0x75fa700a, 0x0faf22b2, 
      0x6bfa700a, 0x0fae2362, 
      0x60fa900b, 0x0fac2402, 
      0x56faa00a, 0x0fab24b2,
   },
   { /* UV scale factor = 0.99, phases = 127, taps = 5. */
      0x5624bfab, 0x000afaa2, 
      0x61240fad, 0x000afa82, 
      0x6c235fae, 0x000afa72, 
      0x7622bfaf, 0x000afa62, 
      0x8121ffb1, 0x000afa52, 
      0x8c215fb1, 0x000afa42, 
      0x9620afb3, 0x000afa32, 
      0xa11fffb4, 0x000afa22, 
      0xab1f4fb6, 0x000afa12, 
      0xb51e9fb8, 0x000afa02, 
      0xc01defb9, 0x000af9f2, 
      0xca1d3fbb, 0x000af9e2, 
      0xd41c8fbc, 0x000af9e2, 
      0xde1bdfbe, 0x000af9d2, 
      0xe81b2fbf, 0x000af9d2, 
      0xf11a7fc2, 0x000af9c2, 
      0xfb19cfc3, 0x000af9c2, 
      0x04192fc5, 0x000af9b3, 
      0x0e187fc6, 0x000af9b3, 
      0x1717cfc8, 0x000af9b3, 
      0x20171fca, 0x000af9b3, 
      0x29167fcb, 0x000af9b3, 
      0x3215cfcd, 0x000af9b3, 
      0x3b152fce, 0x000af9b3, 
      0x43147fd0, 0x000af9c3, 
      0x4c13dfd1, 0x000af9c3, 
      0x54133fd3, 0x000af9c3, 
      0x5c129fd4, 0x000af9d3, 
      0x6411efd6, 0x000af9e3, 
      0x6c114fd7, 0x000af9f3, 
      0x7310bfd9, 0x000af9f3, 
      0x7b100fda, 0x000afa13, 
      0x820f7fdb, 0x000afa23, 
      0x890edfde, 0x0009fa33, 
      0x900e4fdf, 0x0009fa43, 
      0x960dafe1, 0x0009fa63, 
      0x9d0d1fe2, 0x0009fa73, 
      0xa30c8fe3, 0x0009fa93, 
      0xa90bffe4, 0x0009fab3, 
      0xaf0b6fe6, 0x0008fad3, 
      0xb50adfe7, 0x0008faf3, 
      0xba0a4fe9, 0x0008fb13, 
      0xbf09cfe9, 0x0008fb43, 
      0xc4093feb, 0x0008fb63, 
      0xc908bfec, 0x0007fb93, 
      0xcd083fed, 0x0007fbc3, 
      0xd207afee, 0x0007fbf3, 
      0xd6073fef, 0x0006fc23, 
      0xd906bff1, 0x0006fc53, 
      0xdd063ff2, 0x0006fc83, 
      0xe005cff3, 0x0005fcc3, 
      0xe3055ff4, 0x0005fcf3, 
      0xe704dff5, 0x0004fd33, 
      0xe9046ff6, 0x0004fd73, 
      0xeb03fff7, 0x0004fdb3, 
      0xed038ff8, 0x0003fe03, 
      0xef031ff9, 0x0003fe43, 
      0xf102bff9, 0x0002fe93, 
      0xf2025ffb, 0x0001fed3, 
      0xf301effc, 0x0001ff23, 
      0xf4018ffd, 0x0000ff73, 
      0xf5012ffd, 0x0000ffc3, 
      0xf500dffd, 0x0fff0023, 
      0xf5007fff, 0x0ffe0073, 
      0xf5002ffe, 0x0ffe00d3, 
      0xf5ffc000, 0x0ffd0123, 
      0xf4ff7001, 0x0ffc0183, 
      0xf3ff3001, 0x0ffb01e3, 
      0xf2fed002, 0x0ffa0253, 
      0xf1fe8002, 0x0ffa02b3, 
      0xeffe4003, 0x0ff90313, 
      0xedfe0003, 0x0ff80383, 
      0xebfdb004, 0x0ff703f3, 
      0xe9fd7004, 0x0ff60463, 
      0xe6fd3005, 0x0ff504d3, 
      0xe3fd0005, 0x0ff40543, 
      0xe0fcc005, 0x0ff305c3, 
      0xddfc8006, 0x0ff20633, 
      0xd9fc5006, 0x0ff106b3, 
      0xd6fc1006, 0x0ff00733, 
      0xd2fbe006, 0x0fef07b3, 
      0xcdfbc007, 0x0fed0833, 
      0xc9fb9007, 0x0fec08b3, 
      0xc4fb6008, 0x0feb0933, 
      0xbffb4007, 0x0fea09c3, 
      0xbafb1009, 0x0fe80a43, 
      0xb5faf008, 0x0fe70ad3, 
      0xaffad008, 0x0fe60b63, 
      0xa9fab009, 0x0fe40bf3, 
      0xa3fa9009, 0x0fe30c83, 
      0x9dfa7009, 0x0fe20d13, 
      0x96fa600a, 0x0fe00da3, 
      0x90fa4009, 0x0fdf0e43, 
      0x89fa300a, 0x0fdd0ed3, 
      0x82fa2009, 0x0fdc0f73, 
      0x7bfa1009, 0x0fda1013, 
      0x73fa000a, 0x0fd910a3, 
      0x6cf9f00a, 0x0fd71143, 
      0x64f9e00a, 0x0fd611e3, 
      0x5cf9d00a, 0x0fd41293, 
      0x54f9c00a, 0x0fd31333, 
      0x4cf9c00a, 0x0fd113d3, 
      0x43f9c00a, 0x0fd01473, 
      0x3bf9b00a, 0x0fce1523, 
      0x32f9b00b, 0x0fcc15c3, 
      0x29f9b00a, 0x0fcb1673, 
      0x20f9b00b, 0x0fc91713, 
      0x17f9b00a, 0x0fc817c3, 
      0x0ef9b00a, 0x0fc61873, 
      0x04f9c00b, 0x0fc41913, 
      0xfbf9c00a, 0x0fc319c2, 
      0xf1f9c00b, 0x0fc11a72, 
      0xe8f9c00a, 0x0fc01b22, 
      0xdef9d00a, 0x0fbe1bd2, 
      0xd4f9e00a, 0x0fbc1c82, 
      0xcaf9e00a, 0x0fbb1d32, 
      0xc0f9f00a, 0x0fb91de2, 
      0xb5fa000a, 0x0fb81e92, 
      0xabfa100a, 0x0fb61f42, 
      0xa1fa100a, 0x0fb51ff2, 
      0x96fa300a, 0x0fb320a2, 
      0x8cfa300a, 0x0fb22152, 
      0x81fa500b, 0x0fb021f2, 
      0x76fa600b, 0x0faf22a2, 
      0x6cfa700a, 0x0fae2352, 
      0x61fa800b, 0x0fac2402, 
      0x56faa00a, 0x0fab24b2,
   },
   { /* UV scale factor = 1.00, phases = 127, taps = 5. */
      0x5624cfab, 0x000afa92, 
      0x61240fad, 0x000afa82, 
      0x6c235fae, 0x000afa72, 
      0x7722afaf, 0x000bfa52, 
      0x8221ffb0, 0x000bfa42, 
      0x8d213fb2, 0x000bfa32, 
      0x98208fb3, 0x000bfa22, 
      0xa21fdfb5, 0x000bfa12, 
      0xad1f2fb6, 0x000bfa02, 
      0xb81e6fb8, 0x000bf9f2, 
      0xc21dbfba, 0x000bf9e2, 
      0xcc1d0fbc, 0x000bf9d2, 
      0xd71c5fbd, 0x000bf9c2, 
      0xe11b9fbf, 0x000bf9c2, 
      0xeb1affc0, 0x000bf9b2, 
      0xf51a4fc2, 0x000bf9a2, 
      0xff198fc4, 0x000bf9a2, 
      0x0818efc6, 0x000bf993, 
      0x12183fc7, 0x000bf993, 
      0x1c177fc9, 0x000bf993, 
      0x2516dfcb, 0x000bf983, 
      0x2e162fcd, 0x000bf983, 
      0x37158fce, 0x000bf983, 
      0x4014dfd0, 0x000bf983, 
      0x49142fd1, 0x000bf993, 
      0x52138fd2, 0x000bf993, 
      0x5a12efd4, 0x000bf993, 
      0x62123fd6, 0x000bf9a3, 
      0x6a119fd8, 0x000bf9a3, 
      0x7210ffd9, 0x000bf9b3, 
      0x7a105fda, 0x000bf9c3, 
      0x820fbfdc, 0x000af9d3, 
      0x890f1fde, 0x000af9e3, 
      0x900e7fe0, 0x000af9f3, 
      0x970defe1, 0x000afa03, 
      0x9e0d4fe3, 0x000afa13, 
      0xa50cbfe3, 0x000afa33, 
      0xab0c2fe5, 0x000afa43, 
      0xb10b8fe7, 0x000afa63, 
      0xb70b0fe8, 0x0009fa83, 
      0xbd0a6fea, 0x0009faa3, 
      0xc309efea, 0x0009fac3, 
      0xc8095fec, 0x0009fae3, 
      0xcd08cfed, 0x0009fb13, 
      0xd2084fef, 0x0008fb33, 
      0xd707cfef, 0x0008fb63, 
      0xdb074ff0, 0x0008fb93, 
      0xdf06cff1, 0x0008fbc3, 
      0xe3064ff3, 0x0007fbf3, 
      0xe705cff4, 0x0007fc23, 
      0xea054ff5, 0x0007fc63, 
      0xed04eff6, 0x0006fc93, 
      0xf0046ff7, 0x0006fcd3, 
      0xf303fff8, 0x0005fd13, 
      0xf6038ff8, 0x0005fd53, 
      0xf8031ff9, 0x0005fd93, 
      0xfa02affb, 0x0004fdd3, 
      0xfb024ffb, 0x0004fe23, 
      0xfd01dffd, 0x0003fe63, 
      0xfe017ffe, 0x0002feb3, 
      0xff011ffe, 0x0002ff03, 
      0xff00cfff, 0x0001ff53, 
      0x00005fff, 0x0001ffb4, 
      0x00000000, 0x00000004, 
      0x00ffb000, 0x0fff0064, 
      0xffff5002, 0x0fff00b3, 
      0xffff0002, 0x0ffe0113, 
      0xfefeb003, 0x0ffd0173, 
      0xfdfe6004, 0x0ffc01d3, 
      0xfbfe2004, 0x0ffb0243, 
      0xfafdd004, 0x0ffb02a3, 
      0xf8fd9004, 0x0ffa0313, 
      0xf6fd4005, 0x0ff90383, 
      0xf3fd1005, 0x0ff803f3, 
      0xf0fcd006, 0x0ff70463, 
      0xedfc9007, 0x0ff604d3, 
      0xeafc6007, 0x0ff50543, 
      0xe7fc2007, 0x0ff405c3, 
      0xe3fbf007, 0x0ff30643, 
      0xdffbc007, 0x0ff206c3, 
      0xdbfb9007, 0x0ff10743, 
      0xd7fb6008, 0x0fef07c3, 
      0xd2fb3009, 0x0fee0843, 
      0xcdfb1009, 0x0fed08c3, 
      0xc8fae009, 0x0fec0953, 
      0xc3fac009, 0x0fea09e3, 
      0xbdfaa00a, 0x0fe90a63, 
      0xb7fa800a, 0x0fe80af3, 
      0xb1fa700a, 0x0fe60b83, 
      0xabfa400a, 0x0fe50c23, 
      0xa5fa3009, 0x0fe40cb3, 
      0x9efa100b, 0x0fe20d43, 
      0x97fa000a, 0x0fe10de3, 
      0x90f9f00b, 0x0fdf0e73, 
      0x89f9e00a, 0x0fde0f13, 
      0x82f9d00a, 0x0fdc0fb3, 
      0x7af9c00a, 0x0fdb1053, 
      0x72f9b00b, 0x0fd910f3, 
      0x6af9a00b, 0x0fd81193, 
      0x62f9a00b, 0x0fd61233, 
      0x5af9900a, 0x0fd512e3, 
      0x52f9900a, 0x0fd31383, 
      0x49f9900b, 0x0fd11423, 
      0x40f9800b, 0x0fd014d3, 
      0x37f9800b, 0x0fce1583, 
      0x2ef9900b, 0x0fcc1623, 
      0x25f9800b, 0x0fcb16d3, 
      0x1cf9900a, 0x0fc91783, 
      0x12f9900b, 0x0fc71833, 
      0x08f9900b, 0x0fc618e3, 
      0xfff9a00a, 0x0fc41992, 
      0xf5f9a00b, 0x0fc21a42, 
      0xebf9b00a, 0x0fc11af2, 
      0xe1f9c00a, 0x0fbf1ba2, 
      0xd7f9c00b, 0x0fbd1c52, 
      0xccf9d00b, 0x0fbc1d02, 
      0xc2f9e00b, 0x0fba1db2, 
      0xb8f9f00a, 0x0fb91e62, 
      0xadfa000a, 0x0fb71f22, 
      0xa2fa100b, 0x0fb51fd2, 
      0x98fa200a, 0x0fb42082, 
      0x8dfa300b, 0x0fb22132, 
      0x82fa400a, 0x0fb121f2, 
      0x77fa500b, 0x0faf22a2, 
      0x6cfa700a, 0x0fae2352, 
      0x61fa800b, 0x0fac2402, 
      0x56fa900b, 0x0fab24b2,
   },
   { /* UV scale factor = 1.01, phases = 127, taps = 5. */
      0x60255fa1, 0x000afa02, 
      0x6b249fa3, 0x000af9f2, 
      0x7723efa4, 0x000af9d2, 
      0x82232fa6, 0x000af9c2, 
      0x8d227fa8, 0x000af9a2, 
      0x9921bfa9, 0x000af992, 
      0xa420ffab, 0x000af982, 
      0xaf203fad, 0x000af972, 
      0xba1f8fae, 0x000af962, 
      0xc51ecfb0, 0x000af952, 
      0xd01e0fb2, 0x000af942, 
      0xda1d5fb4, 0x000af932, 
      0xe51cafb5, 0x000af922, 
      0xf01befb7, 0x000af912, 
      0xfa1b3fb9, 0x000af902, 
      0x041a7fbc, 0x000af8f3, 
      0x0f19cfbc, 0x000af8f3, 
      0x19190fbf, 0x000af8e3, 
      0x23185fc0, 0x000af8e3, 
      0x2c17afc3, 0x000af8d3, 
      0x3616ffc4, 0x000af8d3, 
      0x40164fc5, 0x000af8d3, 
      0x49159fc7, 0x000af8d3, 
      0x5214efc9, 0x000af8d3, 
      0x5b143fcb, 0x000af8d3, 
      0x64138fcd, 0x000af8d3, 
      0x6d12dfce, 0x000af8e3, 
      0x76122fd0, 0x000af8e3, 
      0x7e118fd2, 0x000af8e3, 
      0x8610dfd4, 0x000af8f3, 
      0x8e103fd6, 0x0009f903, 
      0x960f9fd7, 0x0009f913, 
      0x9e0effd8, 0x0009f923, 
      0xa50e4fdb, 0x0009f933, 
      0xad0dbfdb, 0x0009f943, 
      0xb40d1fdd, 0x0009f953, 
      0xbb0c7fde, 0x0009f973, 
      0xc10bdfe1, 0x0009f983, 
      0xc80b4fe2, 0x0008f9a3, 
      0xce0abfe3, 0x0008f9c3, 
      0xd40a1fe5, 0x0008f9e3, 
      0xda098fe6, 0x0008fa03, 
      0xdf08ffe8, 0x0007fa33, 
      0xe4087fe9, 0x0007fa53, 
      0xea07dfea, 0x0007fa83, 
      0xee075fec, 0x0007faa3, 
      0xf306dfed, 0x0006fad3, 
      0xf7065fee, 0x0006fb03, 
      0xfb05dfef, 0x0006fb33, 
      0xff055ff0, 0x0005fb73, 
      0x0304dff1, 0x0005fba4, 
      0x06045ff3, 0x0004fbe4, 
      0x0903eff3, 0x0004fc24, 
      0x0c036ff4, 0x0004fc64, 
      0x0e02fff6, 0x0003fca4, 
      0x11028ff6, 0x0003fce4, 
      0x13021ff8, 0x0002fd24, 
      0x1401bff9, 0x0001fd74, 
      0x16014ff9, 0x0001fdc4, 
      0x1700effa, 0x0000fe14, 
      0x18007ffb, 0x0000fe64, 
      0x19001ffc, 0x0ffffeb4, 
      0x19ffcffd, 0x0ffeff04, 
      0x19ff6ffd, 0x0ffeff64, 
      0x19ff0ffe, 0x0ffdffc4, 
      0x19febfff, 0x0ffc0014, 
      0x18fe6fff, 0x0ffb0084, 
      0x17fe1000, 0x0ffa00e4, 
      0x16fdc001, 0x0ff90144, 
      0x14fd7001, 0x0ff901b4, 
      0x13fd2002, 0x0ff80214, 
      0x11fce002, 0x0ff70284, 
      0x0efca003, 0x0ff602f4, 
      0x0cfc6003, 0x0ff50364, 
      0x09fc1004, 0x0ff403e4, 
      0x06fbe004, 0x0ff30454, 
      0x03fba005, 0x0ff104d4, 
      0xfffb7005, 0x0ff00553, 
      0xfbfb3006, 0x0fef05d3, 
      0xf7fb0006, 0x0fee0653, 
      0xf3fad006, 0x0fed06d3, 
      0xeefab007, 0x0feb0753, 
      0xeafa8006, 0x0fea07e3, 
      0xe4fa5008, 0x0fe90863, 
      0xdffa3008, 0x0fe708f3, 
      0xdafa0008, 0x0fe60983, 
      0xd4f9e008, 0x0fe50a13, 
      0xcef9c008, 0x0fe30ab3, 
      0xc8f9a008, 0x0fe20b43, 
      0xc1f99009, 0x0fe00bd3, 
      0xbbf97008, 0x0fdf0c73, 
      0xb4f95009, 0x0fdd0d13, 
      0xadf94008, 0x0fdc0db3, 
      0xa5f9300a, 0x0fda0e43, 
      0x9ef91009, 0x0fd90ef3, 
      0x96f91009, 0x0fd70f93, 
      0x8ef9000a, 0x0fd51033, 
      0x86f8f00a, 0x0fd410d3, 
      0x7ef8e00a, 0x0fd21183, 
      0x76f8e00a, 0x0fd01223, 
      0x6df8e009, 0x0fcf12d3, 
      0x64f8d00a, 0x0fcd1383, 
      0x5bf8d00a, 0x0fcb1433, 
      0x52f8d00a, 0x0fc914e3, 
      0x49f8d009, 0x0fc81593, 
      0x40f8d009, 0x0fc61643, 
      0x36f8d00a, 0x0fc416f3, 
      0x2cf8e00a, 0x0fc217a3, 
      0x23f8e00a, 0x0fc01853, 
      0x19f8e00a, 0x0fbf1903, 
      0x0ff8f009, 0x0fbd19c3, 
      0x04f9000a, 0x0fbb1a73, 
      0xfaf9000a, 0x0fb91b32, 
      0xf0f91009, 0x0fb81be2, 
      0xe5f92009, 0x0fb61ca2, 
      0xdaf9300a, 0x0fb41d52, 
      0xd0f94009, 0x0fb21e12, 
      0xc5f9500a, 0x0fb01ec2, 
      0xbaf96009, 0x0faf1f82, 
      0xaff97009, 0x0fad2042, 
      0xa4f9800a, 0x0fab20f2, 
      0x99f99009, 0x0faa21b2, 
      0x8df9b00a, 0x0fa82262, 
      0x82f9c00a, 0x0fa62322, 
      0x77f9d009, 0x0fa523e2, 
      0x6bf9f00a, 0x0fa32492, 
      0x60fa0009, 0x0fa22552,
   },
   { /* UV scale factor = 1.02, phases = 127, taps = 5. */
      0x61255fa1, 0x000af9f2, 
      0x6c24afa2, 0x000af9e2, 
      0x7823efa4, 0x000af9c2, 
      0x83233fa5, 0x000af9b2, 
      0x8e227fa7, 0x000af9a2, 
      0x9a21bfa9, 0x000af982, 
      0xa5210faa, 0x000af972, 
      0xb0204fac, 0x000af962, 
      0xbb1f9fad, 0x000af952, 
      0xc61edfaf, 0x000af942, 
      0xd11e1fb1, 0x000af932, 
      0xdc1d5fb3, 0x000af922, 
      0xe61cafb5, 0x000af912, 
      0xf11bffb6, 0x000af902, 
      0xfb1b3fb9, 0x000af8f2, 
      0x061a8fba, 0x000af8e3, 
      0x1019cfbc, 0x000af8e3, 
      0x1a191fbe, 0x000af8d3, 
      0x24185fc0, 0x000af8d3, 
      0x2e17afc2, 0x000af8c3, 
      0x3816ffc3, 0x000af8c3, 
      0x41164fc5, 0x000af8c3, 
      0x4b159fc6, 0x000af8c3, 
      0x5414efc8, 0x000af8c3, 
      0x5d143fca, 0x000af8c3, 
      0x66138fcc, 0x000af8c3, 
      0x6f12dfce, 0x000af8c3, 
      0x78122fcf, 0x000af8d3, 
      0x80118fd2, 0x0009f8d3, 
      0x8810dfd4, 0x0009f8e3, 
      0x90103fd5, 0x0009f8f3, 
      0x980f8fd7, 0x0009f903, 
      0xa00eefd8, 0x0009f913, 
      0xa70e4fda, 0x0009f923, 
      0xaf0dafdb, 0x0009f933, 
      0xb60d0fdd, 0x0009f943, 
      0xbd0c6fde, 0x0009f963, 
      0xc40bdfe0, 0x0008f973, 
      0xca0b3fe2, 0x0008f993, 
      0xd00aafe3, 0x0008f9b3, 
      0xd60a1fe4, 0x0008f9d3, 
      0xdc098fe5, 0x0008f9f3, 
      0xe108ffe8, 0x0007fa13, 
      0xe7086fe8, 0x0007fa43, 
      0xec07dfea, 0x0007fa63, 
      0xf1074feb, 0x0007fa93, 
      0xf506cfed, 0x0006fac3, 
      0xf9064fee, 0x0006faf3, 
      0xfe05cfef, 0x0005fb23, 
      0x01054ff0, 0x0005fb64, 
      0x0504cff1, 0x0005fb94, 
      0x08044ff3, 0x0004fbd4, 
      0x0b03dff3, 0x0004fc14, 
      0x0e036ff5, 0x0003fc44, 
      0x1102eff5, 0x0003fc94, 
      0x13027ff7, 0x0002fcd4, 
      0x15021ff7, 0x0002fd14, 
      0x1701aff8, 0x0001fd64, 
      0x18013ff9, 0x0001fdb4, 
      0x1900dffa, 0x0000fe04, 
      0x1a007ffb, 0x0ffffe54, 
      0x1b001ffb, 0x0ffffea4, 
      0x1bffbffd, 0x0ffefef4, 
      0x1cff5ffd, 0x0ffdff54, 
      0x1bfefffe, 0x0ffdffb4, 
      0x1bfeaffe, 0x0ffc0014, 
      0x1afe5fff, 0x0ffb0074, 
      0x19fe0000, 0x0ffa00d4, 
      0x18fdb001, 0x0ff90134, 
      0x17fd6001, 0x0ff801a4, 
      0x15fd1002, 0x0ff70214, 
      0x13fcd003, 0x0ff60274, 
      0x11fc9003, 0x0ff502e4, 
      0x0efc4004, 0x0ff40364, 
      0x0bfc1004, 0x0ff303d4, 
      0x08fbd005, 0x0ff20444, 
      0x05fb9005, 0x0ff104c4, 
      0x01fb6005, 0x0ff00544, 
      0xfefb2005, 0x0fef05c3, 
      0xf9faf006, 0x0fee0643, 
      0xf5fac007, 0x0fec06c3, 
      0xf1fa9006, 0x0feb0753, 
      0xecfa6007, 0x0fea07d3, 
      0xe7fa4007, 0x0fe80863, 
      0xe1fa1008, 0x0fe708f3, 
      0xdcf9f007, 0x0fe60983, 
      0xd6f9d008, 0x0fe40a13, 
      0xd0f9b008, 0x0fe30aa3, 
      0xcaf99009, 0x0fe10b33, 
      0xc3f97009, 0x0fe00bd3, 
      0xbdf96008, 0x0fde0c73, 
      0xb6f94009, 0x0fdd0d03, 
      0xaff93009, 0x0fdb0da3, 
      0xa7f92009, 0x0fda0e43, 
      0xa0f91009, 0x0fd80ee3, 
      0x98f9000a, 0x0fd60f83, 
      0x90f8f009, 0x0fd51033, 
      0x88f8e00a, 0x0fd310d3, 
      0x80f8d00a, 0x0fd11183, 
      0x78f8d009, 0x0fd01223, 
      0x6ff8c00a, 0x0fce12d3, 
      0x66f8c00a, 0x0fcc1383, 
      0x5df8c009, 0x0fcb1433, 
      0x54f8c009, 0x0fc914e3, 
      0x4bf8c009, 0x0fc71593, 
      0x41f8c00a, 0x0fc51643, 
      0x38f8c00a, 0x0fc316f3, 
      0x2ef8c00a, 0x0fc217a3, 
      0x24f8d00a, 0x0fc01853, 
      0x1af8d00a, 0x0fbe1913, 
      0x10f8e00a, 0x0fbc19c3, 
      0x06f8e00a, 0x0fba1a83, 
      0xfbf8f00a, 0x0fb91b32, 
      0xf1f90009, 0x0fb71bf2, 
      0xe6f9100a, 0x0fb51ca2, 
      0xdcf92009, 0x0fb31d62, 
      0xd1f9300a, 0x0fb11e12, 
      0xc6f94009, 0x0fb01ed2, 
      0xbbf95009, 0x0fae1f92, 
      0xb0f9600a, 0x0fac2042, 
      0xa5f97009, 0x0fab2102, 
      0x9af9800a, 0x0fa921b2, 
      0x8ff9a009, 0x0fa72272, 
      0x83f9b009, 0x0fa62332, 
      0x78f9c00a, 0x0fa423e2, 
      0x6cf9e00a, 0x0fa224a2, 
      0x61f9f00a, 0x0fa12552,
   },
   { /* UV scale factor = 1.03, phases = 127, taps = 5. */
      0x62257fa0, 0x0009f9e2, 
      0x6d24bfa1, 0x000af9d2, 
      0x7923ffa3, 0x000af9b2, 
      0x84234fa4, 0x000af9a2, 
      0x90227fa6, 0x000af992, 
      0x9b21cfa8, 0x000af972, 
      0xa6210faa, 0x000af962, 
      0xb1205fab, 0x000af952, 
      0xbc1f9fad, 0x000af942, 
      0xc71edfaf, 0x000af932, 
      0xd21e2fb0, 0x000af922, 
      0xdd1d6fb2, 0x000af912, 
      0xe81cafb4, 0x000af902, 
      0xf21bffb6, 0x000af8f2, 
      0xfd1b3fb8, 0x000af8e2, 
      0x071a8fba, 0x000af8d3, 
      0x1219cfbb, 0x000af8d3, 
      0x1c191fbd, 0x000af8c3, 
      0x26185fbf, 0x000af8c3, 
      0x3017afc1, 0x000af8b3, 
      0x3916ffc3, 0x000af8b3, 
      0x43164fc4, 0x000af8b3, 
      0x4c159fc6, 0x000af8b3, 
      0x5614dfc8, 0x000af8b3, 
      0x5f143fc9, 0x000af8b3, 
      0x68138fcb, 0x000af8b3, 
      0x7112dfcd, 0x000af8b3, 
      0x79122fd0, 0x0009f8c3, 
      0x82118fd1, 0x0009f8c3, 
      0x8a10dfd3, 0x0009f8d3, 
      0x92103fd4, 0x0009f8e3, 
      0x9a0f9fd6, 0x0009f8e3, 
      0xa20eefd8, 0x0009f8f3, 
      0xa90e4fd9, 0x0009f913, 
      0xb10dafda, 0x0009f923, 
      0xb80d0fdc, 0x0009f933, 
      0xbf0c6fde, 0x0008f953, 
      0xc50bdfe0, 0x0008f963, 
      0xcc0b3fe1, 0x0008f983, 
      0xd20aafe2, 0x0008f9a3, 
      0xd80a0fe4, 0x0008f9c3, 
      0xde097fe6, 0x0007f9e3, 
      0xe408efe7, 0x0007fa03, 
      0xe9085fe8, 0x0007fa33, 
      0xee07dfe9, 0x0007fa53, 
      0xf3074feb, 0x0006fa83, 
      0xf706cfec, 0x0006fab3, 
      0xfc063fed, 0x0006fae3, 
      0x0005bfef, 0x0005fb14, 
      0x04053ff0, 0x0005fb44, 
      0x0704bff1, 0x0005fb84, 
      0x0b044ff1, 0x0004fbc4, 
      0x0e03cff3, 0x0004fbf4, 
      0x11035ff4, 0x0003fc34, 
      0x1302dff5, 0x0003fc84, 
      0x15027ff6, 0x0002fcc4, 
      0x17020ff7, 0x0002fd04, 
      0x19019ff8, 0x0001fd54, 
      0x1b012ff9, 0x0000fda4, 
      0x1c00cff9, 0x0000fdf4, 
      0x1d006ffa, 0x0ffffe44, 
      0x1d000ffc, 0x0ffefe94, 
      0x1effaffc, 0x0ffefee4, 
      0x1eff4ffd, 0x0ffdff44, 
      0x1efeeffe, 0x0ffcffa4, 
      0x1dfe9fff, 0x0ffb0004, 
      0x1dfe3fff, 0x0ffb0064, 
      0x1cfdffff, 0x0ffa00c4, 
      0x1bfda000, 0x0ff90124, 
      0x19fd5001, 0x0ff80194, 
      0x17fd0002, 0x0ff70204, 
      0x15fcc002, 0x0ff60274, 
      0x13fc8002, 0x0ff502e4, 
      0x11fc3003, 0x0ff40354, 
      0x0efbf004, 0x0ff303c4, 
      0x0bfbb004, 0x0ff20444, 
      0x07fb8005, 0x0ff104b4, 
      0x04fb4005, 0x0ff00534, 
      0x00fb1006, 0x0fee05b4, 
      0xfcfae006, 0x0fed0633, 
      0xf7fab006, 0x0fec06c3, 
      0xf3fa8006, 0x0feb0743, 
      0xeefa5007, 0x0fe907d3, 
      0xe9fa3007, 0x0fe80853, 
      0xe4fa0007, 0x0fe708e3, 
      0xdef9e008, 0x0fe50973, 
      0xd8f9c008, 0x0fe40a03, 
      0xd2f9a008, 0x0fe20aa3, 
      0xccf98008, 0x0fe10b33, 
      0xc5f96009, 0x0fdf0bd3, 
      0xbff95008, 0x0fde0c63, 
      0xb8f93009, 0x0fdc0d03, 
      0xb1f92008, 0x0fdb0da3, 
      0xa9f91009, 0x0fd90e43, 
      0xa2f8f009, 0x0fd80ee3, 
      0x9af8e00a, 0x0fd60f83, 
      0x92f8e009, 0x0fd41033, 
      0x8af8d009, 0x0fd310d3, 
      0x82f8c009, 0x0fd11183, 
      0x79f8c00a, 0x0fcf1223, 
      0x71f8b00a, 0x0fcd12d3, 
      0x68f8b009, 0x0fcc1383, 
      0x5ff8b009, 0x0fca1433, 
      0x56f8b009, 0x0fc814e3, 
      0x4cf8b00a, 0x0fc61593, 
      0x43f8b009, 0x0fc51643, 
      0x39f8b00a, 0x0fc316f3, 
      0x30f8b00a, 0x0fc117a3, 
      0x26f8c009, 0x0fbf1863, 
      0x1cf8c00a, 0x0fbd1913, 
      0x12f8d009, 0x0fbc19c3, 
      0x07f8d00a, 0x0fba1a83, 
      0xfdf8e00a, 0x0fb81b32, 
      0xf2f8f00a, 0x0fb61bf2, 
      0xe8f90009, 0x0fb41cb2, 
      0xddf9100a, 0x0fb21d62, 
      0xd2f92009, 0x0fb11e22, 
      0xc7f9300a, 0x0faf1ed2, 
      0xbcf9400a, 0x0fad1f92, 
      0xb1f9500a, 0x0fab2052, 
      0xa6f9600a, 0x0faa2102, 
      0x9bf9700a, 0x0fa821c2, 
      0x90f99009, 0x0fa62282, 
      0x84f9a009, 0x0fa52342, 
      0x79f9b00a, 0x0fa323f2, 
      0x6df9d00a, 0x0fa124b2, 
      0x62f9e00a, 0x0fa02562,
   },
   { /* UV scale factor = 1.04, phases = 127, taps = 5. */
      0x63258f9f, 0x0009f9d2, 
      0x6e24cfa1, 0x0009f9c2, 
      0x7a240fa3, 0x0009f9a2, 
      0x85234fa4, 0x000af992, 
      0x91228fa5, 0x000af982, 
      0x9c21dfa7, 0x000af962, 
      0xa7211fa9, 0x000af952, 
      0xb2205fab, 0x000af942, 
      0xbe1f9fac, 0x000af932, 
      0xc81eefae, 0x000af922, 
      0xd41e2faf, 0x000af912, 
      0xde1d7fb1, 0x000af902, 
      0xe91cbfb3, 0x000af8f2, 
      0xf41bffb5, 0x000af8e2, 
      0xfe1b4fb7, 0x000af8d2, 
      0x091a8fb9, 0x000af8c3, 
      0x1319dfba, 0x000af8c3, 
      0x1d191fbd, 0x000af8b3, 
      0x27186fbe, 0x000af8b3, 
      0x3117bfc0, 0x000af8a3, 
      0x3b16ffc2, 0x000af8a3, 
      0x45164fc3, 0x000af8a3, 
      0x4e159fc5, 0x000af8a3, 
      0x5814dfc7, 0x000af8a3, 
      0x61142fc9, 0x000af8a3, 
      0x6a138fcb, 0x0009f8a3, 
      0x7312dfcd, 0x0009f8a3, 
      0x7b122fcf, 0x0009f8b3, 
      0x84117fd1, 0x0009f8b3, 
      0x8c10dfd2, 0x0009f8c3, 
      0x94103fd4, 0x0009f8c3, 
      0x9c0f8fd6, 0x0009f8d3, 
      0xa40eefd7, 0x0009f8e3, 
      0xab0e4fd9, 0x0009f8f3, 
      0xb30d9fda, 0x0009f913, 
      0xba0d0fdb, 0x0009f923, 
      0xc10c6fde, 0x0008f933, 
      0xc80bcfdf, 0x0008f953, 
      0xce0b3fe0, 0x0008f973, 
      0xd40a9fe2, 0x0008f993, 
      0xda0a0fe3, 0x0008f9b3, 
      0xe0097fe5, 0x0007f9d3, 
      0xe608efe6, 0x0007f9f3, 
      0xeb085fe7, 0x0007fa23, 
      0xf007cfe9, 0x0007fa43, 
      0xf5073feb, 0x0006fa73, 
      0xfa06bfeb, 0x0006faa3, 
      0xfe063fec, 0x0006fad3, 
      0x0205bfee, 0x0005fb04, 
      0x06053fef, 0x0005fb34, 
      0x0a04bff0, 0x0004fb74, 
      0x0d043ff1, 0x0004fbb4, 
      0x1003cff3, 0x0003fbe4, 
      0x13034ff4, 0x0003fc24, 
      0x1502dff5, 0x0003fc64, 
      0x18026ff5, 0x0002fcb4, 
      0x1a01fff7, 0x0001fcf4, 
      0x1c018ff7, 0x0001fd44, 
      0x1d011ff9, 0x0000fd94, 
      0x1e00bff9, 0x0000fde4, 
      0x1f005ffa, 0x0ffffe34, 
      0x20fffffb, 0x0ffefe84, 
      0x20ff9ffc, 0x0ffefed4, 
      0x20ff3ffd, 0x0ffdff34, 
      0x20fedffe, 0x0ffcff94, 
      0x20fe8ffe, 0x0ffbfff4, 
      0x1ffe3fff, 0x0ffa0054, 
      0x1efdefff, 0x0ffa00b4, 
      0x1dfd9000, 0x0ff90114, 
      0x1cfd4000, 0x0ff80184, 
      0x1afcf001, 0x0ff701f4, 
      0x18fcb001, 0x0ff60264, 
      0x15fc6003, 0x0ff502d4, 
      0x13fc2003, 0x0ff40344, 
      0x10fbe004, 0x0ff303b4, 
      0x0dfbb003, 0x0ff20434, 
      0x0afb7004, 0x0ff004b4, 
      0x06fb3005, 0x0fef0534, 
      0x02fb0005, 0x0fee05b4, 
      0xfefad005, 0x0fed0633, 
      0xfafaa005, 0x0fec06b3, 
      0xf5fa7007, 0x0fea0733, 
      0xf0fa4007, 0x0fe907c3, 
      0xebfa2006, 0x0fe80853, 
      0xe6f9f007, 0x0fe608e3, 
      0xe0f9d007, 0x0fe50973, 
      0xdaf9b008, 0x0fe30a03, 
      0xd4f99008, 0x0fe20a93, 
      0xcef97007, 0x0fe10b33, 
      0xc8f95008, 0x0fdf0bc3, 
      0xc1f93009, 0x0fdd0c63, 
      0xbaf92008, 0x0fdc0d03, 
      0xb3f91008, 0x0fda0da3, 
      0xabf8f009, 0x0fd90e43, 
      0xa4f8e009, 0x0fd70ee3, 
      0x9cf8d00a, 0x0fd50f83, 
      0x94f8c00a, 0x0fd41023, 
      0x8cf8c009, 0x0fd210d3, 
      0x84f8b00a, 0x0fd01173, 
      0x7bf8b009, 0x0fcf1223, 
      0x73f8a009, 0x0fcd12d3, 
      0x6af8a009, 0x0fcb1383, 
      0x61f8a009, 0x0fc91433, 
      0x58f89009, 0x0fc814e3, 
      0x4ef8a009, 0x0fc61593, 
      0x45f8a009, 0x0fc41643, 
      0x3bf8a00a, 0x0fc216f3, 
      0x31f8a00a, 0x0fc017b3, 
      0x27f8b00a, 0x0fbe1863, 
      0x1df8b00a, 0x0fbd1913, 
      0x13f8c009, 0x0fbb19d3, 
      0x09f8c00a, 0x0fb91a83, 
      0xfef8d00a, 0x0fb71b42, 
      0xf4f8e00a, 0x0fb51bf2, 
      0xe9f8f009, 0x0fb41cb2, 
      0xdef90009, 0x0fb21d72, 
      0xd4f91009, 0x0fb01e22, 
      0xc9f92009, 0x0fae1ee2, 
      0xbef93009, 0x0fac1fa2, 
      0xb2f9400a, 0x0fab2052, 
      0xa7f9500a, 0x0fa92112, 
      0x9cf9600a, 0x0fa721d2, 
      0x91f98009, 0x0fa52292, 
      0x85f9900a, 0x0fa42342, 
      0x7af9a00a, 0x0fa22402, 
      0x6ef9c009, 0x0fa124c2, 
      0x63f9d00a, 0x0f9f2572,
   },
   { /* UV scale factor = 1.05, phases = 127, taps = 5. */
      0x64258f9e, 0x0009f9d2, 
      0x6f24dfa0, 0x0009f9b2, 
      0x7b241fa1, 0x0009f9a2, 
      0x86236fa3, 0x0009f982, 
      0x92229fa5, 0x0009f972, 
      0x9d21efa7, 0x0009f952, 
      0xa8212fa8, 0x000af942, 
      0xb4206fa9, 0x000af932, 
      0xbf1fafab, 0x000af922, 
      0xca1eefad, 0x000af912, 
      0xd51e2faf, 0x000af902, 
      0xe01d7fb0, 0x000af8f2, 
      0xea1cbfb3, 0x000af8e2, 
      0xf51c0fb4, 0x000af8d2, 
      0x001b4fb6, 0x000af8c3, 
      0x0a1a9fb8, 0x000af8b3, 
      0x1419dfba, 0x000af8b3, 
      0x1f192fbb, 0x000af8a3, 
      0x29186fbd, 0x000af8a3, 
      0x3317bfbf, 0x000af893, 
      0x3d16ffc1, 0x000af893, 
      0x46164fc3, 0x000af893, 
      0x50158fc5, 0x000af893, 
      0x5914efc7, 0x0009f893, 
      0x62143fc9, 0x0009f893, 
      0x6c138fca, 0x0009f893, 
      0x7412dfcd, 0x0009f893, 
      0x7d122fcf, 0x0009f893, 
      0x86117fd0, 0x0009f8a3, 
      0x8e10dfd1, 0x0009f8b3, 
      0x96102fd4, 0x0009f8b3, 
      0x9e0f8fd5, 0x0009f8c3, 
      0xa60eefd6, 0x0009f8d3, 
      0xae0e3fd8, 0x0009f8e3, 
      0xb50d9fda, 0x0009f8f3, 
      0xbc0cffdc, 0x0008f913, 
      0xc30c6fdd, 0x0008f923, 
      0xca0bcfde, 0x0008f943, 
      0xd00b2fe0, 0x0008f963, 
      0xd70a8fe1, 0x0008f983, 
      0xdd09ffe3, 0x0007f9a3, 
      0xe2096fe5, 0x0007f9c3, 
      0xe808dfe6, 0x0007f9e3, 
      0xed084fe8, 0x0007fa03, 
      0xf307bfe9, 0x0006fa33, 
      0xf7073fea, 0x0006fa63, 
      0xfc06afeb, 0x0006fa93, 
      0x00062fed, 0x0005fac4, 
      0x0505afed, 0x0005faf4, 
      0x08052fef, 0x0005fb24, 
      0x0c04aff0, 0x0004fb64, 
      0x0f042ff2, 0x0004fb94, 
      0x1203bff3, 0x0003fbd4, 
      0x15033ff4, 0x0003fc14, 
      0x1802cff5, 0x0002fc54, 
      0x1a025ff5, 0x0002fca4, 
      0x1c01eff7, 0x0001fce4, 
      0x1e017ff7, 0x0001fd34, 
      0x1f011ff8, 0x0000fd84, 
      0x2100aff9, 0x0ffffdd4, 
      0x22003ffa, 0x0ffffe24, 
      0x22ffeffb, 0x0ffefe74, 
      0x23ff8ffc, 0x0ffdfec4, 
      0x23ff2ffc, 0x0ffdff24, 
      0x23fecffd, 0x0ffcff84, 
      0x22fe7ffe, 0x0ffbffe4, 
      0x22fe2ffe, 0x0ffa0044, 
      0x21fddfff, 0x0ff900a4, 
      0x1ffd8000, 0x0ff80114, 
      0x1efd3001, 0x0ff70174, 
      0x1cfce001, 0x0ff701e4, 
      0x1afca001, 0x0ff60254, 
      0x18fc5003, 0x0ff402c4, 
      0x15fc2003, 0x0ff30334, 
      0x12fbd004, 0x0ff203b4, 
      0x0ffba004, 0x0ff10424, 
      0x0cfb6004, 0x0ff004a4, 
      0x08fb2005, 0x0fef0524, 
      0x05fae005, 0x0fee05a4, 
      0x00fac006, 0x0fec0624, 
      0xfcfa9006, 0x0feb06a3, 
      0xf7fa6006, 0x0fea0733, 
      0xf3fa3006, 0x0fe907b3, 
      0xedfa1007, 0x0fe70843, 
      0xe8f9e007, 0x0fe608d3, 
      0xe2f9c008, 0x0fe40963, 
      0xddf9a007, 0x0fe309f3, 
      0xd7f97007, 0x0fe20a93, 
      0xd0f96008, 0x0fe00b23, 
      0xcaf93008, 0x0fdf0bc3, 
      0xc3f92009, 0x0fdd0c53, 
      0xbcf91009, 0x0fdb0cf3, 
      0xb5f8f009, 0x0fda0d93, 
      0xaef8e009, 0x0fd80e33, 
      0xa6f8d008, 0x0fd70ee3, 
      0x9ef8c009, 0x0fd50f83, 
      0x96f8b00a, 0x0fd31023, 
      0x8ef8a009, 0x0fd210d3, 
      0x86f8a009, 0x0fd01173, 
      0x7df8900a, 0x0fce1223, 
      0x74f8900a, 0x0fcc12d3, 
      0x6cf88009, 0x0fcb1383, 
      0x62f89009, 0x0fc91433, 
      0x59f89009, 0x0fc714e3, 
      0x50f89009, 0x0fc51593, 
      0x46f8900a, 0x0fc31643, 
      0x3df8900a, 0x0fc116f3, 
      0x33f89009, 0x0fc017b3, 
      0x29f8a009, 0x0fbe1863, 
      0x1ff8a009, 0x0fbc1923, 
      0x15f8b009, 0x0fba19d3, 
      0x0af8b00a, 0x0fb81a93, 
      0x00f8c00a, 0x0fb61b43, 
      0xf5f8d009, 0x0fb51c02, 
      0xeaf8e00a, 0x0fb31cb2, 
      0xe0f8f009, 0x0fb11d72, 
      0xd5f90009, 0x0faf1e32, 
      0xcaf91009, 0x0fad1ef2, 
      0xbff92009, 0x0fac1fa2, 
      0xb4f93009, 0x0faa2062, 
      0xa8f9400a, 0x0fa82122, 
      0x9df9500a, 0x0fa621e2, 
      0x92f97009, 0x0fa52292, 
      0x86f9800a, 0x0fa32352, 
      0x7bf9a009, 0x0fa12412, 
      0x6ff9b009, 0x0fa024d2, 
      0x64f9d009, 0x0f9e2582,
   },
   { /* UV scale factor = 1.06, phases = 127, taps = 5. */
      0x65259f9d, 0x0009f9c2, 
      0x7024ef9f, 0x0009f9a2, 
      0x7c242fa0, 0x0009f992, 
      0x87236fa3, 0x0009f972, 
      0x9322afa4, 0x0009f962, 
      0x9e21ffa6, 0x0009f942, 
      0xaa213fa7, 0x0009f932, 
      0xb5207fa9, 0x0009f922, 
      0xc01fbfab, 0x0009f912, 
      0xcb1effad, 0x0009f902, 
      0xd61e3fae, 0x000af8f2, 
      0xe11d7fb0, 0x000af8e2, 
      0xec1cbfb2, 0x000af8d2, 
      0xf71c0fb3, 0x000af8c2, 
      0x011b5fb5, 0x000af8b3, 
      0x0c1a9fb7, 0x000af8a3, 
      0x1619dfb9, 0x000af8a3, 
      0x20192fbb, 0x000af893, 
      0x2b186fbd, 0x000af883, 
      0x3517afbf, 0x000af883, 
      0x3e170fc1, 0x0009f883, 
      0x48164fc3, 0x0009f883, 
      0x52159fc5, 0x0009f873, 
      0x5b14efc7, 0x0009f873, 
      0x64143fc9, 0x0009f873, 
      0x6d138fca, 0x0009f883, 
      0x7612dfcc, 0x0009f883, 
      0x7f122fce, 0x0009f883, 
      0x88117fcf, 0x0009f893, 
      0x9010dfd1, 0x0009f893, 
      0x98102fd3, 0x0009f8a3, 
      0xa00f8fd4, 0x0009f8b3, 
      0xa80edfd6, 0x0009f8c3, 
      0xb00e3fd7, 0x0009f8d3, 
      0xb70d9fda, 0x0008f8e3, 
      0xbe0cffdb, 0x0008f903, 
      0xc50c5fdd, 0x0008f913, 
      0xcc0bbfde, 0x0008f933, 
      0xd20b2fe0, 0x0008f943, 
      0xd90a8fe1, 0x0008f963, 
      0xdf09ffe3, 0x0007f983, 
      0xe5095fe4, 0x0007f9b3, 
      0xea08dfe5, 0x0007f9d3, 
      0xf0084fe6, 0x0007f9f3, 
      0xf507bfe8, 0x0006fa23, 
      0xfa072fe9, 0x0006fa53, 
      0xfe06afea, 0x0006fa83, 
      0x03061fec, 0x0005fab4, 
      0x07059fed, 0x0005fae4, 
      0x0b051fef, 0x0004fb14, 
      0x0e049ff0, 0x0004fb54, 
      0x12041ff1, 0x0004fb84, 
      0x1503aff2, 0x0003fbc4, 
      0x18032ff3, 0x0003fc04, 
      0x1a02bff5, 0x0002fc44, 
      0x1c024ff5, 0x0002fc94, 
      0x1f01dff6, 0x0001fcd4, 
      0x20016ff8, 0x0000fd24, 
      0x2200fff8, 0x0000fd74, 
      0x23009ffa, 0x0ffffdb4, 
      0x24003ff9, 0x0ffffe14, 
      0x25ffdffa, 0x0ffefe64, 
      0x25ff7ffc, 0x0ffdfeb4, 
      0x25ff1ffd, 0x0ffcff14, 
      0x25febffd, 0x0ffcff74, 
      0x25fe6ffd, 0x0ffbffd4, 
      0x24fe1ffe, 0x0ffa0034, 
      0x23fdb000, 0x0ff90094, 
      0x22fd7fff, 0x0ff80104, 
      0x20fd2001, 0x0ff70164, 
      0x1ffcd001, 0x0ff601d4, 
      0x1dfc9001, 0x0ff50244, 
      0x1afc4003, 0x0ff402b4, 
      0x18fc0003, 0x0ff30324, 
      0x15fbc003, 0x0ff203a4, 
      0x12fb8004, 0x0ff10414, 
      0x0efb5004, 0x0ff00494, 
      0x0bfb1004, 0x0fef0514, 
      0x07fae005, 0x0fed0594, 
      0x03fab005, 0x0fec0614, 
      0xfefa8005, 0x0feb06a3, 
      0xfafa5005, 0x0fea0723, 
      0xf5fa2006, 0x0fe807b3, 
      0xf0f9f006, 0x0fe70843, 
      0xeaf9d007, 0x0fe508d3, 
      0xe5f9a007, 0x0fe40963, 
      0xdff98007, 0x0fe309f3, 
      0xd9f96008, 0x0fe10a83, 
      0xd2f94008, 0x0fe00b23, 
      0xccf93008, 0x0fde0bb3, 
      0xc5f91008, 0x0fdd0c53, 
      0xbef90008, 0x0fdb0cf3, 
      0xb7f8e009, 0x0fd90d93, 
      0xb0f8d008, 0x0fd80e33, 
      0xa8f8c009, 0x0fd60ed3, 
      0xa0f8b009, 0x0fd40f83, 
      0x98f8a009, 0x0fd31023, 
      0x90f89009, 0x0fd110d3, 
      0x88f89009, 0x0fcf1173, 
      0x7ff8800a, 0x0fcd1223, 
      0x76f88009, 0x0fcc12d3, 
      0x6df88009, 0x0fca1383, 
      0x64f8700a, 0x0fc81433, 
      0x5bf8700a, 0x0fc614e3, 
      0x52f87009, 0x0fc51593, 
      0x48f88009, 0x0fc31643, 
      0x3ef88009, 0x0fc11703, 
      0x35f88009, 0x0fbf17b3, 
      0x2bf8800a, 0x0fbd1863, 
      0x20f8900a, 0x0fbb1923, 
      0x16f8a00a, 0x0fb919d3, 
      0x0cf8a009, 0x0fb81a93, 
      0x01f8b009, 0x0fb61b53, 
      0xf7f8c009, 0x0fb41c02, 
      0xecf8d009, 0x0fb21cc2, 
      0xe1f8e009, 0x0fb01d82, 
      0xd6f8f00a, 0x0fae1e32, 
      0xcbf90009, 0x0fad1ef2, 
      0xc0f91009, 0x0fab1fb2, 
      0xb5f92009, 0x0fa92072, 
      0xaaf93009, 0x0fa72132, 
      0x9ef9400a, 0x0fa621e2, 
      0x93f96009, 0x0fa422a2, 
      0x87f9700a, 0x0fa22362, 
      0x7cf99009, 0x0fa02422, 
      0x70f9a00a, 0x0f9f24d2, 
      0x65f9c009, 0x0f9d2592,
   },
   { /* UV scale factor = 1.07, phases = 127, taps = 5. */
      0x6625af9c, 0x0009f9b2, 
      0x7124ff9e, 0x0009f992, 
      0x7d242fa0, 0x0009f982, 
      0x89237fa1, 0x0009f962, 
      0x9422bfa3, 0x0009f952, 
      0x9f220fa5, 0x0009f932, 
      0xab213fa7, 0x0009f922, 
      0xb6207fa9, 0x0009f912, 
      0xc11fcfaa, 0x0009f902, 
      0xcc1f0fac, 0x0009f8f2, 
      0xd71e4fae, 0x0009f8e2, 
      0xe21d9fb0, 0x0009f8c2, 
      0xed1ccfb2, 0x0009f8c2, 
      0xf81c1fb3, 0x0009f8b2, 
      0x031b5fb5, 0x0009f8a3, 
      0x0d1aafb7, 0x0009f893, 
      0x1819efb9, 0x0009f883, 
      0x22192fbb, 0x0009f883, 
      0x2c187fbd, 0x0009f873, 
      0x3617bfbf, 0x0009f873, 
      0x40170fc0, 0x0009f873, 
      0x4a164fc3, 0x0009f863, 
      0x5315afc4, 0x0009f863, 
      0x5d14efc6, 0x0009f863, 
      0x66143fc8, 0x0009f863, 
      0x6f138fc9, 0x0009f873, 
      0x7812dfcb, 0x0009f873, 
      0x81122fcd, 0x0009f873, 
      0x8a117fce, 0x0009f883, 
      0x9210cfd1, 0x0009f883, 
      0x9a102fd2, 0x0009f893, 
      0xa20f7fd4, 0x0009f8a3, 
      0xaa0edfd5, 0x0009f8b3, 
      0xb20e3fd7, 0x0008f8c3, 
      0xb90d9fd9, 0x0008f8d3, 
      0xc00cffdb, 0x0008f8e3, 
      0xc70c5fdc, 0x0008f903, 
      0xce0bbfdd, 0x0008f923, 
      0xd50b1fdf, 0x0008f933, 
      0xdb0a8fe1, 0x0007f953, 
      0xe109efe3, 0x0007f973, 
      0xe7095fe4, 0x0007f993, 
      0xec08cfe5, 0x0007f9c3, 
      0xf2083fe7, 0x0006f9e3, 
      0xf707afe8, 0x0006fa13, 
      0xfc072fe9, 0x0006fa33, 
      0x01069feb, 0x0005fa64, 
      0x05061fec, 0x0005fa94, 
      0x09058fed, 0x0005fad4, 
      0x0d050fef, 0x0004fb04, 
      0x11048ff0, 0x0004fb34, 
      0x14041ff1, 0x0003fb74, 
      0x17039ff2, 0x0003fbb4, 
      0x1a032ff3, 0x0002fbf4, 
      0x1d02aff4, 0x0002fc34, 
      0x1f024ff5, 0x0001fc74, 
      0x2101cff6, 0x0001fcc4, 
      0x23015ff7, 0x0000fd14, 
      0x2400fff8, 0x0000fd54, 
      0x26008ff9, 0x0ffffda4, 
      0x27002ff9, 0x0ffefe04, 
      0x27ffcffa, 0x0ffefe54, 
      0x28ff6ffb, 0x0ffdfea4, 
      0x28ff0ffc, 0x0ffcff04, 
      0x28feaffd, 0x0ffbff64, 
      0x27fe5ffe, 0x0ffaffc4, 
      0x27fdfffe, 0x0ffa0024, 
      0x26fdafff, 0x0ff90084, 
      0x24fd5000, 0x0ff800f4, 
      0x23fd1000, 0x0ff70154, 
      0x21fcc001, 0x0ff601c4, 
      0x1ffc7002, 0x0ff50234, 
      0x1dfc3002, 0x0ff402a4, 
      0x1afbf002, 0x0ff30324, 
      0x17fbb003, 0x0ff20394, 
      0x14fb7003, 0x0ff10414, 
      0x11fb4004, 0x0fef0484, 
      0x0dfb0005, 0x0fee0504, 
      0x09fad005, 0x0fed0584, 
      0x05fa9005, 0x0fec0614, 
      0x01fa6006, 0x0fea0694, 
      0xfcfa3006, 0x0fe90723, 
      0xf7fa1006, 0x0fe807a3, 
      0xf2f9e007, 0x0fe60833, 
      0xedf9c006, 0x0fe508c3, 
      0xe7f99007, 0x0fe40953, 
      0xe1f97008, 0x0fe209e3, 
      0xdbf95007, 0x0fe10a83, 
      0xd5f93008, 0x0fdf0b13, 
      0xcef92007, 0x0fde0bb3, 
      0xc7f90008, 0x0fdc0c53, 
      0xc0f8e009, 0x0fda0cf3, 
      0xb9f8d008, 0x0fd90d93, 
      0xb2f8c008, 0x0fd70e33, 
      0xaaf8b008, 0x0fd60ed3, 
      0xa2f8a009, 0x0fd40f73, 
      0x9af89009, 0x0fd21023, 
      0x92f89009, 0x0fd010c3, 
      0x8af87009, 0x0fcf1173, 
      0x81f87009, 0x0fcd1223, 
      0x78f87009, 0x0fcb12d3, 
      0x6ff87009, 0x0fc91383, 
      0x66f86009, 0x0fc81433, 
      0x5df86009, 0x0fc614e3, 
      0x53f8600a, 0x0fc41593, 
      0x4af8600a, 0x0fc21643, 
      0x40f87009, 0x0fc01703, 
      0x36f8700a, 0x0fbe17b3, 
      0x2cf8700a, 0x0fbc1873, 
      0x22f88009, 0x0fbb1923, 
      0x18f88009, 0x0fb919e3, 
      0x0df8900a, 0x0fb71a93, 
      0x03f8a009, 0x0fb51b53, 
      0xf8f8b009, 0x0fb31c12, 
      0xedf8c00a, 0x0fb11cc2, 
      0xe2f8d00a, 0x0faf1d82, 
      0xd7f8e009, 0x0fae1e42, 
      0xccf8f009, 0x0fac1f02, 
      0xc1f90009, 0x0faa1fc2, 
      0xb6f9100a, 0x0fa82072, 
      0xabf9200a, 0x0fa62132, 
      0x9ff9300a, 0x0fa521f2, 
      0x94f95009, 0x0fa322b2, 
      0x89f96009, 0x0fa12372, 
      0x7df98009, 0x0fa02422, 
      0x71f9900a, 0x0f9e24e2, 
      0x66f9b009, 0x0f9c25a2,
   },
   { /* UV scale factor = 1.08, phases = 127, taps = 5. */
      0x6725bf9b, 0x0009f9a2, 
      0x7224ff9e, 0x0009f982, 
      0x7e243f9f, 0x0009f972, 
      0x8a238fa0, 0x0009f952, 
      0x9522cfa2, 0x0009f942, 
      0xa1220fa3, 0x0009f932, 
      0xac214fa6, 0x0009f912, 
      0xb7208fa8, 0x0009f902, 
      0xc31fcfa9, 0x0009f8f2, 
      0xce1f0fab, 0x0009f8e2, 
      0xd91e5fad, 0x0009f8c2, 
      0xe41d9faf, 0x0009f8b2, 
      0xef1cdfb1, 0x0009f8a2, 
      0xfa1c1fb2, 0x0009f8a2, 
      0x041b5fb5, 0x0009f893, 
      0x0f1aafb6, 0x0009f883, 
      0x1919efb9, 0x0009f873, 
      0x24192fba, 0x0009f873, 
      0x2e187fbc, 0x0009f863, 
      0x3817bfbe, 0x0009f863, 
      0x42170fbf, 0x0009f863, 
      0x4c164fc2, 0x0009f853, 
      0x55159fc4, 0x0009f853, 
      0x5f14efc5, 0x0009f853, 
      0x68143fc7, 0x0009f853, 
      0x71138fc9, 0x0009f853, 
      0x7a12dfca, 0x0009f863, 
      0x83122fcc, 0x0009f863, 
      0x8b117fce, 0x0009f873, 
      0x9410cfd0, 0x0009f873, 
      0x9c102fd1, 0x0009f883, 
      0xa40f7fd3, 0x0009f893, 
      0xac0edfd5, 0x0008f8a3, 
      0xb40e3fd6, 0x0008f8b3, 
      0xbb0d8fd9, 0x0008f8c3, 
      0xc20cffda, 0x0008f8d3, 
      0xc90c4fdc, 0x0008f8f3, 
      0xd00bbfdd, 0x0008f903, 
      0xd70b1fdf, 0x0007f923, 
      0xdd0a7fe1, 0x0007f943, 
      0xe309efe2, 0x0007f963, 
      0xe9095fe3, 0x0007f983, 
      0xef08cfe4, 0x0007f9a3, 
      0xf4083fe6, 0x0006f9d3, 
      0xf907afe7, 0x0006fa03, 
      0xfe071fe9, 0x0006fa23, 
      0x03068feb, 0x0005fa54, 
      0x07060fec, 0x0005fa84, 
      0x0c058fec, 0x0005fab4, 
      0x10050fed, 0x0004faf4, 
      0x13048fef, 0x0004fb24, 
      0x17040ff0, 0x0003fb64, 
      0x1a038ff1, 0x0003fba4, 
      0x1d031ff2, 0x0002fbe4, 
      0x1f029ff4, 0x0002fc24, 
      0x21023ff5, 0x0001fc64, 
      0x2401bff5, 0x0001fcb4, 
      0x25014ff7, 0x0000fd04, 
      0x2700eff8, 0x0ffffd44, 
      0x28007ff9, 0x0ffffd94, 
      0x29001ff9, 0x0ffefdf4, 
      0x2affbffa, 0x0ffdfe44, 
      0x2aff5ffb, 0x0ffdfe94, 
      0x2afefffc, 0x0ffcfef4, 
      0x2afe9ffd, 0x0ffbff54, 
      0x2afe4ffd, 0x0ffaffb4, 
      0x29fdfffe, 0x0ff90014, 
      0x28fdafff, 0x0ff80074, 
      0x27fd4fff, 0x0ff800e4, 
      0x25fd0000, 0x0ff70144, 
      0x24fcb000, 0x0ff601b4, 
      0x21fc6002, 0x0ff50224, 
      0x1ffc2002, 0x0ff40294, 
      0x1dfbd002, 0x0ff30314, 
      0x1afba003, 0x0ff10384, 
      0x17fb6003, 0x0ff00404, 
      0x13fb2004, 0x0fef0484, 
      0x10fae004, 0x0fee0504, 
      0x0cfab004, 0x0fed0584, 
      0x07fa9005, 0x0feb0604, 
      0x03fa5006, 0x0fea0684, 
      0xfefa2006, 0x0fe90713, 
      0xf9fa0006, 0x0fe707a3, 
      0xf4f9d006, 0x0fe60833, 
      0xeff9a006, 0x0fe508c3, 
      0xe9f98007, 0x0fe30953, 
      0xe3f96007, 0x0fe209e3, 
      0xddf94008, 0x0fe00a73, 
      0xd7f92007, 0x0fdf0b13, 
      0xd0f90008, 0x0fdd0bb3, 
      0xc9f8f008, 0x0fdc0c43, 
      0xc2f8d009, 0x0fda0ce3, 
      0xbbf8c009, 0x0fd80d83, 
      0xb4f8a008, 0x0fd70e33, 
      0xacf8a008, 0x0fd50ed3, 
      0xa4f89009, 0x0fd30f73, 
      0x9cf88008, 0x0fd21023, 
      0x94f87009, 0x0fd010c3, 
      0x8bf87009, 0x0fce1173, 
      0x83f86009, 0x0fcc1223, 
      0x7af85009, 0x0fcb12d3, 
      0x71f85009, 0x0fc91383, 
      0x68f85009, 0x0fc71433, 
      0x5ff85009, 0x0fc514e3, 
      0x55f8500a, 0x0fc31593, 
      0x4cf8500a, 0x0fc11643, 
      0x42f85009, 0x0fc01703, 
      0x38f86009, 0x0fbe17b3, 
      0x2ef86009, 0x0fbc1873, 
      0x24f87009, 0x0fba1923, 
      0x19f8700a, 0x0fb819e3, 
      0x0ff88009, 0x0fb61aa3, 
      0x04f8900a, 0x0fb41b53, 
      0xfaf8a009, 0x0fb21c12, 
      0xeff8a009, 0x0fb11cd2, 
      0xe4f8b009, 0x0faf1d92, 
      0xd9f8c00a, 0x0fad1e42, 
      0xcef8e009, 0x0fab1f02, 
      0xc3f8f009, 0x0fa91fc2, 
      0xb7f9000a, 0x0fa72082, 
      0xacf91009, 0x0fa62142, 
      0xa1f92009, 0x0fa42202, 
      0x95f94009, 0x0fa222c2, 
      0x8af95009, 0x0fa02382, 
      0x7ef97009, 0x0f9f2432, 
      0x72f9800a, 0x0f9d24f2, 
      0x67f9a009, 0x0f9b25b2,
   },
   { /* UV scale factor = 1.09, phases = 127, taps = 5. */
      0x6825cf9a, 0x0009f992, 
      0x73250f9d, 0x0009f972, 
      0x7f244f9e, 0x0009f962, 
      0x8b238fa0, 0x0009f942, 
      0x9622cfa2, 0x0009f932, 
      0xa2221fa2, 0x0009f922, 
      0xad215fa5, 0x0009f902, 
      0xb9209fa6, 0x0009f8f2, 
      0xc41fdfa8, 0x0009f8e2, 
      0xcf1f1faa, 0x0009f8d2, 
      0xda1e5fad, 0x0009f8b2, 
      0xe51dafae, 0x0009f8a2, 
      0xf01cefb0, 0x0009f892, 
      0xfb1c2fb1, 0x0009f892, 
      0x061b6fb3, 0x0009f883, 
      0x101aafb6, 0x0009f873, 
      0x1b19efb8, 0x0009f863, 
      0x25193fb9, 0x0009f863, 
      0x2f187fbc, 0x0009f853, 
      0x3917cfbd, 0x0009f853, 
      0x43171fbf, 0x0009f843, 
      0x4d165fc1, 0x0009f843, 
      0x57159fc3, 0x0009f843, 
      0x6014efc5, 0x0009f843, 
      0x6a143fc6, 0x0009f843, 
      0x73138fc8, 0x0009f843, 
      0x7c12dfca, 0x0009f843, 
      0x85122fcb, 0x0009f853, 
      0x8d117fce, 0x0009f853, 
      0x9610cfcf, 0x0009f863, 
      0x9e101fd1, 0x0009f873, 
      0xa60f7fd3, 0x0008f883, 
      0xae0edfd5, 0x0008f883, 
      0xb60e2fd6, 0x0008f8a3, 
      0xbd0d8fd8, 0x0008f8b3, 
      0xc50cefd9, 0x0008f8c3, 
      0xcc0c3fdb, 0x0008f8e3, 
      0xd20bafdd, 0x0008f8f3, 
      0xd90b0fdf, 0x0007f913, 
      0xdf0a7fe0, 0x0007f933, 
      0xe609dfe1, 0x0007f953, 
      0xeb094fe3, 0x0007f973, 
      0xf108bfe5, 0x0006f993, 
      0xf7082fe5, 0x0006f9c3, 
      0xfc079fe7, 0x0006f9e3, 
      0x01070fe9, 0x0005fa14, 
      0x05068fea, 0x0005fa44, 
      0x0a05ffeb, 0x0005fa74, 
      0x0e057fed, 0x0004faa4, 
      0x1204ffed, 0x0004fae4, 
      0x16047fee, 0x0004fb14, 
      0x1903fff0, 0x0003fb54, 
      0x1c037ff1, 0x0003fb94, 
      0x1f030ff2, 0x0002fbd4, 
      0x22028ff3, 0x0002fc14, 
      0x24021ff5, 0x0001fc54, 
      0x2601aff6, 0x0000fca4, 
      0x28014ff6, 0x0000fce4, 
      0x2900dff8, 0x0ffffd34, 
      0x2b006ff8, 0x0ffffd84, 
      0x2c000ff9, 0x0ffefdd4, 
      0x2cffaffa, 0x0ffdfe34, 
      0x2dff4ffb, 0x0ffcfe84, 
      0x2dfeeffb, 0x0ffcfee4, 
      0x2dfe8ffc, 0x0ffbff44, 
      0x2cfe3ffd, 0x0ffaffa4, 
      0x2cfddffe, 0x0ff90004, 
      0x2bfd8fff, 0x0ff80064, 
      0x29fd3000, 0x0ff700d4, 
      0x28fce000, 0x0ff60144, 
      0x26fca001, 0x0ff501a4, 
      0x24fc5002, 0x0ff40214, 
      0x22fc1001, 0x0ff30294, 
      0x1ffbd002, 0x0ff20304, 
      0x1cfb9003, 0x0ff10374, 
      0x19fb5003, 0x0ff003f4, 
      0x16fb1003, 0x0fef0474, 
      0x12fae003, 0x0fee04f4, 
      0x0efaa005, 0x0fec0574, 
      0x0afa7005, 0x0feb05f4, 
      0x05fa4005, 0x0fea0684, 
      0x01fa1006, 0x0fe80704, 
      0xfcf9e006, 0x0fe70793, 
      0xf7f9b006, 0x0fe60823, 
      0xf1f99007, 0x0fe408b3, 
      0xebf97007, 0x0fe30943, 
      0xe6f95007, 0x0fe109d3, 
      0xdff93007, 0x0fe00a73, 
      0xd9f91008, 0x0fde0b03, 
      0xd2f8f008, 0x0fdd0ba3, 
      0xccf8e007, 0x0fdb0c43, 
      0xc5f8c008, 0x0fd90ce3, 
      0xbdf8b008, 0x0fd80d83, 
      0xb6f8a008, 0x0fd60e23, 
      0xaef88009, 0x0fd40ed3, 
      0xa6f88008, 0x0fd30f73, 
      0x9ef87009, 0x0fd11013, 
      0x96f86009, 0x0fcf10c3, 
      0x8df85009, 0x0fce1173, 
      0x85f85008, 0x0fcc1223, 
      0x7cf84009, 0x0fca12d3, 
      0x73f84009, 0x0fc81383, 
      0x6af84009, 0x0fc61433, 
      0x60f8400a, 0x0fc414e3, 
      0x57f84009, 0x0fc31593, 
      0x4df84009, 0x0fc11653, 
      0x43f8400a, 0x0fbf1703, 
      0x39f8500a, 0x0fbd17b3, 
      0x2ff8500a, 0x0fbb1873, 
      0x25f86009, 0x0fb91933, 
      0x1bf8600a, 0x0fb719e3, 
      0x10f8700a, 0x0fb51aa3, 
      0x06f87009, 0x0fb41b63, 
      0xfbf88009, 0x0fb21c22, 
      0xf0f8900a, 0x0fb01cd2, 
      0xe5f8a00a, 0x0fae1d92, 
      0xdaf8b00a, 0x0fac1e52, 
      0xcff8d009, 0x0faa1f12, 
      0xc4f8e009, 0x0fa81fd2, 
      0xb9f8e009, 0x0fa72092, 
      0xadf90009, 0x0fa52152, 
      0xa2f91009, 0x0fa32212, 
      0x96f9300a, 0x0fa122c2, 
      0x8bf94009, 0x0fa02382, 
      0x7ff96009, 0x0f9e2442, 
      0x73f9700a, 0x0f9c2502, 
      0x68f98009, 0x0f9b25c2,
   },
   { /* UV scale factor = 1.10, phases = 127, taps = 5. */
      0x6925df99, 0x0009f982, 
      0x74251f9c, 0x0009f962, 
      0x80245f9d, 0x0009f952, 
      0x8c239f9f, 0x0009f932, 
      0x9722dfa1, 0x0009f922, 
      0xa3221fa2, 0x0009f912, 
      0xae216fa4, 0x0009f8f2, 
      0xba209fa6, 0x0009f8e2, 
      0xc51fdfa8, 0x0009f8d2, 
      0xd01f1faa, 0x0009f8c2, 
      0xdc1e6fab, 0x0009f8a2, 
      0xe71dafad, 0x0009f892, 
      0xf21cefaf, 0x0009f882, 
      0xfd1c2fb1, 0x0009f872, 
      0x071b6fb3, 0x0009f873, 
      0x121aafb5, 0x0009f863, 
      0x1c19ffb7, 0x0009f853, 
      0x27193fb8, 0x0009f853, 
      0x31187fbb, 0x0009f843, 
      0x3b17cfbc, 0x0009f843, 
      0x45170fbf, 0x0009f833, 
      0x4f165fc0, 0x0009f833, 
      0x59159fc2, 0x0009f833, 
      0x6214efc4, 0x0009f833, 
      0x6c143fc5, 0x0009f833, 
      0x75138fc7, 0x0009f833, 
      0x7e12dfc9, 0x0009f833, 
      0x87121fcb, 0x0009f843, 
      0x8f117fcd, 0x0009f843, 
      0x9810cfce, 0x0009f853, 
      0xa0101fd1, 0x0009f853, 
      0xa80f7fd3, 0x0008f863, 
      0xb00edfd4, 0x0008f873, 
      0xb80e2fd6, 0x0008f883, 
      0xbf0d8fd7, 0x0008f8a3, 
      0xc70cefd8, 0x0008f8b3, 
      0xce0c4fda, 0x0008f8c3, 
      0xd50bafdc, 0x0007f8e3, 
      0xdb0b0fde, 0x0007f903, 
      0xe20a6fdf, 0x0007f923, 
      0xe809dfe0, 0x0007f943, 
      0xee093fe2, 0x0007f963, 
      0xf308bfe4, 0x0006f983, 
      0xf9081fe5, 0x0006f9b3, 
      0xfe078fe7, 0x0006f9d3, 
      0x03070fe8, 0x0005fa04, 
      0x08067fe9, 0x0005fa34, 
      0x0c05ffea, 0x0005fa64, 
      0x10057fec, 0x0004fa94, 
      0x1404efed, 0x0004fad4, 
      0x18046fef, 0x0003fb04, 
      0x1b03eff0, 0x0003fb44, 
      0x1f037ff0, 0x0002fb84, 
      0x2102fff2, 0x0002fbc4, 
      0x24028ff3, 0x0001fc04, 
      0x26021ff4, 0x0001fc44, 
      0x2801aff5, 0x0000fc94, 
      0x2a013ff6, 0x0000fcd4, 
      0x2c00cff7, 0x0ffffd24, 
      0x2d006ff8, 0x0ffefd74, 
      0x2efffff9, 0x0ffefdc4, 
      0x2fff9ff9, 0x0ffdfe24, 
      0x2fff3ffb, 0x0ffcfe74, 
      0x2ffedffc, 0x0ffbfed4, 
      0x2ffe7ffc, 0x0ffbff34, 
      0x2ffe2ffc, 0x0ffaff94, 
      0x2efdcffe, 0x0ff9fff4, 
      0x2dfd7fff, 0x0ff80054, 
      0x2cfd2fff, 0x0ff700c4, 
      0x2afcd000, 0x0ff60134, 
      0x28fc9000, 0x0ff501a4, 
      0x26fc4001, 0x0ff40214, 
      0x24fc0001, 0x0ff30284, 
      0x21fbc002, 0x0ff202f4, 
      0x1ffb7002, 0x0ff10374, 
      0x1bfb4003, 0x0ff003e4, 
      0x18fb0004, 0x0fee0464, 
      0x14fad004, 0x0fed04e4, 
      0x10fa9005, 0x0fec0564, 
      0x0cfa6004, 0x0feb05f4, 
      0x08fa3005, 0x0fe90674, 
      0x03fa0005, 0x0fe80704, 
      0xfef9d006, 0x0fe70783, 
      0xf9f9b006, 0x0fe50813, 
      0xf3f98007, 0x0fe408a3, 
      0xeef96006, 0x0fe20943, 
      0xe8f94006, 0x0fe109d3, 
      0xe2f92007, 0x0fdf0a63, 
      0xdbf90007, 0x0fde0b03, 
      0xd5f8e007, 0x0fdc0ba3, 
      0xcef8c007, 0x0fdb0c43, 
      0xc7f8b007, 0x0fd90ce3, 
      0xbff8a008, 0x0fd70d83, 
      0xb8f88008, 0x0fd60e23, 
      0xb0f87009, 0x0fd40ec3, 
      0xa8f86009, 0x0fd20f73, 
      0xa0f85009, 0x0fd11013, 
      0x98f85008, 0x0fcf10c3, 
      0x8ff84009, 0x0fcd1173, 
      0x87f84008, 0x0fcb1223, 
      0x7ef83009, 0x0fc912d3, 
      0x75f83008, 0x0fc81383, 
      0x6cf83008, 0x0fc61433, 
      0x62f83009, 0x0fc414e3, 
      0x59f83009, 0x0fc21593, 
      0x4ff83009, 0x0fc01653, 
      0x45f8300a, 0x0fbe1703, 
      0x3bf84009, 0x0fbc17c3, 
      0x31f8400a, 0x0fba1873, 
      0x27f84009, 0x0fb91933, 
      0x1cf85009, 0x0fb719f3, 
      0x12f86009, 0x0fb51aa3, 
      0x07f87009, 0x0fb31b63, 
      0xfcf8700a, 0x0fb11c22, 
      0xf2f88009, 0x0faf1ce2, 
      0xe7f89009, 0x0fad1da2, 
      0xdcf8a009, 0x0fab1e62, 
      0xd0f8c00a, 0x0fa91f12, 
      0xc5f8d009, 0x0fa81fd2, 
      0xbaf8e009, 0x0fa62092, 
      0xaef8f00a, 0x0fa42152, 
      0xa3f91009, 0x0fa22212, 
      0x97f9200a, 0x0fa022d2, 
      0x8cf93009, 0x0f9f2392, 
      0x80f95009, 0x0f9d2452, 
      0x74f97009, 0x0f9b2512, 
      0x69f98008, 0x0f9a25d2,
   },
   { /* UV scale factor = 1.11, phases = 127, taps = 5. */
      0x6a25ef98, 0x0009f972, 
      0x75252f9b, 0x0009f952, 
      0x81246f9c, 0x0009f942, 
      0x8d23af9e, 0x0009f922, 
      0x9922ef9f, 0x0009f912, 
      0xa4222fa1, 0x0009f902, 
      0xb0216fa3, 0x0009f8e2, 
      0xbb20afa5, 0x0009f8d2, 
      0xc61fefa7, 0x0009f8c2, 
      0xd21f2fa9, 0x0009f8a2, 
      0xdd1e6fab, 0x0009f892, 
      0xe81dafad, 0x0009f882, 
      0xf31cefaf, 0x0009f872, 
      0xfe1c2fb1, 0x0009f862, 
      0x091b6fb2, 0x0009f863, 
      0x131abfb4, 0x0009f853, 
      0x1e19ffb6, 0x0009f843, 
      0x28194fb8, 0x0009f833, 
      0x33188fb9, 0x0009f833, 
      0x3d17cfbb, 0x0009f833, 
      0x47170fbe, 0x0009f823, 
      0x51165fbf, 0x0009f823, 
      0x5a159fc2, 0x0009f823, 
      0x6414efc3, 0x0009f823, 
      0x6d143fc5, 0x0009f823, 
      0x77138fc6, 0x0009f823, 
      0x8012dfc8, 0x0009f823, 
      0x89121fca, 0x0009f833, 
      0x91117fcc, 0x0009f833, 
      0x9a10bfce, 0x0009f843, 
      0xa2102fd0, 0x0008f843, 
      0xaa0f7fd2, 0x0008f853, 
      0xb20ecfd4, 0x0008f863, 
      0xba0e2fd5, 0x0008f873, 
      0xc20d7fd7, 0x0008f883, 
      0xc90cdfd8, 0x0008f8a3, 
      0xd00c3fda, 0x0008f8b3, 
      0xd70b9fdc, 0x0007f8d3, 
      0xde0affdd, 0x0007f8f3, 
      0xe40a6fdf, 0x0007f903, 
      0xea09cfe1, 0x0007f923, 
      0xf0093fe2, 0x0006f953, 
      0xf608afe3, 0x0006f973, 
      0xfb081fe5, 0x0006f993, 
      0x00078fe7, 0x0005f9c4, 
      0x0506ffe8, 0x0005f9f4, 
      0x0a066fe9, 0x0005fa24, 
      0x0f05efea, 0x0004fa54, 
      0x13056feb, 0x0004fa84, 
      0x1704dfed, 0x0004fab4, 
      0x1a045fef, 0x0003faf4, 
      0x1e03dfef, 0x0003fb34, 
      0x21036ff1, 0x0002fb64, 
      0x2402eff2, 0x0002fba4, 
      0x27027ff2, 0x0001fbf4, 
      0x29020ff3, 0x0001fc34, 
      0x2b019ff4, 0x0000fc84, 
      0x2d012ff6, 0x0ffffcc4, 
      0x2e00bff7, 0x0ffffd14, 
      0x30004ff8, 0x0ffefd64, 
      0x31ffeff9, 0x0ffdfdb4, 
      0x31ff8ff9, 0x0ffdfe14, 
      0x32ff2ffa, 0x0ffcfe64, 
      0x32fecffb, 0x0ffbfec4, 
      0x32fe6ffc, 0x0ffaff24, 
      0x31fe1ffd, 0x0ff9ff84, 
      0x31fdbffd, 0x0ff9ffe4, 
      0x30fd6ffe, 0x0ff80044, 
      0x2efd1fff, 0x0ff700b4, 
      0x2dfccfff, 0x0ff60124, 
      0x2bfc7000, 0x0ff50194, 
      0x29fc3000, 0x0ff40204, 
      0x27fbe001, 0x0ff30274, 
      0x24fba002, 0x0ff202e4, 
      0x21fb6003, 0x0ff00364, 
      0x1efb3002, 0x0fef03e4, 
      0x1afaf004, 0x0fee0454, 
      0x17fab004, 0x0fed04d4, 
      0x13fa7004, 0x0fec0564, 
      0x0ffa5004, 0x0fea05e4, 
      0x0afa2005, 0x0fe90664, 
      0x05f9f005, 0x0fe806f4, 
      0x00f9c006, 0x0fe60784, 
      0xfbf99006, 0x0fe50813, 
      0xf6f97006, 0x0fe308a3, 
      0xf0f95006, 0x0fe20933, 
      0xeaf93007, 0x0fe009c3, 
      0xe4f90007, 0x0fdf0a63, 
      0xdef8e007, 0x0fdd0b03, 
      0xd7f8d007, 0x0fdc0b93, 
      0xd0f8b008, 0x0fda0c33, 
      0xc9f8a008, 0x0fd80cd3, 
      0xc2f88008, 0x0fd70d73, 
      0xbaf87008, 0x0fd50e23, 
      0xb2f86009, 0x0fd30ec3, 
      0xaaf85008, 0x0fd20f73, 
      0xa2f84009, 0x0fd01013, 
      0x9af84008, 0x0fce10c3, 
      0x91f83009, 0x0fcc1173, 
      0x89f82008, 0x0fcb1223, 
      0x80f82008, 0x0fc912d3, 
      0x77f82008, 0x0fc71383, 
      0x6df82009, 0x0fc51433, 
      0x64f82009, 0x0fc314e3, 
      0x5bf82009, 0x0fc11593, 
      0x51f82009, 0x0fbf1653, 
      0x47f82009, 0x0fbe1703, 
      0x3df82009, 0x0fbc17c3, 
      0x33f82009, 0x0fba1883, 
      0x28f8300a, 0x0fb81933, 
      0x1ef84009, 0x0fb619f3, 
      0x13f85009, 0x0fb41ab3, 
      0x09f85009, 0x0fb21b73, 
      0xfef8600a, 0x0fb01c22, 
      0xf3f8700a, 0x0fae1ce2, 
      0xe8f8800a, 0x0fac1da2, 
      0xddf8900a, 0x0faa1e62, 
      0xd2f8a009, 0x0fa91f22, 
      0xc6f8c009, 0x0fa71fe2, 
      0xbbf8d009, 0x0fa520a2, 
      0xb0f8e009, 0x0fa32162, 
      0xa4f90009, 0x0fa12222, 
      0x99f90009, 0x0fa022e2, 
      0x8df92009, 0x0f9e23a2, 
      0x81f94009, 0x0f9c2462, 
      0x75f96009, 0x0f9a2522, 
      0x6af97008, 0x0f9925e2,
   },
   { /* UV scale factor = 1.12, phases = 127, taps = 5. */
      0x6b25ff97, 0x0009f962, 
      0x76253f99, 0x0009f952, 
      0x82247f9b, 0x0009f932, 
      0x8e23bf9d, 0x0009f912, 
      0x9a22ff9e, 0x0009f902, 
      0xa5223fa0, 0x0009f8f2, 
      0xb1217fa2, 0x0009f8d2, 
      0xbc20bfa4, 0x0009f8c2, 
      0xc81fffa5, 0x0009f8b2, 
      0xd31f3fa8, 0x0009f892, 
      0xde1e7faa, 0x0009f882, 
      0xe91dbfac, 0x0009f872, 
      0xf41cffae, 0x0009f862, 
      0xff1c3fb0, 0x0009f852, 
      0x0a1b7fb2, 0x0009f843, 
      0x151abfb3, 0x0009f843, 
      0x2019ffb5, 0x0009f833, 
      0x2a193fb8, 0x0009f823, 
      0x34188fb9, 0x0009f823, 
      0x3f17cfbb, 0x0009f813, 
      0x49171fbc, 0x0009f813, 
      0x53165fbe, 0x0009f813, 
      0x5c15afc0, 0x0009f813, 
      0x6614efc2, 0x0009f813, 
      0x6f143fc4, 0x0009f813, 
      0x79137fc6, 0x0009f813, 
      0x8212cfc8, 0x0009f813, 
      0x8b121fca, 0x0009f813, 
      0x93117fcc, 0x0008f823, 
      0x9c10cfce, 0x0008f823, 
      0xa4101fd0, 0x0008f833, 
      0xac0f6fd2, 0x0008f843, 
      0xb40ecfd3, 0x0008f853, 
      0xbc0e1fd5, 0x0008f863, 
      0xc40d7fd6, 0x0008f873, 
      0xcb0cdfd8, 0x0008f883, 
      0xd20c3fda, 0x0007f8a3, 
      0xd90b9fdb, 0x0007f8c3, 
      0xe00affdd, 0x0007f8d3, 
      0xe60a5fdf, 0x0007f8f3, 
      0xec09cfe0, 0x0007f913, 
      0xf2093fe2, 0x0006f933, 
      0xf8089fe3, 0x0006f963, 
      0xfe080fe4, 0x0006f983, 
      0x03077fe6, 0x0005f9b4, 
      0x0806efe7, 0x0005f9e4, 
      0x0d066fe8, 0x0005fa04, 
      0x1105dfea, 0x0004fa44, 
      0x15055feb, 0x0004fa74, 
      0x1904dfed, 0x0003faa4, 
      0x1d045fed, 0x0003fae4, 
      0x2003dfef, 0x0003fb14, 
      0x24035ff0, 0x0002fb54, 
      0x2602dff2, 0x0002fb94, 
      0x29026ff2, 0x0001fbe4, 
      0x2b01fff4, 0x0000fc24, 
      0x2e018ff4, 0x0000fc64, 
      0x2f011ff6, 0x0ffffcb4, 
      0x3100aff6, 0x0ffffd04, 
      0x32004ff7, 0x0ffefd54, 
      0x33ffdff9, 0x0ffdfda4, 
      0x34ff7ff9, 0x0ffcfe04, 
      0x34ff1ffa, 0x0ffcfe54, 
      0x34febffb, 0x0ffbfeb4, 
      0x34fe5ffc, 0x0ffaff14, 
      0x34fe0ffc, 0x0ff9ff74, 
      0x33fdaffe, 0x0ff8ffd4, 
      0x32fd5ffe, 0x0ff70044, 
      0x31fd0fff, 0x0ff600a4, 
      0x2ffcb000, 0x0ff50114, 
      0x2efc6000, 0x0ff40184, 
      0x2bfc2001, 0x0ff301f4, 
      0x29fbe001, 0x0ff20264, 
      0x26fba002, 0x0ff102d4, 
      0x24fb5002, 0x0ff00354, 
      0x20fb1003, 0x0fef03d4, 
      0x1dfad003, 0x0fee0454, 
      0x19faa004, 0x0fec04d4, 
      0x15fa7004, 0x0feb0554, 
      0x11fa4004, 0x0fea05d4, 
      0x0dfa0004, 0x0fe90664, 
      0x08f9e005, 0x0fe706e4, 
      0x03f9b005, 0x0fe60774, 
      0xfef98006, 0x0fe40803, 
      0xf8f96006, 0x0fe30893, 
      0xf2f93007, 0x0fe10933, 
      0xecf91007, 0x0fe009c3, 
      0xe6f90007, 0x0fde0a53, 
      0xe0f8d007, 0x0fdd0af3, 
      0xd9f8c007, 0x0fdb0b93, 
      0xd2f8a007, 0x0fda0c33, 
      0xcbf88008, 0x0fd80cd3, 
      0xc4f87008, 0x0fd60d73, 
      0xbcf86008, 0x0fd50e13, 
      0xb4f85008, 0x0fd30ec3, 
      0xacf84009, 0x0fd10f63, 
      0xa4f83009, 0x0fcf1013, 
      0x9cf82008, 0x0fce10c3, 
      0x93f82008, 0x0fcc1173, 
      0x8bf81009, 0x0fca1213, 
      0x82f81009, 0x0fc812c3, 
      0x79f81008, 0x0fc61383, 
      0x6ff81009, 0x0fc41433, 
      0x66f81008, 0x0fc314e3, 
      0x5cf81008, 0x0fc115a3, 
      0x53f81008, 0x0fbf1653, 
      0x49f81008, 0x0fbd1713, 
      0x3ff81009, 0x0fbb17c3, 
      0x34f82009, 0x0fb91883, 
      0x2af8200a, 0x0fb71933, 
      0x20f83009, 0x0fb519f3, 
      0x15f84009, 0x0fb31ab3, 
      0x0af8400a, 0x0fb11b73, 
      0xfff8500a, 0x0faf1c32, 
      0xf4f8600a, 0x0fad1cf2, 
      0xe9f87009, 0x0fac1db2, 
      0xdef88009, 0x0faa1e72, 
      0xd3f89009, 0x0fa81f32, 
      0xc8f8a009, 0x0fa61ff2, 
      0xbcf8c009, 0x0fa420b2, 
      0xb1f8d009, 0x0fa22172, 
      0xa5f8f009, 0x0fa02232, 
      0x9af90008, 0x0f9f22f2, 
      0x8ef91009, 0x0f9d23b2, 
      0x82f93009, 0x0f9b2472, 
      0x76f95009, 0x0f992532, 
      0x6bf96008, 0x0f9825f2,
   },
   { /* UV scale factor = 1.13, phases = 127, taps = 5. */
      0x6c260f96, 0x0009f952, 
      0x77254f98, 0x0009f942, 
      0x83248f9a, 0x0009f922, 
      0x8f23cf9c, 0x0009f902, 
      0x9b230f9d, 0x0009f8f2, 
      0xa6224f9f, 0x0009f8e2, 
      0xb2217fa2, 0x0009f8c2, 
      0xbe20bfa3, 0x0009f8b2, 
      0xc91fffa5, 0x0009f8a2, 
      0xd41f4fa7, 0x0009f882, 
      0xe01e7fa9, 0x0009f872, 
      0xeb1dbfab, 0x0009f862, 
      0xf61cffad, 0x0009f852, 
      0x011c3faf, 0x0009f843, 
      0x0c1b7fb1, 0x0009f833, 
      0x171abfb2, 0x0009f833, 
      0x211a0fb4, 0x0009f823, 
      0x2c194fb6, 0x0009f813, 
      0x36188fb8, 0x0009f813, 
      0x4017cfbb, 0x0009f803, 
      0x4a171fbc, 0x0009f803, 
      0x54165fbe, 0x0009f803, 
      0x5e15afc0, 0x0009f7f3, 
      0x6814efc2, 0x0009f7f3, 
      0x71143fc4, 0x0009f7f3, 
      0x7b137fc5, 0x0009f803, 
      0x8412cfc7, 0x0009f803, 
      0x8d121fca, 0x0008f803, 
      0x95116fcc, 0x0008f813, 
      0x9e10bfce, 0x0008f813, 
      0xa6101fcf, 0x0008f823, 
      0xaf0f6fd0, 0x0008f833, 
      0xb70ebfd2, 0x0008f843, 
      0xbe0e1fd4, 0x0008f853, 
      0xc60d7fd5, 0x0008f863, 
      0xcd0cdfd8, 0x0007f873, 
      0xd40c2fda, 0x0007f893, 
      0xdb0b9fdb, 0x0007f8a3, 
      0xe20affdc, 0x0007f8c3, 
      0xe90a5fdd, 0x0007f8e3, 
      0xef09bfe0, 0x0006f903, 
      0xf5092fe1, 0x0006f923, 
      0xfa089fe3, 0x0006f943, 
      0x00080fe3, 0x0006f974, 
      0x05077fe5, 0x0005f9a4, 
      0x0a06efe7, 0x0005f9c4, 
      0x0f065fe9, 0x0004f9f4, 
      0x1405cfea, 0x0004fa24, 
      0x18054fea, 0x0004fa64, 
      0x1c04cfec, 0x0003fa94, 
      0x1f044fed, 0x0003fad4, 
      0x2303cfef, 0x0002fb04, 
      0x26034ff0, 0x0002fb44, 
      0x2902dff1, 0x0001fb84, 
      0x2c025ff2, 0x0001fbc4, 
      0x2e01eff3, 0x0000fc14, 
      0x30017ff4, 0x0000fc54, 
      0x32010ff5, 0x0ffffca4, 
      0x33009ff7, 0x0ffefcf4, 
      0x35002ff7, 0x0ffefd44, 
      0x36ffcff8, 0x0ffdfd94, 
      0x36ff6ff9, 0x0ffcfdf4, 
      0x37ff0ffa, 0x0ffbfe44, 
      0x37feaffa, 0x0ffbfea4, 
      0x37fe4ffb, 0x0ffaff04, 
      0x36fdfffc, 0x0ff9ff64, 
      0x36fd9ffd, 0x0ff8ffc4, 
      0x35fd4ffd, 0x0ff70034, 
      0x33fcffff, 0x0ff60094, 
      0x32fcafff, 0x0ff50104, 
      0x30fc5000, 0x0ff40174, 
      0x2efc1000, 0x0ff301e4, 
      0x2cfbc001, 0x0ff20254, 
      0x29fb8001, 0x0ff102d4, 
      0x26fb4002, 0x0ff00344, 
      0x23fb0002, 0x0fef03c4, 
      0x1ffad003, 0x0fed0444, 
      0x1cfa9003, 0x0fec04c4, 
      0x18fa6003, 0x0feb0544, 
      0x14fa2004, 0x0fea05c4, 
      0x0ff9f005, 0x0fe80654, 
      0x0af9c005, 0x0fe706e4, 
      0x05f9a005, 0x0fe50774, 
      0x00f97005, 0x0fe40804, 
      0xfaf94006, 0x0fe30893, 
      0xf5f92006, 0x0fe10923, 
      0xeff90006, 0x0fe009b3, 
      0xe9f8e006, 0x0fde0a53, 
      0xe2f8c007, 0x0fdc0af3, 
      0xdbf8a008, 0x0fdb0b83, 
      0xd4f89008, 0x0fd90c23, 
      0xcdf87008, 0x0fd70cd3, 
      0xc6f86007, 0x0fd60d73, 
      0xbef85008, 0x0fd40e13, 
      0xb7f84008, 0x0fd20eb3, 
      0xaff82008, 0x0fd10f63, 
      0xa6f82008, 0x0fcf1013, 
      0x9ef81009, 0x0fcd10b3, 
      0x95f81009, 0x0fcb1163, 
      0x8df80009, 0x0fc91213, 
      0x84f80008, 0x0fc812c3, 
      0x7bf7f008, 0x0fc61383, 
      0x71f7f009, 0x0fc41433, 
      0x68f7f009, 0x0fc214e3, 
      0x5ef7f009, 0x0fc015a3, 
      0x54f80009, 0x0fbe1653, 
      0x4af80009, 0x0fbc1713, 
      0x40f81009, 0x0fba17c3, 
      0x36f81009, 0x0fb81883, 
      0x2cf81009, 0x0fb61943, 
      0x21f82009, 0x0fb41a03, 
      0x17f83009, 0x0fb21ab3, 
      0x0cf83009, 0x0fb11b73, 
      0x01f84009, 0x0faf1c33, 
      0xf6f85009, 0x0fad1cf2, 
      0xebf86009, 0x0fab1db2, 
      0xe0f87009, 0x0fa91e72, 
      0xd4f89009, 0x0fa71f32, 
      0xc9f8a009, 0x0fa51ff2, 
      0xbef8b009, 0x0fa320b2, 
      0xb2f8d009, 0x0fa12172, 
      0xa6f8e008, 0x0fa02242, 
      0x9bf8f008, 0x0f9e2302, 
      0x8ff90009, 0x0f9c23c2, 
      0x83f92009, 0x0f9a2482, 
      0x77f94009, 0x0f982542, 
      0x6cf95008, 0x0f972602,
   },
   { /* UV scale factor = 1.14, phases = 127, taps = 5. */
      0x6d261f95, 0x0009f942, 
      0x79254f97, 0x0009f932, 
      0x84249f99, 0x0009f912, 
      0x9023cf9c, 0x0009f8f2, 
      0x9c230f9d, 0x0009f8e2, 
      0xa8224f9e, 0x0009f8d2, 
      0xb3218fa1, 0x0009f8b2, 
      0xbf20cfa2, 0x0009f8a2, 
      0xca200fa4, 0x0009f892, 
      0xd61f4fa6, 0x0009f872, 
      0xe11e8fa8, 0x0009f862, 
      0xec1dcfaa, 0x0009f852, 
      0xf71d0fac, 0x0009f842, 
      0x021c4fae, 0x0009f833, 
      0x0d1b8fb0, 0x0009f823, 
      0x181acfb2, 0x0009f813, 
      0x231a0fb3, 0x0009f813, 
      0x2d194fb6, 0x0009f803, 
      0x38188fb7, 0x0009f803, 
      0x4217dfb9, 0x0009f7f3, 
      0x4c171fbb, 0x0009f7f3, 
      0x56165fbe, 0x0009f7e3, 
      0x6015afbf, 0x0009f7e3, 
      0x6a14efc1, 0x0009f7e3, 
      0x73143fc3, 0x0009f7e3, 
      0x7c138fc5, 0x0009f7e3, 
      0x8612cfc7, 0x0008f7f3, 
      0x8f121fc9, 0x0008f7f3, 
      0x97117fcb, 0x0008f7f3, 
      0xa010bfcd, 0x0008f803, 
      0xa8101fce, 0x0008f813, 
      0xb10f6fd0, 0x0008f813, 
      0xb90ebfd2, 0x0008f823, 
      0xc10e0fd3, 0x0008f843, 
      0xc80d6fd5, 0x0008f853, 
      0xd00ccfd7, 0x0007f863, 
      0xd70c2fd9, 0x0007f873, 
      0xde0b8fda, 0x0007f893, 
      0xe40aefdc, 0x0007f8b3, 
      0xeb0a4fde, 0x0006f8d3, 
      0xf109bfdf, 0x0006f8f3, 
      0xf7091fe1, 0x0006f913, 
      0xfd088fe2, 0x0006f933, 
      0x0207ffe4, 0x0005f964, 
      0x08076fe5, 0x0005f984, 
      0x0d06dfe6, 0x0005f9b4, 
      0x11065fe8, 0x0004f9e4, 
      0x1605cfe9, 0x0004fa14, 
      0x1a053feb, 0x0004fa44, 
      0x1e04bfec, 0x0003fa84, 
      0x22043fed, 0x0003fab4, 
      0x2503bfef, 0x0002faf4, 
      0x29033fef, 0x0002fb34, 
      0x2c02cff0, 0x0001fb74, 
      0x2e024ff2, 0x0001fbb4, 
      0x3101dff2, 0x0000fc04, 
      0x33016ff4, 0x0ffffc44, 
      0x3400fff5, 0x0ffffc94, 
      0x36008ff6, 0x0ffefce4, 
      0x37002ff7, 0x0ffdfd34, 
      0x38ffbff8, 0x0ffdfd84, 
      0x39ff5ff8, 0x0ffcfde4, 
      0x39fefffa, 0x0ffbfe34, 
      0x3afe9ffa, 0x0ffafe94, 
      0x39fe3ffb, 0x0ffafef4, 
      0x39fdeffb, 0x0ff9ff54, 
      0x38fd8ffd, 0x0ff8ffb4, 
      0x37fd3ffd, 0x0ff70024, 
      0x36fceffe, 0x0ff60084, 
      0x34fc9fff, 0x0ff500f4, 
      0x33fc4fff, 0x0ff40164, 
      0x31fbf000, 0x0ff301d4, 
      0x2efbb001, 0x0ff20244, 
      0x2bfb7001, 0x0ff102c4, 
      0x29fb3002, 0x0fef0334, 
      0x25faf003, 0x0fee03b4, 
      0x22fab003, 0x0fed0434, 
      0x1efa8003, 0x0fec04b4, 
      0x1afa5004, 0x0fea0534, 
      0x16fa1004, 0x0fe905c4, 
      0x11f9e005, 0x0fe80644, 
      0x0df9b005, 0x0fe606d4, 
      0x08f98005, 0x0fe50764, 
      0x02f96005, 0x0fe407f4, 
      0xfdf93006, 0x0fe20883, 
      0xf7f91006, 0x0fe10913, 
      0xf1f8f006, 0x0fdf09b3, 
      0xebf8d006, 0x0fde0a43, 
      0xe4f8b007, 0x0fdc0ae3, 
      0xdef89007, 0x0fda0b83, 
      0xd7f87007, 0x0fd90c23, 
      0xd0f86007, 0x0fd70cc3, 
      0xc8f85008, 0x0fd50d63, 
      0xc1f83007, 0x0fd40e13, 
      0xb9f82008, 0x0fd20eb3, 
      0xb1f81008, 0x0fd00f63, 
      0xa8f81008, 0x0fce1013, 
      0xa0f80009, 0x0fcc10b3, 
      0x97f7f009, 0x0fcb1163, 
      0x8ff7f008, 0x0fc91213, 
      0x86f7f008, 0x0fc712c3, 
      0x7cf7e009, 0x0fc51383, 
      0x73f7e009, 0x0fc31433, 
      0x6af7e009, 0x0fc114e3, 
      0x60f7e009, 0x0fbf15a3, 
      0x56f7f009, 0x0fbd1653, 
      0x4cf7f009, 0x0fbb1713, 
      0x42f7f008, 0x0fba17d3, 
      0x38f80008, 0x0fb81883, 
      0x2df80009, 0x0fb61943, 
      0x23f81008, 0x0fb41a03, 
      0x18f81009, 0x0fb21ac3, 
      0x0df82009, 0x0fb01b83, 
      0x02f83009, 0x0fae1c43, 
      0xf7f84009, 0x0fac1d02, 
      0xecf85009, 0x0faa1dc2, 
      0xe1f86009, 0x0fa81e82, 
      0xd6f87009, 0x0fa61f42, 
      0xcaf89009, 0x0fa42002, 
      0xbff8a009, 0x0fa220c2, 
      0xb3f8b009, 0x0fa12182, 
      0xa8f8d008, 0x0f9f2242, 
      0x9cf8e009, 0x0f9d2302, 
      0x90f90009, 0x0f9b23c2, 
      0x84f91009, 0x0f992492, 
      0x79f92008, 0x0f982552, 
      0x6df94008, 0x0f962612,
   },
   { /* UV scale factor = 1.15, phases = 127, taps = 5. */
      0x6e262f94, 0x0009f932, 
      0x7a255f96, 0x0009f922, 
      0x86249f98, 0x0009f902, 
      0x9123df9b, 0x0009f8e2, 
      0x9d231f9c, 0x0009f8d2, 
      0xa9225f9d, 0x0009f8c2, 
      0xb5219f9f, 0x0009f8a2, 
      0xc020dfa1, 0x0009f892, 
      0xcc200fa3, 0x0009f882, 
      0xd71f4fa6, 0x0009f862, 
      0xe31e8fa7, 0x0009f852, 
      0xee1dcfa9, 0x0009f842, 
      0xf91d0fab, 0x0009f832, 
      0x041c4fad, 0x0009f823, 
      0x0f1b8faf, 0x0009f813, 
      0x1a1acfb1, 0x0009f803, 
      0x241a0fb3, 0x0009f803, 
      0x2f194fb5, 0x0009f7f3, 
      0x39189fb7, 0x0009f7e3, 
      0x4417dfb8, 0x0009f7e3, 
      0x4e171fba, 0x0009f7e3, 
      0x58165fbd, 0x0009f7d3, 
      0x6215afbe, 0x0009f7d3, 
      0x6c14efc0, 0x0009f7d3, 
      0x75143fc2, 0x0009f7d3, 
      0x7e138fc5, 0x0008f7d3, 
      0x8812cfc7, 0x0008f7d3, 
      0x91121fc8, 0x0008f7e3, 
      0x99116fcb, 0x0008f7e3, 
      0xa210bfcc, 0x0008f7f3, 
      0xab100fce, 0x0008f7f3, 
      0xb30f6fcf, 0x0008f803, 
      0xbb0ebfd1, 0x0008f813, 
      0xc30e0fd3, 0x0008f823, 
      0xca0d7fd5, 0x0007f833, 
      0xd20ccfd6, 0x0007f853, 
      0xd90c2fd8, 0x0007f863, 
      0xe00b8fd9, 0x0007f883, 
      0xe70adfdb, 0x0007f8a3, 
      0xed0a4fde, 0x0006f8b3, 
      0xf309afdf, 0x0006f8e3, 
      0xf9091fe0, 0x0006f903, 
      0xff088fe1, 0x0006f923, 
      0x0507efe4, 0x0005f944, 
      0x0a075fe5, 0x0005f974, 
      0x0f06cfe6, 0x0005f9a4, 
      0x14064fe7, 0x0004f9d4, 
      0x1805bfe9, 0x0004fa04, 
      0x1d053fea, 0x0003fa34, 
      0x2104afeb, 0x0003fa74, 
      0x24043fed, 0x0002faa4, 
      0x2803afee, 0x0002fae4, 
      0x2b032ff0, 0x0001fb24, 
      0x2e02bff0, 0x0001fb64, 
      0x31023ff2, 0x0000fba4, 
      0x3301cff3, 0x0000fbe4, 
      0x35015ff4, 0x0ffffc34, 
      0x3700eff4, 0x0ffffc84, 
      0x39007ff5, 0x0ffefcd4, 
      0x3a001ff6, 0x0ffdfd24, 
      0x3bffaff8, 0x0ffcfd74, 
      0x3cff4ff8, 0x0ffcfdc4, 
      0x3cfeeff9, 0x0ffbfe24, 
      0x3cfe8ffa, 0x0ffafe84, 
      0x3cfe2ffb, 0x0ff9fee4, 
      0x3cfdcffc, 0x0ff8ff44, 
      0x3bfd7ffd, 0x0ff7ffa4, 
      0x3afd1ffd, 0x0ff70014, 
      0x39fcdffd, 0x0ff60074, 
      0x37fc8ffe, 0x0ff500e4, 
      0x35fc3fff, 0x0ff40154, 
      0x33fbf000, 0x0ff201c4, 
      0x31fba001, 0x0ff10234, 
      0x2efb6001, 0x0ff002b4, 
      0x2bfb2002, 0x0fef0324, 
      0x28fae002, 0x0fee03a4, 
      0x24faa003, 0x0fed0424, 
      0x21fa7003, 0x0feb04a4, 
      0x1dfa3003, 0x0fea0534, 
      0x18fa0004, 0x0fe905b4, 
      0x14f9d004, 0x0fe70644, 
      0x0ff9a005, 0x0fe606c4, 
      0x0af97005, 0x0fe50754, 
      0x05f94006, 0x0fe307e4, 
      0xfff92005, 0x0fe20883, 
      0xf9f90006, 0x0fe00913, 
      0xf3f8e006, 0x0fdf09a3, 
      0xedf8b007, 0x0fdd0a43, 
      0xe7f8a006, 0x0fdb0ae3, 
      0xe0f88006, 0x0fda0b83, 
      0xd9f86007, 0x0fd80c23, 
      0xd2f85007, 0x0fd60cc3, 
      0xcaf83008, 0x0fd50d63, 
      0xc3f82008, 0x0fd30e03, 
      0xbbf81008, 0x0fd10eb3, 
      0xb3f80007, 0x0fd00f63, 
      0xabf7f008, 0x0fce1003, 
      0xa2f7f008, 0x0fcc10b3, 
      0x99f7e009, 0x0fca1163, 
      0x91f7e008, 0x0fc81213, 
      0x88f7d009, 0x0fc612c3, 
      0x7ef7d009, 0x0fc41383, 
      0x75f7d008, 0x0fc31433, 
      0x6cf7d008, 0x0fc114e3, 
      0x62f7d008, 0x0fbf15a3, 
      0x58f7d009, 0x0fbd1653, 
      0x4ef7e008, 0x0fbb1713, 
      0x44f7e008, 0x0fb917d3, 
      0x39f7f009, 0x0fb71883, 
      0x2ff7f009, 0x0fb51943, 
      0x24f80009, 0x0fb31a03, 
      0x1af80009, 0x0fb11ac3, 
      0x0ff81009, 0x0faf1b83, 
      0x04f82009, 0x0fad1c43, 
      0xf9f83009, 0x0fab1d02, 
      0xeef84009, 0x0fa91dc2, 
      0xe3f85009, 0x0fa71e82, 
      0xd7f87009, 0x0fa51f42, 
      0xccf88008, 0x0fa32012, 
      0xc0f89008, 0x0fa220d2, 
      0xb5f8a008, 0x0fa02192, 
      0xa9f8c008, 0x0f9e2252, 
      0x9df8d009, 0x0f9c2312, 
      0x91f8f009, 0x0f9a23d2, 
      0x86f90009, 0x0f982492, 
      0x7af91008, 0x0f972562, 
      0x6ef93008, 0x0f952622,
   },
   { /* UV scale factor = 1.16, phases = 127, taps = 5. */
      0x6f263f93, 0x0009f922, 
      0x7b256f95, 0x0009f912, 
      0x8724af97, 0x0009f8f2, 
      0x9323ef99, 0x0009f8d2, 
      0x9e232f9b, 0x0009f8c2, 
      0xaa226f9c, 0x0009f8b2, 
      0xb621af9e, 0x0009f892, 
      0xc120dfa1, 0x0009f882, 
      0xcd201fa3, 0x0009f862, 
      0xd91f5fa4, 0x0009f852, 
      0xe41e9fa6, 0x0009f842, 
      0xef1ddfa8, 0x0009f832, 
      0xfa1d1faa, 0x0009f822, 
      0x061c4fac, 0x0009f813, 
      0x101b9fae, 0x0009f803, 
      0x1b1adfb0, 0x0009f7f3, 
      0x261a1fb2, 0x0009f7e3, 
      0x31194fb4, 0x0009f7e3, 
      0x3b189fb6, 0x0009f7d3, 
      0x4617cfb8, 0x0009f7d3, 
      0x50171fba, 0x0009f7c3, 
      0x5a165fbc, 0x0009f7c3, 
      0x64159fbe, 0x0009f7c3, 
      0x6d14ffc0, 0x0008f7c3, 
      0x77143fc2, 0x0008f7c3, 
      0x80138fc4, 0x0008f7c3, 
      0x8a12cfc6, 0x0008f7c3, 
      0x93121fc8, 0x0008f7c3, 
      0x9c116fc9, 0x0008f7d3, 
      0xa410bfcb, 0x0008f7e3, 
      0xad100fcd, 0x0008f7e3, 
      0xb50f5fcf, 0x0008f7f3, 
      0xbd0ebfd0, 0x0008f803, 
      0xc50e0fd3, 0x0007f813, 
      0xcd0d6fd4, 0x0007f823, 
      0xd40cbfd6, 0x0007f843, 
      0xdb0c1fd8, 0x0007f853, 
      0xe20b7fd9, 0x0007f873, 
      0xe90aefdb, 0x0006f883, 
      0xf00a3fdd, 0x0006f8a3, 
      0xf609afde, 0x0006f8c3, 
      0xfc090fe0, 0x0006f8e3, 
      0x02087fe1, 0x0005f914, 
      0x0707efe3, 0x0005f934, 
      0x0d074fe4, 0x0005f964, 
      0x1206cfe5, 0x0004f994, 
      0x16063fe7, 0x0004f9c4, 
      0x1b05afe8, 0x0004f9f4, 
      0x1f052fea, 0x0003fa24, 
      0x2304afeb, 0x0003fa54, 
      0x27041fed, 0x0002fa94, 
      0x2b039fed, 0x0002fad4, 
      0x2e032fee, 0x0001fb14, 
      0x3102afef, 0x0001fb54, 
      0x33023ff1, 0x0000fb94, 
      0x3601bff2, 0x0000fbd4, 
      0x38014ff3, 0x0ffffc24, 
      0x3a00dff4, 0x0ffefc74, 
      0x3b006ff5, 0x0ffefcc4, 
      0x3dfffff6, 0x0ffdfd14, 
      0x3dff9ff8, 0x0ffcfd64, 
      0x3eff3ff9, 0x0ffbfdb4, 
      0x3ffecff9, 0x0ffbfe14, 
      0x3ffe7ff9, 0x0ffafe74, 
      0x3ffe1ffa, 0x0ff9fed4, 
      0x3efdbffc, 0x0ff8ff34, 
      0x3dfd6ffd, 0x0ff7ff94, 
      0x3dfd1ffc, 0x0ff60004, 
      0x3bfccffe, 0x0ff50064, 
      0x3afc7ffe, 0x0ff400d4, 
      0x38fc2fff, 0x0ff30144, 
      0x36fbd000, 0x0ff201b4, 
      0x33fb9000, 0x0ff10234, 
      0x31fb5000, 0x0ff002a4, 
      0x2efb0001, 0x0fef0324, 
      0x2bfad001, 0x0fee0394, 
      0x27fa9003, 0x0fec0414, 
      0x23fa5003, 0x0feb04a4, 
      0x1ffa2003, 0x0fea0524, 
      0x1bf9f004, 0x0fe805a4, 
      0x16f9c004, 0x0fe70634, 
      0x12f98004, 0x0fe606c4, 
      0x0df96004, 0x0fe40754, 
      0x07f93005, 0x0fe307e4, 
      0x02f91005, 0x0fe10874, 
      0xfcf8e006, 0x0fe00903, 
      0xf6f8c006, 0x0fde09a3, 
      0xf0f8a006, 0x0fdd0a33, 
      0xe9f88007, 0x0fdb0ad3, 
      0xe2f87007, 0x0fd90b73, 
      0xdbf85007, 0x0fd80c13, 
      0xd4f84007, 0x0fd60cb3, 
      0xcdf82007, 0x0fd40d63, 
      0xc5f81007, 0x0fd30e03, 
      0xbdf80007, 0x0fd10eb3, 
      0xb5f7f008, 0x0fcf0f53, 
      0xadf7e008, 0x0fcd1003, 
      0xa4f7e008, 0x0fcb10b3, 
      0x9cf7d008, 0x0fc91163, 
      0x93f7c008, 0x0fc81213, 
      0x8af7c008, 0x0fc612c3, 
      0x80f7c008, 0x0fc41383, 
      0x77f7c008, 0x0fc21433, 
      0x6df7c009, 0x0fc014e3, 
      0x64f7c008, 0x0fbe15a3, 
      0x5af7c008, 0x0fbc1663, 
      0x50f7c009, 0x0fba1713, 
      0x46f7d008, 0x0fb817d3, 
      0x3bf7d009, 0x0fb61893, 
      0x31f7e008, 0x0fb41953, 
      0x26f7e009, 0x0fb21a13, 
      0x1bf7f009, 0x0fb01ad3, 
      0x10f80009, 0x0fae1b93, 
      0x06f81008, 0x0fac1c53, 
      0xfaf82009, 0x0faa1d12, 
      0xeff83009, 0x0fa81dd2, 
      0xe4f84009, 0x0fa61e92, 
      0xd9f85009, 0x0fa41f52, 
      0xcdf86009, 0x0fa32012, 
      0xc1f88009, 0x0fa120d2, 
      0xb6f89008, 0x0f9f21a2, 
      0xaaf8b008, 0x0f9d2262, 
      0x9ef8c009, 0x0f9b2322, 
      0x93f8d009, 0x0f9923e2, 
      0x87f8f009, 0x0f9724a2, 
      0x7bf91008, 0x0f962562, 
      0x6ff92008, 0x0f942632,
   },
   { /* UV scale factor = 1.17, phases = 127, taps = 5. */
      0x70264f93, 0x0008f912, 
      0x7c257f95, 0x0008f902, 
      0x8824bf97, 0x0008f8e2, 
      0x9423ff98, 0x0009f8c2, 
      0xa0232f9a, 0x0009f8b2, 
      0xab227f9c, 0x0009f892, 
      0xb721af9e, 0x0009f882, 
      0xc320ef9f, 0x0009f872, 
      0xce202fa2, 0x0009f852, 
      0xda1f6fa3, 0x0009f842, 
      0xe51e9fa6, 0x0009f832, 
      0xf11ddfa7, 0x0009f822, 
      0xfc1d1fa9, 0x0009f812, 
      0x071c5fab, 0x0009f803, 
      0x121b9fad, 0x0009f7f3, 
      0x1d1adfaf, 0x0009f7e3, 
      0x281a1fb1, 0x0009f7d3, 
      0x32195fb3, 0x0009f7d3, 
      0x3d189fb5, 0x0009f7c3, 
      0x4717dfb7, 0x0009f7c3, 
      0x52171fb9, 0x0009f7b3, 
      0x5c166fbb, 0x0008f7b3, 
      0x6615afbd, 0x0008f7b3, 
      0x6f14efc0, 0x0008f7b3, 
      0x79143fc1, 0x0008f7b3, 
      0x82138fc3, 0x0008f7b3, 
      0x8c12cfc5, 0x0008f7b3, 
      0x95121fc7, 0x0008f7b3, 
      0x9e116fc8, 0x0008f7c3, 
      0xa610bfcb, 0x0008f7c3, 
      0xaf100fcc, 0x0008f7d3, 
      0xb70f5fce, 0x0008f7e3, 
      0xbf0eafd1, 0x0007f7f3, 
      0xc70e0fd2, 0x0007f803, 
      0xcf0d5fd4, 0x0007f813, 
      0xd60cbfd6, 0x0007f823, 
      0xde0c0fd7, 0x0007f843, 
      0xe50b7fd8, 0x0007f853, 
      0xeb0adfdb, 0x0006f873, 
      0xf20a3fdc, 0x0006f893, 
      0xf8099fde, 0x0006f8b3, 
      0xfe090fdf, 0x0006f8d3, 
      0x04086fe1, 0x0005f904, 
      0x0a07dfe2, 0x0005f924, 
      0x0f074fe3, 0x0005f954, 
      0x1406bfe6, 0x0004f974, 
      0x19062fe7, 0x0004f9a4, 
      0x1e05afe8, 0x0003f9d4, 
      0x22051fe9, 0x0003fa14, 
      0x26049fea, 0x0003fa44, 
      0x2a041feb, 0x0002fa84, 
      0x2d039fed, 0x0002fab4, 
      0x30031fef, 0x0001faf4, 
      0x33029ff0, 0x0001fb34, 
      0x36022ff0, 0x0000fb84, 
      0x3801bff2, 0x0ffffbc4, 
      0x3a013ff3, 0x0ffffc14, 
      0x3c00cff4, 0x0ffefc64, 
      0x3e006ff5, 0x0ffdfca4, 
      0x3ffffff5, 0x0ffdfd04, 
      0x40ff8ff7, 0x0ffcfd54, 
      0x41ff2ff8, 0x0ffbfda4, 
      0x41fecff9, 0x0ffafe04, 
      0x41fe6ff9, 0x0ffafe64, 
      0x41fe0ffa, 0x0ff9fec4, 
      0x41fdaffb, 0x0ff8ff24, 
      0x40fd5ffc, 0x0ff7ff84, 
      0x3ffd0ffc, 0x0ff6fff4, 
      0x3efcaffe, 0x0ff50054, 
      0x3cfc6ffe, 0x0ff400c4, 
      0x3afc1fff, 0x0ff30134, 
      0x38fbc000, 0x0ff201a4, 
      0x36fb8fff, 0x0ff10224, 
      0x33fb3001, 0x0ff00294, 
      0x30faf002, 0x0fee0314, 
      0x2dfab002, 0x0fed0394, 
      0x2afa7002, 0x0fec0414, 
      0x26fa4002, 0x0feb0494, 
      0x22fa1003, 0x0fe90514, 
      0x1df9d004, 0x0fe805a4, 
      0x19f9a004, 0x0fe70624, 
      0x14f97005, 0x0fe506b4, 
      0x0ff95004, 0x0fe40744, 
      0x0af92005, 0x0fe207d4, 
      0x04f90005, 0x0fe10864, 
      0xfef8d006, 0x0fdf0903, 
      0xf8f8b006, 0x0fde0993, 
      0xf2f89006, 0x0fdc0a33, 
      0xebf87007, 0x0fda0ad3, 
      0xe5f85006, 0x0fd90b73, 
      0xdef84006, 0x0fd70c13, 
      0xd6f83007, 0x0fd50cb3, 
      0xcff81007, 0x0fd40d53, 
      0xc7f80007, 0x0fd20e03, 
      0xbff7f008, 0x0fd00ea3, 
      0xb7f7e008, 0x0fce0f53, 
      0xaff7d007, 0x0fcd1003, 
      0xa6f7c008, 0x0fcb10b3, 
      0x9ef7c007, 0x0fc91163, 
      0x95f7b008, 0x0fc71213, 
      0x8cf7b008, 0x0fc512c3, 
      0x82f7b008, 0x0fc31383, 
      0x79f7b008, 0x0fc11433, 
      0x6ff7b009, 0x0fbf14e3, 
      0x66f7b008, 0x0fbd15a3, 
      0x5cf7b008, 0x0fbb1663, 
      0x52f7b009, 0x0fb91713, 
      0x47f7c009, 0x0fb717d3, 
      0x3df7c009, 0x0fb51893, 
      0x32f7d009, 0x0fb31953, 
      0x28f7d009, 0x0fb11a13, 
      0x1df7e009, 0x0faf1ad3, 
      0x12f7f009, 0x0fad1b93, 
      0x07f80009, 0x0fab1c53, 
      0xfcf81008, 0x0faa1d12, 
      0xf1f82008, 0x0fa81dd2, 
      0xe5f83009, 0x0fa61e92, 
      0xdaf84008, 0x0fa41f62, 
      0xcef85009, 0x0fa22022, 
      0xc3f87008, 0x0fa020e2, 
      0xb7f88009, 0x0f9e21a2, 
      0xabf89009, 0x0f9c2272, 
      0xa0f8b008, 0x0f9a2332, 
      0x94f8c009, 0x0f9823f2, 
      0x88f8e008, 0x0f9724b2, 
      0x7cf90008, 0x0f952572, 
      0x70f91008, 0x0f932642,
   },
   { /* UV scale factor = 1.18, phases = 127, taps = 5. */
      0x71265f92, 0x0008f902, 
      0x7d258f94, 0x0008f8f2, 
      0x8924cf96, 0x0008f8d2, 
      0x95240f98, 0x0008f8b2, 
      0xa1234f99, 0x0008f8a2, 
      0xad227f9c, 0x0008f882, 
      0xb821cf9d, 0x0008f872, 
      0xc420ff9e, 0x0009f862, 
      0xd0203fa0, 0x0009f842, 
      0xdb1f6fa3, 0x0009f832, 
      0xe71eafa4, 0x0009f822, 
      0xf21defa6, 0x0009f812, 
      0xfd1d2fa8, 0x0009f802, 
      0x091c5faa, 0x0009f7f3, 
      0x141b9fac, 0x0009f7e3, 
      0x1f1adfae, 0x0009f7d3, 
      0x291a1fb1, 0x0009f7c3, 
      0x34195fb3, 0x0009f7b3, 
      0x3f189fb5, 0x0008f7b3, 
      0x4917efb7, 0x0008f7a3, 
      0x53172fb9, 0x0008f7a3, 
      0x5d166fbb, 0x0008f7a3, 
      0x6715bfbd, 0x0008f793, 
      0x7114ffbf, 0x0008f793, 
      0x7b143fc1, 0x0008f793, 
      0x84138fc3, 0x0008f793, 
      0x8e12cfc4, 0x0008f7a3, 
      0x97121fc6, 0x0008f7a3, 
      0xa0116fc8, 0x0008f7a3, 
      0xa810bfca, 0x0008f7b3, 
      0xb1100fcb, 0x0008f7c3, 
      0xb90f5fcd, 0x0008f7d3, 
      0xc10ebfd0, 0x0007f7d3, 
      0xc90e0fd1, 0x0007f7f3, 
      0xd10d5fd3, 0x0007f803, 
      0xd90cbfd4, 0x0007f813, 
      0xe00c0fd7, 0x0007f823, 
      0xe70b6fd9, 0x0006f843, 
      0xee0acfda, 0x0006f863, 
      0xf40a2fdc, 0x0006f883, 
      0xfb098fdd, 0x0006f8a3, 
      0x0108ffdf, 0x0005f8c4, 
      0x07086fe0, 0x0005f8e4, 
      0x0c07cfe2, 0x0005f914, 
      0x12073fe4, 0x0004f934, 
      0x1706afe5, 0x0004f964, 
      0x1b062fe6, 0x0004f994, 
      0x20059fe8, 0x0003f9c4, 
      0x24051fe9, 0x0003f9f4, 
      0x28048feb, 0x0002fa34, 
      0x2c040feb, 0x0002fa74, 
      0x30038fed, 0x0001faa4, 
      0x33030fee, 0x0001fae4, 
      0x36028ff0, 0x0000fb24, 
      0x39020ff0, 0x0000fb74, 
      0x3b019ff2, 0x0ffffbb4, 
      0x3d012ff2, 0x0ffffc04, 
      0x3f00bff4, 0x0ffefc44, 
      0x41004ff5, 0x0ffdfc94, 
      0x42ffeff6, 0x0ffcfce4, 
      0x43ff7ff6, 0x0ffcfd44, 
      0x44ff1ff7, 0x0ffbfd94, 
      0x44febff8, 0x0ffafdf4, 
      0x44fe5ff9, 0x0ff9fe54, 
      0x44fdfffa, 0x0ff8feb4, 
      0x44fd9ffa, 0x0ff8ff14, 
      0x43fd4ffb, 0x0ff7ff74, 
      0x42fceffc, 0x0ff6ffe4, 
      0x41fc9ffd, 0x0ff50044, 
      0x3ffc4ffe, 0x0ff400b4, 
      0x3dfc0ffe, 0x0ff30124, 
      0x3bfbbfff, 0x0ff20194, 
      0x39fb7fff, 0x0ff00214, 
      0x36fb2001, 0x0fef0284, 
      0x33fae001, 0x0fee0304, 
      0x30faa001, 0x0fed0384, 
      0x2cfa7001, 0x0fec0404, 
      0x28fa3003, 0x0fea0484, 
      0x24fa0003, 0x0fe90504, 
      0x20f9c003, 0x0fe80594, 
      0x1bf99004, 0x0fe60624, 
      0x17f96004, 0x0fe506a4, 
      0x12f93005, 0x0fe30734, 
      0x0cf91005, 0x0fe207c4, 
      0x07f8e005, 0x0fe00864, 
      0x01f8c005, 0x0fdf08f4, 
      0xfbf8a005, 0x0fdd0993, 
      0xf4f88006, 0x0fdc0a23, 
      0xeef86006, 0x0fda0ac3, 
      0xe7f84007, 0x0fd80b63, 
      0xe0f82007, 0x0fd70c03, 
      0xd9f81006, 0x0fd50cb3, 
      0xd1f80007, 0x0fd30d53, 
      0xc9f7f007, 0x0fd10e03, 
      0xc1f7d008, 0x0fd00ea3, 
      0xb9f7d007, 0x0fce0f53, 
      0xb1f7c007, 0x0fcc1003, 
      0xa8f7b008, 0x0fca10b3, 
      0xa0f7a008, 0x0fc81163, 
      0x97f7a008, 0x0fc61213, 
      0x8ef7a008, 0x0fc412c3, 
      0x84f79008, 0x0fc31383, 
      0x7bf79008, 0x0fc11433, 
      0x71f79009, 0x0fbf14e3, 
      0x67f79009, 0x0fbd15a3, 
      0x5df7a008, 0x0fbb1663, 
      0x53f7a008, 0x0fb91723, 
      0x49f7a009, 0x0fb717d3, 
      0x3ff7b008, 0x0fb51893, 
      0x34f7b009, 0x0fb31953, 
      0x29f7c009, 0x0fb11a13, 
      0x1ff7d008, 0x0faf1ad3, 
      0x14f7e008, 0x0fad1b93, 
      0x09f7f008, 0x0fab1c53, 
      0xfdf80008, 0x0fa91d22, 
      0xf2f81008, 0x0fa71de2, 
      0xe7f82008, 0x0fa51ea2, 
      0xdbf83009, 0x0fa31f62, 
      0xd0f84008, 0x0fa12032, 
      0xc4f86008, 0x0f9f20f2, 
      0xb8f87009, 0x0f9d21b2, 
      0xadf88009, 0x0f9b2272, 
      0xa1f8a008, 0x0f992342, 
      0x95f8b009, 0x0f972402, 
      0x89f8d008, 0x0f9624c2, 
      0x7df8f008, 0x0f942582, 
      0x71f90008, 0x0f922652,
   },
   { /* UV scale factor = 1.19, phases = 127, taps = 5. */
      0x72266f91, 0x0008f8f2, 
      0x7e259f93, 0x0008f8e2, 
      0x8a24df95, 0x0008f8c2, 
      0x96241f97, 0x0008f8a2, 
      0xa2234f99, 0x0008f892, 
      0xae228f9b, 0x0008f872, 
      0xba21cf9c, 0x0008f862, 
      0xc5210f9e, 0x0008f852, 
      0xd1204fa0, 0x0008f832, 
      0xdd1f7fa2, 0x0008f822, 
      0xe81ebfa4, 0x0008f812, 
      0xf41defa6, 0x0008f802, 
      0xff1d2fa8, 0x0008f7f2, 
      0x0a1c6faa, 0x0008f7e3, 
      0x151bafac, 0x0008f7d3, 
      0x201aefae, 0x0008f7c3, 
      0x2b1a2fb0, 0x0008f7b3, 
      0x36196fb2, 0x0008f7a3, 
      0x4018afb4, 0x0008f7a3, 
      0x4b17efb6, 0x0008f793, 
      0x55172fb8, 0x0008f793, 
      0x5f166fba, 0x0008f793, 
      0x6915bfbc, 0x0008f783, 
      0x7314ffbe, 0x0008f783, 
      0x7d143fc0, 0x0008f783, 
      0x86138fc2, 0x0008f783, 
      0x9012cfc4, 0x0008f783, 
      0x99121fc5, 0x0008f793, 
      0xa2116fc7, 0x0008f793, 
      0xab10afc9, 0x0008f7a3, 
      0xb3100fcb, 0x0008f7a3, 
      0xbb0f5fce, 0x0007f7b3, 
      0xc40eafcf, 0x0007f7c3, 
      0xcc0dffd1, 0x0007f7d3, 
      0xd30d5fd3, 0x0007f7e3, 
      0xdb0cafd4, 0x0007f803, 
      0xe20c0fd6, 0x0007f813, 
      0xe90b6fd8, 0x0006f833, 
      0xf00acfd9, 0x0006f853, 
      0xf70a2fdb, 0x0006f863, 
      0xfd098fdd, 0x0006f883, 
      0x0308ffde, 0x0005f8b4, 
      0x09085fe0, 0x0005f8d4, 
      0x0f07cfe1, 0x0005f8f4, 
      0x14073fe3, 0x0004f924, 
      0x1906afe4, 0x0004f954, 
      0x1e061fe5, 0x0004f984, 
      0x23058fe7, 0x0003f9b4, 
      0x27050fe8, 0x0003f9e4, 
      0x2b047fea, 0x0002fa24, 
      0x2f03ffeb, 0x0002fa54, 
      0x32037fed, 0x0001fa94, 
      0x3602ffed, 0x0001fad4, 
      0x39027fef, 0x0000fb14, 
      0x3b020ff0, 0x0000fb54, 
      0x3e018ff1, 0x0ffffba4, 
      0x40011ff3, 0x0ffefbe4, 
      0x4200aff3, 0x0ffefc34, 
      0x43003ff5, 0x0ffdfc84, 
      0x44ffdff6, 0x0ffcfcd4, 
      0x45ff6ff6, 0x0ffcfd34, 
      0x46ff0ff7, 0x0ffbfd84, 
      0x47fe9ff8, 0x0ffafde4, 
      0x47fe3ff9, 0x0ff9fe44, 
      0x47fdeff9, 0x0ff8fea4, 
      0x46fd8ffb, 0x0ff7ff04, 
      0x45fd3ffc, 0x0ff6ff64, 
      0x44fcdffd, 0x0ff5ffd4, 
      0x43fc9ffd, 0x0ff40034, 
      0x42fc3ffe, 0x0ff300a4, 
      0x40fbefff, 0x0ff20114, 
      0x3efbafff, 0x0ff10184, 
      0x3bfb5000, 0x0ff00204, 
      0x39fb1000, 0x0fef0274, 
      0x36fad000, 0x0fee02f4, 
      0x32fa9002, 0x0fec0374, 
      0x2ffa5002, 0x0feb03f4, 
      0x2bfa2002, 0x0fea0474, 
      0x27f9e002, 0x0fe90504, 
      0x23f9b003, 0x0fe70584, 
      0x1ef98003, 0x0fe60614, 
      0x19f95004, 0x0fe406a4, 
      0x14f92004, 0x0fe30734, 
      0x0ff8f005, 0x0fe107c4, 
      0x09f8d005, 0x0fe00854, 
      0x03f8b005, 0x0fde08f4, 
      0xfdf88006, 0x0fdd0983, 
      0xf7f86006, 0x0fdb0a23, 
      0xf0f84006, 0x0fda0ac3, 
      0xe9f83006, 0x0fd80b63, 
      0xe2f81007, 0x0fd60c03, 
      0xdbf80007, 0x0fd40ca3, 
      0xd3f7e007, 0x0fd30d53, 
      0xccf7d007, 0x0fd10df3, 
      0xc4f7c007, 0x0fcf0ea3, 
      0xbbf7b008, 0x0fcd0f53, 
      0xb3f7a008, 0x0fcb1003, 
      0xabf79007, 0x0fca10b3, 
      0xa2f79007, 0x0fc81163, 
      0x99f79007, 0x0fc61213, 
      0x90f78008, 0x0fc412c3, 
      0x86f78009, 0x0fc21373, 
      0x7df78008, 0x0fc01433, 
      0x73f78008, 0x0fbe14f3, 
      0x69f78009, 0x0fbc15a3, 
      0x5ff79008, 0x0fba1663, 
      0x55f79008, 0x0fb81723, 
      0x4bf79008, 0x0fb617e3, 
      0x40f7a009, 0x0fb41893, 
      0x36f7a009, 0x0fb21953, 
      0x2bf7b008, 0x0fb01a23, 
      0x20f7c008, 0x0fae1ae3, 
      0x15f7d008, 0x0fac1ba3, 
      0x0af7e008, 0x0faa1c63, 
      0xfff7f008, 0x0fa81d22, 
      0xf4f80008, 0x0fa61de2, 
      0xe8f81008, 0x0fa41eb2, 
      0xddf82008, 0x0fa21f72, 
      0xd1f83009, 0x0fa02032, 
      0xc5f85008, 0x0f9e2102, 
      0xbaf86008, 0x0f9c21c2, 
      0xaef87009, 0x0f9a2282, 
      0xa2f89009, 0x0f982342, 
      0x96f8a009, 0x0f962412, 
      0x8af8c008, 0x0f9524d2, 
      0x7ef8e008, 0x0f932592, 
      0x72f8f008, 0x0f912662,
   },
   { /* UV scale factor = 1.20, phases = 127, taps = 5. */
      0x73267f90, 0x0008f8e2, 
      0x7f25af92, 0x0008f8d2, 
      0x8b24ef94, 0x0008f8b2, 
      0x97242f96, 0x0008f892, 
      0xa3235f98, 0x0008f882, 
      0xaf229f9a, 0x0008f862, 
      0xbb21df9b, 0x0008f852, 
      0xc7210f9e, 0x0008f832, 
      0xd3204f9f, 0x0008f822, 
      0xde1f8fa1, 0x0008f812, 
      0xea1ebfa3, 0x0008f802, 
      0xf51dffa6, 0x0008f7e2, 
      0x011d3fa7, 0x0008f7d3, 
      0x0c1c6faa, 0x0008f7c3, 
      0x171bafac, 0x0008f7b3, 
      0x221aefad, 0x0008f7b3, 
      0x2d1a2faf, 0x0008f7a3, 
      0x38196fb1, 0x0008f793, 
      0x4218afb3, 0x0008f793, 
      0x4d17efb5, 0x0008f783, 
      0x57172fb7, 0x0008f783, 
      0x61166fba, 0x0008f773, 
      0x6b15afbc, 0x0008f773, 
      0x7514ffbd, 0x0008f773, 
      0x7f143fbf, 0x0008f773, 
      0x88137fc2, 0x0008f773, 
      0x9212cfc3, 0x0008f773, 
      0x9b120fc5, 0x0008f783, 
      0xa4115fc7, 0x0008f783, 
      0xad10afc8, 0x0008f793, 
      0xb5100fcb, 0x0007f793, 
      0xbe0f4fcd, 0x0007f7a3, 
      0xc60eafce, 0x0007f7b3, 
      0xce0dffd0, 0x0007f7c3, 
      0xd60d4fd2, 0x0007f7d3, 
      0xdd0cafd4, 0x0007f7e3, 
      0xe40c0fd6, 0x0006f803, 
      0xec0b5fd7, 0x0006f823, 
      0xf20abfda, 0x0006f833, 
      0xf90a1fdb, 0x0006f853, 
      0xff098fdd, 0x0005f873, 
      0x0608efde, 0x0005f894, 
      0x0b085fdf, 0x0005f8c4, 
      0x1107cfe1, 0x0004f8e4, 
      0x17072fe2, 0x0004f914, 
      0x1c069fe3, 0x0004f944, 
      0x21060fe5, 0x0003f974, 
      0x25057fe7, 0x0003f9a4, 
      0x2904ffe8, 0x0003f9d4, 
      0x2e046fea, 0x0002fa04, 
      0x3103efeb, 0x0002fa44, 
      0x35036fec, 0x0001fa84, 
      0x3802efed, 0x0001fac4, 
      0x3b026fef, 0x0000fb04, 
      0x3e01fff0, 0x0ffffb44, 
      0x40017ff1, 0x0ffffb94, 
      0x42011ff2, 0x0ffefbd4, 
      0x44009ff4, 0x0ffdfc24, 
      0x46002ff4, 0x0ffdfc74, 
      0x47ffcff5, 0x0ffcfcc4, 
      0x48ff5ff7, 0x0ffbfd14, 
      0x49fefff7, 0x0ffafd74, 
      0x49fe8ff8, 0x0ffafdd4, 
      0x49fe3ff9, 0x0ff9fe24, 
      0x49fddffa, 0x0ff8fe84, 
      0x49fd7ffa, 0x0ff7fef4, 
      0x48fd1ffc, 0x0ff6ff54, 
      0x47fccffc, 0x0ff5ffc4, 
      0x46fc7ffd, 0x0ff40024, 
      0x44fc2ffe, 0x0ff30094, 
      0x42fbdfff, 0x0ff20104, 
      0x40fb9fff, 0x0ff10174, 
      0x3efb4fff, 0x0ff001f4, 
      0x3bfb0000, 0x0fef0264, 
      0x38fac001, 0x0fed02e4, 
      0x35fa8001, 0x0fec0364, 
      0x31fa4002, 0x0feb03e4, 
      0x2efa0002, 0x0fea0464, 
      0x29f9d003, 0x0fe804f4, 
      0x25f9a003, 0x0fe70574, 
      0x21f97003, 0x0fe50604, 
      0x1cf94003, 0x0fe40694, 
      0x17f91004, 0x0fe20724, 
      0x11f8e005, 0x0fe107b4, 
      0x0bf8c005, 0x0fdf0854, 
      0x06f89005, 0x0fde08e4, 
      0xfff87006, 0x0fdc0983, 
      0xf9f85006, 0x0fdb0a13, 
      0xf2f84006, 0x0fd90ab3, 
      0xecf82006, 0x0fd70b53, 
      0xe4f80006, 0x0fd60c03, 
      0xddf7e007, 0x0fd40ca3, 
      0xd6f7d007, 0x0fd20d43, 
      0xcef7c007, 0x0fd00df3, 
      0xc6f7a007, 0x0fcf0ea3, 
      0xbef7a007, 0x0fcd0f43, 
      0xb5f79008, 0x0fcb0ff3, 
      0xadf79007, 0x0fc910a3, 
      0xa4f78008, 0x0fc71153, 
      0x9bf78007, 0x0fc51213, 
      0x92f77008, 0x0fc312c3, 
      0x88f78008, 0x0fc11373, 
      0x7ff77008, 0x0fbf1433, 
      0x75f77008, 0x0fbd14f3, 
      0x6bf77009, 0x0fbb15a3, 
      0x61f77009, 0x0fb91663, 
      0x57f78008, 0x0fb71723, 
      0x4df78008, 0x0fb517e3, 
      0x42f79008, 0x0fb318a3, 
      0x38f79008, 0x0fb11963, 
      0x2df7a008, 0x0faf1a23, 
      0x22f7b008, 0x0fad1ae3, 
      0x17f7b009, 0x0fab1ba3, 
      0x0cf7c009, 0x0fa91c63, 
      0x01f7d008, 0x0fa71d33, 
      0xf5f7e009, 0x0fa51df2, 
      0xeaf80008, 0x0fa31eb2, 
      0xdef81008, 0x0fa11f82, 
      0xd3f82008, 0x0f9f2042, 
      0xc7f83009, 0x0f9d2102, 
      0xbbf85008, 0x0f9b21d2, 
      0xaff86009, 0x0f992292, 
      0xa3f88009, 0x0f972352, 
      0x97f89008, 0x0f962422, 
      0x8bf8b008, 0x0f9424e2, 
      0x7ff8d008, 0x0f9225a2, 
      0x73f8e008, 0x0f902672,
   },
   { /* UV scale factor = 1.21, phases = 127, taps = 5. */
      0x74268f8f, 0x0008f8d2, 
      0x8025bf91, 0x0008f8c2, 
      0x8c24ff93, 0x0008f8a2, 
      0x98243f95, 0x0008f882, 
      0xa4236f97, 0x0008f872, 
      0xb022af99, 0x0008f852, 
      0xbc21df9b, 0x0008f842, 
      0xc8211f9d, 0x0008f822, 
      0xd4205f9e, 0x0008f812, 
      0xe01f8fa0, 0x0008f802, 
      0xeb1ecfa2, 0x0008f7f2, 
      0xf71dffa5, 0x0008f7d2, 
      0x021d3fa7, 0x0008f7c3, 
      0x0d1c7fa9, 0x0008f7b3, 
      0x191bbfaa, 0x0008f7a3, 
      0x241aefad, 0x0008f793, 
      0x2e1a2faf, 0x0008f793, 
      0x39196fb1, 0x0008f783, 
      0x4418afb3, 0x0008f773, 
      0x4e17efb5, 0x0008f773, 
      0x59172fb7, 0x0008f763, 
      0x63166fb9, 0x0008f763, 
      0x6d15afbb, 0x0008f763, 
      0x7714ffbc, 0x0008f763, 
      0x81143fbe, 0x0008f763, 
      0x8a137fc1, 0x0008f763, 
      0x9412cfc2, 0x0008f763, 
      0x9d121fc4, 0x0008f763, 
      0xa6115fc6, 0x0008f773, 
      0xaf10afc9, 0x0007f773, 
      0xb70fffcb, 0x0007f783, 
      0xc00f4fcc, 0x0007f793, 
      0xc80e9fce, 0x0007f7a3, 
      0xd00dffcf, 0x0007f7b3, 
      0xd80d4fd1, 0x0007f7c3, 
      0xdf0cafd4, 0x0006f7d3, 
      0xe70bffd5, 0x0006f7f3, 
      0xee0b5fd7, 0x0006f803, 
      0xf50abfd8, 0x0006f823, 
      0xfb0a1fda, 0x0006f843, 
      0x02097fdc, 0x0005f864, 
      0x0808dfde, 0x0005f884, 
      0x0e084fdf, 0x0005f8a4, 
      0x1407bfe0, 0x0004f8d4, 
      0x19071fe2, 0x0004f904, 
      0x1e068fe4, 0x0004f924, 
      0x23060fe5, 0x0003f954, 
      0x28057fe6, 0x0003f984, 
      0x2c04efe8, 0x0002f9c4, 
      0x30046fe9, 0x0002f9f4, 
      0x3403dfeb, 0x0001fa34, 
      0x38035feb, 0x0001fa74, 
      0x3b02dfed, 0x0000fab4, 
      0x3e025fee, 0x0000faf4, 
      0x4101efef, 0x0ffffb34, 
      0x43017ff0, 0x0ffffb74, 
      0x4500fff2, 0x0ffefbc4, 
      0x47008ff3, 0x0ffdfc14, 
      0x49001ff3, 0x0ffdfc64, 
      0x4affbff4, 0x0ffcfcb4, 
      0x4bff4ff6, 0x0ffbfd04, 
      0x4cfeeff6, 0x0ffafd64, 
      0x4cfe7ff8, 0x0ff9fdc4, 
      0x4cfe1ff9, 0x0ff9fe14, 
      0x4cfdcff9, 0x0ff8fe74, 
      0x4cfd5ffa, 0x0ff7fee4, 
      0x4bfd0ffb, 0x0ff6ff44, 
      0x4afcbffb, 0x0ff5ffb4, 
      0x49fc6ffc, 0x0ff40014, 
      0x47fc1ffd, 0x0ff30084, 
      0x45fbcffe, 0x0ff200f4, 
      0x43fb7ffe, 0x0ff10174, 
      0x41fb3fff, 0x0fef01e4, 
      0x3efaffff, 0x0fee0264, 
      0x3bfab000, 0x0fed02d4, 
      0x38fa7000, 0x0fec0354, 
      0x34fa3002, 0x0fea03d4, 
      0x30f9f002, 0x0fe90464, 
      0x2cf9c002, 0x0fe804e4, 
      0x28f98003, 0x0fe60574, 
      0x23f95004, 0x0fe505f4, 
      0x1ef92004, 0x0fe40684, 
      0x19f90004, 0x0fe20714, 
      0x14f8c004, 0x0fe107b4, 
      0x0ef8a005, 0x0fdf0844, 
      0x08f89005, 0x0fdd08d4, 
      0x02f86005, 0x0fdc0974, 
      0xfbf84006, 0x0fda0a13, 
      0xf5f82005, 0x0fd90ab3, 
      0xeef80006, 0x0fd70b53, 
      0xe7f7f006, 0x0fd50bf3, 
      0xdff7d007, 0x0fd30ca3, 
      0xd8f7c006, 0x0fd20d43, 
      0xd0f7b006, 0x0fd00df3, 
      0xc8f7a007, 0x0fce0e93, 
      0xc0f79007, 0x0fcc0f43, 
      0xb7f78008, 0x0fca0ff3, 
      0xaff77008, 0x0fc810a3, 
      0xa6f77008, 0x0fc61153, 
      0x9df76008, 0x0fc41213, 
      0x94f76007, 0x0fc312c3, 
      0x8af76008, 0x0fc11373, 
      0x81f76007, 0x0fbf1433, 
      0x77f76007, 0x0fbd14f3, 
      0x6df76008, 0x0fbb15a3, 
      0x63f76008, 0x0fb91663, 
      0x59f76008, 0x0fb71723, 
      0x4ef77008, 0x0fb517e3, 
      0x44f77009, 0x0fb218a3, 
      0x39f78009, 0x0fb01963, 
      0x2ef79009, 0x0fae1a23, 
      0x24f79009, 0x0fac1ae3, 
      0x19f7a008, 0x0faa1bb3, 
      0x0df7b009, 0x0fa81c73, 
      0x02f7c009, 0x0fa61d33, 
      0xf7f7d009, 0x0fa41df2, 
      0xebf7f008, 0x0fa21ec2, 
      0xe0f80008, 0x0fa01f82, 
      0xd4f81008, 0x0f9e2052, 
      0xc8f82009, 0x0f9c2112, 
      0xbcf84009, 0x0f9a21d2, 
      0xb0f85009, 0x0f9822a2, 
      0xa4f87009, 0x0f962362, 
      0x98f88008, 0x0f952432, 
      0x8cf8a008, 0x0f9324f2, 
      0x80f8c008, 0x0f9125b2, 
      0x74f8d008, 0x0f8f2682,
   },
   { /* UV scale factor = 1.22, phases = 127, taps = 5. */
      0x75269f8e, 0x0008f8c2, 
      0x8125cf90, 0x0008f8b2, 
      0x8d250f92, 0x0008f892, 
      0x9a243f94, 0x0008f872, 
      0xa6237f95, 0x0008f862, 
      0xb222bf97, 0x0008f842, 
      0xbe21ef99, 0x0008f832, 
      0xc9212f9c, 0x0008f812, 
      0xd5205f9e, 0x0008f802, 
      0xe11f9f9f, 0x0008f7f2, 
      0xed1ecfa2, 0x0008f7d2, 
      0xf81e0fa4, 0x0008f7c2, 
      0x041d4fa5, 0x0008f7b3, 
      0x0f1c7fa8, 0x0008f7a3, 
      0x1a1bbfaa, 0x0008f793, 
      0x251affac, 0x0008f783, 
      0x301a3fae, 0x0008f773, 
      0x3b196fb0, 0x0008f773, 
      0x4618afb2, 0x0008f763, 
      0x5017efb4, 0x0008f763, 
      0x5b172fb6, 0x0008f753, 
      0x65166fb8, 0x0008f753, 
      0x6f15afba, 0x0008f753, 
      0x7914ffbc, 0x0008f743, 
      0x83143fbe, 0x0008f743, 
      0x8c137fc0, 0x0008f753, 
      0x9612cfc1, 0x0008f753, 
      0x9f121fc3, 0x0008f753, 
      0xa8116fc6, 0x0007f753, 
      0xb110afc8, 0x0007f763, 
      0xba0fffc9, 0x0007f773, 
      0xc20f4fcc, 0x0007f773, 
      0xca0e9fce, 0x0007f783, 
      0xd20defd0, 0x0007f793, 
      0xda0d3fd1, 0x0007f7b3, 
      0xe20c9fd3, 0x0006f7c3, 
      0xe90bffd5, 0x0006f7d3, 
      0xf00b4fd7, 0x0006f7f3, 
      0xf70aafd8, 0x0006f813, 
      0xfe0a0fda, 0x0005f833, 
      0x04097fdb, 0x0005f854, 
      0x0b08dfdc, 0x0005f874, 
      0x10083fdf, 0x0005f894, 
      0x1607afe0, 0x0004f8c4, 
      0x1c071fe1, 0x0004f8e4, 
      0x21068fe3, 0x0003f914, 
      0x2605ffe4, 0x0003f944, 
      0x2a056fe6, 0x0003f974, 
      0x2f04dfe8, 0x0002f9a4, 
      0x33045fe8, 0x0002f9e4, 
      0x3703cfea, 0x0001fa24, 
      0x3a034fec, 0x0001fa54, 
      0x3d02dfed, 0x0000fa94, 
      0x41025fed, 0x0000fad4, 
      0x4301dfef, 0x0ffffb24, 
      0x46016ff0, 0x0ffefb64, 
      0x4800eff1, 0x0ffefbb4, 
      0x4a007ff2, 0x0ffdfc04, 
      0x4b000ff4, 0x0ffcfc54, 
      0x4dff9ff4, 0x0ffcfca4, 
      0x4eff3ff5, 0x0ffbfcf4, 
      0x4efedff6, 0x0ffafd54, 
      0x4ffe6ff8, 0x0ff9fda4, 
      0x4ffe0ff9, 0x0ff8fe04, 
      0x4ffdaffa, 0x0ff7fe64, 
      0x4efd5ffa, 0x0ff6fed4, 
      0x4efcfffa, 0x0ff6ff34, 
      0x4dfc9ffb, 0x0ff5ffa4, 
      0x4bfc5ffd, 0x0ff30004, 
      0x4afc0ffd, 0x0ff20074, 
      0x48fbbffe, 0x0ff100e4, 
      0x46fb6ffe, 0x0ff00164, 
      0x43fb2fff, 0x0fef01d4, 
      0x41fadfff, 0x0fee0254, 
      0x3dfa9001, 0x0fed02c4, 
      0x3afa6001, 0x0feb0344, 
      0x37fa1001, 0x0fea03d4, 
      0x33f9e001, 0x0fe90454, 
      0x2ff9a003, 0x0fe704d4, 
      0x2af97003, 0x0fe60564, 
      0x25f94003, 0x0fe505f4, 
      0x21f91003, 0x0fe30684, 
      0x1cf8e003, 0x0fe20714, 
      0x16f8c004, 0x0fe007a4, 
      0x10f89005, 0x0fdf0834, 
      0x0bf87004, 0x0fdd08d4, 
      0x04f85005, 0x0fdb0974, 
      0xfef83005, 0x0fda0a03, 
      0xf7f81006, 0x0fd80aa3, 
      0xf1f7f006, 0x0fd60b43, 
      0xe9f7d006, 0x0fd50bf3, 
      0xe2f7c006, 0x0fd30c93, 
      0xdaf7b006, 0x0fd10d43, 
      0xd2f7a007, 0x0fcf0de3, 
      0xcaf79007, 0x0fcd0e93, 
      0xc2f77007, 0x0fcc0f43, 
      0xbaf76007, 0x0fca0ff3, 
      0xb1f76007, 0x0fc810a3, 
      0xa8f75008, 0x0fc61153, 
      0x9ff75007, 0x0fc41213, 
      0x96f75007, 0x0fc212c3, 
      0x8cf75008, 0x0fc01373, 
      0x83f74008, 0x0fbe1433, 
      0x79f74008, 0x0fbc14f3, 
      0x6ff75008, 0x0fba15a3, 
      0x65f75008, 0x0fb81663, 
      0x5bf75008, 0x0fb61723, 
      0x50f76008, 0x0fb417e3, 
      0x46f76008, 0x0fb218a3, 
      0x3bf77008, 0x0fb01963, 
      0x30f77008, 0x0fae1a33, 
      0x25f78008, 0x0fac1af3, 
      0x1af79008, 0x0faa1bb3, 
      0x0ff7a009, 0x0fa71c73, 
      0x04f7b008, 0x0fa51d43, 
      0xf8f7c009, 0x0fa31e02, 
      0xedf7d009, 0x0fa11ec2, 
      0xe1f7f008, 0x0f9f1f92, 
      0xd5f80009, 0x0f9d2052, 
      0xc9f81009, 0x0f9b2122, 
      0xbef83008, 0x0f9921e2, 
      0xb2f84008, 0x0f9722b2, 
      0xa6f85008, 0x0f962372, 
      0x9af87008, 0x0f942432, 
      0x8df89008, 0x0f922502, 
      0x81f8b008, 0x0f9025c2, 
      0x75f8c008, 0x0f8e2692,
   },
   { /* UV scale factor = 1.23, phases = 127, taps = 5. */
      0x7626af8d, 0x0008f8b2, 
      0x8225df8f, 0x0008f8a2, 
      0x8f251f90, 0x0008f882, 
      0x9b244f93, 0x0008f862, 
      0xa7238f94, 0x0008f852, 
      0xb322bf97, 0x0008f832, 
      0xbf21ff98, 0x0008f822, 
      0xcb212f9b, 0x0008f802, 
      0xd7206f9c, 0x0008f7f2, 
      0xe21f9f9f, 0x0008f7e2, 
      0xee1edfa1, 0x0008f7c2, 
      0xfa1e1fa2, 0x0008f7b2, 
      0x051d4fa5, 0x0008f7a3, 
      0x111c8fa6, 0x0008f793, 
      0x1c1bbfa9, 0x0008f783, 
      0x271affab, 0x0008f773, 
      0x321a3fad, 0x0008f763, 
      0x3d197fae, 0x0008f763, 
      0x4818bfb0, 0x0008f753, 
      0x5217efb4, 0x0008f743, 
      0x5d172fb5, 0x0008f743, 
      0x67166fb7, 0x0008f743, 
      0x7115bfb9, 0x0008f733, 
      0x7b14ffbb, 0x0008f733, 
      0x85143fbd, 0x0008f733, 
      0x8e137fc0, 0x0008f733, 
      0x9812cfc1, 0x0008f733, 
      0xa1120fc4, 0x0007f743, 
      0xaa115fc6, 0x0007f743, 
      0xb310afc7, 0x0007f753, 
      0xbc0fffc9, 0x0007f753, 
      0xc40f4fcb, 0x0007f763, 
      0xcd0e9fcc, 0x0007f773, 
      0xd50defce, 0x0007f783, 
      0xdd0d3fd1, 0x0006f793, 
      0xe40c9fd2, 0x0006f7b3, 
      0xec0befd4, 0x0006f7c3, 
      0xf30b4fd5, 0x0006f7e3, 
      0xfa0aafd7, 0x0006f7f3, 
      0x000a0fda, 0x0005f814, 
      0x07096fdb, 0x0005f834, 
      0x0d08cfdd, 0x0005f854, 
      0x13083fde, 0x0004f884, 
      0x19079fe0, 0x0004f8a4, 
      0x1e070fe1, 0x0004f8d4, 
      0x23067fe3, 0x0003f904, 
      0x2805efe4, 0x0003f934, 
      0x2d055fe6, 0x0002f964, 
      0x3104cfe8, 0x0002f994, 
      0x35044fe8, 0x0002f9d4, 
      0x3903cfea, 0x0001fa04, 
      0x3d034feb, 0x0000fa44, 
      0x4002cfec, 0x0000fa84, 
      0x43024fee, 0x0ffffac4, 
      0x4601cfef, 0x0ffffb04, 
      0x48015ff0, 0x0ffefb54, 
      0x4b00dff1, 0x0ffdfba4, 
      0x4c006ff3, 0x0ffdfbe4, 
      0x4efffff4, 0x0ffcfc34, 
      0x4fff8ff5, 0x0ffbfc94, 
      0x50ff2ff5, 0x0ffbfce4, 
      0x51febff6, 0x0ffafd44, 
      0x52fe5ff7, 0x0ff9fd94, 
      0x52fdfff8, 0x0ff8fdf4, 
      0x52fd9ff9, 0x0ff7fe54, 
      0x51fd4ffa, 0x0ff6feb4, 
      0x50fceffb, 0x0ff5ff24, 
      0x4ffc9ffc, 0x0ff4ff84, 
      0x4efc3ffd, 0x0ff3fff4, 
      0x4cfbfffd, 0x0ff20064, 
      0x4bfbaffd, 0x0ff100d4, 
      0x48fb5ffe, 0x0ff00154, 
      0x46fb0fff, 0x0fef01c4, 
      0x43facfff, 0x0fee0244, 
      0x40fa8000, 0x0fec02c4, 
      0x3dfa4000, 0x0feb0344, 
      0x39fa0001, 0x0fea03c4, 
      0x35f9d002, 0x0fe80444, 
      0x31f9a002, 0x0fe704c4, 
      0x2df96002, 0x0fe60554, 
      0x28f93003, 0x0fe405e4, 
      0x23f90003, 0x0fe30674, 
      0x1ef8d004, 0x0fe10704, 
      0x19f8a004, 0x0fe00794, 
      0x13f88004, 0x0fde0834, 
      0x0df86005, 0x0fdc08c4, 
      0x07f83005, 0x0fdb0964, 
      0x00f81006, 0x0fd90a04, 
      0xfaf7f005, 0x0fd80aa3, 
      0xf3f7e005, 0x0fd60b43, 
      0xecf7c006, 0x0fd40be3, 
      0xe4f7b006, 0x0fd20c93, 
      0xddf79007, 0x0fd00d33, 
      0xd5f78006, 0x0fcf0de3, 
      0xcdf77006, 0x0fcd0e93, 
      0xc4f76007, 0x0fcb0f43, 
      0xbcf75007, 0x0fc90ff3, 
      0xb3f75007, 0x0fc710a3, 
      0xaaf74008, 0x0fc51153, 
      0xa1f74008, 0x0fc31203, 
      0x98f73008, 0x0fc112c3, 
      0x8ef74008, 0x0fbf1373, 
      0x85f73008, 0x0fbd1433, 
      0x7bf73008, 0x0fbb14f3, 
      0x71f73008, 0x0fb915b3, 
      0x67f74008, 0x0fb71663, 
      0x5df74008, 0x0fb51723, 
      0x52f74009, 0x0fb317e3, 
      0x48f74008, 0x0fb118b3, 
      0x3df75008, 0x0faf1973, 
      0x32f76008, 0x0fad1a33, 
      0x27f77008, 0x0fab1af3, 
      0x1cf78008, 0x0fa91bb3, 
      0x11f78008, 0x0fa71c83, 
      0x05f7a008, 0x0fa51d43, 
      0xf9f7b008, 0x0fa31e12, 
      0xeef7c009, 0x0fa01ed2, 
      0xe2f7e009, 0x0f9e1f92, 
      0xd7f7f008, 0x0f9c2062, 
      0xcbf80009, 0x0f9a2122, 
      0xbff82008, 0x0f9821f2, 
      0xb3f83009, 0x0f9622b2, 
      0xa7f84008, 0x0f952382, 
      0x9bf86008, 0x0f932442, 
      0x8ff87008, 0x0f912512, 
      0x82f8a008, 0x0f8f25d2, 
      0x76f8b008, 0x0f8d26a2,
   },
   { /* UV scale factor = 1.24, phases = 127, taps = 5. */
      0x7726bf8c, 0x0008f8a2, 
      0x8325ef8e, 0x0008f892, 
      0x90252f8f, 0x0008f872, 
      0x9c245f92, 0x0008f852, 
      0xa8239f93, 0x0008f842, 
      0xb422cf96, 0x0008f822, 
      0xc0220f97, 0x0008f812, 
      0xcc213f9a, 0x0008f7f2, 
      0xd8207f9b, 0x0008f7e2, 
      0xe41faf9e, 0x0008f7c2, 
      0xf01eef9f, 0x0008f7b2, 
      0xfb1e1fa2, 0x0008f7a2, 
      0x071d5fa3, 0x0008f793, 
      0x121c8fa6, 0x0008f783, 
      0x1d1bcfa8, 0x0008f773, 
      0x291b0fa9, 0x0008f763, 
      0x341a3fac, 0x0008f753, 
      0x3f197fae, 0x0008f743, 
      0x4918bfb0, 0x0008f743, 
      0x5417ffb2, 0x0008f733, 
      0x5e173fb4, 0x0008f733, 
      0x69167fb6, 0x0008f723, 
      0x7315bfb8, 0x0008f723, 
      0x7d14ffba, 0x0008f723, 
      0x87143fbc, 0x0008f723, 
      0x91137fbe, 0x0008f723, 
      0x9a12cfc1, 0x0007f723, 
      0xa3121fc3, 0x0007f723, 
      0xac115fc5, 0x0007f733, 
      0xb510afc7, 0x0007f733, 
      0xbe0fefc9, 0x0007f743, 
      0xc70f3fca, 0x0007f753, 
      0xcf0e8fcc, 0x0007f763, 
      0xd70defce, 0x0006f773, 
      0xdf0d3fd0, 0x0006f783, 
      0xe70c8fd2, 0x0006f793, 
      0xee0befd3, 0x0006f7b3, 
      0xf50b4fd5, 0x0006f7c3, 
      0xfc0a9fd8, 0x0005f7e3, 
      0x0309ffd9, 0x0005f804, 
      0x09095fdb, 0x0005f824, 
      0x1008bfdc, 0x0005f844, 
      0x16082fdd, 0x0004f874, 
      0x1b079fdf, 0x0004f894, 
      0x2106ffe1, 0x0003f8c4, 
      0x26066fe3, 0x0003f8e4, 
      0x2b05dfe4, 0x0003f914, 
      0x30054fe5, 0x0002f954, 
      0x3404cfe6, 0x0002f984, 
      0x38044fe8, 0x0001f9b4, 
      0x3c03bfe9, 0x0001f9f4, 
      0x40033fea, 0x0000fa34, 
      0x4302bfeb, 0x0000fa74, 
      0x46023fed, 0x0ffffab4, 
      0x4901bfee, 0x0ffffaf4, 
      0x4b014fef, 0x0ffefb44, 
      0x4d00dff1, 0x0ffdfb84, 
      0x4f005ff2, 0x0ffdfbd4, 
      0x51ffeff3, 0x0ffcfc24, 
      0x52ff8ff4, 0x0ffbfc74, 
      0x53ff1ff5, 0x0ffafcd4, 
      0x54febff6, 0x0ff9fd24, 
      0x54fe4ff7, 0x0ff9fd84, 
      0x54fdeff8, 0x0ff8fde4, 
      0x54fd8ff9, 0x0ff7fe44, 
      0x54fd2ffa, 0x0ff6fea4, 
      0x53fcdffa, 0x0ff5ff14, 
      0x52fc7ffc, 0x0ff4ff74, 
      0x51fc2ffc, 0x0ff3ffe4, 
      0x4ffbdffd, 0x0ff20054, 
      0x4dfb8ffe, 0x0ff100c4, 
      0x4bfb4ffd, 0x0ff00144, 
      0x49faffff, 0x0fee01b4, 
      0x46fabfff, 0x0fed0234, 
      0x43fa7fff, 0x0fec02b4, 
      0x40fa2000, 0x0feb0334, 
      0x3cf9f001, 0x0fe903b4, 
      0x38f9b002, 0x0fe80434, 
      0x34f98001, 0x0fe704c4, 
      0x30f95002, 0x0fe50544, 
      0x2bf91003, 0x0fe405d4, 
      0x26f8e004, 0x0fe20664, 
      0x21f8c003, 0x0fe106f4, 
      0x1bf89004, 0x0fdf0794, 
      0x16f86004, 0x0fde0824, 
      0x10f84004, 0x0fdc08c4, 
      0x0af82005, 0x0fda0954, 
      0x03f80005, 0x0fd909f4, 
      0xfcf7e006, 0x0fd70a93, 
      0xf5f7c006, 0x0fd50b43, 
      0xeef7b005, 0x0fd40be3, 
      0xe7f79006, 0x0fd20c83, 
      0xdff78006, 0x0fd00d33, 
      0xd7f77006, 0x0fce0de3, 
      0xcff76007, 0x0fcc0e83, 
      0xc7f75007, 0x0fca0f33, 
      0xbef75007, 0x0fc80fe3, 
      0xb5f73007, 0x0fc710a3, 
      0xacf73007, 0x0fc51153, 
      0xa3f72008, 0x0fc31203, 
      0x9af72007, 0x0fc112c3, 
      0x91f72007, 0x0fbf1373, 
      0x87f72007, 0x0fbd1433, 
      0x7df72007, 0x0fbb14f3, 
      0x73f72008, 0x0fb815b3, 
      0x69f72008, 0x0fb61673, 
      0x5ef73008, 0x0fb41733, 
      0x54f73008, 0x0fb217f3, 
      0x49f74008, 0x0fb018b3, 
      0x3ff74008, 0x0fae1973, 
      0x34f75008, 0x0fac1a33, 
      0x29f75008, 0x0faa1b03, 
      0x1df77008, 0x0fa81bc3, 
      0x12f78008, 0x0fa61c83, 
      0x07f78008, 0x0fa41d53, 
      0xfbf7a008, 0x0fa21e12, 
      0xeff7b008, 0x0fa01ee2, 
      0xe4f7c008, 0x0f9e1fa2, 
      0xd8f7d008, 0x0f9c2072, 
      0xccf7f008, 0x0f9a2132, 
      0xc0f80008, 0x0f982202, 
      0xb4f82008, 0x0f9622c2, 
      0xa8f84007, 0x0f942392, 
      0x9cf85008, 0x0f922452, 
      0x90f87007, 0x0f902522, 
      0x83f89008, 0x0f8e25e2, 
      0x77f8a008, 0x0f8c26b2,
   },
   { /* UV scale factor = 1.25, phases = 127, taps = 5. */
      0x7826cf8b, 0x0008f892, 
      0x8525ff8c, 0x0008f882, 
      0x91253f8e, 0x0008f862, 
      0x9d246f91, 0x0008f842, 
      0xa923af92, 0x0008f832, 
      0xb522df95, 0x0008f812, 
      0xc2220f97, 0x0008f7f2, 
      0xce214f98, 0x0008f7e2, 
      0xda207f9a, 0x0008f7d2, 
      0xe51fbf9d, 0x0008f7b2, 
      0xf11eef9f, 0x0008f7a2, 
      0xfd1e2fa0, 0x0008f792, 
      0x081d5fa3, 0x0008f783, 
      0x141c9fa4, 0x0008f773, 
      0x1f1bcfa7, 0x0008f763, 
      0x2a1b0fa9, 0x0008f753, 
      0x351a4fab, 0x0008f743, 
      0x40197fae, 0x0008f733, 
      0x4b18bfb0, 0x0008f723, 
      0x5617ffb1, 0x0008f723, 
      0x60173fb4, 0x0008f713, 
      0x6b167fb5, 0x0008f713, 
      0x7515bfb7, 0x0008f713, 
      0x7f14ffb9, 0x0008f713, 
      0x89143fbb, 0x0008f713, 
      0x93137fbe, 0x0007f713, 
      0x9c12cfc0, 0x0007f713, 
      0xa5121fc2, 0x0007f713, 
      0xaf115fc3, 0x0007f723, 
      0xb8109fc6, 0x0007f723, 
      0xc00fefc8, 0x0007f733, 
      0xc90f3fca, 0x0007f733, 
      0xd10e8fcc, 0x0007f743, 
      0xd90defce, 0x0006f753, 
      0xe10d3fcf, 0x0006f773, 
      0xe90c8fd1, 0x0006f783, 
      0xf00bdfd4, 0x0006f793, 
      0xf80b3fd4, 0x0006f7b3, 
      0xff0a9fd6, 0x0005f7d3, 
      0x0509ffd8, 0x0005f7f4, 
      0x0c095fd9, 0x0005f814, 
      0x1208bfdc, 0x0004f834, 
      0x18081fde, 0x0004f854, 
      0x1e078fde, 0x0004f884, 
      0x2306ffe1, 0x0003f8a4, 
      0x29065fe2, 0x0003f8d4, 
      0x2e05cfe3, 0x0003f904, 
      0x32054fe5, 0x0002f934, 
      0x3704afe6, 0x0002f974, 
      0x3b042fe8, 0x0001f9a4, 
      0x3f03afe8, 0x0001f9e4, 
      0x42032fea, 0x0000fa24, 
      0x46029feb, 0x0000fa64, 
      0x49022fec, 0x0ffffaa4, 
      0x4b01afef, 0x0ffefae4, 
      0x4e013fef, 0x0ffefb24, 
      0x5000bff1, 0x0ffdfb74, 
      0x52004ff2, 0x0ffcfbc4, 
      0x54ffdff2, 0x0ffcfc14, 
      0x55ff6ff4, 0x0ffbfc64, 
      0x56ff0ff4, 0x0ffafcc4, 
      0x57fe9ff6, 0x0ff9fd14, 
      0x57fe3ff7, 0x0ff8fd74, 
      0x57fddff8, 0x0ff7fdd4, 
      0x57fd7ff8, 0x0ff7fe34, 
      0x57fd1ff9, 0x0ff6fe94, 
      0x56fcbffa, 0x0ff5ff04, 
      0x55fc6ffb, 0x0ff4ff64, 
      0x54fc1ffb, 0x0ff3ffd4, 
      0x52fbcffd, 0x0ff10044, 
      0x50fb7ffe, 0x0ff000b4, 
      0x4efb2ffe, 0x0fef0134, 
      0x4bfaefff, 0x0fee01a4, 
      0x49faaffe, 0x0fed0224, 
      0x46fa5fff, 0x0fec02a4, 
      0x42fa2000, 0x0fea0324, 
      0x3ff9e000, 0x0fe903a4, 
      0x3bf9a001, 0x0fe80424, 
      0x37f97001, 0x0fe604b4, 
      0x32f93002, 0x0fe50544, 
      0x2ef90003, 0x0fe305c4, 
      0x29f8d003, 0x0fe20654, 
      0x23f8a004, 0x0fe006f4, 
      0x1ef88003, 0x0fdf0784, 
      0x18f85005, 0x0fdd0814, 
      0x12f83004, 0x0fdc08b4, 
      0x0cf81004, 0x0fda0954, 
      0x05f7f005, 0x0fd809f4, 
      0xfff7c005, 0x0fd70a93, 
      0xf8f7b005, 0x0fd50b33, 
      0xf0f7a006, 0x0fd30bd3, 
      0xe9f78006, 0x0fd10c83, 
      0xe1f77006, 0x0fcf0d33, 
      0xd9f75007, 0x0fce0dd3, 
      0xd1f74007, 0x0fcc0e83, 
      0xc9f73007, 0x0fca0f33, 
      0xc0f73007, 0x0fc80fe3, 
      0xb8f72007, 0x0fc61093, 
      0xaff71007, 0x0fc41153, 
      0xa5f71008, 0x0fc21203, 
      0x9cf71007, 0x0fc012c3, 
      0x93f71007, 0x0fbe1373, 
      0x89f71007, 0x0fbc1433, 
      0x7ff71007, 0x0fba14f3, 
      0x75f71007, 0x0fb815b3, 
      0x6bf71007, 0x0fb61673, 
      0x60f71008, 0x0fb41733, 
      0x56f72007, 0x0fb217f3, 
      0x4bf73008, 0x0faf18b3, 
      0x40f74008, 0x0fad1973, 
      0x35f74008, 0x0fab1a43, 
      0x2af75008, 0x0fa91b03, 
      0x1ff76008, 0x0fa71bc3, 
      0x14f77007, 0x0fa51c93, 
      0x08f78008, 0x0fa31d53, 
      0xfdf79007, 0x0fa11e22, 
      0xf1f7a008, 0x0f9f1ee2, 
      0xe5f7b008, 0x0f9d1fb2, 
      0xdaf7d007, 0x0f9b2072, 
      0xcef7e007, 0x0f992142, 
      0xc2f7f008, 0x0f972202, 
      0xb5f81008, 0x0f9522d2, 
      0xa9f83007, 0x0f9323a2, 
      0x9df84008, 0x0f912462, 
      0x91f86007, 0x0f8f2532, 
      0x85f88007, 0x0f8d25f2, 
      0x78f89008, 0x0f8b26c2,
   },
   { /* UV scale factor = 1.26, phases = 127, taps = 5. */
      0x7926df8a, 0x0008f882, 
      0x86260f8c, 0x0008f862, 
      0x92254f8d, 0x0008f852, 
      0x9e247f90, 0x0008f832, 
      0xab23af92, 0x0008f812, 
      0xb722ef93, 0x0008f802, 
      0xc3221f96, 0x0008f7e2, 
      0xcf215f97, 0x0008f7d2, 
      0xdb208f9a, 0x0008f7b2, 
      0xe71fbf9c, 0x0008f7a2, 
      0xf31eff9d, 0x0008f792, 
      0xfe1e2fa0, 0x0008f782, 
      0x0a1d6fa2, 0x0008f763, 
      0x151c9fa5, 0x0008f753, 
      0x211bdfa6, 0x0008f743, 
      0x2c1b0fa9, 0x0008f733, 
      0x371a4faa, 0x0008f733, 
      0x42198fac, 0x0008f723, 
      0x4d18bfaf, 0x0008f713, 
      0x5817ffb0, 0x0008f713, 
      0x62173fb3, 0x0008f703, 
      0x6d167fb4, 0x0008f703, 
      0x7715afb7, 0x0008f703, 
      0x8114ffba, 0x0007f6f3, 
      0x8b143fbc, 0x0007f6f3, 
      0x95137fbe, 0x0007f6f3, 
      0x9e12cfbf, 0x0007f703, 
      0xa8120fc1, 0x0007f703, 
      0xb1115fc3, 0x0007f703, 
      0xba109fc5, 0x0007f713, 
      0xc30fefc7, 0x0007f713, 
      0xcb0f3fc9, 0x0007f723, 
      0xd40e8fcb, 0x0006f733, 
      0xdc0ddfcd, 0x0006f743, 
      0xe40d2fcf, 0x0006f753, 
      0xeb0c8fd0, 0x0006f773, 
      0xf30bdfd2, 0x0006f783, 
      0xfa0b3fd4, 0x0005f7a3, 
      0x010a8fd7, 0x0005f7b4, 
      0x0809efd8, 0x0005f7d4, 
      0x0e094fda, 0x0005f7f4, 
      0x1508afdb, 0x0004f824, 
      0x1b081fdc, 0x0004f844, 
      0x20077fdf, 0x0004f864, 
      0x2606efe0, 0x0003f894, 
      0x2b065fe1, 0x0003f8c4, 
      0x3005cfe3, 0x0002f8f4, 
      0x35053fe4, 0x0002f924, 
      0x3904bfe6, 0x0001f954, 
      0x3e041fe7, 0x0001f994, 
      0x4103afe9, 0x0000f9c4, 
      0x45031fea, 0x0000fa04, 
      0x48029fec, 0x0ffffa44, 
      0x4b021fed, 0x0ffffa84, 
      0x4e019fee, 0x0ffefad4, 
      0x51012fef, 0x0ffdfb14, 
      0x5300aff0, 0x0ffdfb64, 
      0x55003ff1, 0x0ffcfbb4, 
      0x56ffcff3, 0x0ffbfc04, 
      0x58ff5ff3, 0x0ffbfc54, 
      0x59fefff4, 0x0ffafca4, 
      0x59fe8ff6, 0x0ff9fd04, 
      0x5afe2ff6, 0x0ff8fd64, 
      0x5afdcff7, 0x0ff7fdc4, 
      0x5afd6ff8, 0x0ff6fe24, 
      0x59fd1ff9, 0x0ff5fe84, 
      0x59fcaffa, 0x0ff4fef4, 
      0x58fc5ffb, 0x0ff3ff54, 
      0x56fc0ffc, 0x0ff2ffc4, 
      0x55fbbffc, 0x0ff10034, 
      0x53fb6ffd, 0x0ff000a4, 
      0x51fb1ffd, 0x0fef0124, 
      0x4efadffe, 0x0fee0194, 
      0x4bfa9fff, 0x0fec0214, 
      0x48fa4000, 0x0feb0294, 
      0x45fa0000, 0x0fea0314, 
      0x41f9c001, 0x0fe90394, 
      0x3ef99000, 0x0fe70424, 
      0x39f95002, 0x0fe604a4, 
      0x35f92002, 0x0fe40534, 
      0x30f8f002, 0x0fe305c4, 
      0x2bf8c003, 0x0fe10654, 
      0x26f89003, 0x0fe006e4, 
      0x20f87004, 0x0fde0774, 
      0x1bf84003, 0x0fdd0814, 
      0x15f81004, 0x0fdb08b4, 
      0x0ef80005, 0x0fd90944, 
      0x08f7d005, 0x0fd809e4, 
      0x01f7b006, 0x0fd60a84, 
      0xfaf7a005, 0x0fd40b33, 
      0xf3f78006, 0x0fd20bd3, 
      0xebf77005, 0x0fd10c83, 
      0xe4f75006, 0x0fcf0d23, 
      0xdcf74006, 0x0fcd0dd3, 
      0xd4f73006, 0x0fcb0e83, 
      0xcbf72007, 0x0fc90f33, 
      0xc3f71007, 0x0fc70fe3, 
      0xbaf71007, 0x0fc51093, 
      0xb1f70007, 0x0fc31153, 
      0xa8f70007, 0x0fc11203, 
      0x9ef70007, 0x0fbf12c3, 
      0x95f6f008, 0x0fbd1373, 
      0x8bf6f008, 0x0fbb1433, 
      0x81f6f008, 0x0fb914f3, 
      0x77f70007, 0x0fb715b3, 
      0x6df70007, 0x0fb51673, 
      0x62f70008, 0x0fb31733, 
      0x58f71007, 0x0fb117f3, 
      0x4df71008, 0x0faf18b3, 
      0x42f72007, 0x0fad1983, 
      0x37f73008, 0x0faa1a43, 
      0x2cf74008, 0x0fa81b03, 
      0x21f74008, 0x0fa61bd3, 
      0x15f76008, 0x0fa41c93, 
      0x0af76008, 0x0fa21d63, 
      0xfef78008, 0x0fa01e22, 
      0xf3f79007, 0x0f9e1ef2, 
      0xe7f7a008, 0x0f9c1fb2, 
      0xdbf7b008, 0x0f9a2082, 
      0xcff7d007, 0x0f982152, 
      0xc3f7e008, 0x0f962212, 
      0xb7f80007, 0x0f9422e2, 
      0xabf81008, 0x0f9223a2, 
      0x9ef83008, 0x0f902472, 
      0x92f85007, 0x0f8e2542, 
      0x86f86008, 0x0f8c2602, 
      0x79f88008, 0x0f8a26d2,
   },
   { /* UV scale factor = 1.27, phases = 127, taps = 5. */
      0x7a26ef89, 0x0008f872, 
      0x87261f8b, 0x0008f852, 
      0x93255f8c, 0x0008f842, 
      0xa0248f8e, 0x0008f822, 
      0xac23bf91, 0x0008f802, 
      0xb822ff92, 0x0008f7f2, 
      0xc4222f95, 0x0008f7d2, 
      0xd0215f97, 0x0008f7c2, 
      0xdc209f99, 0x0008f7a2, 
      0xe81fcf9b, 0x0008f792, 
      0xf41eff9d, 0x0008f782, 
      0x001e3f9f, 0x0008f763, 
      0x0c1d6fa1, 0x0008f753, 
      0x171cafa3, 0x0008f743, 
      0x231bdfa5, 0x0008f733, 
      0x2e1b1fa7, 0x0008f723, 
      0x391a4faa, 0x0008f713, 
      0x44198fab, 0x0008f713, 
      0x4f18cfad, 0x0008f703, 
      0x5a17ffb0, 0x0008f6f3, 
      0x64173fb2, 0x0008f6f3, 
      0x6f166fb4, 0x0008f6f3, 
      0x7915bfb7, 0x0007f6e3, 
      0x8314ffb9, 0x0007f6e3, 
      0x8d143fbb, 0x0007f6e3, 
      0x97137fbd, 0x0007f6e3, 
      0xa012cfbf, 0x0007f6e3, 
      0xaa120fc0, 0x0007f6f3, 
      0xb3114fc3, 0x0007f6f3, 
      0xbc109fc5, 0x0007f6f3, 
      0xc50fefc6, 0x0007f703, 
      0xcd0f3fc9, 0x0006f713, 
      0xd60e8fca, 0x0006f723, 
      0xde0ddfcc, 0x0006f733, 
      0xe60d2fce, 0x0006f743, 
      0xee0c7fd0, 0x0006f753, 
      0xf50bdfd2, 0x0005f773, 
      0xfd0b2fd4, 0x0005f783, 
      0x040a8fd5, 0x0005f7a4, 
      0x0a09efd7, 0x0005f7c4, 
      0x11094fd9, 0x0004f7e4, 
      0x1708afdb, 0x0004f804, 
      0x1d080fdc, 0x0004f834, 
      0x23077fde, 0x0003f854, 
      0x2906dfdf, 0x0003f884, 
      0x2e064fe1, 0x0003f8a4, 
      0x3305bfe3, 0x0002f8d4, 
      0x38052fe3, 0x0002f914, 
      0x3c049fe6, 0x0001f944, 
      0x40041fe7, 0x0001f974, 
      0x44038fe9, 0x0000f9b4, 
      0x48030fe9, 0x0000f9f4, 
      0x4b028feb, 0x0ffffa34, 
      0x4e020fec, 0x0ffffa74, 
      0x51018fee, 0x0ffefab4, 
      0x53011fef, 0x0ffdfb04, 
      0x56009fef, 0x0ffdfb54, 
      0x58002ff0, 0x0ffcfba4, 
      0x59ffbff2, 0x0ffbfbf4, 
      0x5bff4ff3, 0x0ffafc44, 
      0x5cfedff4, 0x0ffafc94, 
      0x5cfe7ff5, 0x0ff9fcf4, 
      0x5dfe0ff6, 0x0ff8fd54, 
      0x5dfdbff6, 0x0ff7fdb4, 
      0x5dfd5ff7, 0x0ff6fe14, 
      0x5cfcfff9, 0x0ff5fe74, 
      0x5cfc9ff9, 0x0ff4fee4, 
      0x5bfc4ffa, 0x0ff3ff44, 
      0x59fbfffb, 0x0ff2ffb4, 
      0x58fbaffb, 0x0ff10024, 
      0x56fb5ffc, 0x0ff00094, 
      0x53fb0ffd, 0x0fef0114, 
      0x51facffe, 0x0fed0184, 
      0x4efa7fff, 0x0fec0204, 
      0x4bfa3fff, 0x0feb0284, 
      0x48f9ffff, 0x0fea0304, 
      0x44f9b001, 0x0fe80384, 
      0x40f97001, 0x0fe70414, 
      0x3cf94002, 0x0fe50494, 
      0x38f91001, 0x0fe40524, 
      0x33f8d003, 0x0fe205b4, 
      0x2ef8a003, 0x0fe10644, 
      0x29f88003, 0x0fdf06d4, 
      0x23f85003, 0x0fde0774, 
      0x1df83004, 0x0fdc0804, 
      0x17f80004, 0x0fdb08a4, 
      0x11f7e004, 0x0fd90944, 
      0x0af7c005, 0x0fd709e4, 
      0x04f7a005, 0x0fd50a84, 
      0xfdf78005, 0x0fd40b23, 
      0xf5f77005, 0x0fd20bd3, 
      0xeef75006, 0x0fd00c73, 
      0xe6f74006, 0x0fce0d23, 
      0xdef73006, 0x0fcc0dd3, 
      0xd6f72006, 0x0fca0e83, 
      0xcdf71006, 0x0fc90f33, 
      0xc5f70006, 0x0fc70fe3, 
      0xbcf6f007, 0x0fc51093, 
      0xb3f6f007, 0x0fc31143, 
      0xaaf6e007, 0x0fc11203, 
      0xa0f6e007, 0x0fbf12c3, 
      0x97f6e007, 0x0fbd1373, 
      0x8df6e007, 0x0fbb1433, 
      0x83f6e008, 0x0fb814f3, 
      0x79f6e008, 0x0fb615b3, 
      0x6ff6f007, 0x0fb41673, 
      0x64f6f008, 0x0fb21733, 
      0x5af6f008, 0x0fb017f3, 
      0x4ff70007, 0x0fae18c3, 
      0x44f71007, 0x0fac1983, 
      0x39f71008, 0x0faa1a43, 
      0x2ef72007, 0x0fa81b13, 
      0x23f73008, 0x0fa51bd3, 
      0x17f74008, 0x0fa31ca3, 
      0x0cf75008, 0x0fa11d63, 
      0x00f76008, 0x0f9f1e33, 
      0xf4f78008, 0x0f9d1ef2, 
      0xe8f79008, 0x0f9b1fc2, 
      0xdcf7a008, 0x0f992092, 
      0xd0f7c008, 0x0f972152, 
      0xc4f7d008, 0x0f952222, 
      0xb8f7f007, 0x0f9322f2, 
      0xacf80008, 0x0f9123b2, 
      0xa0f82007, 0x0f8f2482, 
      0x93f84007, 0x0f8d2552, 
      0x87f85008, 0x0f8b2612, 
      0x7af87008, 0x0f8926e2,
   },
   { /* UV scale factor = 1.28, phases = 127, taps = 5. */
      0x7b26ff88, 0x0008f862, 
      0x88262f8a, 0x0008f842, 
      0x94256f8b, 0x0008f832, 
      0xa1249f8d, 0x0008f812, 
      0xad23cf90, 0x0008f7f2, 
      0xb9230f91, 0x0008f7e2, 
      0xc6223f93, 0x0008f7c2, 
      0xd2216f95, 0x0008f7b2, 
      0xde209f98, 0x0008f792, 
      0xea1fdf99, 0x0008f782, 
      0xf61f0f9c, 0x0008f762, 
      0x021e3f9e, 0x0008f753, 
      0x0d1d7fa0, 0x0008f743, 
      0x191cafa2, 0x0008f733, 
      0x241befa4, 0x0008f723, 
      0x301b1fa6, 0x0008f713, 
      0x3b1a5fa8, 0x0008f703, 
      0x46198fab, 0x0008f6f3, 
      0x5118bfad, 0x0008f6f3, 
      0x5c17ffaf, 0x0008f6e3, 
      0x66173fb2, 0x0007f6e3, 
      0x71167fb4, 0x0007f6d3, 
      0x7b15bfb6, 0x0007f6d3, 
      0x8514ffb8, 0x0007f6d3, 
      0x8f143fba, 0x0007f6d3, 
      0x99137fbc, 0x0007f6d3, 
      0xa312cfbd, 0x0007f6d3, 
      0xac120fc0, 0x0007f6d3, 
      0xb5114fc2, 0x0007f6e3, 
      0xbe109fc4, 0x0007f6e3, 
      0xc70fefc5, 0x0007f6f3, 
      0xd00f3fc8, 0x0006f6f3, 
      0xd80e8fca, 0x0006f703, 
      0xe00ddfcc, 0x0006f713, 
      0xe80d1fce, 0x0006f733, 
      0xf00c7fcf, 0x0006f743, 
      0xf80bcfd2, 0x0005f753, 
      0xff0b2fd3, 0x0005f773, 
      0x060a7fd5, 0x0005f794, 
      0x0d09dfd6, 0x0005f7b4, 
      0x14093fd8, 0x0004f7d4, 
      0x1a089fda, 0x0004f7f4, 
      0x20080fdb, 0x0004f814, 
      0x26076fdd, 0x0003f844, 
      0x2b06dfdf, 0x0003f864, 
      0x31063fe1, 0x0002f894, 
      0x3605afe2, 0x0002f8c4, 
      0x3a051fe4, 0x0002f8f4, 
      0x3f048fe5, 0x0001f934, 
      0x43040fe6, 0x0001f964, 
      0x47037fe8, 0x0000f9a4, 
      0x4a02ffe9, 0x0000f9e4, 
      0x4e027fea, 0x0ffffa24, 
      0x5101ffec, 0x0ffefa64, 
      0x54017fed, 0x0ffefaa4, 
      0x56010fee, 0x0ffdfaf4, 
      0x58009ff0, 0x0ffcfb34, 
      0x5a001ff1, 0x0ffcfb84, 
      0x5cffaff2, 0x0ffbfbd4, 
      0x5dff3ff3, 0x0ffafc34, 
      0x5efedff4, 0x0ff9fc84, 
      0x5ffe6ff5, 0x0ff8fce4, 
      0x60fe0ff5, 0x0ff8fd34, 
      0x60fd9ff7, 0x0ff7fd94, 
      0x60fd3ff7, 0x0ff6fe04, 
      0x5ffceff8, 0x0ff5fe64, 
      0x5efc8ffa, 0x0ff4fec4, 
      0x5dfc3ffa, 0x0ff3ff34, 
      0x5cfbdffb, 0x0ff2ffa4, 
      0x5afb8ffc, 0x0ff10014, 
      0x58fb4ffd, 0x0fef0084, 
      0x56fafffd, 0x0fee0104, 
      0x54faaffe, 0x0fed0174, 
      0x51fa6ffe, 0x0fec01f4, 
      0x4efa2fff, 0x0fea0274, 
      0x4bf9efff, 0x0fe902f4, 
      0x47f9a000, 0x0fe80374, 
      0x43f96001, 0x0fe60404, 
      0x3ff93001, 0x0fe50484, 
      0x3af8f002, 0x0fe40514, 
      0x36f8c002, 0x0fe205a4, 
      0x31f89002, 0x0fe10634, 
      0x2bf86003, 0x0fdf06d4, 
      0x26f84003, 0x0fdd0764, 
      0x20f81003, 0x0fdc0804, 
      0x1af7f004, 0x0fda0894, 
      0x14f7d004, 0x0fd80934, 
      0x0df7b004, 0x0fd709d4, 
      0x06f79005, 0x0fd50a74, 
      0xfff77005, 0x0fd30b23, 
      0xf8f75006, 0x0fd10bc3, 
      0xf0f74005, 0x0fd00c73, 
      0xe8f73006, 0x0fce0d13, 
      0xe0f72006, 0x0fcc0dc3, 
      0xd8f70007, 0x0fca0e73, 
      0xd0f6f007, 0x0fc80f23, 
      0xc7f6f006, 0x0fc60fe3, 
      0xbef6e007, 0x0fc41093, 
      0xb5f6e007, 0x0fc21143, 
      0xacf6d007, 0x0fc01203, 
      0xa3f6c007, 0x0fbe12c3, 
      0x99f6d007, 0x0fbc1373, 
      0x8ff6d007, 0x0fba1433, 
      0x85f6d007, 0x0fb814f3, 
      0x7bf6d007, 0x0fb615b3, 
      0x71f6d007, 0x0fb41673, 
      0x66f6e008, 0x0fb11733, 
      0x5cf6e007, 0x0faf1803, 
      0x51f6f007, 0x0fad18c3, 
      0x46f6f008, 0x0fab1983, 
      0x3bf70007, 0x0fa91a53, 
      0x30f71007, 0x0fa71b13, 
      0x24f72007, 0x0fa51be3, 
      0x19f73008, 0x0fa21ca3, 
      0x0df74008, 0x0fa01d73, 
      0x02f75008, 0x0f9e1e33, 
      0xf6f76008, 0x0f9c1f02, 
      0xeaf78007, 0x0f9a1fd2, 
      0xdef79008, 0x0f982092, 
      0xd2f7b007, 0x0f962162, 
      0xc6f7c007, 0x0f942232, 
      0xb9f7e007, 0x0f922302, 
      0xadf7f008, 0x0f9023c2, 
      0xa1f81007, 0x0f8e2492, 
      0x94f83007, 0x0f8c2562, 
      0x88f84008, 0x0f8a2622, 
      0x7bf86008, 0x0f8826f2,
   },
   { /* UV scale factor = 1.29, phases = 127, taps = 5. */
      0x7d270f87, 0x0007f852, 
      0x89264f89, 0x0007f832, 
      0x96256f8a, 0x0008f822, 
      0xa224af8c, 0x0008f802, 
      0xae23df8f, 0x0008f7e2, 
      0xbb230f90, 0x0008f7d2, 
      0xc7224f92, 0x0008f7b2, 
      0xd3217f95, 0x0008f792, 
      0xdf20af97, 0x0008f782, 
      0xeb1fdf99, 0x0008f772, 
      0xf71f1f9b, 0x0008f752, 
      0x031e4f9d, 0x0008f743, 
      0x0f1d7f9f, 0x0008f733, 
      0x1a1cbfa1, 0x0008f723, 
      0x261befa3, 0x0008f713, 
      0x311b1fa6, 0x0008f703, 
      0x3d1a4fa8, 0x0008f6f3, 
      0x48198faa, 0x0008f6e3, 
      0x5318cfad, 0x0007f6d3, 
      0x5d180faf, 0x0007f6d3, 
      0x68174fb1, 0x0007f6c3, 
      0x73167fb3, 0x0007f6c3, 
      0x7d15bfb5, 0x0007f6c3, 
      0x8714ffb8, 0x0007f6b3, 
      0x91143fba, 0x0007f6b3, 
      0x9b137fbc, 0x0007f6b3, 
      0xa512bfbd, 0x0007f6c3, 
      0xae120fbf, 0x0007f6c3, 
      0xb8114fc1, 0x0007f6c3, 
      0xc1108fc3, 0x0007f6d3, 
      0xc90fefc6, 0x0006f6d3, 
      0xd20f2fc8, 0x0006f6e3, 
      0xdb0e7fc9, 0x0006f6f3, 
      0xe30dcfcb, 0x0006f703, 
      0xeb0d1fcd, 0x0006f713, 
      0xf30c6fcf, 0x0005f733, 
      0xfa0bcfd1, 0x0005f743, 
      0x020b1fd2, 0x0005f764, 
      0x090a7fd4, 0x0005f774, 
      0x1009dfd6, 0x0004f794, 
      0x16093fd8, 0x0004f7b4, 
      0x1c089fda, 0x0004f7d4, 
      0x2307ffdb, 0x0003f804, 
      0x28076fdd, 0x0003f824, 
      0x2e06cfde, 0x0003f854, 
      0x33063fe0, 0x0002f884, 
      0x38059fe2, 0x0002f8b4, 
      0x3d050fe4, 0x0001f8e4, 
      0x42048fe4, 0x0001f914, 
      0x4603ffe6, 0x0000f954, 
      0x4a037fe7, 0x0000f984, 
      0x4d02ffe9, 0x0ffff9c4, 
      0x51026fea, 0x0ffffa04, 
      0x5401efeb, 0x0ffefa54, 
      0x57016fed, 0x0ffdfa94, 
      0x5900ffee, 0x0ffdfad4, 
      0x5b007ff0, 0x0ffcfb24, 
      0x5d000ff1, 0x0ffbfb74, 
      0x5fff9ff1, 0x0ffbfbc4, 
      0x60ff2ff3, 0x0ffafc14, 
      0x61febff4, 0x0ff9fc74, 
      0x62fe5ff4, 0x0ff8fcd4, 
      0x62fdfff6, 0x0ff7fd24, 
      0x63fd8ff7, 0x0ff6fd84, 
      0x62fd3ff8, 0x0ff5fde4, 
      0x62fcdff8, 0x0ff4fe54, 
      0x61fc7ffa, 0x0ff3feb4, 
      0x60fc2ffa, 0x0ff2ff24, 
      0x5ffbcffb, 0x0ff1ff94, 
      0x5dfb7ffc, 0x0ff00004, 
      0x5bfb2ffd, 0x0fef0074, 
      0x59fadffd, 0x0fee00f4, 
      0x57fa9ffd, 0x0fed0164, 
      0x54fa5ffe, 0x0feb01e4, 
      0x51fa0fff, 0x0fea0264, 
      0x4df9c000, 0x0fe902e4, 
      0x4af98000, 0x0fe70374, 
      0x46f95000, 0x0fe603f4, 
      0x42f91000, 0x0fe50484, 
      0x3df8e002, 0x0fe30504, 
      0x38f8b002, 0x0fe20594, 
      0x33f88002, 0x0fe00634, 
      0x2ef85002, 0x0fdf06c4, 
      0x28f82004, 0x0fdd0754, 
      0x23f80003, 0x0fdb07f4, 
      0x1cf7d004, 0x0fda0894, 
      0x16f7b004, 0x0fd80934, 
      0x10f79004, 0x0fd609d4, 
      0x09f77005, 0x0fd40a74, 
      0x02f76004, 0x0fd30b14, 
      0xfaf74005, 0x0fd10bc3, 
      0xf3f73005, 0x0fcf0c63, 
      0xebf71006, 0x0fcd0d13, 
      0xe3f70006, 0x0fcb0dc3, 
      0xdbf6f006, 0x0fc90e73, 
      0xd2f6e007, 0x0fc70f23, 
      0xc9f6e007, 0x0fc50fd3, 
      0xc1f6d006, 0x0fc31093, 
      0xb8f6c007, 0x0fc11143, 
      0xaef6c007, 0x0fbf1203, 
      0xa5f6c007, 0x0fbd12b3, 
      0x9bf6b008, 0x0fbb1373, 
      0x91f6b008, 0x0fb91433, 
      0x87f6b008, 0x0fb714f3, 
      0x7df6c007, 0x0fb515b3, 
      0x73f6c007, 0x0fb31673, 
      0x68f6c008, 0x0fb11733, 
      0x5df6d008, 0x0fae1803, 
      0x53f6d008, 0x0fac18c3, 
      0x48f6e008, 0x0faa1983, 
      0x3df6f007, 0x0fa81a53, 
      0x31f70008, 0x0fa61b13, 
      0x26f71007, 0x0fa41be3, 
      0x1af72007, 0x0fa21cb3, 
      0x0ff73008, 0x0f9f1d73, 
      0x03f74008, 0x0f9d1e43, 
      0xf7f75008, 0x0f9b1f12, 
      0xebf77008, 0x0f991fd2, 
      0xdff78008, 0x0f9720a2, 
      0xd3f79008, 0x0f952172, 
      0xc7f7b007, 0x0f932242, 
      0xbbf7d007, 0x0f912302, 
      0xaef7e008, 0x0f8f23d2, 
      0xa2f80007, 0x0f8d24a2, 
      0x96f81007, 0x0f8b2572, 
      0x89f83008, 0x0f892632, 
      0x7df85007, 0x0f872702,
   },
   { /* UV scale factor = 1.30, phases = 127, taps = 5. */
      0x7e271f86, 0x0007f842, 
      0x8a265f88, 0x0007f822, 
      0x97258f8a, 0x0007f802, 
      0xa324bf8c, 0x0007f7f2, 
      0xb023ef8e, 0x0007f7d2, 
      0xbc231f90, 0x0008f7b2, 
      0xc8224f92, 0x0008f7a2, 
      0xd5218f93, 0x0008f782, 
      0xe120af96, 0x0008f772, 
      0xed1fef98, 0x0008f752, 
      0xf91f1f9a, 0x0008f742, 
      0x051e4f9c, 0x0008f733, 
      0x101d8f9e, 0x0008f723, 
      0x1c1cbfa0, 0x0008f713, 
      0x281befa3, 0x0008f6f3, 
      0x331b2fa5, 0x0007f6f3, 
      0x3e1a5fa8, 0x0007f6e3, 
      0x4a199fa9, 0x0007f6d3, 
      0x5518cfac, 0x0007f6c3, 
      0x5f180fae, 0x0007f6c3, 
      0x6a174fb0, 0x0007f6b3, 
      0x75167fb2, 0x0007f6b3, 
      0x7f15bfb5, 0x0007f6a3, 
      0x8914ffb7, 0x0007f6a3, 
      0x93143fb9, 0x0007f6a3, 
      0x9d137fbb, 0x0007f6a3, 
      0xa712bfbd, 0x0007f6a3, 
      0xb0120fbe, 0x0007f6b3, 
      0xba114fc0, 0x0007f6b3, 
      0xc3109fc3, 0x0006f6b3, 
      0xcc0fdfc5, 0x0006f6c3, 
      0xd50f2fc6, 0x0006f6d3, 
      0xdd0e7fc8, 0x0006f6e3, 
      0xe50dcfca, 0x0006f6f3, 
      0xed0d1fcc, 0x0006f703, 
      0xf50c6fcf, 0x0005f713, 
      0xfd0bbfd0, 0x0005f733, 
      0x040b1fd2, 0x0005f744, 
      0x0b0a6fd4, 0x0005f764, 
      0x1209cfd6, 0x0004f784, 
      0x19092fd7, 0x0004f7a4, 
      0x1f088fd9, 0x0004f7c4, 
      0x2507ffdb, 0x0003f7e4, 
      0x2b075fdc, 0x0003f814, 
      0x3006bfde, 0x0003f844, 
      0x36062fe0, 0x0002f864, 
      0x3b059fe1, 0x0002f894, 
      0x40050fe2, 0x0001f8d4, 
      0x44047fe4, 0x0001f904, 
      0x4903efe6, 0x0000f934, 
      0x4d035fe7, 0x0000f974, 
      0x5002dfe9, 0x0ffff9b4, 
      0x54025fe9, 0x0ffff9f4, 
      0x5701dfeb, 0x0ffefa34, 
      0x59015fed, 0x0ffdfa84, 
      0x5c00efed, 0x0ffdfac4, 
      0x5e006fef, 0x0ffcfb14, 
      0x60fffff0, 0x0ffbfb64, 
      0x62ff8ff1, 0x0ffafbb4, 
      0x63ff1ff2, 0x0ffafc04, 
      0x64feaff3, 0x0ff9fc64, 
      0x65fe4ff4, 0x0ff8fcb4, 
      0x65fddff6, 0x0ff7fd14, 
      0x65fd7ff7, 0x0ff6fd74, 
      0x65fd1ff8, 0x0ff5fdd4, 
      0x65fcbff8, 0x0ff4fe44, 
      0x64fc6ff9, 0x0ff3fea4, 
      0x63fc0ffa, 0x0ff2ff14, 
      0x62fbbffa, 0x0ff1ff84, 
      0x60fb6ffb, 0x0ff0fff4, 
      0x5efb1ffc, 0x0fef0064, 
      0x5cfacffc, 0x0fee00e4, 
      0x59fa8ffe, 0x0fec0154, 
      0x57fa3ffe, 0x0feb01d4, 
      0x54f9fffe, 0x0fea0254, 
      0x50f9b000, 0x0fe802d4, 
      0x4df97fff, 0x0fe70364, 
      0x49f93000, 0x0fe603e4, 
      0x44f90001, 0x0fe40474, 
      0x40f8c001, 0x0fe30504, 
      0x3bf89002, 0x0fe10594, 
      0x36f86002, 0x0fe00624, 
      0x31f84002, 0x0fde06b4, 
      0x2bf81003, 0x0fdc0754, 
      0x25f7e004, 0x0fdb07e4, 
      0x1ff7c004, 0x0fd90884, 
      0x19f7a004, 0x0fd70924, 
      0x12f78004, 0x0fd609c4, 
      0x0bf76005, 0x0fd40a64, 
      0x04f74005, 0x0fd20b14, 
      0xfdf73005, 0x0fd00bb3, 
      0xf5f71006, 0x0fce0c63, 
      0xedf70005, 0x0fcd0d13, 
      0xe5f6f005, 0x0fcb0dc3, 
      0xddf6e005, 0x0fc90e73, 
      0xd5f6c006, 0x0fc70f23, 
      0xccf6c006, 0x0fc50fd3, 
      0xc3f6b006, 0x0fc31093, 
      0xbaf6b006, 0x0fc11143, 
      0xb0f6b006, 0x0fbf1203, 
      0xa7f6a007, 0x0fbd12b3, 
      0x9df6a007, 0x0fbb1373, 
      0x93f6a008, 0x0fb81433, 
      0x89f6a008, 0x0fb614f3, 
      0x7ff6a008, 0x0fb415b3, 
      0x75f6b007, 0x0fb21673, 
      0x6af6b007, 0x0fb01743, 
      0x5ff6c007, 0x0fae1803, 
      0x55f6c007, 0x0fac18c3, 
      0x4af6d007, 0x0fa91993, 
      0x3ef6e008, 0x0fa71a53, 
      0x33f6f007, 0x0fa51b23, 
      0x28f6f008, 0x0fa31be3, 
      0x1cf71007, 0x0fa11cb3, 
      0x10f72007, 0x0f9f1d83, 
      0x05f73007, 0x0f9c1e53, 
      0xf9f74008, 0x0f9a1f12, 
      0xedf75008, 0x0f981fe2, 
      0xe1f77007, 0x0f9620b2, 
      0xd5f78007, 0x0f942182, 
      0xc8f7a008, 0x0f922242, 
      0xbcf7b008, 0x0f902312, 
      0xb0f7d007, 0x0f8e23e2, 
      0xa3f7f007, 0x0f8c24b2, 
      0x97f80007, 0x0f8a2582, 
      0x8af82008, 0x0f882642, 
      0x7ef84007, 0x0f862712,
   },
   { /* UV scale factor = 1.31, phases = 127, taps = 5. */
      0x7f272f85, 0x0007f832, 
      0x8b266f87, 0x0007f812, 
      0x98259f89, 0x0007f7f2, 
      0xa524cf8a, 0x0007f7e2, 
      0xb123ff8d, 0x0007f7c2, 
      0xbd233f8f, 0x0007f7a2, 
      0xca225f91, 0x0007f792, 
      0xd6219f93, 0x0007f772, 
      0xe220cf95, 0x0007f762, 
      0xee1fff98, 0x0007f742, 
      0xfa1f2f9a, 0x0007f732, 
      0x061e5f9c, 0x0007f723, 
      0x121d9f9e, 0x0007f703, 
      0x1e1ccfa0, 0x0007f6f3, 
      0x291bffa3, 0x0007f6e3, 
      0x351b2fa5, 0x0007f6d3, 
      0x401a6fa7, 0x0007f6c3, 
      0x4b199fa9, 0x0007f6c3, 
      0x5618dfab, 0x0007f6b3, 
      0x61181fad, 0x0007f6a3, 
      0x6c174faf, 0x0007f6a3, 
      0x77168fb1, 0x0007f693, 
      0x8115bfb4, 0x0007f693, 
      0x8b14ffb6, 0x0007f693, 
      0x95143fb8, 0x0007f693, 
      0x9f137fba, 0x0007f693, 
      0xa912bfbc, 0x0007f693, 
      0xb3120fbd, 0x0007f693, 
      0xbc114fc0, 0x0006f6a3, 
      0xc5108fc3, 0x0006f6a3, 
      0xce0fdfc4, 0x0006f6b3, 
      0xd70f2fc6, 0x0006f6b3, 
      0xdf0e6fc9, 0x0006f6c3, 
      0xe80dbfca, 0x0006f6d3, 
      0xf00d1fcc, 0x0005f6e3, 
      0xf80c6fcd, 0x0005f703, 
      0xff0bbfd0, 0x0005f713, 
      0x070b0fd1, 0x0005f734, 
      0x0e0a6fd3, 0x0004f754, 
      0x1509cfd5, 0x0004f764, 
      0x1b092fd7, 0x0004f784, 
      0x22087fd9, 0x0003f7b4, 
      0x2807efda, 0x0003f7d4, 
      0x2e073fdc, 0x0003f804, 
      0x3306bfde, 0x0002f824, 
      0x39061fdf, 0x0002f854, 
      0x3e058fe1, 0x0001f884, 
      0x4304ffe2, 0x0001f8b4, 
      0x47046fe3, 0x0001f8f4, 
      0x4b03dfe6, 0x0000f924, 
      0x4f035fe7, 0x0ffff964, 
      0x5302cfe8, 0x0ffff9a4, 
      0x56024fea, 0x0ffef9e4, 
      0x5a01cfea, 0x0ffefa24, 
      0x5c015fec, 0x0ffdfa64, 
      0x5f00dfed, 0x0ffcfab4, 
      0x61005fee, 0x0ffcfb04, 
      0x63ffefef, 0x0ffbfb54, 
      0x65ff7ff0, 0x0ffafba4, 
      0x66ff0ff2, 0x0ff9fbf4, 
      0x67fe9ff3, 0x0ff9fc44, 
      0x68fe3ff3, 0x0ff8fca4, 
      0x68fdcff5, 0x0ff7fd04, 
      0x68fd6ff6, 0x0ff6fd64, 
      0x68fd0ff7, 0x0ff5fdc4, 
      0x68fcaff7, 0x0ff4fe34, 
      0x67fc4ff9, 0x0ff3fe94, 
      0x66fbfff9, 0x0ff2ff04, 
      0x65fb9ffa, 0x0ff1ff74, 
      0x63fb5ffa, 0x0ff0ffe4, 
      0x61fb0ffc, 0x0fee0054, 
      0x5ffabffc, 0x0fed00d4, 
      0x5cfa6ffe, 0x0fec0144, 
      0x5afa2ffd, 0x0feb01c4, 
      0x56f9efff, 0x0fe90244, 
      0x53f9afff, 0x0fe802c4, 
      0x4ff96fff, 0x0fe70354, 
      0x4bf92001, 0x0fe503d4, 
      0x47f8f000, 0x0fe40464, 
      0x43f8b001, 0x0fe204f4, 
      0x3ef88001, 0x0fe10584, 
      0x39f85002, 0x0fdf0614, 
      0x33f82003, 0x0fde06a4, 
      0x2ef80002, 0x0fdc0744, 
      0x28f7d003, 0x0fda07e4, 
      0x22f7b003, 0x0fd90874, 
      0x1bf79004, 0x0fd70914, 
      0x15f76004, 0x0fd509c4, 
      0x0ef75004, 0x0fd30a64, 
      0x07f73004, 0x0fd20b04, 
      0xfff71005, 0x0fd00bb3, 
      0xf8f6f005, 0x0fce0c63, 
      0xf0f6e006, 0x0fcc0d03, 
      0xe8f6d006, 0x0fca0db3, 
      0xdff6d006, 0x0fc80e63, 
      0xd7f6b006, 0x0fc60f23, 
      0xcef6b006, 0x0fc40fd3, 
      0xc5f6a007, 0x0fc21083, 
      0xbcf6a006, 0x0fc01143, 
      0xb3f69006, 0x0fbe1203, 
      0xa9f69007, 0x0fbc12b3, 
      0x9ff69007, 0x0fba1373, 
      0x95f69007, 0x0fb81433, 
      0x8bf69007, 0x0fb614f3, 
      0x81f69008, 0x0fb315b3, 
      0x77f69007, 0x0fb11683, 
      0x6cf6a007, 0x0faf1743, 
      0x61f6a008, 0x0fad1803, 
      0x56f6b007, 0x0fab18d3, 
      0x4bf6c007, 0x0fa91993, 
      0x40f6c008, 0x0fa61a63, 
      0x35f6d008, 0x0fa41b23, 
      0x29f6e008, 0x0fa21bf3, 
      0x1ef6f007, 0x0fa01cc3, 
      0x12f70008, 0x0f9e1d83, 
      0x06f72007, 0x0f9c1e53, 
      0xfaf73008, 0x0f991f22, 
      0xeef74008, 0x0f971ff2, 
      0xe2f76007, 0x0f9520c2, 
      0xd6f77008, 0x0f932182, 
      0xcaf79007, 0x0f912252, 
      0xbdf7a008, 0x0f8f2322, 
      0xb1f7c007, 0x0f8d23f2, 
      0xa5f7d007, 0x0f8b24c2, 
      0x98f7f007, 0x0f892592, 
      0x8bf81008, 0x0f872652, 
      0x7ff83007, 0x0f852722,
   },
   { /* UV scale factor = 1.32, phases = 127, taps = 5. */
      0x80273f84, 0x0007f822, 
      0x8d266f86, 0x0007f802, 
      0x9925af88, 0x0007f7e2, 
      0xa624df8a, 0x0007f7c2, 
      0xb2240f8c, 0x0007f7b2, 
      0xbf233f8e, 0x0007f792, 
      0xcb226f90, 0x0007f782, 
      0xd8219f92, 0x0007f762, 
      0xe420cf95, 0x0007f742, 
      0xf01fff97, 0x0007f732, 
      0xfc1f3f98, 0x0007f722, 
      0x081e6f9b, 0x0007f703, 
      0x141d9f9d, 0x0007f6f3, 
      0x201ccf9f, 0x0007f6e3, 
      0x2b1bffa2, 0x0007f6d3, 
      0x371b3fa3, 0x0007f6c3, 
      0x421a6fa6, 0x0007f6b3, 
      0x4d19afa8, 0x0007f6a3, 
      0x5818dfaa, 0x0007f6a3, 
      0x63180fad, 0x0007f693, 
      0x6e174faf, 0x0007f683, 
      0x79168fb0, 0x0007f683, 
      0x8315bfb3, 0x0007f683, 
      0x8e14ffb4, 0x0007f683, 
      0x98143fb7, 0x0007f673, 
      0xa2137fb9, 0x0007f673, 
      0xab12bfbb, 0x0007f683, 
      0xb511ffbe, 0x0006f683, 
      0xbe114fc0, 0x0006f683, 
      0xc8108fc1, 0x0006f693, 
      0xd10fdfc3, 0x0006f693, 
      0xd90f1fc6, 0x0006f6a3, 
      0xe20e6fc7, 0x0006f6b3, 
      0xea0dbfca, 0x0005f6c3, 
      0xf20d0fcc, 0x0005f6d3, 
      0xfa0c5fce, 0x0005f6e3, 
      0x020bafcf, 0x0005f704, 
      0x090b0fd1, 0x0005f714, 
      0x100a6fd3, 0x0004f734, 
      0x1709bfd5, 0x0004f754, 
      0x1e091fd6, 0x0004f774, 
      0x24087fd9, 0x0003f794, 
      0x2b07dfd9, 0x0003f7c4, 
      0x30073fdc, 0x0003f7e4, 
      0x3606afdd, 0x0002f814, 
      0x3b060fdf, 0x0002f844, 
      0x41057fe0, 0x0001f874, 
      0x4504efe2, 0x0001f8a4, 
      0x4a045fe4, 0x0000f8d4, 
      0x4e03cfe5, 0x0000f914, 
      0x52034fe7, 0x0ffff944, 
      0x5602bfe8, 0x0ffff984, 
      0x59024fe9, 0x0ffef9c4, 
      0x5c01bfeb, 0x0ffdfa14, 
      0x5f013fec, 0x0ffdfa54, 
      0x6200cfec, 0x0ffcfaa4, 
      0x64004fef, 0x0ffbfae4, 
      0x66ffdfef, 0x0ffbfb34, 
      0x68ff6ff0, 0x0ffafb84, 
      0x69fefff1, 0x0ff9fbe4, 
      0x6afe8ff3, 0x0ff8fc34, 
      0x6bfe1ff4, 0x0ff7fc94, 
      0x6bfdbff4, 0x0ff7fcf4, 
      0x6bfd5ff5, 0x0ff6fd54, 
      0x6bfcfff6, 0x0ff5fdb4, 
      0x6bfc9ff7, 0x0ff4fe14, 
      0x6afc3ff8, 0x0ff3fe84, 
      0x69fbeff9, 0x0ff1fef4, 
      0x68fb8ffa, 0x0ff0ff64, 
      0x66fb3ffb, 0x0fefffd4, 
      0x64faeffc, 0x0fee0044, 
      0x62fa9ffc, 0x0fed00c4, 
      0x5ffa5ffd, 0x0fec0134, 
      0x5cfa1ffe, 0x0fea01b4, 
      0x59f9cfff, 0x0fe90234, 
      0x56f98fff, 0x0fe802b4, 
      0x52f94000, 0x0fe60344, 
      0x4ef91000, 0x0fe503c4, 
      0x4af8d001, 0x0fe30454, 
      0x45f8a001, 0x0fe204e4, 
      0x41f87001, 0x0fe00574, 
      0x3bf84002, 0x0fdf0604, 
      0x36f81002, 0x0fdd06a4, 
      0x30f7e003, 0x0fdc0734, 
      0x2bf7c002, 0x0fda07d4, 
      0x24f79004, 0x0fd80874, 
      0x1ef77004, 0x0fd60914, 
      0x17f75004, 0x0fd509b4, 
      0x10f73005, 0x0fd30a54, 
      0x09f71005, 0x0fd10b04, 
      0x02f70005, 0x0fcf0ba4, 
      0xfaf6e006, 0x0fcd0c53, 
      0xf2f6d006, 0x0fcb0d03, 
      0xeaf6c006, 0x0fc90db3, 
      0xe2f6b006, 0x0fc70e63, 
      0xd9f6a006, 0x0fc60f13, 
      0xd1f69006, 0x0fc30fd3, 
      0xc8f69006, 0x0fc11083, 
      0xbef68007, 0x0fbf1143, 
      0xb5f68007, 0x0fbd11f3, 
      0xabf68007, 0x0fbb12b3, 
      0xa2f67007, 0x0fb91373, 
      0x98f67007, 0x0fb71433, 
      0x8ef68006, 0x0fb514f3, 
      0x83f68007, 0x0fb315b3, 
      0x78f68007, 0x0fb11683, 
      0x6ef68008, 0x0fae1743, 
      0x63f69008, 0x0fac1803, 
      0x58f6a007, 0x0faa18d3, 
      0x4df6a008, 0x0fa81993, 
      0x42f6b007, 0x0fa61a63, 
      0x37f6c007, 0x0fa31b33, 
      0x2bf6d008, 0x0fa11bf3, 
      0x20f6e007, 0x0f9f1cc3, 
      0x14f6f007, 0x0f9d1d93, 
      0x08f70007, 0x0f9b1e63, 
      0xfcf72007, 0x0f981f32, 
      0xf0f73008, 0x0f961ff2, 
      0xe4f74008, 0x0f9420c2, 
      0xd8f76007, 0x0f922192, 
      0xcbf78007, 0x0f902262, 
      0xbff79007, 0x0f8e2332, 
      0xb2f7b007, 0x0f8c2402, 
      0xa6f7c007, 0x0f8a24d2, 
      0x99f7e007, 0x0f8825a2, 
      0x8df80007, 0x0f862662, 
      0x80f82007, 0x0f842732,
   },
   { /* UV scale factor = 1.33, phases = 127, taps = 5. */
      0x81274f83, 0x0007f812, 
      0x8e267f85, 0x0007f7f2, 
      0x9a25bf87, 0x0007f7d2, 
      0xa724ef89, 0x0007f7b2, 
      0xb4241f8a, 0x0007f7a2, 
      0xc0234f8d, 0x0007f782, 
      0xcd227f8f, 0x0007f762, 
      0xd921af91, 0x0007f752, 
      0xe520df94, 0x0007f732, 
      0xf1200f96, 0x0007f722, 
      0xfe1f3f98, 0x0007f702, 
      0x0a1e6f9a, 0x0007f6f3, 
      0x151daf9c, 0x0007f6e3, 
      0x211cdf9e, 0x0007f6d3, 
      0x2d1c0fa0, 0x0007f6c3, 
      0x381b3fa3, 0x0007f6b3, 
      0x441a6fa5, 0x0007f6a3, 
      0x4f19afa7, 0x0007f693, 
      0x5a18dfaa, 0x0007f683, 
      0x65181fab, 0x0007f683, 
      0x70174fae, 0x0007f673, 
      0x7b168faf, 0x0007f673, 
      0x8515cfb2, 0x0007f663, 
      0x9014ffb4, 0x0007f663, 
      0x9a143fb6, 0x0007f663, 
      0xa4137fb8, 0x0007f663, 
      0xae12bfbb, 0x0006f663, 
      0xb7120fbd, 0x0006f663, 
      0xc1114fbe, 0x0006f673, 
      0xca108fc1, 0x0006f673, 
      0xd30fcfc3, 0x0006f683, 
      0xdc0f1fc4, 0x0006f693, 
      0xe40e6fc6, 0x0006f6a3, 
      0xed0dbfc8, 0x0005f6b3, 
      0xf50d0fca, 0x0005f6c3, 
      0xfd0c5fcc, 0x0005f6d3, 
      0x040bafcf, 0x0005f6e4, 
      0x0c0affd1, 0x0004f704, 
      0x130a5fd2, 0x0004f724, 
      0x1a09afd4, 0x0004f744, 
      0x21090fd5, 0x0004f764, 
      0x27086fd8, 0x0003f784, 
      0x2d07cfda, 0x0003f7a4, 
      0x33073fdb, 0x0002f7d4, 
      0x39069fdd, 0x0002f7f4, 
      0x3e060fde, 0x0002f824, 
      0x43057fe0, 0x0001f854, 
      0x4804dfe1, 0x0001f894, 
      0x4d044fe3, 0x0000f8c4, 
      0x5103cfe4, 0x0000f8f4, 
      0x55033fe6, 0x0ffff934, 
      0x5902afe7, 0x0ffff974, 
      0x5c022fe9, 0x0ffef9b4, 
      0x5f01bfea, 0x0ffdf9f4, 
      0x62012feb, 0x0ffdfa44, 
      0x6500bfec, 0x0ffcfa84, 
      0x67003fee, 0x0ffbfad4, 
      0x69ffcfef, 0x0ffafb24, 
      0x6bff4ff0, 0x0ffafb74, 
      0x6cfeeff1, 0x0ff9fbc4, 
      0x6dfe7ff2, 0x0ff8fc24, 
      0x6efe0ff3, 0x0ff7fc84, 
      0x6efdaff4, 0x0ff6fce4, 
      0x6efd4ff5, 0x0ff5fd44, 
      0x6efceff6, 0x0ff4fda4, 
      0x6efc8ff7, 0x0ff3fe04, 
      0x6dfc2ff8, 0x0ff2fe74, 
      0x6cfbcff9, 0x0ff1fee4, 
      0x6bfb7ff9, 0x0ff0ff54, 
      0x69fb2ffa, 0x0fefffc4, 
      0x67fadffb, 0x0fee0034, 
      0x65fa8ffc, 0x0fec00b4, 
      0x62fa4ffd, 0x0feb0124, 
      0x5ff9fffe, 0x0fea01a4, 
      0x5cf9bffe, 0x0fe90224, 
      0x59f97ffe, 0x0fe702b4, 
      0x55f93fff, 0x0fe60334, 
      0x51f8f000, 0x0fe403c4, 
      0x4df8c000, 0x0fe30444, 
      0x48f89001, 0x0fe104d4, 
      0x43f85002, 0x0fe00564, 
      0x3ef82002, 0x0fde0604, 
      0x39f7f002, 0x0fdd0694, 
      0x33f7d002, 0x0fdb0734, 
      0x2df7b003, 0x0fd907c4, 
      0x27f78003, 0x0fd80864, 
      0x21f76003, 0x0fd60904, 
      0x1af74004, 0x0fd409a4, 
      0x13f72004, 0x0fd20a54, 
      0x0cf70004, 0x0fd10af4, 
      0x04f6e005, 0x0fcf0ba4, 
      0xfdf6d004, 0x0fcd0c53, 
      0xf5f6b005, 0x0fcb0d03, 
      0xedf6a005, 0x0fc90db3, 
      0xe4f6a005, 0x0fc70e63, 
      0xdcf69005, 0x0fc50f13, 
      0xd3f68006, 0x0fc30fc3, 
      0xcaf67006, 0x0fc11083, 
      0xc1f66006, 0x0fbf1143, 
      0xb7f66007, 0x0fbd11f3, 
      0xaef66006, 0x0fbb12b3, 
      0xa4f66007, 0x0fb81373, 
      0x9af66007, 0x0fb61433, 
      0x90f66007, 0x0fb414f3, 
      0x85f66007, 0x0fb215c3, 
      0x7bf67006, 0x0fb01683, 
      0x70f67007, 0x0fae1743, 
      0x65f68007, 0x0fab1813, 
      0x5af68008, 0x0fa918d3, 
      0x4ff69007, 0x0fa719a3, 
      0x44f6a007, 0x0fa51a63, 
      0x38f6b007, 0x0fa31b33, 
      0x2df6c007, 0x0fa01c03, 
      0x21f6d007, 0x0f9e1cd3, 
      0x15f6e008, 0x0f9c1d93, 
      0x0af6f007, 0x0f9a1e63, 
      0xfef70007, 0x0f981f32, 
      0xf1f72008, 0x0f952002, 
      0xe5f73008, 0x0f9320d2, 
      0xd9f75007, 0x0f9121a2, 
      0xcdf76007, 0x0f8f2272, 
      0xc0f78007, 0x0f8d2342, 
      0xb4f79007, 0x0f8b2412, 
      0xa7f7b007, 0x0f8924e2, 
      0x9af7d007, 0x0f8725b2, 
      0x8ef7f007, 0x0f852672, 
      0x81f81007, 0x0f832742,
   },
   { /* UV scale factor = 1.34, phases = 127, taps = 5. */
      0x82275f82, 0x0007f802, 
      0x8f268f84, 0x0007f7e2, 
      0x9c25cf85, 0x0007f7c2, 
      0xa824ff88, 0x0007f7a2, 
      0xb5242f8a, 0x0007f782, 
      0xc2235f8b, 0x0007f772, 
      0xce228f8e, 0x0007f752, 
      0xda21bf90, 0x0007f742, 
      0xe720ef92, 0x0007f722, 
      0xf3201f94, 0x0007f712, 
      0xff1f4f97, 0x0007f6f2, 
      0x0b1e7f99, 0x0007f6e3, 
      0x171daf9b, 0x0007f6d3, 
      0x231cdf9d, 0x0007f6c3, 
      0x2f1c0fa0, 0x0007f6a3, 
      0x3a1b4fa2, 0x0007f693, 
      0x461a7fa3, 0x0007f693, 
      0x5119afa6, 0x0007f683, 
      0x5c18dfa9, 0x0007f673, 
      0x67181fab, 0x0007f663, 
      0x72174fad, 0x0007f663, 
      0x7d168faf, 0x0007f653, 
      0x8715cfb1, 0x0007f653, 
      0x9214ffb3, 0x0007f653, 
      0x9c143fb5, 0x0007f653, 
      0xa6137fb8, 0x0006f653, 
      0xb012bfba, 0x0006f653, 
      0xba11ffbc, 0x0006f653, 
      0xc3113fbf, 0x0006f653, 
      0xcc108fc0, 0x0006f663, 
      0xd50fcfc3, 0x0006f663, 
      0xde0f1fc4, 0x0006f673, 
      0xe70e5fc7, 0x0005f683, 
      0xef0dafc9, 0x0005f693, 
      0xf70cffcb, 0x0005f6a3, 
      0xff0c4fcc, 0x0005f6c3, 
      0x070b9fce, 0x0005f6d4, 
      0x0e0affd0, 0x0004f6f4, 
      0x160a4fd2, 0x0004f704, 
      0x1d09afd3, 0x0004f724, 
      0x23090fd6, 0x0003f744, 
      0x2a086fd7, 0x0003f764, 
      0x3007cfd8, 0x0003f794, 
      0x36072fdb, 0x0002f7b4, 
      0x3c068fdc, 0x0002f7e4, 
      0x4105ffde, 0x0001f814, 
      0x46055fe0, 0x0001f844, 
      0x4b04cfe2, 0x0000f874, 
      0x50043fe3, 0x0000f8a4, 
      0x5403bfe4, 0x0ffff8e4, 
      0x58032fe5, 0x0ffff924, 
      0x5c02afe6, 0x0ffef964, 
      0x5f021fe8, 0x0ffef9a4, 
      0x62019fea, 0x0ffdf9e4, 
      0x65012feb, 0x0ffcfa24, 
      0x68009fec, 0x0ffcfa74, 
      0x6a002fed, 0x0ffbfac4, 
      0x6cffbfee, 0x0ffafb14, 
      0x6dff4ff0, 0x0ff9fb64, 
      0x6ffedff0, 0x0ff9fbb4, 
      0x70fe6ff1, 0x0ff8fc14, 
      0x71fdfff3, 0x0ff7fc64, 
      0x71fd9ff4, 0x0ff6fcc4, 
      0x71fd2ff6, 0x0ff5fd24, 
      0x71fccff6, 0x0ff4fd94, 
      0x71fc6ff7, 0x0ff3fdf4, 
      0x70fc1ff7, 0x0ff2fe64, 
      0x6ffbbff8, 0x0ff1fed4, 
      0x6dfb6ff9, 0x0ff0ff44, 
      0x6cfb0ffa, 0x0fefffb4, 
      0x6afacffb, 0x0fed0024, 
      0x68fa7ffb, 0x0fec00a4, 
      0x65fa2ffd, 0x0feb0114, 
      0x62f9effd, 0x0fea0194, 
      0x5ff9affe, 0x0fe80214, 
      0x5cf95ffe, 0x0fe702a4, 
      0x58f92fff, 0x0fe50324, 
      0x54f8efff, 0x0fe403b4, 
      0x50f8a000, 0x0fe30434, 
      0x4bf87001, 0x0fe104c4, 
      0x47f84001, 0x0fdf0554, 
      0x41f81001, 0x0fde05f4, 
      0x3cf7e002, 0x0fdc0684, 
      0x36f7b002, 0x0fdb0724, 
      0x30f79002, 0x0fd907c4, 
      0x2af76003, 0x0fd70864, 
      0x23f74004, 0x0fd50904, 
      0x1df72003, 0x0fd409a4, 
      0x16f70004, 0x0fd20a44, 
      0x0ef6f004, 0x0fd00af4, 
      0x07f6d005, 0x0fce0b94, 
      0xfff6c005, 0x0fcc0c43, 
      0xf7f6a006, 0x0fca0cf3, 
      0xeff69006, 0x0fc80da3, 
      0xe7f68006, 0x0fc60e53, 
      0xdef67006, 0x0fc40f13, 
      0xd5f67006, 0x0fc20fc3, 
      0xccf66006, 0x0fc01083, 
      0xc3f65007, 0x0fbe1133, 
      0xbaf65006, 0x0fbc11f3, 
      0xb0f65006, 0x0fba12b3, 
      0xa6f65006, 0x0fb81373, 
      0x9cf65006, 0x0fb61433, 
      0x92f65007, 0x0fb314f3, 
      0x87f65007, 0x0fb115c3, 
      0x7df65007, 0x0faf1683, 
      0x72f66007, 0x0fad1743, 
      0x67f66007, 0x0fab1813, 
      0x5cf67008, 0x0fa818d3, 
      0x51f68007, 0x0fa619a3, 
      0x46f68007, 0x0fa41a73, 
      0x3af69008, 0x0fa21b33, 
      0x2ff6a008, 0x0f9f1c03, 
      0x23f6c007, 0x0f9d1cd3, 
      0x17f6d007, 0x0f9b1da3, 
      0x0bf6e007, 0x0f991e73, 
      0xfff6f007, 0x0f971f42, 
      0xf3f71007, 0x0f942012, 
      0xe7f72007, 0x0f9220e2, 
      0xdaf74007, 0x0f9021b2, 
      0xcef75007, 0x0f8e2282, 
      0xc2f76007, 0x0f8c2352, 
      0xb5f78007, 0x0f8a2422, 
      0xa8f7a007, 0x0f8824f2, 
      0x9bf7c007, 0x0f8625c2, 
      0x8ff7e007, 0x0f842682, 
      0x82f80007, 0x0f822752,
   },
   { /* UV scale factor = 1.35, phases = 127, taps = 5. */
      0x83276f81, 0x0007f7f2, 
      0x9026af82, 0x0007f7d2, 
      0x9d25df84, 0x0007f7b2, 
      0xaa250f86, 0x0007f792, 
      0xb6243f89, 0x0007f772, 
      0xc3236f8a, 0x0007f762, 
      0xcf229f8d, 0x0007f742, 
      0xdc21bf90, 0x0007f722, 
      0xe820ef92, 0x0007f712, 
      0xf5201f94, 0x0007f6f2, 
      0x011f4f96, 0x0007f6e3, 
      0x0d1e7f98, 0x0007f6d3, 
      0x191dbf9a, 0x0007f6b3, 
      0x251cef9c, 0x0007f6a3, 
      0x301c1f9f, 0x0007f693, 
      0x3c1b4fa1, 0x0007f683, 
      0x481a7fa3, 0x0007f673, 
      0x5319afa6, 0x0007f663, 
      0x5e18efa7, 0x0007f663, 
      0x69181faa, 0x0007f653, 
      0x74175fac, 0x0007f643, 
      0x7f168fae, 0x0007f643, 
      0x8915cfb0, 0x0007f643, 
      0x9414ffb3, 0x0007f633, 
      0x9e144fb5, 0x0006f633, 
      0xa8138fb7, 0x0006f633, 
      0xb212bfba, 0x0006f633, 
      0xbc11ffbb, 0x0006f643, 
      0xc5113fbe, 0x0006f643, 
      0xcf108fbf, 0x0006f643, 
      0xd80fcfc1, 0x0006f653, 
      0xe10f0fc3, 0x0006f663, 
      0xe90e5fc6, 0x0005f673, 
      0xf20dafc7, 0x0005f683, 
      0xfa0cffc9, 0x0005f693, 
      0x020c4fcb, 0x0005f6a4, 
      0x0a0b9fcd, 0x0004f6c4, 
      0x110aefd0, 0x0004f6d4, 
      0x180a4fd1, 0x0004f6f4, 
      0x1f099fd3, 0x0004f714, 
      0x2608ffd5, 0x0003f734, 
      0x2d085fd6, 0x0003f754, 
      0x3307bfd9, 0x0002f774, 
      0x39071fda, 0x0002f7a4, 
      0x3e067fdc, 0x0002f7d4, 
      0x4405efde, 0x0001f7f4, 
      0x49054fdf, 0x0001f834, 
      0x4e04cfe0, 0x0000f864, 
      0x52043fe2, 0x0000f894, 
      0x5703afe3, 0x0ffff8d4, 
      0x5b031fe5, 0x0ffff904, 
      0x5f029fe6, 0x0ffef944, 
      0x62021fe8, 0x0ffdf984, 
      0x65018fe9, 0x0ffdf9d4, 
      0x68010feb, 0x0ffcfa14, 
      0x6b009feb, 0x0ffbfa64, 
      0x6d001fed, 0x0ffbfaa4, 
      0x6fffafee, 0x0ffafaf4, 
      0x70ff2ff0, 0x0ff9fb54, 
      0x72febff1, 0x0ff8fba4, 
      0x73fe5ff2, 0x0ff7fbf4, 
      0x74fdeff2, 0x0ff7fc54, 
      0x74fd7ff4, 0x0ff6fcb4, 
      0x74fd1ff5, 0x0ff5fd14, 
      0x74fcbff6, 0x0ff4fd74, 
      0x74fc5ff6, 0x0ff3fde4, 
      0x73fbfff7, 0x0ff2fe54, 
      0x72fbaff8, 0x0ff1feb4, 
      0x70fb5ffa, 0x0fefff24, 
      0x6ffafffa, 0x0feeffa4, 
      0x6dfaaffb, 0x0fed0014, 
      0x6bfa5ffb, 0x0fec0094, 
      0x68fa1ffc, 0x0feb0104, 
      0x65f9dffd, 0x0fe90184, 
      0x62f98ffe, 0x0fe80204, 
      0x5ff94ffe, 0x0fe60294, 
      0x5bf90fff, 0x0fe50314, 
      0x57f8cfff, 0x0fe403a4, 
      0x52f89000, 0x0fe20434, 
      0x4ef85000, 0x0fe104c4, 
      0x49f83000, 0x0fdf0554, 
      0x44f7f002, 0x0fdd05e4, 
      0x3ef7d002, 0x0fdc0674, 
      0x39f7a002, 0x0fda0714, 
      0x33f77003, 0x0fd807b4, 
      0x2df75002, 0x0fd70854, 
      0x26f73003, 0x0fd508f4, 
      0x1ff71004, 0x0fd30994, 
      0x18f6f004, 0x0fd10a44, 
      0x11f6d005, 0x0fcf0ae4, 
      0x0af6b004, 0x0fce0b94, 
      0x02f6a004, 0x0fcc0c44, 
      0xfaf69004, 0x0fca0cf3, 
      0xf2f67005, 0x0fc80da3, 
      0xe9f67005, 0x0fc60e53, 
      0xe1f66005, 0x0fc40f03, 
      0xd8f65005, 0x0fc20fc3, 
      0xcff64006, 0x0fbf1083, 
      0xc5f64007, 0x0fbd1133, 
      0xbcf64006, 0x0fbb11f3, 
      0xb2f63007, 0x0fb912b3, 
      0xa8f63007, 0x0fb71373, 
      0x9ef63007, 0x0fb51433, 
      0x94f63007, 0x0fb314f3, 
      0x89f64007, 0x0fb015c3, 
      0x7ff64007, 0x0fae1683, 
      0x74f64007, 0x0fac1753, 
      0x69f65007, 0x0faa1813, 
      0x5ef66006, 0x0fa818e3, 
      0x53f67007, 0x0fa519a3, 
      0x48f67007, 0x0fa31a73, 
      0x3cf68007, 0x0fa11b43, 
      0x30f69007, 0x0f9f1c13, 
      0x25f6a007, 0x0f9c1ce3, 
      0x19f6b007, 0x0f9a1db3, 
      0x0df6d007, 0x0f981e73, 
      0x01f6e007, 0x0f961f43, 
      0xf5f6f008, 0x0f932012, 
      0xe8f71008, 0x0f9120e2, 
      0xdcf72008, 0x0f8f21b2, 
      0xcff74008, 0x0f8d2282, 
      0xc3f75007, 0x0f8b2362, 
      0xb6f77007, 0x0f892432, 
      0xa9f79007, 0x0f872502, 
      0x9df7a007, 0x0f8525d2, 
      0x90f7d006, 0x0f8326a2, 
      0x83f7f007, 0x0f812762,
   },
   { /* UV scale factor = 1.36, phases = 127, taps = 5. */
      0x85277f7f, 0x0007f7e2, 
      0x9126bf81, 0x0007f7c2, 
      0x9e25ef83, 0x0007f7a2, 
      0xab251f85, 0x0007f782, 
      0xb8243f88, 0x0007f762, 
      0xc4237f8a, 0x0007f742, 
      0xd1229f8c, 0x0007f732, 
      0xdd21cf8f, 0x0007f712, 
      0xea20ff90, 0x0007f702, 
      0xf6202f93, 0x0007f6e2, 
      0x021f5f95, 0x0007f6d3, 
      0x0f1e8f97, 0x0007f6b3, 
      0x1b1dbf99, 0x0007f6a3, 
      0x261cef9c, 0x0007f693, 
      0x321c1f9e, 0x0007f683, 
      0x3e1b4fa0, 0x0007f673, 
      0x491a7fa3, 0x0007f663, 
      0x5519bfa4, 0x0007f653, 
      0x6018efa7, 0x0007f643, 
      0x6b181fa9, 0x0007f643, 
      0x76175fab, 0x0007f633, 
      0x81168fad, 0x0007f633, 
      0x8c15cfaf, 0x0007f623, 
      0x96150fb2, 0x0006f623, 
      0xa0143fb5, 0x0006f623, 
      0xaa137fb7, 0x0006f623, 
      0xb412bfb9, 0x0006f623, 
      0xbe11ffbb, 0x0006f623, 
      0xc8113fbc, 0x0006f633, 
      0xd1107fbf, 0x0006f633, 
      0xda0fcfc0, 0x0006f643, 
      0xe30f1fc3, 0x0005f643, 
      0xec0e5fc5, 0x0005f653, 
      0xf40dafc7, 0x0005f663, 
      0xfc0cefca, 0x0005f673, 
      0x040c3fcb, 0x0005f694, 
      0x0c0b9fcd, 0x0004f6a4, 
      0x140aefce, 0x0004f6c4, 
      0x1b0a3fd1, 0x0004f6d4, 
      0x22099fd3, 0x0003f6f4, 
      0x2908efd5, 0x0003f714, 
      0x2f084fd6, 0x0003f744, 
      0x3607afd8, 0x0002f764, 
      0x3b070fda, 0x0002f794, 
      0x41067fdb, 0x0002f7b4, 
      0x4705dfdd, 0x0001f7e4, 
      0x4c054fde, 0x0001f814, 
      0x5104bfe0, 0x0000f844, 
      0x55042fe1, 0x0000f884, 
      0x5a039fe3, 0x0ffff8b4, 
      0x5e030fe4, 0x0ffff8f4, 
      0x61028fe6, 0x0ffef934, 
      0x6501ffe8, 0x0ffdf974, 
      0x68017fe9, 0x0ffdf9b4, 
      0x6b00ffea, 0x0ffcfa04, 
      0x6e008feb, 0x0ffbfa44, 
      0x70000fec, 0x0ffbfa94, 
      0x72ff9fed, 0x0ffafae4, 
      0x73ff1ff0, 0x0ff9fb34, 
      0x75feaff0, 0x0ff8fb94, 
      0x76fe3ff2, 0x0ff7fbe4, 
      0x77fddff2, 0x0ff6fc44, 
      0x77fd6ff4, 0x0ff5fca4, 
      0x77fd0ff5, 0x0ff4fd04, 
      0x77fcaff6, 0x0ff3fd64, 
      0x77fc4ff6, 0x0ff2fdd4, 
      0x76fbeff8, 0x0ff1fe34, 
      0x75fb9ff8, 0x0ff0fea4, 
      0x73fb4ff9, 0x0fefff14, 
      0x72faeff9, 0x0feeff94, 
      0x70fa9ffa, 0x0fed0004, 
      0x6efa4ffb, 0x0feb0084, 
      0x6bfa0ffc, 0x0fea00f4, 
      0x68f9bffd, 0x0fe90174, 
      0x65f97ffe, 0x0fe701f4, 
      0x61f93ffe, 0x0fe60284, 
      0x5ef8fffe, 0x0fe50304, 
      0x5af8bfff, 0x0fe30394, 
      0x55f88fff, 0x0fe20424, 
      0x51f84000, 0x0fe004b4, 
      0x4cf81000, 0x0fdf0544, 
      0x47f7e001, 0x0fdd05d4, 
      0x41f7b002, 0x0fdb0674, 
      0x3bf79002, 0x0fda0704, 
      0x36f76002, 0x0fd807a4, 
      0x2ff74003, 0x0fd60844, 
      0x29f71004, 0x0fd408e4, 
      0x22f6f003, 0x0fd30994, 
      0x1bf6d004, 0x0fd10a34, 
      0x14f6c003, 0x0fcf0ae4, 
      0x0cf6a005, 0x0fcd0b84, 
      0x04f69005, 0x0fcb0c34, 
      0xfcf68005, 0x0fc90ce3, 
      0xf4f66005, 0x0fc70da3, 
      0xecf65005, 0x0fc50e53, 
      0xe3f64006, 0x0fc30f03, 
      0xdaf64005, 0x0fc10fc3, 
      0xd1f63006, 0x0fbf1073, 
      0xc8f63005, 0x0fbd1133, 
      0xbef62006, 0x0fbb11f3, 
      0xb4f62007, 0x0fb812b3, 
      0xaaf62007, 0x0fb61373, 
      0xa0f62007, 0x0fb41433, 
      0x96f62007, 0x0fb214f3, 
      0x8cf62006, 0x0fb015c3, 
      0x81f63007, 0x0fad1683, 
      0x76f63007, 0x0fab1753, 
      0x6bf64007, 0x0fa91813, 
      0x60f64007, 0x0fa718e3, 
      0x55f65007, 0x0fa419b3, 
      0x4af66007, 0x0fa21a73, 
      0x3ef67007, 0x0fa01b43, 
      0x32f68007, 0x0f9e1c13, 
      0x26f69008, 0x0f9b1ce3, 
      0x1bf6a007, 0x0f991db3, 
      0x0ff6b007, 0x0f971e83, 
      0x02f6d007, 0x0f951f53, 
      0xf6f6e008, 0x0f922022, 
      0xeaf70007, 0x0f9020f2, 
      0xddf71008, 0x0f8e21c2, 
      0xd1f73007, 0x0f8c2292, 
      0xc4f74008, 0x0f8a2362, 
      0xb8f76007, 0x0f882432, 
      0xabf78006, 0x0f862512, 
      0x9ef7a006, 0x0f8425e2, 
      0x91f7c007, 0x0f8126b2, 
      0x85f7e006, 0x0f7f2782,
   },
   { /* UV scale factor = 1.37, phases = 127, taps = 5. */
      0x86279f7e, 0x0007f7c2, 
      0x9326cf80, 0x0007f7a2, 
      0x9f25ff82, 0x0007f792, 
      0xac252f84, 0x0007f772, 
      0xb9244f87, 0x0007f752, 
      0xc6237f89, 0x0007f732, 
      0xd222af8b, 0x0007f722, 
      0xdf21df8d, 0x0007f702, 
      0xeb210f90, 0x0007f6e2, 
      0xf8203f91, 0x0007f6d2, 
      0x041f6f93, 0x0007f6c3, 
      0x101e9f96, 0x0007f6a3, 
      0x1c1dcf98, 0x0007f693, 
      0x281cff9a, 0x0007f683, 
      0x341c2f9c, 0x0007f673, 
      0x401b4f9f, 0x0007f663, 
      0x4b1a8fa1, 0x0007f653, 
      0x5719bfa3, 0x0007f643, 
      0x6218efa6, 0x0007f633, 
      0x6d182fa8, 0x0007f623, 
      0x78175faa, 0x0007f623, 
      0x83168fad, 0x0007f613, 
      0x8e15cfaf, 0x0006f613, 
      0x98150fb1, 0x0006f613, 
      0xa3143fb3, 0x0006f613, 
      0xad137fb5, 0x0006f613, 
      0xb712bfb7, 0x0006f613, 
      0xc011ffba, 0x0006f613, 
      0xca113fbc, 0x0006f613, 
      0xd3107fbe, 0x0006f623, 
      0xdd0fcfc0, 0x0005f623, 
      0xe50f0fc3, 0x0005f633, 
      0xee0e4fc5, 0x0005f643, 
      0xf70d9fc6, 0x0005f653, 
      0xff0cefc8, 0x0005f663, 
      0x070c3fcb, 0x0004f674, 
      0x0f0b8fcc, 0x0004f694, 
      0x160adfcf, 0x0004f6a4, 
      0x1e0a2fd0, 0x0004f6c4, 
      0x25098fd2, 0x0003f6e4, 
      0x2b08efd4, 0x0003f704, 
      0x32084fd5, 0x0003f724, 
      0x3807afd7, 0x0002f754, 
      0x3e070fd9, 0x0002f774, 
      0x44066fdb, 0x0001f7a4, 
      0x4a05cfdc, 0x0001f7d4, 
      0x4f053fde, 0x0000f804, 
      0x5404afdf, 0x0000f834, 
      0x58041fe2, 0x0ffff864, 
      0x5d038fe2, 0x0ffff8a4, 
      0x6102ffe4, 0x0ffef8e4, 
      0x64027fe6, 0x0ffef914, 
      0x6801efe7, 0x0ffdf964, 
      0x6b016fe9, 0x0ffcf9a4, 
      0x6e00efea, 0x0ffcf9e4, 
      0x71006feb, 0x0ffbfa34, 
      0x73ffffec, 0x0ffafa84, 
      0x75ff7fee, 0x0ff9fad4, 
      0x76ff0fef, 0x0ff9fb24, 
      0x78fe9ff0, 0x0ff8fb74, 
      0x79fe2ff1, 0x0ff7fbd4, 
      0x7afdbff2, 0x0ff6fc34, 
      0x7afd5ff3, 0x0ff5fc94, 
      0x7afcfff4, 0x0ff4fcf4, 
      0x7afc9ff5, 0x0ff3fd54, 
      0x7afc2ff6, 0x0ff2fdc4, 
      0x79fbdff7, 0x0ff1fe24, 
      0x78fb7ff8, 0x0ff0fe94, 
      0x76fb2ff9, 0x0fefff04, 
      0x75fadff9, 0x0feeff74, 
      0x73fa8ffa, 0x0fecfff4, 
      0x71fa3ffb, 0x0feb0064, 
      0x6ef9effc, 0x0fea00e4, 
      0x6bf9affd, 0x0fe80164, 
      0x68f96ffd, 0x0fe701e4, 
      0x64f91ffe, 0x0fe60274, 
      0x61f8effe, 0x0fe402f4, 
      0x5df8affe, 0x0fe30384, 
      0x58f86000, 0x0fe10414, 
      0x54f83fff, 0x0fe004a4, 
      0x4ff80000, 0x0fde0534, 
      0x4af7d001, 0x0fdc05c4, 
      0x44f7a001, 0x0fdb0664, 
      0x3ef77002, 0x0fd90704, 
      0x38f75002, 0x0fd707a4, 
      0x32f72002, 0x0fd60844, 
      0x2bf70003, 0x0fd408e4, 
      0x25f6e003, 0x0fd20984, 
      0x1ef6c003, 0x0fd00a34, 
      0x16f6b004, 0x0fce0ad4, 
      0x0ff69004, 0x0fcc0b84, 
      0x07f67005, 0x0fca0c34, 
      0xfff66005, 0x0fc80ce3, 
      0xf7f65005, 0x0fc60d93, 
      0xeef64006, 0x0fc40e43, 
      0xe5f63006, 0x0fc20f03, 
      0xddf62005, 0x0fc00fc3, 
      0xd3f62006, 0x0fbe1073, 
      0xcaf61006, 0x0fbc1133, 
      0xc0f61006, 0x0fba11f3, 
      0xb7f60006, 0x0fb812b3, 
      0xadf60006, 0x0fb61373, 
      0xa3f61006, 0x0fb31433, 
      0x98f61006, 0x0fb11503, 
      0x8ef61006, 0x0faf15c3, 
      0x83f61007, 0x0fad1683, 
      0x78f62007, 0x0faa1753, 
      0x6df62007, 0x0fa81823, 
      0x62f63007, 0x0fa618e3, 
      0x57f64006, 0x0fa419b3, 
      0x4bf65007, 0x0fa11a83, 
      0x40f66006, 0x0f9f1b53, 
      0x34f67006, 0x0f9d1c23, 
      0x28f68006, 0x0f9b1cf3, 
      0x1cf69007, 0x0f981dc3, 
      0x10f6a007, 0x0f961e93, 
      0x04f6c006, 0x0f941f63, 
      0xf8f6d006, 0x0f922032, 
      0xebf6f007, 0x0f8f2102, 
      0xdff70007, 0x0f8d21d2, 
      0xd2f72007, 0x0f8b22a2, 
      0xc6f73007, 0x0f892372, 
      0xb9f75007, 0x0f872442, 
      0xacf77006, 0x0f852522, 
      0x9ff79007, 0x0f8225f2, 
      0x93f7a007, 0x0f8026c2, 
      0x86f7c007, 0x0f7e2792,
   },
   { /* UV scale factor = 1.38, phases = 127, taps = 5. */
      0x8727af7d, 0x0007f7b2, 
      0x9426df7f, 0x0007f792, 
      0xa1260f81, 0x0007f772, 
      0xae252f83, 0x0007f762, 
      0xba245f86, 0x0007f742, 
      0xc7238f88, 0x0007f722, 
      0xd422bf8a, 0x0007f702, 
      0xe021ef8c, 0x0007f6f2, 
      0xed211f8e, 0x0007f6d2, 
      0xf9204f90, 0x0007f6c2, 
      0x061f6f93, 0x0007f6a3, 
      0x121e9f95, 0x0007f693, 
      0x1e1dcf97, 0x0007f683, 
      0x2a1cff9a, 0x0007f663, 
      0x361c2f9c, 0x0007f653, 
      0x421b5f9e, 0x0007f643, 
      0x4d1a8fa1, 0x0007f633, 
      0x5919bfa3, 0x0007f623, 
      0x6418efa5, 0x0007f623, 
      0x6f182fa7, 0x0007f613, 
      0x7a175faa, 0x0007f603, 
      0x85169fac, 0x0006f603, 
      0x9015cfae, 0x0006f603, 
      0x9a150fb1, 0x0006f5f3, 
      0xa5143fb3, 0x0006f5f3, 
      0xaf137fb5, 0x0006f5f3, 
      0xb912bfb7, 0x0006f5f3, 
      0xc311ffb9, 0x0006f5f3, 
      0xcc113fbb, 0x0006f603, 
      0xd6107fbd, 0x0006f603, 
      0xdf0fbfc0, 0x0005f613, 
      0xe80f0fc1, 0x0005f623, 
      0xf10e4fc4, 0x0005f623, 
      0xf90d9fc6, 0x0005f633, 
      0x020cefc7, 0x0004f654, 
      0x0a0c3fc9, 0x0004f664, 
      0x110b8fcc, 0x0004f674, 
      0x190adfcd, 0x0004f694, 
      0x200a2fd0, 0x0003f6b4, 
      0x27098fd2, 0x0003f6c4, 
      0x2e08dfd3, 0x0003f6f4, 
      0x35083fd5, 0x0002f714, 
      0x3b079fd7, 0x0002f734, 
      0x4106ffd8, 0x0002f764, 
      0x47065fdb, 0x0001f784, 
      0x4c05cfdc, 0x0001f7b4, 
      0x52052fde, 0x0000f7e4, 
      0x57049fdf, 0x0000f814, 
      0x5b040fe1, 0x0ffff854, 
      0x60037fe2, 0x0ffff884, 
      0x6402efe4, 0x0ffef8c4, 
      0x67026fe6, 0x0ffdf904, 
      0x6b01dfe7, 0x0ffdf944, 
      0x6e015fe9, 0x0ffcf984, 
      0x7100dfe9, 0x0ffcf9d4, 
      0x74005fea, 0x0ffbfa24, 
      0x76ffefec, 0x0ffafa64, 
      0x78ff6fee, 0x0ff9fab4, 
      0x79feffef, 0x0ff8fb14, 
      0x7bfe8fef, 0x0ff8fb64, 
      0x7cfe1ff0, 0x0ff7fbc4, 
      0x7dfdaff2, 0x0ff6fc14, 
      0x7dfd4ff3, 0x0ff5fc74, 
      0x7dfceff4, 0x0ff4fcd4, 
      0x7dfc7ff5, 0x0ff3fd44, 
      0x7dfc1ff6, 0x0ff2fda4, 
      0x7cfbcff6, 0x0ff1fe14, 
      0x7bfb6ff7, 0x0ff0fe84, 
      0x79fb1ff9, 0x0feefef4, 
      0x78fabffa, 0x0fedff64, 
      0x76fa6ffa, 0x0fecffe4, 
      0x74fa2ffa, 0x0feb0054, 
      0x71f9dffc, 0x0fe900d4, 
      0x6ef98ffd, 0x0fe80154, 
      0x6bf94ffd, 0x0fe701d4, 
      0x67f90ffe, 0x0fe50264, 
      0x64f8cffe, 0x0fe402e4, 
      0x60f88fff, 0x0fe20374, 
      0x5bf85fff, 0x0fe10404, 
      0x57f81000, 0x0fdf0494, 
      0x52f7e000, 0x0fde0524, 
      0x4cf7b001, 0x0fdc05c4, 
      0x47f78002, 0x0fda0654, 
      0x41f76001, 0x0fd906f4, 
      0x3bf73002, 0x0fd70794, 
      0x35f71002, 0x0fd50834, 
      0x2ef6f003, 0x0fd308d4, 
      0x27f6c003, 0x0fd20984, 
      0x20f6b003, 0x0fd00a24, 
      0x19f69003, 0x0fce0ad4, 
      0x11f67004, 0x0fcc0b84, 
      0x0af65004, 0x0fca0c34, 
      0x02f64004, 0x0fc80ce4, 
      0xf9f63005, 0x0fc60d93, 
      0xf1f62005, 0x0fc40e43, 
      0xe8f61005, 0x0fc20f03, 
      0xdff61005, 0x0fc00fb3, 
      0xd6f60005, 0x0fbe1073, 
      0xccf60006, 0x0fbb1133, 
      0xc3f5f006, 0x0fb911f3, 
      0xb9f5f006, 0x0fb712b3, 
      0xaff5f006, 0x0fb51373, 
      0xa5f5f006, 0x0fb31433, 
      0x9af5f007, 0x0fb01503, 
      0x90f60006, 0x0fae15c3, 
      0x85f60006, 0x0fac1693, 
      0x7af60007, 0x0faa1753, 
      0x6ff61007, 0x0fa71823, 
      0x64f62006, 0x0fa518f3, 
      0x59f62007, 0x0fa319b3, 
      0x4df64007, 0x0fa01a83, 
      0x42f64007, 0x0f9e1b53, 
      0x36f65007, 0x0f9c1c23, 
      0x2af66007, 0x0f9a1cf3, 
      0x1ef68007, 0x0f971dc3, 
      0x12f69007, 0x0f951e93, 
      0x06f6a007, 0x0f931f63, 
      0xf9f6c006, 0x0f912042, 
      0xedf6d007, 0x0f8e2112, 
      0xe0f6f007, 0x0f8c21e2, 
      0xd4f70007, 0x0f8a22b2, 
      0xc7f72007, 0x0f882382, 
      0xbaf74007, 0x0f862452, 
      0xaef76007, 0x0f832522, 
      0xa1f77007, 0x0f812602, 
      0x94f79007, 0x0f7f26d2, 
      0x87f7b007, 0x0f7d27a2,
   },
   { /* UV scale factor = 1.39, phases = 127, taps = 5. */
      0x8827bf7c, 0x0007f7a2, 
      0x9526ef7e, 0x0007f782, 
      0xa2261f80, 0x0007f762, 
      0xaf253f83, 0x0007f742, 
      0xbc246f84, 0x0007f732, 
      0xc9239f86, 0x0007f712, 
      0xd522cf89, 0x0007f6f2, 
      0xe221ef8b, 0x0007f6e2, 
      0xef211f8d, 0x0007f6c2, 
      0xfb204f90, 0x0007f6a2, 
      0x071f7f92, 0x0007f693, 
      0x141e9f94, 0x0007f683, 
      0x201ddf96, 0x0007f663, 
      0x2c1d0f98, 0x0007f653, 
      0x381c3f9a, 0x0007f643, 
      0x441b5f9d, 0x0007f633, 
      0x4f1a9f9f, 0x0007f623, 
      0x5b19cfa1, 0x0007f613, 
      0x6618ffa4, 0x0007f603, 
      0x71182fa7, 0x0006f603, 
      0x7c176fa9, 0x0006f5f3, 
      0x87169fab, 0x0006f5f3, 
      0x9215cfae, 0x0006f5e3, 
      0x9d150faf, 0x0006f5e3, 
      0xa7143fb2, 0x0006f5e3, 
      0xb1137fb4, 0x0006f5e3, 
      0xbb12bfb6, 0x0006f5e3, 
      0xc511ffb8, 0x0006f5e3, 
      0xcf113fba, 0x0006f5e3, 
      0xd8107fbd, 0x0005f5f3, 
      0xe10fcfbf, 0x0005f5f3, 
      0xea0effc2, 0x0005f603, 
      0xf30e4fc3, 0x0005f613, 
      0xfc0d8fc5, 0x0005f623, 
      0x040cdfc8, 0x0004f634, 
      0x0c0c2fca, 0x0004f644, 
      0x140b7fcb, 0x0004f664, 
      0x1c0acfcd, 0x0004f674, 
      0x230a2fcf, 0x0003f694, 
      0x2a097fd1, 0x0003f6b4, 
      0x3108dfd2, 0x0003f6d4, 
      0x38082fd5, 0x0002f6f4, 
      0x3e078fd6, 0x0002f724, 
      0x4406efd9, 0x0001f744, 
      0x4a064fda, 0x0001f774, 
      0x4f05bfdb, 0x0001f7a4, 
      0x54051fde, 0x0000f7d4, 
      0x59048fdf, 0x0000f804, 
      0x5e03ffe1, 0x0ffff834, 
      0x62037fe2, 0x0ffef874, 
      0x6702dfe3, 0x0ffef8b4, 
      0x6a025fe5, 0x0ffdf8f4, 
      0x6e01cfe6, 0x0ffdf934, 
      0x71014fe8, 0x0ffcf974, 
      0x7400cfe9, 0x0ffbf9c4, 
      0x77004fea, 0x0ffbfa04, 
      0x79ffdfeb, 0x0ffafa54, 
      0x7bff5fed, 0x0ff9faa4, 
      0x7dfeefee, 0x0ff8faf4, 
      0x7efe7fef, 0x0ff7fb54, 
      0x7ffe0ff1, 0x0ff6fba4, 
      0x80fd9ff1, 0x0ff6fc04, 
      0x80fd3ff2, 0x0ff5fc64, 
      0x80fccff4, 0x0ff4fcc4, 
      0x80fc6ff4, 0x0ff3fd34, 
      0x80fc0ff6, 0x0ff1fd94, 
      0x7ffbaff7, 0x0ff0fe04, 
      0x7efb5ff7, 0x0feffe74, 
      0x7dfafff8, 0x0feefee4, 
      0x7bfaaff9, 0x0fedff54, 
      0x79fa5ff9, 0x0fecffd4, 
      0x77fa0ffb, 0x0fea0044, 
      0x74f9cffb, 0x0fe900c4, 
      0x71f97ffc, 0x0fe80144, 
      0x6ef93ffd, 0x0fe601c4, 
      0x6af8fffd, 0x0fe50254, 
      0x67f8bffe, 0x0fe302d4, 
      0x62f87fff, 0x0fe20364, 
      0x5ef83000, 0x0fe003f4, 
      0x59f80000, 0x0fdf0484, 
      0x54f7d001, 0x0fdd0514, 
      0x4ff7a000, 0x0fdc05b4, 
      0x4af77001, 0x0fda0644, 
      0x44f74002, 0x0fd806e4, 
      0x3ef72002, 0x0fd60784, 
      0x38f6f002, 0x0fd50824, 
      0x31f6d002, 0x0fd308d4, 
      0x2af6b003, 0x0fd10974, 
      0x23f69003, 0x0fcf0a24, 
      0x1cf67004, 0x0fcd0ac4, 
      0x14f66004, 0x0fcb0b74, 
      0x0cf64005, 0x0fc90c24, 
      0x04f63005, 0x0fc70cd4, 
      0xfcf62005, 0x0fc50d83, 
      0xf3f61005, 0x0fc30e43, 
      0xeaf60006, 0x0fc10ef3, 
      0xe1f5f006, 0x0fbf0fb3, 
      0xd8f5f005, 0x0fbd1073, 
      0xcff5e005, 0x0fbb1133, 
      0xc5f5e006, 0x0fb811f3, 
      0xbbf5e006, 0x0fb612b3, 
      0xb1f5e006, 0x0fb41373, 
      0xa7f5e006, 0x0fb21433, 
      0x9df5d006, 0x0fb01503, 
      0x92f5e007, 0x0fad15c3, 
      0x87f5f006, 0x0fab1693, 
      0x7cf5f007, 0x0fa91753, 
      0x71f60006, 0x0fa71823, 
      0x66f60007, 0x0fa418f3, 
      0x5bf61006, 0x0fa219c3, 
      0x4ff62006, 0x0fa01a93, 
      0x44f63006, 0x0f9d1b63, 
      0x38f64006, 0x0f9b1c33, 
      0x2cf65006, 0x0f991d03, 
      0x20f66007, 0x0f961dd3, 
      0x14f68006, 0x0f941ea3, 
      0x07f69007, 0x0f921f73, 
      0xfbf6a007, 0x0f902042, 
      0xeff6c007, 0x0f8d2112, 
      0xe2f6e006, 0x0f8b21f2, 
      0xd5f6f007, 0x0f8922c2, 
      0xc9f71006, 0x0f872392, 
      0xbcf73006, 0x0f852462, 
      0xaff75007, 0x0f822532, 
      0xa2f76007, 0x0f802612, 
      0x95f78007, 0x0f7e26e2, 
      0x88f7a007, 0x0f7c27b2,
   },
   { /* UV scale factor = 1.40, phases = 127, taps = 5. */
      0x8927cf7b, 0x0007f792, 
      0x9626ff7d, 0x0007f772, 
      0xa3262f7f, 0x0007f752, 
      0xb0254f82, 0x0007f732, 
      0xbd247f84, 0x0007f712, 
      0xca23af85, 0x0007f702, 
      0xd722df87, 0x0007f6e2, 
      0xe321ff8b, 0x0007f6c2, 
      0xf0212f8c, 0x0007f6b2, 
      0xfd205f8e, 0x0007f692, 
      0x091f8f90, 0x0007f683, 
      0x151eaf94, 0x0007f663, 
      0x221ddf95, 0x0007f653, 
      0x2e1d0f97, 0x0007f643, 
      0x391c3f9a, 0x0007f633, 
      0x451b6f9c, 0x0007f623, 
      0x511a9f9e, 0x0007f613, 
      0x5c19cfa1, 0x0007f603, 
      0x6818ffa4, 0x0006f5f3, 
      0x73183fa6, 0x0006f5e3, 
      0x7f176fa7, 0x0006f5e3, 
      0x89169fab, 0x0006f5d3, 
      0x9415cfad, 0x0006f5d3, 
      0x9f150faf, 0x0006f5c3, 
      0xa9143fb2, 0x0006f5c3, 
      0xb4137fb3, 0x0006f5c3, 
      0xbe12bfb5, 0x0006f5c3, 
      0xc811efb7, 0x0006f5d3, 
      0xd1113fba, 0x0005f5d3, 
      0xdb107fbc, 0x0005f5d3, 
      0xe40fbfbe, 0x0005f5e3, 
      0xed0effc0, 0x0005f5f3, 
      0xf60e4fc2, 0x0005f5f3, 
      0xfe0d9fc5, 0x0004f603, 
      0x070cdfc6, 0x0004f624, 
      0x0f0c2fc8, 0x0004f634, 
      0x170b7fca, 0x0004f644, 
      0x1e0acfcd, 0x0003f664, 
      0x260a1fce, 0x0003f684, 
      0x2d096fd0, 0x0003f6a4, 
      0x3408cfd2, 0x0002f6c4, 
      0x3a082fd4, 0x0002f6e4, 
      0x41077fd6, 0x0002f704, 
      0x4706efd7, 0x0001f734, 
      0x4d064fd9, 0x0001f754, 
      0x5205afdc, 0x0000f784, 
      0x57051fdd, 0x0000f7b4, 
      0x5c047fdf, 0x0ffff7f4, 
      0x6103efe0, 0x0ffff824, 
      0x65035fe2, 0x0ffef864, 
      0x6a02cfe3, 0x0ffef894, 
      0x6d024fe5, 0x0ffdf8d4, 
      0x7101cfe6, 0x0ffcf914, 
      0x74013fe7, 0x0ffcf964, 
      0x7700bfe9, 0x0ffbf9a4, 
      0x7a003fea, 0x0ffaf9f4, 
      0x7cffbfeb, 0x0ffafa44, 
      0x7eff4fec, 0x0ff9fa94, 
      0x80fedfed, 0x0ff8fae4, 
      0x81fe6fef, 0x0ff7fb34, 
      0x82fdfff0, 0x0ff6fb94, 
      0x83fd8ff1, 0x0ff5fbf4, 
      0x83fd1ff3, 0x0ff4fc54, 
      0x83fcbff4, 0x0ff3fcb4, 
      0x83fc5ff5, 0x0ff2fd14, 
      0x83fbfff5, 0x0ff1fd84, 
      0x82fb9ff6, 0x0ff0fdf4, 
      0x81fb3ff7, 0x0feffe64, 
      0x80faeff7, 0x0feefed4, 
      0x7efa9ff8, 0x0fedff44, 
      0x7cfa4ff9, 0x0febffc4, 
      0x7af9fffa, 0x0fea0034, 
      0x77f9affb, 0x0fe900b4, 
      0x74f96ffc, 0x0fe70134, 
      0x71f91ffd, 0x0fe601b4, 
      0x6df8dffe, 0x0fe40244, 
      0x6af89ffe, 0x0fe302c4, 
      0x65f86fff, 0x0fe10354, 
      0x61f82fff, 0x0fe003e4, 
      0x5cf7f000, 0x0fde0474, 
      0x57f7b000, 0x0fdd0514, 
      0x52f78001, 0x0fdb05a4, 
      0x4df75001, 0x0fd90644, 
      0x47f72001, 0x0fd806e4, 
      0x41f70002, 0x0fd60774, 
      0x3af6e002, 0x0fd40824, 
      0x34f6c002, 0x0fd208c4, 
      0x2df6a003, 0x0fd00964, 
      0x26f67003, 0x0fcf0a14, 
      0x1ef66003, 0x0fcd0ac4, 
      0x17f64003, 0x0fcb0b74, 
      0x0ff63003, 0x0fc90c24, 
      0x07f61004, 0x0fc70cd4, 
      0xfef60005, 0x0fc50d83, 
      0xf6f5f004, 0x0fc30e43, 
      0xedf5f005, 0x0fc00ef3, 
      0xe4f5e005, 0x0fbe0fb3, 
      0xdbf5d005, 0x0fbc1073, 
      0xd1f5d006, 0x0fba1123, 
      0xc8f5c005, 0x0fb811f3, 
      0xbef5c005, 0x0fb612b3, 
      0xb4f5c006, 0x0fb31373, 
      0xa9f5d006, 0x0fb11433, 
      0x9ff5c006, 0x0faf1503, 
      0x94f5d006, 0x0fad15c3, 
      0x89f5d007, 0x0faa1693, 
      0x7ff5d006, 0x0fa81763, 
      0x73f5e007, 0x0fa61823, 
      0x68f5f007, 0x0fa318f3, 
      0x5df60006, 0x0fa119c3, 
      0x51f61006, 0x0f9f1a93, 
      0x45f62007, 0x0f9c1b63, 
      0x3af63006, 0x0f9a1c33, 
      0x2ef64006, 0x0f981d03, 
      0x22f65007, 0x0f951dd3, 
      0x15f67007, 0x0f931ea3, 
      0x09f68006, 0x0f911f83, 
      0xfdf69006, 0x0f8f2052, 
      0xf0f6b007, 0x0f8c2122, 
      0xe3f6d007, 0x0f8a21f2, 
      0xd7f6e006, 0x0f8822d2, 
      0xcaf70006, 0x0f8623a2, 
      0xbdf72007, 0x0f832472, 
      0xb0f74007, 0x0f812542, 
      0xa3f75007, 0x0f7f2622, 
      0x96f77007, 0x0f7d26f2, 
      0x89f79007, 0x0f7b27c2,
   },
   { /* UV scale factor = 1.41, phases = 127, taps = 5. */
      0x8a27ef7a, 0x0006f782, 
      0x98270f7b, 0x0007f762, 
      0xa5262f7e, 0x0007f742, 
      0xb2255f80, 0x0007f722, 
      0xbf248f82, 0x0007f702, 
      0xcb23bf85, 0x0007f6e2, 
      0xd822ef86, 0x0007f6d2, 
      0xe5220f89, 0x0007f6b2, 
      0xf2213f8b, 0x0007f692, 
      0xfe206f8d, 0x0007f682, 
      0x0b1f8f90, 0x0007f663, 
      0x171ebf92, 0x0007f653, 
      0x231def94, 0x0007f643, 
      0x2f1d1f97, 0x0007f623, 
      0x3b1c4f99, 0x0007f613, 
      0x471b7f9c, 0x0006f603, 
      0x531aaf9e, 0x0006f5f3, 
      0x5f19cfa1, 0x0006f5e3, 
      0x6a18ffa3, 0x0006f5e3, 
      0x75183fa5, 0x0006f5d3, 
      0x81176fa7, 0x0006f5c3, 
      0x8c169fa9, 0x0006f5c3, 
      0x9615dfac, 0x0006f5b3, 
      0xa1150fae, 0x0006f5b3, 
      0xac143fb0, 0x0006f5b3, 
      0xb6137fb2, 0x0006f5b3, 
      0xc012bfb4, 0x0006f5b3, 
      0xca11efb8, 0x0005f5b3, 
      0xd4112fba, 0x0005f5b3, 
      0xdd106fbc, 0x0005f5c3, 
      0xe60fbfbe, 0x0005f5c3, 
      0xf00effbf, 0x0005f5d3, 
      0xf80e3fc2, 0x0005f5e3, 
      0x010d8fc4, 0x0004f5f4, 
      0x090ccfc7, 0x0004f604, 
      0x120c1fc8, 0x0004f614, 
      0x190b6fca, 0x0004f634, 
      0x210abfcd, 0x0003f644, 
      0x290a0fce, 0x0003f664, 
      0x30096fcf, 0x0003f684, 
      0x3708bfd2, 0x0002f6a4, 
      0x3d081fd4, 0x0002f6c4, 
      0x44076fd5, 0x0002f6f4, 
      0x4a06dfd7, 0x0001f714, 
      0x50063fd8, 0x0001f744, 
      0x55059fdb, 0x0000f774, 
      0x5a050fdc, 0x0000f7a4, 
      0x5f047fde, 0x0ffff7d4, 
      0x6403dfdf, 0x0ffff814, 
      0x68034fe2, 0x0ffef844, 
      0x6d02bfe3, 0x0ffdf884, 
      0x70023fe4, 0x0ffdf8c4, 
      0x7401afe6, 0x0ffcf904, 
      0x77012fe7, 0x0ffcf944, 
      0x7a00afe8, 0x0ffbf994, 
      0x7d002fea, 0x0ffaf9d4, 
      0x7fffbfeb, 0x0ff9fa24, 
      0x81ff3fec, 0x0ff9fa74, 
      0x83febfed, 0x0ff8fad4, 
      0x84fe4fef, 0x0ff7fb24, 
      0x85fddff0, 0x0ff6fb84, 
      0x86fd7ff0, 0x0ff5fbe4, 
      0x86fd0ff2, 0x0ff4fc44, 
      0x87fcaff2, 0x0ff3fca4, 
      0x86fc4ff4, 0x0ff2fd04, 
      0x86fbeff4, 0x0ff1fd74, 
      0x85fb8ff6, 0x0ff0fdd4, 
      0x84fb2ff7, 0x0feffe44, 
      0x83fadff7, 0x0fedfec4, 
      0x81fa7ff9, 0x0fecff34, 
      0x7ffa2ffa, 0x0febffa4, 
      0x7df9dffa, 0x0fea0024, 
      0x7af99ffb, 0x0fe800a4, 
      0x77f94ffc, 0x0fe70124, 
      0x74f90ffc, 0x0fe601a4, 
      0x70f8cffd, 0x0fe40234, 
      0x6df88ffd, 0x0fe302b4, 
      0x68f84fff, 0x0fe10344, 
      0x64f81ffe, 0x0fe003d4, 
      0x5ff7d000, 0x0fde0464, 
      0x5af7a000, 0x0fdc0504, 
      0x55f77000, 0x0fdb0594, 
      0x50f74000, 0x0fd90634, 
      0x4af71001, 0x0fd706d4, 
      0x44f6f001, 0x0fd50774, 
      0x3df6c002, 0x0fd40814, 
      0x37f6a002, 0x0fd208b4, 
      0x30f68002, 0x0fd00964, 
      0x29f66003, 0x0fce0a04, 
      0x21f64004, 0x0fcc0ab4, 
      0x19f63004, 0x0fca0b64, 
      0x12f61004, 0x0fc80c14, 
      0x09f60005, 0x0fc60cc4, 
      0x01f5f004, 0x0fc40d84, 
      0xf8f5e005, 0x0fc20e33, 
      0xf0f5d004, 0x0fc00ef3, 
      0xe6f5c005, 0x0fbe0fb3, 
      0xddf5c006, 0x0fbb1063, 
      0xd4f5b006, 0x0fb91123, 
      0xcaf5b006, 0x0fb711e3, 
      0xc0f5b005, 0x0fb512b3, 
      0xb6f5b005, 0x0fb31373, 
      0xacf5b006, 0x0fb01433, 
      0xa1f5b006, 0x0fae1503, 
      0x96f5b007, 0x0fac15c3, 
      0x8cf5c006, 0x0fa91693, 
      0x81f5c006, 0x0fa71763, 
      0x75f5d006, 0x0fa51833, 
      0x6af5e006, 0x0fa318f3, 
      0x5ff5e007, 0x0fa019c3, 
      0x53f5f007, 0x0f9e1a93, 
      0x47f60007, 0x0f9c1b63, 
      0x3bf61007, 0x0f991c43, 
      0x2ff62007, 0x0f971d13, 
      0x23f64006, 0x0f951de3, 
      0x17f65007, 0x0f921eb3, 
      0x0bf66007, 0x0f901f83, 
      0xfef68006, 0x0f8e2062, 
      0xf2f69007, 0x0f8b2132, 
      0xe5f6b007, 0x0f892202, 
      0xd8f6d006, 0x0f8722e2, 
      0xcbf6e007, 0x0f8523b2, 
      0xbff70007, 0x0f822482, 
      0xb2f72007, 0x0f802552, 
      0xa5f74006, 0x0f7e2632, 
      0x98f76006, 0x0f7c2702, 
      0x8af78007, 0x0f7a27d2,
   },
   { /* UV scale factor = 1.42, phases = 127, taps = 5. */
      0x8c27ef79, 0x0006f772, 
      0x99271f7b, 0x0006f752, 
      0xa6264f7d, 0x0006f732, 
      0xb3257f7f, 0x0006f712, 
      0xc0249f82, 0x0006f6f2, 
      0xcd23cf83, 0x0007f6d2, 
      0xda22ef85, 0x0007f6c2, 
      0xe6221f88, 0x0007f6a2, 
      0xf3214f8a, 0x0007f682, 
      0x00206f8c, 0x0007f673, 
      0x0c1f9f8f, 0x0007f653, 
      0x191ebf91, 0x0007f643, 
      0x251dff94, 0x0006f623, 
      0x311d2f96, 0x0006f613, 
      0x3d1c4f99, 0x0006f603, 
      0x491b7f9b, 0x0006f5f3, 
      0x551aaf9d, 0x0006f5e3, 
      0x6119df9f, 0x0006f5d3, 
      0x6c190fa2, 0x0006f5c3, 
      0x78183fa4, 0x0006f5b3, 
      0x83176fa6, 0x0006f5b3, 
      0x8e169fa9, 0x0006f5a3, 
      0x9915cfab, 0x0006f5a3, 
      0xa3150fad, 0x0006f5a3, 
      0xae143fb0, 0x0006f593, 
      0xb8137fb2, 0x0006f593, 
      0xc212bfb5, 0x0005f593, 
      0xcc11efb7, 0x0005f5a3, 
      0xd6112fb9, 0x0005f5a3, 
      0xe0106fbb, 0x0005f5a3, 
      0xe90fafbd, 0x0005f5b3, 
      0xf20eefbf, 0x0005f5c3, 
      0xfb0e3fc1, 0x0004f5d3, 
      0x040d7fc4, 0x0004f5d4, 
      0x0c0ccfc5, 0x0004f5f4, 
      0x140c1fc7, 0x0004f604, 
      0x1c0b6fca, 0x0003f614, 
      0x240abfcb, 0x0003f634, 
      0x2b0a0fcd, 0x0003f654, 
      0x32095fd0, 0x0002f674, 
      0x3908bfd1, 0x0002f694, 
      0x40080fd3, 0x0002f6b4, 
      0x46077fd5, 0x0001f6d4, 
      0x4d06cfd6, 0x0001f704, 
      0x52063fd9, 0x0000f724, 
      0x58058fdb, 0x0000f754, 
      0x5d04ffdc, 0x0000f784, 
      0x62046fdd, 0x0ffff7c4, 
      0x6703cfe0, 0x0ffef7f4, 
      0x6b033fe1, 0x0ffef834, 
      0x7002bfe2, 0x0ffdf864, 
      0x73022fe4, 0x0ffdf8a4, 
      0x77019fe5, 0x0ffcf8f4, 
      0x7a011fe7, 0x0ffbf934, 
      0x7d009fe8, 0x0ffbf974, 
      0x80001fe9, 0x0ffaf9c4, 
      0x82ff9feb, 0x0ff9fa14, 
      0x84ff2fec, 0x0ff8fa64, 
      0x86feafee, 0x0ff7fab4, 
      0x87fe3fee, 0x0ff7fb14, 
      0x88fdcff0, 0x0ff6fb64, 
      0x89fd5ff1, 0x0ff5fbc4, 
      0x8afcfff1, 0x0ff4fc24, 
      0x8afc8ff3, 0x0ff3fc84, 
      0x8afc2ff3, 0x0ff2fcf4, 
      0x89fbcff5, 0x0ff1fd54, 
      0x88fb7ff6, 0x0feffdc4, 
      0x87fb1ff7, 0x0feefe34, 
      0x86fabff8, 0x0fedfea4, 
      0x84fa6ff8, 0x0fecff24, 
      0x82fa1ff9, 0x0febff94, 
      0x80f9cffa, 0x0fe90014, 
      0x7df97ffb, 0x0fe80094, 
      0x7af93ffb, 0x0fe70114, 
      0x77f8fffc, 0x0fe50194, 
      0x73f8affd, 0x0fe40224, 
      0x70f86ffd, 0x0fe202b4, 
      0x6bf83ffe, 0x0fe10334, 
      0x67f7ffff, 0x0fdf03c4, 
      0x62f7cfff, 0x0fdd0464, 
      0x5df78000, 0x0fdc04f4, 
      0x58f75001, 0x0fda0584, 
      0x52f73001, 0x0fd80624, 
      0x4df70000, 0x0fd706c4, 
      0x46f6d002, 0x0fd50764, 
      0x40f6b002, 0x0fd30804, 
      0x39f69002, 0x0fd108b4, 
      0x32f67003, 0x0fcf0954, 
      0x2bf65003, 0x0fcd0a04, 
      0x24f63003, 0x0fcb0ab4, 
      0x1cf61004, 0x0fc90b64, 
      0x14f60004, 0x0fc70c14, 
      0x0cf5f004, 0x0fc50cc4, 
      0x04f5d005, 0x0fc30d74, 
      0xfbf5d004, 0x0fc10e33, 
      0xf2f5c004, 0x0fbf0ef3, 
      0xe9f5b005, 0x0fbd0fa3, 
      0xe0f5a005, 0x0fbb1063, 
      0xd6f5a005, 0x0fb91123, 
      0xccf5a006, 0x0fb611e3, 
      0xc2f59006, 0x0fb412b3, 
      0xb8f59006, 0x0fb21373, 
      0xaef59006, 0x0fb01433, 
      0xa3f5a006, 0x0fad1503, 
      0x99f5a006, 0x0fab15c3, 
      0x8ef5a006, 0x0fa91693, 
      0x83f5b006, 0x0fa61763, 
      0x78f5b006, 0x0fa41833, 
      0x6cf5c006, 0x0fa21903, 
      0x61f5d006, 0x0f9f19d3, 
      0x55f5e006, 0x0f9d1aa3, 
      0x49f5f006, 0x0f9b1b73, 
      0x3df60007, 0x0f981c43, 
      0x31f61007, 0x0f961d13, 
      0x25f62007, 0x0f941de3, 
      0x19f64006, 0x0f911ec3, 
      0x0cf65007, 0x0f8f1f93, 
      0x00f67006, 0x0f8d2063, 
      0xf3f68007, 0x0f8a2142, 
      0xe7f6a006, 0x0f882212, 
      0xdaf6c006, 0x0f8622e2, 
      0xcdf6d006, 0x0f8423c2, 
      0xc0f6f007, 0x0f812492, 
      0xb3f71006, 0x0f7f2572, 
      0xa6f73006, 0x0f7d2642, 
      0x99f75006, 0x0f7b2712, 
      0x8cf77006, 0x0f7927e2,
   },
   { /* UV scale factor = 1.43, phases = 127, taps = 5. */
      0x8d280f77, 0x0006f762, 
      0x9a272f7a, 0x0006f742, 
      0xa7265f7c, 0x0006f722, 
      0xb4258f7e, 0x0006f702, 
      0xc124af81, 0x0006f6e2, 
      0xce23df83, 0x0006f6c2, 
      0xdb230f85, 0x0006f6a2, 
      0xe8222f87, 0x0006f692, 
      0xf5214f8a, 0x0006f672, 
      0x02207f8c, 0x0006f653, 
      0x0e1faf8e, 0x0006f643, 
      0x1b1ecf91, 0x0006f623, 
      0x271dff93, 0x0006f613, 
      0x331d2f95, 0x0006f603, 
      0x3f1c4f98, 0x0006f5f3, 
      0x4b1b7f9a, 0x0006f5e3, 
      0x571aaf9c, 0x0006f5d3, 
      0x6319df9e, 0x0006f5c3, 
      0x6e190fa1, 0x0006f5b3, 
      0x7a183fa3, 0x0006f5a3, 
      0x85176fa6, 0x0006f593, 
      0x90169fa8, 0x0006f593, 
      0x9b15cfaa, 0x0006f593, 
      0xa6150fac, 0x0006f583, 
      0xb0143faf, 0x0006f583, 
      0xbb136fb1, 0x0006f583, 
      0xc512afb4, 0x0005f583, 
      0xcf11efb6, 0x0005f583, 
      0xd9112fb8, 0x0005f583, 
      0xe2106fba, 0x0005f593, 
      0xec0fafbc, 0x0005f593, 
      0xf50eefbe, 0x0005f5a3, 
      0xfe0e3fc0, 0x0004f5b3, 
      0x060d7fc3, 0x0004f5c4, 
      0x0f0ccfc4, 0x0004f5d4, 
      0x170c0fc7, 0x0004f5e4, 
      0x1f0b5fc9, 0x0003f604, 
      0x270aafcb, 0x0003f614, 
      0x2e09ffcd, 0x0003f634, 
      0x35095fcf, 0x0002f654, 
      0x3c08afd1, 0x0002f674, 
      0x43080fd2, 0x0002f694, 
      0x49075fd5, 0x0001f6c4, 
      0x5006bfd6, 0x0001f6e4, 
      0x55062fd8, 0x0000f714, 
      0x5b058fd9, 0x0000f744, 
      0x6004efdc, 0x0ffff774, 
      0x65045fdd, 0x0ffff7a4, 
      0x6a03bfdf, 0x0ffef7e4, 
      0x6f032fe0, 0x0ffef814, 
      0x7302afe1, 0x0ffdf854, 
      0x77021fe3, 0x0ffcf894, 
      0x7a018fe5, 0x0ffcf8d4, 
      0x7d010fe7, 0x0ffbf914, 
      0x80008fe8, 0x0ffaf964, 
      0x83000fe8, 0x0ffaf9b4, 
      0x85ff8fea, 0x0ff9fa04, 
      0x87ff1feb, 0x0ff8fa54, 
      0x89fe9fed, 0x0ff7faa4, 
      0x8afe3fee, 0x0ff6faf4, 
      0x8cfdbfef, 0x0ff5fb54, 
      0x8cfd4ff1, 0x0ff4fbb4, 
      0x8dfceff1, 0x0ff3fc14, 
      0x8dfc7ff3, 0x0ff2fc74, 
      0x8dfc1ff3, 0x0ff1fce4, 
      0x8cfbbff5, 0x0ff0fd44, 
      0x8cfb5ff5, 0x0feffdb4, 
      0x8afafff7, 0x0feefe24, 
      0x89faaff7, 0x0fedfe94, 
      0x87fa5ff8, 0x0febff14, 
      0x85fa0ff9, 0x0feaff84, 
      0x83f9bff9, 0x0fe90004, 
      0x80f96ffa, 0x0fe80084, 
      0x7df91ffc, 0x0fe60104, 
      0x7af8dffc, 0x0fe50184, 
      0x77f89ffc, 0x0fe30214, 
      0x73f84ffd, 0x0fe202a4, 
      0x6ff81ffe, 0x0fe00324, 
      0x6af7effe, 0x0fdf03b4, 
      0x65f7afff, 0x0fdd0454, 
      0x60f77000, 0x0fdb04e4, 
      0x5bf74fff, 0x0fda0584, 
      0x55f71001, 0x0fd80614, 
      0x50f6e001, 0x0fd606b4, 
      0x49f6c002, 0x0fd40754, 
      0x43f69001, 0x0fd30804, 
      0x3cf67002, 0x0fd108a4, 
      0x35f65002, 0x0fcf0954, 
      0x2ef63003, 0x0fcd09f4, 
      0x27f61003, 0x0fcb0aa4, 
      0x1ff60003, 0x0fc90b54, 
      0x17f5e004, 0x0fc70c04, 
      0x0ff5d003, 0x0fc50cc4, 
      0x06f5c004, 0x0fc30d74, 
      0xfdf5b004, 0x0fc10e33, 
      0xf5f5a005, 0x0fbe0ee3, 
      0xecf59005, 0x0fbc0fa3, 
      0xe2f59005, 0x0fba1063, 
      0xd9f58005, 0x0fb81123, 
      0xcff58005, 0x0fb611e3, 
      0xc5f58006, 0x0fb312a3, 
      0xbbf58005, 0x0fb11373, 
      0xb0f58006, 0x0faf1433, 
      0xa6f58005, 0x0fad1503, 
      0x9bf59005, 0x0faa15d3, 
      0x90f59006, 0x0fa81693, 
      0x85f59006, 0x0fa61763, 
      0x7af5a006, 0x0fa31833, 
      0x6ef5b006, 0x0fa11903, 
      0x63f5c006, 0x0f9e19d3, 
      0x57f5d006, 0x0f9c1aa3, 
      0x4bf5e006, 0x0f9a1b73, 
      0x3ff5f007, 0x0f971c43, 
      0x33f60006, 0x0f951d23, 
      0x27f61006, 0x0f931df3, 
      0x1bf62007, 0x0f901ec3, 
      0x0ef64006, 0x0f8e1fa3, 
      0x02f65006, 0x0f8c2073, 
      0xf5f67007, 0x0f892142, 
      0xe8f69006, 0x0f872222, 
      0xdbf6a007, 0x0f8522f2, 
      0xcef6c007, 0x0f8223d2, 
      0xc1f6e007, 0x0f8024a2, 
      0xb4f70006, 0x0f7e2582, 
      0xa7f72006, 0x0f7c2652, 
      0x9af74006, 0x0f7a2722, 
      0x8df75006, 0x0f782802,
   },
   { /* UV scale factor = 1.44, phases = 127, taps = 5. */
      0x8e281f77, 0x0006f742, 
      0x9b274f79, 0x0006f722, 
      0xa9266f7b, 0x0006f702, 
      0xb6259f7d, 0x0006f6e2, 
      0xc324bf7f, 0x0006f6d2, 
      0xd023ef81, 0x0006f6b2, 
      0xdd230f84, 0x0006f692, 
      0xea223f86, 0x0006f672, 
      0xf6215f89, 0x0006f662, 
      0x03208f8b, 0x0006f643, 
      0x101faf8d, 0x0006f633, 
      0x1c1edf90, 0x0006f613, 
      0x291e0f91, 0x0006f603, 
      0x351d2f95, 0x0006f5e3, 
      0x411c5f97, 0x0006f5d3, 
      0x4d1b8f99, 0x0006f5c3, 
      0x591aaf9c, 0x0006f5b3, 
      0x6519df9e, 0x0006f5a3, 
      0x70191fa0, 0x0006f593, 
      0x7c183fa2, 0x0006f593, 
      0x87176fa5, 0x0006f583, 
      0x92169fa8, 0x0006f573, 
      0x9d15dfa9, 0x0006f573, 
      0xa8150fab, 0x0006f573, 
      0xb2143fae, 0x0006f573, 
      0xbd137fb1, 0x0005f563, 
      0xc712afb3, 0x0005f573, 
      0xd111efb5, 0x0005f573, 
      0xdb112fb7, 0x0005f573, 
      0xe5106fb9, 0x0005f573, 
      0xee0fafbb, 0x0005f583, 
      0xf70eefbe, 0x0004f593, 
      0x000e2fc0, 0x0004f5a4, 
      0x090d7fc2, 0x0004f5a4, 
      0x110cbfc4, 0x0004f5c4, 
      0x1a0c0fc6, 0x0003f5d4, 
      0x220b5fc8, 0x0003f5e4, 
      0x290aafca, 0x0003f604, 
      0x3109efcc, 0x0003f624, 
      0x38094fce, 0x0002f644, 
      0x3f089fd0, 0x0002f664, 
      0x4607ffd2, 0x0001f684, 
      0x4c075fd4, 0x0001f6a4, 
      0x5206bfd5, 0x0001f6d4, 
      0x58061fd8, 0x0000f6f4, 
      0x5e057fd9, 0x0000f724, 
      0x6304efdb, 0x0ffff754, 
      0x68044fdc, 0x0ffff794, 
      0x6d03bfde, 0x0ffef7c4, 
      0x72031fe0, 0x0ffdf804, 
      0x76029fe1, 0x0ffdf834, 
      0x7a020fe3, 0x0ffcf874, 
      0x7d017fe4, 0x0ffcf8c4, 
      0x8000ffe6, 0x0ffbf904, 
      0x83007fe8, 0x0ffaf944, 
      0x86ffffe9, 0x0ff9f994, 
      0x88ff7fea, 0x0ff9f9e4, 
      0x8afeffec, 0x0ff8fa34, 
      0x8cfe8fec, 0x0ff7fa94, 
      0x8efe1fed, 0x0ff6fae4, 
      0x8ffdafee, 0x0ff5fb44, 
      0x8ffd3ff0, 0x0ff4fba4, 
      0x90fccff1, 0x0ff3fc04, 
      0x90fc6ff2, 0x0ff2fc64, 
      0x90fc0ff3, 0x0ff1fcc4, 
      0x8ffbaff4, 0x0ff0fd34, 
      0x8ffb3ff5, 0x0feffda4, 
      0x8dfaeff6, 0x0feefe14, 
      0x8cfa9ff7, 0x0fecfe84, 
      0x8afa4ff8, 0x0febfef4, 
      0x88f9eff9, 0x0feaff74, 
      0x86f99ff9, 0x0fe9fff4, 
      0x83f94ffb, 0x0fe70074, 
      0x80f90ffb, 0x0fe600f4, 
      0x7df8cffc, 0x0fe40174, 
      0x7af87ffc, 0x0fe30204, 
      0x76f83ffd, 0x0fe10294, 
      0x72f80ffd, 0x0fe00314, 
      0x6df7cffe, 0x0fde03b4, 
      0x68f79ffe, 0x0fdd0444, 
      0x63f75000, 0x0fdb04d4, 
      0x5ef72000, 0x0fd90574, 
      0x58f6f001, 0x0fd70614, 
      0x52f6d000, 0x0fd606b4, 
      0x4cf6a001, 0x0fd40754, 
      0x46f68001, 0x0fd207f4, 
      0x3ff66002, 0x0fd00894, 
      0x38f64002, 0x0fce0944, 
      0x31f62002, 0x0fcc09f4, 
      0x29f60003, 0x0fca0aa4, 
      0x22f5e003, 0x0fc80b54, 
      0x1af5d003, 0x0fc60c04, 
      0x11f5c004, 0x0fc40cb4, 
      0x09f5a004, 0x0fc20d74, 
      0x00f5a004, 0x0fc00e24, 
      0xf7f59004, 0x0fbe0ee3, 
      0xeef58004, 0x0fbc0fa3, 
      0xe5f57005, 0x0fb91063, 
      0xdbf57005, 0x0fb71123, 
      0xd1f57005, 0x0fb511e3, 
      0xc7f57005, 0x0fb312a3, 
      0xbdf56006, 0x0fb01373, 
      0xb3f57005, 0x0fae1433, 
      0xa8f57005, 0x0fac1503, 
      0x9df57006, 0x0fa915d3, 
      0x92f58006, 0x0fa71693, 
      0x87f58006, 0x0fa51763, 
      0x7cf59006, 0x0fa21833, 
      0x70f59007, 0x0fa01903, 
      0x65f5a006, 0x0f9e19d3, 
      0x59f5b007, 0x0f9b1aa3, 
      0x4df5c006, 0x0f991b83, 
      0x41f5d007, 0x0f961c53, 
      0x35f5e007, 0x0f941d23, 
      0x29f5f006, 0x0f921e03, 
      0x1cf61007, 0x0f8f1ed3, 
      0x10f63006, 0x0f8d1fa3, 
      0x03f64006, 0x0f8b2083, 
      0xf6f66007, 0x0f882152, 
      0xeaf67006, 0x0f862232, 
      0xddf69006, 0x0f842302, 
      0xd0f6b006, 0x0f8123e2, 
      0xc3f6d006, 0x0f7f24b2, 
      0xb6f6e006, 0x0f7d2592, 
      0xa9f70006, 0x0f7b2662, 
      0x9bf72007, 0x0f792732, 
      0x8ef74007, 0x0f762812,
   },
   { /* UV scale factor = 1.45, phases = 127, taps = 5. */
      0x8f282f76, 0x0006f732, 
      0x9d275f77, 0x0006f712, 
      0xaa267f7a, 0x0006f6f2, 
      0xb725af7c, 0x0006f6d2, 
      0xc424cf7f, 0x0006f6b2, 
      0xd123ff80, 0x0006f6a2, 
      0xde231f83, 0x0006f682, 
      0xeb224f85, 0x0006f662, 
      0xf8216f88, 0x0006f642, 
      0x05209f89, 0x0006f633, 
      0x121fbf8c, 0x0006f613, 
      0x1e1eef8e, 0x0006f603, 
      0x2a1e1f91, 0x0006f5e3, 
      0x371d3f93, 0x0006f5d3, 
      0x431c5f96, 0x0006f5c3, 
      0x4f1b8f98, 0x0006f5b3, 
      0x5b1abf9a, 0x0006f5a3, 
      0x6719ef9c, 0x0006f593, 
      0x72191f9f, 0x0006f583, 
      0x7e183fa2, 0x0006f573, 
      0x89176fa4, 0x0006f573, 
      0x9416afa6, 0x0006f563, 
      0x9f15dfa8, 0x0006f563, 
      0xaa150fab, 0x0006f553, 
      0xb5143fae, 0x0005f553, 
      0xbf137fb0, 0x0005f553, 
      0xca12afb2, 0x0005f553, 
      0xd411efb4, 0x0005f553, 
      0xde112fb6, 0x0005f553, 
      0xe7106fb8, 0x0005f563, 
      0xf10fafbb, 0x0004f563, 
      0xfa0eefbd, 0x0004f573, 
      0x030e2fbf, 0x0004f584, 
      0x0c0d6fc1, 0x0004f594, 
      0x140cbfc3, 0x0004f5a4, 
      0x1c0c0fc6, 0x0003f5b4, 
      0x240b4fc8, 0x0003f5d4, 
      0x2c0a9fca, 0x0003f5e4, 
      0x3409efcc, 0x0002f604, 
      0x3b093fce, 0x0002f624, 
      0x42089fcf, 0x0002f644, 
      0x4907efd2, 0x0001f664, 
      0x4f074fd3, 0x0001f694, 
      0x5506afd6, 0x0000f6b4, 
      0x5b060fd7, 0x0000f6e4, 
      0x61056fd9, 0x0ffff714, 
      0x6604cfdb, 0x0ffff744, 
      0x6b043fdd, 0x0ffef774, 
      0x7003afdd, 0x0ffef7b4, 
      0x75030fe0, 0x0ffdf7e4, 
      0x79028fe0, 0x0ffdf824, 
      0x7d01ffe2, 0x0ffcf864, 
      0x80017fe4, 0x0ffbf8a4, 
      0x8400dfe5, 0x0ffbf8f4, 
      0x87006fe6, 0x0ffaf934, 
      0x89ffefe8, 0x0ff9f984, 
      0x8cff6fe9, 0x0ff8f9d4, 
      0x8efeefea, 0x0ff8fa24, 
      0x8ffe7fec, 0x0ff7fa74, 
      0x91fdffed, 0x0ff6fad4, 
      0x92fd9fee, 0x0ff5fb24, 
      0x93fd2fef, 0x0ff4fb84, 
      0x93fcbff1, 0x0ff3fbe4, 
      0x93fc5ff1, 0x0ff2fc54, 
      0x93fbeff3, 0x0ff1fcb4, 
      0x93fb8ff3, 0x0ff0fd24, 
      0x92fb2ff5, 0x0feefd94, 
      0x91fadff5, 0x0fedfe04, 
      0x8ffa7ff7, 0x0fecfe74, 
      0x8efa2ff7, 0x0febfee4, 
      0x8cf9dff8, 0x0fe9ff64, 
      0x89f98ff9, 0x0fe8ffe4, 
      0x87f93ff9, 0x0fe70064, 
      0x84f8fffa, 0x0fe500e4, 
      0x80f8affc, 0x0fe40164, 
      0x7df86ffc, 0x0fe201f4, 
      0x79f82ffc, 0x0fe10284, 
      0x75f7effe, 0x0fdf0304, 
      0x70f7bffd, 0x0fde03a4, 
      0x6bf77fff, 0x0fdc0434, 
      0x67f74fff, 0x0fda04c4, 
      0x61f71fff, 0x0fd90564, 
      0x5bf6e000, 0x0fd70604, 
      0x55f6b001, 0x0fd506a4, 
      0x4ff69001, 0x0fd30744, 
      0x49f66002, 0x0fd107e4, 
      0x42f64001, 0x0fd00894, 
      0x3bf62002, 0x0fce0934, 
      0x34f60002, 0x0fcc09e4, 
      0x2cf5e003, 0x0fca0a94, 
      0x24f5d003, 0x0fc80b44, 
      0x1cf5b004, 0x0fc60bf4, 
      0x14f5a003, 0x0fc40cb4, 
      0x0cf59004, 0x0fc10d64, 
      0x03f58004, 0x0fbf0e24, 
      0xfaf57004, 0x0fbd0ee3, 
      0xf1f56004, 0x0fbb0fa3, 
      0xe7f56004, 0x0fb91063, 
      0xdef55005, 0x0fb61123, 
      0xd4f55005, 0x0fb411e3, 
      0xcaf55005, 0x0fb212a3, 
      0xbff55005, 0x0fb01373, 
      0xb5f55006, 0x0fad1433, 
      0xaaf55006, 0x0fab1503, 
      0x9ff56005, 0x0fa915d3, 
      0x94f56006, 0x0fa616a3, 
      0x89f57006, 0x0fa41763, 
      0x7ef58006, 0x0fa11833, 
      0x72f58006, 0x0f9f1913, 
      0x67f58006, 0x0f9d19e3, 
      0x5bf5a006, 0x0f9a1ab3, 
      0x4ff5b006, 0x0f981b83, 
      0x43f5c007, 0x0f951c53, 
      0x37f5d006, 0x0f931d33, 
      0x2af5e007, 0x0f911e03, 
      0x1ef60006, 0x0f8e1ee3, 
      0x12f61006, 0x0f8c1fb3, 
      0x05f62006, 0x0f8a2093, 
      0xf8f64007, 0x0f872162, 
      0xebf66006, 0x0f852242, 
      0xdef68006, 0x0f832312, 
      0xd1f6a006, 0x0f8023f2, 
      0xc4f6b007, 0x0f7e24c2, 
      0xb7f6d006, 0x0f7c25a2, 
      0xaaf6f006, 0x0f7a2672, 
      0x9df71006, 0x0f772752, 
      0x8ff73007, 0x0f752822,
   },
   { /* UV scale factor = 1.46, phases = 127, taps = 5. */
      0x91283f74, 0x0006f722, 
      0x9e276f76, 0x0006f702, 
      0xab268f79, 0x0006f6e2, 
      0xb925bf7a, 0x0006f6c2, 
      0xc624df7d, 0x0006f6a2, 
      0xd3240f7f, 0x0006f682, 
      0xe0232f82, 0x0006f662, 
      0xed224f84, 0x0006f652, 
      0xfa217f86, 0x0006f632, 
      0x07209f89, 0x0006f613, 
      0x131fcf8b, 0x0006f603, 
      0x201eef8e, 0x0006f5e3, 
      0x2c1e1f90, 0x0006f5d3, 
      0x391d3f92, 0x0006f5c3, 
      0x451c6f94, 0x0006f5b3, 
      0x511b9f97, 0x0006f593, 
      0x5d1abf9a, 0x0006f583, 
      0x6919ef9c, 0x0006f573, 
      0x75190f9e, 0x0006f573, 
      0x80184fa0, 0x0006f563, 
      0x8b177fa3, 0x0006f553, 
      0x97169fa5, 0x0006f553, 
      0xa215dfa7, 0x0006f543, 
      0xad150faa, 0x0005f543, 
      0xb7143fad, 0x0005f543, 
      0xc2137fae, 0x0005f543, 
      0xcc12afb1, 0x0005f543, 
      0xd611efb3, 0x0005f543, 
      0xe0111fb6, 0x0005f543, 
      0xea105fb8, 0x0005f543, 
      0xf30f9fbb, 0x0004f553, 
      0xfc0edfbd, 0x0004f563, 
      0x060e1fbf, 0x0004f564, 
      0x0e0d6fc1, 0x0004f574, 
      0x170cafc3, 0x0003f594, 
      0x1f0bffc5, 0x0003f5a4, 
      0x270b4fc7, 0x0003f5b4, 
      0x2f0a8fc9, 0x0003f5d4, 
      0x3709dfcb, 0x0002f5f4, 
      0x3e093fcd, 0x0002f604, 
      0x44088fcf, 0x0002f634, 
      0x4c07efd0, 0x0001f654, 
      0x52073fd3, 0x0001f674, 
      0x58069fd5, 0x0000f6a4, 
      0x5e05ffd7, 0x0000f6c4, 
      0x64055fd9, 0x0ffff6f4, 
      0x6904cfda, 0x0ffff724, 
      0x6e042fdc, 0x0ffef764, 
      0x73039fdd, 0x0ffef794, 
      0x78030fde, 0x0ffdf7d4, 
      0x7c027fe0, 0x0ffcf814, 
      0x8001dfe2, 0x0ffcf854, 
      0x83015fe4, 0x0ffbf894, 
      0x8700dfe5, 0x0ffaf8d4, 
      0x8a004fe6, 0x0ffaf924, 
      0x8cffdfe8, 0x0ff9f964, 
      0x8fff5fe9, 0x0ff8f9b4, 
      0x91fedfeb, 0x0ff7fa04, 
      0x93fe6feb, 0x0ff6fa64, 
      0x94fdffed, 0x0ff5fab4, 
      0x95fd7fee, 0x0ff5fb14, 
      0x96fd0fef, 0x0ff4fb74, 
      0x96fcaff0, 0x0ff3fbd4, 
      0x97fc3ff2, 0x0ff1fc34, 
      0x96fbdff3, 0x0ff0fca4, 
      0x96fb7ff4, 0x0feffd04, 
      0x95fb1ff5, 0x0feefd74, 
      0x94fabff6, 0x0fedfde4, 
      0x93fa5ff6, 0x0fecfe64, 
      0x91fa0ff8, 0x0feafed4, 
      0x8ff9bff8, 0x0fe9ff54, 
      0x8cf96ff9, 0x0fe8ffd4, 
      0x8af92ff9, 0x0fe60054, 
      0x87f8dffa, 0x0fe500d4, 
      0x83f89ffb, 0x0fe40154, 
      0x80f85ffb, 0x0fe201e4, 
      0x7cf81ffc, 0x0fe00274, 
      0x78f7cffd, 0x0fdf0304, 
      0x73f79ffe, 0x0fdd0394, 
      0x6ef76ffe, 0x0fdc0424, 
      0x69f73fff, 0x0fda04b4, 
      0x64f6f000, 0x0fd80554, 
      0x5ef6d000, 0x0fd605f4, 
      0x58f6a000, 0x0fd50694, 
      0x52f67001, 0x0fd30734, 
      0x4cf64001, 0x0fd107e4, 
      0x45f63001, 0x0fcf0884, 
      0x3ef60002, 0x0fcd0934, 
      0x37f5e002, 0x0fcb09e4, 
      0x2ff5d003, 0x0fc90a84, 
      0x27f5b003, 0x0fc70b44, 
      0x1ff5a003, 0x0fc50bf4, 
      0x17f59003, 0x0fc30ca4, 
      0x0ef57004, 0x0fc10d64, 
      0x06f56004, 0x0fbf0e14, 
      0xfcf56005, 0x0fbc0ed3, 
      0xf3f55005, 0x0fba0f93, 
      0xeaf54005, 0x0fb81053, 
      0xe0f54005, 0x0fb61113, 
      0xd6f54005, 0x0fb311e3, 
      0xccf54005, 0x0fb112a3, 
      0xc2f53005, 0x0faf1373, 
      0xb7f54006, 0x0fac1433, 
      0xadf54005, 0x0faa1503, 
      0xa2f54005, 0x0fa815d3, 
      0x97f55005, 0x0fa516a3, 
      0x8bf55006, 0x0fa31773, 
      0x80f56005, 0x0fa11843, 
      0x75f57005, 0x0f9e1913, 
      0x69f57006, 0x0f9c19e3, 
      0x5df59006, 0x0f991ab3, 
      0x51f59006, 0x0f971b93, 
      0x45f5a006, 0x0f951c63, 
      0x39f5c006, 0x0f921d33, 
      0x2cf5d006, 0x0f901e13, 
      0x20f5e007, 0x0f8d1ee3, 
      0x13f60006, 0x0f8b1fc3, 
      0x07f61006, 0x0f892093, 
      0xfaf63006, 0x0f862172, 
      0xedf65006, 0x0f842242, 
      0xe0f66006, 0x0f822322, 
      0xd3f68006, 0x0f7f2402, 
      0xc6f6a006, 0x0f7d24d2, 
      0xb8f6c006, 0x0f7b25b2, 
      0xabf6e007, 0x0f782682, 
      0x9ef70006, 0x0f762762, 
      0x91f72006, 0x0f742832,
   },
   { /* UV scale factor = 1.47, phases = 127, taps = 5. */
      0x92284f73, 0x0006f712, 
      0x9f277f75, 0x0006f6f2, 
      0xad269f77, 0x0006f6d2, 
      0xba25cf79, 0x0006f6b2, 
      0xc724ef7c, 0x0006f692, 
      0xd4240f7f, 0x0006f672, 
      0xe1233f81, 0x0006f652, 
      0xee226f83, 0x0006f632, 
      0xfb218f85, 0x0006f622, 
      0x0820af88, 0x0006f603, 
      0x151fcf8a, 0x0006f5f3, 
      0x221eff8c, 0x0006f5d3, 
      0x2e1e1f8f, 0x0006f5c3, 
      0x3b1d4f91, 0x0006f5a3, 
      0x471c6f94, 0x0006f593, 
      0x531b9f96, 0x0006f583, 
      0x5f1acf98, 0x0006f573, 
      0x6b19ef9b, 0x0006f563, 
      0x77191f9d, 0x0006f553, 
      0x82184fa0, 0x0006f543, 
      0x8e176fa2, 0x0006f543, 
      0x9916afa4, 0x0006f533, 
      0xa415dfa7, 0x0005f533, 
      0xaf150faa, 0x0005f523, 
      0xba143fac, 0x0005f523, 
      0xc4137fae, 0x0005f523, 
      0xcf12afb0, 0x0005f523, 
      0xd911efb2, 0x0005f523, 
      0xe3111fb5, 0x0005f523, 
      0xec105fb8, 0x0004f533, 
      0xf60f9fba, 0x0004f533, 
      0xff0edfbc, 0x0004f543, 
      0x080e1fbe, 0x0004f554, 
      0x110d5fc0, 0x0004f564, 
      0x1a0cafc2, 0x0003f574, 
      0x220befc5, 0x0003f584, 
      0x2a0b3fc6, 0x0003f5a4, 
      0x320a8fc9, 0x0002f5b4, 
      0x3909dfcb, 0x0002f5d4, 
      0x41092fcc, 0x0002f5f4, 
      0x48087fcf, 0x0001f614, 
      0x4f07dfd0, 0x0001f634, 
      0x55072fd2, 0x0001f664, 
      0x5b068fd5, 0x0000f684, 
      0x6105efd6, 0x0000f6b4, 
      0x67054fd8, 0x0ffff6e4, 
      0x6c04bfd9, 0x0ffff714, 
      0x72041fdb, 0x0ffef744, 
      0x76038fdd, 0x0ffdf784, 
      0x7b02ffde, 0x0ffdf7b4, 
      0x7f026fe0, 0x0ffcf7f4, 
      0x8301dfe1, 0x0ffcf834, 
      0x87014fe3, 0x0ffbf874, 
      0x8a00cfe4, 0x0ffaf8c4, 
      0x8d003fe7, 0x0ff9f904, 
      0x90ffbfe7, 0x0ff9f954, 
      0x92ff4fe8, 0x0ff8f9a4, 
      0x94fecfea, 0x0ff7f9f4, 
      0x96fe4fec, 0x0ff6fa44, 
      0x97fddfed, 0x0ff5faa4, 
      0x98fd6fee, 0x0ff4fb04, 
      0x99fd0fef, 0x0ff3fb54, 
      0x9afc8ff0, 0x0ff2fbc4, 
      0x9afc2ff1, 0x0ff1fc24, 
      0x9afbcff2, 0x0ff0fc84, 
      0x99fb5ff4, 0x0feffcf4, 
      0x98fb0ff4, 0x0feefd64, 
      0x97faaff5, 0x0fedfdd4, 
      0x96fa4ff7, 0x0febfe44, 
      0x94f9fff7, 0x0feafec4, 
      0x92f9aff7, 0x0fe9ff44, 
      0x90f95ff9, 0x0fe7ffb4, 
      0x8df90ffa, 0x0fe60034, 
      0x8af8bffa, 0x0fe500c4, 
      0x87f87ffb, 0x0fe30144, 
      0x83f83ffb, 0x0fe201d4, 
      0x7ff7fffc, 0x0fe00264, 
      0x7bf7bffd, 0x0fde02f4, 
      0x76f78ffd, 0x0fdd0384, 
      0x72f74ffe, 0x0fdb0414, 
      0x6cf71fff, 0x0fd904b4, 
      0x67f6efff, 0x0fd80544, 
      0x61f6b000, 0x0fd605e4, 
      0x5bf68001, 0x0fd40684, 
      0x55f66001, 0x0fd20724, 
      0x4ff63001, 0x0fd007d4, 
      0x48f61002, 0x0fce0874, 
      0x41f5f001, 0x0fcd0924, 
      0x39f5d002, 0x0fcb09d4, 
      0x32f5b002, 0x0fc90a84, 
      0x2af5a003, 0x0fc60b34, 
      0x22f58004, 0x0fc40be4, 
      0x1af57003, 0x0fc20ca4, 
      0x11f56004, 0x0fc00d54, 
      0x08f55004, 0x0fbe0e14, 
      0xfff54004, 0x0fbc0ed3, 
      0xf6f53004, 0x0fba0f93, 
      0xecf53005, 0x0fb71053, 
      0xe3f52005, 0x0fb51113, 
      0xd9f52004, 0x0fb311e3, 
      0xcff52005, 0x0fb012a3, 
      0xc4f52005, 0x0fae1373, 
      0xbaf52005, 0x0fac1433, 
      0xaff52006, 0x0fa91503, 
      0xa4f53005, 0x0fa715d3, 
      0x99f53005, 0x0fa516a3, 
      0x8ef54005, 0x0fa21773, 
      0x82f54006, 0x0fa01843, 
      0x77f55006, 0x0f9d1913, 
      0x6bf56006, 0x0f9b19e3, 
      0x5ff57006, 0x0f981ac3, 
      0x53f58006, 0x0f961b93, 
      0x47f59006, 0x0f941c63, 
      0x3bf5a006, 0x0f911d43, 
      0x2ef5c006, 0x0f8f1e13, 
      0x22f5d006, 0x0f8c1ef3, 
      0x15f5f006, 0x0f8a1fc3, 
      0x08f60006, 0x0f8820a3, 
      0xfbf62006, 0x0f852182, 
      0xeef63007, 0x0f832252, 
      0xe1f65007, 0x0f802332, 
      0xd4f67007, 0x0f7e2402, 
      0xc7f69006, 0x0f7c24e2, 
      0xbaf6a006, 0x0f7a25c2, 
      0xadf6d006, 0x0f772692, 
      0x9ff6f006, 0x0f752772, 
      0x92f71006, 0x0f732842,
   },
   { /* UV scale factor = 1.48, phases = 127, taps = 5. */
      0x93286f71, 0x0006f702, 
      0xa1278f73, 0x0006f6e2, 
      0xae26af76, 0x0006f6c2, 
      0xbb25df78, 0x0006f6a2, 
      0xc924ff7a, 0x0006f682, 
      0xd6241f7d, 0x0006f662, 
      0xe3234f7f, 0x0006f642, 
      0xf0226f82, 0x0006f622, 
      0xfd218f85, 0x0006f602, 
      0x0a20bf86, 0x0006f5f3, 
      0x171fdf89, 0x0006f5d3, 
      0x231f0f8b, 0x0006f5c3, 
      0x301e2f8e, 0x0006f5a3, 
      0x3c1d4f91, 0x0006f593, 
      0x491c7f92, 0x0006f583, 
      0x551b9f95, 0x0006f573, 
      0x611acf97, 0x0006f563, 
      0x6d19ff99, 0x0006f553, 
      0x79191f9c, 0x0006f543, 
      0x84184f9f, 0x0006f533, 
      0x90177fa1, 0x0006f523, 
      0x9b16afa4, 0x0005f523, 
      0xa615dfa7, 0x0005f513, 
      0xb1150fa9, 0x0005f513, 
      0xbc143fab, 0x0005f513, 
      0xc7136fad, 0x0005f513, 
      0xd112afaf, 0x0005f513, 
      0xdb11efb1, 0x0005f513, 
      0xe5111fb5, 0x0004f513, 
      0xef105fb7, 0x0004f513, 
      0xf80f9fb9, 0x0004f523, 
      0x020ecfbb, 0x0004f534, 
      0x0b0e1fbd, 0x0004f534, 
      0x140d5fc0, 0x0003f544, 
      0x1c0cafc2, 0x0003f554, 
      0x250befc3, 0x0003f574, 
      0x2d0b3fc5, 0x0003f584, 
      0x350a7fc8, 0x0002f5a4, 
      0x3c09dfca, 0x0002f5b4, 
      0x44091fcc, 0x0002f5d4, 
      0x4b087fce, 0x0001f5f4, 
      0x5207cfcf, 0x0001f624, 
      0x58072fd2, 0x0000f644, 
      0x5e067fd4, 0x0000f674, 
      0x6405efd6, 0x0ffff694, 
      0x6a053fd8, 0x0ffff6c4, 
      0x7004afd9, 0x0ffef6f4, 
      0x75040fda, 0x0ffef734, 
      0x7a037fdc, 0x0ffdf764, 
      0x7e02dfde, 0x0ffdf7a4, 
      0x82025fdf, 0x0ffcf7e4, 
      0x8601cfe1, 0x0ffbf824, 
      0x8a013fe2, 0x0ffbf864, 
      0x8d00bfe4, 0x0ffaf8a4, 
      0x90002fe6, 0x0ff9f8f4, 
      0x93ffafe8, 0x0ff8f934, 
      0x95ff2fe9, 0x0ff8f984, 
      0x97febfe9, 0x0ff7f9e4, 
      0x99fe3feb, 0x0ff6fa34, 
      0x9afdcfed, 0x0ff5fa84, 
      0x9cfd5fed, 0x0ff4fae4, 
      0x9cfcefef, 0x0ff3fb44, 
      0x9dfc7ff0, 0x0ff2fba4, 
      0x9dfc1ff0, 0x0ff1fc14, 
      0x9dfbaff2, 0x0ff0fc74, 
      0x9cfb4ff3, 0x0feffce4, 
      0x9cfaeff4, 0x0fedfd54, 
      0x9afa9ff5, 0x0fecfdc4, 
      0x99fa3ff6, 0x0febfe34, 
      0x97f9eff6, 0x0feafeb4, 
      0x95f99ff8, 0x0fe8ff24, 
      0x93f93ff9, 0x0fe7ffa4, 
      0x90f8fff9, 0x0fe60024, 
      0x8df8affa, 0x0fe400b4, 
      0x8af86ffa, 0x0fe30134, 
      0x86f82ffb, 0x0fe101c4, 
      0x82f7dffc, 0x0fe00254, 
      0x7ef7affc, 0x0fde02e4, 
      0x7af76ffd, 0x0fdc0374, 
      0x75f73ffd, 0x0fdb0404, 
      0x70f6fffe, 0x0fd904a4, 
      0x6af6dfff, 0x0fd70534, 
      0x64f6a000, 0x0fd505d4, 
      0x5ef67000, 0x0fd40674, 
      0x58f64000, 0x0fd20724, 
      0x52f62000, 0x0fd007c4, 
      0x4bf5f001, 0x0fce0874, 
      0x44f5d002, 0x0fcc0914, 
      0x3cf5c002, 0x0fca09c4, 
      0x35f5a002, 0x0fc80a74, 
      0x2df58002, 0x0fc60b34, 
      0x25f57002, 0x0fc40be4, 
      0x1cf55004, 0x0fc20c94, 
      0x14f54004, 0x0fbf0d54, 
      0x0bf53004, 0x0fbd0e14, 
      0x02f53003, 0x0fbb0ed4, 
      0xf8f52004, 0x0fb90f93, 
      0xeff51004, 0x0fb71053, 
      0xe5f51005, 0x0fb41113, 
      0xdbf51004, 0x0fb211e3, 
      0xd1f51004, 0x0fb012a3, 
      0xc7f51004, 0x0fad1373, 
      0xbcf51005, 0x0fab1433, 
      0xb1f51005, 0x0fa91503, 
      0xa6f51006, 0x0fa615d3, 
      0x9bf52005, 0x0fa416a3, 
      0x90f52006, 0x0fa11773, 
      0x84f53006, 0x0f9f1843, 
      0x79f54006, 0x0f9c1913, 
      0x6df55005, 0x0f9a19f3, 
      0x61f56005, 0x0f981ac3, 
      0x55f57006, 0x0f951b93, 
      0x49f58005, 0x0f931c73, 
      0x3cf5a006, 0x0f901d43, 
      0x30f5a006, 0x0f8e1e23, 
      0x23f5c006, 0x0f8b1f03, 
      0x17f5d006, 0x0f891fd3, 
      0x0af5f006, 0x0f8620b3, 
      0xfdf60007, 0x0f842182, 
      0xf0f62006, 0x0f822262, 
      0xe3f64006, 0x0f7f2342, 
      0xd6f66006, 0x0f7d2412, 
      0xc9f68005, 0x0f7b24f2, 
      0xbbf6a006, 0x0f7825d2, 
      0xaef6c006, 0x0f7626a2, 
      0xa1f6e005, 0x0f742782, 
      0x93f70005, 0x0f722862,
   },
   { /* UV scale factor = 1.49, phases = 127, taps = 5. */
      0x94287f71, 0x0006f6e2, 
      0xa2279f73, 0x0006f6c2, 
      0xaf26bf76, 0x0006f6a2, 
      0xbd25ef77, 0x0006f682, 
      0xca250f7a, 0x0006f662, 
      0xd7243f7c, 0x0006f642, 
      0xe5234f7e, 0x0006f632, 
      0xf2227f80, 0x0006f612, 
      0xff219f83, 0x0006f5f2, 
      0x0c20cf85, 0x0006f5d3, 
      0x191fef87, 0x0006f5c3, 
      0x251f0f8b, 0x0006f5a3, 
      0x321e3f8c, 0x0006f593, 
      0x3e1d5f8f, 0x0006f583, 
      0x4b1c7f92, 0x0006f563, 
      0x571baf94, 0x0006f553, 
      0x631acf97, 0x0006f543, 
      0x6f19ff99, 0x0006f533, 
      0x7b192f9b, 0x0006f523, 
      0x87184f9e, 0x0006f513, 
      0x92177fa1, 0x0005f513, 
      0x9d16bfa3, 0x0005f503, 
      0xa915dfa5, 0x0005f503, 
      0xb4150fa8, 0x0005f4f3, 
      0xbe143fab, 0x0005f4f3, 
      0xc9137fac, 0x0005f4f3, 
      0xd312afaf, 0x0005f4f3, 
      0xde11dfb1, 0x0005f4f3, 
      0xe8111fb4, 0x0004f4f3, 
      0xf2105fb5, 0x0004f503, 
      0xfb0f8fb9, 0x0004f503, 
      0x040ecfbb, 0x0004f514, 
      0x0e0e0fbc, 0x0004f524, 
      0x160d5fbf, 0x0003f534, 
      0x1f0c9fc1, 0x0003f544, 
      0x280bdfc3, 0x0003f554, 
      0x300b2fc5, 0x0002f574, 
      0x380a7fc7, 0x0002f584, 
      0x3f09cfc9, 0x0002f5a4, 
      0x47091fcb, 0x0001f5c4, 
      0x4e086fcd, 0x0001f5e4, 
      0x5507bfcf, 0x0001f604, 
      0x5b071fd2, 0x0000f624, 
      0x62066fd3, 0x0000f654, 
      0x6805dfd4, 0x0ffff684, 
      0x6d053fd6, 0x0ffff6b4, 
      0x73049fd8, 0x0ffef6e4, 
      0x7803ffda, 0x0ffef714, 
      0x7d036fdb, 0x0ffdf754, 
      0x8102dfde, 0x0ffcf784, 
      0x85024fdf, 0x0ffcf7c4, 
      0x8901bfe1, 0x0ffbf804, 
      0x8d012fe3, 0x0ffaf844, 
      0x9000afe3, 0x0ffaf894, 
      0x93001fe6, 0x0ff9f8d4, 
      0x96ff9fe7, 0x0ff8f924, 
      0x99ff1fe8, 0x0ff7f974, 
      0x9bfe9fea, 0x0ff6f9c4, 
      0x9cfe2feb, 0x0ff6fa14, 
      0x9efdbfeb, 0x0ff5fa74, 
      0x9ffd3fed, 0x0ff4fad4, 
      0xa0fccfee, 0x0ff3fb34, 
      0xa0fc6fef, 0x0ff2fb94, 
      0xa0fbfff1, 0x0ff1fbf4, 
      0xa0fb9ff2, 0x0feffc64, 
      0xa0fb3ff2, 0x0feefcd4, 
      0x9ffadff4, 0x0fedfd34, 
      0x9efa7ff4, 0x0fecfdb4, 
      0x9cfa1ff6, 0x0febfe24, 
      0x9bf9cff7, 0x0fe9fe94, 
      0x99f97ff7, 0x0fe8ff14, 
      0x96f92ff8, 0x0fe7ff94, 
      0x93f8eff9, 0x0fe50014, 
      0x90f89ff9, 0x0fe400a4, 
      0x8df84ffb, 0x0fe20124, 
      0x89f80ffb, 0x0fe101b4, 
      0x85f7cffc, 0x0fdf0244, 
      0x81f78ffc, 0x0fde02d4, 
      0x7df74ffd, 0x0fdc0364, 
      0x78f71ffe, 0x0fda03f4, 
      0x73f6effe, 0x0fd80494, 
      0x6df6bffe, 0x0fd70534, 
      0x68f67fff, 0x0fd505d4, 
      0x62f65fff, 0x0fd30674, 
      0x5bf62001, 0x0fd10714, 
      0x55f60001, 0x0fcf07b4, 
      0x4ef5e001, 0x0fcd0864, 
      0x47f5c001, 0x0fcb0914, 
      0x3ff5a002, 0x0fc909c4, 
      0x38f58002, 0x0fc70a74, 
      0x30f57002, 0x0fc50b24, 
      0x28f55003, 0x0fc30bd4, 
      0x1ff54003, 0x0fc10c94, 
      0x16f53003, 0x0fbf0d54, 
      0x0ef52003, 0x0fbd0e04, 
      0x05f51004, 0x0fba0ec4, 
      0xfbf51004, 0x0fb80f83, 
      0xf2f4f004, 0x0fb61053, 
      0xe8f4f004, 0x0fb41113, 
      0xdef4f005, 0x0fb111d3, 
      0xd3f4f005, 0x0faf12a3, 
      0xc9f4f004, 0x0fad1373, 
      0xbef50005, 0x0faa1433, 
      0xb4f4f005, 0x0fa81503, 
      0xa9f50005, 0x0fa515d3, 
      0x9df50006, 0x0fa316a3, 
      0x92f51006, 0x0fa01773, 
      0x87f51006, 0x0f9e1843, 
      0x7bf52005, 0x0f9c1923, 
      0x6ff53006, 0x0f9919f3, 
      0x63f54006, 0x0f971ac3, 
      0x57f55006, 0x0f941ba3, 
      0x4bf56006, 0x0f921c73, 
      0x3ef58006, 0x0f8f1d53, 
      0x32f59005, 0x0f8d1e33, 
      0x25f5b006, 0x0f8a1f03, 
      0x19f5c005, 0x0f881fe3, 
      0x0cf5d006, 0x0f8520c3, 
      0xfff5f006, 0x0f832192, 
      0xf2f61005, 0x0f812272, 
      0xe5f63005, 0x0f7e2352, 
      0xd7f65006, 0x0f7c2422, 
      0xcaf66006, 0x0f7a2502, 
      0xbdf68006, 0x0f7725e2, 
      0xaff6b006, 0x0f7526b2, 
      0xa2f6c006, 0x0f732792, 
      0x94f6e006, 0x0f712872,
   },
   { /* UV scale factor = 1.50, phases = 127, taps = 5. */
      0x96288f6f, 0x0006f6d2, 
      0xa327af72, 0x0006f6b2, 
      0xb126df73, 0x0006f692, 
      0xbe25ff76, 0x0006f672, 
      0xcc251f78, 0x0006f652, 
      0xd9243f7b, 0x0006f632, 
      0xe6236f7d, 0x0006f612, 
      0xf3228f7f, 0x0006f602, 
      0x0021af82, 0x0006f5e3, 
      0x0d20cf85, 0x0006f5c3, 
      0x1a1fff86, 0x0006f5b3, 
      0x271f1f89, 0x0006f593, 
      0x341e3f8b, 0x0006f583, 
      0x401d5f8f, 0x0006f563, 
      0x4d1c8f90, 0x0006f553, 
      0x591baf93, 0x0006f543, 
      0x651adf95, 0x0006f533, 
      0x7119ff98, 0x0006f523, 
      0x7d192f9b, 0x0005f513, 
      0x89185f9d, 0x0005f503, 
      0x94178fa0, 0x0005f4f3, 
      0xa016afa2, 0x0005f4f3, 
      0xab15dfa5, 0x0005f4e3, 
      0xb6150fa7, 0x0005f4e3, 
      0xc1143fa9, 0x0005f4e3, 
      0xcc137fab, 0x0005f4d3, 
      0xd612afae, 0x0005f4d3, 
      0xe011dfb1, 0x0004f4e3, 
      0xea111fb3, 0x0004f4e3, 
      0xf4104fb6, 0x0004f4e3, 
      0xfe0f8fb7, 0x0004f4f3, 
      0x070ecfba, 0x0004f4f4, 
      0x100e1fbc, 0x0003f504, 
      0x190d4fbf, 0x0003f514, 
      0x220c9fc0, 0x0003f524, 
      0x2a0bdfc2, 0x0003f544, 
      0x330b2fc4, 0x0002f554, 
      0x3b0a6fc6, 0x0002f574, 
      0x4209bfc9, 0x0002f584, 
      0x4a090fcb, 0x0001f5a4, 
      0x51085fcd, 0x0001f5c4, 
      0x5807bfcf, 0x0000f5e4, 
      0x5e070fd1, 0x0000f614, 
      0x65066fd2, 0x0000f634, 
      0x6b05cfd4, 0x0ffff664, 
      0x70052fd6, 0x0ffff694, 
      0x76048fd8, 0x0ffef6c4, 
      0x7b03ffda, 0x0ffdf6f4, 
      0x80035fdb, 0x0ffdf734, 
      0x8402cfdd, 0x0ffcf774, 
      0x89023fde, 0x0ffcf7a4, 
      0x8d01afe0, 0x0ffbf7e4, 
      0x90011fe2, 0x0ffaf834, 
      0x94008fe3, 0x0ffaf874, 
      0x97000fe4, 0x0ff9f8c4, 
      0x99ff8fe7, 0x0ff8f904, 
      0x9cff0fe8, 0x0ff7f954, 
      0x9efe8fe9, 0x0ff6f9b4, 
      0xa0fe1fea, 0x0ff5fa04, 
      0xa1fd9fec, 0x0ff4fa64, 
      0xa2fd3fed, 0x0ff3fab4, 
      0xa3fcbfef, 0x0ff2fb14, 
      0xa3fc4ff0, 0x0ff1fb84, 
      0xa4fbeff0, 0x0ff0fbe4, 
      0xa3fb8ff2, 0x0feffc44, 
      0xa3fb1ff3, 0x0feefcb4, 
      0xa2fabff4, 0x0fedfd24, 
      0xa1fa6ff4, 0x0fecfd94, 
      0xa0fa0ff5, 0x0feafe14, 
      0x9ef9bff6, 0x0fe9fe84, 
      0x9cf95ff7, 0x0fe8ff04, 
      0x99f91ff8, 0x0fe6ff84, 
      0x97f8cff8, 0x0fe50004, 
      0x94f87ffa, 0x0fe30084, 
      0x90f83ffa, 0x0fe20114, 
      0x8df7effb, 0x0fe001a4, 
      0x89f7affb, 0x0fdf0234, 
      0x84f77ffc, 0x0fdd02c4, 
      0x80f73ffd, 0x0fdb0354, 
      0x7bf6fffe, 0x0fda03e4, 
      0x76f6cffe, 0x0fd80484, 
      0x70f69fff, 0x0fd60524, 
      0x6bf66fff, 0x0fd405c4, 
      0x65f63fff, 0x0fd30664, 
      0x5ef61000, 0x0fd10704, 
      0x58f5e000, 0x0fcf07b4, 
      0x51f5c001, 0x0fcd0854, 
      0x4af5a001, 0x0fcb0904, 
      0x42f58002, 0x0fc909b4, 
      0x3bf57001, 0x0fc70a64, 
      0x33f54002, 0x0fc50b24, 
      0x2af54003, 0x0fc20bd4, 
      0x22f52003, 0x0fc00c94, 
      0x19f51004, 0x0fbe0d44, 
      0x10f50004, 0x0fbc0e04, 
      0x07f4f004, 0x0fba0ec4, 
      0xfef4f004, 0x0fb70f83, 
      0xf4f4e005, 0x0fb51043, 
      0xeaf4e004, 0x0fb31113, 
      0xe0f4e005, 0x0fb011d3, 
      0xd6f4d005, 0x0fae12a3, 
      0xccf4d004, 0x0fac1373, 
      0xc1f4e005, 0x0fa91433, 
      0xb6f4e005, 0x0fa71503, 
      0xabf4e006, 0x0fa415d3, 
      0xa0f4f005, 0x0fa216a3, 
      0x94f4f006, 0x0fa01773, 
      0x89f50005, 0x0f9d1853, 
      0x7df51005, 0x0f9b1923, 
      0x71f52006, 0x0f9819f3, 
      0x65f53005, 0x0f961ad3, 
      0x59f54006, 0x0f931ba3, 
      0x4df55005, 0x0f911c83, 
      0x40f57006, 0x0f8e1d53, 
      0x34f58005, 0x0f8c1e33, 
      0x27f59006, 0x0f891f13, 
      0x1af5b005, 0x0f871ff3, 
      0x0df5d006, 0x0f8420c3, 
      0x00f5e006, 0x0f8221a3, 
      0xf3f60005, 0x0f802282, 
      0xe6f61006, 0x0f7d2362, 
      0xd9f63006, 0x0f7b2432, 
      0xccf65006, 0x0f782512, 
      0xbef67006, 0x0f7625f2, 
      0xb1f69005, 0x0f7426d2, 
      0xa3f6b006, 0x0f7227a2, 
      0x96f6d006, 0x0f6f2882,
   }
};

/*@}*/

#ifdef __cplusplus
}
#endif

#endif





